! --------------------------------------------------
! Fast and Accurate Motorola 68000 Emulation Library
! FAME SH4 version 0.04 (04/04/2005)
! Oscar Orallo Pelaez
! Assembly file generated on Apr  4 2005 23:37:07
! --------------------------------------------------
! Opciones de generacion empleadas:
! - Formato de generacion SH4 (compilador GNU)
! - Optimizacion de velocidad (codigo en linea)
! - Bus de direcciones de 24 bits
! - Emulacion de lecturas tontas (OFF)
! - Emulacion de comportamiento no documentado (OFF)
! - Espacio de memoria unico (supervisor)
! - Emulacion de excepciones del grupo 0 (OFF)
! - Prefijo del nombre de las funciones: m68k
! - Realizar calculo preciso de ciclos de reloj (OFF)
! - Cachear descriptores de mapas de memoria (ON)
! - Realizar cuenta interna de ciclos de reloj (OFF)
! - Emular bit 0 de execinfo (ON)
! - Emular excepcion de traza (OFF)
! --------------------------------------------------
.data
.balign 32
.global _m68kcontext
_m68kcontext:
contextbegin:
fetch:     .long 0
readbyte:  .long 0
readword:  .long 0
writebyte: .long 0
writeword: .long 0
s_fetch:     .long 0
s_readbyte:  .long 0
s_readword:  .long 0
s_writebyte: .long 0
s_writeword: .long 0
u_fetch:     .long 0
u_readbyte:  .long 0
u_readword:  .long 0
u_writebyte: .long 0
u_writeword: .long 0
resethandler: .long 0
iackhandler:  .long 0
icusthandler: .long 0
reg:
dreg: .long 0,0,0,0,0,0,0,0
areg: .long 0,0,0,0,0,0,0
a7:   .long 0
asp:  .long 0
pc:   .long 0
cycles_counter: .long 0
interrupts: .byte 0,0,0,0,0,0,0,0
sreg: .word 0
execinfo: .word 0
contextend:
io_cycle_counter: .long -1
io_fetchbase:     .long 0
io_fetchbased_pc: .long 0
fetch_vector:	    .long sfmhtbl, srwmhtbl, ufmhtbl, urwmhtbl
fetch_idx:        .long 0
readbyte_idx:     .long 0
readword_idx:     .long 0
writebyte_idx:    .long 0
writeword_idx:    .long 0
rb_addr: .long readmemorybyte
rw_addr: .long readmemoryword
rl_addr: .long readmemorydword
wb_addr: .long writememorybyte
ww_addr: .long writememoryword
wl_addr: .long writememorydword
sfmhtbl:
.rept 4096
 .long 0
 .endr
srbmhtbl:
.rept 4096
 .long 0
 .endr
srwmhtbl:
.rept 4096
 .long 0
 .endr
swbmhtbl:
.rept 4096
 .long 0
 .endr
swwmhtbl:
.rept 4096
 .long 0
 .endr
ufmhtbl:
.rept 4096
 .long 0
 .endr
urbmhtbl:
.rept 4096
 .long 0
 .endr
urwmhtbl:
.rept 4096
 .long 0
 .endr
uwbmhtbl:
.rept 4096
 .long 0
 .endr
uwwmhtbl:
.rept 4096
 .long 0
 .endr
.text
top:
.balign 32
.global _m68k_init
_m68k_init:
mov.l jmptbl_addr0,r6
mov.l jmptblcomp_addr0,r5
mov.l opcodetbl_size,r3
mov r6,r1
mov r6,r7
add r3,r1
shlr r3
add r3,r7
shll r3
decomp:
cmp/eq r7,r6
bf continue
sub r3,r6
sub r3,r1
continue:
mov.l @r5+,r0
mov r0,r2
shll8 r0
shlr16 r2
shlr8 r0
shlr8 r2
mov.l top_addr0,r4
add r4,r0
add #1,r2
jloop:
mov.l r0,@r6
add #4,r6
dt r2
bf jloop
cmp/ge r1,r6
bf decomp
rts
mov #0,r0
.balign 32
opcodetbl_size: .long 262144
jmptbl_addr0: .long jmptbl
jmptblcomp_addr0: .long jmptblcomp
top_addr0: .long top
.balign 32
.global _m68k_emulate
_m68k_emulate:
mov.l execinfo_addr,r1
mov.w @r1,r0
tst #0x80,r0
bt notstopped
rts
mov #0,r0
notstopped:
mov.l r8,@-r15
mov.l r9,@-r15
mov.l r10,@-r15
mov.l r11,@-r15
mov.l r12,@-r15
mov.l r13,@-r15
mov.l r14,@-r15
sts.l	pr,@-r15
mov.l fetch_idx_addr,r11
mov.l jmptbl_addr,r12
mov r4,r7
mov.l reg_addr,r13
mov.l areg_addr,r14
or #1,r0
mov.w r0,@r1
mov r0,r2
mov.l sreg_addr,r1
mov.w @r1,r0
mov r0,r10
shlr8 r10
mov #3,r1
mov r0,r8
and r1,r8
shll2 r8
mov r0,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r0,r1
cmp/pl r1
movt r9
mov.l pc_addr,r1
bsr basefunction
mov.l @r1,r6
mov r2,r0
add r5,r6
tst #2,r0
bf exec_bounderror
mov.l interrupts_addr,r0
mov.b @r0,r0
tst #0x80,r0
bf flush_int
extu.b r0,r1
mov r10,r0
and #7,r0
neg r0,r0
shld r0,r1
tst r1,r1
bf flush_int
execloop:
mov.w @r6+,r0
mov #0x1C,r1
shll2 r0
mov.l @(r0,r12),r4
jmp @r4
mov r0,r2
flush_int:
mov.l flush_interrupts_addr,r0
jsr @r0
nop
bsr basefunction
nop
add r5,r6
cmp/pl r7
bt execloop
mov #0,r3
execexit:
mov.l pc_addr,r2
sub r5,r6
shll2 r9
mov r8,r0
and #3,r0
or r0,r9
shll2 r9
mov r8,r0
shlr2 r0
and #3,r0
or r0,r9
shll8 r10
mov.l sreg_addr,r0
or r10,r9
mov.w r9,@r0
mov.l r6,@r2
mov.l execinfo_addr,r1
mov.w @r1,r0
xor #1,r0
mov.w r0,@r1
lds.l	@r15+,pr
mov.l @r15+,r14
mov r3,r0
mov.l @r15+,r13
mov.l @r15+,r12
mov.l @r15+,r11
mov.l @r15+,r10
mov.l @r15+,r9
rts
mov.l @r15+,r8
.balign 32
interrupts_addr: .long interrupts
pc_addr: .long pc
reg_addr: .long reg
areg_addr: .long areg
fetch_vector_addr: .long fetch_vector
sreg_addr: .long sreg
jmptbl_addr: .long jmptbl
execinfo_addr: .long execinfo
fetch_idx_addr: .long fetch_idx
flush_interrupts_addr: .long flush_interrupts
g1_exception_addr: .long group_1_exception
basefunction_addr: .long basefunction
exec_bounderror:
bra execexit
mov #-1,r3
.balign 32
.global _m68k_reset
_m68k_reset:
mov.l r11,@-r15
mov.l fetchidx_addr,r11
mov #1,r0
mov.l execinfo_addr2,r2
mov.w @r2,r1
tst r1,r0
bf return
mov.l sup_fetch_addr,r0
mov.l @r0,r1
mov #2,r0
tst r1,r1
bt return
mov.l reg_addr2,r0
mov #64,r1
add r1,r0
shlr2 r1
xor r4,r4
gp:
mov.l r4,@-r0
dt r1
bf gp
mov.l asp_addr2,r2
mov.l r4,@r2
mov.l interrupts_addr2,r2
mov.b @r2,r0
and #1,r0
mov.b r0,@r2
mov.l execinfo_addr2,r2
mov.w r4,@r2
mov.l sreg_addr2,r2
mov #0x27,r4
shll8 r4
mov.w r4,@r2
mov.l sfmhtbl_addr2,r0
mov.l fetch_idx_addr2,r1
mov.l r0,@r1
mov.l srbmhtbl_addr2,r0
mov.l r0,@(4,r1)
mov.l srwmhtbl_addr2,r0
mov.l r0,@(8,r1)
mov.l swbmhtbl_addr2,r0
mov.l r0,@(12,r1)
mov.l swwmhtbl_addr2,r0
mov.l r0,@(16,r1)
sts pr,r4
bsr basefunction
xor r6,r6
lds r4,pr
add r5,r6
mov.l @r6+,r0
swap.w r0,r0
mov.l a7_addr2,r2
mov.l r0,@r2
mov.l @r6,r0
swap.w r0,r0
mov.l pc_addr2,r2
mov.l r0,@r2
mov #0,r0
return:
rts
mov.l @r15+,r11
.balign 32
reg_addr2: .long reg
execinfo_addr2: .long execinfo
interrupts_addr2: .long interrupts
pc_addr2: .long pc
sreg_addr2: .long sreg
a7_addr2: .long a7
asp_addr2: .long asp
sup_fetch_addr: .long s_fetch
sup_readbyte: .long s_readbyte
sup_readword: .long s_readword
sup_writebyte: .long s_writebyte
sup_writeword: .long s_writeword
act_fetch: .long fetch
act_readbyte: .long readbyte
act_readword: .long readword
act_writebyte: .long writebyte
act_writeword: .long writeword
fetchidx_addr: .long fetch_idx
sfmhtbl_addr2: .long sfmhtbl
srbmhtbl_addr2: .long srbmhtbl
srwmhtbl_addr2: .long srwmhtbl
swbmhtbl_addr2: .long swbmhtbl
swwmhtbl_addr2: .long swwmhtbl
fetch_idx_addr2: .long fetch_idx
.balign 32
.global _m68k_raise_irq
_m68k_raise_irq:
mov r4,r0
and #7,r0
tst r0,r0
bt badinput
mov #0xff,r4
extu.b r4,r4
cmp/gt r4,r5
bt badinput
mov #-2,r4
cmp/ge r4,r5
bf badinput
cmp/eq r5,r4
bf notspurious
bra notauto
mov #0x18,r5
notspurious:
mov #-1,r4
cmp/eq r5,r4
bf notauto
mov #0x18,r5
add r0,r5
notauto:
mov #1,r4
shld r0,r4
mov.l interrupts_addr3,r1
mov.b @r1,r6
tst r6,r4
bf failure
or r4,r6
mov.b r5,@(r0,r1)
mov.b r6,@r1
mov #0x80,r1
extu.b r1,r1
mov.l execinfo_addr3,r6
mov.w @r6,r7
tst r1,r7
bt .notstopped
mov.l sreg_addr3,r1
mov.w @r1,r5
shlr8 r5
mov #7,r1
cmp/eq r1,r0
movt r4
and r1,r5
add r4,r0
cmp/hs r0,r5
movt r2
mov #0x7f,r0
shld r1,r2
and r0,r7
or r2,r7
mov.w r7,@r6
.notstopped:
rts
mov #0,r0
failure:
rts
mov #-1,r0
badinput:
rts
mov #-2,r0
.balign 32
interrupts_addr3: .long interrupts
execinfo_addr3: .long execinfo
sreg_addr3: .long sreg
.balign 32
.global _m68k_lower_irq
_m68k_lower_irq:
mov #6,r1
cmp/gt r1,r4
bt .badlevel
tst r4,r4
bt .badlevel
mov #1,r1
shld r4,r1
mov.l interrupts_addr4,r2
mov.b @r2,r3
tst r3,r1
bt .failstat
not r1,r1
and r1,r3
mov.b r3,@r2
rts
mov #0,r0
.failstat:
rts
mov #-1,r0
.badlevel:
rts
mov #-2,r0
.balign 32
interrupts_addr4: .long interrupts
.balign 32
.global _m68k_set_irq_type
_m68k_set_irq_type:
mov #1,r0
and r0,r5
tst r4,r4
bt .si_irq
mov #interrupts-contextbegin,r0
mov.b @(r0,r4),r1
or r5,r1
mov.b r1,@(r0,r4)
rts
mov #0,r0
.si_irq:
mov.l interrupts_addr5,r1
mov.b @r1,r0
or r5,r0
mov.b r0,@r1
rts
mov #0,r0
.balign 32
interrupts_addr5: .long interrupts
.balign 32
.global _m68k_get_irq_vector
_m68k_get_irq_vector:
mov r4,r0
and #7,r0
tst r0,r0
bt badlev
mov #1,r1
shld r0,r1
mov.l interrupts_addr6,r2
mov.b @r2,r3
tst r3,r1
bt notraised
mov.b @(r0,r2),r0
rts
extu.b r0,r0
notraised:
rts
mov #-1,r0
badlev:
rts
mov #-2,r0
.balign 32
interrupts_addr6: .long interrupts
.balign 32
.global _m68k_change_irq_vector
_m68k_change_irq_vector:
mov r4,r0
and #7,r0
tst r0,r0
bt .badin
mov #1,r1
shld r0,r1
mov.l interrupts_addr7,r7
mov.b @r7,r3
tst r3,r1
bt .nraised
mov #255,r4
extu.b r4,r4
cmp/gt r4,r5
bt .badin
mov #-2,r4
cmp/gt r5,r4
bt .badin
cmp/eq r5,r4
bf .notspurious
bra .notauto
mov #0x18,r5
.notspurious:
dt r4
cmp/eq r5,r4
bf .notauto
mov #0x18,r5
add r0,r5
.notauto:
mov.b r5,@(r0,r7)
rts
mov #0,r0
.nraised:
rts
mov #-1,r0
.badin:
rts
mov #-2,r0
.balign 32
interrupts_addr7: .long interrupts
.balign 32
.global _m68k_get_context_size
_m68k_get_context_size:
mov.l contextend_addr8,r0
mov.l contextbegin_addr8,r1
rts
sub r1,r0
.balign 32
contextbegin_addr8: .long contextbegin
contextend_addr8: .long contextend
.balign 32
.global _m68k_get_context
_m68k_get_context:
mov.l contextbegin_addr9,r2
mov.l contextend_addr9,r1
loopgc:
mov.l @r2+,r0
mov.l r0,@r4
add #4,r4
cmp/eq r2,r1
bf loopgc
rts
mov #0,r0
.balign 32
contextbegin_addr9: .long contextbegin
contextend_addr9: .long contextend
.balign 32
.global _m68k_set_context
_m68k_set_context:
mov.l contxtb,r2
mov.l contxte,r1
lloop:
mov.l @r4+,r0
mov.l r0,@r2
add #4,r2
cmp/eq r2,r1
bf lloop
mov.l idxtbl_size,r1
mov.l sfmhtbl_addr,r2
mov #0,r0
mloop:
mov.l r0,@r2
add #4,r2
dt r1
bf mloop
mov.l sfmhtbl_addr,r4
mov.l s_fetch_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm0:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm0
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop0:
mov.l r1,@r0
add r6,r0
dt r2
bf loop0
bra begincmm0
add #12,r1
endcmm0:
mov.l ufmhtbl_addr,r4
mov.l u_fetch_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm1:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm1
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop1:
mov.l r1,@r0
add r6,r0
dt r2
bf loop1
bra begincmm1
add #12,r1
endcmm1:
mov.l srbmhtbl_addr,r4
mov.l s_readbyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm2:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm2
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop2:
mov.l r1,@r0
add r6,r0
dt r2
bf loop2
bra begincmm2
add #16,r1
endcmm2:
mov.l srwmhtbl_addr,r4
mov.l s_readword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm3:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm3
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop3:
mov.l r1,@r0
add r6,r0
dt r2
bf loop3
bra begincmm3
add #16,r1
endcmm3:
mov.l urbmhtbl_addr,r4
mov.l u_readbyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm4:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm4
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop4:
mov.l r1,@r0
add r6,r0
dt r2
bf loop4
bra begincmm4
add #16,r1
endcmm4:
mov.l urwmhtbl_addr,r4
mov.l u_readword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm5:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm5
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop5:
mov.l r1,@r0
add r6,r0
dt r2
bf loop5
bra begincmm5
add #16,r1
endcmm5:
mov.l swbmhtbl_addr,r4
mov.l s_writebyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm6:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm6
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop6:
mov.l r1,@r0
add r6,r0
dt r2
bf loop6
bra begincmm6
add #16,r1
endcmm6:
mov.l swwmhtbl_addr,r4
mov.l s_writeword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm7:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm7
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop7:
mov.l r1,@r0
add r6,r0
dt r2
bf loop7
bra begincmm7
add #16,r1
endcmm7:
mov.l uwbmhtbl_addr,r4
mov.l u_writebyte_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm8:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm8
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop8:
mov.l r1,@r0
add r6,r0
dt r2
bf loop8
bra begincmm8
add #16,r1
endcmm8:
mov.l uwwmhtbl_addr,r4
mov.l u_writeword_addr,r1
mov #-12,r3
mov #4,r6
mov.l @r1,r1
begincmm9:
mov.l @r1,r0
cmp/eq #-1,r0
bt endcmm9
mov.l @r1,r0
mov.l @(4,r1),r2
shld r3,r0
shld r3,r2
sub r0,r2
add #1,r2
shll2 r0
add r4,r0
loop9:
mov.l r1,@r0
add r6,r0
dt r2
bf loop9
bra begincmm9
add #16,r1
endcmm9:
rts
mov #0,r0
.balign 32
interrupts_addr10: .long interrupts
idxtbl_size: .long 40960
contxte: .long contextend
contxtb: .long contextbegin
sfmhtbl_addr: .long sfmhtbl
ufmhtbl_addr: .long ufmhtbl
srbmhtbl_addr: .long srbmhtbl
urbmhtbl_addr: .long urbmhtbl
swbmhtbl_addr: .long swbmhtbl
uwbmhtbl_addr: .long uwbmhtbl
srwmhtbl_addr: .long srwmhtbl
urwmhtbl_addr: .long urwmhtbl
swwmhtbl_addr: .long swwmhtbl
uwwmhtbl_addr: .long uwwmhtbl
s_fetch_addr: .long s_fetch
u_fetch_addr: .long u_fetch
s_readbyte_addr: .long s_readbyte
u_readbyte_addr: .long u_readbyte
s_writebyte_addr: .long s_writebyte
u_writebyte_addr: .long u_writebyte
s_readword_addr: .long s_readword
u_readword_addr: .long u_readword
s_writeword_addr: .long s_writeword
u_writeword_addr: .long u_writeword
.balign 32
.global _m68k_get_register
_m68k_get_register:
mov #17,r0
cmp/gt r0,r4
bt cont_get
mov #16,r0
cmp/gt r0,r4
bf .set_dareg
bra _m68k_get_pc
nop
.set_dareg:
mov.l reg_addr11,r0
shll2 r4
rts
mov.l @(r0,r4),r0
cont_get:
mov #18,r0
cmp/eq r0,r4
bf inv_idx
mov.l sreg_addr11,r0
mov.w @r0,r0
rts
extu.w r0,r0
inv_idx:
rts
mov #-1,r0
.balign 32
sreg_addr11: .long sreg
reg_addr11: .long reg
.balign 32
.global _m68k_get_pc
_m68k_get_pc:
mov.l execinfo_addr12,r0
mov.w @r0,r0
tst #1,r0
bf running
mov.l pc_addr12,r0
rts
mov.l @r0,r0
running:
mov.l io_fetchbased_pc_addr12,r0
mov.l @r0,r0
mov.l io_fetchbase_addr12,r1
mov.l @r1,r1
rts
sub r1,r0
.balign 32
pc_addr12: .long pc
execinfo_addr12: .long execinfo
io_fetchbase_addr12: .long io_fetchbase
io_fetchbased_pc_addr12: .long io_fetchbased_pc
.balign 32
.global _m68k_set_register
_m68k_set_register:
mov #17,r0
cmp/gt r0,r4
bt .cont_set
mov #16,r0
cmp/gt r0,r4
bt .set_pc
mov.l reg_addr13,r0
shll2 r4
mov.l r5,@(r0,r4)
rts
mov #0,r0
.set_pc:
shll8 r5
shlr8 r5
mov.l execinfo_addr13,r0
mov #1,r2
mov.b @r0,r1
tst r2,r1
bf .cpulive
mov.l pc_addr13,r0
mov.l r5,@r0
rts
mov #0,r0
.cpulive:
mov.l io_fetchbase_addr13,r0
mov.l @r0,r1
mov.l io_fetchbased_pc_addr13,r2
add r5,r1
mov.l r1,@r2
rts
mov #0,r0
.cont_set:
mov #18,r0
cmp/eq r0,r4
bf .inv_idx
mov.l sreg_addr13,r0
mov.w r5,@r0
rts
mov #0,r0
.inv_idx:
rts
mov #-1,r0
.balign 32
sreg_addr13: .long sreg
reg_addr13: .long reg
execinfo_addr13: .long execinfo
pc_addr13: .long pc
io_fetchbase_addr13: .long io_fetchbase
io_fetchbased_pc_addr13: .long io_fetchbased_pc
.balign 32
.global _m68k_fetch
_m68k_fetch:
mov #3,r0
and r0,r5
mov r4,r2
mov #-12,r0
shld r0,r4
mov.l fetch_vector_addr14,r0
shll2 r5
mov.l @(r0,r5),r0
shll2 r4
mov.l @(r0,r4),r0
mov r2,r4
tst r0,r0
bt .outofrange
shlr2 r5
mov #1,r1
tst r1,r5
bt .base_prg
bra .base_dat
nop
.outofrange:
rts
mov #-1,r0
.base_prg:
mov.l @(8,r0),r0
mov.w @(r0,r4),r0
rts
extu.w r0,r0
.base_dat:
mov.l @(8,r0),r1
tst r1,r1
bf .callio
mov.l @(12,r0),r0
mov.w @(r0,r4),r0
rts
extu.w r0,r0
.callio:
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
rts
extu.w r0,r0
.balign 32
fetch_vector_addr14: .long fetch_vector
.balign 32
.global _m68k_get_cycles_counter
_m68k_get_cycles_counter:
rts
mov #-1,r0
.balign 32
.global _m68k_control_cycles_counter
_m68k_control_cycles_counter:
rts
mov #-1,r0
.balign 32
.global _m68k_trip_cycles_counter
_m68k_trip_cycles_counter:
rts
mov #-1,r0
.balign 32
.global _m68k_release_timeslice
_m68k_release_timeslice:
rts
mov #0,r0
.balign 32
.global _m68k_add_cycles
_m68k_add_cycles:
rts
mov #-1,r0
.balign 32
.global _m68k_release_cycles
_m68k_release_cycles:
rts
mov #-1,r0
.balign 32
.global _m68k_get_cpu_state
_m68k_get_cpu_state:
mov.l execinfo_addr20,r0
mov.w @r0,r0
rts
extu.w r0,r0
.balign 32
execinfo_addr20: .long execinfo
.balign 32
basefunction:
shll8 r6
shlr8 r6
mov r6,r0
mov #-12,r1
shld r1,r0
mov.l @r11,r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt outofrange
rts
mov.l @(8,r0),r5
outofrange:
xor r5,r5
mov.l execinfo_addr21,r1
mov.w @r1,r0
or #2,r0
rts
mov.w r0,@r1
.balign 32
execinfo_addr21: .long execinfo
.balign 32
readmemorybyte:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readbyte_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readb_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readb_callio
mov.l @(12,r0),r0
add r4,r0
xor #1,r0
mov.b @r0,r3
rts
mov.l @r15+,r4
readb_callio:
mov.l io_cycle_counter_addr22,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l r2,@-r15
sts.l	pr,@-r15
jsr @r1
nop
exts.b r0,r3
lds.l	@r15+,pr
mov.l io_cycle_counter_addr22,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
mov.l @r15+,r2
rts
mov.l @r15+,r4
readb_outofrange:
mov #-1,r3
rts
mov.l @r15+,r4
.balign 32
io_cycle_counter_addr22: .long io_cycle_counter
.balign 32
readmemoryword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readw_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readw_callio
mov.l @(12,r0),r0
mov.w @(r0,r4),r3
rts
mov.l @r15+,r4
readw_callio:
mov.l io_cycle_counter_addr24,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l r2,@-r15
sts.l	pr,@-r15
jsr @r1
nop
exts.w r0,r3
lds.l	@r15+,pr
mov.l io_cycle_counter_addr24,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
mov.l @r15+,r2
rts
mov.l @r15+,r4
readw_outofrange:
mov #-1,r3
rts
mov.l @r15+,r4
.balign 32
io_cycle_counter_addr24: .long io_cycle_counter
.balign 32
readmemorydword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(readword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt readl_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf readl_callio
add #2,r4
mov.l @(4,r0),r3
cmp/hi r3,r4
bt readl_split
mov.l @(12,r0),r1
add #-2,r4
add r1,r4
mov.w @r4+,r0
mov.w @r4,r3
shll16 r3
xtrct r0,r3
rts
mov.l @r15+,r4
readl_outofrange:
add #2,r4
mov #-1,r3
mov.l @(4,r0),r1
cmp/gt r1,r4
bt readl_lower
rts
mov.l @r15+,r4
readl_callio:
add #2,r4
mov.l @(4,r0),r3
cmp/hi r3,r4
bt readl_iosplit
mov.l r2,@-r15
sts.l	pr,@-r15
mov.l r4,@-r15
mov.l r1,@-r15
mov.l io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
jsr @r1
nop
mov.l @r15+,r1
mov.l @r15+,r4
mov.l r0,@-r15
jsr @r1
add #-2,r4
mov.l @r15+,r3
lds.l	@r15+,pr
shll16 r0
extu.w r3,r3
or r0,r3
mov.l @r15+,r2
mov.l io_cycle_counter_addr26,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
rts
mov.l @r15+,r4
readl_split:
mov.l @(12,r0),r1
mov r4,r0
add r1,r0
add #-2,r0
mov.w @r0,r3
readl_lower:
shll16 r3
bsr readmemoryword
mov.l r3,@-r15
extu.w r3,r3
mov.l @r15+,r0
or r0,r3
rts
mov.l @r15+,r4
readl_iosplit:
mov.l r2,@-r15
mov.l io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l io_cycle_counter_addr26,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov r0,r3
mov.l @r15+,r2
bra readl_lower
mov.l @r15+,r4
.balign 32
io_cycle_counter_addr26: .long io_cycle_counter
.balign 32
writememorybyte:
writeb_top:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writebyte_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writeb_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writeb_callio
mov.l @(12,r0),r0
add r4,r0
xor #1,r0
mov.b r3,@r0
rts
mov.l @r15+,r4
writeb_outofrange:
rts
mov.l @r15+,r4
writeb_callio:
mov.l io_cycle_counter_addr28,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l r2,@-r15
mov.l r3,@-r15
sts.l	pr,@-r15
jsr @r1
extu.b r3,r5
lds.l	@r15+,pr
mov.l io_cycle_counter_addr28,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
mov.l @r15+,r3
mov.l @r15+,r2
rts
mov.l @r15+,r4
.balign 32
io_cycle_counter_addr28: .long io_cycle_counter
.balign 32
writememoryword:
writew_top:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writew_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writew_callio
mov.l @(12,r0),r0
mov.w r3,@(r0,r4)
rts
mov.l @r15+,r4
writew_outofrange:
rts
mov.l @r15+,r4
writew_callio:
mov.l io_cycle_counter_addr30,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l r2,@-r15
mov.l r3,@-r15
sts.l	pr,@-r15
jsr @r1
extu.w r3,r5
lds.l	@r15+,pr
mov.l io_cycle_counter_addr30,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
mov.l @r15+,r3
mov.l @r15+,r2
rts
mov.l @r15+,r4
.balign 32
io_cycle_counter_addr30: .long io_cycle_counter
.balign 32
writememorydword:
mov.l r4,@-r15
shll8 r4
shlr8 r4
mov #-12,r1
mov r4,r0
shld r1,r0
mov.l @(writeword_idx-fetch_idx,r11),r1
shll2 r0
mov.l @(r0,r1),r0
tst r0,r0
bt writel_outofrange
mov.l @(8,r0),r1
tst r1,r1
bf writel_callio
add #2,r4
mov.l @(4,r0),r1
cmp/hi r1,r4
bt writel_split
mov.l @(12,r0),r0
mov.w r3,@(r0,r4)
mov r3,r1
shlr16 r1
add #-2,r4
mov.w r1,@(r0,r4)
rts
mov.l @r15+,r4
writel_outofrange:
rts
mov.l @r15+,r4
writel_callio:
add #2,r4
mov.l @(4,r0),r1
cmp/hi r1,r4
add #-2,r4
bt writel_iosplit
mov.l @(8,r0),r1
mov.l io_cycle_counter_addr32,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l r2,@-r15
mov.l r3,@-r15
sts.l	pr,@-r15
mov.l r4,@-r15
mov.l r1,@-r15
mov r3,r5
jsr @r1
shlr16 r5
mov.l @r15+,r1
mov.l @r15+,r4
mov.l @(4,r15),r5
add #2,r4
jsr @r1
extu.w r5,r5
lds.l	@r15+,pr
mov.l @r15+,r3
mov.l @r15+,r2
mov.l io_cycle_counter_addr32,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
rts
mov.l @r15+,r4
writel_end:
rts
mov.l @r15+,r4
writel_split:
mov.l @(12,r0),r1
add r1,r4
mov.w r3,@r4
shlr16 r3
bra writew_top
mov.l @r15+,r4
writel_iosplit:
mov r0,r1
mov.l io_cycle_counter_addr32,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
mov.l @r15,r5
mov.l r2,@-r15
mov.l r4,@-r15
sts.l	pr,@-r15
shlr16 r5
jsr @r1
mov r3,r6
lds.l	@r15+,pr
mov.l @r15+,r4
mov.l @r15+,r2
add #2,r4
mov r4,r0
mov.l io_cycle_counter_addr32,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
bra writew_top
mov.l @r15+,r3
.balign 32
io_cycle_counter_addr32: .long io_cycle_counter
.balign 32
group_1_exception:
group_2_exception:
sts.l	pr,@-r15
mov.l execinfo_addr34,r1
mov.w @r1,r0
and #0x7F,r0
mov.w r0,@r1
mov.l icusthandler_addr34,r0
mov.l @r0,r0
tst r0,r0
bt .vect_except
mov r4,r1
shll2 r1
mov.l @(r0,r1),r1
tst r1,r1
bt .vect_except
mov.l io_cycle_counter_addr34,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
jsr @r1
nop
lds.l	@r15+,pr
mov.l io_cycle_counter_addr34,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
rts
sub r5,r6
.vect_except:
mov.l readmemorydword_addr34,r0
jsr @r0
sub r5,r6
mov r3,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r3,r5
mov r10,r0
tst #0x20,r0
bf ln35
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
mov #0x20,r0
or r0,r10
ln35:
mov #0x27,r0
mov r6,r3
and r0,r10
mov.l @(60,r13),r4
mov.l writememorydword_addr34,r0
jsr @r0
add #-4,r4
mov r5,r3
mov.l writememoryword_addr34,r0
jsr @r0
add #-2,r4
lds.l	@r15+,pr
mov.l r4,@(60,r13)
rts
mov r2,r6
.balign 32
readmemoryword_addr34: .long readmemoryword
readmemorydword_addr34: .long readmemorydword
writememoryword_addr34: .long writememoryword
writememorydword_addr34: .long writememorydword
icusthandler_addr34: .long icusthandler
io_cycle_counter_addr34: .long io_cycle_counter
execinfo_addr34: .long execinfo
.balign 32
privilege_violation:
add #-2,r6
bsr group_1_exception
mov #0x20,r4
mov.l bf_addr36,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl37
mov.l execexit_ptr37,r1
jmp @r1
add #-2,r6
fdl37:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr37: .long execexit
.balign 32
bf_addr36: .long basefunction
.balign 32
flush_interrupts:
sub r5,r6
mov #7,r4
xor r5,r5
mov #0x80,r3
extu.b r3,r3
mov.l interrupts_addr38,r0
mov.b @r0,r2
mov r10,r1
and r4,r1
.loop:
tst r3,r2
bt .noint
mov.l r4,@-r15
mov.b @(r0,r4),r4
mov #1,r1
tst r1,r2
bf .noadint
not r3,r3
and r3,r2
mov.b r2,@r0
.noadint:
sts.l	pr,@-r15
mov.l group_1_exception_addr38,r0
jsr @r0
shll2 r4
lds.l	@r15+,pr
mov #0xf8,r0
and r0,r10
mov.l @r15+,r4
add #-44,r7
or r4,r10
mov.l iackhandler_addr38,r1
mov.l @r1,r1
tst r1,r1
bt .intdone
mov.l io_cycle_counter_addr38,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r1
nop
lds.l	@r15+,pr
mov.l io_cycle_counter_addr38,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
bra .intdone
nop
.noint:
dt r4
bt .intdone
shlr r3
cmp/hi r1,r4
bt .loop
.intdone:
mov #0x7f,r5
mov.l interrupts_addr38,r0
mov.b @r0,r2
and r5,r2
mov.b r2,@r0
rts
nop
.balign 32
interrupts_addr38: .long interrupts
group_1_exception_addr38: .long group_1_exception
iackhandler_addr38: .long iackhandler
io_cycle_counter_addr38: .long io_cycle_counter
! Opcodes 0000 - 0007
K000:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
or r1,r3
mov.b r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl39
mov.l execexit_ptr39,r1
jmp @r1
add #-2,r6
fdl39:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr39: .long execexit
! Opcodes 0010 - 0017
K010:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl40
mov.l execexit_ptr40,r1
jmp @r1
add #-2,r6
fdl40:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr40: .long execexit
! Opcodes 0018 - 001F
K018:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl41
mov.l execexit_ptr41,r1
jmp @r1
add #-2,r6
fdl41:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr41: .long execexit
! Opcodes 0020 - 0027
K020:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl42
mov.l execexit_ptr42,r1
jmp @r1
add #-2,r6
fdl42:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr42: .long execexit
! Opcodes 0028 - 002F
K028:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl43
mov.l execexit_ptr43,r1
jmp @r1
add #-2,r6
fdl43:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr43: .long execexit
! Opcodes 0030 - 0037
K030:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd0
exts.w r0,r0
longwd0:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl44
mov.l execexit_ptr44,r1
jmp @r1
add #-2,r6
fdl44:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr44: .long execexit
! Opcode 0038
K038:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl45
mov.l execexit_ptr45,r1
jmp @r1
add #-2,r6
fdl45:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr45: .long execexit
! Opcode 0039
K039:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl46
mov.l execexit_ptr46,r1
jmp @r1
add #-2,r6
fdl46:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr46: .long execexit
! Opcode 003C
K03C:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov.w @r6+,r0
or r0,r3
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl47
mov.l execexit_ptr47,r1
jmp @r1
add #-2,r6
fdl47:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr47: .long execexit
! Opcodes 0040 - 0047
K040:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
or r1,r3
mov.w r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl48
mov.l execexit_ptr48,r1
jmp @r1
add #-2,r6
fdl48:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr48: .long execexit
! Opcodes 0050 - 0057
K050:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl49
mov.l execexit_ptr49,r1
jmp @r1
add #-2,r6
fdl49:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr49: .long execexit
! Opcodes 0058 - 005F
K058:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl50
mov.l execexit_ptr50,r1
jmp @r1
add #-2,r6
fdl50:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr50: .long execexit
! Opcodes 0060 - 0067
K060:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl51
mov.l execexit_ptr51,r1
jmp @r1
add #-2,r6
fdl51:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr51: .long execexit
! Opcodes 0068 - 006F
K068:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl52
mov.l execexit_ptr52,r1
jmp @r1
add #-2,r6
fdl52:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr52: .long execexit
! Opcodes 0070 - 0077
K070:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1
exts.w r0,r0
longwd1:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl53
mov.l execexit_ptr53,r1
jmp @r1
add #-2,r6
fdl53:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr53: .long execexit
! Opcode 0078
K078:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl54
mov.l execexit_ptr54,r1
jmp @r1
add #-2,r6
fdl54:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr54: .long execexit
! Opcode 0079
K079:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl55
mov.l execexit_ptr55,r1
jmp @r1
add #-2,r6
fdl55:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr55: .long execexit
! Opcode 007C
K07C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok56
mov.l priviolation_addr56,r0
jmp @r0
nop
.balign 32
priviolation_addr56: .long privilege_violation
pcheck_ok56:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
or r0,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln57
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln57:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue59
mov.l execexit_ptr59,r0
jmp @r0
add #-2,r6
continue59:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr59: .long execexit
interrupts_addr59: .long interrupts
! Opcodes 0080 - 0087
K080:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
or r1,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl60
mov.l execexit_ptr60,r1
jmp @r1
add #-2,r6
fdl60:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr60: .long execexit
! Opcodes 0090 - 0097
K090:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl61
mov.l execexit_ptr61,r1
jmp @r1
add #-2,r6
fdl61:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr61: .long execexit
! Opcodes 0098 - 009F
K098:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl62
mov.l execexit_ptr62,r1
jmp @r1
add #-2,r6
fdl62:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr62: .long execexit
! Opcodes 00A0 - 00A7
K0A0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl63
mov.l execexit_ptr63,r1
jmp @r1
add #-2,r6
fdl63:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr63: .long execexit
! Opcodes 00A8 - 00AF
K0A8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl64
mov.l execexit_ptr64,r1
jmp @r1
add #-2,r6
fdl64:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr64: .long execexit
! Opcodes 00B0 - 00B7
K0B0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd2
exts.w r0,r0
longwd2:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl65
mov.l execexit_ptr65,r1
jmp @r1
add #-2,r6
fdl65:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr65: .long execexit
! Opcode 00B8
K0B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl66
mov.l execexit_ptr66,r1
jmp @r1
add #-2,r6
fdl66:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr66: .long execexit
! Opcode 00B9
K0B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl67
mov.l execexit_ptr67,r1
jmp @r1
add #-2,r6
fdl67:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr67: .long execexit
! Opcodes 0100 - 0107
K100:
and r1,r2
shlr r8
mov.b @r13,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl68
mov.l execexit_ptr68,r1
jmp @r1
add #-2,r6
fdl68:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr68: .long execexit
! Opcodes 0108 - 010F
K108:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.w r2,@r13
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl69
mov.l execexit_ptr69,r1
jmp @r1
add #-2,r6
fdl69:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr69: .long execexit
! Opcodes 0110 - 0117
K110:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl70
mov.l execexit_ptr70,r1
jmp @r1
add #-2,r6
fdl70:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr70: .long execexit
! Opcodes 0118 - 011F
K118:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl71
mov.l execexit_ptr71,r1
jmp @r1
add #-2,r6
fdl71:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr71: .long execexit
! Opcodes 0120 - 0127
K120:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl72
mov.l execexit_ptr72,r1
jmp @r1
add #-2,r6
fdl72:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr72: .long execexit
! Opcodes 0128 - 012F
K128:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl73
mov.l execexit_ptr73,r1
jmp @r1
add #-2,r6
fdl73:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr73: .long execexit
! Opcodes 0130 - 0137
K130:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd3
exts.w r0,r0
longwd3:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl74
mov.l execexit_ptr74,r1
jmp @r1
add #-2,r6
fdl74:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr74: .long execexit
! Opcode 0138
K138:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl75
mov.l execexit_ptr75,r1
jmp @r1
add #-2,r6
fdl75:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr75: .long execexit
! Opcode 0139
K139:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl76
mov.l execexit_ptr76,r1
jmp @r1
add #-2,r6
fdl76:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr76: .long execexit
! Opcode 013A
K13A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl77
mov.l execexit_ptr77,r1
jmp @r1
add #-2,r6
fdl77:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr77: .long execexit
! Opcode 013B
K13B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd4
exts.w r0,r0
longwd4:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl78
mov.l execexit_ptr78,r1
jmp @r1
add #-2,r6
fdl78:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr78: .long execexit
! Opcode 013C
K13C:
shlr r8
mov.b @r6,r3
add #2,r6
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl79
mov.l execexit_ptr79,r1
jmp @r1
add #-2,r6
fdl79:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr79: .long execexit
! Opcodes 0140 - 0147
K140:
and r1,r2
shlr r8
mov.b @r13,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl80
mov.l execexit_ptr80,r1
jmp @r1
add #-2,r6
fdl80:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr80: .long execexit
! Opcodes 0148 - 014F
K148:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@r13
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl81
mov.l execexit_ptr81,r1
jmp @r1
add #-2,r6
fdl81:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr81: .long execexit
! Opcodes 0150 - 0157
K150:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl82
mov.l execexit_ptr82,r1
jmp @r1
add #-2,r6
fdl82:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr82: .long execexit
! Opcodes 0158 - 015F
K158:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl83
mov.l execexit_ptr83,r1
jmp @r1
add #-2,r6
fdl83:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr83: .long execexit
! Opcodes 0160 - 0167
K160:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl84
mov.l execexit_ptr84,r1
jmp @r1
add #-2,r6
fdl84:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr84: .long execexit
! Opcodes 0168 - 016F
K168:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl85
mov.l execexit_ptr85,r1
jmp @r1
add #-2,r6
fdl85:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr85: .long execexit
! Opcodes 0170 - 0177
K170:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd5
exts.w r0,r0
longwd5:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl86
mov.l execexit_ptr86,r1
jmp @r1
add #-2,r6
fdl86:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr86: .long execexit
! Opcode 0178
K178:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl87
mov.l execexit_ptr87,r1
jmp @r1
add #-2,r6
fdl87:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr87: .long execexit
! Opcode 0179
K179:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl88
mov.l execexit_ptr88,r1
jmp @r1
add #-2,r6
fdl88:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr88: .long execexit
! Opcodes 0180 - 0187
K180:
and r1,r2
shlr r8
mov.b @r13,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl89
mov.l execexit_ptr89,r1
jmp @r1
add #-2,r6
fdl89:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr89: .long execexit
! Opcodes 0188 - 018F
K188:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @r13,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl90
mov.l execexit_ptr90,r1
jmp @r1
add #-2,r6
fdl90:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr90: .long execexit
! Opcodes 0190 - 0197
K190:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl91
mov.l execexit_ptr91,r1
jmp @r1
add #-2,r6
fdl91:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr91: .long execexit
! Opcodes 0198 - 019F
K198:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl92
mov.l execexit_ptr92,r1
jmp @r1
add #-2,r6
fdl92:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr92: .long execexit
! Opcodes 01A0 - 01A7
K1A0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl93
mov.l execexit_ptr93,r1
jmp @r1
add #-2,r6
fdl93:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr93: .long execexit
! Opcodes 01A8 - 01AF
K1A8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl94
mov.l execexit_ptr94,r1
jmp @r1
add #-2,r6
fdl94:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr94: .long execexit
! Opcodes 01B0 - 01B7
K1B0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd6
exts.w r0,r0
longwd6:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl95
mov.l execexit_ptr95,r1
jmp @r1
add #-2,r6
fdl95:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr95: .long execexit
! Opcode 01B8
K1B8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl96
mov.l execexit_ptr96,r1
jmp @r1
add #-2,r6
fdl96:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr96: .long execexit
! Opcode 01B9
K1B9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl97
mov.l execexit_ptr97,r1
jmp @r1
add #-2,r6
fdl97:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr97: .long execexit
! Opcodes 01C0 - 01C7
K1C0:
and r1,r2
shlr r8
mov.b @r13,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl98
mov.l execexit_ptr98,r1
jmp @r1
add #-2,r6
fdl98:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr98: .long execexit
! Opcodes 01C8 - 01CF
K1C8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @r13,r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl99
mov.l execexit_ptr99,r1
jmp @r1
add #-2,r6
fdl99:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr99: .long execexit
! Opcodes 01D0 - 01D7
K1D0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl100
mov.l execexit_ptr100,r1
jmp @r1
add #-2,r6
fdl100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr100: .long execexit
! Opcodes 01D8 - 01DF
K1D8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl101
mov.l execexit_ptr101,r1
jmp @r1
add #-2,r6
fdl101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr101: .long execexit
! Opcodes 01E0 - 01E7
K1E0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl102
mov.l execexit_ptr102,r1
jmp @r1
add #-2,r6
fdl102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr102: .long execexit
! Opcodes 01E8 - 01EF
K1E8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl103
mov.l execexit_ptr103,r1
jmp @r1
add #-2,r6
fdl103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr103: .long execexit
! Opcodes 01F0 - 01F7
K1F0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd7
exts.w r0,r0
longwd7:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl104
mov.l execexit_ptr104,r1
jmp @r1
add #-2,r6
fdl104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr104: .long execexit
! Opcode 01F8
K1F8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl105
mov.l execexit_ptr105,r1
jmp @r1
add #-2,r6
fdl105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr105: .long execexit
! Opcode 01F9
K1F9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl106
mov.l execexit_ptr106,r1
jmp @r1
add #-2,r6
fdl106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr106: .long execexit
! Opcodes 0200 - 0207
K200:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
and r1,r3
mov.b r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl107
mov.l execexit_ptr107,r1
jmp @r1
add #-2,r6
fdl107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr107: .long execexit
! Opcodes 0210 - 0217
K210:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl108
mov.l execexit_ptr108,r1
jmp @r1
add #-2,r6
fdl108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr108: .long execexit
! Opcodes 0218 - 021F
K218:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl109
mov.l execexit_ptr109,r1
jmp @r1
add #-2,r6
fdl109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr109: .long execexit
! Opcodes 0220 - 0227
K220:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl110
mov.l execexit_ptr110,r1
jmp @r1
add #-2,r6
fdl110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr110: .long execexit
! Opcodes 0228 - 022F
K228:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl111
mov.l execexit_ptr111,r1
jmp @r1
add #-2,r6
fdl111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr111: .long execexit
! Opcodes 0230 - 0237
K230:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd8
exts.w r0,r0
longwd8:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl112
mov.l execexit_ptr112,r1
jmp @r1
add #-2,r6
fdl112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr112: .long execexit
! Opcode 0238
K238:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl113
mov.l execexit_ptr113,r1
jmp @r1
add #-2,r6
fdl113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr113: .long execexit
! Opcode 0239
K239:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl114
mov.l execexit_ptr114,r1
jmp @r1
add #-2,r6
fdl114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr114: .long execexit
! Opcode 023C
K23C:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov.w @r6+,r0
and r0,r3
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl115
mov.l execexit_ptr115,r1
jmp @r1
add #-2,r6
fdl115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr115: .long execexit
! Opcodes 0240 - 0247
K240:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
and r1,r3
mov.w r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl116
mov.l execexit_ptr116,r1
jmp @r1
add #-2,r6
fdl116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr116: .long execexit
! Opcodes 0250 - 0257
K250:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl117
mov.l execexit_ptr117,r1
jmp @r1
add #-2,r6
fdl117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr117: .long execexit
! Opcodes 0258 - 025F
K258:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl118
mov.l execexit_ptr118,r1
jmp @r1
add #-2,r6
fdl118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr118: .long execexit
! Opcodes 0260 - 0267
K260:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl119
mov.l execexit_ptr119,r1
jmp @r1
add #-2,r6
fdl119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr119: .long execexit
! Opcodes 0268 - 026F
K268:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl120
mov.l execexit_ptr120,r1
jmp @r1
add #-2,r6
fdl120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr120: .long execexit
! Opcodes 0270 - 0277
K270:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd9
exts.w r0,r0
longwd9:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl121
mov.l execexit_ptr121,r1
jmp @r1
add #-2,r6
fdl121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr121: .long execexit
! Opcode 0278
K278:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl122
mov.l execexit_ptr122,r1
jmp @r1
add #-2,r6
fdl122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr122: .long execexit
! Opcode 0279
K279:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl123
mov.l execexit_ptr123,r1
jmp @r1
add #-2,r6
fdl123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr123: .long execexit
! Opcode 027C
K27C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok124
mov.l priviolation_addr124,r0
jmp @r0
nop
.balign 32
priviolation_addr124: .long privilege_violation
pcheck_ok124:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
and r0,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln125
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln125:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue127
mov.l execexit_ptr127,r0
jmp @r0
add #-2,r6
continue127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr127: .long execexit
interrupts_addr127: .long interrupts
! Opcodes 0280 - 0287
K280:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
and r1,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl128
mov.l execexit_ptr128,r1
jmp @r1
add #-2,r6
fdl128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr128: .long execexit
! Opcodes 0290 - 0297
K290:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl129
mov.l execexit_ptr129,r1
jmp @r1
add #-2,r6
fdl129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr129: .long execexit
! Opcodes 0298 - 029F
K298:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl130
mov.l execexit_ptr130,r1
jmp @r1
add #-2,r6
fdl130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr130: .long execexit
! Opcodes 02A0 - 02A7
K2A0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl131
mov.l execexit_ptr131,r1
jmp @r1
add #-2,r6
fdl131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr131: .long execexit
! Opcodes 02A8 - 02AF
K2A8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl132
mov.l execexit_ptr132,r1
jmp @r1
add #-2,r6
fdl132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr132: .long execexit
! Opcodes 02B0 - 02B7
K2B0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd10
exts.w r0,r0
longwd10:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl133
mov.l execexit_ptr133,r1
jmp @r1
add #-2,r6
fdl133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr133: .long execexit
! Opcode 02B8
K2B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl134
mov.l execexit_ptr134,r1
jmp @r1
add #-2,r6
fdl134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr134: .long execexit
! Opcode 02B9
K2B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl135
mov.l execexit_ptr135,r1
jmp @r1
add #-2,r6
fdl135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr135: .long execexit
! Opcodes 0300 - 0307
K300:
and r1,r2
shlr r8
mov #4,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl136
mov.l execexit_ptr136,r1
jmp @r1
add #-2,r6
fdl136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr136: .long execexit
! Opcodes 0308 - 030F
K308:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #4,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl137
mov.l execexit_ptr137,r1
jmp @r1
add #-2,r6
fdl137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr137: .long execexit
! Opcodes 0310 - 0317
K310:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl138
mov.l execexit_ptr138,r1
jmp @r1
add #-2,r6
fdl138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr138: .long execexit
! Opcodes 0318 - 031F
K318:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl139
mov.l execexit_ptr139,r1
jmp @r1
add #-2,r6
fdl139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr139: .long execexit
! Opcodes 0320 - 0327
K320:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl140
mov.l execexit_ptr140,r1
jmp @r1
add #-2,r6
fdl140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr140: .long execexit
! Opcodes 0328 - 032F
K328:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl141
mov.l execexit_ptr141,r1
jmp @r1
add #-2,r6
fdl141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr141: .long execexit
! Opcodes 0330 - 0337
K330:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd11
exts.w r0,r0
longwd11:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl142
mov.l execexit_ptr142,r1
jmp @r1
add #-2,r6
fdl142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr142: .long execexit
! Opcode 0338
K338:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl143
mov.l execexit_ptr143,r1
jmp @r1
add #-2,r6
fdl143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr143: .long execexit
! Opcode 0339
K339:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl144
mov.l execexit_ptr144,r1
jmp @r1
add #-2,r6
fdl144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr144: .long execexit
! Opcode 033A
K33A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl145
mov.l execexit_ptr145,r1
jmp @r1
add #-2,r6
fdl145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr145: .long execexit
! Opcode 033B
K33B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd12
exts.w r0,r0
longwd12:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl146
mov.l execexit_ptr146,r1
jmp @r1
add #-2,r6
fdl146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr146: .long execexit
! Opcode 033C
K33C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl147
mov.l execexit_ptr147,r1
jmp @r1
add #-2,r6
fdl147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr147: .long execexit
! Opcodes 0340 - 0347
K340:
and r1,r2
shlr r8
mov #4,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl148
mov.l execexit_ptr148,r1
jmp @r1
add #-2,r6
fdl148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr148: .long execexit
! Opcodes 0348 - 034F
K348:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(4,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl149
mov.l execexit_ptr149,r1
jmp @r1
add #-2,r6
fdl149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr149: .long execexit
! Opcodes 0350 - 0357
K350:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl150
mov.l execexit_ptr150,r1
jmp @r1
add #-2,r6
fdl150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr150: .long execexit
! Opcodes 0358 - 035F
K358:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl151
mov.l execexit_ptr151,r1
jmp @r1
add #-2,r6
fdl151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr151: .long execexit
! Opcodes 0360 - 0367
K360:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl152
mov.l execexit_ptr152,r1
jmp @r1
add #-2,r6
fdl152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr152: .long execexit
! Opcodes 0368 - 036F
K368:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl153
mov.l execexit_ptr153,r1
jmp @r1
add #-2,r6
fdl153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr153: .long execexit
! Opcodes 0370 - 0377
K370:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd13
exts.w r0,r0
longwd13:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl154
mov.l execexit_ptr154,r1
jmp @r1
add #-2,r6
fdl154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr154: .long execexit
! Opcode 0378
K378:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl155
mov.l execexit_ptr155,r1
jmp @r1
add #-2,r6
fdl155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr155: .long execexit
! Opcode 0379
K379:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl156
mov.l execexit_ptr156,r1
jmp @r1
add #-2,r6
fdl156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr156: .long execexit
! Opcodes 0380 - 0387
K380:
and r1,r2
shlr r8
mov #4,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl157
mov.l execexit_ptr157,r1
jmp @r1
add #-2,r6
fdl157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr157: .long execexit
! Opcodes 0388 - 038F
K388:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(4,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl158
mov.l execexit_ptr158,r1
jmp @r1
add #-2,r6
fdl158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr158: .long execexit
! Opcodes 0390 - 0397
K390:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl159
mov.l execexit_ptr159,r1
jmp @r1
add #-2,r6
fdl159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr159: .long execexit
! Opcodes 0398 - 039F
K398:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl160
mov.l execexit_ptr160,r1
jmp @r1
add #-2,r6
fdl160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr160: .long execexit
! Opcodes 03A0 - 03A7
K3A0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl161
mov.l execexit_ptr161,r1
jmp @r1
add #-2,r6
fdl161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr161: .long execexit
! Opcodes 03A8 - 03AF
K3A8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl162
mov.l execexit_ptr162,r1
jmp @r1
add #-2,r6
fdl162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr162: .long execexit
! Opcodes 03B0 - 03B7
K3B0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd14
exts.w r0,r0
longwd14:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl163
mov.l execexit_ptr163,r1
jmp @r1
add #-2,r6
fdl163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr163: .long execexit
! Opcode 03B8
K3B8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl164
mov.l execexit_ptr164,r1
jmp @r1
add #-2,r6
fdl164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr164: .long execexit
! Opcode 03B9
K3B9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl165
mov.l execexit_ptr165,r1
jmp @r1
add #-2,r6
fdl165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr165: .long execexit
! Opcodes 03C0 - 03C7
K3C0:
and r1,r2
shlr r8
mov #4,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl166
mov.l execexit_ptr166,r1
jmp @r1
add #-2,r6
fdl166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr166: .long execexit
! Opcodes 03C8 - 03CF
K3C8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(4,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl167
mov.l execexit_ptr167,r1
jmp @r1
add #-2,r6
fdl167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr167: .long execexit
! Opcodes 03D0 - 03D7
K3D0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl168
mov.l execexit_ptr168,r1
jmp @r1
add #-2,r6
fdl168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr168: .long execexit
! Opcodes 03D8 - 03DF
K3D8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl169
mov.l execexit_ptr169,r1
jmp @r1
add #-2,r6
fdl169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr169: .long execexit
! Opcodes 03E0 - 03E7
K3E0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl170
mov.l execexit_ptr170,r1
jmp @r1
add #-2,r6
fdl170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr170: .long execexit
! Opcodes 03E8 - 03EF
K3E8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl171
mov.l execexit_ptr171,r1
jmp @r1
add #-2,r6
fdl171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr171: .long execexit
! Opcodes 03F0 - 03F7
K3F0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd15
exts.w r0,r0
longwd15:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl172
mov.l execexit_ptr172,r1
jmp @r1
add #-2,r6
fdl172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr172: .long execexit
! Opcode 03F8
K3F8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl173
mov.l execexit_ptr173,r1
jmp @r1
add #-2,r6
fdl173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr173: .long execexit
! Opcode 03F9
K3F9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl174
mov.l execexit_ptr174,r1
jmp @r1
add #-2,r6
fdl174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr174: .long execexit
! Opcodes 0400 - 0407
K400:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl175
mov.l execexit_ptr175,r1
jmp @r1
add #-2,r6
fdl175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr175: .long execexit
! Opcodes 0410 - 0417
K410:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl176
mov.l execexit_ptr176,r1
jmp @r1
add #-2,r6
fdl176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr176: .long execexit
! Opcodes 0418 - 041F
K418:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl177
mov.l execexit_ptr177,r1
jmp @r1
add #-2,r6
fdl177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr177: .long execexit
! Opcodes 0420 - 0427
K420:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl178
mov.l execexit_ptr178,r1
jmp @r1
add #-2,r6
fdl178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr178: .long execexit
! Opcodes 0428 - 042F
K428:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl179
mov.l execexit_ptr179,r1
jmp @r1
add #-2,r6
fdl179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr179: .long execexit
! Opcodes 0430 - 0437
K430:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd16
exts.w r0,r0
longwd16:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl180
mov.l execexit_ptr180,r1
jmp @r1
add #-2,r6
fdl180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr180: .long execexit
! Opcode 0438
K438:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl181
mov.l execexit_ptr181,r1
jmp @r1
add #-2,r6
fdl181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr181: .long execexit
! Opcode 0439
K439:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl182
mov.l execexit_ptr182,r1
jmp @r1
add #-2,r6
fdl182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr182: .long execexit
! Opcodes 0440 - 0447
K440:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl183
mov.l execexit_ptr183,r1
jmp @r1
add #-2,r6
fdl183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr183: .long execexit
! Opcodes 0450 - 0457
K450:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl184
mov.l execexit_ptr184,r1
jmp @r1
add #-2,r6
fdl184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr184: .long execexit
! Opcodes 0458 - 045F
K458:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl185
mov.l execexit_ptr185,r1
jmp @r1
add #-2,r6
fdl185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr185: .long execexit
! Opcodes 0460 - 0467
K460:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl186
mov.l execexit_ptr186,r1
jmp @r1
add #-2,r6
fdl186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr186: .long execexit
! Opcodes 0468 - 046F
K468:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl187
mov.l execexit_ptr187,r1
jmp @r1
add #-2,r6
fdl187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr187: .long execexit
! Opcodes 0470 - 0477
K470:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd17
exts.w r0,r0
longwd17:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl188
mov.l execexit_ptr188,r1
jmp @r1
add #-2,r6
fdl188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr188: .long execexit
! Opcode 0478
K478:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl189
mov.l execexit_ptr189,r1
jmp @r1
add #-2,r6
fdl189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr189: .long execexit
! Opcode 0479
K479:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl190
mov.l execexit_ptr190,r1
jmp @r1
add #-2,r6
fdl190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr190: .long execexit
! Opcodes 0480 - 0487
K480:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl191
mov.l execexit_ptr191,r1
jmp @r1
add #-2,r6
fdl191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr191: .long execexit
! Opcodes 0490 - 0497
K490:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl192
mov.l execexit_ptr192,r1
jmp @r1
add #-2,r6
fdl192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr192: .long execexit
! Opcodes 0498 - 049F
K498:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl193
mov.l execexit_ptr193,r1
jmp @r1
add #-2,r6
fdl193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr193: .long execexit
! Opcodes 04A0 - 04A7
K4A0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl194
mov.l execexit_ptr194,r1
jmp @r1
add #-2,r6
fdl194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr194: .long execexit
! Opcodes 04A8 - 04AF
K4A8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl195
mov.l execexit_ptr195,r1
jmp @r1
add #-2,r6
fdl195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr195: .long execexit
! Opcodes 04B0 - 04B7
K4B0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd18
exts.w r0,r0
longwd18:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl196
mov.l execexit_ptr196,r1
jmp @r1
add #-2,r6
fdl196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr196: .long execexit
! Opcode 04B8
K4B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl197
mov.l execexit_ptr197,r1
jmp @r1
add #-2,r6
fdl197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr197: .long execexit
! Opcode 04B9
K4B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl198
mov.l execexit_ptr198,r1
jmp @r1
add #-2,r6
fdl198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr198: .long execexit
! Opcodes 0500 - 0507
K500:
and r1,r2
shlr r8
mov #8,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl199
mov.l execexit_ptr199,r1
jmp @r1
add #-2,r6
fdl199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr199: .long execexit
! Opcodes 0508 - 050F
K508:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #8,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl200
mov.l execexit_ptr200,r1
jmp @r1
add #-2,r6
fdl200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr200: .long execexit
! Opcodes 0510 - 0517
K510:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl201
mov.l execexit_ptr201,r1
jmp @r1
add #-2,r6
fdl201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr201: .long execexit
! Opcodes 0518 - 051F
K518:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl202
mov.l execexit_ptr202,r1
jmp @r1
add #-2,r6
fdl202:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr202: .long execexit
! Opcodes 0520 - 0527
K520:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl203
mov.l execexit_ptr203,r1
jmp @r1
add #-2,r6
fdl203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr203: .long execexit
! Opcodes 0528 - 052F
K528:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl204
mov.l execexit_ptr204,r1
jmp @r1
add #-2,r6
fdl204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr204: .long execexit
! Opcodes 0530 - 0537
K530:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd19
exts.w r0,r0
longwd19:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl205
mov.l execexit_ptr205,r1
jmp @r1
add #-2,r6
fdl205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr205: .long execexit
! Opcode 0538
K538:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl206
mov.l execexit_ptr206,r1
jmp @r1
add #-2,r6
fdl206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr206: .long execexit
! Opcode 0539
K539:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl207
mov.l execexit_ptr207,r1
jmp @r1
add #-2,r6
fdl207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr207: .long execexit
! Opcode 053A
K53A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl208
mov.l execexit_ptr208,r1
jmp @r1
add #-2,r6
fdl208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr208: .long execexit
! Opcode 053B
K53B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd20
exts.w r0,r0
longwd20:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl209
mov.l execexit_ptr209,r1
jmp @r1
add #-2,r6
fdl209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr209: .long execexit
! Opcode 053C
K53C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl210
mov.l execexit_ptr210,r1
jmp @r1
add #-2,r6
fdl210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr210: .long execexit
! Opcodes 0540 - 0547
K540:
and r1,r2
shlr r8
mov #8,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl211
mov.l execexit_ptr211,r1
jmp @r1
add #-2,r6
fdl211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr211: .long execexit
! Opcodes 0548 - 054F
K548:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(8,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl212
mov.l execexit_ptr212,r1
jmp @r1
add #-2,r6
fdl212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr212: .long execexit
! Opcodes 0550 - 0557
K550:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl213
mov.l execexit_ptr213,r1
jmp @r1
add #-2,r6
fdl213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr213: .long execexit
! Opcodes 0558 - 055F
K558:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl214
mov.l execexit_ptr214,r1
jmp @r1
add #-2,r6
fdl214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr214: .long execexit
! Opcodes 0560 - 0567
K560:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl215
mov.l execexit_ptr215,r1
jmp @r1
add #-2,r6
fdl215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr215: .long execexit
! Opcodes 0568 - 056F
K568:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl216
mov.l execexit_ptr216,r1
jmp @r1
add #-2,r6
fdl216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr216: .long execexit
! Opcodes 0570 - 0577
K570:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd21
exts.w r0,r0
longwd21:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl217
mov.l execexit_ptr217,r1
jmp @r1
add #-2,r6
fdl217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr217: .long execexit
! Opcode 0578
K578:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl218
mov.l execexit_ptr218,r1
jmp @r1
add #-2,r6
fdl218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr218: .long execexit
! Opcode 0579
K579:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl219
mov.l execexit_ptr219,r1
jmp @r1
add #-2,r6
fdl219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr219: .long execexit
! Opcodes 0580 - 0587
K580:
and r1,r2
shlr r8
mov #8,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl220
mov.l execexit_ptr220,r1
jmp @r1
add #-2,r6
fdl220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr220: .long execexit
! Opcodes 0588 - 058F
K588:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(8,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl221
mov.l execexit_ptr221,r1
jmp @r1
add #-2,r6
fdl221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr221: .long execexit
! Opcodes 0590 - 0597
K590:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl222
mov.l execexit_ptr222,r1
jmp @r1
add #-2,r6
fdl222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr222: .long execexit
! Opcodes 0598 - 059F
K598:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl223
mov.l execexit_ptr223,r1
jmp @r1
add #-2,r6
fdl223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr223: .long execexit
! Opcodes 05A0 - 05A7
K5A0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl224
mov.l execexit_ptr224,r1
jmp @r1
add #-2,r6
fdl224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr224: .long execexit
! Opcodes 05A8 - 05AF
K5A8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl225
mov.l execexit_ptr225,r1
jmp @r1
add #-2,r6
fdl225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr225: .long execexit
! Opcodes 05B0 - 05B7
K5B0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd22
exts.w r0,r0
longwd22:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl226
mov.l execexit_ptr226,r1
jmp @r1
add #-2,r6
fdl226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr226: .long execexit
! Opcode 05B8
K5B8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl227
mov.l execexit_ptr227,r1
jmp @r1
add #-2,r6
fdl227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr227: .long execexit
! Opcode 05B9
K5B9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl228
mov.l execexit_ptr228,r1
jmp @r1
add #-2,r6
fdl228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr228: .long execexit
! Opcodes 05C0 - 05C7
K5C0:
and r1,r2
shlr r8
mov #8,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl229
mov.l execexit_ptr229,r1
jmp @r1
add #-2,r6
fdl229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr229: .long execexit
! Opcodes 05C8 - 05CF
K5C8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(8,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl230
mov.l execexit_ptr230,r1
jmp @r1
add #-2,r6
fdl230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr230: .long execexit
! Opcodes 05D0 - 05D7
K5D0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl231
mov.l execexit_ptr231,r1
jmp @r1
add #-2,r6
fdl231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr231: .long execexit
! Opcodes 05D8 - 05DF
K5D8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl232
mov.l execexit_ptr232,r1
jmp @r1
add #-2,r6
fdl232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr232: .long execexit
! Opcodes 05E0 - 05E7
K5E0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl233
mov.l execexit_ptr233,r1
jmp @r1
add #-2,r6
fdl233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr233: .long execexit
! Opcodes 05E8 - 05EF
K5E8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl234
mov.l execexit_ptr234,r1
jmp @r1
add #-2,r6
fdl234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr234: .long execexit
! Opcodes 05F0 - 05F7
K5F0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd23
exts.w r0,r0
longwd23:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl235
mov.l execexit_ptr235,r1
jmp @r1
add #-2,r6
fdl235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr235: .long execexit
! Opcode 05F8
K5F8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl236
mov.l execexit_ptr236,r1
jmp @r1
add #-2,r6
fdl236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr236: .long execexit
! Opcode 05F9
K5F9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl237
mov.l execexit_ptr237,r1
jmp @r1
add #-2,r6
fdl237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr237: .long execexit
! Opcodes 0600 - 0607
K600:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl238
mov.l execexit_ptr238,r1
jmp @r1
add #-2,r6
fdl238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr238: .long execexit
! Opcodes 0610 - 0617
K610:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl239
mov.l execexit_ptr239,r1
jmp @r1
add #-2,r6
fdl239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr239: .long execexit
! Opcodes 0618 - 061F
K618:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl240
mov.l execexit_ptr240,r1
jmp @r1
add #-2,r6
fdl240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr240: .long execexit
! Opcodes 0620 - 0627
K620:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl241
mov.l execexit_ptr241,r1
jmp @r1
add #-2,r6
fdl241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr241: .long execexit
! Opcodes 0628 - 062F
K628:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl242
mov.l execexit_ptr242,r1
jmp @r1
add #-2,r6
fdl242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr242: .long execexit
! Opcodes 0630 - 0637
K630:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd24
exts.w r0,r0
longwd24:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl243
mov.l execexit_ptr243,r1
jmp @r1
add #-2,r6
fdl243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr243: .long execexit
! Opcode 0638
K638:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl244
mov.l execexit_ptr244,r1
jmp @r1
add #-2,r6
fdl244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr244: .long execexit
! Opcode 0639
K639:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl245
mov.l execexit_ptr245,r1
jmp @r1
add #-2,r6
fdl245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr245: .long execexit
! Opcodes 0640 - 0647
K640:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl246
mov.l execexit_ptr246,r1
jmp @r1
add #-2,r6
fdl246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr246: .long execexit
! Opcodes 0650 - 0657
K650:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl247
mov.l execexit_ptr247,r1
jmp @r1
add #-2,r6
fdl247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr247: .long execexit
! Opcodes 0658 - 065F
K658:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl248
mov.l execexit_ptr248,r1
jmp @r1
add #-2,r6
fdl248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr248: .long execexit
! Opcodes 0660 - 0667
K660:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl249
mov.l execexit_ptr249,r1
jmp @r1
add #-2,r6
fdl249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr249: .long execexit
! Opcodes 0668 - 066F
K668:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl250
mov.l execexit_ptr250,r1
jmp @r1
add #-2,r6
fdl250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr250: .long execexit
! Opcodes 0670 - 0677
K670:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd25
exts.w r0,r0
longwd25:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl251
mov.l execexit_ptr251,r1
jmp @r1
add #-2,r6
fdl251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr251: .long execexit
! Opcode 0678
K678:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl252
mov.l execexit_ptr252,r1
jmp @r1
add #-2,r6
fdl252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr252: .long execexit
! Opcode 0679
K679:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl253
mov.l execexit_ptr253,r1
jmp @r1
add #-2,r6
fdl253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr253: .long execexit
! Opcodes 0680 - 0687
K680:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl254
mov.l execexit_ptr254,r1
jmp @r1
add #-2,r6
fdl254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr254: .long execexit
! Opcodes 0690 - 0697
K690:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl255
mov.l execexit_ptr255,r1
jmp @r1
add #-2,r6
fdl255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr255: .long execexit
! Opcodes 0698 - 069F
K698:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl256
mov.l execexit_ptr256,r1
jmp @r1
add #-2,r6
fdl256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr256: .long execexit
! Opcodes 06A0 - 06A7
K6A0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl257
mov.l execexit_ptr257,r1
jmp @r1
add #-2,r6
fdl257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr257: .long execexit
! Opcodes 06A8 - 06AF
K6A8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl258
mov.l execexit_ptr258,r1
jmp @r1
add #-2,r6
fdl258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr258: .long execexit
! Opcodes 06B0 - 06B7
K6B0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd26
exts.w r0,r0
longwd26:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl259
mov.l execexit_ptr259,r1
jmp @r1
add #-2,r6
fdl259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr259: .long execexit
! Opcode 06B8
K6B8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl260
mov.l execexit_ptr260,r1
jmp @r1
add #-2,r6
fdl260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr260: .long execexit
! Opcode 06B9
K6B9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl261
mov.l execexit_ptr261,r1
jmp @r1
add #-2,r6
fdl261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr261: .long execexit
! Opcodes 0700 - 0707
K700:
and r1,r2
shlr r8
mov #12,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl262
mov.l execexit_ptr262,r1
jmp @r1
add #-2,r6
fdl262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr262: .long execexit
! Opcodes 0708 - 070F
K708:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #12,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl263
mov.l execexit_ptr263,r1
jmp @r1
add #-2,r6
fdl263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr263: .long execexit
! Opcodes 0710 - 0717
K710:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl264
mov.l execexit_ptr264,r1
jmp @r1
add #-2,r6
fdl264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr264: .long execexit
! Opcodes 0718 - 071F
K718:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl265
mov.l execexit_ptr265,r1
jmp @r1
add #-2,r6
fdl265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr265: .long execexit
! Opcodes 0720 - 0727
K720:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl266
mov.l execexit_ptr266,r1
jmp @r1
add #-2,r6
fdl266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr266: .long execexit
! Opcodes 0728 - 072F
K728:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl267
mov.l execexit_ptr267,r1
jmp @r1
add #-2,r6
fdl267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr267: .long execexit
! Opcodes 0730 - 0737
K730:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd27
exts.w r0,r0
longwd27:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl268
mov.l execexit_ptr268,r1
jmp @r1
add #-2,r6
fdl268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr268: .long execexit
! Opcode 0738
K738:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl269
mov.l execexit_ptr269,r1
jmp @r1
add #-2,r6
fdl269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr269: .long execexit
! Opcode 0739
K739:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl270
mov.l execexit_ptr270,r1
jmp @r1
add #-2,r6
fdl270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr270: .long execexit
! Opcode 073A
K73A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl271
mov.l execexit_ptr271,r1
jmp @r1
add #-2,r6
fdl271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr271: .long execexit
! Opcode 073B
K73B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd28
exts.w r0,r0
longwd28:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl272
mov.l execexit_ptr272,r1
jmp @r1
add #-2,r6
fdl272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr272: .long execexit
! Opcode 073C
K73C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl273
mov.l execexit_ptr273,r1
jmp @r1
add #-2,r6
fdl273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr273: .long execexit
! Opcodes 0740 - 0747
K740:
and r1,r2
shlr r8
mov #12,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl274
mov.l execexit_ptr274,r1
jmp @r1
add #-2,r6
fdl274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr274: .long execexit
! Opcodes 0748 - 074F
K748:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(12,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl275
mov.l execexit_ptr275,r1
jmp @r1
add #-2,r6
fdl275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr275: .long execexit
! Opcodes 0750 - 0757
K750:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl276
mov.l execexit_ptr276,r1
jmp @r1
add #-2,r6
fdl276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr276: .long execexit
! Opcodes 0758 - 075F
K758:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl277
mov.l execexit_ptr277,r1
jmp @r1
add #-2,r6
fdl277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr277: .long execexit
! Opcodes 0760 - 0767
K760:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl278
mov.l execexit_ptr278,r1
jmp @r1
add #-2,r6
fdl278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr278: .long execexit
! Opcodes 0768 - 076F
K768:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl279
mov.l execexit_ptr279,r1
jmp @r1
add #-2,r6
fdl279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr279: .long execexit
! Opcodes 0770 - 0777
K770:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd29
exts.w r0,r0
longwd29:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl280
mov.l execexit_ptr280,r1
jmp @r1
add #-2,r6
fdl280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr280: .long execexit
! Opcode 0778
K778:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl281
mov.l execexit_ptr281,r1
jmp @r1
add #-2,r6
fdl281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr281: .long execexit
! Opcode 0779
K779:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl282
mov.l execexit_ptr282,r1
jmp @r1
add #-2,r6
fdl282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr282: .long execexit
! Opcodes 0780 - 0787
K780:
and r1,r2
shlr r8
mov #12,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl283
mov.l execexit_ptr283,r1
jmp @r1
add #-2,r6
fdl283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr283: .long execexit
! Opcodes 0788 - 078F
K788:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(12,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl284
mov.l execexit_ptr284,r1
jmp @r1
add #-2,r6
fdl284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr284: .long execexit
! Opcodes 0790 - 0797
K790:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl285
mov.l execexit_ptr285,r1
jmp @r1
add #-2,r6
fdl285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr285: .long execexit
! Opcodes 0798 - 079F
K798:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl286
mov.l execexit_ptr286,r1
jmp @r1
add #-2,r6
fdl286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr286: .long execexit
! Opcodes 07A0 - 07A7
K7A0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl287
mov.l execexit_ptr287,r1
jmp @r1
add #-2,r6
fdl287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr287: .long execexit
! Opcodes 07A8 - 07AF
K7A8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl288
mov.l execexit_ptr288,r1
jmp @r1
add #-2,r6
fdl288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr288: .long execexit
! Opcodes 07B0 - 07B7
K7B0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd30
exts.w r0,r0
longwd30:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl289
mov.l execexit_ptr289,r1
jmp @r1
add #-2,r6
fdl289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr289: .long execexit
! Opcode 07B8
K7B8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl290
mov.l execexit_ptr290,r1
jmp @r1
add #-2,r6
fdl290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr290: .long execexit
! Opcode 07B9
K7B9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl291
mov.l execexit_ptr291,r1
jmp @r1
add #-2,r6
fdl291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr291: .long execexit
! Opcodes 07C0 - 07C7
K7C0:
and r1,r2
shlr r8
mov #12,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl292
mov.l execexit_ptr292,r1
jmp @r1
add #-2,r6
fdl292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr292: .long execexit
! Opcodes 07C8 - 07CF
K7C8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(12,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl293
mov.l execexit_ptr293,r1
jmp @r1
add #-2,r6
fdl293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr293: .long execexit
! Opcodes 07D0 - 07D7
K7D0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl294
mov.l execexit_ptr294,r1
jmp @r1
add #-2,r6
fdl294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr294: .long execexit
! Opcodes 07D8 - 07DF
K7D8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl295
mov.l execexit_ptr295,r1
jmp @r1
add #-2,r6
fdl295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr295: .long execexit
! Opcodes 07E0 - 07E7
K7E0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl296
mov.l execexit_ptr296,r1
jmp @r1
add #-2,r6
fdl296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr296: .long execexit
! Opcodes 07E8 - 07EF
K7E8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl297
mov.l execexit_ptr297,r1
jmp @r1
add #-2,r6
fdl297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr297: .long execexit
! Opcodes 07F0 - 07F7
K7F0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd31
exts.w r0,r0
longwd31:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl298
mov.l execexit_ptr298,r1
jmp @r1
add #-2,r6
fdl298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr298: .long execexit
! Opcode 07F8
K7F8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl299
mov.l execexit_ptr299,r1
jmp @r1
add #-2,r6
fdl299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr299: .long execexit
! Opcode 07F9
K7F9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl300
mov.l execexit_ptr300,r1
jmp @r1
add #-2,r6
fdl300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr300: .long execexit
! Opcodes 0800 - 0807
K800:
and r1,r2
shlr r8
mov.w @r6+,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl301
mov.l execexit_ptr301,r1
jmp @r1
add #-2,r6
fdl301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr301: .long execexit
! Opcodes 0810 - 0817
K810:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl302
mov.l execexit_ptr302,r1
jmp @r1
add #-2,r6
fdl302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr302: .long execexit
! Opcodes 0818 - 081F
K818:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl303
mov.l execexit_ptr303,r1
jmp @r1
add #-2,r6
fdl303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr303: .long execexit
! Opcodes 0820 - 0827
K820:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl304
mov.l execexit_ptr304,r1
jmp @r1
add #-2,r6
fdl304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr304: .long execexit
! Opcodes 0828 - 082F
K828:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl305
mov.l execexit_ptr305,r1
jmp @r1
add #-2,r6
fdl305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr305: .long execexit
! Opcodes 0830 - 0837
K830:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd32
exts.w r0,r0
longwd32:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl306
mov.l execexit_ptr306,r1
jmp @r1
add #-2,r6
fdl306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr306: .long execexit
! Opcode 0838
K838:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl307
mov.l execexit_ptr307,r1
jmp @r1
add #-2,r6
fdl307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr307: .long execexit
! Opcode 0839
K839:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl308
mov.l execexit_ptr308,r1
jmp @r1
add #-2,r6
fdl308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr308: .long execexit
! Opcode 083A
K83A:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl309
mov.l execexit_ptr309,r1
jmp @r1
add #-2,r6
fdl309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr309: .long execexit
! Opcode 083B
K83B:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd33
exts.w r0,r0
longwd33:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl310
mov.l execexit_ptr310,r1
jmp @r1
add #-2,r6
fdl310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr310: .long execexit
! Opcode 083C
K83C:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.b @r6,r3
add #2,r6
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl311
mov.l execexit_ptr311,r1
jmp @r1
add #-2,r6
fdl311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr311: .long execexit
! Opcodes 0840 - 0847
K840:
and r1,r2
shlr r8
mov.w @r6+,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl312
mov.l execexit_ptr312,r1
jmp @r1
add #-2,r6
fdl312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr312: .long execexit
! Opcodes 0850 - 0857
K850:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl313
mov.l execexit_ptr313,r1
jmp @r1
add #-2,r6
fdl313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr313: .long execexit
! Opcodes 0858 - 085F
K858:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl314
mov.l execexit_ptr314,r1
jmp @r1
add #-2,r6
fdl314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr314: .long execexit
! Opcodes 0860 - 0867
K860:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl315
mov.l execexit_ptr315,r1
jmp @r1
add #-2,r6
fdl315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr315: .long execexit
! Opcodes 0868 - 086F
K868:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl316
mov.l execexit_ptr316,r1
jmp @r1
add #-2,r6
fdl316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr316: .long execexit
! Opcodes 0870 - 0877
K870:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd34
exts.w r0,r0
longwd34:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl317
mov.l execexit_ptr317,r1
jmp @r1
add #-2,r6
fdl317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr317: .long execexit
! Opcode 0878
K878:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl318
mov.l execexit_ptr318,r1
jmp @r1
add #-2,r6
fdl318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr318: .long execexit
! Opcode 0879
K879:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl319
mov.l execexit_ptr319,r1
jmp @r1
add #-2,r6
fdl319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr319: .long execexit
! Opcodes 0880 - 0887
K880:
and r1,r2
shlr r8
mov.w @r6+,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl320
mov.l execexit_ptr320,r1
jmp @r1
add #-2,r6
fdl320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr320: .long execexit
! Opcodes 0890 - 0897
K890:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl321
mov.l execexit_ptr321,r1
jmp @r1
add #-2,r6
fdl321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr321: .long execexit
! Opcodes 0898 - 089F
K898:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl322
mov.l execexit_ptr322,r1
jmp @r1
add #-2,r6
fdl322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr322: .long execexit
! Opcodes 08A0 - 08A7
K8A0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl323
mov.l execexit_ptr323,r1
jmp @r1
add #-2,r6
fdl323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr323: .long execexit
! Opcodes 08A8 - 08AF
K8A8:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl324
mov.l execexit_ptr324,r1
jmp @r1
add #-2,r6
fdl324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr324: .long execexit
! Opcodes 08B0 - 08B7
K8B0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd35
exts.w r0,r0
longwd35:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl325
mov.l execexit_ptr325,r1
jmp @r1
add #-2,r6
fdl325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr325: .long execexit
! Opcode 08B8
K8B8:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl326
mov.l execexit_ptr326,r1
jmp @r1
add #-2,r6
fdl326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr326: .long execexit
! Opcode 08B9
K8B9:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl327
mov.l execexit_ptr327,r1
jmp @r1
add #-2,r6
fdl327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr327: .long execexit
! Opcodes 08C0 - 08C7
K8C0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl328
mov.l execexit_ptr328,r1
jmp @r1
add #-2,r6
fdl328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr328: .long execexit
! Opcodes 08D0 - 08D7
K8D0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl329
mov.l execexit_ptr329,r1
jmp @r1
add #-2,r6
fdl329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr329: .long execexit
! Opcodes 08D8 - 08DF
K8D8:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl330
mov.l execexit_ptr330,r1
jmp @r1
add #-2,r6
fdl330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr330: .long execexit
! Opcodes 08E0 - 08E7
K8E0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl331
mov.l execexit_ptr331,r1
jmp @r1
add #-2,r6
fdl331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr331: .long execexit
! Opcodes 08E8 - 08EF
K8E8:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl332
mov.l execexit_ptr332,r1
jmp @r1
add #-2,r6
fdl332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr332: .long execexit
! Opcodes 08F0 - 08F7
K8F0:
and r1,r2
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd36
exts.w r0,r0
longwd36:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl333
mov.l execexit_ptr333,r1
jmp @r1
add #-2,r6
fdl333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr333: .long execexit
! Opcode 08F8
K8F8:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl334
mov.l execexit_ptr334,r1
jmp @r1
add #-2,r6
fdl334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr334: .long execexit
! Opcode 08F9
K8F9:
shlr r8
mov.w @r6+,r0
and #7,r0
mov.l r0,@-r15
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl335
mov.l execexit_ptr335,r1
jmp @r1
add #-2,r6
fdl335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr335: .long execexit
! Opcodes 0900 - 0907
K900:
and r1,r2
shlr r8
mov #16,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl336
mov.l execexit_ptr336,r1
jmp @r1
add #-2,r6
fdl336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr336: .long execexit
! Opcodes 0908 - 090F
K908:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #16,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl337
mov.l execexit_ptr337,r1
jmp @r1
add #-2,r6
fdl337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr337: .long execexit
! Opcodes 0910 - 0917
K910:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl338
mov.l execexit_ptr338,r1
jmp @r1
add #-2,r6
fdl338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr338: .long execexit
! Opcodes 0918 - 091F
K918:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl339
mov.l execexit_ptr339,r1
jmp @r1
add #-2,r6
fdl339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr339: .long execexit
! Opcodes 0920 - 0927
K920:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl340
mov.l execexit_ptr340,r1
jmp @r1
add #-2,r6
fdl340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr340: .long execexit
! Opcodes 0928 - 092F
K928:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl341
mov.l execexit_ptr341,r1
jmp @r1
add #-2,r6
fdl341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr341: .long execexit
! Opcodes 0930 - 0937
K930:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd37
exts.w r0,r0
longwd37:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl342
mov.l execexit_ptr342,r1
jmp @r1
add #-2,r6
fdl342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr342: .long execexit
! Opcode 0938
K938:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl343
mov.l execexit_ptr343,r1
jmp @r1
add #-2,r6
fdl343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr343: .long execexit
! Opcode 0939
K939:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl344
mov.l execexit_ptr344,r1
jmp @r1
add #-2,r6
fdl344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr344: .long execexit
! Opcode 093A
K93A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl345
mov.l execexit_ptr345,r1
jmp @r1
add #-2,r6
fdl345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr345: .long execexit
! Opcode 093B
K93B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd38
exts.w r0,r0
longwd38:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl346
mov.l execexit_ptr346,r1
jmp @r1
add #-2,r6
fdl346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr346: .long execexit
! Opcode 093C
K93C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl347
mov.l execexit_ptr347,r1
jmp @r1
add #-2,r6
fdl347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr347: .long execexit
! Opcodes 0940 - 0947
K940:
and r1,r2
shlr r8
mov #16,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl348
mov.l execexit_ptr348,r1
jmp @r1
add #-2,r6
fdl348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr348: .long execexit
! Opcodes 0948 - 094F
K948:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(16,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl349
mov.l execexit_ptr349,r1
jmp @r1
add #-2,r6
fdl349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr349: .long execexit
! Opcodes 0950 - 0957
K950:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl350
mov.l execexit_ptr350,r1
jmp @r1
add #-2,r6
fdl350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr350: .long execexit
! Opcodes 0958 - 095F
K958:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl351
mov.l execexit_ptr351,r1
jmp @r1
add #-2,r6
fdl351:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr351: .long execexit
! Opcodes 0960 - 0967
K960:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl352
mov.l execexit_ptr352,r1
jmp @r1
add #-2,r6
fdl352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr352: .long execexit
! Opcodes 0968 - 096F
K968:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl353
mov.l execexit_ptr353,r1
jmp @r1
add #-2,r6
fdl353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr353: .long execexit
! Opcodes 0970 - 0977
K970:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd39
exts.w r0,r0
longwd39:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl354
mov.l execexit_ptr354,r1
jmp @r1
add #-2,r6
fdl354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr354: .long execexit
! Opcode 0978
K978:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl355
mov.l execexit_ptr355,r1
jmp @r1
add #-2,r6
fdl355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr355: .long execexit
! Opcode 0979
K979:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl356
mov.l execexit_ptr356,r1
jmp @r1
add #-2,r6
fdl356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr356: .long execexit
! Opcodes 0980 - 0987
K980:
and r1,r2
shlr r8
mov #16,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl357
mov.l execexit_ptr357,r1
jmp @r1
add #-2,r6
fdl357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr357: .long execexit
! Opcodes 0988 - 098F
K988:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(16,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl358
mov.l execexit_ptr358,r1
jmp @r1
add #-2,r6
fdl358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr358: .long execexit
! Opcodes 0990 - 0997
K990:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl359
mov.l execexit_ptr359,r1
jmp @r1
add #-2,r6
fdl359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr359: .long execexit
! Opcodes 0998 - 099F
K998:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl360
mov.l execexit_ptr360,r1
jmp @r1
add #-2,r6
fdl360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr360: .long execexit
! Opcodes 09A0 - 09A7
K9A0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl361
mov.l execexit_ptr361,r1
jmp @r1
add #-2,r6
fdl361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr361: .long execexit
! Opcodes 09A8 - 09AF
K9A8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl362
mov.l execexit_ptr362,r1
jmp @r1
add #-2,r6
fdl362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr362: .long execexit
! Opcodes 09B0 - 09B7
K9B0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd40
exts.w r0,r0
longwd40:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl363
mov.l execexit_ptr363,r1
jmp @r1
add #-2,r6
fdl363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr363: .long execexit
! Opcode 09B8
K9B8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl364
mov.l execexit_ptr364,r1
jmp @r1
add #-2,r6
fdl364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr364: .long execexit
! Opcode 09B9
K9B9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl365
mov.l execexit_ptr365,r1
jmp @r1
add #-2,r6
fdl365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr365: .long execexit
! Opcodes 09C0 - 09C7
K9C0:
and r1,r2
shlr r8
mov #16,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl366
mov.l execexit_ptr366,r1
jmp @r1
add #-2,r6
fdl366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr366: .long execexit
! Opcodes 09C8 - 09CF
K9C8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(16,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl367
mov.l execexit_ptr367,r1
jmp @r1
add #-2,r6
fdl367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr367: .long execexit
! Opcodes 09D0 - 09D7
K9D0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl368
mov.l execexit_ptr368,r1
jmp @r1
add #-2,r6
fdl368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr368: .long execexit
! Opcodes 09D8 - 09DF
K9D8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl369
mov.l execexit_ptr369,r1
jmp @r1
add #-2,r6
fdl369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr369: .long execexit
! Opcodes 09E0 - 09E7
K9E0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl370
mov.l execexit_ptr370,r1
jmp @r1
add #-2,r6
fdl370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr370: .long execexit
! Opcodes 09E8 - 09EF
K9E8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl371
mov.l execexit_ptr371,r1
jmp @r1
add #-2,r6
fdl371:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr371: .long execexit
! Opcodes 09F0 - 09F7
K9F0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd41
exts.w r0,r0
longwd41:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl372
mov.l execexit_ptr372,r1
jmp @r1
add #-2,r6
fdl372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr372: .long execexit
! Opcode 09F8
K9F8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl373
mov.l execexit_ptr373,r1
jmp @r1
add #-2,r6
fdl373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr373: .long execexit
! Opcode 09F9
K9F9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl374
mov.l execexit_ptr374,r1
jmp @r1
add #-2,r6
fdl374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr374: .long execexit
! Opcodes 0A00 - 0A07
KA00:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
xor r1,r3
mov.b r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl375
mov.l execexit_ptr375,r1
jmp @r1
add #-2,r6
fdl375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr375: .long execexit
! Opcodes 0A10 - 0A17
KA10:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl376
mov.l execexit_ptr376,r1
jmp @r1
add #-2,r6
fdl376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr376: .long execexit
! Opcodes 0A18 - 0A1F
KA18:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl377
mov.l execexit_ptr377,r1
jmp @r1
add #-2,r6
fdl377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr377: .long execexit
! Opcodes 0A20 - 0A27
KA20:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl378
mov.l execexit_ptr378,r1
jmp @r1
add #-2,r6
fdl378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr378: .long execexit
! Opcodes 0A28 - 0A2F
KA28:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl379
mov.l execexit_ptr379,r1
jmp @r1
add #-2,r6
fdl379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr379: .long execexit
! Opcodes 0A30 - 0A37
KA30:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd42
exts.w r0,r0
longwd42:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl380
mov.l execexit_ptr380,r1
jmp @r1
add #-2,r6
fdl380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr380: .long execexit
! Opcode 0A38
KA38:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl381
mov.l execexit_ptr381,r1
jmp @r1
add #-2,r6
fdl381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr381: .long execexit
! Opcode 0A39
KA39:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl382
mov.l execexit_ptr382,r1
jmp @r1
add #-2,r6
fdl382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr382: .long execexit
! Opcode 0A3C
KA3C:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov.w @r6+,r0
xor r0,r3
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl383
mov.l execexit_ptr383,r1
jmp @r1
add #-2,r6
fdl383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr383: .long execexit
! Opcodes 0A40 - 0A47
KA40:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
xor r1,r3
mov.w r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl384
mov.l execexit_ptr384,r1
jmp @r1
add #-2,r6
fdl384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr384: .long execexit
! Opcodes 0A50 - 0A57
KA50:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl385
mov.l execexit_ptr385,r1
jmp @r1
add #-2,r6
fdl385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr385: .long execexit
! Opcodes 0A58 - 0A5F
KA58:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl386
mov.l execexit_ptr386,r1
jmp @r1
add #-2,r6
fdl386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr386: .long execexit
! Opcodes 0A60 - 0A67
KA60:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl387
mov.l execexit_ptr387,r1
jmp @r1
add #-2,r6
fdl387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr387: .long execexit
! Opcodes 0A68 - 0A6F
KA68:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl388
mov.l execexit_ptr388,r1
jmp @r1
add #-2,r6
fdl388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr388: .long execexit
! Opcodes 0A70 - 0A77
KA70:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd43
exts.w r0,r0
longwd43:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl389
mov.l execexit_ptr389,r1
jmp @r1
add #-2,r6
fdl389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr389: .long execexit
! Opcode 0A78
KA78:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl390
mov.l execexit_ptr390,r1
jmp @r1
add #-2,r6
fdl390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr390: .long execexit
! Opcode 0A79
KA79:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl391
mov.l execexit_ptr391,r1
jmp @r1
add #-2,r6
fdl391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr391: .long execexit
! Opcode 0A7C
KA7C:
mov r10,r0
tst #0x20,r0
bf pcheck_ok392
mov.l priviolation_addr392,r0
jmp @r0
nop
.balign 32
priviolation_addr392: .long privilege_violation
pcheck_ok392:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
xor r0,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln393
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln393:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue395
mov.l execexit_ptr395,r0
jmp @r0
add #-2,r6
continue395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr395: .long execexit
interrupts_addr395: .long interrupts
! Opcodes 0A80 - 0A87
KA80:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
xor r1,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl396
mov.l execexit_ptr396,r1
jmp @r1
add #-2,r6
fdl396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr396: .long execexit
! Opcodes 0A90 - 0A97
KA90:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl397
mov.l execexit_ptr397,r1
jmp @r1
add #-2,r6
fdl397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr397: .long execexit
! Opcodes 0A98 - 0A9F
KA98:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl398
mov.l execexit_ptr398,r1
jmp @r1
add #-2,r6
fdl398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr398: .long execexit
! Opcodes 0AA0 - 0AA7
KAA0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl399
mov.l execexit_ptr399,r1
jmp @r1
add #-2,r6
fdl399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr399: .long execexit
! Opcodes 0AA8 - 0AAF
KAA8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl400
mov.l execexit_ptr400,r1
jmp @r1
add #-2,r6
fdl400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr400: .long execexit
! Opcodes 0AB0 - 0AB7
KAB0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd44
exts.w r0,r0
longwd44:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl401
mov.l execexit_ptr401,r1
jmp @r1
add #-2,r6
fdl401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr401: .long execexit
! Opcode 0AB8
KAB8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl402
mov.l execexit_ptr402,r1
jmp @r1
add #-2,r6
fdl402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr402: .long execexit
! Opcode 0AB9
KAB9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl403
mov.l execexit_ptr403,r1
jmp @r1
add #-2,r6
fdl403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr403: .long execexit
! Opcodes 0B00 - 0B07
KB00:
and r1,r2
shlr r8
mov #20,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl404
mov.l execexit_ptr404,r1
jmp @r1
add #-2,r6
fdl404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr404: .long execexit
! Opcodes 0B08 - 0B0F
KB08:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #20,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl405
mov.l execexit_ptr405,r1
jmp @r1
add #-2,r6
fdl405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr405: .long execexit
! Opcodes 0B10 - 0B17
KB10:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl406
mov.l execexit_ptr406,r1
jmp @r1
add #-2,r6
fdl406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr406: .long execexit
! Opcodes 0B18 - 0B1F
KB18:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl407
mov.l execexit_ptr407,r1
jmp @r1
add #-2,r6
fdl407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr407: .long execexit
! Opcodes 0B20 - 0B27
KB20:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl408
mov.l execexit_ptr408,r1
jmp @r1
add #-2,r6
fdl408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr408: .long execexit
! Opcodes 0B28 - 0B2F
KB28:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl409
mov.l execexit_ptr409,r1
jmp @r1
add #-2,r6
fdl409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr409: .long execexit
! Opcodes 0B30 - 0B37
KB30:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd45
exts.w r0,r0
longwd45:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl410
mov.l execexit_ptr410,r1
jmp @r1
add #-2,r6
fdl410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr410: .long execexit
! Opcode 0B38
KB38:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl411
mov.l execexit_ptr411,r1
jmp @r1
add #-2,r6
fdl411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr411: .long execexit
! Opcode 0B39
KB39:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl412
mov.l execexit_ptr412,r1
jmp @r1
add #-2,r6
fdl412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr412: .long execexit
! Opcode 0B3A
KB3A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl413
mov.l execexit_ptr413,r1
jmp @r1
add #-2,r6
fdl413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr413: .long execexit
! Opcode 0B3B
KB3B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd46
exts.w r0,r0
longwd46:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl414
mov.l execexit_ptr414,r1
jmp @r1
add #-2,r6
fdl414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr414: .long execexit
! Opcode 0B3C
KB3C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl415
mov.l execexit_ptr415,r1
jmp @r1
add #-2,r6
fdl415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr415: .long execexit
! Opcodes 0B40 - 0B47
KB40:
and r1,r2
shlr r8
mov #20,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl416
mov.l execexit_ptr416,r1
jmp @r1
add #-2,r6
fdl416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr416: .long execexit
! Opcodes 0B48 - 0B4F
KB48:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(20,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl417
mov.l execexit_ptr417,r1
jmp @r1
add #-2,r6
fdl417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr417: .long execexit
! Opcodes 0B50 - 0B57
KB50:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl418
mov.l execexit_ptr418,r1
jmp @r1
add #-2,r6
fdl418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr418: .long execexit
! Opcodes 0B58 - 0B5F
KB58:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl419
mov.l execexit_ptr419,r1
jmp @r1
add #-2,r6
fdl419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr419: .long execexit
! Opcodes 0B60 - 0B67
KB60:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl420
mov.l execexit_ptr420,r1
jmp @r1
add #-2,r6
fdl420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr420: .long execexit
! Opcodes 0B68 - 0B6F
KB68:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl421
mov.l execexit_ptr421,r1
jmp @r1
add #-2,r6
fdl421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr421: .long execexit
! Opcodes 0B70 - 0B77
KB70:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd47
exts.w r0,r0
longwd47:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl422
mov.l execexit_ptr422,r1
jmp @r1
add #-2,r6
fdl422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr422: .long execexit
! Opcode 0B78
KB78:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl423
mov.l execexit_ptr423,r1
jmp @r1
add #-2,r6
fdl423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr423: .long execexit
! Opcode 0B79
KB79:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl424
mov.l execexit_ptr424,r1
jmp @r1
add #-2,r6
fdl424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr424: .long execexit
! Opcodes 0B80 - 0B87
KB80:
and r1,r2
shlr r8
mov #20,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl425
mov.l execexit_ptr425,r1
jmp @r1
add #-2,r6
fdl425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr425: .long execexit
! Opcodes 0B88 - 0B8F
KB88:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(20,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl426
mov.l execexit_ptr426,r1
jmp @r1
add #-2,r6
fdl426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr426: .long execexit
! Opcodes 0B90 - 0B97
KB90:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl427
mov.l execexit_ptr427,r1
jmp @r1
add #-2,r6
fdl427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr427: .long execexit
! Opcodes 0B98 - 0B9F
KB98:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl428
mov.l execexit_ptr428,r1
jmp @r1
add #-2,r6
fdl428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr428: .long execexit
! Opcodes 0BA0 - 0BA7
KBA0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl429
mov.l execexit_ptr429,r1
jmp @r1
add #-2,r6
fdl429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr429: .long execexit
! Opcodes 0BA8 - 0BAF
KBA8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl430
mov.l execexit_ptr430,r1
jmp @r1
add #-2,r6
fdl430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr430: .long execexit
! Opcodes 0BB0 - 0BB7
KBB0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd48
exts.w r0,r0
longwd48:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl431
mov.l execexit_ptr431,r1
jmp @r1
add #-2,r6
fdl431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr431: .long execexit
! Opcode 0BB8
KBB8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl432
mov.l execexit_ptr432,r1
jmp @r1
add #-2,r6
fdl432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr432: .long execexit
! Opcode 0BB9
KBB9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl433
mov.l execexit_ptr433,r1
jmp @r1
add #-2,r6
fdl433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr433: .long execexit
! Opcodes 0BC0 - 0BC7
KBC0:
and r1,r2
shlr r8
mov #20,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl434
mov.l execexit_ptr434,r1
jmp @r1
add #-2,r6
fdl434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr434: .long execexit
! Opcodes 0BC8 - 0BCF
KBC8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(20,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl435
mov.l execexit_ptr435,r1
jmp @r1
add #-2,r6
fdl435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr435: .long execexit
! Opcodes 0BD0 - 0BD7
KBD0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl436
mov.l execexit_ptr436,r1
jmp @r1
add #-2,r6
fdl436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr436: .long execexit
! Opcodes 0BD8 - 0BDF
KBD8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl437
mov.l execexit_ptr437,r1
jmp @r1
add #-2,r6
fdl437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr437: .long execexit
! Opcodes 0BE0 - 0BE7
KBE0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl438
mov.l execexit_ptr438,r1
jmp @r1
add #-2,r6
fdl438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr438: .long execexit
! Opcodes 0BE8 - 0BEF
KBE8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl439
mov.l execexit_ptr439,r1
jmp @r1
add #-2,r6
fdl439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr439: .long execexit
! Opcodes 0BF0 - 0BF7
KBF0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd49
exts.w r0,r0
longwd49:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl440
mov.l execexit_ptr440,r1
jmp @r1
add #-2,r6
fdl440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr440: .long execexit
! Opcode 0BF8
KBF8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl441
mov.l execexit_ptr441,r1
jmp @r1
add #-2,r6
fdl441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr441: .long execexit
! Opcode 0BF9
KBF9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl442
mov.l execexit_ptr442,r1
jmp @r1
add #-2,r6
fdl442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr442: .long execexit
! Opcodes 0C00 - 0C07
KC00:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
add r13,r2
mov.b @r2,r3
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl443
mov.l execexit_ptr443,r1
jmp @r1
add #-2,r6
fdl443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr443: .long execexit
! Opcodes 0C10 - 0C17
KC10:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl444
mov.l execexit_ptr444,r1
jmp @r1
add #-2,r6
fdl444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr444: .long execexit
! Opcodes 0C18 - 0C1F
KC18:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl445
mov.l execexit_ptr445,r1
jmp @r1
add #-2,r6
fdl445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr445: .long execexit
! Opcodes 0C20 - 0C27
KC20:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl446
mov.l execexit_ptr446,r1
jmp @r1
add #-2,r6
fdl446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr446: .long execexit
! Opcodes 0C28 - 0C2F
KC28:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl447
mov.l execexit_ptr447,r1
jmp @r1
add #-2,r6
fdl447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr447: .long execexit
! Opcodes 0C30 - 0C37
KC30:
and r1,r2
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd50
exts.w r0,r0
longwd50:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl448
mov.l execexit_ptr448,r1
jmp @r1
add #-2,r6
fdl448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr448: .long execexit
! Opcode 0C38
KC38:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl449
mov.l execexit_ptr449,r1
jmp @r1
add #-2,r6
fdl449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr449: .long execexit
! Opcode 0C39
KC39:
mov.w @r6+,r1
exts.b r1,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl450
mov.l execexit_ptr450,r1
jmp @r1
add #-2,r6
fdl450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr450: .long execexit
! Opcodes 0C40 - 0C47
KC40:
and r1,r2
mov.w @r6+,r1
add r13,r2
mov.w @r2,r3
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl451
mov.l execexit_ptr451,r1
jmp @r1
add #-2,r6
fdl451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr451: .long execexit
! Opcodes 0C50 - 0C57
KC50:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl452
mov.l execexit_ptr452,r1
jmp @r1
add #-2,r6
fdl452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr452: .long execexit
! Opcodes 0C58 - 0C5F
KC58:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl453
mov.l execexit_ptr453,r1
jmp @r1
add #-2,r6
fdl453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr453: .long execexit
! Opcodes 0C60 - 0C67
KC60:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl454
mov.l execexit_ptr454,r1
jmp @r1
add #-2,r6
fdl454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr454: .long execexit
! Opcodes 0C68 - 0C6F
KC68:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl455
mov.l execexit_ptr455,r1
jmp @r1
add #-2,r6
fdl455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr455: .long execexit
! Opcodes 0C70 - 0C77
KC70:
and r1,r2
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd51
exts.w r0,r0
longwd51:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl456
mov.l execexit_ptr456,r1
jmp @r1
add #-2,r6
fdl456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr456: .long execexit
! Opcode 0C78
KC78:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl457
mov.l execexit_ptr457,r1
jmp @r1
add #-2,r6
fdl457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr457: .long execexit
! Opcode 0C79
KC79:
mov.w @r6+,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl458
mov.l execexit_ptr458,r1
jmp @r1
add #-2,r6
fdl458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr458: .long execexit
! Opcodes 0C80 - 0C87
KC80:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
add r13,r2
mov.l @r2,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl459
mov.l execexit_ptr459,r1
jmp @r1
add #-2,r6
fdl459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr459: .long execexit
! Opcodes 0C90 - 0C97
KC90:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl460
mov.l execexit_ptr460,r1
jmp @r1
add #-2,r6
fdl460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr460: .long execexit
! Opcodes 0C98 - 0C9F
KC98:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl461
mov.l execexit_ptr461,r1
jmp @r1
add #-2,r6
fdl461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr461: .long execexit
! Opcodes 0CA0 - 0CA7
KCA0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl462
mov.l execexit_ptr462,r1
jmp @r1
add #-2,r6
fdl462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr462: .long execexit
! Opcodes 0CA8 - 0CAF
KCA8:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl463
mov.l execexit_ptr463,r1
jmp @r1
add #-2,r6
fdl463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr463: .long execexit
! Opcodes 0CB0 - 0CB7
KCB0:
and r1,r2
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd52
exts.w r0,r0
longwd52:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl464
mov.l execexit_ptr464,r1
jmp @r1
add #-2,r6
fdl464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr464: .long execexit
! Opcode 0CB8
KCB8:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl465
mov.l execexit_ptr465,r1
jmp @r1
add #-2,r6
fdl465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr465: .long execexit
! Opcode 0CB9
KCB9:
mov.w @r6+,r0
mov.w @r6+,r1
shll16 r1
xtrct r0,r1
mov r1,r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl466
mov.l execexit_ptr466,r1
jmp @r1
add #-2,r6
fdl466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr466: .long execexit
! Opcodes 0D00 - 0D07
KD00:
and r1,r2
shlr r8
mov #24,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl467
mov.l execexit_ptr467,r1
jmp @r1
add #-2,r6
fdl467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr467: .long execexit
! Opcodes 0D08 - 0D0F
KD08:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #24,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl468
mov.l execexit_ptr468,r1
jmp @r1
add #-2,r6
fdl468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr468: .long execexit
! Opcodes 0D10 - 0D17
KD10:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl469
mov.l execexit_ptr469,r1
jmp @r1
add #-2,r6
fdl469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr469: .long execexit
! Opcodes 0D18 - 0D1F
KD18:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl470
mov.l execexit_ptr470,r1
jmp @r1
add #-2,r6
fdl470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr470: .long execexit
! Opcodes 0D20 - 0D27
KD20:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl471
mov.l execexit_ptr471,r1
jmp @r1
add #-2,r6
fdl471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr471: .long execexit
! Opcodes 0D28 - 0D2F
KD28:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl472
mov.l execexit_ptr472,r1
jmp @r1
add #-2,r6
fdl472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr472: .long execexit
! Opcodes 0D30 - 0D37
KD30:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd53
exts.w r0,r0
longwd53:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl473
mov.l execexit_ptr473,r1
jmp @r1
add #-2,r6
fdl473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr473: .long execexit
! Opcode 0D38
KD38:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl474
mov.l execexit_ptr474,r1
jmp @r1
add #-2,r6
fdl474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr474: .long execexit
! Opcode 0D39
KD39:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl475
mov.l execexit_ptr475,r1
jmp @r1
add #-2,r6
fdl475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr475: .long execexit
! Opcode 0D3A
KD3A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl476
mov.l execexit_ptr476,r1
jmp @r1
add #-2,r6
fdl476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr476: .long execexit
! Opcode 0D3B
KD3B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd54
exts.w r0,r0
longwd54:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl477
mov.l execexit_ptr477,r1
jmp @r1
add #-2,r6
fdl477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr477: .long execexit
! Opcode 0D3C
KD3C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl478
mov.l execexit_ptr478,r1
jmp @r1
add #-2,r6
fdl478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr478: .long execexit
! Opcodes 0D40 - 0D47
KD40:
and r1,r2
shlr r8
mov #24,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl479
mov.l execexit_ptr479,r1
jmp @r1
add #-2,r6
fdl479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr479: .long execexit
! Opcodes 0D48 - 0D4F
KD48:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(24,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl480
mov.l execexit_ptr480,r1
jmp @r1
add #-2,r6
fdl480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr480: .long execexit
! Opcodes 0D50 - 0D57
KD50:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl481
mov.l execexit_ptr481,r1
jmp @r1
add #-2,r6
fdl481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr481: .long execexit
! Opcodes 0D58 - 0D5F
KD58:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl482
mov.l execexit_ptr482,r1
jmp @r1
add #-2,r6
fdl482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr482: .long execexit
! Opcodes 0D60 - 0D67
KD60:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl483
mov.l execexit_ptr483,r1
jmp @r1
add #-2,r6
fdl483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr483: .long execexit
! Opcodes 0D68 - 0D6F
KD68:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl484
mov.l execexit_ptr484,r1
jmp @r1
add #-2,r6
fdl484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr484: .long execexit
! Opcodes 0D70 - 0D77
KD70:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd55
exts.w r0,r0
longwd55:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl485
mov.l execexit_ptr485,r1
jmp @r1
add #-2,r6
fdl485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr485: .long execexit
! Opcode 0D78
KD78:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl486
mov.l execexit_ptr486,r1
jmp @r1
add #-2,r6
fdl486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr486: .long execexit
! Opcode 0D79
KD79:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl487
mov.l execexit_ptr487,r1
jmp @r1
add #-2,r6
fdl487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr487: .long execexit
! Opcodes 0D80 - 0D87
KD80:
and r1,r2
shlr r8
mov #24,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl488
mov.l execexit_ptr488,r1
jmp @r1
add #-2,r6
fdl488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr488: .long execexit
! Opcodes 0D88 - 0D8F
KD88:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(24,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl489
mov.l execexit_ptr489,r1
jmp @r1
add #-2,r6
fdl489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr489: .long execexit
! Opcodes 0D90 - 0D97
KD90:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl490
mov.l execexit_ptr490,r1
jmp @r1
add #-2,r6
fdl490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr490: .long execexit
! Opcodes 0D98 - 0D9F
KD98:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl491
mov.l execexit_ptr491,r1
jmp @r1
add #-2,r6
fdl491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr491: .long execexit
! Opcodes 0DA0 - 0DA7
KDA0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl492
mov.l execexit_ptr492,r1
jmp @r1
add #-2,r6
fdl492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr492: .long execexit
! Opcodes 0DA8 - 0DAF
KDA8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl493
mov.l execexit_ptr493,r1
jmp @r1
add #-2,r6
fdl493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr493: .long execexit
! Opcodes 0DB0 - 0DB7
KDB0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd56
exts.w r0,r0
longwd56:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl494
mov.l execexit_ptr494,r1
jmp @r1
add #-2,r6
fdl494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr494: .long execexit
! Opcode 0DB8
KDB8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl495
mov.l execexit_ptr495,r1
jmp @r1
add #-2,r6
fdl495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr495: .long execexit
! Opcode 0DB9
KDB9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl496
mov.l execexit_ptr496,r1
jmp @r1
add #-2,r6
fdl496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr496: .long execexit
! Opcodes 0DC0 - 0DC7
KDC0:
and r1,r2
shlr r8
mov #24,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl497
mov.l execexit_ptr497,r1
jmp @r1
add #-2,r6
fdl497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr497: .long execexit
! Opcodes 0DC8 - 0DCF
KDC8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(24,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl498
mov.l execexit_ptr498,r1
jmp @r1
add #-2,r6
fdl498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr498: .long execexit
! Opcodes 0DD0 - 0DD7
KDD0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl499
mov.l execexit_ptr499,r1
jmp @r1
add #-2,r6
fdl499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr499: .long execexit
! Opcodes 0DD8 - 0DDF
KDD8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl500
mov.l execexit_ptr500,r1
jmp @r1
add #-2,r6
fdl500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr500: .long execexit
! Opcodes 0DE0 - 0DE7
KDE0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl501
mov.l execexit_ptr501,r1
jmp @r1
add #-2,r6
fdl501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr501: .long execexit
! Opcodes 0DE8 - 0DEF
KDE8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl502
mov.l execexit_ptr502,r1
jmp @r1
add #-2,r6
fdl502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr502: .long execexit
! Opcodes 0DF0 - 0DF7
KDF0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd57
exts.w r0,r0
longwd57:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl503
mov.l execexit_ptr503,r1
jmp @r1
add #-2,r6
fdl503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr503: .long execexit
! Opcode 0DF8
KDF8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl504
mov.l execexit_ptr504,r1
jmp @r1
add #-2,r6
fdl504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr504: .long execexit
! Opcode 0DF9
KDF9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl505
mov.l execexit_ptr505,r1
jmp @r1
add #-2,r6
fdl505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr505: .long execexit
! Opcodes 0F00 - 0F07
KF00:
and r1,r2
shlr r8
mov #28,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl506
mov.l execexit_ptr506,r1
jmp @r1
add #-2,r6
fdl506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr506: .long execexit
! Opcodes 0F08 - 0F0F
KF08:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov #28,r0
mov.w r2,@(r0,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl507
mov.l execexit_ptr507,r1
jmp @r1
add #-2,r6
fdl507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr507: .long execexit
! Opcodes 0F10 - 0F17
KF10:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl508
mov.l execexit_ptr508,r1
jmp @r1
add #-2,r6
fdl508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr508: .long execexit
! Opcodes 0F18 - 0F1F
KF18:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl509
mov.l execexit_ptr509,r1
jmp @r1
add #-2,r6
fdl509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr509: .long execexit
! Opcodes 0F20 - 0F27
KF20:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl510
mov.l execexit_ptr510,r1
jmp @r1
add #-2,r6
fdl510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr510: .long execexit
! Opcodes 0F28 - 0F2F
KF28:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl511
mov.l execexit_ptr511,r1
jmp @r1
add #-2,r6
fdl511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr511: .long execexit
! Opcodes 0F30 - 0F37
KF30:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd58
exts.w r0,r0
longwd58:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl512
mov.l execexit_ptr512,r1
jmp @r1
add #-2,r6
fdl512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr512: .long execexit
! Opcode 0F38
KF38:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl513
mov.l execexit_ptr513,r1
jmp @r1
add #-2,r6
fdl513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr513: .long execexit
! Opcode 0F39
KF39:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl514
mov.l execexit_ptr514,r1
jmp @r1
add #-2,r6
fdl514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr514: .long execexit
! Opcode 0F3A
KF3A:
shlr r8
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl515
mov.l execexit_ptr515,r1
jmp @r1
add #-2,r6
fdl515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr515: .long execexit
! Opcode 0F3B
KF3B:
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd59
exts.w r0,r0
longwd59:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl516
mov.l execexit_ptr516,r1
jmp @r1
add #-2,r6
fdl516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr516: .long execexit
! Opcode 0F3C
KF3C:
shlr r8
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl517
mov.l execexit_ptr517,r1
jmp @r1
add #-2,r6
fdl517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr517: .long execexit
! Opcodes 0F40 - 0F47
KF40:
and r1,r2
shlr r8
mov #28,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
xor r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl518
mov.l execexit_ptr518,r1
jmp @r1
add #-2,r6
fdl518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr518: .long execexit
! Opcodes 0F48 - 0F4F
KF48:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add r1,r4
mov r3,r2
extu.b r2,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
shll8 r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
extu.b r3,r3
or r3,r2
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
add #2,r4
shll8 r2
extu.b r3,r3
or r3,r2
mov.l r2,@(28,r13)
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl519
mov.l execexit_ptr519,r1
jmp @r1
add #-2,r6
fdl519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr519: .long execexit
! Opcodes 0F50 - 0F57
KF50:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl520
mov.l execexit_ptr520,r1
jmp @r1
add #-2,r6
fdl520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr520: .long execexit
! Opcodes 0F58 - 0F5F
KF58:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl521
mov.l execexit_ptr521,r1
jmp @r1
add #-2,r6
fdl521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr521: .long execexit
! Opcodes 0F60 - 0F67
KF60:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl522
mov.l execexit_ptr522,r1
jmp @r1
add #-2,r6
fdl522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr522: .long execexit
! Opcodes 0F68 - 0F6F
KF68:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl523
mov.l execexit_ptr523,r1
jmp @r1
add #-2,r6
fdl523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr523: .long execexit
! Opcodes 0F70 - 0F77
KF70:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd60
exts.w r0,r0
longwd60:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl524
mov.l execexit_ptr524,r1
jmp @r1
add #-2,r6
fdl524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr524: .long execexit
! Opcode 0F78
KF78:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl525
mov.l execexit_ptr525,r1
jmp @r1
add #-2,r6
fdl525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr525: .long execexit
! Opcode 0F79
KF79:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl526
mov.l execexit_ptr526,r1
jmp @r1
add #-2,r6
fdl526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr526: .long execexit
! Opcodes 0F80 - 0F87
KF80:
and r1,r2
shlr r8
mov #28,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
not r4,r4
and r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl527
mov.l execexit_ptr527,r1
jmp @r1
add #-2,r6
fdl527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr527: .long execexit
! Opcodes 0F88 - 0F8F
KF88:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(28,r13),r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl528
mov.l execexit_ptr528,r1
jmp @r1
add #-2,r6
fdl528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr528: .long execexit
! Opcodes 0F90 - 0F97
KF90:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl529
mov.l execexit_ptr529,r1
jmp @r1
add #-2,r6
fdl529:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr529: .long execexit
! Opcodes 0F98 - 0F9F
KF98:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl530
mov.l execexit_ptr530,r1
jmp @r1
add #-2,r6
fdl530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr530: .long execexit
! Opcodes 0FA0 - 0FA7
KFA0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl531
mov.l execexit_ptr531,r1
jmp @r1
add #-2,r6
fdl531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr531: .long execexit
! Opcodes 0FA8 - 0FAF
KFA8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl532
mov.l execexit_ptr532,r1
jmp @r1
add #-2,r6
fdl532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr532: .long execexit
! Opcodes 0FB0 - 0FB7
KFB0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd61
exts.w r0,r0
longwd61:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl533
mov.l execexit_ptr533,r1
jmp @r1
add #-2,r6
fdl533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr533: .long execexit
! Opcode 0FB8
KFB8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl534
mov.l execexit_ptr534,r1
jmp @r1
add #-2,r6
fdl534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr534: .long execexit
! Opcode 0FB9
KFB9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
not r1,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl535
mov.l execexit_ptr535,r1
jmp @r1
add #-2,r6
fdl535:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr535: .long execexit
! Opcodes 0FC0 - 0FC7
KFC0:
and r1,r2
shlr r8
mov #28,r0
mov.b @(r0,r13),r0
and #31,r0
mov #1,r4
shld r0,r4
add r13,r2
mov.l @r2,r3
tst r4,r3
rotcl r8
or r4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl536
mov.l execexit_ptr536,r1
jmp @r1
add #-2,r6
fdl536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr536: .long execexit
! Opcodes 0FC8 - 0FCF
KFC8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(28,r13),r2
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
add #2,r4
swap.w r2,r2
mov r2,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
shlr8 r3
add #2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
mov r2,r3
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl537
mov.l execexit_ptr537,r1
jmp @r1
add #-2,r6
fdl537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr537: .long execexit
! Opcodes 0FD0 - 0FD7
KFD0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl538
mov.l execexit_ptr538,r1
jmp @r1
add #-2,r6
fdl538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr538: .long execexit
! Opcodes 0FD8 - 0FDF
KFD8:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl539
mov.l execexit_ptr539,r1
jmp @r1
add #-2,r6
fdl539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr539: .long execexit
! Opcodes 0FE0 - 0FE7
KFE0:
and r1,r2
shlr r8
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl540
mov.l execexit_ptr540,r1
jmp @r1
add #-2,r6
fdl540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr540: .long execexit
! Opcodes 0FE8 - 0FEF
KFE8:
and r1,r2
shlr r8
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl541
mov.l execexit_ptr541,r1
jmp @r1
add #-2,r6
fdl541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr541: .long execexit
! Opcodes 0FF0 - 0FF7
KFF0:
and r1,r2
shlr r8
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd62
exts.w r0,r0
longwd62:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl542
mov.l execexit_ptr542,r1
jmp @r1
add #-2,r6
fdl542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr542: .long execexit
! Opcode 0FF8
KFF8:
shlr r8
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl543
mov.l execexit_ptr543,r1
jmp @r1
add #-2,r6
fdl543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr543: .long execexit
! Opcode 0FF9
KFF9:
shlr r8
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r0
and #7,r0
mov #1,r1
shld r0,r1
tst r1,r3
rotcl r8
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl544
mov.l execexit_ptr544,r1
jmp @r1
add #-2,r6
fdl544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr544: .long execexit
! Opcodes 1000 - 1007
L000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl545
mov.l execexit_ptr545,r1
jmp @r1
add #-2,r6
fdl545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr545: .long execexit
! Opcodes 1008 - 100F
L008:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl546
mov.l execexit_ptr546,r1
jmp @r1
add #-2,r6
fdl546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr546: .long execexit
! Opcodes 1010 - 1017
L010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl547
mov.l execexit_ptr547,r1
jmp @r1
add #-2,r6
fdl547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr547: .long execexit
! Opcodes 1018 - 101F
L018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl548
mov.l execexit_ptr548,r1
jmp @r1
add #-2,r6
fdl548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr548: .long execexit
! Opcodes 1020 - 1027
L020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl549
mov.l execexit_ptr549,r1
jmp @r1
add #-2,r6
fdl549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr549: .long execexit
! Opcodes 1028 - 102F
L028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl550
mov.l execexit_ptr550,r1
jmp @r1
add #-2,r6
fdl550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr550: .long execexit
! Opcodes 1030 - 1037
L030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd63
exts.w r0,r0
longwd63:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl551
mov.l execexit_ptr551,r1
jmp @r1
add #-2,r6
fdl551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr551: .long execexit
! Opcode 1038
L038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl552
mov.l execexit_ptr552,r1
jmp @r1
add #-2,r6
fdl552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr552: .long execexit
! Opcode 1039
L039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl553
mov.l execexit_ptr553,r1
jmp @r1
add #-2,r6
fdl553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr553: .long execexit
! Opcode 103A
L03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl554
mov.l execexit_ptr554,r1
jmp @r1
add #-2,r6
fdl554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr554: .long execexit
! Opcode 103B
L03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd64
exts.w r0,r0
longwd64:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl555
mov.l execexit_ptr555,r1
jmp @r1
add #-2,r6
fdl555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr555: .long execexit
! Opcode 103C
L03C:
mov.b @r6,r3
add #2,r6
mov.b r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl556
mov.l execexit_ptr556,r1
jmp @r1
add #-2,r6
fdl556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr556: .long execexit
! Opcodes 1080 - 1087
L080:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl557
mov.l execexit_ptr557,r1
jmp @r1
add #-2,r6
fdl557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr557: .long execexit
! Opcodes 1088 - 108F
L088:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl558
mov.l execexit_ptr558,r1
jmp @r1
add #-2,r6
fdl558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr558: .long execexit
! Opcodes 1090 - 1097
L090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl559
mov.l execexit_ptr559,r1
jmp @r1
add #-2,r6
fdl559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr559: .long execexit
! Opcodes 1098 - 109F
L098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl560
mov.l execexit_ptr560,r1
jmp @r1
add #-2,r6
fdl560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr560: .long execexit
! Opcodes 10A0 - 10A7
L0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl561
mov.l execexit_ptr561,r1
jmp @r1
add #-2,r6
fdl561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr561: .long execexit
! Opcodes 10A8 - 10AF
L0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl562
mov.l execexit_ptr562,r1
jmp @r1
add #-2,r6
fdl562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr562: .long execexit
! Opcodes 10B0 - 10B7
L0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd65
exts.w r0,r0
longwd65:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl563
mov.l execexit_ptr563,r1
jmp @r1
add #-2,r6
fdl563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr563: .long execexit
! Opcode 10B8
L0B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl564
mov.l execexit_ptr564,r1
jmp @r1
add #-2,r6
fdl564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr564: .long execexit
! Opcode 10B9
L0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl565
mov.l execexit_ptr565,r1
jmp @r1
add #-2,r6
fdl565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr565: .long execexit
! Opcode 10BA
L0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl566
mov.l execexit_ptr566,r1
jmp @r1
add #-2,r6
fdl566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr566: .long execexit
! Opcode 10BB
L0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd66
exts.w r0,r0
longwd66:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl567
mov.l execexit_ptr567,r1
jmp @r1
add #-2,r6
fdl567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr567: .long execexit
! Opcode 10BC
L0BC:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl568
mov.l execexit_ptr568,r1
jmp @r1
add #-2,r6
fdl568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr568: .long execexit
! Opcodes 10C0 - 10C7
L0C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl569
mov.l execexit_ptr569,r1
jmp @r1
add #-2,r6
fdl569:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr569: .long execexit
! Opcodes 10C8 - 10CF
L0C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl570
mov.l execexit_ptr570,r1
jmp @r1
add #-2,r6
fdl570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr570: .long execexit
! Opcodes 10D0 - 10D7
L0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl571
mov.l execexit_ptr571,r1
jmp @r1
add #-2,r6
fdl571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr571: .long execexit
! Opcodes 10D8 - 10DF
L0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl572
mov.l execexit_ptr572,r1
jmp @r1
add #-2,r6
fdl572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr572: .long execexit
! Opcodes 10E0 - 10E7
L0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl573
mov.l execexit_ptr573,r1
jmp @r1
add #-2,r6
fdl573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr573: .long execexit
! Opcodes 10E8 - 10EF
L0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl574
mov.l execexit_ptr574,r1
jmp @r1
add #-2,r6
fdl574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr574: .long execexit
! Opcodes 10F0 - 10F7
L0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd67
exts.w r0,r0
longwd67:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl575
mov.l execexit_ptr575,r1
jmp @r1
add #-2,r6
fdl575:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr575: .long execexit
! Opcode 10F8
L0F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl576
mov.l execexit_ptr576,r1
jmp @r1
add #-2,r6
fdl576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr576: .long execexit
! Opcode 10F9
L0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl577
mov.l execexit_ptr577,r1
jmp @r1
add #-2,r6
fdl577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr577: .long execexit
! Opcode 10FA
L0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl578
mov.l execexit_ptr578,r1
jmp @r1
add #-2,r6
fdl578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr578: .long execexit
! Opcode 10FB
L0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd68
exts.w r0,r0
longwd68:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl579
mov.l execexit_ptr579,r1
jmp @r1
add #-2,r6
fdl579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr579: .long execexit
! Opcode 10FC
L0FC:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl580
mov.l execexit_ptr580,r1
jmp @r1
add #-2,r6
fdl580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr580: .long execexit
! Opcodes 1100 - 1107
L100:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl581
mov.l execexit_ptr581,r1
jmp @r1
add #-2,r6
fdl581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr581: .long execexit
! Opcodes 1108 - 110F
L108:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl582
mov.l execexit_ptr582,r1
jmp @r1
add #-2,r6
fdl582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr582: .long execexit
! Opcodes 1110 - 1117
L110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl583
mov.l execexit_ptr583,r1
jmp @r1
add #-2,r6
fdl583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr583: .long execexit
! Opcodes 1118 - 111F
L118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl584
mov.l execexit_ptr584,r1
jmp @r1
add #-2,r6
fdl584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr584: .long execexit
! Opcodes 1120 - 1127
L120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl585
mov.l execexit_ptr585,r1
jmp @r1
add #-2,r6
fdl585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr585: .long execexit
! Opcodes 1128 - 112F
L128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl586
mov.l execexit_ptr586,r1
jmp @r1
add #-2,r6
fdl586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr586: .long execexit
! Opcodes 1130 - 1137
L130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd69
exts.w r0,r0
longwd69:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl587
mov.l execexit_ptr587,r1
jmp @r1
add #-2,r6
fdl587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr587: .long execexit
! Opcode 1138
L138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl588
mov.l execexit_ptr588,r1
jmp @r1
add #-2,r6
fdl588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr588: .long execexit
! Opcode 1139
L139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl589
mov.l execexit_ptr589,r1
jmp @r1
add #-2,r6
fdl589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr589: .long execexit
! Opcode 113A
L13A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl590
mov.l execexit_ptr590,r1
jmp @r1
add #-2,r6
fdl590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr590: .long execexit
! Opcode 113B
L13B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd70
exts.w r0,r0
longwd70:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl591
mov.l execexit_ptr591,r1
jmp @r1
add #-2,r6
fdl591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr591: .long execexit
! Opcode 113C
L13C:
mov.b @r6,r3
add #2,r6
mov.l @(32,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl592
mov.l execexit_ptr592,r1
jmp @r1
add #-2,r6
fdl592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr592: .long execexit
! Opcodes 1140 - 1147
L140:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl593
mov.l execexit_ptr593,r1
jmp @r1
add #-2,r6
fdl593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr593: .long execexit
! Opcodes 1148 - 114F
L148:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl594
mov.l execexit_ptr594,r1
jmp @r1
add #-2,r6
fdl594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr594: .long execexit
! Opcodes 1150 - 1157
L150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl595
mov.l execexit_ptr595,r1
jmp @r1
add #-2,r6
fdl595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr595: .long execexit
! Opcodes 1158 - 115F
L158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl596
mov.l execexit_ptr596,r1
jmp @r1
add #-2,r6
fdl596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr596: .long execexit
! Opcodes 1160 - 1167
L160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl597
mov.l execexit_ptr597,r1
jmp @r1
add #-2,r6
fdl597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr597: .long execexit
! Opcodes 1168 - 116F
L168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl598
mov.l execexit_ptr598,r1
jmp @r1
add #-2,r6
fdl598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr598: .long execexit
! Opcodes 1170 - 1177
L170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd71
exts.w r0,r0
longwd71:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl599
mov.l execexit_ptr599,r1
jmp @r1
add #-2,r6
fdl599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr599: .long execexit
! Opcode 1178
L178:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl600
mov.l execexit_ptr600,r1
jmp @r1
add #-2,r6
fdl600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr600: .long execexit
! Opcode 1179
L179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl601
mov.l execexit_ptr601,r1
jmp @r1
add #-2,r6
fdl601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr601: .long execexit
! Opcode 117A
L17A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl602
mov.l execexit_ptr602,r1
jmp @r1
add #-2,r6
fdl602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr602: .long execexit
! Opcode 117B
L17B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd72
exts.w r0,r0
longwd72:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl603
mov.l execexit_ptr603,r1
jmp @r1
add #-2,r6
fdl603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr603: .long execexit
! Opcode 117C
L17C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl604
mov.l execexit_ptr604,r1
jmp @r1
add #-2,r6
fdl604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr604: .long execexit
! Opcodes 1180 - 1187
L180:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd73
exts.w r0,r0
longwd73:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl605
mov.l execexit_ptr605,r1
jmp @r1
add #-2,r6
fdl605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr605: .long execexit
! Opcodes 1188 - 118F
L188:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd74
exts.w r0,r0
longwd74:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl606
mov.l execexit_ptr606,r1
jmp @r1
add #-2,r6
fdl606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr606: .long execexit
! Opcodes 1190 - 1197
L190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd75
exts.w r0,r0
longwd75:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl607
mov.l execexit_ptr607,r1
jmp @r1
add #-2,r6
fdl607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr607: .long execexit
! Opcodes 1198 - 119F
L198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd76
exts.w r0,r0
longwd76:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl608
mov.l execexit_ptr608,r1
jmp @r1
add #-2,r6
fdl608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr608: .long execexit
! Opcodes 11A0 - 11A7
L1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd77
exts.w r0,r0
longwd77:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl609
mov.l execexit_ptr609,r1
jmp @r1
add #-2,r6
fdl609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr609: .long execexit
! Opcodes 11A8 - 11AF
L1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd78
exts.w r0,r0
longwd78:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl610
mov.l execexit_ptr610,r1
jmp @r1
add #-2,r6
fdl610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr610: .long execexit
! Opcodes 11B0 - 11B7
L1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd79
exts.w r0,r0
longwd79:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd80
exts.w r0,r0
longwd80:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl611
mov.l execexit_ptr611,r1
jmp @r1
add #-2,r6
fdl611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr611: .long execexit
! Opcode 11B8
L1B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd81
exts.w r0,r0
longwd81:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl612
mov.l execexit_ptr612,r1
jmp @r1
add #-2,r6
fdl612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr612: .long execexit
! Opcode 11B9
L1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd82
exts.w r0,r0
longwd82:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl613
mov.l execexit_ptr613,r1
jmp @r1
add #-2,r6
fdl613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr613: .long execexit
! Opcode 11BA
L1BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd83
exts.w r0,r0
longwd83:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl614
mov.l execexit_ptr614,r1
jmp @r1
add #-2,r6
fdl614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr614: .long execexit
! Opcode 11BB
L1BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd84
exts.w r0,r0
longwd84:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd85
exts.w r0,r0
longwd85:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl615
mov.l execexit_ptr615,r1
jmp @r1
add #-2,r6
fdl615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr615: .long execexit
! Opcode 11BC
L1BC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd86
exts.w r0,r0
longwd86:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl616
mov.l execexit_ptr616,r1
jmp @r1
add #-2,r6
fdl616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr616: .long execexit
! Opcodes 11C0 - 11C7
L1C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl617
mov.l execexit_ptr617,r1
jmp @r1
add #-2,r6
fdl617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr617: .long execexit
! Opcodes 11C8 - 11CF
L1C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl618
mov.l execexit_ptr618,r1
jmp @r1
add #-2,r6
fdl618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr618: .long execexit
! Opcodes 11D0 - 11D7
L1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl619
mov.l execexit_ptr619,r1
jmp @r1
add #-2,r6
fdl619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr619: .long execexit
! Opcodes 11D8 - 11DF
L1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl620
mov.l execexit_ptr620,r1
jmp @r1
add #-2,r6
fdl620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr620: .long execexit
! Opcodes 11E0 - 11E7
L1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl621
mov.l execexit_ptr621,r1
jmp @r1
add #-2,r6
fdl621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr621: .long execexit
! Opcodes 11E8 - 11EF
L1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl622
mov.l execexit_ptr622,r1
jmp @r1
add #-2,r6
fdl622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr622: .long execexit
! Opcodes 11F0 - 11F7
L1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd87
exts.w r0,r0
longwd87:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl623
mov.l execexit_ptr623,r1
jmp @r1
add #-2,r6
fdl623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr623: .long execexit
! Opcode 11F8
L1F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl624
mov.l execexit_ptr624,r1
jmp @r1
add #-2,r6
fdl624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr624: .long execexit
! Opcode 11F9
L1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl625
mov.l execexit_ptr625,r1
jmp @r1
add #-2,r6
fdl625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr625: .long execexit
! Opcode 11FA
L1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl626
mov.l execexit_ptr626,r1
jmp @r1
add #-2,r6
fdl626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr626: .long execexit
! Opcode 11FB
L1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd88
exts.w r0,r0
longwd88:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl627
mov.l execexit_ptr627,r1
jmp @r1
add #-2,r6
fdl627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr627: .long execexit
! Opcode 11FC
L1FC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl628
mov.l execexit_ptr628,r1
jmp @r1
add #-2,r6
fdl628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr628: .long execexit
! Opcodes 1200 - 1207
L200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl629
mov.l execexit_ptr629,r1
jmp @r1
add #-2,r6
fdl629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr629: .long execexit
! Opcodes 1208 - 120F
L208:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl630
mov.l execexit_ptr630,r1
jmp @r1
add #-2,r6
fdl630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr630: .long execexit
! Opcodes 1210 - 1217
L210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl631
mov.l execexit_ptr631,r1
jmp @r1
add #-2,r6
fdl631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr631: .long execexit
! Opcodes 1218 - 121F
L218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl632
mov.l execexit_ptr632,r1
jmp @r1
add #-2,r6
fdl632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr632: .long execexit
! Opcodes 1220 - 1227
L220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl633
mov.l execexit_ptr633,r1
jmp @r1
add #-2,r6
fdl633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr633: .long execexit
! Opcodes 1228 - 122F
L228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl634
mov.l execexit_ptr634,r1
jmp @r1
add #-2,r6
fdl634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr634: .long execexit
! Opcodes 1230 - 1237
L230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd89
exts.w r0,r0
longwd89:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl635
mov.l execexit_ptr635,r1
jmp @r1
add #-2,r6
fdl635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr635: .long execexit
! Opcode 1238
L238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl636
mov.l execexit_ptr636,r1
jmp @r1
add #-2,r6
fdl636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr636: .long execexit
! Opcode 1239
L239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl637
mov.l execexit_ptr637,r1
jmp @r1
add #-2,r6
fdl637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr637: .long execexit
! Opcode 123A
L23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl638
mov.l execexit_ptr638,r1
jmp @r1
add #-2,r6
fdl638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr638: .long execexit
! Opcode 123B
L23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd90
exts.w r0,r0
longwd90:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl639
mov.l execexit_ptr639,r1
jmp @r1
add #-2,r6
fdl639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr639: .long execexit
! Opcode 123C
L23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl640
mov.l execexit_ptr640,r1
jmp @r1
add #-2,r6
fdl640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr640: .long execexit
! Opcodes 1280 - 1287
L280:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl641
mov.l execexit_ptr641,r1
jmp @r1
add #-2,r6
fdl641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr641: .long execexit
! Opcodes 1288 - 128F
L288:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl642
mov.l execexit_ptr642,r1
jmp @r1
add #-2,r6
fdl642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr642: .long execexit
! Opcodes 1290 - 1297
L290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl643
mov.l execexit_ptr643,r1
jmp @r1
add #-2,r6
fdl643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr643: .long execexit
! Opcodes 1298 - 129F
L298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl644
mov.l execexit_ptr644,r1
jmp @r1
add #-2,r6
fdl644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr644: .long execexit
! Opcodes 12A0 - 12A7
L2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl645
mov.l execexit_ptr645,r1
jmp @r1
add #-2,r6
fdl645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr645: .long execexit
! Opcodes 12A8 - 12AF
L2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl646
mov.l execexit_ptr646,r1
jmp @r1
add #-2,r6
fdl646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr646: .long execexit
! Opcodes 12B0 - 12B7
L2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd91
exts.w r0,r0
longwd91:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl647
mov.l execexit_ptr647,r1
jmp @r1
add #-2,r6
fdl647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr647: .long execexit
! Opcode 12B8
L2B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl648
mov.l execexit_ptr648,r1
jmp @r1
add #-2,r6
fdl648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr648: .long execexit
! Opcode 12B9
L2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl649
mov.l execexit_ptr649,r1
jmp @r1
add #-2,r6
fdl649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr649: .long execexit
! Opcode 12BA
L2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl650
mov.l execexit_ptr650,r1
jmp @r1
add #-2,r6
fdl650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr650: .long execexit
! Opcode 12BB
L2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd92
exts.w r0,r0
longwd92:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl651
mov.l execexit_ptr651,r1
jmp @r1
add #-2,r6
fdl651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr651: .long execexit
! Opcode 12BC
L2BC:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl652
mov.l execexit_ptr652,r1
jmp @r1
add #-2,r6
fdl652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr652: .long execexit
! Opcodes 12C0 - 12C7
L2C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl653
mov.l execexit_ptr653,r1
jmp @r1
add #-2,r6
fdl653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr653: .long execexit
! Opcodes 12C8 - 12CF
L2C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl654
mov.l execexit_ptr654,r1
jmp @r1
add #-2,r6
fdl654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr654: .long execexit
! Opcodes 12D0 - 12D7
L2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl655
mov.l execexit_ptr655,r1
jmp @r1
add #-2,r6
fdl655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr655: .long execexit
! Opcodes 12D8 - 12DF
L2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl656
mov.l execexit_ptr656,r1
jmp @r1
add #-2,r6
fdl656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr656: .long execexit
! Opcodes 12E0 - 12E7
L2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl657
mov.l execexit_ptr657,r1
jmp @r1
add #-2,r6
fdl657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr657: .long execexit
! Opcodes 12E8 - 12EF
L2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl658
mov.l execexit_ptr658,r1
jmp @r1
add #-2,r6
fdl658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr658: .long execexit
! Opcodes 12F0 - 12F7
L2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd93
exts.w r0,r0
longwd93:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl659
mov.l execexit_ptr659,r1
jmp @r1
add #-2,r6
fdl659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr659: .long execexit
! Opcode 12F8
L2F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl660
mov.l execexit_ptr660,r1
jmp @r1
add #-2,r6
fdl660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr660: .long execexit
! Opcode 12F9
L2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl661
mov.l execexit_ptr661,r1
jmp @r1
add #-2,r6
fdl661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr661: .long execexit
! Opcode 12FA
L2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl662
mov.l execexit_ptr662,r1
jmp @r1
add #-2,r6
fdl662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr662: .long execexit
! Opcode 12FB
L2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd94
exts.w r0,r0
longwd94:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl663
mov.l execexit_ptr663,r1
jmp @r1
add #-2,r6
fdl663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr663: .long execexit
! Opcode 12FC
L2FC:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl664
mov.l execexit_ptr664,r1
jmp @r1
add #-2,r6
fdl664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr664: .long execexit
! Opcodes 1300 - 1307
L300:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl665
mov.l execexit_ptr665,r1
jmp @r1
add #-2,r6
fdl665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr665: .long execexit
! Opcodes 1308 - 130F
L308:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl666
mov.l execexit_ptr666,r1
jmp @r1
add #-2,r6
fdl666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr666: .long execexit
! Opcodes 1310 - 1317
L310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl667
mov.l execexit_ptr667,r1
jmp @r1
add #-2,r6
fdl667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr667: .long execexit
! Opcodes 1318 - 131F
L318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl668
mov.l execexit_ptr668,r1
jmp @r1
add #-2,r6
fdl668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr668: .long execexit
! Opcodes 1320 - 1327
L320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl669
mov.l execexit_ptr669,r1
jmp @r1
add #-2,r6
fdl669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr669: .long execexit
! Opcodes 1328 - 132F
L328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl670
mov.l execexit_ptr670,r1
jmp @r1
add #-2,r6
fdl670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr670: .long execexit
! Opcodes 1330 - 1337
L330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd95
exts.w r0,r0
longwd95:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl671
mov.l execexit_ptr671,r1
jmp @r1
add #-2,r6
fdl671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr671: .long execexit
! Opcode 1338
L338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl672
mov.l execexit_ptr672,r1
jmp @r1
add #-2,r6
fdl672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr672: .long execexit
! Opcode 1339
L339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl673
mov.l execexit_ptr673,r1
jmp @r1
add #-2,r6
fdl673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr673: .long execexit
! Opcode 133A
L33A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl674
mov.l execexit_ptr674,r1
jmp @r1
add #-2,r6
fdl674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr674: .long execexit
! Opcode 133B
L33B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd96
exts.w r0,r0
longwd96:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl675
mov.l execexit_ptr675,r1
jmp @r1
add #-2,r6
fdl675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr675: .long execexit
! Opcode 133C
L33C:
mov.b @r6,r3
add #2,r6
mov.l @(36,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl676
mov.l execexit_ptr676,r1
jmp @r1
add #-2,r6
fdl676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr676: .long execexit
! Opcodes 1340 - 1347
L340:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl677
mov.l execexit_ptr677,r1
jmp @r1
add #-2,r6
fdl677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr677: .long execexit
! Opcodes 1348 - 134F
L348:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl678
mov.l execexit_ptr678,r1
jmp @r1
add #-2,r6
fdl678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr678: .long execexit
! Opcodes 1350 - 1357
L350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl679
mov.l execexit_ptr679,r1
jmp @r1
add #-2,r6
fdl679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr679: .long execexit
! Opcodes 1358 - 135F
L358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl680
mov.l execexit_ptr680,r1
jmp @r1
add #-2,r6
fdl680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr680: .long execexit
! Opcodes 1360 - 1367
L360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl681
mov.l execexit_ptr681,r1
jmp @r1
add #-2,r6
fdl681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr681: .long execexit
! Opcodes 1368 - 136F
L368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl682
mov.l execexit_ptr682,r1
jmp @r1
add #-2,r6
fdl682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr682: .long execexit
! Opcodes 1370 - 1377
L370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd97
exts.w r0,r0
longwd97:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl683
mov.l execexit_ptr683,r1
jmp @r1
add #-2,r6
fdl683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr683: .long execexit
! Opcode 1378
L378:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl684
mov.l execexit_ptr684,r1
jmp @r1
add #-2,r6
fdl684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr684: .long execexit
! Opcode 1379
L379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl685
mov.l execexit_ptr685,r1
jmp @r1
add #-2,r6
fdl685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr685: .long execexit
! Opcode 137A
L37A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl686
mov.l execexit_ptr686,r1
jmp @r1
add #-2,r6
fdl686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr686: .long execexit
! Opcode 137B
L37B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd98
exts.w r0,r0
longwd98:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl687
mov.l execexit_ptr687,r1
jmp @r1
add #-2,r6
fdl687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr687: .long execexit
! Opcode 137C
L37C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl688
mov.l execexit_ptr688,r1
jmp @r1
add #-2,r6
fdl688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr688: .long execexit
! Opcodes 1380 - 1387
L380:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd99
exts.w r0,r0
longwd99:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl689
mov.l execexit_ptr689,r1
jmp @r1
add #-2,r6
fdl689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr689: .long execexit
! Opcodes 1388 - 138F
L388:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd100
exts.w r0,r0
longwd100:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl690
mov.l execexit_ptr690,r1
jmp @r1
add #-2,r6
fdl690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr690: .long execexit
! Opcodes 1390 - 1397
L390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd101
exts.w r0,r0
longwd101:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl691
mov.l execexit_ptr691,r1
jmp @r1
add #-2,r6
fdl691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr691: .long execexit
! Opcodes 1398 - 139F
L398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd102
exts.w r0,r0
longwd102:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl692
mov.l execexit_ptr692,r1
jmp @r1
add #-2,r6
fdl692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr692: .long execexit
! Opcodes 13A0 - 13A7
L3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd103
exts.w r0,r0
longwd103:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl693
mov.l execexit_ptr693,r1
jmp @r1
add #-2,r6
fdl693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr693: .long execexit
! Opcodes 13A8 - 13AF
L3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd104
exts.w r0,r0
longwd104:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl694
mov.l execexit_ptr694,r1
jmp @r1
add #-2,r6
fdl694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr694: .long execexit
! Opcodes 13B0 - 13B7
L3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd105
exts.w r0,r0
longwd105:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd106
exts.w r0,r0
longwd106:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl695
mov.l execexit_ptr695,r1
jmp @r1
add #-2,r6
fdl695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr695: .long execexit
! Opcode 13B8
L3B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd107
exts.w r0,r0
longwd107:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl696
mov.l execexit_ptr696,r1
jmp @r1
add #-2,r6
fdl696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr696: .long execexit
! Opcode 13B9
L3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd108
exts.w r0,r0
longwd108:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl697
mov.l execexit_ptr697,r1
jmp @r1
add #-2,r6
fdl697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr697: .long execexit
! Opcode 13BA
L3BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd109
exts.w r0,r0
longwd109:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl698
mov.l execexit_ptr698,r1
jmp @r1
add #-2,r6
fdl698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr698: .long execexit
! Opcode 13BB
L3BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd110
exts.w r0,r0
longwd110:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd111
exts.w r0,r0
longwd111:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl699
mov.l execexit_ptr699,r1
jmp @r1
add #-2,r6
fdl699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr699: .long execexit
! Opcode 13BC
L3BC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd112
exts.w r0,r0
longwd112:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl700
mov.l execexit_ptr700,r1
jmp @r1
add #-2,r6
fdl700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr700: .long execexit
! Opcodes 13C0 - 13C7
L3C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl701
mov.l execexit_ptr701,r1
jmp @r1
add #-2,r6
fdl701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr701: .long execexit
! Opcodes 13C8 - 13CF
L3C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl702
mov.l execexit_ptr702,r1
jmp @r1
add #-2,r6
fdl702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr702: .long execexit
! Opcodes 13D0 - 13D7
L3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl703
mov.l execexit_ptr703,r1
jmp @r1
add #-2,r6
fdl703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr703: .long execexit
! Opcodes 13D8 - 13DF
L3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl704
mov.l execexit_ptr704,r1
jmp @r1
add #-2,r6
fdl704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr704: .long execexit
! Opcodes 13E0 - 13E7
L3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl705
mov.l execexit_ptr705,r1
jmp @r1
add #-2,r6
fdl705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr705: .long execexit
! Opcodes 13E8 - 13EF
L3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl706
mov.l execexit_ptr706,r1
jmp @r1
add #-2,r6
fdl706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr706: .long execexit
! Opcodes 13F0 - 13F7
L3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd113
exts.w r0,r0
longwd113:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl707
mov.l execexit_ptr707,r1
jmp @r1
add #-2,r6
fdl707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr707: .long execexit
! Opcode 13F8
L3F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl708
mov.l execexit_ptr708,r1
jmp @r1
add #-2,r6
fdl708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr708: .long execexit
! Opcode 13F9
L3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl709
mov.l execexit_ptr709,r1
jmp @r1
add #-2,r6
fdl709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr709: .long execexit
! Opcode 13FA
L3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl710
mov.l execexit_ptr710,r1
jmp @r1
add #-2,r6
fdl710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr710: .long execexit
! Opcode 13FB
L3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd114
exts.w r0,r0
longwd114:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl711
mov.l execexit_ptr711,r1
jmp @r1
add #-2,r6
fdl711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr711: .long execexit
! Opcode 13FC
L3FC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl712
mov.l execexit_ptr712,r1
jmp @r1
add #-2,r6
fdl712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr712: .long execexit
! Opcodes 1400 - 1407
L400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl713
mov.l execexit_ptr713,r1
jmp @r1
add #-2,r6
fdl713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr713: .long execexit
! Opcodes 1408 - 140F
L408:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl714
mov.l execexit_ptr714,r1
jmp @r1
add #-2,r6
fdl714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr714: .long execexit
! Opcodes 1410 - 1417
L410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl715
mov.l execexit_ptr715,r1
jmp @r1
add #-2,r6
fdl715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr715: .long execexit
! Opcodes 1418 - 141F
L418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl716
mov.l execexit_ptr716,r1
jmp @r1
add #-2,r6
fdl716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr716: .long execexit
! Opcodes 1420 - 1427
L420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl717
mov.l execexit_ptr717,r1
jmp @r1
add #-2,r6
fdl717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr717: .long execexit
! Opcodes 1428 - 142F
L428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl718
mov.l execexit_ptr718,r1
jmp @r1
add #-2,r6
fdl718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr718: .long execexit
! Opcodes 1430 - 1437
L430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd115
exts.w r0,r0
longwd115:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl719
mov.l execexit_ptr719,r1
jmp @r1
add #-2,r6
fdl719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr719: .long execexit
! Opcode 1438
L438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl720
mov.l execexit_ptr720,r1
jmp @r1
add #-2,r6
fdl720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr720: .long execexit
! Opcode 1439
L439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl721
mov.l execexit_ptr721,r1
jmp @r1
add #-2,r6
fdl721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr721: .long execexit
! Opcode 143A
L43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl722
mov.l execexit_ptr722,r1
jmp @r1
add #-2,r6
fdl722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr722: .long execexit
! Opcode 143B
L43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd116
exts.w r0,r0
longwd116:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl723
mov.l execexit_ptr723,r1
jmp @r1
add #-2,r6
fdl723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr723: .long execexit
! Opcode 143C
L43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl724
mov.l execexit_ptr724,r1
jmp @r1
add #-2,r6
fdl724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr724: .long execexit
! Opcodes 1480 - 1487
L480:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl725
mov.l execexit_ptr725,r1
jmp @r1
add #-2,r6
fdl725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr725: .long execexit
! Opcodes 1488 - 148F
L488:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl726
mov.l execexit_ptr726,r1
jmp @r1
add #-2,r6
fdl726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr726: .long execexit
! Opcodes 1490 - 1497
L490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl727
mov.l execexit_ptr727,r1
jmp @r1
add #-2,r6
fdl727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr727: .long execexit
! Opcodes 1498 - 149F
L498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl728
mov.l execexit_ptr728,r1
jmp @r1
add #-2,r6
fdl728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr728: .long execexit
! Opcodes 14A0 - 14A7
L4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl729
mov.l execexit_ptr729,r1
jmp @r1
add #-2,r6
fdl729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr729: .long execexit
! Opcodes 14A8 - 14AF
L4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl730
mov.l execexit_ptr730,r1
jmp @r1
add #-2,r6
fdl730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr730: .long execexit
! Opcodes 14B0 - 14B7
L4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd117
exts.w r0,r0
longwd117:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl731
mov.l execexit_ptr731,r1
jmp @r1
add #-2,r6
fdl731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr731: .long execexit
! Opcode 14B8
L4B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl732
mov.l execexit_ptr732,r1
jmp @r1
add #-2,r6
fdl732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr732: .long execexit
! Opcode 14B9
L4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl733
mov.l execexit_ptr733,r1
jmp @r1
add #-2,r6
fdl733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr733: .long execexit
! Opcode 14BA
L4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl734
mov.l execexit_ptr734,r1
jmp @r1
add #-2,r6
fdl734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr734: .long execexit
! Opcode 14BB
L4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd118
exts.w r0,r0
longwd118:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl735
mov.l execexit_ptr735,r1
jmp @r1
add #-2,r6
fdl735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr735: .long execexit
! Opcode 14BC
L4BC:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl736
mov.l execexit_ptr736,r1
jmp @r1
add #-2,r6
fdl736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr736: .long execexit
! Opcodes 14C0 - 14C7
L4C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl737
mov.l execexit_ptr737,r1
jmp @r1
add #-2,r6
fdl737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr737: .long execexit
! Opcodes 14C8 - 14CF
L4C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl738
mov.l execexit_ptr738,r1
jmp @r1
add #-2,r6
fdl738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr738: .long execexit
! Opcodes 14D0 - 14D7
L4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl739
mov.l execexit_ptr739,r1
jmp @r1
add #-2,r6
fdl739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr739: .long execexit
! Opcodes 14D8 - 14DF
L4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl740
mov.l execexit_ptr740,r1
jmp @r1
add #-2,r6
fdl740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr740: .long execexit
! Opcodes 14E0 - 14E7
L4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl741
mov.l execexit_ptr741,r1
jmp @r1
add #-2,r6
fdl741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr741: .long execexit
! Opcodes 14E8 - 14EF
L4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl742
mov.l execexit_ptr742,r1
jmp @r1
add #-2,r6
fdl742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr742: .long execexit
! Opcodes 14F0 - 14F7
L4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd119
exts.w r0,r0
longwd119:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl743
mov.l execexit_ptr743,r1
jmp @r1
add #-2,r6
fdl743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr743: .long execexit
! Opcode 14F8
L4F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl744
mov.l execexit_ptr744,r1
jmp @r1
add #-2,r6
fdl744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr744: .long execexit
! Opcode 14F9
L4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl745
mov.l execexit_ptr745,r1
jmp @r1
add #-2,r6
fdl745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr745: .long execexit
! Opcode 14FA
L4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl746
mov.l execexit_ptr746,r1
jmp @r1
add #-2,r6
fdl746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr746: .long execexit
! Opcode 14FB
L4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd120
exts.w r0,r0
longwd120:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl747
mov.l execexit_ptr747,r1
jmp @r1
add #-2,r6
fdl747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr747: .long execexit
! Opcode 14FC
L4FC:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl748
mov.l execexit_ptr748,r1
jmp @r1
add #-2,r6
fdl748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr748: .long execexit
! Opcodes 1500 - 1507
L500:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl749
mov.l execexit_ptr749,r1
jmp @r1
add #-2,r6
fdl749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr749: .long execexit
! Opcodes 1508 - 150F
L508:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl750
mov.l execexit_ptr750,r1
jmp @r1
add #-2,r6
fdl750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr750: .long execexit
! Opcodes 1510 - 1517
L510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl751
mov.l execexit_ptr751,r1
jmp @r1
add #-2,r6
fdl751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr751: .long execexit
! Opcodes 1518 - 151F
L518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl752
mov.l execexit_ptr752,r1
jmp @r1
add #-2,r6
fdl752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr752: .long execexit
! Opcodes 1520 - 1527
L520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl753
mov.l execexit_ptr753,r1
jmp @r1
add #-2,r6
fdl753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr753: .long execexit
! Opcodes 1528 - 152F
L528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl754
mov.l execexit_ptr754,r1
jmp @r1
add #-2,r6
fdl754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr754: .long execexit
! Opcodes 1530 - 1537
L530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd121
exts.w r0,r0
longwd121:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl755
mov.l execexit_ptr755,r1
jmp @r1
add #-2,r6
fdl755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr755: .long execexit
! Opcode 1538
L538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl756
mov.l execexit_ptr756,r1
jmp @r1
add #-2,r6
fdl756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr756: .long execexit
! Opcode 1539
L539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl757
mov.l execexit_ptr757,r1
jmp @r1
add #-2,r6
fdl757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr757: .long execexit
! Opcode 153A
L53A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl758
mov.l execexit_ptr758,r1
jmp @r1
add #-2,r6
fdl758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr758: .long execexit
! Opcode 153B
L53B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd122
exts.w r0,r0
longwd122:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl759
mov.l execexit_ptr759,r1
jmp @r1
add #-2,r6
fdl759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr759: .long execexit
! Opcode 153C
L53C:
mov.b @r6,r3
add #2,r6
mov.l @(40,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl760
mov.l execexit_ptr760,r1
jmp @r1
add #-2,r6
fdl760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr760: .long execexit
! Opcodes 1540 - 1547
L540:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl761
mov.l execexit_ptr761,r1
jmp @r1
add #-2,r6
fdl761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr761: .long execexit
! Opcodes 1548 - 154F
L548:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl762
mov.l execexit_ptr762,r1
jmp @r1
add #-2,r6
fdl762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr762: .long execexit
! Opcodes 1550 - 1557
L550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl763
mov.l execexit_ptr763,r1
jmp @r1
add #-2,r6
fdl763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr763: .long execexit
! Opcodes 1558 - 155F
L558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl764
mov.l execexit_ptr764,r1
jmp @r1
add #-2,r6
fdl764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr764: .long execexit
! Opcodes 1560 - 1567
L560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl765
mov.l execexit_ptr765,r1
jmp @r1
add #-2,r6
fdl765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr765: .long execexit
! Opcodes 1568 - 156F
L568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl766
mov.l execexit_ptr766,r1
jmp @r1
add #-2,r6
fdl766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr766: .long execexit
! Opcodes 1570 - 1577
L570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd123
exts.w r0,r0
longwd123:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl767
mov.l execexit_ptr767,r1
jmp @r1
add #-2,r6
fdl767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr767: .long execexit
! Opcode 1578
L578:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl768
mov.l execexit_ptr768,r1
jmp @r1
add #-2,r6
fdl768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr768: .long execexit
! Opcode 1579
L579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl769
mov.l execexit_ptr769,r1
jmp @r1
add #-2,r6
fdl769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr769: .long execexit
! Opcode 157A
L57A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl770
mov.l execexit_ptr770,r1
jmp @r1
add #-2,r6
fdl770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr770: .long execexit
! Opcode 157B
L57B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd124
exts.w r0,r0
longwd124:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl771
mov.l execexit_ptr771,r1
jmp @r1
add #-2,r6
fdl771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr771: .long execexit
! Opcode 157C
L57C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl772
mov.l execexit_ptr772,r1
jmp @r1
add #-2,r6
fdl772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr772: .long execexit
! Opcodes 1580 - 1587
L580:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd125
exts.w r0,r0
longwd125:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl773
mov.l execexit_ptr773,r1
jmp @r1
add #-2,r6
fdl773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr773: .long execexit
! Opcodes 1588 - 158F
L588:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd126
exts.w r0,r0
longwd126:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl774
mov.l execexit_ptr774,r1
jmp @r1
add #-2,r6
fdl774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr774: .long execexit
! Opcodes 1590 - 1597
L590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd127
exts.w r0,r0
longwd127:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl775
mov.l execexit_ptr775,r1
jmp @r1
add #-2,r6
fdl775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr775: .long execexit
! Opcodes 1598 - 159F
L598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd128
exts.w r0,r0
longwd128:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl776
mov.l execexit_ptr776,r1
jmp @r1
add #-2,r6
fdl776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr776: .long execexit
! Opcodes 15A0 - 15A7
L5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd129
exts.w r0,r0
longwd129:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl777
mov.l execexit_ptr777,r1
jmp @r1
add #-2,r6
fdl777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr777: .long execexit
! Opcodes 15A8 - 15AF
L5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd130
exts.w r0,r0
longwd130:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl778
mov.l execexit_ptr778,r1
jmp @r1
add #-2,r6
fdl778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr778: .long execexit
! Opcodes 15B0 - 15B7
L5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd131
exts.w r0,r0
longwd131:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd132
exts.w r0,r0
longwd132:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl779
mov.l execexit_ptr779,r1
jmp @r1
add #-2,r6
fdl779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr779: .long execexit
! Opcode 15B8
L5B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd133
exts.w r0,r0
longwd133:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl780
mov.l execexit_ptr780,r1
jmp @r1
add #-2,r6
fdl780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr780: .long execexit
! Opcode 15B9
L5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd134
exts.w r0,r0
longwd134:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl781
mov.l execexit_ptr781,r1
jmp @r1
add #-2,r6
fdl781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr781: .long execexit
! Opcode 15BA
L5BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd135
exts.w r0,r0
longwd135:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl782
mov.l execexit_ptr782,r1
jmp @r1
add #-2,r6
fdl782:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr782: .long execexit
! Opcode 15BB
L5BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd136
exts.w r0,r0
longwd136:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd137
exts.w r0,r0
longwd137:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl783
mov.l execexit_ptr783,r1
jmp @r1
add #-2,r6
fdl783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr783: .long execexit
! Opcode 15BC
L5BC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd138
exts.w r0,r0
longwd138:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl784
mov.l execexit_ptr784,r1
jmp @r1
add #-2,r6
fdl784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr784: .long execexit
! Opcodes 1600 - 1607
L600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl785
mov.l execexit_ptr785,r1
jmp @r1
add #-2,r6
fdl785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr785: .long execexit
! Opcodes 1608 - 160F
L608:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl786
mov.l execexit_ptr786,r1
jmp @r1
add #-2,r6
fdl786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr786: .long execexit
! Opcodes 1610 - 1617
L610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl787
mov.l execexit_ptr787,r1
jmp @r1
add #-2,r6
fdl787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr787: .long execexit
! Opcodes 1618 - 161F
L618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl788
mov.l execexit_ptr788,r1
jmp @r1
add #-2,r6
fdl788:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr788: .long execexit
! Opcodes 1620 - 1627
L620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl789
mov.l execexit_ptr789,r1
jmp @r1
add #-2,r6
fdl789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr789: .long execexit
! Opcodes 1628 - 162F
L628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl790
mov.l execexit_ptr790,r1
jmp @r1
add #-2,r6
fdl790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr790: .long execexit
! Opcodes 1630 - 1637
L630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd139
exts.w r0,r0
longwd139:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl791
mov.l execexit_ptr791,r1
jmp @r1
add #-2,r6
fdl791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr791: .long execexit
! Opcode 1638
L638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl792
mov.l execexit_ptr792,r1
jmp @r1
add #-2,r6
fdl792:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr792: .long execexit
! Opcode 1639
L639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl793
mov.l execexit_ptr793,r1
jmp @r1
add #-2,r6
fdl793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr793: .long execexit
! Opcode 163A
L63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl794
mov.l execexit_ptr794,r1
jmp @r1
add #-2,r6
fdl794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr794: .long execexit
! Opcode 163B
L63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd140
exts.w r0,r0
longwd140:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl795
mov.l execexit_ptr795,r1
jmp @r1
add #-2,r6
fdl795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr795: .long execexit
! Opcode 163C
L63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl796
mov.l execexit_ptr796,r1
jmp @r1
add #-2,r6
fdl796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr796: .long execexit
! Opcodes 1680 - 1687
L680:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl797
mov.l execexit_ptr797,r1
jmp @r1
add #-2,r6
fdl797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr797: .long execexit
! Opcodes 1688 - 168F
L688:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl798
mov.l execexit_ptr798,r1
jmp @r1
add #-2,r6
fdl798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr798: .long execexit
! Opcodes 1690 - 1697
L690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl799
mov.l execexit_ptr799,r1
jmp @r1
add #-2,r6
fdl799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr799: .long execexit
! Opcodes 1698 - 169F
L698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl800
mov.l execexit_ptr800,r1
jmp @r1
add #-2,r6
fdl800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr800: .long execexit
! Opcodes 16A0 - 16A7
L6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl801
mov.l execexit_ptr801,r1
jmp @r1
add #-2,r6
fdl801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr801: .long execexit
! Opcodes 16A8 - 16AF
L6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl802
mov.l execexit_ptr802,r1
jmp @r1
add #-2,r6
fdl802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr802: .long execexit
! Opcodes 16B0 - 16B7
L6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd141
exts.w r0,r0
longwd141:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl803
mov.l execexit_ptr803,r1
jmp @r1
add #-2,r6
fdl803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr803: .long execexit
! Opcode 16B8
L6B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl804
mov.l execexit_ptr804,r1
jmp @r1
add #-2,r6
fdl804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr804: .long execexit
! Opcode 16B9
L6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl805
mov.l execexit_ptr805,r1
jmp @r1
add #-2,r6
fdl805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr805: .long execexit
! Opcode 16BA
L6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl806
mov.l execexit_ptr806,r1
jmp @r1
add #-2,r6
fdl806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr806: .long execexit
! Opcode 16BB
L6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd142
exts.w r0,r0
longwd142:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl807
mov.l execexit_ptr807,r1
jmp @r1
add #-2,r6
fdl807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr807: .long execexit
! Opcode 16BC
L6BC:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl808
mov.l execexit_ptr808,r1
jmp @r1
add #-2,r6
fdl808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr808: .long execexit
! Opcodes 16C0 - 16C7
L6C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl809
mov.l execexit_ptr809,r1
jmp @r1
add #-2,r6
fdl809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr809: .long execexit
! Opcodes 16C8 - 16CF
L6C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl810
mov.l execexit_ptr810,r1
jmp @r1
add #-2,r6
fdl810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr810: .long execexit
! Opcodes 16D0 - 16D7
L6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl811
mov.l execexit_ptr811,r1
jmp @r1
add #-2,r6
fdl811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr811: .long execexit
! Opcodes 16D8 - 16DF
L6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl812
mov.l execexit_ptr812,r1
jmp @r1
add #-2,r6
fdl812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr812: .long execexit
! Opcodes 16E0 - 16E7
L6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl813
mov.l execexit_ptr813,r1
jmp @r1
add #-2,r6
fdl813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr813: .long execexit
! Opcodes 16E8 - 16EF
L6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl814
mov.l execexit_ptr814,r1
jmp @r1
add #-2,r6
fdl814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr814: .long execexit
! Opcodes 16F0 - 16F7
L6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd143
exts.w r0,r0
longwd143:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl815
mov.l execexit_ptr815,r1
jmp @r1
add #-2,r6
fdl815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr815: .long execexit
! Opcode 16F8
L6F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl816
mov.l execexit_ptr816,r1
jmp @r1
add #-2,r6
fdl816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr816: .long execexit
! Opcode 16F9
L6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl817
mov.l execexit_ptr817,r1
jmp @r1
add #-2,r6
fdl817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr817: .long execexit
! Opcode 16FA
L6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl818
mov.l execexit_ptr818,r1
jmp @r1
add #-2,r6
fdl818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr818: .long execexit
! Opcode 16FB
L6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd144
exts.w r0,r0
longwd144:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl819
mov.l execexit_ptr819,r1
jmp @r1
add #-2,r6
fdl819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr819: .long execexit
! Opcode 16FC
L6FC:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl820
mov.l execexit_ptr820,r1
jmp @r1
add #-2,r6
fdl820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr820: .long execexit
! Opcodes 1700 - 1707
L700:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl821
mov.l execexit_ptr821,r1
jmp @r1
add #-2,r6
fdl821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr821: .long execexit
! Opcodes 1708 - 170F
L708:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl822
mov.l execexit_ptr822,r1
jmp @r1
add #-2,r6
fdl822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr822: .long execexit
! Opcodes 1710 - 1717
L710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl823
mov.l execexit_ptr823,r1
jmp @r1
add #-2,r6
fdl823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr823: .long execexit
! Opcodes 1718 - 171F
L718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl824
mov.l execexit_ptr824,r1
jmp @r1
add #-2,r6
fdl824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr824: .long execexit
! Opcodes 1720 - 1727
L720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl825
mov.l execexit_ptr825,r1
jmp @r1
add #-2,r6
fdl825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr825: .long execexit
! Opcodes 1728 - 172F
L728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl826
mov.l execexit_ptr826,r1
jmp @r1
add #-2,r6
fdl826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr826: .long execexit
! Opcodes 1730 - 1737
L730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd145
exts.w r0,r0
longwd145:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl827
mov.l execexit_ptr827,r1
jmp @r1
add #-2,r6
fdl827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr827: .long execexit
! Opcode 1738
L738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl828
mov.l execexit_ptr828,r1
jmp @r1
add #-2,r6
fdl828:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr828: .long execexit
! Opcode 1739
L739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl829
mov.l execexit_ptr829,r1
jmp @r1
add #-2,r6
fdl829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr829: .long execexit
! Opcode 173A
L73A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl830
mov.l execexit_ptr830,r1
jmp @r1
add #-2,r6
fdl830:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr830: .long execexit
! Opcode 173B
L73B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd146
exts.w r0,r0
longwd146:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl831
mov.l execexit_ptr831,r1
jmp @r1
add #-2,r6
fdl831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr831: .long execexit
! Opcode 173C
L73C:
mov.b @r6,r3
add #2,r6
mov.l @(44,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl832
mov.l execexit_ptr832,r1
jmp @r1
add #-2,r6
fdl832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr832: .long execexit
! Opcodes 1740 - 1747
L740:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl833
mov.l execexit_ptr833,r1
jmp @r1
add #-2,r6
fdl833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr833: .long execexit
! Opcodes 1748 - 174F
L748:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl834
mov.l execexit_ptr834,r1
jmp @r1
add #-2,r6
fdl834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr834: .long execexit
! Opcodes 1750 - 1757
L750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl835
mov.l execexit_ptr835,r1
jmp @r1
add #-2,r6
fdl835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr835: .long execexit
! Opcodes 1758 - 175F
L758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl836
mov.l execexit_ptr836,r1
jmp @r1
add #-2,r6
fdl836:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr836: .long execexit
! Opcodes 1760 - 1767
L760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl837
mov.l execexit_ptr837,r1
jmp @r1
add #-2,r6
fdl837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr837: .long execexit
! Opcodes 1768 - 176F
L768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl838
mov.l execexit_ptr838,r1
jmp @r1
add #-2,r6
fdl838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr838: .long execexit
! Opcodes 1770 - 1777
L770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd147
exts.w r0,r0
longwd147:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl839
mov.l execexit_ptr839,r1
jmp @r1
add #-2,r6
fdl839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr839: .long execexit
! Opcode 1778
L778:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl840
mov.l execexit_ptr840,r1
jmp @r1
add #-2,r6
fdl840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr840: .long execexit
! Opcode 1779
L779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl841
mov.l execexit_ptr841,r1
jmp @r1
add #-2,r6
fdl841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr841: .long execexit
! Opcode 177A
L77A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl842
mov.l execexit_ptr842,r1
jmp @r1
add #-2,r6
fdl842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr842: .long execexit
! Opcode 177B
L77B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd148
exts.w r0,r0
longwd148:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl843
mov.l execexit_ptr843,r1
jmp @r1
add #-2,r6
fdl843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr843: .long execexit
! Opcode 177C
L77C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl844
mov.l execexit_ptr844,r1
jmp @r1
add #-2,r6
fdl844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr844: .long execexit
! Opcodes 1780 - 1787
L780:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd149
exts.w r0,r0
longwd149:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl845
mov.l execexit_ptr845,r1
jmp @r1
add #-2,r6
fdl845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr845: .long execexit
! Opcodes 1788 - 178F
L788:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd150
exts.w r0,r0
longwd150:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl846
mov.l execexit_ptr846,r1
jmp @r1
add #-2,r6
fdl846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr846: .long execexit
! Opcodes 1790 - 1797
L790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd151
exts.w r0,r0
longwd151:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl847
mov.l execexit_ptr847,r1
jmp @r1
add #-2,r6
fdl847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr847: .long execexit
! Opcodes 1798 - 179F
L798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd152
exts.w r0,r0
longwd152:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl848
mov.l execexit_ptr848,r1
jmp @r1
add #-2,r6
fdl848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr848: .long execexit
! Opcodes 17A0 - 17A7
L7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd153
exts.w r0,r0
longwd153:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl849
mov.l execexit_ptr849,r1
jmp @r1
add #-2,r6
fdl849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr849: .long execexit
! Opcodes 17A8 - 17AF
L7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd154
exts.w r0,r0
longwd154:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl850
mov.l execexit_ptr850,r1
jmp @r1
add #-2,r6
fdl850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr850: .long execexit
! Opcodes 17B0 - 17B7
L7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd155
exts.w r0,r0
longwd155:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd156
exts.w r0,r0
longwd156:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl851
mov.l execexit_ptr851,r1
jmp @r1
add #-2,r6
fdl851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr851: .long execexit
! Opcode 17B8
L7B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd157
exts.w r0,r0
longwd157:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl852
mov.l execexit_ptr852,r1
jmp @r1
add #-2,r6
fdl852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr852: .long execexit
! Opcode 17B9
L7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd158
exts.w r0,r0
longwd158:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl853
mov.l execexit_ptr853,r1
jmp @r1
add #-2,r6
fdl853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr853: .long execexit
! Opcode 17BA
L7BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd159
exts.w r0,r0
longwd159:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl854
mov.l execexit_ptr854,r1
jmp @r1
add #-2,r6
fdl854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr854: .long execexit
! Opcode 17BB
L7BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd160
exts.w r0,r0
longwd160:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd161
exts.w r0,r0
longwd161:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl855
mov.l execexit_ptr855,r1
jmp @r1
add #-2,r6
fdl855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr855: .long execexit
! Opcode 17BC
L7BC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd162
exts.w r0,r0
longwd162:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl856
mov.l execexit_ptr856,r1
jmp @r1
add #-2,r6
fdl856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr856: .long execexit
! Opcodes 1800 - 1807
L800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl857
mov.l execexit_ptr857,r1
jmp @r1
add #-2,r6
fdl857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr857: .long execexit
! Opcodes 1808 - 180F
L808:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl858
mov.l execexit_ptr858,r1
jmp @r1
add #-2,r6
fdl858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr858: .long execexit
! Opcodes 1810 - 1817
L810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl859
mov.l execexit_ptr859,r1
jmp @r1
add #-2,r6
fdl859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr859: .long execexit
! Opcodes 1818 - 181F
L818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl860
mov.l execexit_ptr860,r1
jmp @r1
add #-2,r6
fdl860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr860: .long execexit
! Opcodes 1820 - 1827
L820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl861
mov.l execexit_ptr861,r1
jmp @r1
add #-2,r6
fdl861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr861: .long execexit
! Opcodes 1828 - 182F
L828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl862
mov.l execexit_ptr862,r1
jmp @r1
add #-2,r6
fdl862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr862: .long execexit
! Opcodes 1830 - 1837
L830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd163
exts.w r0,r0
longwd163:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl863
mov.l execexit_ptr863,r1
jmp @r1
add #-2,r6
fdl863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr863: .long execexit
! Opcode 1838
L838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl864
mov.l execexit_ptr864,r1
jmp @r1
add #-2,r6
fdl864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr864: .long execexit
! Opcode 1839
L839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl865
mov.l execexit_ptr865,r1
jmp @r1
add #-2,r6
fdl865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr865: .long execexit
! Opcode 183A
L83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl866
mov.l execexit_ptr866,r1
jmp @r1
add #-2,r6
fdl866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr866: .long execexit
! Opcode 183B
L83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd164
exts.w r0,r0
longwd164:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl867
mov.l execexit_ptr867,r1
jmp @r1
add #-2,r6
fdl867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr867: .long execexit
! Opcode 183C
L83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl868
mov.l execexit_ptr868,r1
jmp @r1
add #-2,r6
fdl868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr868: .long execexit
! Opcodes 1880 - 1887
L880:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl869
mov.l execexit_ptr869,r1
jmp @r1
add #-2,r6
fdl869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr869: .long execexit
! Opcodes 1888 - 188F
L888:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl870
mov.l execexit_ptr870,r1
jmp @r1
add #-2,r6
fdl870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr870: .long execexit
! Opcodes 1890 - 1897
L890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl871
mov.l execexit_ptr871,r1
jmp @r1
add #-2,r6
fdl871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr871: .long execexit
! Opcodes 1898 - 189F
L898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl872
mov.l execexit_ptr872,r1
jmp @r1
add #-2,r6
fdl872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr872: .long execexit
! Opcodes 18A0 - 18A7
L8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl873
mov.l execexit_ptr873,r1
jmp @r1
add #-2,r6
fdl873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr873: .long execexit
! Opcodes 18A8 - 18AF
L8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl874
mov.l execexit_ptr874,r1
jmp @r1
add #-2,r6
fdl874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr874: .long execexit
! Opcodes 18B0 - 18B7
L8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd165
exts.w r0,r0
longwd165:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl875
mov.l execexit_ptr875,r1
jmp @r1
add #-2,r6
fdl875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr875: .long execexit
! Opcode 18B8
L8B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl876
mov.l execexit_ptr876,r1
jmp @r1
add #-2,r6
fdl876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr876: .long execexit
! Opcode 18B9
L8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl877
mov.l execexit_ptr877,r1
jmp @r1
add #-2,r6
fdl877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr877: .long execexit
! Opcode 18BA
L8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl878
mov.l execexit_ptr878,r1
jmp @r1
add #-2,r6
fdl878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr878: .long execexit
! Opcode 18BB
L8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd166
exts.w r0,r0
longwd166:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl879
mov.l execexit_ptr879,r1
jmp @r1
add #-2,r6
fdl879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr879: .long execexit
! Opcode 18BC
L8BC:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl880
mov.l execexit_ptr880,r1
jmp @r1
add #-2,r6
fdl880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr880: .long execexit
! Opcodes 18C0 - 18C7
L8C0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl881
mov.l execexit_ptr881,r1
jmp @r1
add #-2,r6
fdl881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr881: .long execexit
! Opcodes 18C8 - 18CF
L8C8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl882
mov.l execexit_ptr882,r1
jmp @r1
add #-2,r6
fdl882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr882: .long execexit
! Opcodes 18D0 - 18D7
L8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl883
mov.l execexit_ptr883,r1
jmp @r1
add #-2,r6
fdl883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr883: .long execexit
! Opcodes 18D8 - 18DF
L8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl884
mov.l execexit_ptr884,r1
jmp @r1
add #-2,r6
fdl884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr884: .long execexit
! Opcodes 18E0 - 18E7
L8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl885
mov.l execexit_ptr885,r1
jmp @r1
add #-2,r6
fdl885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr885: .long execexit
! Opcodes 18E8 - 18EF
L8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl886
mov.l execexit_ptr886,r1
jmp @r1
add #-2,r6
fdl886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr886: .long execexit
! Opcodes 18F0 - 18F7
L8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd167
exts.w r0,r0
longwd167:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl887
mov.l execexit_ptr887,r1
jmp @r1
add #-2,r6
fdl887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr887: .long execexit
! Opcode 18F8
L8F8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl888
mov.l execexit_ptr888,r1
jmp @r1
add #-2,r6
fdl888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr888: .long execexit
! Opcode 18F9
L8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl889
mov.l execexit_ptr889,r1
jmp @r1
add #-2,r6
fdl889:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr889: .long execexit
! Opcode 18FA
L8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl890
mov.l execexit_ptr890,r1
jmp @r1
add #-2,r6
fdl890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr890: .long execexit
! Opcode 18FB
L8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd168
exts.w r0,r0
longwd168:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl891
mov.l execexit_ptr891,r1
jmp @r1
add #-2,r6
fdl891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr891: .long execexit
! Opcode 18FC
L8FC:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl892
mov.l execexit_ptr892,r1
jmp @r1
add #-2,r6
fdl892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr892: .long execexit
! Opcodes 1900 - 1907
L900:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl893
mov.l execexit_ptr893,r1
jmp @r1
add #-2,r6
fdl893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr893: .long execexit
! Opcodes 1908 - 190F
L908:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl894
mov.l execexit_ptr894,r1
jmp @r1
add #-2,r6
fdl894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr894: .long execexit
! Opcodes 1910 - 1917
L910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl895
mov.l execexit_ptr895,r1
jmp @r1
add #-2,r6
fdl895:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr895: .long execexit
! Opcodes 1918 - 191F
L918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl896
mov.l execexit_ptr896,r1
jmp @r1
add #-2,r6
fdl896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr896: .long execexit
! Opcodes 1920 - 1927
L920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl897
mov.l execexit_ptr897,r1
jmp @r1
add #-2,r6
fdl897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr897: .long execexit
! Opcodes 1928 - 192F
L928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl898
mov.l execexit_ptr898,r1
jmp @r1
add #-2,r6
fdl898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr898: .long execexit
! Opcodes 1930 - 1937
L930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd169
exts.w r0,r0
longwd169:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl899
mov.l execexit_ptr899,r1
jmp @r1
add #-2,r6
fdl899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr899: .long execexit
! Opcode 1938
L938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl900
mov.l execexit_ptr900,r1
jmp @r1
add #-2,r6
fdl900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr900: .long execexit
! Opcode 1939
L939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl901
mov.l execexit_ptr901,r1
jmp @r1
add #-2,r6
fdl901:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr901: .long execexit
! Opcode 193A
L93A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl902
mov.l execexit_ptr902,r1
jmp @r1
add #-2,r6
fdl902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr902: .long execexit
! Opcode 193B
L93B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd170
exts.w r0,r0
longwd170:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl903
mov.l execexit_ptr903,r1
jmp @r1
add #-2,r6
fdl903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr903: .long execexit
! Opcode 193C
L93C:
mov.b @r6,r3
add #2,r6
mov.l @(48,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl904
mov.l execexit_ptr904,r1
jmp @r1
add #-2,r6
fdl904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr904: .long execexit
! Opcodes 1940 - 1947
L940:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl905
mov.l execexit_ptr905,r1
jmp @r1
add #-2,r6
fdl905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr905: .long execexit
! Opcodes 1948 - 194F
L948:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl906
mov.l execexit_ptr906,r1
jmp @r1
add #-2,r6
fdl906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr906: .long execexit
! Opcodes 1950 - 1957
L950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl907
mov.l execexit_ptr907,r1
jmp @r1
add #-2,r6
fdl907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr907: .long execexit
! Opcodes 1958 - 195F
L958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl908
mov.l execexit_ptr908,r1
jmp @r1
add #-2,r6
fdl908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr908: .long execexit
! Opcodes 1960 - 1967
L960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl909
mov.l execexit_ptr909,r1
jmp @r1
add #-2,r6
fdl909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr909: .long execexit
! Opcodes 1968 - 196F
L968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl910
mov.l execexit_ptr910,r1
jmp @r1
add #-2,r6
fdl910:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr910: .long execexit
! Opcodes 1970 - 1977
L970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd171
exts.w r0,r0
longwd171:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl911
mov.l execexit_ptr911,r1
jmp @r1
add #-2,r6
fdl911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr911: .long execexit
! Opcode 1978
L978:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl912
mov.l execexit_ptr912,r1
jmp @r1
add #-2,r6
fdl912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr912: .long execexit
! Opcode 1979
L979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl913
mov.l execexit_ptr913,r1
jmp @r1
add #-2,r6
fdl913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr913: .long execexit
! Opcode 197A
L97A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl914
mov.l execexit_ptr914,r1
jmp @r1
add #-2,r6
fdl914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr914: .long execexit
! Opcode 197B
L97B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd172
exts.w r0,r0
longwd172:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl915
mov.l execexit_ptr915,r1
jmp @r1
add #-2,r6
fdl915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr915: .long execexit
! Opcode 197C
L97C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl916
mov.l execexit_ptr916,r1
jmp @r1
add #-2,r6
fdl916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr916: .long execexit
! Opcodes 1980 - 1987
L980:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd173
exts.w r0,r0
longwd173:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl917
mov.l execexit_ptr917,r1
jmp @r1
add #-2,r6
fdl917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr917: .long execexit
! Opcodes 1988 - 198F
L988:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd174
exts.w r0,r0
longwd174:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl918
mov.l execexit_ptr918,r1
jmp @r1
add #-2,r6
fdl918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr918: .long execexit
! Opcodes 1990 - 1997
L990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd175
exts.w r0,r0
longwd175:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl919
mov.l execexit_ptr919,r1
jmp @r1
add #-2,r6
fdl919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr919: .long execexit
! Opcodes 1998 - 199F
L998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd176
exts.w r0,r0
longwd176:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl920
mov.l execexit_ptr920,r1
jmp @r1
add #-2,r6
fdl920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr920: .long execexit
! Opcodes 19A0 - 19A7
L9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd177
exts.w r0,r0
longwd177:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl921
mov.l execexit_ptr921,r1
jmp @r1
add #-2,r6
fdl921:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr921: .long execexit
! Opcodes 19A8 - 19AF
L9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd178
exts.w r0,r0
longwd178:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl922
mov.l execexit_ptr922,r1
jmp @r1
add #-2,r6
fdl922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr922: .long execexit
! Opcodes 19B0 - 19B7
L9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd179
exts.w r0,r0
longwd179:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd180
exts.w r0,r0
longwd180:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl923
mov.l execexit_ptr923,r1
jmp @r1
add #-2,r6
fdl923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr923: .long execexit
! Opcode 19B8
L9B8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd181
exts.w r0,r0
longwd181:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl924
mov.l execexit_ptr924,r1
jmp @r1
add #-2,r6
fdl924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr924: .long execexit
! Opcode 19B9
L9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd182
exts.w r0,r0
longwd182:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl925
mov.l execexit_ptr925,r1
jmp @r1
add #-2,r6
fdl925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr925: .long execexit
! Opcode 19BA
L9BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd183
exts.w r0,r0
longwd183:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl926
mov.l execexit_ptr926,r1
jmp @r1
add #-2,r6
fdl926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr926: .long execexit
! Opcode 19BB
L9BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd184
exts.w r0,r0
longwd184:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd185
exts.w r0,r0
longwd185:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl927
mov.l execexit_ptr927,r1
jmp @r1
add #-2,r6
fdl927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr927: .long execexit
! Opcode 19BC
L9BC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd186
exts.w r0,r0
longwd186:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl928
mov.l execexit_ptr928,r1
jmp @r1
add #-2,r6
fdl928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr928: .long execexit
! Opcodes 1A00 - 1A07
LA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl929
mov.l execexit_ptr929,r1
jmp @r1
add #-2,r6
fdl929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr929: .long execexit
! Opcodes 1A08 - 1A0F
LA08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl930
mov.l execexit_ptr930,r1
jmp @r1
add #-2,r6
fdl930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr930: .long execexit
! Opcodes 1A10 - 1A17
LA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl931
mov.l execexit_ptr931,r1
jmp @r1
add #-2,r6
fdl931:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr931: .long execexit
! Opcodes 1A18 - 1A1F
LA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl932
mov.l execexit_ptr932,r1
jmp @r1
add #-2,r6
fdl932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr932: .long execexit
! Opcodes 1A20 - 1A27
LA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl933
mov.l execexit_ptr933,r1
jmp @r1
add #-2,r6
fdl933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr933: .long execexit
! Opcodes 1A28 - 1A2F
LA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl934
mov.l execexit_ptr934,r1
jmp @r1
add #-2,r6
fdl934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr934: .long execexit
! Opcodes 1A30 - 1A37
LA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd187
exts.w r0,r0
longwd187:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl935
mov.l execexit_ptr935,r1
jmp @r1
add #-2,r6
fdl935:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr935: .long execexit
! Opcode 1A38
LA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl936
mov.l execexit_ptr936,r1
jmp @r1
add #-2,r6
fdl936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr936: .long execexit
! Opcode 1A39
LA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl937
mov.l execexit_ptr937,r1
jmp @r1
add #-2,r6
fdl937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr937: .long execexit
! Opcode 1A3A
LA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl938
mov.l execexit_ptr938,r1
jmp @r1
add #-2,r6
fdl938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr938: .long execexit
! Opcode 1A3B
LA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd188
exts.w r0,r0
longwd188:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl939
mov.l execexit_ptr939,r1
jmp @r1
add #-2,r6
fdl939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr939: .long execexit
! Opcode 1A3C
LA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl940
mov.l execexit_ptr940,r1
jmp @r1
add #-2,r6
fdl940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr940: .long execexit
! Opcodes 1A80 - 1A87
LA80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl941
mov.l execexit_ptr941,r1
jmp @r1
add #-2,r6
fdl941:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr941: .long execexit
! Opcodes 1A88 - 1A8F
LA88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl942
mov.l execexit_ptr942,r1
jmp @r1
add #-2,r6
fdl942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr942: .long execexit
! Opcodes 1A90 - 1A97
LA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl943
mov.l execexit_ptr943,r1
jmp @r1
add #-2,r6
fdl943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr943: .long execexit
! Opcodes 1A98 - 1A9F
LA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl944
mov.l execexit_ptr944,r1
jmp @r1
add #-2,r6
fdl944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr944: .long execexit
! Opcodes 1AA0 - 1AA7
LAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl945
mov.l execexit_ptr945,r1
jmp @r1
add #-2,r6
fdl945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr945: .long execexit
! Opcodes 1AA8 - 1AAF
LAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl946
mov.l execexit_ptr946,r1
jmp @r1
add #-2,r6
fdl946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr946: .long execexit
! Opcodes 1AB0 - 1AB7
LAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd189
exts.w r0,r0
longwd189:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl947
mov.l execexit_ptr947,r1
jmp @r1
add #-2,r6
fdl947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr947: .long execexit
! Opcode 1AB8
LAB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl948
mov.l execexit_ptr948,r1
jmp @r1
add #-2,r6
fdl948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr948: .long execexit
! Opcode 1AB9
LAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl949
mov.l execexit_ptr949,r1
jmp @r1
add #-2,r6
fdl949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr949: .long execexit
! Opcode 1ABA
LABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl950
mov.l execexit_ptr950,r1
jmp @r1
add #-2,r6
fdl950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr950: .long execexit
! Opcode 1ABB
LABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd190
exts.w r0,r0
longwd190:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl951
mov.l execexit_ptr951,r1
jmp @r1
add #-2,r6
fdl951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr951: .long execexit
! Opcode 1ABC
LABC:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl952
mov.l execexit_ptr952,r1
jmp @r1
add #-2,r6
fdl952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr952: .long execexit
! Opcodes 1AC0 - 1AC7
LAC0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl953
mov.l execexit_ptr953,r1
jmp @r1
add #-2,r6
fdl953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr953: .long execexit
! Opcodes 1AC8 - 1ACF
LAC8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl954
mov.l execexit_ptr954,r1
jmp @r1
add #-2,r6
fdl954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr954: .long execexit
! Opcodes 1AD0 - 1AD7
LAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl955
mov.l execexit_ptr955,r1
jmp @r1
add #-2,r6
fdl955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr955: .long execexit
! Opcodes 1AD8 - 1ADF
LAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl956
mov.l execexit_ptr956,r1
jmp @r1
add #-2,r6
fdl956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr956: .long execexit
! Opcodes 1AE0 - 1AE7
LAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl957
mov.l execexit_ptr957,r1
jmp @r1
add #-2,r6
fdl957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr957: .long execexit
! Opcodes 1AE8 - 1AEF
LAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl958
mov.l execexit_ptr958,r1
jmp @r1
add #-2,r6
fdl958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr958: .long execexit
! Opcodes 1AF0 - 1AF7
LAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd191
exts.w r0,r0
longwd191:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl959
mov.l execexit_ptr959,r1
jmp @r1
add #-2,r6
fdl959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr959: .long execexit
! Opcode 1AF8
LAF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl960
mov.l execexit_ptr960,r1
jmp @r1
add #-2,r6
fdl960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr960: .long execexit
! Opcode 1AF9
LAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl961
mov.l execexit_ptr961,r1
jmp @r1
add #-2,r6
fdl961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr961: .long execexit
! Opcode 1AFA
LAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl962
mov.l execexit_ptr962,r1
jmp @r1
add #-2,r6
fdl962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr962: .long execexit
! Opcode 1AFB
LAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd192
exts.w r0,r0
longwd192:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl963
mov.l execexit_ptr963,r1
jmp @r1
add #-2,r6
fdl963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr963: .long execexit
! Opcode 1AFC
LAFC:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl964
mov.l execexit_ptr964,r1
jmp @r1
add #-2,r6
fdl964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr964: .long execexit
! Opcodes 1B00 - 1B07
LB00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl965
mov.l execexit_ptr965,r1
jmp @r1
add #-2,r6
fdl965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr965: .long execexit
! Opcodes 1B08 - 1B0F
LB08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl966
mov.l execexit_ptr966,r1
jmp @r1
add #-2,r6
fdl966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr966: .long execexit
! Opcodes 1B10 - 1B17
LB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl967
mov.l execexit_ptr967,r1
jmp @r1
add #-2,r6
fdl967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr967: .long execexit
! Opcodes 1B18 - 1B1F
LB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl968
mov.l execexit_ptr968,r1
jmp @r1
add #-2,r6
fdl968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr968: .long execexit
! Opcodes 1B20 - 1B27
LB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl969
mov.l execexit_ptr969,r1
jmp @r1
add #-2,r6
fdl969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr969: .long execexit
! Opcodes 1B28 - 1B2F
LB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl970
mov.l execexit_ptr970,r1
jmp @r1
add #-2,r6
fdl970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr970: .long execexit
! Opcodes 1B30 - 1B37
LB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd193
exts.w r0,r0
longwd193:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl971
mov.l execexit_ptr971,r1
jmp @r1
add #-2,r6
fdl971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr971: .long execexit
! Opcode 1B38
LB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl972
mov.l execexit_ptr972,r1
jmp @r1
add #-2,r6
fdl972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr972: .long execexit
! Opcode 1B39
LB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl973
mov.l execexit_ptr973,r1
jmp @r1
add #-2,r6
fdl973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr973: .long execexit
! Opcode 1B3A
LB3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl974
mov.l execexit_ptr974,r1
jmp @r1
add #-2,r6
fdl974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr974: .long execexit
! Opcode 1B3B
LB3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd194
exts.w r0,r0
longwd194:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl975
mov.l execexit_ptr975,r1
jmp @r1
add #-2,r6
fdl975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr975: .long execexit
! Opcode 1B3C
LB3C:
mov.b @r6,r3
add #2,r6
mov.l @(52,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl976
mov.l execexit_ptr976,r1
jmp @r1
add #-2,r6
fdl976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr976: .long execexit
! Opcodes 1B40 - 1B47
LB40:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl977
mov.l execexit_ptr977,r1
jmp @r1
add #-2,r6
fdl977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr977: .long execexit
! Opcodes 1B48 - 1B4F
LB48:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl978
mov.l execexit_ptr978,r1
jmp @r1
add #-2,r6
fdl978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr978: .long execexit
! Opcodes 1B50 - 1B57
LB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl979
mov.l execexit_ptr979,r1
jmp @r1
add #-2,r6
fdl979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr979: .long execexit
! Opcodes 1B58 - 1B5F
LB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl980
mov.l execexit_ptr980,r1
jmp @r1
add #-2,r6
fdl980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr980: .long execexit
! Opcodes 1B60 - 1B67
LB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl981
mov.l execexit_ptr981,r1
jmp @r1
add #-2,r6
fdl981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr981: .long execexit
! Opcodes 1B68 - 1B6F
LB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl982
mov.l execexit_ptr982,r1
jmp @r1
add #-2,r6
fdl982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr982: .long execexit
! Opcodes 1B70 - 1B77
LB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd195
exts.w r0,r0
longwd195:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl983
mov.l execexit_ptr983,r1
jmp @r1
add #-2,r6
fdl983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr983: .long execexit
! Opcode 1B78
LB78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl984
mov.l execexit_ptr984,r1
jmp @r1
add #-2,r6
fdl984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr984: .long execexit
! Opcode 1B79
LB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl985
mov.l execexit_ptr985,r1
jmp @r1
add #-2,r6
fdl985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr985: .long execexit
! Opcode 1B7A
LB7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl986
mov.l execexit_ptr986,r1
jmp @r1
add #-2,r6
fdl986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr986: .long execexit
! Opcode 1B7B
LB7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd196
exts.w r0,r0
longwd196:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl987
mov.l execexit_ptr987,r1
jmp @r1
add #-2,r6
fdl987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr987: .long execexit
! Opcode 1B7C
LB7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl988
mov.l execexit_ptr988,r1
jmp @r1
add #-2,r6
fdl988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr988: .long execexit
! Opcodes 1B80 - 1B87
LB80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd197
exts.w r0,r0
longwd197:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl989
mov.l execexit_ptr989,r1
jmp @r1
add #-2,r6
fdl989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr989: .long execexit
! Opcodes 1B88 - 1B8F
LB88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd198
exts.w r0,r0
longwd198:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl990
mov.l execexit_ptr990,r1
jmp @r1
add #-2,r6
fdl990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr990: .long execexit
! Opcodes 1B90 - 1B97
LB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd199
exts.w r0,r0
longwd199:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl991
mov.l execexit_ptr991,r1
jmp @r1
add #-2,r6
fdl991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr991: .long execexit
! Opcodes 1B98 - 1B9F
LB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd200
exts.w r0,r0
longwd200:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl992
mov.l execexit_ptr992,r1
jmp @r1
add #-2,r6
fdl992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr992: .long execexit
! Opcodes 1BA0 - 1BA7
LBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd201
exts.w r0,r0
longwd201:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl993
mov.l execexit_ptr993,r1
jmp @r1
add #-2,r6
fdl993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr993: .long execexit
! Opcodes 1BA8 - 1BAF
LBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd202
exts.w r0,r0
longwd202:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl994
mov.l execexit_ptr994,r1
jmp @r1
add #-2,r6
fdl994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr994: .long execexit
! Opcodes 1BB0 - 1BB7
LBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd203
exts.w r0,r0
longwd203:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd204
exts.w r0,r0
longwd204:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl995
mov.l execexit_ptr995,r1
jmp @r1
add #-2,r6
fdl995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr995: .long execexit
! Opcode 1BB8
LBB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd205
exts.w r0,r0
longwd205:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl996
mov.l execexit_ptr996,r1
jmp @r1
add #-2,r6
fdl996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr996: .long execexit
! Opcode 1BB9
LBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd206
exts.w r0,r0
longwd206:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl997
mov.l execexit_ptr997,r1
jmp @r1
add #-2,r6
fdl997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr997: .long execexit
! Opcode 1BBA
LBBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd207
exts.w r0,r0
longwd207:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl998
mov.l execexit_ptr998,r1
jmp @r1
add #-2,r6
fdl998:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr998: .long execexit
! Opcode 1BBB
LBBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd208
exts.w r0,r0
longwd208:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd209
exts.w r0,r0
longwd209:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl999
mov.l execexit_ptr999,r1
jmp @r1
add #-2,r6
fdl999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr999: .long execexit
! Opcode 1BBC
LBBC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd210
exts.w r0,r0
longwd210:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1000
mov.l execexit_ptr1000,r1
jmp @r1
add #-2,r6
fdl1000:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1000: .long execexit
! Opcodes 1C00 - 1C07
LC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1001
mov.l execexit_ptr1001,r1
jmp @r1
add #-2,r6
fdl1001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1001: .long execexit
! Opcodes 1C08 - 1C0F
LC08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1002
mov.l execexit_ptr1002,r1
jmp @r1
add #-2,r6
fdl1002:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1002: .long execexit
! Opcodes 1C10 - 1C17
LC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1003
mov.l execexit_ptr1003,r1
jmp @r1
add #-2,r6
fdl1003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1003: .long execexit
! Opcodes 1C18 - 1C1F
LC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1004
mov.l execexit_ptr1004,r1
jmp @r1
add #-2,r6
fdl1004:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1004: .long execexit
! Opcodes 1C20 - 1C27
LC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1005
mov.l execexit_ptr1005,r1
jmp @r1
add #-2,r6
fdl1005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1005: .long execexit
! Opcodes 1C28 - 1C2F
LC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1006
mov.l execexit_ptr1006,r1
jmp @r1
add #-2,r6
fdl1006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1006: .long execexit
! Opcodes 1C30 - 1C37
LC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd211
exts.w r0,r0
longwd211:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1007
mov.l execexit_ptr1007,r1
jmp @r1
add #-2,r6
fdl1007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1007: .long execexit
! Opcode 1C38
LC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1008
mov.l execexit_ptr1008,r1
jmp @r1
add #-2,r6
fdl1008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1008: .long execexit
! Opcode 1C39
LC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1009
mov.l execexit_ptr1009,r1
jmp @r1
add #-2,r6
fdl1009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1009: .long execexit
! Opcode 1C3A
LC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1010
mov.l execexit_ptr1010,r1
jmp @r1
add #-2,r6
fdl1010:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1010: .long execexit
! Opcode 1C3B
LC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd212
exts.w r0,r0
longwd212:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1011
mov.l execexit_ptr1011,r1
jmp @r1
add #-2,r6
fdl1011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1011: .long execexit
! Opcode 1C3C
LC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1012
mov.l execexit_ptr1012,r1
jmp @r1
add #-2,r6
fdl1012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1012: .long execexit
! Opcodes 1C80 - 1C87
LC80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1013
mov.l execexit_ptr1013,r1
jmp @r1
add #-2,r6
fdl1013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1013: .long execexit
! Opcodes 1C88 - 1C8F
LC88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1014
mov.l execexit_ptr1014,r1
jmp @r1
add #-2,r6
fdl1014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1014: .long execexit
! Opcodes 1C90 - 1C97
LC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1015
mov.l execexit_ptr1015,r1
jmp @r1
add #-2,r6
fdl1015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1015: .long execexit
! Opcodes 1C98 - 1C9F
LC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1016
mov.l execexit_ptr1016,r1
jmp @r1
add #-2,r6
fdl1016:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1016: .long execexit
! Opcodes 1CA0 - 1CA7
LCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1017
mov.l execexit_ptr1017,r1
jmp @r1
add #-2,r6
fdl1017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1017: .long execexit
! Opcodes 1CA8 - 1CAF
LCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1018
mov.l execexit_ptr1018,r1
jmp @r1
add #-2,r6
fdl1018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1018: .long execexit
! Opcodes 1CB0 - 1CB7
LCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd213
exts.w r0,r0
longwd213:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1019
mov.l execexit_ptr1019,r1
jmp @r1
add #-2,r6
fdl1019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1019: .long execexit
! Opcode 1CB8
LCB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1020
mov.l execexit_ptr1020,r1
jmp @r1
add #-2,r6
fdl1020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1020: .long execexit
! Opcode 1CB9
LCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1021
mov.l execexit_ptr1021,r1
jmp @r1
add #-2,r6
fdl1021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1021: .long execexit
! Opcode 1CBA
LCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1022
mov.l execexit_ptr1022,r1
jmp @r1
add #-2,r6
fdl1022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1022: .long execexit
! Opcode 1CBB
LCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd214
exts.w r0,r0
longwd214:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1023
mov.l execexit_ptr1023,r1
jmp @r1
add #-2,r6
fdl1023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1023: .long execexit
! Opcode 1CBC
LCBC:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1024
mov.l execexit_ptr1024,r1
jmp @r1
add #-2,r6
fdl1024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1024: .long execexit
! Opcodes 1CC0 - 1CC7
LCC0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1025
mov.l execexit_ptr1025,r1
jmp @r1
add #-2,r6
fdl1025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1025: .long execexit
! Opcodes 1CC8 - 1CCF
LCC8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1026
mov.l execexit_ptr1026,r1
jmp @r1
add #-2,r6
fdl1026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1026: .long execexit
! Opcodes 1CD0 - 1CD7
LCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1027
mov.l execexit_ptr1027,r1
jmp @r1
add #-2,r6
fdl1027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1027: .long execexit
! Opcodes 1CD8 - 1CDF
LCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1028
mov.l execexit_ptr1028,r1
jmp @r1
add #-2,r6
fdl1028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1028: .long execexit
! Opcodes 1CE0 - 1CE7
LCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1029
mov.l execexit_ptr1029,r1
jmp @r1
add #-2,r6
fdl1029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1029: .long execexit
! Opcodes 1CE8 - 1CEF
LCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1030
mov.l execexit_ptr1030,r1
jmp @r1
add #-2,r6
fdl1030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1030: .long execexit
! Opcodes 1CF0 - 1CF7
LCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd215
exts.w r0,r0
longwd215:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1031
mov.l execexit_ptr1031,r1
jmp @r1
add #-2,r6
fdl1031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1031: .long execexit
! Opcode 1CF8
LCF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1032
mov.l execexit_ptr1032,r1
jmp @r1
add #-2,r6
fdl1032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1032: .long execexit
! Opcode 1CF9
LCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1033
mov.l execexit_ptr1033,r1
jmp @r1
add #-2,r6
fdl1033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1033: .long execexit
! Opcode 1CFA
LCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1034
mov.l execexit_ptr1034,r1
jmp @r1
add #-2,r6
fdl1034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1034: .long execexit
! Opcode 1CFB
LCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd216
exts.w r0,r0
longwd216:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1035
mov.l execexit_ptr1035,r1
jmp @r1
add #-2,r6
fdl1035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1035: .long execexit
! Opcode 1CFC
LCFC:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1036
mov.l execexit_ptr1036,r1
jmp @r1
add #-2,r6
fdl1036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1036: .long execexit
! Opcodes 1D00 - 1D07
LD00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1037
mov.l execexit_ptr1037,r1
jmp @r1
add #-2,r6
fdl1037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1037: .long execexit
! Opcodes 1D08 - 1D0F
LD08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1038
mov.l execexit_ptr1038,r1
jmp @r1
add #-2,r6
fdl1038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1038: .long execexit
! Opcodes 1D10 - 1D17
LD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1039
mov.l execexit_ptr1039,r1
jmp @r1
add #-2,r6
fdl1039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1039: .long execexit
! Opcodes 1D18 - 1D1F
LD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1040
mov.l execexit_ptr1040,r1
jmp @r1
add #-2,r6
fdl1040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1040: .long execexit
! Opcodes 1D20 - 1D27
LD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1041
mov.l execexit_ptr1041,r1
jmp @r1
add #-2,r6
fdl1041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1041: .long execexit
! Opcodes 1D28 - 1D2F
LD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1042
mov.l execexit_ptr1042,r1
jmp @r1
add #-2,r6
fdl1042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1042: .long execexit
! Opcodes 1D30 - 1D37
LD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd217
exts.w r0,r0
longwd217:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1043
mov.l execexit_ptr1043,r1
jmp @r1
add #-2,r6
fdl1043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1043: .long execexit
! Opcode 1D38
LD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1044
mov.l execexit_ptr1044,r1
jmp @r1
add #-2,r6
fdl1044:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1044: .long execexit
! Opcode 1D39
LD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1045
mov.l execexit_ptr1045,r1
jmp @r1
add #-2,r6
fdl1045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1045: .long execexit
! Opcode 1D3A
LD3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1046
mov.l execexit_ptr1046,r1
jmp @r1
add #-2,r6
fdl1046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1046: .long execexit
! Opcode 1D3B
LD3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd218
exts.w r0,r0
longwd218:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1047
mov.l execexit_ptr1047,r1
jmp @r1
add #-2,r6
fdl1047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1047: .long execexit
! Opcode 1D3C
LD3C:
mov.b @r6,r3
add #2,r6
mov.l @(56,r13),r4
dt r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1048
mov.l execexit_ptr1048,r1
jmp @r1
add #-2,r6
fdl1048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1048: .long execexit
! Opcodes 1D40 - 1D47
LD40:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1049
mov.l execexit_ptr1049,r1
jmp @r1
add #-2,r6
fdl1049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1049: .long execexit
! Opcodes 1D48 - 1D4F
LD48:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1050
mov.l execexit_ptr1050,r1
jmp @r1
add #-2,r6
fdl1050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1050: .long execexit
! Opcodes 1D50 - 1D57
LD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1051
mov.l execexit_ptr1051,r1
jmp @r1
add #-2,r6
fdl1051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1051: .long execexit
! Opcodes 1D58 - 1D5F
LD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1052
mov.l execexit_ptr1052,r1
jmp @r1
add #-2,r6
fdl1052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1052: .long execexit
! Opcodes 1D60 - 1D67
LD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1053
mov.l execexit_ptr1053,r1
jmp @r1
add #-2,r6
fdl1053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1053: .long execexit
! Opcodes 1D68 - 1D6F
LD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1054
mov.l execexit_ptr1054,r1
jmp @r1
add #-2,r6
fdl1054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1054: .long execexit
! Opcodes 1D70 - 1D77
LD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd219
exts.w r0,r0
longwd219:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1055
mov.l execexit_ptr1055,r1
jmp @r1
add #-2,r6
fdl1055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1055: .long execexit
! Opcode 1D78
LD78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1056
mov.l execexit_ptr1056,r1
jmp @r1
add #-2,r6
fdl1056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1056: .long execexit
! Opcode 1D79
LD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1057
mov.l execexit_ptr1057,r1
jmp @r1
add #-2,r6
fdl1057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1057: .long execexit
! Opcode 1D7A
LD7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1058
mov.l execexit_ptr1058,r1
jmp @r1
add #-2,r6
fdl1058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1058: .long execexit
! Opcode 1D7B
LD7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd220
exts.w r0,r0
longwd220:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1059
mov.l execexit_ptr1059,r1
jmp @r1
add #-2,r6
fdl1059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1059: .long execexit
! Opcode 1D7C
LD7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1060
mov.l execexit_ptr1060,r1
jmp @r1
add #-2,r6
fdl1060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1060: .long execexit
! Opcodes 1D80 - 1D87
LD80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd221
exts.w r0,r0
longwd221:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1061
mov.l execexit_ptr1061,r1
jmp @r1
add #-2,r6
fdl1061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1061: .long execexit
! Opcodes 1D88 - 1D8F
LD88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd222
exts.w r0,r0
longwd222:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1062
mov.l execexit_ptr1062,r1
jmp @r1
add #-2,r6
fdl1062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1062: .long execexit
! Opcodes 1D90 - 1D97
LD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd223
exts.w r0,r0
longwd223:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1063
mov.l execexit_ptr1063,r1
jmp @r1
add #-2,r6
fdl1063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1063: .long execexit
! Opcodes 1D98 - 1D9F
LD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd224
exts.w r0,r0
longwd224:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1064
mov.l execexit_ptr1064,r1
jmp @r1
add #-2,r6
fdl1064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1064: .long execexit
! Opcodes 1DA0 - 1DA7
LDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd225
exts.w r0,r0
longwd225:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1065
mov.l execexit_ptr1065,r1
jmp @r1
add #-2,r6
fdl1065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1065: .long execexit
! Opcodes 1DA8 - 1DAF
LDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd226
exts.w r0,r0
longwd226:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1066
mov.l execexit_ptr1066,r1
jmp @r1
add #-2,r6
fdl1066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1066: .long execexit
! Opcodes 1DB0 - 1DB7
LDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd227
exts.w r0,r0
longwd227:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd228
exts.w r0,r0
longwd228:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1067
mov.l execexit_ptr1067,r1
jmp @r1
add #-2,r6
fdl1067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1067: .long execexit
! Opcode 1DB8
LDB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd229
exts.w r0,r0
longwd229:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1068
mov.l execexit_ptr1068,r1
jmp @r1
add #-2,r6
fdl1068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1068: .long execexit
! Opcode 1DB9
LDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd230
exts.w r0,r0
longwd230:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1069
mov.l execexit_ptr1069,r1
jmp @r1
add #-2,r6
fdl1069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1069: .long execexit
! Opcode 1DBA
LDBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd231
exts.w r0,r0
longwd231:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1070
mov.l execexit_ptr1070,r1
jmp @r1
add #-2,r6
fdl1070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1070: .long execexit
! Opcode 1DBB
LDBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd232
exts.w r0,r0
longwd232:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd233
exts.w r0,r0
longwd233:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1071
mov.l execexit_ptr1071,r1
jmp @r1
add #-2,r6
fdl1071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1071: .long execexit
! Opcode 1DBC
LDBC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd234
exts.w r0,r0
longwd234:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1072
mov.l execexit_ptr1072,r1
jmp @r1
add #-2,r6
fdl1072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1072: .long execexit
! Opcodes 1E00 - 1E07
LE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1073
mov.l execexit_ptr1073,r1
jmp @r1
add #-2,r6
fdl1073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1073: .long execexit
! Opcodes 1E08 - 1E0F
LE08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1074
mov.l execexit_ptr1074,r1
jmp @r1
add #-2,r6
fdl1074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1074: .long execexit
! Opcodes 1E10 - 1E17
LE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1075
mov.l execexit_ptr1075,r1
jmp @r1
add #-2,r6
fdl1075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1075: .long execexit
! Opcodes 1E18 - 1E1F
LE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1076
mov.l execexit_ptr1076,r1
jmp @r1
add #-2,r6
fdl1076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1076: .long execexit
! Opcodes 1E20 - 1E27
LE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1077
mov.l execexit_ptr1077,r1
jmp @r1
add #-2,r6
fdl1077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1077: .long execexit
! Opcodes 1E28 - 1E2F
LE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1078
mov.l execexit_ptr1078,r1
jmp @r1
add #-2,r6
fdl1078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1078: .long execexit
! Opcodes 1E30 - 1E37
LE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd235
exts.w r0,r0
longwd235:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1079
mov.l execexit_ptr1079,r1
jmp @r1
add #-2,r6
fdl1079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1079: .long execexit
! Opcode 1E38
LE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1080
mov.l execexit_ptr1080,r1
jmp @r1
add #-2,r6
fdl1080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1080: .long execexit
! Opcode 1E39
LE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1081
mov.l execexit_ptr1081,r1
jmp @r1
add #-2,r6
fdl1081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1081: .long execexit
! Opcode 1E3A
LE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1082
mov.l execexit_ptr1082,r1
jmp @r1
add #-2,r6
fdl1082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1082: .long execexit
! Opcode 1E3B
LE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd236
exts.w r0,r0
longwd236:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1083
mov.l execexit_ptr1083,r1
jmp @r1
add #-2,r6
fdl1083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1083: .long execexit
! Opcode 1E3C
LE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1084
mov.l execexit_ptr1084,r1
jmp @r1
add #-2,r6
fdl1084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1084: .long execexit
! Opcodes 1E80 - 1E87
LE80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1085
mov.l execexit_ptr1085,r1
jmp @r1
add #-2,r6
fdl1085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1085: .long execexit
! Opcodes 1E88 - 1E8F
LE88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1086
mov.l execexit_ptr1086,r1
jmp @r1
add #-2,r6
fdl1086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1086: .long execexit
! Opcodes 1E90 - 1E97
LE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1087
mov.l execexit_ptr1087,r1
jmp @r1
add #-2,r6
fdl1087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1087: .long execexit
! Opcodes 1E98 - 1E9F
LE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1088
mov.l execexit_ptr1088,r1
jmp @r1
add #-2,r6
fdl1088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1088: .long execexit
! Opcodes 1EA0 - 1EA7
LEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1089
mov.l execexit_ptr1089,r1
jmp @r1
add #-2,r6
fdl1089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1089: .long execexit
! Opcodes 1EA8 - 1EAF
LEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1090
mov.l execexit_ptr1090,r1
jmp @r1
add #-2,r6
fdl1090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1090: .long execexit
! Opcodes 1EB0 - 1EB7
LEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd237
exts.w r0,r0
longwd237:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1091
mov.l execexit_ptr1091,r1
jmp @r1
add #-2,r6
fdl1091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1091: .long execexit
! Opcode 1EB8
LEB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1092
mov.l execexit_ptr1092,r1
jmp @r1
add #-2,r6
fdl1092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1092: .long execexit
! Opcode 1EB9
LEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1093
mov.l execexit_ptr1093,r1
jmp @r1
add #-2,r6
fdl1093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1093: .long execexit
! Opcode 1EBA
LEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1094
mov.l execexit_ptr1094,r1
jmp @r1
add #-2,r6
fdl1094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1094: .long execexit
! Opcode 1EBB
LEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd238
exts.w r0,r0
longwd238:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1095
mov.l execexit_ptr1095,r1
jmp @r1
add #-2,r6
fdl1095:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1095: .long execexit
! Opcode 1EBC
LEBC:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1096
mov.l execexit_ptr1096,r1
jmp @r1
add #-2,r6
fdl1096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1096: .long execexit
! Opcodes 1EC0 - 1EC7
LEC0:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1097
mov.l execexit_ptr1097,r1
jmp @r1
add #-2,r6
fdl1097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1097: .long execexit
! Opcodes 1EC8 - 1ECF
LEC8:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1098
mov.l execexit_ptr1098,r1
jmp @r1
add #-2,r6
fdl1098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1098: .long execexit
! Opcodes 1ED0 - 1ED7
LED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1099
mov.l execexit_ptr1099,r1
jmp @r1
add #-2,r6
fdl1099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1099: .long execexit
! Opcodes 1ED8 - 1EDF
LED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1100
mov.l execexit_ptr1100,r1
jmp @r1
add #-2,r6
fdl1100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1100: .long execexit
! Opcodes 1EE0 - 1EE7
LEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1101
mov.l execexit_ptr1101,r1
jmp @r1
add #-2,r6
fdl1101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1101: .long execexit
! Opcodes 1EE8 - 1EEF
LEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1102
mov.l execexit_ptr1102,r1
jmp @r1
add #-2,r6
fdl1102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1102: .long execexit
! Opcodes 1EF0 - 1EF7
LEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd239
exts.w r0,r0
longwd239:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1103
mov.l execexit_ptr1103,r1
jmp @r1
add #-2,r6
fdl1103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1103: .long execexit
! Opcode 1EF8
LEF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1104
mov.l execexit_ptr1104,r1
jmp @r1
add #-2,r6
fdl1104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1104: .long execexit
! Opcode 1EF9
LEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1105
mov.l execexit_ptr1105,r1
jmp @r1
add #-2,r6
fdl1105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1105: .long execexit
! Opcode 1EFA
LEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1106
mov.l execexit_ptr1106,r1
jmp @r1
add #-2,r6
fdl1106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1106: .long execexit
! Opcode 1EFB
LEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd240
exts.w r0,r0
longwd240:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1107
mov.l execexit_ptr1107,r1
jmp @r1
add #-2,r6
fdl1107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1107: .long execexit
! Opcode 1EFC
LEFC:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1108
mov.l execexit_ptr1108,r1
jmp @r1
add #-2,r6
fdl1108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1108: .long execexit
! Opcodes 1F00 - 1F07
LF00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1109
mov.l execexit_ptr1109,r1
jmp @r1
add #-2,r6
fdl1109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1109: .long execexit
! Opcodes 1F08 - 1F0F
LF08:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1110
mov.l execexit_ptr1110,r1
jmp @r1
add #-2,r6
fdl1110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1110: .long execexit
! Opcodes 1F10 - 1F17
LF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1111
mov.l execexit_ptr1111,r1
jmp @r1
add #-2,r6
fdl1111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1111: .long execexit
! Opcodes 1F18 - 1F1F
LF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1112
mov.l execexit_ptr1112,r1
jmp @r1
add #-2,r6
fdl1112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1112: .long execexit
! Opcodes 1F20 - 1F27
LF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1113
mov.l execexit_ptr1113,r1
jmp @r1
add #-2,r6
fdl1113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1113: .long execexit
! Opcodes 1F28 - 1F2F
LF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1114
mov.l execexit_ptr1114,r1
jmp @r1
add #-2,r6
fdl1114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1114: .long execexit
! Opcodes 1F30 - 1F37
LF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd241
exts.w r0,r0
longwd241:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1115
mov.l execexit_ptr1115,r1
jmp @r1
add #-2,r6
fdl1115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1115: .long execexit
! Opcode 1F38
LF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1116
mov.l execexit_ptr1116,r1
jmp @r1
add #-2,r6
fdl1116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1116: .long execexit
! Opcode 1F39
LF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1117
mov.l execexit_ptr1117,r1
jmp @r1
add #-2,r6
fdl1117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1117: .long execexit
! Opcode 1F3A
LF3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1118
mov.l execexit_ptr1118,r1
jmp @r1
add #-2,r6
fdl1118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1118: .long execexit
! Opcode 1F3B
LF3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd242
exts.w r0,r0
longwd242:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1119
mov.l execexit_ptr1119,r1
jmp @r1
add #-2,r6
fdl1119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1119: .long execexit
! Opcode 1F3C
LF3C:
mov.b @r6,r3
add #2,r6
mov.l @(60,r13),r4
add #-2,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1120
mov.l execexit_ptr1120,r1
jmp @r1
add #-2,r6
fdl1120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1120: .long execexit
! Opcodes 1F40 - 1F47
LF40:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1121
mov.l execexit_ptr1121,r1
jmp @r1
add #-2,r6
fdl1121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1121: .long execexit
! Opcodes 1F48 - 1F4F
LF48:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1122
mov.l execexit_ptr1122,r1
jmp @r1
add #-2,r6
fdl1122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1122: .long execexit
! Opcodes 1F50 - 1F57
LF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1123
mov.l execexit_ptr1123,r1
jmp @r1
add #-2,r6
fdl1123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1123: .long execexit
! Opcodes 1F58 - 1F5F
LF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1124
mov.l execexit_ptr1124,r1
jmp @r1
add #-2,r6
fdl1124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1124: .long execexit
! Opcodes 1F60 - 1F67
LF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1125
mov.l execexit_ptr1125,r1
jmp @r1
add #-2,r6
fdl1125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1125: .long execexit
! Opcodes 1F68 - 1F6F
LF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1126
mov.l execexit_ptr1126,r1
jmp @r1
add #-2,r6
fdl1126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1126: .long execexit
! Opcodes 1F70 - 1F77
LF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd243
exts.w r0,r0
longwd243:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1127
mov.l execexit_ptr1127,r1
jmp @r1
add #-2,r6
fdl1127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1127: .long execexit
! Opcode 1F78
LF78:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1128
mov.l execexit_ptr1128,r1
jmp @r1
add #-2,r6
fdl1128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1128: .long execexit
! Opcode 1F79
LF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1129
mov.l execexit_ptr1129,r1
jmp @r1
add #-2,r6
fdl1129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1129: .long execexit
! Opcode 1F7A
LF7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1130
mov.l execexit_ptr1130,r1
jmp @r1
add #-2,r6
fdl1130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1130: .long execexit
! Opcode 1F7B
LF7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd244
exts.w r0,r0
longwd244:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1131
mov.l execexit_ptr1131,r1
jmp @r1
add #-2,r6
fdl1131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1131: .long execexit
! Opcode 1F7C
LF7C:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1132
mov.l execexit_ptr1132,r1
jmp @r1
add #-2,r6
fdl1132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1132: .long execexit
! Opcodes 1F80 - 1F87
LF80:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd245
exts.w r0,r0
longwd245:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1133
mov.l execexit_ptr1133,r1
jmp @r1
add #-2,r6
fdl1133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1133: .long execexit
! Opcodes 1F88 - 1F8F
LF88:
and r1,r2
add r14,r2
mov.b @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd246
exts.w r0,r0
longwd246:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1134
mov.l execexit_ptr1134,r1
jmp @r1
add #-2,r6
fdl1134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1134: .long execexit
! Opcodes 1F90 - 1F97
LF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd247
exts.w r0,r0
longwd247:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1135
mov.l execexit_ptr1135,r1
jmp @r1
add #-2,r6
fdl1135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1135: .long execexit
! Opcodes 1F98 - 1F9F
LF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd248
exts.w r0,r0
longwd248:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1136
mov.l execexit_ptr1136,r1
jmp @r1
add #-2,r6
fdl1136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1136: .long execexit
! Opcodes 1FA0 - 1FA7
LFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd249
exts.w r0,r0
longwd249:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1137
mov.l execexit_ptr1137,r1
jmp @r1
add #-2,r6
fdl1137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1137: .long execexit
! Opcodes 1FA8 - 1FAF
LFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd250
exts.w r0,r0
longwd250:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1138
mov.l execexit_ptr1138,r1
jmp @r1
add #-2,r6
fdl1138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1138: .long execexit
! Opcodes 1FB0 - 1FB7
LFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd251
exts.w r0,r0
longwd251:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd252
exts.w r0,r0
longwd252:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1139
mov.l execexit_ptr1139,r1
jmp @r1
add #-2,r6
fdl1139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1139: .long execexit
! Opcode 1FB8
LFB8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd253
exts.w r0,r0
longwd253:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1140
mov.l execexit_ptr1140,r1
jmp @r1
add #-2,r6
fdl1140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1140: .long execexit
! Opcode 1FB9
LFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd254
exts.w r0,r0
longwd254:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1141
mov.l execexit_ptr1141,r1
jmp @r1
add #-2,r6
fdl1141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1141: .long execexit
! Opcode 1FBA
LFBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd255
exts.w r0,r0
longwd255:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1142
mov.l execexit_ptr1142,r1
jmp @r1
add #-2,r6
fdl1142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1142: .long execexit
! Opcode 1FBB
LFBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd256
exts.w r0,r0
longwd256:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd257
exts.w r0,r0
longwd257:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1143
mov.l execexit_ptr1143,r1
jmp @r1
add #-2,r6
fdl1143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1143: .long execexit
! Opcode 1FBC
LFBC:
mov.b @r6,r3
add #2,r6
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd258
exts.w r0,r0
longwd258:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1144
mov.l execexit_ptr1144,r1
jmp @r1
add #-2,r6
fdl1144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1144: .long execexit
! Opcodes 2000 - 2007
M000:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1145
mov.l execexit_ptr1145,r1
jmp @r1
add #-2,r6
fdl1145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1145: .long execexit
! Opcodes 2008 - 200F
M008:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1146
mov.l execexit_ptr1146,r1
jmp @r1
add #-2,r6
fdl1146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1146: .long execexit
! Opcodes 2010 - 2017
M010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1147
mov.l execexit_ptr1147,r1
jmp @r1
add #-2,r6
fdl1147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1147: .long execexit
! Opcodes 2018 - 201F
M018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1148
mov.l execexit_ptr1148,r1
jmp @r1
add #-2,r6
fdl1148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1148: .long execexit
! Opcodes 2020 - 2027
M020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1149
mov.l execexit_ptr1149,r1
jmp @r1
add #-2,r6
fdl1149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1149: .long execexit
! Opcodes 2028 - 202F
M028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1150
mov.l execexit_ptr1150,r1
jmp @r1
add #-2,r6
fdl1150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1150: .long execexit
! Opcodes 2030 - 2037
M030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd259
exts.w r0,r0
longwd259:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1151
mov.l execexit_ptr1151,r1
jmp @r1
add #-2,r6
fdl1151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1151: .long execexit
! Opcode 2038
M038:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1152
mov.l execexit_ptr1152,r1
jmp @r1
add #-2,r6
fdl1152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1152: .long execexit
! Opcode 2039
M039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1153
mov.l execexit_ptr1153,r1
jmp @r1
add #-2,r6
fdl1153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1153: .long execexit
! Opcode 203A
M03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1154
mov.l execexit_ptr1154,r1
jmp @r1
add #-2,r6
fdl1154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1154: .long execexit
! Opcode 203B
M03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd260
exts.w r0,r0
longwd260:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1155
mov.l execexit_ptr1155,r1
jmp @r1
add #-2,r6
fdl1155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1155: .long execexit
! Opcode 203C
M03C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1156
mov.l execexit_ptr1156,r1
jmp @r1
add #-2,r6
fdl1156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1156: .long execexit
! Opcodes 2040 - 2047
M040:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1157
mov.l execexit_ptr1157,r1
jmp @r1
add #-2,r6
fdl1157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1157: .long execexit
! Opcodes 2048 - 204F
M048:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1158
mov.l execexit_ptr1158,r1
jmp @r1
add #-2,r6
fdl1158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1158: .long execexit
! Opcodes 2050 - 2057
M050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1159
mov.l execexit_ptr1159,r1
jmp @r1
add #-2,r6
fdl1159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1159: .long execexit
! Opcodes 2058 - 205F
M058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1160
mov.l execexit_ptr1160,r1
jmp @r1
add #-2,r6
fdl1160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1160: .long execexit
! Opcodes 2060 - 2067
M060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1161
mov.l execexit_ptr1161,r1
jmp @r1
add #-2,r6
fdl1161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1161: .long execexit
! Opcodes 2068 - 206F
M068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1162
mov.l execexit_ptr1162,r1
jmp @r1
add #-2,r6
fdl1162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1162: .long execexit
! Opcodes 2070 - 2077
M070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd261
exts.w r0,r0
longwd261:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1163
mov.l execexit_ptr1163,r1
jmp @r1
add #-2,r6
fdl1163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1163: .long execexit
! Opcode 2078
M078:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1164
mov.l execexit_ptr1164,r1
jmp @r1
add #-2,r6
fdl1164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1164: .long execexit
! Opcode 2079
M079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1165
mov.l execexit_ptr1165,r1
jmp @r1
add #-2,r6
fdl1165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1165: .long execexit
! Opcode 207A
M07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1166
mov.l execexit_ptr1166,r1
jmp @r1
add #-2,r6
fdl1166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1166: .long execexit
! Opcode 207B
M07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd262
exts.w r0,r0
longwd262:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1167
mov.l execexit_ptr1167,r1
jmp @r1
add #-2,r6
fdl1167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1167: .long execexit
! Opcode 207C
M07C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1168
mov.l execexit_ptr1168,r1
jmp @r1
add #-2,r6
fdl1168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1168: .long execexit
! Opcodes 2080 - 2087
M080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1169
mov.l execexit_ptr1169,r1
jmp @r1
add #-2,r6
fdl1169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1169: .long execexit
! Opcodes 2088 - 208F
M088:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1170
mov.l execexit_ptr1170,r1
jmp @r1
add #-2,r6
fdl1170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1170: .long execexit
! Opcodes 2090 - 2097
M090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1171
mov.l execexit_ptr1171,r1
jmp @r1
add #-2,r6
fdl1171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1171: .long execexit
! Opcodes 2098 - 209F
M098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1172
mov.l execexit_ptr1172,r1
jmp @r1
add #-2,r6
fdl1172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1172: .long execexit
! Opcodes 20A0 - 20A7
M0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1173
mov.l execexit_ptr1173,r1
jmp @r1
add #-2,r6
fdl1173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1173: .long execexit
! Opcodes 20A8 - 20AF
M0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1174
mov.l execexit_ptr1174,r1
jmp @r1
add #-2,r6
fdl1174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1174: .long execexit
! Opcodes 20B0 - 20B7
M0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd263
exts.w r0,r0
longwd263:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1175
mov.l execexit_ptr1175,r1
jmp @r1
add #-2,r6
fdl1175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1175: .long execexit
! Opcode 20B8
M0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1176
mov.l execexit_ptr1176,r1
jmp @r1
add #-2,r6
fdl1176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1176: .long execexit
! Opcode 20B9
M0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1177
mov.l execexit_ptr1177,r1
jmp @r1
add #-2,r6
fdl1177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1177: .long execexit
! Opcode 20BA
M0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1178
mov.l execexit_ptr1178,r1
jmp @r1
add #-2,r6
fdl1178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1178: .long execexit
! Opcode 20BB
M0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd264
exts.w r0,r0
longwd264:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1179
mov.l execexit_ptr1179,r1
jmp @r1
add #-2,r6
fdl1179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1179: .long execexit
! Opcode 20BC
M0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1180
mov.l execexit_ptr1180,r1
jmp @r1
add #-2,r6
fdl1180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1180: .long execexit
! Opcodes 20C0 - 20C7
M0C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1181
mov.l execexit_ptr1181,r1
jmp @r1
add #-2,r6
fdl1181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1181: .long execexit
! Opcodes 20C8 - 20CF
M0C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1182
mov.l execexit_ptr1182,r1
jmp @r1
add #-2,r6
fdl1182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1182: .long execexit
! Opcodes 20D0 - 20D7
M0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1183
mov.l execexit_ptr1183,r1
jmp @r1
add #-2,r6
fdl1183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1183: .long execexit
! Opcodes 20D8 - 20DF
M0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1184
mov.l execexit_ptr1184,r1
jmp @r1
add #-2,r6
fdl1184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1184: .long execexit
! Opcodes 20E0 - 20E7
M0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1185
mov.l execexit_ptr1185,r1
jmp @r1
add #-2,r6
fdl1185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1185: .long execexit
! Opcodes 20E8 - 20EF
M0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1186
mov.l execexit_ptr1186,r1
jmp @r1
add #-2,r6
fdl1186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1186: .long execexit
! Opcodes 20F0 - 20F7
M0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd265
exts.w r0,r0
longwd265:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1187
mov.l execexit_ptr1187,r1
jmp @r1
add #-2,r6
fdl1187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1187: .long execexit
! Opcode 20F8
M0F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1188
mov.l execexit_ptr1188,r1
jmp @r1
add #-2,r6
fdl1188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1188: .long execexit
! Opcode 20F9
M0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1189
mov.l execexit_ptr1189,r1
jmp @r1
add #-2,r6
fdl1189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1189: .long execexit
! Opcode 20FA
M0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1190
mov.l execexit_ptr1190,r1
jmp @r1
add #-2,r6
fdl1190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1190: .long execexit
! Opcode 20FB
M0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd266
exts.w r0,r0
longwd266:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1191
mov.l execexit_ptr1191,r1
jmp @r1
add #-2,r6
fdl1191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1191: .long execexit
! Opcode 20FC
M0FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1192
mov.l execexit_ptr1192,r1
jmp @r1
add #-2,r6
fdl1192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1192: .long execexit
! Opcodes 2100 - 2107
M100:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1193
mov.l execexit_ptr1193,r1
jmp @r1
add #-2,r6
fdl1193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1193: .long execexit
! Opcodes 2108 - 210F
M108:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1194
mov.l execexit_ptr1194,r1
jmp @r1
add #-2,r6
fdl1194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1194: .long execexit
! Opcodes 2110 - 2117
M110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1195
mov.l execexit_ptr1195,r1
jmp @r1
add #-2,r6
fdl1195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1195: .long execexit
! Opcodes 2118 - 211F
M118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1196
mov.l execexit_ptr1196,r1
jmp @r1
add #-2,r6
fdl1196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1196: .long execexit
! Opcodes 2120 - 2127
M120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1197
mov.l execexit_ptr1197,r1
jmp @r1
add #-2,r6
fdl1197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1197: .long execexit
! Opcodes 2128 - 212F
M128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1198
mov.l execexit_ptr1198,r1
jmp @r1
add #-2,r6
fdl1198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1198: .long execexit
! Opcodes 2130 - 2137
M130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd267
exts.w r0,r0
longwd267:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1199
mov.l execexit_ptr1199,r1
jmp @r1
add #-2,r6
fdl1199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1199: .long execexit
! Opcode 2138
M138:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1200
mov.l execexit_ptr1200,r1
jmp @r1
add #-2,r6
fdl1200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1200: .long execexit
! Opcode 2139
M139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1201
mov.l execexit_ptr1201,r1
jmp @r1
add #-2,r6
fdl1201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1201: .long execexit
! Opcode 213A
M13A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1202
mov.l execexit_ptr1202,r1
jmp @r1
add #-2,r6
fdl1202:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1202: .long execexit
! Opcode 213B
M13B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd268
exts.w r0,r0
longwd268:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1203
mov.l execexit_ptr1203,r1
jmp @r1
add #-2,r6
fdl1203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1203: .long execexit
! Opcode 213C
M13C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1204
mov.l execexit_ptr1204,r1
jmp @r1
add #-2,r6
fdl1204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1204: .long execexit
! Opcodes 2140 - 2147
M140:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1205
mov.l execexit_ptr1205,r1
jmp @r1
add #-2,r6
fdl1205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1205: .long execexit
! Opcodes 2148 - 214F
M148:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1206
mov.l execexit_ptr1206,r1
jmp @r1
add #-2,r6
fdl1206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1206: .long execexit
! Opcodes 2150 - 2157
M150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1207
mov.l execexit_ptr1207,r1
jmp @r1
add #-2,r6
fdl1207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1207: .long execexit
! Opcodes 2158 - 215F
M158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1208
mov.l execexit_ptr1208,r1
jmp @r1
add #-2,r6
fdl1208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1208: .long execexit
! Opcodes 2160 - 2167
M160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1209
mov.l execexit_ptr1209,r1
jmp @r1
add #-2,r6
fdl1209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1209: .long execexit
! Opcodes 2168 - 216F
M168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1210
mov.l execexit_ptr1210,r1
jmp @r1
add #-2,r6
fdl1210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1210: .long execexit
! Opcodes 2170 - 2177
M170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd269
exts.w r0,r0
longwd269:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1211
mov.l execexit_ptr1211,r1
jmp @r1
add #-2,r6
fdl1211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1211: .long execexit
! Opcode 2178
M178:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1212
mov.l execexit_ptr1212,r1
jmp @r1
add #-2,r6
fdl1212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1212: .long execexit
! Opcode 2179
M179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1213
mov.l execexit_ptr1213,r1
jmp @r1
add #-2,r6
fdl1213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1213: .long execexit
! Opcode 217A
M17A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1214
mov.l execexit_ptr1214,r1
jmp @r1
add #-2,r6
fdl1214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1214: .long execexit
! Opcode 217B
M17B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd270
exts.w r0,r0
longwd270:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1215
mov.l execexit_ptr1215,r1
jmp @r1
add #-2,r6
fdl1215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1215: .long execexit
! Opcode 217C
M17C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1216
mov.l execexit_ptr1216,r1
jmp @r1
add #-2,r6
fdl1216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1216: .long execexit
! Opcodes 2180 - 2187
M180:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd271
exts.w r0,r0
longwd271:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1217
mov.l execexit_ptr1217,r1
jmp @r1
add #-2,r6
fdl1217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1217: .long execexit
! Opcodes 2188 - 218F
M188:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd272
exts.w r0,r0
longwd272:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1218
mov.l execexit_ptr1218,r1
jmp @r1
add #-2,r6
fdl1218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1218: .long execexit
! Opcodes 2190 - 2197
M190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd273
exts.w r0,r0
longwd273:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1219
mov.l execexit_ptr1219,r1
jmp @r1
add #-2,r6
fdl1219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1219: .long execexit
! Opcodes 2198 - 219F
M198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd274
exts.w r0,r0
longwd274:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1220
mov.l execexit_ptr1220,r1
jmp @r1
add #-2,r6
fdl1220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1220: .long execexit
! Opcodes 21A0 - 21A7
M1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd275
exts.w r0,r0
longwd275:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1221
mov.l execexit_ptr1221,r1
jmp @r1
add #-2,r6
fdl1221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1221: .long execexit
! Opcodes 21A8 - 21AF
M1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd276
exts.w r0,r0
longwd276:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1222
mov.l execexit_ptr1222,r1
jmp @r1
add #-2,r6
fdl1222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1222: .long execexit
! Opcodes 21B0 - 21B7
M1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd277
exts.w r0,r0
longwd277:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd278
exts.w r0,r0
longwd278:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1223
mov.l execexit_ptr1223,r1
jmp @r1
add #-2,r6
fdl1223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1223: .long execexit
! Opcode 21B8
M1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd279
exts.w r0,r0
longwd279:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1224
mov.l execexit_ptr1224,r1
jmp @r1
add #-2,r6
fdl1224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1224: .long execexit
! Opcode 21B9
M1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd280
exts.w r0,r0
longwd280:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1225
mov.l execexit_ptr1225,r1
jmp @r1
add #-2,r6
fdl1225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1225: .long execexit
! Opcode 21BA
M1BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd281
exts.w r0,r0
longwd281:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1226
mov.l execexit_ptr1226,r1
jmp @r1
add #-2,r6
fdl1226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1226: .long execexit
! Opcode 21BB
M1BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd282
exts.w r0,r0
longwd282:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd283
exts.w r0,r0
longwd283:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1227
mov.l execexit_ptr1227,r1
jmp @r1
add #-2,r6
fdl1227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1227: .long execexit
! Opcode 21BC
M1BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd284
exts.w r0,r0
longwd284:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1228
mov.l execexit_ptr1228,r1
jmp @r1
add #-2,r6
fdl1228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1228: .long execexit
! Opcodes 21C0 - 21C7
M1C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1229
mov.l execexit_ptr1229,r1
jmp @r1
add #-2,r6
fdl1229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1229: .long execexit
! Opcodes 21C8 - 21CF
M1C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1230
mov.l execexit_ptr1230,r1
jmp @r1
add #-2,r6
fdl1230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1230: .long execexit
! Opcodes 21D0 - 21D7
M1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1231
mov.l execexit_ptr1231,r1
jmp @r1
add #-2,r6
fdl1231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1231: .long execexit
! Opcodes 21D8 - 21DF
M1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1232
mov.l execexit_ptr1232,r1
jmp @r1
add #-2,r6
fdl1232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1232: .long execexit
! Opcodes 21E0 - 21E7
M1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1233
mov.l execexit_ptr1233,r1
jmp @r1
add #-2,r6
fdl1233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1233: .long execexit
! Opcodes 21E8 - 21EF
M1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1234
mov.l execexit_ptr1234,r1
jmp @r1
add #-2,r6
fdl1234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1234: .long execexit
! Opcodes 21F0 - 21F7
M1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd285
exts.w r0,r0
longwd285:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1235
mov.l execexit_ptr1235,r1
jmp @r1
add #-2,r6
fdl1235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1235: .long execexit
! Opcode 21F8
M1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1236
mov.l execexit_ptr1236,r1
jmp @r1
add #-2,r6
fdl1236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1236: .long execexit
! Opcode 21F9
M1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1237
mov.l execexit_ptr1237,r1
jmp @r1
add #-2,r6
fdl1237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1237: .long execexit
! Opcode 21FA
M1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1238
mov.l execexit_ptr1238,r1
jmp @r1
add #-2,r6
fdl1238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1238: .long execexit
! Opcode 21FB
M1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd286
exts.w r0,r0
longwd286:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1239
mov.l execexit_ptr1239,r1
jmp @r1
add #-2,r6
fdl1239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1239: .long execexit
! Opcode 21FC
M1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1240
mov.l execexit_ptr1240,r1
jmp @r1
add #-2,r6
fdl1240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1240: .long execexit
! Opcodes 2200 - 2207
M200:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1241
mov.l execexit_ptr1241,r1
jmp @r1
add #-2,r6
fdl1241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1241: .long execexit
! Opcodes 2208 - 220F
M208:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1242
mov.l execexit_ptr1242,r1
jmp @r1
add #-2,r6
fdl1242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1242: .long execexit
! Opcodes 2210 - 2217
M210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1243
mov.l execexit_ptr1243,r1
jmp @r1
add #-2,r6
fdl1243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1243: .long execexit
! Opcodes 2218 - 221F
M218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1244
mov.l execexit_ptr1244,r1
jmp @r1
add #-2,r6
fdl1244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1244: .long execexit
! Opcodes 2220 - 2227
M220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1245
mov.l execexit_ptr1245,r1
jmp @r1
add #-2,r6
fdl1245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1245: .long execexit
! Opcodes 2228 - 222F
M228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1246
mov.l execexit_ptr1246,r1
jmp @r1
add #-2,r6
fdl1246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1246: .long execexit
! Opcodes 2230 - 2237
M230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd287
exts.w r0,r0
longwd287:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1247
mov.l execexit_ptr1247,r1
jmp @r1
add #-2,r6
fdl1247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1247: .long execexit
! Opcode 2238
M238:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1248
mov.l execexit_ptr1248,r1
jmp @r1
add #-2,r6
fdl1248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1248: .long execexit
! Opcode 2239
M239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1249
mov.l execexit_ptr1249,r1
jmp @r1
add #-2,r6
fdl1249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1249: .long execexit
! Opcode 223A
M23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1250
mov.l execexit_ptr1250,r1
jmp @r1
add #-2,r6
fdl1250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1250: .long execexit
! Opcode 223B
M23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd288
exts.w r0,r0
longwd288:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1251
mov.l execexit_ptr1251,r1
jmp @r1
add #-2,r6
fdl1251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1251: .long execexit
! Opcode 223C
M23C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1252
mov.l execexit_ptr1252,r1
jmp @r1
add #-2,r6
fdl1252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1252: .long execexit
! Opcodes 2240 - 2247
M240:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1253
mov.l execexit_ptr1253,r1
jmp @r1
add #-2,r6
fdl1253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1253: .long execexit
! Opcodes 2248 - 224F
M248:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1254
mov.l execexit_ptr1254,r1
jmp @r1
add #-2,r6
fdl1254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1254: .long execexit
! Opcodes 2250 - 2257
M250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1255
mov.l execexit_ptr1255,r1
jmp @r1
add #-2,r6
fdl1255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1255: .long execexit
! Opcodes 2258 - 225F
M258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1256
mov.l execexit_ptr1256,r1
jmp @r1
add #-2,r6
fdl1256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1256: .long execexit
! Opcodes 2260 - 2267
M260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1257
mov.l execexit_ptr1257,r1
jmp @r1
add #-2,r6
fdl1257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1257: .long execexit
! Opcodes 2268 - 226F
M268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1258
mov.l execexit_ptr1258,r1
jmp @r1
add #-2,r6
fdl1258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1258: .long execexit
! Opcodes 2270 - 2277
M270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd289
exts.w r0,r0
longwd289:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1259
mov.l execexit_ptr1259,r1
jmp @r1
add #-2,r6
fdl1259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1259: .long execexit
! Opcode 2278
M278:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1260
mov.l execexit_ptr1260,r1
jmp @r1
add #-2,r6
fdl1260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1260: .long execexit
! Opcode 2279
M279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1261
mov.l execexit_ptr1261,r1
jmp @r1
add #-2,r6
fdl1261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1261: .long execexit
! Opcode 227A
M27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1262
mov.l execexit_ptr1262,r1
jmp @r1
add #-2,r6
fdl1262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1262: .long execexit
! Opcode 227B
M27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd290
exts.w r0,r0
longwd290:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1263
mov.l execexit_ptr1263,r1
jmp @r1
add #-2,r6
fdl1263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1263: .long execexit
! Opcode 227C
M27C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1264
mov.l execexit_ptr1264,r1
jmp @r1
add #-2,r6
fdl1264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1264: .long execexit
! Opcodes 2280 - 2287
M280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1265
mov.l execexit_ptr1265,r1
jmp @r1
add #-2,r6
fdl1265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1265: .long execexit
! Opcodes 2288 - 228F
M288:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1266
mov.l execexit_ptr1266,r1
jmp @r1
add #-2,r6
fdl1266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1266: .long execexit
! Opcodes 2290 - 2297
M290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1267
mov.l execexit_ptr1267,r1
jmp @r1
add #-2,r6
fdl1267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1267: .long execexit
! Opcodes 2298 - 229F
M298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1268
mov.l execexit_ptr1268,r1
jmp @r1
add #-2,r6
fdl1268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1268: .long execexit
! Opcodes 22A0 - 22A7
M2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1269
mov.l execexit_ptr1269,r1
jmp @r1
add #-2,r6
fdl1269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1269: .long execexit
! Opcodes 22A8 - 22AF
M2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1270
mov.l execexit_ptr1270,r1
jmp @r1
add #-2,r6
fdl1270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1270: .long execexit
! Opcodes 22B0 - 22B7
M2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd291
exts.w r0,r0
longwd291:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1271
mov.l execexit_ptr1271,r1
jmp @r1
add #-2,r6
fdl1271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1271: .long execexit
! Opcode 22B8
M2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1272
mov.l execexit_ptr1272,r1
jmp @r1
add #-2,r6
fdl1272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1272: .long execexit
! Opcode 22B9
M2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1273
mov.l execexit_ptr1273,r1
jmp @r1
add #-2,r6
fdl1273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1273: .long execexit
! Opcode 22BA
M2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1274
mov.l execexit_ptr1274,r1
jmp @r1
add #-2,r6
fdl1274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1274: .long execexit
! Opcode 22BB
M2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd292
exts.w r0,r0
longwd292:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1275
mov.l execexit_ptr1275,r1
jmp @r1
add #-2,r6
fdl1275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1275: .long execexit
! Opcode 22BC
M2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1276
mov.l execexit_ptr1276,r1
jmp @r1
add #-2,r6
fdl1276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1276: .long execexit
! Opcodes 22C0 - 22C7
M2C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1277
mov.l execexit_ptr1277,r1
jmp @r1
add #-2,r6
fdl1277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1277: .long execexit
! Opcodes 22C8 - 22CF
M2C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1278
mov.l execexit_ptr1278,r1
jmp @r1
add #-2,r6
fdl1278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1278: .long execexit
! Opcodes 22D0 - 22D7
M2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1279
mov.l execexit_ptr1279,r1
jmp @r1
add #-2,r6
fdl1279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1279: .long execexit
! Opcodes 22D8 - 22DF
M2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1280
mov.l execexit_ptr1280,r1
jmp @r1
add #-2,r6
fdl1280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1280: .long execexit
! Opcodes 22E0 - 22E7
M2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1281
mov.l execexit_ptr1281,r1
jmp @r1
add #-2,r6
fdl1281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1281: .long execexit
! Opcodes 22E8 - 22EF
M2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1282
mov.l execexit_ptr1282,r1
jmp @r1
add #-2,r6
fdl1282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1282: .long execexit
! Opcodes 22F0 - 22F7
M2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd293
exts.w r0,r0
longwd293:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1283
mov.l execexit_ptr1283,r1
jmp @r1
add #-2,r6
fdl1283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1283: .long execexit
! Opcode 22F8
M2F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1284
mov.l execexit_ptr1284,r1
jmp @r1
add #-2,r6
fdl1284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1284: .long execexit
! Opcode 22F9
M2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1285
mov.l execexit_ptr1285,r1
jmp @r1
add #-2,r6
fdl1285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1285: .long execexit
! Opcode 22FA
M2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1286
mov.l execexit_ptr1286,r1
jmp @r1
add #-2,r6
fdl1286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1286: .long execexit
! Opcode 22FB
M2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd294
exts.w r0,r0
longwd294:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1287
mov.l execexit_ptr1287,r1
jmp @r1
add #-2,r6
fdl1287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1287: .long execexit
! Opcode 22FC
M2FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1288
mov.l execexit_ptr1288,r1
jmp @r1
add #-2,r6
fdl1288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1288: .long execexit
! Opcodes 2300 - 2307
M300:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1289
mov.l execexit_ptr1289,r1
jmp @r1
add #-2,r6
fdl1289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1289: .long execexit
! Opcodes 2308 - 230F
M308:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1290
mov.l execexit_ptr1290,r1
jmp @r1
add #-2,r6
fdl1290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1290: .long execexit
! Opcodes 2310 - 2317
M310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1291
mov.l execexit_ptr1291,r1
jmp @r1
add #-2,r6
fdl1291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1291: .long execexit
! Opcodes 2318 - 231F
M318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1292
mov.l execexit_ptr1292,r1
jmp @r1
add #-2,r6
fdl1292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1292: .long execexit
! Opcodes 2320 - 2327
M320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1293
mov.l execexit_ptr1293,r1
jmp @r1
add #-2,r6
fdl1293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1293: .long execexit
! Opcodes 2328 - 232F
M328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1294
mov.l execexit_ptr1294,r1
jmp @r1
add #-2,r6
fdl1294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1294: .long execexit
! Opcodes 2330 - 2337
M330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd295
exts.w r0,r0
longwd295:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1295
mov.l execexit_ptr1295,r1
jmp @r1
add #-2,r6
fdl1295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1295: .long execexit
! Opcode 2338
M338:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1296
mov.l execexit_ptr1296,r1
jmp @r1
add #-2,r6
fdl1296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1296: .long execexit
! Opcode 2339
M339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1297
mov.l execexit_ptr1297,r1
jmp @r1
add #-2,r6
fdl1297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1297: .long execexit
! Opcode 233A
M33A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1298
mov.l execexit_ptr1298,r1
jmp @r1
add #-2,r6
fdl1298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1298: .long execexit
! Opcode 233B
M33B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd296
exts.w r0,r0
longwd296:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1299
mov.l execexit_ptr1299,r1
jmp @r1
add #-2,r6
fdl1299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1299: .long execexit
! Opcode 233C
M33C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1300
mov.l execexit_ptr1300,r1
jmp @r1
add #-2,r6
fdl1300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1300: .long execexit
! Opcodes 2340 - 2347
M340:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1301
mov.l execexit_ptr1301,r1
jmp @r1
add #-2,r6
fdl1301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1301: .long execexit
! Opcodes 2348 - 234F
M348:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1302
mov.l execexit_ptr1302,r1
jmp @r1
add #-2,r6
fdl1302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1302: .long execexit
! Opcodes 2350 - 2357
M350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1303
mov.l execexit_ptr1303,r1
jmp @r1
add #-2,r6
fdl1303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1303: .long execexit
! Opcodes 2358 - 235F
M358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1304
mov.l execexit_ptr1304,r1
jmp @r1
add #-2,r6
fdl1304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1304: .long execexit
! Opcodes 2360 - 2367
M360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1305
mov.l execexit_ptr1305,r1
jmp @r1
add #-2,r6
fdl1305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1305: .long execexit
! Opcodes 2368 - 236F
M368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1306
mov.l execexit_ptr1306,r1
jmp @r1
add #-2,r6
fdl1306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1306: .long execexit
! Opcodes 2370 - 2377
M370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd297
exts.w r0,r0
longwd297:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1307
mov.l execexit_ptr1307,r1
jmp @r1
add #-2,r6
fdl1307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1307: .long execexit
! Opcode 2378
M378:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1308
mov.l execexit_ptr1308,r1
jmp @r1
add #-2,r6
fdl1308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1308: .long execexit
! Opcode 2379
M379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1309
mov.l execexit_ptr1309,r1
jmp @r1
add #-2,r6
fdl1309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1309: .long execexit
! Opcode 237A
M37A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1310
mov.l execexit_ptr1310,r1
jmp @r1
add #-2,r6
fdl1310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1310: .long execexit
! Opcode 237B
M37B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd298
exts.w r0,r0
longwd298:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1311
mov.l execexit_ptr1311,r1
jmp @r1
add #-2,r6
fdl1311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1311: .long execexit
! Opcode 237C
M37C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1312
mov.l execexit_ptr1312,r1
jmp @r1
add #-2,r6
fdl1312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1312: .long execexit
! Opcodes 2380 - 2387
M380:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd299
exts.w r0,r0
longwd299:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1313
mov.l execexit_ptr1313,r1
jmp @r1
add #-2,r6
fdl1313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1313: .long execexit
! Opcodes 2388 - 238F
M388:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd300
exts.w r0,r0
longwd300:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1314
mov.l execexit_ptr1314,r1
jmp @r1
add #-2,r6
fdl1314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1314: .long execexit
! Opcodes 2390 - 2397
M390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd301
exts.w r0,r0
longwd301:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1315
mov.l execexit_ptr1315,r1
jmp @r1
add #-2,r6
fdl1315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1315: .long execexit
! Opcodes 2398 - 239F
M398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd302
exts.w r0,r0
longwd302:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1316
mov.l execexit_ptr1316,r1
jmp @r1
add #-2,r6
fdl1316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1316: .long execexit
! Opcodes 23A0 - 23A7
M3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd303
exts.w r0,r0
longwd303:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1317
mov.l execexit_ptr1317,r1
jmp @r1
add #-2,r6
fdl1317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1317: .long execexit
! Opcodes 23A8 - 23AF
M3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd304
exts.w r0,r0
longwd304:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1318
mov.l execexit_ptr1318,r1
jmp @r1
add #-2,r6
fdl1318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1318: .long execexit
! Opcodes 23B0 - 23B7
M3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd305
exts.w r0,r0
longwd305:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd306
exts.w r0,r0
longwd306:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1319
mov.l execexit_ptr1319,r1
jmp @r1
add #-2,r6
fdl1319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1319: .long execexit
! Opcode 23B8
M3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd307
exts.w r0,r0
longwd307:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1320
mov.l execexit_ptr1320,r1
jmp @r1
add #-2,r6
fdl1320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1320: .long execexit
! Opcode 23B9
M3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd308
exts.w r0,r0
longwd308:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1321
mov.l execexit_ptr1321,r1
jmp @r1
add #-2,r6
fdl1321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1321: .long execexit
! Opcode 23BA
M3BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd309
exts.w r0,r0
longwd309:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1322
mov.l execexit_ptr1322,r1
jmp @r1
add #-2,r6
fdl1322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1322: .long execexit
! Opcode 23BB
M3BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd310
exts.w r0,r0
longwd310:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd311
exts.w r0,r0
longwd311:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1323
mov.l execexit_ptr1323,r1
jmp @r1
add #-2,r6
fdl1323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1323: .long execexit
! Opcode 23BC
M3BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd312
exts.w r0,r0
longwd312:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1324
mov.l execexit_ptr1324,r1
jmp @r1
add #-2,r6
fdl1324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1324: .long execexit
! Opcodes 23C0 - 23C7
M3C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1325
mov.l execexit_ptr1325,r1
jmp @r1
add #-2,r6
fdl1325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1325: .long execexit
! Opcodes 23C8 - 23CF
M3C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1326
mov.l execexit_ptr1326,r1
jmp @r1
add #-2,r6
fdl1326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1326: .long execexit
! Opcodes 23D0 - 23D7
M3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1327
mov.l execexit_ptr1327,r1
jmp @r1
add #-2,r6
fdl1327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1327: .long execexit
! Opcodes 23D8 - 23DF
M3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1328
mov.l execexit_ptr1328,r1
jmp @r1
add #-2,r6
fdl1328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1328: .long execexit
! Opcodes 23E0 - 23E7
M3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1329
mov.l execexit_ptr1329,r1
jmp @r1
add #-2,r6
fdl1329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1329: .long execexit
! Opcodes 23E8 - 23EF
M3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1330
mov.l execexit_ptr1330,r1
jmp @r1
add #-2,r6
fdl1330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1330: .long execexit
! Opcodes 23F0 - 23F7
M3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd313
exts.w r0,r0
longwd313:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1331
mov.l execexit_ptr1331,r1
jmp @r1
add #-2,r6
fdl1331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1331: .long execexit
! Opcode 23F8
M3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1332
mov.l execexit_ptr1332,r1
jmp @r1
add #-2,r6
fdl1332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1332: .long execexit
! Opcode 23F9
M3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-36,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1333
mov.l execexit_ptr1333,r1
jmp @r1
add #-2,r6
fdl1333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1333: .long execexit
! Opcode 23FA
M3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1334
mov.l execexit_ptr1334,r1
jmp @r1
add #-2,r6
fdl1334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1334: .long execexit
! Opcode 23FB
M3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd314
exts.w r0,r0
longwd314:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1335
mov.l execexit_ptr1335,r1
jmp @r1
add #-2,r6
fdl1335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1335: .long execexit
! Opcode 23FC
M3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1336
mov.l execexit_ptr1336,r1
jmp @r1
add #-2,r6
fdl1336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1336: .long execexit
! Opcodes 2400 - 2407
M400:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1337
mov.l execexit_ptr1337,r1
jmp @r1
add #-2,r6
fdl1337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1337: .long execexit
! Opcodes 2408 - 240F
M408:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1338
mov.l execexit_ptr1338,r1
jmp @r1
add #-2,r6
fdl1338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1338: .long execexit
! Opcodes 2410 - 2417
M410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1339
mov.l execexit_ptr1339,r1
jmp @r1
add #-2,r6
fdl1339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1339: .long execexit
! Opcodes 2418 - 241F
M418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1340
mov.l execexit_ptr1340,r1
jmp @r1
add #-2,r6
fdl1340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1340: .long execexit
! Opcodes 2420 - 2427
M420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1341
mov.l execexit_ptr1341,r1
jmp @r1
add #-2,r6
fdl1341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1341: .long execexit
! Opcodes 2428 - 242F
M428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1342
mov.l execexit_ptr1342,r1
jmp @r1
add #-2,r6
fdl1342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1342: .long execexit
! Opcodes 2430 - 2437
M430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd315
exts.w r0,r0
longwd315:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1343
mov.l execexit_ptr1343,r1
jmp @r1
add #-2,r6
fdl1343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1343: .long execexit
! Opcode 2438
M438:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1344
mov.l execexit_ptr1344,r1
jmp @r1
add #-2,r6
fdl1344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1344: .long execexit
! Opcode 2439
M439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1345
mov.l execexit_ptr1345,r1
jmp @r1
add #-2,r6
fdl1345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1345: .long execexit
! Opcode 243A
M43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1346
mov.l execexit_ptr1346,r1
jmp @r1
add #-2,r6
fdl1346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1346: .long execexit
! Opcode 243B
M43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd316
exts.w r0,r0
longwd316:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1347
mov.l execexit_ptr1347,r1
jmp @r1
add #-2,r6
fdl1347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1347: .long execexit
! Opcode 243C
M43C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1348
mov.l execexit_ptr1348,r1
jmp @r1
add #-2,r6
fdl1348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1348: .long execexit
! Opcodes 2440 - 2447
M440:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1349
mov.l execexit_ptr1349,r1
jmp @r1
add #-2,r6
fdl1349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1349: .long execexit
! Opcodes 2448 - 244F
M448:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1350
mov.l execexit_ptr1350,r1
jmp @r1
add #-2,r6
fdl1350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1350: .long execexit
! Opcodes 2450 - 2457
M450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1351
mov.l execexit_ptr1351,r1
jmp @r1
add #-2,r6
fdl1351:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1351: .long execexit
! Opcodes 2458 - 245F
M458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1352
mov.l execexit_ptr1352,r1
jmp @r1
add #-2,r6
fdl1352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1352: .long execexit
! Opcodes 2460 - 2467
M460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1353
mov.l execexit_ptr1353,r1
jmp @r1
add #-2,r6
fdl1353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1353: .long execexit
! Opcodes 2468 - 246F
M468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1354
mov.l execexit_ptr1354,r1
jmp @r1
add #-2,r6
fdl1354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1354: .long execexit
! Opcodes 2470 - 2477
M470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd317
exts.w r0,r0
longwd317:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1355
mov.l execexit_ptr1355,r1
jmp @r1
add #-2,r6
fdl1355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1355: .long execexit
! Opcode 2478
M478:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1356
mov.l execexit_ptr1356,r1
jmp @r1
add #-2,r6
fdl1356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1356: .long execexit
! Opcode 2479
M479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1357
mov.l execexit_ptr1357,r1
jmp @r1
add #-2,r6
fdl1357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1357: .long execexit
! Opcode 247A
M47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1358
mov.l execexit_ptr1358,r1
jmp @r1
add #-2,r6
fdl1358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1358: .long execexit
! Opcode 247B
M47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd318
exts.w r0,r0
longwd318:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1359
mov.l execexit_ptr1359,r1
jmp @r1
add #-2,r6
fdl1359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1359: .long execexit
! Opcode 247C
M47C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1360
mov.l execexit_ptr1360,r1
jmp @r1
add #-2,r6
fdl1360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1360: .long execexit
! Opcodes 2480 - 2487
M480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1361
mov.l execexit_ptr1361,r1
jmp @r1
add #-2,r6
fdl1361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1361: .long execexit
! Opcodes 2488 - 248F
M488:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1362
mov.l execexit_ptr1362,r1
jmp @r1
add #-2,r6
fdl1362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1362: .long execexit
! Opcodes 2490 - 2497
M490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1363
mov.l execexit_ptr1363,r1
jmp @r1
add #-2,r6
fdl1363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1363: .long execexit
! Opcodes 2498 - 249F
M498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1364
mov.l execexit_ptr1364,r1
jmp @r1
add #-2,r6
fdl1364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1364: .long execexit
! Opcodes 24A0 - 24A7
M4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1365
mov.l execexit_ptr1365,r1
jmp @r1
add #-2,r6
fdl1365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1365: .long execexit
! Opcodes 24A8 - 24AF
M4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1366
mov.l execexit_ptr1366,r1
jmp @r1
add #-2,r6
fdl1366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1366: .long execexit
! Opcodes 24B0 - 24B7
M4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd319
exts.w r0,r0
longwd319:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1367
mov.l execexit_ptr1367,r1
jmp @r1
add #-2,r6
fdl1367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1367: .long execexit
! Opcode 24B8
M4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1368
mov.l execexit_ptr1368,r1
jmp @r1
add #-2,r6
fdl1368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1368: .long execexit
! Opcode 24B9
M4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1369
mov.l execexit_ptr1369,r1
jmp @r1
add #-2,r6
fdl1369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1369: .long execexit
! Opcode 24BA
M4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1370
mov.l execexit_ptr1370,r1
jmp @r1
add #-2,r6
fdl1370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1370: .long execexit
! Opcode 24BB
M4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd320
exts.w r0,r0
longwd320:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1371
mov.l execexit_ptr1371,r1
jmp @r1
add #-2,r6
fdl1371:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1371: .long execexit
! Opcode 24BC
M4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1372
mov.l execexit_ptr1372,r1
jmp @r1
add #-2,r6
fdl1372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1372: .long execexit
! Opcodes 24C0 - 24C7
M4C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1373
mov.l execexit_ptr1373,r1
jmp @r1
add #-2,r6
fdl1373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1373: .long execexit
! Opcodes 24C8 - 24CF
M4C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1374
mov.l execexit_ptr1374,r1
jmp @r1
add #-2,r6
fdl1374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1374: .long execexit
! Opcodes 24D0 - 24D7
M4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1375
mov.l execexit_ptr1375,r1
jmp @r1
add #-2,r6
fdl1375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1375: .long execexit
! Opcodes 24D8 - 24DF
M4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1376
mov.l execexit_ptr1376,r1
jmp @r1
add #-2,r6
fdl1376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1376: .long execexit
! Opcodes 24E0 - 24E7
M4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1377
mov.l execexit_ptr1377,r1
jmp @r1
add #-2,r6
fdl1377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1377: .long execexit
! Opcodes 24E8 - 24EF
M4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1378
mov.l execexit_ptr1378,r1
jmp @r1
add #-2,r6
fdl1378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1378: .long execexit
! Opcodes 24F0 - 24F7
M4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd321
exts.w r0,r0
longwd321:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1379
mov.l execexit_ptr1379,r1
jmp @r1
add #-2,r6
fdl1379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1379: .long execexit
! Opcode 24F8
M4F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1380
mov.l execexit_ptr1380,r1
jmp @r1
add #-2,r6
fdl1380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1380: .long execexit
! Opcode 24F9
M4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1381
mov.l execexit_ptr1381,r1
jmp @r1
add #-2,r6
fdl1381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1381: .long execexit
! Opcode 24FA
M4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1382
mov.l execexit_ptr1382,r1
jmp @r1
add #-2,r6
fdl1382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1382: .long execexit
! Opcode 24FB
M4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd322
exts.w r0,r0
longwd322:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1383
mov.l execexit_ptr1383,r1
jmp @r1
add #-2,r6
fdl1383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1383: .long execexit
! Opcode 24FC
M4FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1384
mov.l execexit_ptr1384,r1
jmp @r1
add #-2,r6
fdl1384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1384: .long execexit
! Opcodes 2500 - 2507
M500:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1385
mov.l execexit_ptr1385,r1
jmp @r1
add #-2,r6
fdl1385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1385: .long execexit
! Opcodes 2508 - 250F
M508:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1386
mov.l execexit_ptr1386,r1
jmp @r1
add #-2,r6
fdl1386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1386: .long execexit
! Opcodes 2510 - 2517
M510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1387
mov.l execexit_ptr1387,r1
jmp @r1
add #-2,r6
fdl1387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1387: .long execexit
! Opcodes 2518 - 251F
M518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1388
mov.l execexit_ptr1388,r1
jmp @r1
add #-2,r6
fdl1388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1388: .long execexit
! Opcodes 2520 - 2527
M520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1389
mov.l execexit_ptr1389,r1
jmp @r1
add #-2,r6
fdl1389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1389: .long execexit
! Opcodes 2528 - 252F
M528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1390
mov.l execexit_ptr1390,r1
jmp @r1
add #-2,r6
fdl1390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1390: .long execexit
! Opcodes 2530 - 2537
M530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd323
exts.w r0,r0
longwd323:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1391
mov.l execexit_ptr1391,r1
jmp @r1
add #-2,r6
fdl1391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1391: .long execexit
! Opcode 2538
M538:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1392
mov.l execexit_ptr1392,r1
jmp @r1
add #-2,r6
fdl1392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1392: .long execexit
! Opcode 2539
M539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1393
mov.l execexit_ptr1393,r1
jmp @r1
add #-2,r6
fdl1393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1393: .long execexit
! Opcode 253A
M53A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1394
mov.l execexit_ptr1394,r1
jmp @r1
add #-2,r6
fdl1394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1394: .long execexit
! Opcode 253B
M53B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd324
exts.w r0,r0
longwd324:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1395
mov.l execexit_ptr1395,r1
jmp @r1
add #-2,r6
fdl1395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1395: .long execexit
! Opcode 253C
M53C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1396
mov.l execexit_ptr1396,r1
jmp @r1
add #-2,r6
fdl1396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1396: .long execexit
! Opcodes 2540 - 2547
M540:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1397
mov.l execexit_ptr1397,r1
jmp @r1
add #-2,r6
fdl1397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1397: .long execexit
! Opcodes 2548 - 254F
M548:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1398
mov.l execexit_ptr1398,r1
jmp @r1
add #-2,r6
fdl1398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1398: .long execexit
! Opcodes 2550 - 2557
M550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1399
mov.l execexit_ptr1399,r1
jmp @r1
add #-2,r6
fdl1399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1399: .long execexit
! Opcodes 2558 - 255F
M558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1400
mov.l execexit_ptr1400,r1
jmp @r1
add #-2,r6
fdl1400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1400: .long execexit
! Opcodes 2560 - 2567
M560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1401
mov.l execexit_ptr1401,r1
jmp @r1
add #-2,r6
fdl1401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1401: .long execexit
! Opcodes 2568 - 256F
M568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1402
mov.l execexit_ptr1402,r1
jmp @r1
add #-2,r6
fdl1402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1402: .long execexit
! Opcodes 2570 - 2577
M570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd325
exts.w r0,r0
longwd325:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1403
mov.l execexit_ptr1403,r1
jmp @r1
add #-2,r6
fdl1403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1403: .long execexit
! Opcode 2578
M578:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1404
mov.l execexit_ptr1404,r1
jmp @r1
add #-2,r6
fdl1404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1404: .long execexit
! Opcode 2579
M579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1405
mov.l execexit_ptr1405,r1
jmp @r1
add #-2,r6
fdl1405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1405: .long execexit
! Opcode 257A
M57A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1406
mov.l execexit_ptr1406,r1
jmp @r1
add #-2,r6
fdl1406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1406: .long execexit
! Opcode 257B
M57B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd326
exts.w r0,r0
longwd326:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1407
mov.l execexit_ptr1407,r1
jmp @r1
add #-2,r6
fdl1407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1407: .long execexit
! Opcode 257C
M57C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1408
mov.l execexit_ptr1408,r1
jmp @r1
add #-2,r6
fdl1408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1408: .long execexit
! Opcodes 2580 - 2587
M580:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd327
exts.w r0,r0
longwd327:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1409
mov.l execexit_ptr1409,r1
jmp @r1
add #-2,r6
fdl1409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1409: .long execexit
! Opcodes 2588 - 258F
M588:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd328
exts.w r0,r0
longwd328:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1410
mov.l execexit_ptr1410,r1
jmp @r1
add #-2,r6
fdl1410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1410: .long execexit
! Opcodes 2590 - 2597
M590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd329
exts.w r0,r0
longwd329:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1411
mov.l execexit_ptr1411,r1
jmp @r1
add #-2,r6
fdl1411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1411: .long execexit
! Opcodes 2598 - 259F
M598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd330
exts.w r0,r0
longwd330:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1412
mov.l execexit_ptr1412,r1
jmp @r1
add #-2,r6
fdl1412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1412: .long execexit
! Opcodes 25A0 - 25A7
M5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd331
exts.w r0,r0
longwd331:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1413
mov.l execexit_ptr1413,r1
jmp @r1
add #-2,r6
fdl1413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1413: .long execexit
! Opcodes 25A8 - 25AF
M5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd332
exts.w r0,r0
longwd332:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1414
mov.l execexit_ptr1414,r1
jmp @r1
add #-2,r6
fdl1414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1414: .long execexit
! Opcodes 25B0 - 25B7
M5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd333
exts.w r0,r0
longwd333:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd334
exts.w r0,r0
longwd334:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1415
mov.l execexit_ptr1415,r1
jmp @r1
add #-2,r6
fdl1415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1415: .long execexit
! Opcode 25B8
M5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd335
exts.w r0,r0
longwd335:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1416
mov.l execexit_ptr1416,r1
jmp @r1
add #-2,r6
fdl1416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1416: .long execexit
! Opcode 25B9
M5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd336
exts.w r0,r0
longwd336:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1417
mov.l execexit_ptr1417,r1
jmp @r1
add #-2,r6
fdl1417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1417: .long execexit
! Opcode 25BA
M5BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd337
exts.w r0,r0
longwd337:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1418
mov.l execexit_ptr1418,r1
jmp @r1
add #-2,r6
fdl1418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1418: .long execexit
! Opcode 25BB
M5BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd338
exts.w r0,r0
longwd338:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd339
exts.w r0,r0
longwd339:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1419
mov.l execexit_ptr1419,r1
jmp @r1
add #-2,r6
fdl1419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1419: .long execexit
! Opcode 25BC
M5BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd340
exts.w r0,r0
longwd340:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1420
mov.l execexit_ptr1420,r1
jmp @r1
add #-2,r6
fdl1420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1420: .long execexit
! Opcodes 2600 - 2607
M600:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1421
mov.l execexit_ptr1421,r1
jmp @r1
add #-2,r6
fdl1421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1421: .long execexit
! Opcodes 2608 - 260F
M608:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1422
mov.l execexit_ptr1422,r1
jmp @r1
add #-2,r6
fdl1422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1422: .long execexit
! Opcodes 2610 - 2617
M610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1423
mov.l execexit_ptr1423,r1
jmp @r1
add #-2,r6
fdl1423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1423: .long execexit
! Opcodes 2618 - 261F
M618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1424
mov.l execexit_ptr1424,r1
jmp @r1
add #-2,r6
fdl1424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1424: .long execexit
! Opcodes 2620 - 2627
M620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1425
mov.l execexit_ptr1425,r1
jmp @r1
add #-2,r6
fdl1425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1425: .long execexit
! Opcodes 2628 - 262F
M628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1426
mov.l execexit_ptr1426,r1
jmp @r1
add #-2,r6
fdl1426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1426: .long execexit
! Opcodes 2630 - 2637
M630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd341
exts.w r0,r0
longwd341:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1427
mov.l execexit_ptr1427,r1
jmp @r1
add #-2,r6
fdl1427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1427: .long execexit
! Opcode 2638
M638:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1428
mov.l execexit_ptr1428,r1
jmp @r1
add #-2,r6
fdl1428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1428: .long execexit
! Opcode 2639
M639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1429
mov.l execexit_ptr1429,r1
jmp @r1
add #-2,r6
fdl1429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1429: .long execexit
! Opcode 263A
M63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1430
mov.l execexit_ptr1430,r1
jmp @r1
add #-2,r6
fdl1430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1430: .long execexit
! Opcode 263B
M63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd342
exts.w r0,r0
longwd342:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1431
mov.l execexit_ptr1431,r1
jmp @r1
add #-2,r6
fdl1431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1431: .long execexit
! Opcode 263C
M63C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1432
mov.l execexit_ptr1432,r1
jmp @r1
add #-2,r6
fdl1432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1432: .long execexit
! Opcodes 2640 - 2647
M640:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1433
mov.l execexit_ptr1433,r1
jmp @r1
add #-2,r6
fdl1433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1433: .long execexit
! Opcodes 2648 - 264F
M648:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1434
mov.l execexit_ptr1434,r1
jmp @r1
add #-2,r6
fdl1434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1434: .long execexit
! Opcodes 2650 - 2657
M650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1435
mov.l execexit_ptr1435,r1
jmp @r1
add #-2,r6
fdl1435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1435: .long execexit
! Opcodes 2658 - 265F
M658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1436
mov.l execexit_ptr1436,r1
jmp @r1
add #-2,r6
fdl1436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1436: .long execexit
! Opcodes 2660 - 2667
M660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1437
mov.l execexit_ptr1437,r1
jmp @r1
add #-2,r6
fdl1437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1437: .long execexit
! Opcodes 2668 - 266F
M668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1438
mov.l execexit_ptr1438,r1
jmp @r1
add #-2,r6
fdl1438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1438: .long execexit
! Opcodes 2670 - 2677
M670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd343
exts.w r0,r0
longwd343:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1439
mov.l execexit_ptr1439,r1
jmp @r1
add #-2,r6
fdl1439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1439: .long execexit
! Opcode 2678
M678:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1440
mov.l execexit_ptr1440,r1
jmp @r1
add #-2,r6
fdl1440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1440: .long execexit
! Opcode 2679
M679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1441
mov.l execexit_ptr1441,r1
jmp @r1
add #-2,r6
fdl1441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1441: .long execexit
! Opcode 267A
M67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1442
mov.l execexit_ptr1442,r1
jmp @r1
add #-2,r6
fdl1442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1442: .long execexit
! Opcode 267B
M67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd344
exts.w r0,r0
longwd344:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1443
mov.l execexit_ptr1443,r1
jmp @r1
add #-2,r6
fdl1443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1443: .long execexit
! Opcode 267C
M67C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1444
mov.l execexit_ptr1444,r1
jmp @r1
add #-2,r6
fdl1444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1444: .long execexit
! Opcodes 2680 - 2687
M680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1445
mov.l execexit_ptr1445,r1
jmp @r1
add #-2,r6
fdl1445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1445: .long execexit
! Opcodes 2688 - 268F
M688:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1446
mov.l execexit_ptr1446,r1
jmp @r1
add #-2,r6
fdl1446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1446: .long execexit
! Opcodes 2690 - 2697
M690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1447
mov.l execexit_ptr1447,r1
jmp @r1
add #-2,r6
fdl1447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1447: .long execexit
! Opcodes 2698 - 269F
M698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1448
mov.l execexit_ptr1448,r1
jmp @r1
add #-2,r6
fdl1448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1448: .long execexit
! Opcodes 26A0 - 26A7
M6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1449
mov.l execexit_ptr1449,r1
jmp @r1
add #-2,r6
fdl1449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1449: .long execexit
! Opcodes 26A8 - 26AF
M6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1450
mov.l execexit_ptr1450,r1
jmp @r1
add #-2,r6
fdl1450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1450: .long execexit
! Opcodes 26B0 - 26B7
M6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd345
exts.w r0,r0
longwd345:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1451
mov.l execexit_ptr1451,r1
jmp @r1
add #-2,r6
fdl1451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1451: .long execexit
! Opcode 26B8
M6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1452
mov.l execexit_ptr1452,r1
jmp @r1
add #-2,r6
fdl1452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1452: .long execexit
! Opcode 26B9
M6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1453
mov.l execexit_ptr1453,r1
jmp @r1
add #-2,r6
fdl1453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1453: .long execexit
! Opcode 26BA
M6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1454
mov.l execexit_ptr1454,r1
jmp @r1
add #-2,r6
fdl1454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1454: .long execexit
! Opcode 26BB
M6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd346
exts.w r0,r0
longwd346:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1455
mov.l execexit_ptr1455,r1
jmp @r1
add #-2,r6
fdl1455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1455: .long execexit
! Opcode 26BC
M6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1456
mov.l execexit_ptr1456,r1
jmp @r1
add #-2,r6
fdl1456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1456: .long execexit
! Opcodes 26C0 - 26C7
M6C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1457
mov.l execexit_ptr1457,r1
jmp @r1
add #-2,r6
fdl1457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1457: .long execexit
! Opcodes 26C8 - 26CF
M6C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1458
mov.l execexit_ptr1458,r1
jmp @r1
add #-2,r6
fdl1458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1458: .long execexit
! Opcodes 26D0 - 26D7
M6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1459
mov.l execexit_ptr1459,r1
jmp @r1
add #-2,r6
fdl1459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1459: .long execexit
! Opcodes 26D8 - 26DF
M6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1460
mov.l execexit_ptr1460,r1
jmp @r1
add #-2,r6
fdl1460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1460: .long execexit
! Opcodes 26E0 - 26E7
M6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1461
mov.l execexit_ptr1461,r1
jmp @r1
add #-2,r6
fdl1461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1461: .long execexit
! Opcodes 26E8 - 26EF
M6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1462
mov.l execexit_ptr1462,r1
jmp @r1
add #-2,r6
fdl1462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1462: .long execexit
! Opcodes 26F0 - 26F7
M6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd347
exts.w r0,r0
longwd347:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1463
mov.l execexit_ptr1463,r1
jmp @r1
add #-2,r6
fdl1463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1463: .long execexit
! Opcode 26F8
M6F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1464
mov.l execexit_ptr1464,r1
jmp @r1
add #-2,r6
fdl1464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1464: .long execexit
! Opcode 26F9
M6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1465
mov.l execexit_ptr1465,r1
jmp @r1
add #-2,r6
fdl1465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1465: .long execexit
! Opcode 26FA
M6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1466
mov.l execexit_ptr1466,r1
jmp @r1
add #-2,r6
fdl1466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1466: .long execexit
! Opcode 26FB
M6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd348
exts.w r0,r0
longwd348:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1467
mov.l execexit_ptr1467,r1
jmp @r1
add #-2,r6
fdl1467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1467: .long execexit
! Opcode 26FC
M6FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1468
mov.l execexit_ptr1468,r1
jmp @r1
add #-2,r6
fdl1468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1468: .long execexit
! Opcodes 2700 - 2707
M700:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1469
mov.l execexit_ptr1469,r1
jmp @r1
add #-2,r6
fdl1469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1469: .long execexit
! Opcodes 2708 - 270F
M708:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1470
mov.l execexit_ptr1470,r1
jmp @r1
add #-2,r6
fdl1470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1470: .long execexit
! Opcodes 2710 - 2717
M710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1471
mov.l execexit_ptr1471,r1
jmp @r1
add #-2,r6
fdl1471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1471: .long execexit
! Opcodes 2718 - 271F
M718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1472
mov.l execexit_ptr1472,r1
jmp @r1
add #-2,r6
fdl1472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1472: .long execexit
! Opcodes 2720 - 2727
M720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1473
mov.l execexit_ptr1473,r1
jmp @r1
add #-2,r6
fdl1473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1473: .long execexit
! Opcodes 2728 - 272F
M728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1474
mov.l execexit_ptr1474,r1
jmp @r1
add #-2,r6
fdl1474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1474: .long execexit
! Opcodes 2730 - 2737
M730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd349
exts.w r0,r0
longwd349:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1475
mov.l execexit_ptr1475,r1
jmp @r1
add #-2,r6
fdl1475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1475: .long execexit
! Opcode 2738
M738:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1476
mov.l execexit_ptr1476,r1
jmp @r1
add #-2,r6
fdl1476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1476: .long execexit
! Opcode 2739
M739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1477
mov.l execexit_ptr1477,r1
jmp @r1
add #-2,r6
fdl1477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1477: .long execexit
! Opcode 273A
M73A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1478
mov.l execexit_ptr1478,r1
jmp @r1
add #-2,r6
fdl1478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1478: .long execexit
! Opcode 273B
M73B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd350
exts.w r0,r0
longwd350:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1479
mov.l execexit_ptr1479,r1
jmp @r1
add #-2,r6
fdl1479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1479: .long execexit
! Opcode 273C
M73C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1480
mov.l execexit_ptr1480,r1
jmp @r1
add #-2,r6
fdl1480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1480: .long execexit
! Opcodes 2740 - 2747
M740:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1481
mov.l execexit_ptr1481,r1
jmp @r1
add #-2,r6
fdl1481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1481: .long execexit
! Opcodes 2748 - 274F
M748:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1482
mov.l execexit_ptr1482,r1
jmp @r1
add #-2,r6
fdl1482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1482: .long execexit
! Opcodes 2750 - 2757
M750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1483
mov.l execexit_ptr1483,r1
jmp @r1
add #-2,r6
fdl1483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1483: .long execexit
! Opcodes 2758 - 275F
M758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1484
mov.l execexit_ptr1484,r1
jmp @r1
add #-2,r6
fdl1484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1484: .long execexit
! Opcodes 2760 - 2767
M760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1485
mov.l execexit_ptr1485,r1
jmp @r1
add #-2,r6
fdl1485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1485: .long execexit
! Opcodes 2768 - 276F
M768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1486
mov.l execexit_ptr1486,r1
jmp @r1
add #-2,r6
fdl1486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1486: .long execexit
! Opcodes 2770 - 2777
M770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd351
exts.w r0,r0
longwd351:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1487
mov.l execexit_ptr1487,r1
jmp @r1
add #-2,r6
fdl1487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1487: .long execexit
! Opcode 2778
M778:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1488
mov.l execexit_ptr1488,r1
jmp @r1
add #-2,r6
fdl1488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1488: .long execexit
! Opcode 2779
M779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1489
mov.l execexit_ptr1489,r1
jmp @r1
add #-2,r6
fdl1489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1489: .long execexit
! Opcode 277A
M77A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1490
mov.l execexit_ptr1490,r1
jmp @r1
add #-2,r6
fdl1490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1490: .long execexit
! Opcode 277B
M77B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd352
exts.w r0,r0
longwd352:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1491
mov.l execexit_ptr1491,r1
jmp @r1
add #-2,r6
fdl1491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1491: .long execexit
! Opcode 277C
M77C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1492
mov.l execexit_ptr1492,r1
jmp @r1
add #-2,r6
fdl1492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1492: .long execexit
! Opcodes 2780 - 2787
M780:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd353
exts.w r0,r0
longwd353:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1493
mov.l execexit_ptr1493,r1
jmp @r1
add #-2,r6
fdl1493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1493: .long execexit
! Opcodes 2788 - 278F
M788:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd354
exts.w r0,r0
longwd354:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1494
mov.l execexit_ptr1494,r1
jmp @r1
add #-2,r6
fdl1494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1494: .long execexit
! Opcodes 2790 - 2797
M790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd355
exts.w r0,r0
longwd355:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1495
mov.l execexit_ptr1495,r1
jmp @r1
add #-2,r6
fdl1495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1495: .long execexit
! Opcodes 2798 - 279F
M798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd356
exts.w r0,r0
longwd356:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1496
mov.l execexit_ptr1496,r1
jmp @r1
add #-2,r6
fdl1496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1496: .long execexit
! Opcodes 27A0 - 27A7
M7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd357
exts.w r0,r0
longwd357:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1497
mov.l execexit_ptr1497,r1
jmp @r1
add #-2,r6
fdl1497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1497: .long execexit
! Opcodes 27A8 - 27AF
M7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd358
exts.w r0,r0
longwd358:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1498
mov.l execexit_ptr1498,r1
jmp @r1
add #-2,r6
fdl1498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1498: .long execexit
! Opcodes 27B0 - 27B7
M7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd359
exts.w r0,r0
longwd359:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd360
exts.w r0,r0
longwd360:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1499
mov.l execexit_ptr1499,r1
jmp @r1
add #-2,r6
fdl1499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1499: .long execexit
! Opcode 27B8
M7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd361
exts.w r0,r0
longwd361:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1500
mov.l execexit_ptr1500,r1
jmp @r1
add #-2,r6
fdl1500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1500: .long execexit
! Opcode 27B9
M7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd362
exts.w r0,r0
longwd362:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1501
mov.l execexit_ptr1501,r1
jmp @r1
add #-2,r6
fdl1501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1501: .long execexit
! Opcode 27BA
M7BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd363
exts.w r0,r0
longwd363:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1502
mov.l execexit_ptr1502,r1
jmp @r1
add #-2,r6
fdl1502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1502: .long execexit
! Opcode 27BB
M7BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd364
exts.w r0,r0
longwd364:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd365
exts.w r0,r0
longwd365:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1503
mov.l execexit_ptr1503,r1
jmp @r1
add #-2,r6
fdl1503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1503: .long execexit
! Opcode 27BC
M7BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd366
exts.w r0,r0
longwd366:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1504
mov.l execexit_ptr1504,r1
jmp @r1
add #-2,r6
fdl1504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1504: .long execexit
! Opcodes 2800 - 2807
M800:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1505
mov.l execexit_ptr1505,r1
jmp @r1
add #-2,r6
fdl1505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1505: .long execexit
! Opcodes 2808 - 280F
M808:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1506
mov.l execexit_ptr1506,r1
jmp @r1
add #-2,r6
fdl1506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1506: .long execexit
! Opcodes 2810 - 2817
M810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1507
mov.l execexit_ptr1507,r1
jmp @r1
add #-2,r6
fdl1507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1507: .long execexit
! Opcodes 2818 - 281F
M818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1508
mov.l execexit_ptr1508,r1
jmp @r1
add #-2,r6
fdl1508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1508: .long execexit
! Opcodes 2820 - 2827
M820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1509
mov.l execexit_ptr1509,r1
jmp @r1
add #-2,r6
fdl1509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1509: .long execexit
! Opcodes 2828 - 282F
M828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1510
mov.l execexit_ptr1510,r1
jmp @r1
add #-2,r6
fdl1510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1510: .long execexit
! Opcodes 2830 - 2837
M830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd367
exts.w r0,r0
longwd367:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1511
mov.l execexit_ptr1511,r1
jmp @r1
add #-2,r6
fdl1511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1511: .long execexit
! Opcode 2838
M838:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1512
mov.l execexit_ptr1512,r1
jmp @r1
add #-2,r6
fdl1512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1512: .long execexit
! Opcode 2839
M839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1513
mov.l execexit_ptr1513,r1
jmp @r1
add #-2,r6
fdl1513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1513: .long execexit
! Opcode 283A
M83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1514
mov.l execexit_ptr1514,r1
jmp @r1
add #-2,r6
fdl1514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1514: .long execexit
! Opcode 283B
M83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd368
exts.w r0,r0
longwd368:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1515
mov.l execexit_ptr1515,r1
jmp @r1
add #-2,r6
fdl1515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1515: .long execexit
! Opcode 283C
M83C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1516
mov.l execexit_ptr1516,r1
jmp @r1
add #-2,r6
fdl1516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1516: .long execexit
! Opcodes 2840 - 2847
M840:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1517
mov.l execexit_ptr1517,r1
jmp @r1
add #-2,r6
fdl1517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1517: .long execexit
! Opcodes 2848 - 284F
M848:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1518
mov.l execexit_ptr1518,r1
jmp @r1
add #-2,r6
fdl1518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1518: .long execexit
! Opcodes 2850 - 2857
M850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1519
mov.l execexit_ptr1519,r1
jmp @r1
add #-2,r6
fdl1519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1519: .long execexit
! Opcodes 2858 - 285F
M858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1520
mov.l execexit_ptr1520,r1
jmp @r1
add #-2,r6
fdl1520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1520: .long execexit
! Opcodes 2860 - 2867
M860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1521
mov.l execexit_ptr1521,r1
jmp @r1
add #-2,r6
fdl1521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1521: .long execexit
! Opcodes 2868 - 286F
M868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1522
mov.l execexit_ptr1522,r1
jmp @r1
add #-2,r6
fdl1522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1522: .long execexit
! Opcodes 2870 - 2877
M870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd369
exts.w r0,r0
longwd369:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1523
mov.l execexit_ptr1523,r1
jmp @r1
add #-2,r6
fdl1523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1523: .long execexit
! Opcode 2878
M878:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1524
mov.l execexit_ptr1524,r1
jmp @r1
add #-2,r6
fdl1524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1524: .long execexit
! Opcode 2879
M879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1525
mov.l execexit_ptr1525,r1
jmp @r1
add #-2,r6
fdl1525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1525: .long execexit
! Opcode 287A
M87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1526
mov.l execexit_ptr1526,r1
jmp @r1
add #-2,r6
fdl1526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1526: .long execexit
! Opcode 287B
M87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd370
exts.w r0,r0
longwd370:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1527
mov.l execexit_ptr1527,r1
jmp @r1
add #-2,r6
fdl1527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1527: .long execexit
! Opcode 287C
M87C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1528
mov.l execexit_ptr1528,r1
jmp @r1
add #-2,r6
fdl1528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1528: .long execexit
! Opcodes 2880 - 2887
M880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1529
mov.l execexit_ptr1529,r1
jmp @r1
add #-2,r6
fdl1529:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1529: .long execexit
! Opcodes 2888 - 288F
M888:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1530
mov.l execexit_ptr1530,r1
jmp @r1
add #-2,r6
fdl1530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1530: .long execexit
! Opcodes 2890 - 2897
M890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1531
mov.l execexit_ptr1531,r1
jmp @r1
add #-2,r6
fdl1531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1531: .long execexit
! Opcodes 2898 - 289F
M898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1532
mov.l execexit_ptr1532,r1
jmp @r1
add #-2,r6
fdl1532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1532: .long execexit
! Opcodes 28A0 - 28A7
M8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1533
mov.l execexit_ptr1533,r1
jmp @r1
add #-2,r6
fdl1533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1533: .long execexit
! Opcodes 28A8 - 28AF
M8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1534
mov.l execexit_ptr1534,r1
jmp @r1
add #-2,r6
fdl1534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1534: .long execexit
! Opcodes 28B0 - 28B7
M8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd371
exts.w r0,r0
longwd371:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1535
mov.l execexit_ptr1535,r1
jmp @r1
add #-2,r6
fdl1535:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1535: .long execexit
! Opcode 28B8
M8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1536
mov.l execexit_ptr1536,r1
jmp @r1
add #-2,r6
fdl1536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1536: .long execexit
! Opcode 28B9
M8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1537
mov.l execexit_ptr1537,r1
jmp @r1
add #-2,r6
fdl1537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1537: .long execexit
! Opcode 28BA
M8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1538
mov.l execexit_ptr1538,r1
jmp @r1
add #-2,r6
fdl1538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1538: .long execexit
! Opcode 28BB
M8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd372
exts.w r0,r0
longwd372:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1539
mov.l execexit_ptr1539,r1
jmp @r1
add #-2,r6
fdl1539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1539: .long execexit
! Opcode 28BC
M8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1540
mov.l execexit_ptr1540,r1
jmp @r1
add #-2,r6
fdl1540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1540: .long execexit
! Opcodes 28C0 - 28C7
M8C0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1541
mov.l execexit_ptr1541,r1
jmp @r1
add #-2,r6
fdl1541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1541: .long execexit
! Opcodes 28C8 - 28CF
M8C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1542
mov.l execexit_ptr1542,r1
jmp @r1
add #-2,r6
fdl1542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1542: .long execexit
! Opcodes 28D0 - 28D7
M8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1543
mov.l execexit_ptr1543,r1
jmp @r1
add #-2,r6
fdl1543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1543: .long execexit
! Opcodes 28D8 - 28DF
M8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1544
mov.l execexit_ptr1544,r1
jmp @r1
add #-2,r6
fdl1544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1544: .long execexit
! Opcodes 28E0 - 28E7
M8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1545
mov.l execexit_ptr1545,r1
jmp @r1
add #-2,r6
fdl1545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1545: .long execexit
! Opcodes 28E8 - 28EF
M8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1546
mov.l execexit_ptr1546,r1
jmp @r1
add #-2,r6
fdl1546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1546: .long execexit
! Opcodes 28F0 - 28F7
M8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd373
exts.w r0,r0
longwd373:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1547
mov.l execexit_ptr1547,r1
jmp @r1
add #-2,r6
fdl1547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1547: .long execexit
! Opcode 28F8
M8F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1548
mov.l execexit_ptr1548,r1
jmp @r1
add #-2,r6
fdl1548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1548: .long execexit
! Opcode 28F9
M8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1549
mov.l execexit_ptr1549,r1
jmp @r1
add #-2,r6
fdl1549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1549: .long execexit
! Opcode 28FA
M8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1550
mov.l execexit_ptr1550,r1
jmp @r1
add #-2,r6
fdl1550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1550: .long execexit
! Opcode 28FB
M8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd374
exts.w r0,r0
longwd374:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1551
mov.l execexit_ptr1551,r1
jmp @r1
add #-2,r6
fdl1551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1551: .long execexit
! Opcode 28FC
M8FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1552
mov.l execexit_ptr1552,r1
jmp @r1
add #-2,r6
fdl1552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1552: .long execexit
! Opcodes 2900 - 2907
M900:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1553
mov.l execexit_ptr1553,r1
jmp @r1
add #-2,r6
fdl1553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1553: .long execexit
! Opcodes 2908 - 290F
M908:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1554
mov.l execexit_ptr1554,r1
jmp @r1
add #-2,r6
fdl1554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1554: .long execexit
! Opcodes 2910 - 2917
M910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1555
mov.l execexit_ptr1555,r1
jmp @r1
add #-2,r6
fdl1555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1555: .long execexit
! Opcodes 2918 - 291F
M918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1556
mov.l execexit_ptr1556,r1
jmp @r1
add #-2,r6
fdl1556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1556: .long execexit
! Opcodes 2920 - 2927
M920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1557
mov.l execexit_ptr1557,r1
jmp @r1
add #-2,r6
fdl1557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1557: .long execexit
! Opcodes 2928 - 292F
M928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1558
mov.l execexit_ptr1558,r1
jmp @r1
add #-2,r6
fdl1558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1558: .long execexit
! Opcodes 2930 - 2937
M930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd375
exts.w r0,r0
longwd375:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1559
mov.l execexit_ptr1559,r1
jmp @r1
add #-2,r6
fdl1559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1559: .long execexit
! Opcode 2938
M938:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1560
mov.l execexit_ptr1560,r1
jmp @r1
add #-2,r6
fdl1560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1560: .long execexit
! Opcode 2939
M939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1561
mov.l execexit_ptr1561,r1
jmp @r1
add #-2,r6
fdl1561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1561: .long execexit
! Opcode 293A
M93A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1562
mov.l execexit_ptr1562,r1
jmp @r1
add #-2,r6
fdl1562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1562: .long execexit
! Opcode 293B
M93B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd376
exts.w r0,r0
longwd376:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1563
mov.l execexit_ptr1563,r1
jmp @r1
add #-2,r6
fdl1563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1563: .long execexit
! Opcode 293C
M93C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1564
mov.l execexit_ptr1564,r1
jmp @r1
add #-2,r6
fdl1564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1564: .long execexit
! Opcodes 2940 - 2947
M940:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1565
mov.l execexit_ptr1565,r1
jmp @r1
add #-2,r6
fdl1565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1565: .long execexit
! Opcodes 2948 - 294F
M948:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1566
mov.l execexit_ptr1566,r1
jmp @r1
add #-2,r6
fdl1566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1566: .long execexit
! Opcodes 2950 - 2957
M950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1567
mov.l execexit_ptr1567,r1
jmp @r1
add #-2,r6
fdl1567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1567: .long execexit
! Opcodes 2958 - 295F
M958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1568
mov.l execexit_ptr1568,r1
jmp @r1
add #-2,r6
fdl1568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1568: .long execexit
! Opcodes 2960 - 2967
M960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1569
mov.l execexit_ptr1569,r1
jmp @r1
add #-2,r6
fdl1569:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1569: .long execexit
! Opcodes 2968 - 296F
M968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1570
mov.l execexit_ptr1570,r1
jmp @r1
add #-2,r6
fdl1570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1570: .long execexit
! Opcodes 2970 - 2977
M970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd377
exts.w r0,r0
longwd377:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1571
mov.l execexit_ptr1571,r1
jmp @r1
add #-2,r6
fdl1571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1571: .long execexit
! Opcode 2978
M978:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1572
mov.l execexit_ptr1572,r1
jmp @r1
add #-2,r6
fdl1572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1572: .long execexit
! Opcode 2979
M979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1573
mov.l execexit_ptr1573,r1
jmp @r1
add #-2,r6
fdl1573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1573: .long execexit
! Opcode 297A
M97A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1574
mov.l execexit_ptr1574,r1
jmp @r1
add #-2,r6
fdl1574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1574: .long execexit
! Opcode 297B
M97B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd378
exts.w r0,r0
longwd378:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1575
mov.l execexit_ptr1575,r1
jmp @r1
add #-2,r6
fdl1575:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1575: .long execexit
! Opcode 297C
M97C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1576
mov.l execexit_ptr1576,r1
jmp @r1
add #-2,r6
fdl1576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1576: .long execexit
! Opcodes 2980 - 2987
M980:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd379
exts.w r0,r0
longwd379:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1577
mov.l execexit_ptr1577,r1
jmp @r1
add #-2,r6
fdl1577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1577: .long execexit
! Opcodes 2988 - 298F
M988:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd380
exts.w r0,r0
longwd380:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1578
mov.l execexit_ptr1578,r1
jmp @r1
add #-2,r6
fdl1578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1578: .long execexit
! Opcodes 2990 - 2997
M990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd381
exts.w r0,r0
longwd381:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1579
mov.l execexit_ptr1579,r1
jmp @r1
add #-2,r6
fdl1579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1579: .long execexit
! Opcodes 2998 - 299F
M998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd382
exts.w r0,r0
longwd382:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1580
mov.l execexit_ptr1580,r1
jmp @r1
add #-2,r6
fdl1580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1580: .long execexit
! Opcodes 29A0 - 29A7
M9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd383
exts.w r0,r0
longwd383:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1581
mov.l execexit_ptr1581,r1
jmp @r1
add #-2,r6
fdl1581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1581: .long execexit
! Opcodes 29A8 - 29AF
M9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd384
exts.w r0,r0
longwd384:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1582
mov.l execexit_ptr1582,r1
jmp @r1
add #-2,r6
fdl1582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1582: .long execexit
! Opcodes 29B0 - 29B7
M9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd385
exts.w r0,r0
longwd385:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd386
exts.w r0,r0
longwd386:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1583
mov.l execexit_ptr1583,r1
jmp @r1
add #-2,r6
fdl1583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1583: .long execexit
! Opcode 29B8
M9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd387
exts.w r0,r0
longwd387:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1584
mov.l execexit_ptr1584,r1
jmp @r1
add #-2,r6
fdl1584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1584: .long execexit
! Opcode 29B9
M9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd388
exts.w r0,r0
longwd388:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1585
mov.l execexit_ptr1585,r1
jmp @r1
add #-2,r6
fdl1585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1585: .long execexit
! Opcode 29BA
M9BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd389
exts.w r0,r0
longwd389:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1586
mov.l execexit_ptr1586,r1
jmp @r1
add #-2,r6
fdl1586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1586: .long execexit
! Opcode 29BB
M9BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd390
exts.w r0,r0
longwd390:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd391
exts.w r0,r0
longwd391:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1587
mov.l execexit_ptr1587,r1
jmp @r1
add #-2,r6
fdl1587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1587: .long execexit
! Opcode 29BC
M9BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd392
exts.w r0,r0
longwd392:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1588
mov.l execexit_ptr1588,r1
jmp @r1
add #-2,r6
fdl1588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1588: .long execexit
! Opcodes 2A00 - 2A07
MA00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1589
mov.l execexit_ptr1589,r1
jmp @r1
add #-2,r6
fdl1589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1589: .long execexit
! Opcodes 2A08 - 2A0F
MA08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1590
mov.l execexit_ptr1590,r1
jmp @r1
add #-2,r6
fdl1590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1590: .long execexit
! Opcodes 2A10 - 2A17
MA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1591
mov.l execexit_ptr1591,r1
jmp @r1
add #-2,r6
fdl1591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1591: .long execexit
! Opcodes 2A18 - 2A1F
MA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1592
mov.l execexit_ptr1592,r1
jmp @r1
add #-2,r6
fdl1592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1592: .long execexit
! Opcodes 2A20 - 2A27
MA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1593
mov.l execexit_ptr1593,r1
jmp @r1
add #-2,r6
fdl1593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1593: .long execexit
! Opcodes 2A28 - 2A2F
MA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1594
mov.l execexit_ptr1594,r1
jmp @r1
add #-2,r6
fdl1594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1594: .long execexit
! Opcodes 2A30 - 2A37
MA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd393
exts.w r0,r0
longwd393:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1595
mov.l execexit_ptr1595,r1
jmp @r1
add #-2,r6
fdl1595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1595: .long execexit
! Opcode 2A38
MA38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1596
mov.l execexit_ptr1596,r1
jmp @r1
add #-2,r6
fdl1596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1596: .long execexit
! Opcode 2A39
MA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1597
mov.l execexit_ptr1597,r1
jmp @r1
add #-2,r6
fdl1597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1597: .long execexit
! Opcode 2A3A
MA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1598
mov.l execexit_ptr1598,r1
jmp @r1
add #-2,r6
fdl1598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1598: .long execexit
! Opcode 2A3B
MA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd394
exts.w r0,r0
longwd394:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1599
mov.l execexit_ptr1599,r1
jmp @r1
add #-2,r6
fdl1599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1599: .long execexit
! Opcode 2A3C
MA3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1600
mov.l execexit_ptr1600,r1
jmp @r1
add #-2,r6
fdl1600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1600: .long execexit
! Opcodes 2A40 - 2A47
MA40:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1601
mov.l execexit_ptr1601,r1
jmp @r1
add #-2,r6
fdl1601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1601: .long execexit
! Opcodes 2A48 - 2A4F
MA48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1602
mov.l execexit_ptr1602,r1
jmp @r1
add #-2,r6
fdl1602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1602: .long execexit
! Opcodes 2A50 - 2A57
MA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1603
mov.l execexit_ptr1603,r1
jmp @r1
add #-2,r6
fdl1603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1603: .long execexit
! Opcodes 2A58 - 2A5F
MA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1604
mov.l execexit_ptr1604,r1
jmp @r1
add #-2,r6
fdl1604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1604: .long execexit
! Opcodes 2A60 - 2A67
MA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1605
mov.l execexit_ptr1605,r1
jmp @r1
add #-2,r6
fdl1605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1605: .long execexit
! Opcodes 2A68 - 2A6F
MA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1606
mov.l execexit_ptr1606,r1
jmp @r1
add #-2,r6
fdl1606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1606: .long execexit
! Opcodes 2A70 - 2A77
MA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd395
exts.w r0,r0
longwd395:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1607
mov.l execexit_ptr1607,r1
jmp @r1
add #-2,r6
fdl1607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1607: .long execexit
! Opcode 2A78
MA78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1608
mov.l execexit_ptr1608,r1
jmp @r1
add #-2,r6
fdl1608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1608: .long execexit
! Opcode 2A79
MA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1609
mov.l execexit_ptr1609,r1
jmp @r1
add #-2,r6
fdl1609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1609: .long execexit
! Opcode 2A7A
MA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1610
mov.l execexit_ptr1610,r1
jmp @r1
add #-2,r6
fdl1610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1610: .long execexit
! Opcode 2A7B
MA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd396
exts.w r0,r0
longwd396:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1611
mov.l execexit_ptr1611,r1
jmp @r1
add #-2,r6
fdl1611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1611: .long execexit
! Opcode 2A7C
MA7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1612
mov.l execexit_ptr1612,r1
jmp @r1
add #-2,r6
fdl1612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1612: .long execexit
! Opcodes 2A80 - 2A87
MA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1613
mov.l execexit_ptr1613,r1
jmp @r1
add #-2,r6
fdl1613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1613: .long execexit
! Opcodes 2A88 - 2A8F
MA88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1614
mov.l execexit_ptr1614,r1
jmp @r1
add #-2,r6
fdl1614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1614: .long execexit
! Opcodes 2A90 - 2A97
MA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1615
mov.l execexit_ptr1615,r1
jmp @r1
add #-2,r6
fdl1615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1615: .long execexit
! Opcodes 2A98 - 2A9F
MA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1616
mov.l execexit_ptr1616,r1
jmp @r1
add #-2,r6
fdl1616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1616: .long execexit
! Opcodes 2AA0 - 2AA7
MAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1617
mov.l execexit_ptr1617,r1
jmp @r1
add #-2,r6
fdl1617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1617: .long execexit
! Opcodes 2AA8 - 2AAF
MAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1618
mov.l execexit_ptr1618,r1
jmp @r1
add #-2,r6
fdl1618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1618: .long execexit
! Opcodes 2AB0 - 2AB7
MAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd397
exts.w r0,r0
longwd397:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1619
mov.l execexit_ptr1619,r1
jmp @r1
add #-2,r6
fdl1619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1619: .long execexit
! Opcode 2AB8
MAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1620
mov.l execexit_ptr1620,r1
jmp @r1
add #-2,r6
fdl1620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1620: .long execexit
! Opcode 2AB9
MAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1621
mov.l execexit_ptr1621,r1
jmp @r1
add #-2,r6
fdl1621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1621: .long execexit
! Opcode 2ABA
MABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1622
mov.l execexit_ptr1622,r1
jmp @r1
add #-2,r6
fdl1622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1622: .long execexit
! Opcode 2ABB
MABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd398
exts.w r0,r0
longwd398:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1623
mov.l execexit_ptr1623,r1
jmp @r1
add #-2,r6
fdl1623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1623: .long execexit
! Opcode 2ABC
MABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1624
mov.l execexit_ptr1624,r1
jmp @r1
add #-2,r6
fdl1624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1624: .long execexit
! Opcodes 2AC0 - 2AC7
MAC0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1625
mov.l execexit_ptr1625,r1
jmp @r1
add #-2,r6
fdl1625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1625: .long execexit
! Opcodes 2AC8 - 2ACF
MAC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1626
mov.l execexit_ptr1626,r1
jmp @r1
add #-2,r6
fdl1626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1626: .long execexit
! Opcodes 2AD0 - 2AD7
MAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1627
mov.l execexit_ptr1627,r1
jmp @r1
add #-2,r6
fdl1627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1627: .long execexit
! Opcodes 2AD8 - 2ADF
MAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1628
mov.l execexit_ptr1628,r1
jmp @r1
add #-2,r6
fdl1628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1628: .long execexit
! Opcodes 2AE0 - 2AE7
MAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1629
mov.l execexit_ptr1629,r1
jmp @r1
add #-2,r6
fdl1629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1629: .long execexit
! Opcodes 2AE8 - 2AEF
MAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1630
mov.l execexit_ptr1630,r1
jmp @r1
add #-2,r6
fdl1630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1630: .long execexit
! Opcodes 2AF0 - 2AF7
MAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd399
exts.w r0,r0
longwd399:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1631
mov.l execexit_ptr1631,r1
jmp @r1
add #-2,r6
fdl1631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1631: .long execexit
! Opcode 2AF8
MAF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1632
mov.l execexit_ptr1632,r1
jmp @r1
add #-2,r6
fdl1632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1632: .long execexit
! Opcode 2AF9
MAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1633
mov.l execexit_ptr1633,r1
jmp @r1
add #-2,r6
fdl1633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1633: .long execexit
! Opcode 2AFA
MAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1634
mov.l execexit_ptr1634,r1
jmp @r1
add #-2,r6
fdl1634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1634: .long execexit
! Opcode 2AFB
MAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd400
exts.w r0,r0
longwd400:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1635
mov.l execexit_ptr1635,r1
jmp @r1
add #-2,r6
fdl1635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1635: .long execexit
! Opcode 2AFC
MAFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1636
mov.l execexit_ptr1636,r1
jmp @r1
add #-2,r6
fdl1636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1636: .long execexit
! Opcodes 2B00 - 2B07
MB00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1637
mov.l execexit_ptr1637,r1
jmp @r1
add #-2,r6
fdl1637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1637: .long execexit
! Opcodes 2B08 - 2B0F
MB08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1638
mov.l execexit_ptr1638,r1
jmp @r1
add #-2,r6
fdl1638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1638: .long execexit
! Opcodes 2B10 - 2B17
MB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1639
mov.l execexit_ptr1639,r1
jmp @r1
add #-2,r6
fdl1639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1639: .long execexit
! Opcodes 2B18 - 2B1F
MB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1640
mov.l execexit_ptr1640,r1
jmp @r1
add #-2,r6
fdl1640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1640: .long execexit
! Opcodes 2B20 - 2B27
MB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1641
mov.l execexit_ptr1641,r1
jmp @r1
add #-2,r6
fdl1641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1641: .long execexit
! Opcodes 2B28 - 2B2F
MB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1642
mov.l execexit_ptr1642,r1
jmp @r1
add #-2,r6
fdl1642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1642: .long execexit
! Opcodes 2B30 - 2B37
MB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd401
exts.w r0,r0
longwd401:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1643
mov.l execexit_ptr1643,r1
jmp @r1
add #-2,r6
fdl1643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1643: .long execexit
! Opcode 2B38
MB38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1644
mov.l execexit_ptr1644,r1
jmp @r1
add #-2,r6
fdl1644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1644: .long execexit
! Opcode 2B39
MB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1645
mov.l execexit_ptr1645,r1
jmp @r1
add #-2,r6
fdl1645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1645: .long execexit
! Opcode 2B3A
MB3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1646
mov.l execexit_ptr1646,r1
jmp @r1
add #-2,r6
fdl1646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1646: .long execexit
! Opcode 2B3B
MB3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd402
exts.w r0,r0
longwd402:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1647
mov.l execexit_ptr1647,r1
jmp @r1
add #-2,r6
fdl1647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1647: .long execexit
! Opcode 2B3C
MB3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1648
mov.l execexit_ptr1648,r1
jmp @r1
add #-2,r6
fdl1648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1648: .long execexit
! Opcodes 2B40 - 2B47
MB40:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1649
mov.l execexit_ptr1649,r1
jmp @r1
add #-2,r6
fdl1649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1649: .long execexit
! Opcodes 2B48 - 2B4F
MB48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1650
mov.l execexit_ptr1650,r1
jmp @r1
add #-2,r6
fdl1650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1650: .long execexit
! Opcodes 2B50 - 2B57
MB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1651
mov.l execexit_ptr1651,r1
jmp @r1
add #-2,r6
fdl1651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1651: .long execexit
! Opcodes 2B58 - 2B5F
MB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1652
mov.l execexit_ptr1652,r1
jmp @r1
add #-2,r6
fdl1652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1652: .long execexit
! Opcodes 2B60 - 2B67
MB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1653
mov.l execexit_ptr1653,r1
jmp @r1
add #-2,r6
fdl1653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1653: .long execexit
! Opcodes 2B68 - 2B6F
MB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1654
mov.l execexit_ptr1654,r1
jmp @r1
add #-2,r6
fdl1654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1654: .long execexit
! Opcodes 2B70 - 2B77
MB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd403
exts.w r0,r0
longwd403:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1655
mov.l execexit_ptr1655,r1
jmp @r1
add #-2,r6
fdl1655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1655: .long execexit
! Opcode 2B78
MB78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1656
mov.l execexit_ptr1656,r1
jmp @r1
add #-2,r6
fdl1656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1656: .long execexit
! Opcode 2B79
MB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1657
mov.l execexit_ptr1657,r1
jmp @r1
add #-2,r6
fdl1657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1657: .long execexit
! Opcode 2B7A
MB7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1658
mov.l execexit_ptr1658,r1
jmp @r1
add #-2,r6
fdl1658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1658: .long execexit
! Opcode 2B7B
MB7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd404
exts.w r0,r0
longwd404:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1659
mov.l execexit_ptr1659,r1
jmp @r1
add #-2,r6
fdl1659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1659: .long execexit
! Opcode 2B7C
MB7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1660
mov.l execexit_ptr1660,r1
jmp @r1
add #-2,r6
fdl1660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1660: .long execexit
! Opcodes 2B80 - 2B87
MB80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd405
exts.w r0,r0
longwd405:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1661
mov.l execexit_ptr1661,r1
jmp @r1
add #-2,r6
fdl1661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1661: .long execexit
! Opcodes 2B88 - 2B8F
MB88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd406
exts.w r0,r0
longwd406:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1662
mov.l execexit_ptr1662,r1
jmp @r1
add #-2,r6
fdl1662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1662: .long execexit
! Opcodes 2B90 - 2B97
MB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd407
exts.w r0,r0
longwd407:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1663
mov.l execexit_ptr1663,r1
jmp @r1
add #-2,r6
fdl1663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1663: .long execexit
! Opcodes 2B98 - 2B9F
MB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd408
exts.w r0,r0
longwd408:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1664
mov.l execexit_ptr1664,r1
jmp @r1
add #-2,r6
fdl1664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1664: .long execexit
! Opcodes 2BA0 - 2BA7
MBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd409
exts.w r0,r0
longwd409:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1665
mov.l execexit_ptr1665,r1
jmp @r1
add #-2,r6
fdl1665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1665: .long execexit
! Opcodes 2BA8 - 2BAF
MBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd410
exts.w r0,r0
longwd410:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1666
mov.l execexit_ptr1666,r1
jmp @r1
add #-2,r6
fdl1666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1666: .long execexit
! Opcodes 2BB0 - 2BB7
MBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd411
exts.w r0,r0
longwd411:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd412
exts.w r0,r0
longwd412:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1667
mov.l execexit_ptr1667,r1
jmp @r1
add #-2,r6
fdl1667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1667: .long execexit
! Opcode 2BB8
MBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd413
exts.w r0,r0
longwd413:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1668
mov.l execexit_ptr1668,r1
jmp @r1
add #-2,r6
fdl1668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1668: .long execexit
! Opcode 2BB9
MBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd414
exts.w r0,r0
longwd414:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1669
mov.l execexit_ptr1669,r1
jmp @r1
add #-2,r6
fdl1669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1669: .long execexit
! Opcode 2BBA
MBBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd415
exts.w r0,r0
longwd415:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1670
mov.l execexit_ptr1670,r1
jmp @r1
add #-2,r6
fdl1670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1670: .long execexit
! Opcode 2BBB
MBBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd416
exts.w r0,r0
longwd416:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd417
exts.w r0,r0
longwd417:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1671
mov.l execexit_ptr1671,r1
jmp @r1
add #-2,r6
fdl1671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1671: .long execexit
! Opcode 2BBC
MBBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd418
exts.w r0,r0
longwd418:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1672
mov.l execexit_ptr1672,r1
jmp @r1
add #-2,r6
fdl1672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1672: .long execexit
! Opcodes 2C00 - 2C07
MC00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1673
mov.l execexit_ptr1673,r1
jmp @r1
add #-2,r6
fdl1673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1673: .long execexit
! Opcodes 2C08 - 2C0F
MC08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1674
mov.l execexit_ptr1674,r1
jmp @r1
add #-2,r6
fdl1674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1674: .long execexit
! Opcodes 2C10 - 2C17
MC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1675
mov.l execexit_ptr1675,r1
jmp @r1
add #-2,r6
fdl1675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1675: .long execexit
! Opcodes 2C18 - 2C1F
MC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1676
mov.l execexit_ptr1676,r1
jmp @r1
add #-2,r6
fdl1676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1676: .long execexit
! Opcodes 2C20 - 2C27
MC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1677
mov.l execexit_ptr1677,r1
jmp @r1
add #-2,r6
fdl1677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1677: .long execexit
! Opcodes 2C28 - 2C2F
MC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1678
mov.l execexit_ptr1678,r1
jmp @r1
add #-2,r6
fdl1678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1678: .long execexit
! Opcodes 2C30 - 2C37
MC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd419
exts.w r0,r0
longwd419:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1679
mov.l execexit_ptr1679,r1
jmp @r1
add #-2,r6
fdl1679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1679: .long execexit
! Opcode 2C38
MC38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1680
mov.l execexit_ptr1680,r1
jmp @r1
add #-2,r6
fdl1680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1680: .long execexit
! Opcode 2C39
MC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1681
mov.l execexit_ptr1681,r1
jmp @r1
add #-2,r6
fdl1681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1681: .long execexit
! Opcode 2C3A
MC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1682
mov.l execexit_ptr1682,r1
jmp @r1
add #-2,r6
fdl1682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1682: .long execexit
! Opcode 2C3B
MC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd420
exts.w r0,r0
longwd420:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1683
mov.l execexit_ptr1683,r1
jmp @r1
add #-2,r6
fdl1683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1683: .long execexit
! Opcode 2C3C
MC3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1684
mov.l execexit_ptr1684,r1
jmp @r1
add #-2,r6
fdl1684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1684: .long execexit
! Opcodes 2C40 - 2C47
MC40:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1685
mov.l execexit_ptr1685,r1
jmp @r1
add #-2,r6
fdl1685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1685: .long execexit
! Opcodes 2C48 - 2C4F
MC48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1686
mov.l execexit_ptr1686,r1
jmp @r1
add #-2,r6
fdl1686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1686: .long execexit
! Opcodes 2C50 - 2C57
MC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1687
mov.l execexit_ptr1687,r1
jmp @r1
add #-2,r6
fdl1687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1687: .long execexit
! Opcodes 2C58 - 2C5F
MC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1688
mov.l execexit_ptr1688,r1
jmp @r1
add #-2,r6
fdl1688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1688: .long execexit
! Opcodes 2C60 - 2C67
MC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1689
mov.l execexit_ptr1689,r1
jmp @r1
add #-2,r6
fdl1689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1689: .long execexit
! Opcodes 2C68 - 2C6F
MC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1690
mov.l execexit_ptr1690,r1
jmp @r1
add #-2,r6
fdl1690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1690: .long execexit
! Opcodes 2C70 - 2C77
MC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd421
exts.w r0,r0
longwd421:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1691
mov.l execexit_ptr1691,r1
jmp @r1
add #-2,r6
fdl1691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1691: .long execexit
! Opcode 2C78
MC78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1692
mov.l execexit_ptr1692,r1
jmp @r1
add #-2,r6
fdl1692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1692: .long execexit
! Opcode 2C79
MC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1693
mov.l execexit_ptr1693,r1
jmp @r1
add #-2,r6
fdl1693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1693: .long execexit
! Opcode 2C7A
MC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1694
mov.l execexit_ptr1694,r1
jmp @r1
add #-2,r6
fdl1694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1694: .long execexit
! Opcode 2C7B
MC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd422
exts.w r0,r0
longwd422:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1695
mov.l execexit_ptr1695,r1
jmp @r1
add #-2,r6
fdl1695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1695: .long execexit
! Opcode 2C7C
MC7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1696
mov.l execexit_ptr1696,r1
jmp @r1
add #-2,r6
fdl1696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1696: .long execexit
! Opcodes 2C80 - 2C87
MC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1697
mov.l execexit_ptr1697,r1
jmp @r1
add #-2,r6
fdl1697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1697: .long execexit
! Opcodes 2C88 - 2C8F
MC88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1698
mov.l execexit_ptr1698,r1
jmp @r1
add #-2,r6
fdl1698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1698: .long execexit
! Opcodes 2C90 - 2C97
MC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1699
mov.l execexit_ptr1699,r1
jmp @r1
add #-2,r6
fdl1699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1699: .long execexit
! Opcodes 2C98 - 2C9F
MC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1700
mov.l execexit_ptr1700,r1
jmp @r1
add #-2,r6
fdl1700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1700: .long execexit
! Opcodes 2CA0 - 2CA7
MCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1701
mov.l execexit_ptr1701,r1
jmp @r1
add #-2,r6
fdl1701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1701: .long execexit
! Opcodes 2CA8 - 2CAF
MCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1702
mov.l execexit_ptr1702,r1
jmp @r1
add #-2,r6
fdl1702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1702: .long execexit
! Opcodes 2CB0 - 2CB7
MCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd423
exts.w r0,r0
longwd423:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1703
mov.l execexit_ptr1703,r1
jmp @r1
add #-2,r6
fdl1703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1703: .long execexit
! Opcode 2CB8
MCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1704
mov.l execexit_ptr1704,r1
jmp @r1
add #-2,r6
fdl1704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1704: .long execexit
! Opcode 2CB9
MCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1705
mov.l execexit_ptr1705,r1
jmp @r1
add #-2,r6
fdl1705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1705: .long execexit
! Opcode 2CBA
MCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1706
mov.l execexit_ptr1706,r1
jmp @r1
add #-2,r6
fdl1706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1706: .long execexit
! Opcode 2CBB
MCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd424
exts.w r0,r0
longwd424:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1707
mov.l execexit_ptr1707,r1
jmp @r1
add #-2,r6
fdl1707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1707: .long execexit
! Opcode 2CBC
MCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1708
mov.l execexit_ptr1708,r1
jmp @r1
add #-2,r6
fdl1708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1708: .long execexit
! Opcodes 2CC0 - 2CC7
MCC0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1709
mov.l execexit_ptr1709,r1
jmp @r1
add #-2,r6
fdl1709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1709: .long execexit
! Opcodes 2CC8 - 2CCF
MCC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1710
mov.l execexit_ptr1710,r1
jmp @r1
add #-2,r6
fdl1710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1710: .long execexit
! Opcodes 2CD0 - 2CD7
MCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1711
mov.l execexit_ptr1711,r1
jmp @r1
add #-2,r6
fdl1711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1711: .long execexit
! Opcodes 2CD8 - 2CDF
MCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1712
mov.l execexit_ptr1712,r1
jmp @r1
add #-2,r6
fdl1712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1712: .long execexit
! Opcodes 2CE0 - 2CE7
MCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1713
mov.l execexit_ptr1713,r1
jmp @r1
add #-2,r6
fdl1713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1713: .long execexit
! Opcodes 2CE8 - 2CEF
MCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1714
mov.l execexit_ptr1714,r1
jmp @r1
add #-2,r6
fdl1714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1714: .long execexit
! Opcodes 2CF0 - 2CF7
MCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd425
exts.w r0,r0
longwd425:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1715
mov.l execexit_ptr1715,r1
jmp @r1
add #-2,r6
fdl1715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1715: .long execexit
! Opcode 2CF8
MCF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1716
mov.l execexit_ptr1716,r1
jmp @r1
add #-2,r6
fdl1716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1716: .long execexit
! Opcode 2CF9
MCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1717
mov.l execexit_ptr1717,r1
jmp @r1
add #-2,r6
fdl1717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1717: .long execexit
! Opcode 2CFA
MCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1718
mov.l execexit_ptr1718,r1
jmp @r1
add #-2,r6
fdl1718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1718: .long execexit
! Opcode 2CFB
MCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd426
exts.w r0,r0
longwd426:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1719
mov.l execexit_ptr1719,r1
jmp @r1
add #-2,r6
fdl1719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1719: .long execexit
! Opcode 2CFC
MCFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1720
mov.l execexit_ptr1720,r1
jmp @r1
add #-2,r6
fdl1720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1720: .long execexit
! Opcodes 2D00 - 2D07
MD00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1721
mov.l execexit_ptr1721,r1
jmp @r1
add #-2,r6
fdl1721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1721: .long execexit
! Opcodes 2D08 - 2D0F
MD08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1722
mov.l execexit_ptr1722,r1
jmp @r1
add #-2,r6
fdl1722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1722: .long execexit
! Opcodes 2D10 - 2D17
MD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1723
mov.l execexit_ptr1723,r1
jmp @r1
add #-2,r6
fdl1723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1723: .long execexit
! Opcodes 2D18 - 2D1F
MD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1724
mov.l execexit_ptr1724,r1
jmp @r1
add #-2,r6
fdl1724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1724: .long execexit
! Opcodes 2D20 - 2D27
MD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1725
mov.l execexit_ptr1725,r1
jmp @r1
add #-2,r6
fdl1725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1725: .long execexit
! Opcodes 2D28 - 2D2F
MD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1726
mov.l execexit_ptr1726,r1
jmp @r1
add #-2,r6
fdl1726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1726: .long execexit
! Opcodes 2D30 - 2D37
MD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd427
exts.w r0,r0
longwd427:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1727
mov.l execexit_ptr1727,r1
jmp @r1
add #-2,r6
fdl1727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1727: .long execexit
! Opcode 2D38
MD38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1728
mov.l execexit_ptr1728,r1
jmp @r1
add #-2,r6
fdl1728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1728: .long execexit
! Opcode 2D39
MD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1729
mov.l execexit_ptr1729,r1
jmp @r1
add #-2,r6
fdl1729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1729: .long execexit
! Opcode 2D3A
MD3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1730
mov.l execexit_ptr1730,r1
jmp @r1
add #-2,r6
fdl1730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1730: .long execexit
! Opcode 2D3B
MD3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd428
exts.w r0,r0
longwd428:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1731
mov.l execexit_ptr1731,r1
jmp @r1
add #-2,r6
fdl1731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1731: .long execexit
! Opcode 2D3C
MD3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1732
mov.l execexit_ptr1732,r1
jmp @r1
add #-2,r6
fdl1732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1732: .long execexit
! Opcodes 2D40 - 2D47
MD40:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1733
mov.l execexit_ptr1733,r1
jmp @r1
add #-2,r6
fdl1733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1733: .long execexit
! Opcodes 2D48 - 2D4F
MD48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1734
mov.l execexit_ptr1734,r1
jmp @r1
add #-2,r6
fdl1734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1734: .long execexit
! Opcodes 2D50 - 2D57
MD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1735
mov.l execexit_ptr1735,r1
jmp @r1
add #-2,r6
fdl1735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1735: .long execexit
! Opcodes 2D58 - 2D5F
MD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1736
mov.l execexit_ptr1736,r1
jmp @r1
add #-2,r6
fdl1736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1736: .long execexit
! Opcodes 2D60 - 2D67
MD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1737
mov.l execexit_ptr1737,r1
jmp @r1
add #-2,r6
fdl1737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1737: .long execexit
! Opcodes 2D68 - 2D6F
MD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1738
mov.l execexit_ptr1738,r1
jmp @r1
add #-2,r6
fdl1738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1738: .long execexit
! Opcodes 2D70 - 2D77
MD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd429
exts.w r0,r0
longwd429:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1739
mov.l execexit_ptr1739,r1
jmp @r1
add #-2,r6
fdl1739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1739: .long execexit
! Opcode 2D78
MD78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1740
mov.l execexit_ptr1740,r1
jmp @r1
add #-2,r6
fdl1740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1740: .long execexit
! Opcode 2D79
MD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1741
mov.l execexit_ptr1741,r1
jmp @r1
add #-2,r6
fdl1741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1741: .long execexit
! Opcode 2D7A
MD7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1742
mov.l execexit_ptr1742,r1
jmp @r1
add #-2,r6
fdl1742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1742: .long execexit
! Opcode 2D7B
MD7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd430
exts.w r0,r0
longwd430:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1743
mov.l execexit_ptr1743,r1
jmp @r1
add #-2,r6
fdl1743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1743: .long execexit
! Opcode 2D7C
MD7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1744
mov.l execexit_ptr1744,r1
jmp @r1
add #-2,r6
fdl1744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1744: .long execexit
! Opcodes 2D80 - 2D87
MD80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd431
exts.w r0,r0
longwd431:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1745
mov.l execexit_ptr1745,r1
jmp @r1
add #-2,r6
fdl1745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1745: .long execexit
! Opcodes 2D88 - 2D8F
MD88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd432
exts.w r0,r0
longwd432:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1746
mov.l execexit_ptr1746,r1
jmp @r1
add #-2,r6
fdl1746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1746: .long execexit
! Opcodes 2D90 - 2D97
MD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd433
exts.w r0,r0
longwd433:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1747
mov.l execexit_ptr1747,r1
jmp @r1
add #-2,r6
fdl1747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1747: .long execexit
! Opcodes 2D98 - 2D9F
MD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd434
exts.w r0,r0
longwd434:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1748
mov.l execexit_ptr1748,r1
jmp @r1
add #-2,r6
fdl1748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1748: .long execexit
! Opcodes 2DA0 - 2DA7
MDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd435
exts.w r0,r0
longwd435:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1749
mov.l execexit_ptr1749,r1
jmp @r1
add #-2,r6
fdl1749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1749: .long execexit
! Opcodes 2DA8 - 2DAF
MDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd436
exts.w r0,r0
longwd436:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1750
mov.l execexit_ptr1750,r1
jmp @r1
add #-2,r6
fdl1750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1750: .long execexit
! Opcodes 2DB0 - 2DB7
MDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd437
exts.w r0,r0
longwd437:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd438
exts.w r0,r0
longwd438:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1751
mov.l execexit_ptr1751,r1
jmp @r1
add #-2,r6
fdl1751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1751: .long execexit
! Opcode 2DB8
MDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd439
exts.w r0,r0
longwd439:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1752
mov.l execexit_ptr1752,r1
jmp @r1
add #-2,r6
fdl1752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1752: .long execexit
! Opcode 2DB9
MDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd440
exts.w r0,r0
longwd440:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1753
mov.l execexit_ptr1753,r1
jmp @r1
add #-2,r6
fdl1753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1753: .long execexit
! Opcode 2DBA
MDBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd441
exts.w r0,r0
longwd441:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1754
mov.l execexit_ptr1754,r1
jmp @r1
add #-2,r6
fdl1754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1754: .long execexit
! Opcode 2DBB
MDBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd442
exts.w r0,r0
longwd442:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd443
exts.w r0,r0
longwd443:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1755
mov.l execexit_ptr1755,r1
jmp @r1
add #-2,r6
fdl1755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1755: .long execexit
! Opcode 2DBC
MDBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd444
exts.w r0,r0
longwd444:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1756
mov.l execexit_ptr1756,r1
jmp @r1
add #-2,r6
fdl1756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1756: .long execexit
! Opcodes 2E00 - 2E07
ME00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1757
mov.l execexit_ptr1757,r1
jmp @r1
add #-2,r6
fdl1757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1757: .long execexit
! Opcodes 2E08 - 2E0F
ME08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1758
mov.l execexit_ptr1758,r1
jmp @r1
add #-2,r6
fdl1758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1758: .long execexit
! Opcodes 2E10 - 2E17
ME10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1759
mov.l execexit_ptr1759,r1
jmp @r1
add #-2,r6
fdl1759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1759: .long execexit
! Opcodes 2E18 - 2E1F
ME18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1760
mov.l execexit_ptr1760,r1
jmp @r1
add #-2,r6
fdl1760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1760: .long execexit
! Opcodes 2E20 - 2E27
ME20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1761
mov.l execexit_ptr1761,r1
jmp @r1
add #-2,r6
fdl1761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1761: .long execexit
! Opcodes 2E28 - 2E2F
ME28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1762
mov.l execexit_ptr1762,r1
jmp @r1
add #-2,r6
fdl1762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1762: .long execexit
! Opcodes 2E30 - 2E37
ME30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd445
exts.w r0,r0
longwd445:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1763
mov.l execexit_ptr1763,r1
jmp @r1
add #-2,r6
fdl1763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1763: .long execexit
! Opcode 2E38
ME38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1764
mov.l execexit_ptr1764,r1
jmp @r1
add #-2,r6
fdl1764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1764: .long execexit
! Opcode 2E39
ME39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1765
mov.l execexit_ptr1765,r1
jmp @r1
add #-2,r6
fdl1765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1765: .long execexit
! Opcode 2E3A
ME3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1766
mov.l execexit_ptr1766,r1
jmp @r1
add #-2,r6
fdl1766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1766: .long execexit
! Opcode 2E3B
ME3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd446
exts.w r0,r0
longwd446:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1767
mov.l execexit_ptr1767,r1
jmp @r1
add #-2,r6
fdl1767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1767: .long execexit
! Opcode 2E3C
ME3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1768
mov.l execexit_ptr1768,r1
jmp @r1
add #-2,r6
fdl1768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1768: .long execexit
! Opcodes 2E40 - 2E47
ME40:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1769
mov.l execexit_ptr1769,r1
jmp @r1
add #-2,r6
fdl1769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1769: .long execexit
! Opcodes 2E48 - 2E4F
ME48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1770
mov.l execexit_ptr1770,r1
jmp @r1
add #-2,r6
fdl1770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1770: .long execexit
! Opcodes 2E50 - 2E57
ME50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1771
mov.l execexit_ptr1771,r1
jmp @r1
add #-2,r6
fdl1771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1771: .long execexit
! Opcodes 2E58 - 2E5F
ME58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1772
mov.l execexit_ptr1772,r1
jmp @r1
add #-2,r6
fdl1772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1772: .long execexit
! Opcodes 2E60 - 2E67
ME60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1773
mov.l execexit_ptr1773,r1
jmp @r1
add #-2,r6
fdl1773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1773: .long execexit
! Opcodes 2E68 - 2E6F
ME68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1774
mov.l execexit_ptr1774,r1
jmp @r1
add #-2,r6
fdl1774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1774: .long execexit
! Opcodes 2E70 - 2E77
ME70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd447
exts.w r0,r0
longwd447:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1775
mov.l execexit_ptr1775,r1
jmp @r1
add #-2,r6
fdl1775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1775: .long execexit
! Opcode 2E78
ME78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1776
mov.l execexit_ptr1776,r1
jmp @r1
add #-2,r6
fdl1776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1776: .long execexit
! Opcode 2E79
ME79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1777
mov.l execexit_ptr1777,r1
jmp @r1
add #-2,r6
fdl1777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1777: .long execexit
! Opcode 2E7A
ME7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1778
mov.l execexit_ptr1778,r1
jmp @r1
add #-2,r6
fdl1778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1778: .long execexit
! Opcode 2E7B
ME7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd448
exts.w r0,r0
longwd448:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1779
mov.l execexit_ptr1779,r1
jmp @r1
add #-2,r6
fdl1779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1779: .long execexit
! Opcode 2E7C
ME7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1780
mov.l execexit_ptr1780,r1
jmp @r1
add #-2,r6
fdl1780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1780: .long execexit
! Opcodes 2E80 - 2E87
ME80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1781
mov.l execexit_ptr1781,r1
jmp @r1
add #-2,r6
fdl1781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1781: .long execexit
! Opcodes 2E88 - 2E8F
ME88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1782
mov.l execexit_ptr1782,r1
jmp @r1
add #-2,r6
fdl1782:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1782: .long execexit
! Opcodes 2E90 - 2E97
ME90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1783
mov.l execexit_ptr1783,r1
jmp @r1
add #-2,r6
fdl1783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1783: .long execexit
! Opcodes 2E98 - 2E9F
ME98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1784
mov.l execexit_ptr1784,r1
jmp @r1
add #-2,r6
fdl1784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1784: .long execexit
! Opcodes 2EA0 - 2EA7
MEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1785
mov.l execexit_ptr1785,r1
jmp @r1
add #-2,r6
fdl1785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1785: .long execexit
! Opcodes 2EA8 - 2EAF
MEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1786
mov.l execexit_ptr1786,r1
jmp @r1
add #-2,r6
fdl1786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1786: .long execexit
! Opcodes 2EB0 - 2EB7
MEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd449
exts.w r0,r0
longwd449:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1787
mov.l execexit_ptr1787,r1
jmp @r1
add #-2,r6
fdl1787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1787: .long execexit
! Opcode 2EB8
MEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1788
mov.l execexit_ptr1788,r1
jmp @r1
add #-2,r6
fdl1788:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1788: .long execexit
! Opcode 2EB9
MEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1789
mov.l execexit_ptr1789,r1
jmp @r1
add #-2,r6
fdl1789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1789: .long execexit
! Opcode 2EBA
MEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1790
mov.l execexit_ptr1790,r1
jmp @r1
add #-2,r6
fdl1790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1790: .long execexit
! Opcode 2EBB
MEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd450
exts.w r0,r0
longwd450:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1791
mov.l execexit_ptr1791,r1
jmp @r1
add #-2,r6
fdl1791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1791: .long execexit
! Opcode 2EBC
MEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1792
mov.l execexit_ptr1792,r1
jmp @r1
add #-2,r6
fdl1792:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1792: .long execexit
! Opcodes 2EC0 - 2EC7
MEC0:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1793
mov.l execexit_ptr1793,r1
jmp @r1
add #-2,r6
fdl1793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1793: .long execexit
! Opcodes 2EC8 - 2ECF
MEC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1794
mov.l execexit_ptr1794,r1
jmp @r1
add #-2,r6
fdl1794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1794: .long execexit
! Opcodes 2ED0 - 2ED7
MED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1795
mov.l execexit_ptr1795,r1
jmp @r1
add #-2,r6
fdl1795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1795: .long execexit
! Opcodes 2ED8 - 2EDF
MED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1796
mov.l execexit_ptr1796,r1
jmp @r1
add #-2,r6
fdl1796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1796: .long execexit
! Opcodes 2EE0 - 2EE7
MEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1797
mov.l execexit_ptr1797,r1
jmp @r1
add #-2,r6
fdl1797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1797: .long execexit
! Opcodes 2EE8 - 2EEF
MEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1798
mov.l execexit_ptr1798,r1
jmp @r1
add #-2,r6
fdl1798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1798: .long execexit
! Opcodes 2EF0 - 2EF7
MEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd451
exts.w r0,r0
longwd451:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1799
mov.l execexit_ptr1799,r1
jmp @r1
add #-2,r6
fdl1799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1799: .long execexit
! Opcode 2EF8
MEF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1800
mov.l execexit_ptr1800,r1
jmp @r1
add #-2,r6
fdl1800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1800: .long execexit
! Opcode 2EF9
MEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1801
mov.l execexit_ptr1801,r1
jmp @r1
add #-2,r6
fdl1801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1801: .long execexit
! Opcode 2EFA
MEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1802
mov.l execexit_ptr1802,r1
jmp @r1
add #-2,r6
fdl1802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1802: .long execexit
! Opcode 2EFB
MEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd452
exts.w r0,r0
longwd452:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1803
mov.l execexit_ptr1803,r1
jmp @r1
add #-2,r6
fdl1803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1803: .long execexit
! Opcode 2EFC
MEFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1804
mov.l execexit_ptr1804,r1
jmp @r1
add #-2,r6
fdl1804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1804: .long execexit
! Opcodes 2F00 - 2F07
MF00:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1805
mov.l execexit_ptr1805,r1
jmp @r1
add #-2,r6
fdl1805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1805: .long execexit
! Opcodes 2F08 - 2F0F
MF08:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1806
mov.l execexit_ptr1806,r1
jmp @r1
add #-2,r6
fdl1806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1806: .long execexit
! Opcodes 2F10 - 2F17
MF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1807
mov.l execexit_ptr1807,r1
jmp @r1
add #-2,r6
fdl1807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1807: .long execexit
! Opcodes 2F18 - 2F1F
MF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1808
mov.l execexit_ptr1808,r1
jmp @r1
add #-2,r6
fdl1808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1808: .long execexit
! Opcodes 2F20 - 2F27
MF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1809
mov.l execexit_ptr1809,r1
jmp @r1
add #-2,r6
fdl1809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1809: .long execexit
! Opcodes 2F28 - 2F2F
MF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1810
mov.l execexit_ptr1810,r1
jmp @r1
add #-2,r6
fdl1810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1810: .long execexit
! Opcodes 2F30 - 2F37
MF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd453
exts.w r0,r0
longwd453:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1811
mov.l execexit_ptr1811,r1
jmp @r1
add #-2,r6
fdl1811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1811: .long execexit
! Opcode 2F38
MF38:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1812
mov.l execexit_ptr1812,r1
jmp @r1
add #-2,r6
fdl1812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1812: .long execexit
! Opcode 2F39
MF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1813
mov.l execexit_ptr1813,r1
jmp @r1
add #-2,r6
fdl1813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1813: .long execexit
! Opcode 2F3A
MF3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1814
mov.l execexit_ptr1814,r1
jmp @r1
add #-2,r6
fdl1814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1814: .long execexit
! Opcode 2F3B
MF3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd454
exts.w r0,r0
longwd454:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1815
mov.l execexit_ptr1815,r1
jmp @r1
add #-2,r6
fdl1815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1815: .long execexit
! Opcode 2F3C
MF3C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1816
mov.l execexit_ptr1816,r1
jmp @r1
add #-2,r6
fdl1816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1816: .long execexit
! Opcodes 2F40 - 2F47
MF40:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1817
mov.l execexit_ptr1817,r1
jmp @r1
add #-2,r6
fdl1817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1817: .long execexit
! Opcodes 2F48 - 2F4F
MF48:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1818
mov.l execexit_ptr1818,r1
jmp @r1
add #-2,r6
fdl1818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1818: .long execexit
! Opcodes 2F50 - 2F57
MF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1819
mov.l execexit_ptr1819,r1
jmp @r1
add #-2,r6
fdl1819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1819: .long execexit
! Opcodes 2F58 - 2F5F
MF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1820
mov.l execexit_ptr1820,r1
jmp @r1
add #-2,r6
fdl1820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1820: .long execexit
! Opcodes 2F60 - 2F67
MF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1821
mov.l execexit_ptr1821,r1
jmp @r1
add #-2,r6
fdl1821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1821: .long execexit
! Opcodes 2F68 - 2F6F
MF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1822
mov.l execexit_ptr1822,r1
jmp @r1
add #-2,r6
fdl1822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1822: .long execexit
! Opcodes 2F70 - 2F77
MF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd455
exts.w r0,r0
longwd455:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1823
mov.l execexit_ptr1823,r1
jmp @r1
add #-2,r6
fdl1823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1823: .long execexit
! Opcode 2F78
MF78:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1824
mov.l execexit_ptr1824,r1
jmp @r1
add #-2,r6
fdl1824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1824: .long execexit
! Opcode 2F79
MF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1825
mov.l execexit_ptr1825,r1
jmp @r1
add #-2,r6
fdl1825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1825: .long execexit
! Opcode 2F7A
MF7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1826
mov.l execexit_ptr1826,r1
jmp @r1
add #-2,r6
fdl1826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1826: .long execexit
! Opcode 2F7B
MF7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd456
exts.w r0,r0
longwd456:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1827
mov.l execexit_ptr1827,r1
jmp @r1
add #-2,r6
fdl1827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1827: .long execexit
! Opcode 2F7C
MF7C:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1828
mov.l execexit_ptr1828,r1
jmp @r1
add #-2,r6
fdl1828:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1828: .long execexit
! Opcodes 2F80 - 2F87
MF80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd457
exts.w r0,r0
longwd457:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1829
mov.l execexit_ptr1829,r1
jmp @r1
add #-2,r6
fdl1829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1829: .long execexit
! Opcodes 2F88 - 2F8F
MF88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd458
exts.w r0,r0
longwd458:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1830
mov.l execexit_ptr1830,r1
jmp @r1
add #-2,r6
fdl1830:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1830: .long execexit
! Opcodes 2F90 - 2F97
MF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd459
exts.w r0,r0
longwd459:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1831
mov.l execexit_ptr1831,r1
jmp @r1
add #-2,r6
fdl1831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1831: .long execexit
! Opcodes 2F98 - 2F9F
MF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd460
exts.w r0,r0
longwd460:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1832
mov.l execexit_ptr1832,r1
jmp @r1
add #-2,r6
fdl1832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1832: .long execexit
! Opcodes 2FA0 - 2FA7
MFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd461
exts.w r0,r0
longwd461:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1833
mov.l execexit_ptr1833,r1
jmp @r1
add #-2,r6
fdl1833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1833: .long execexit
! Opcodes 2FA8 - 2FAF
MFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd462
exts.w r0,r0
longwd462:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1834
mov.l execexit_ptr1834,r1
jmp @r1
add #-2,r6
fdl1834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1834: .long execexit
! Opcodes 2FB0 - 2FB7
MFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd463
exts.w r0,r0
longwd463:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd464
exts.w r0,r0
longwd464:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1835
mov.l execexit_ptr1835,r1
jmp @r1
add #-2,r6
fdl1835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1835: .long execexit
! Opcode 2FB8
MFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd465
exts.w r0,r0
longwd465:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1836
mov.l execexit_ptr1836,r1
jmp @r1
add #-2,r6
fdl1836:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1836: .long execexit
! Opcode 2FB9
MFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd466
exts.w r0,r0
longwd466:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1837
mov.l execexit_ptr1837,r1
jmp @r1
add #-2,r6
fdl1837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1837: .long execexit
! Opcode 2FBA
MFBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd467
exts.w r0,r0
longwd467:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1838
mov.l execexit_ptr1838,r1
jmp @r1
add #-2,r6
fdl1838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1838: .long execexit
! Opcode 2FBB
MFBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd468
exts.w r0,r0
longwd468:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd469
exts.w r0,r0
longwd469:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1839
mov.l execexit_ptr1839,r1
jmp @r1
add #-2,r6
fdl1839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1839: .long execexit
! Opcode 2FBC
MFBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd470
exts.w r0,r0
longwd470:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1840
mov.l execexit_ptr1840,r1
jmp @r1
add #-2,r6
fdl1840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1840: .long execexit
! Opcodes 3000 - 3007
N000:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1841
mov.l execexit_ptr1841,r1
jmp @r1
add #-2,r6
fdl1841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1841: .long execexit
! Opcodes 3008 - 300F
N008:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1842
mov.l execexit_ptr1842,r1
jmp @r1
add #-2,r6
fdl1842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1842: .long execexit
! Opcodes 3010 - 3017
N010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1843
mov.l execexit_ptr1843,r1
jmp @r1
add #-2,r6
fdl1843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1843: .long execexit
! Opcodes 3018 - 301F
N018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1844
mov.l execexit_ptr1844,r1
jmp @r1
add #-2,r6
fdl1844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1844: .long execexit
! Opcodes 3020 - 3027
N020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1845
mov.l execexit_ptr1845,r1
jmp @r1
add #-2,r6
fdl1845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1845: .long execexit
! Opcodes 3028 - 302F
N028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1846
mov.l execexit_ptr1846,r1
jmp @r1
add #-2,r6
fdl1846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1846: .long execexit
! Opcodes 3030 - 3037
N030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd471
exts.w r0,r0
longwd471:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1847
mov.l execexit_ptr1847,r1
jmp @r1
add #-2,r6
fdl1847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1847: .long execexit
! Opcode 3038
N038:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1848
mov.l execexit_ptr1848,r1
jmp @r1
add #-2,r6
fdl1848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1848: .long execexit
! Opcode 3039
N039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1849
mov.l execexit_ptr1849,r1
jmp @r1
add #-2,r6
fdl1849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1849: .long execexit
! Opcode 303A
N03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1850
mov.l execexit_ptr1850,r1
jmp @r1
add #-2,r6
fdl1850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1850: .long execexit
! Opcode 303B
N03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd472
exts.w r0,r0
longwd472:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1851
mov.l execexit_ptr1851,r1
jmp @r1
add #-2,r6
fdl1851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1851: .long execexit
! Opcode 303C
N03C:
mov.w @r6+,r3
mov.w r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1852
mov.l execexit_ptr1852,r1
jmp @r1
add #-2,r6
fdl1852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1852: .long execexit
! Opcodes 3040 - 3047
N040:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1853
mov.l execexit_ptr1853,r1
jmp @r1
add #-2,r6
fdl1853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1853: .long execexit
! Opcodes 3048 - 304F
N048:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1854
mov.l execexit_ptr1854,r1
jmp @r1
add #-2,r6
fdl1854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1854: .long execexit
! Opcodes 3050 - 3057
N050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1855
mov.l execexit_ptr1855,r1
jmp @r1
add #-2,r6
fdl1855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1855: .long execexit
! Opcodes 3058 - 305F
N058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1856
mov.l execexit_ptr1856,r1
jmp @r1
add #-2,r6
fdl1856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1856: .long execexit
! Opcodes 3060 - 3067
N060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1857
mov.l execexit_ptr1857,r1
jmp @r1
add #-2,r6
fdl1857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1857: .long execexit
! Opcodes 3068 - 306F
N068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1858
mov.l execexit_ptr1858,r1
jmp @r1
add #-2,r6
fdl1858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1858: .long execexit
! Opcodes 3070 - 3077
N070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd473
exts.w r0,r0
longwd473:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1859
mov.l execexit_ptr1859,r1
jmp @r1
add #-2,r6
fdl1859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1859: .long execexit
! Opcode 3078
N078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1860
mov.l execexit_ptr1860,r1
jmp @r1
add #-2,r6
fdl1860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1860: .long execexit
! Opcode 3079
N079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1861
mov.l execexit_ptr1861,r1
jmp @r1
add #-2,r6
fdl1861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1861: .long execexit
! Opcode 307A
N07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1862
mov.l execexit_ptr1862,r1
jmp @r1
add #-2,r6
fdl1862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1862: .long execexit
! Opcode 307B
N07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd474
exts.w r0,r0
longwd474:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1863
mov.l execexit_ptr1863,r1
jmp @r1
add #-2,r6
fdl1863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1863: .long execexit
! Opcode 307C
N07C:
mov.w @r6+,r3
mov.l r3,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1864
mov.l execexit_ptr1864,r1
jmp @r1
add #-2,r6
fdl1864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1864: .long execexit
! Opcodes 3080 - 3087
N080:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1865
mov.l execexit_ptr1865,r1
jmp @r1
add #-2,r6
fdl1865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1865: .long execexit
! Opcodes 3088 - 308F
N088:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1866
mov.l execexit_ptr1866,r1
jmp @r1
add #-2,r6
fdl1866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1866: .long execexit
! Opcodes 3090 - 3097
N090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1867
mov.l execexit_ptr1867,r1
jmp @r1
add #-2,r6
fdl1867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1867: .long execexit
! Opcodes 3098 - 309F
N098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1868
mov.l execexit_ptr1868,r1
jmp @r1
add #-2,r6
fdl1868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1868: .long execexit
! Opcodes 30A0 - 30A7
N0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1869
mov.l execexit_ptr1869,r1
jmp @r1
add #-2,r6
fdl1869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1869: .long execexit
! Opcodes 30A8 - 30AF
N0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1870
mov.l execexit_ptr1870,r1
jmp @r1
add #-2,r6
fdl1870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1870: .long execexit
! Opcodes 30B0 - 30B7
N0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd475
exts.w r0,r0
longwd475:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1871
mov.l execexit_ptr1871,r1
jmp @r1
add #-2,r6
fdl1871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1871: .long execexit
! Opcode 30B8
N0B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1872
mov.l execexit_ptr1872,r1
jmp @r1
add #-2,r6
fdl1872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1872: .long execexit
! Opcode 30B9
N0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1873
mov.l execexit_ptr1873,r1
jmp @r1
add #-2,r6
fdl1873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1873: .long execexit
! Opcode 30BA
N0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1874
mov.l execexit_ptr1874,r1
jmp @r1
add #-2,r6
fdl1874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1874: .long execexit
! Opcode 30BB
N0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd476
exts.w r0,r0
longwd476:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1875
mov.l execexit_ptr1875,r1
jmp @r1
add #-2,r6
fdl1875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1875: .long execexit
! Opcode 30BC
N0BC:
mov.w @r6+,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1876
mov.l execexit_ptr1876,r1
jmp @r1
add #-2,r6
fdl1876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1876: .long execexit
! Opcodes 30C0 - 30C7
N0C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1877
mov.l execexit_ptr1877,r1
jmp @r1
add #-2,r6
fdl1877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1877: .long execexit
! Opcodes 30C8 - 30CF
N0C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1878
mov.l execexit_ptr1878,r1
jmp @r1
add #-2,r6
fdl1878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1878: .long execexit
! Opcodes 30D0 - 30D7
N0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1879
mov.l execexit_ptr1879,r1
jmp @r1
add #-2,r6
fdl1879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1879: .long execexit
! Opcodes 30D8 - 30DF
N0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1880
mov.l execexit_ptr1880,r1
jmp @r1
add #-2,r6
fdl1880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1880: .long execexit
! Opcodes 30E0 - 30E7
N0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1881
mov.l execexit_ptr1881,r1
jmp @r1
add #-2,r6
fdl1881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1881: .long execexit
! Opcodes 30E8 - 30EF
N0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1882
mov.l execexit_ptr1882,r1
jmp @r1
add #-2,r6
fdl1882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1882: .long execexit
! Opcodes 30F0 - 30F7
N0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd477
exts.w r0,r0
longwd477:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1883
mov.l execexit_ptr1883,r1
jmp @r1
add #-2,r6
fdl1883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1883: .long execexit
! Opcode 30F8
N0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1884
mov.l execexit_ptr1884,r1
jmp @r1
add #-2,r6
fdl1884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1884: .long execexit
! Opcode 30F9
N0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1885
mov.l execexit_ptr1885,r1
jmp @r1
add #-2,r6
fdl1885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1885: .long execexit
! Opcode 30FA
N0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1886
mov.l execexit_ptr1886,r1
jmp @r1
add #-2,r6
fdl1886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1886: .long execexit
! Opcode 30FB
N0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd478
exts.w r0,r0
longwd478:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1887
mov.l execexit_ptr1887,r1
jmp @r1
add #-2,r6
fdl1887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1887: .long execexit
! Opcode 30FC
N0FC:
mov.w @r6+,r3
mov.l @(32,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1888
mov.l execexit_ptr1888,r1
jmp @r1
add #-2,r6
fdl1888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1888: .long execexit
! Opcodes 3100 - 3107
N100:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1889
mov.l execexit_ptr1889,r1
jmp @r1
add #-2,r6
fdl1889:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1889: .long execexit
! Opcodes 3108 - 310F
N108:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1890
mov.l execexit_ptr1890,r1
jmp @r1
add #-2,r6
fdl1890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1890: .long execexit
! Opcodes 3110 - 3117
N110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1891
mov.l execexit_ptr1891,r1
jmp @r1
add #-2,r6
fdl1891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1891: .long execexit
! Opcodes 3118 - 311F
N118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1892
mov.l execexit_ptr1892,r1
jmp @r1
add #-2,r6
fdl1892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1892: .long execexit
! Opcodes 3120 - 3127
N120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1893
mov.l execexit_ptr1893,r1
jmp @r1
add #-2,r6
fdl1893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1893: .long execexit
! Opcodes 3128 - 312F
N128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1894
mov.l execexit_ptr1894,r1
jmp @r1
add #-2,r6
fdl1894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1894: .long execexit
! Opcodes 3130 - 3137
N130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd479
exts.w r0,r0
longwd479:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1895
mov.l execexit_ptr1895,r1
jmp @r1
add #-2,r6
fdl1895:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1895: .long execexit
! Opcode 3138
N138:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1896
mov.l execexit_ptr1896,r1
jmp @r1
add #-2,r6
fdl1896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1896: .long execexit
! Opcode 3139
N139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1897
mov.l execexit_ptr1897,r1
jmp @r1
add #-2,r6
fdl1897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1897: .long execexit
! Opcode 313A
N13A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1898
mov.l execexit_ptr1898,r1
jmp @r1
add #-2,r6
fdl1898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1898: .long execexit
! Opcode 313B
N13B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd480
exts.w r0,r0
longwd480:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1899
mov.l execexit_ptr1899,r1
jmp @r1
add #-2,r6
fdl1899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1899: .long execexit
! Opcode 313C
N13C:
mov.w @r6+,r3
mov.l @(32,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1900
mov.l execexit_ptr1900,r1
jmp @r1
add #-2,r6
fdl1900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1900: .long execexit
! Opcodes 3140 - 3147
N140:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1901
mov.l execexit_ptr1901,r1
jmp @r1
add #-2,r6
fdl1901:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1901: .long execexit
! Opcodes 3148 - 314F
N148:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1902
mov.l execexit_ptr1902,r1
jmp @r1
add #-2,r6
fdl1902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1902: .long execexit
! Opcodes 3150 - 3157
N150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1903
mov.l execexit_ptr1903,r1
jmp @r1
add #-2,r6
fdl1903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1903: .long execexit
! Opcodes 3158 - 315F
N158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1904
mov.l execexit_ptr1904,r1
jmp @r1
add #-2,r6
fdl1904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1904: .long execexit
! Opcodes 3160 - 3167
N160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1905
mov.l execexit_ptr1905,r1
jmp @r1
add #-2,r6
fdl1905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1905: .long execexit
! Opcodes 3168 - 316F
N168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1906
mov.l execexit_ptr1906,r1
jmp @r1
add #-2,r6
fdl1906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1906: .long execexit
! Opcodes 3170 - 3177
N170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd481
exts.w r0,r0
longwd481:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1907
mov.l execexit_ptr1907,r1
jmp @r1
add #-2,r6
fdl1907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1907: .long execexit
! Opcode 3178
N178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1908
mov.l execexit_ptr1908,r1
jmp @r1
add #-2,r6
fdl1908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1908: .long execexit
! Opcode 3179
N179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1909
mov.l execexit_ptr1909,r1
jmp @r1
add #-2,r6
fdl1909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1909: .long execexit
! Opcode 317A
N17A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1910
mov.l execexit_ptr1910,r1
jmp @r1
add #-2,r6
fdl1910:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1910: .long execexit
! Opcode 317B
N17B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd482
exts.w r0,r0
longwd482:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1911
mov.l execexit_ptr1911,r1
jmp @r1
add #-2,r6
fdl1911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1911: .long execexit
! Opcode 317C
N17C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1912
mov.l execexit_ptr1912,r1
jmp @r1
add #-2,r6
fdl1912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1912: .long execexit
! Opcodes 3180 - 3187
N180:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd483
exts.w r0,r0
longwd483:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1913
mov.l execexit_ptr1913,r1
jmp @r1
add #-2,r6
fdl1913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1913: .long execexit
! Opcodes 3188 - 318F
N188:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd484
exts.w r0,r0
longwd484:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1914
mov.l execexit_ptr1914,r1
jmp @r1
add #-2,r6
fdl1914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1914: .long execexit
! Opcodes 3190 - 3197
N190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd485
exts.w r0,r0
longwd485:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1915
mov.l execexit_ptr1915,r1
jmp @r1
add #-2,r6
fdl1915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1915: .long execexit
! Opcodes 3198 - 319F
N198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd486
exts.w r0,r0
longwd486:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1916
mov.l execexit_ptr1916,r1
jmp @r1
add #-2,r6
fdl1916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1916: .long execexit
! Opcodes 31A0 - 31A7
N1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd487
exts.w r0,r0
longwd487:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1917
mov.l execexit_ptr1917,r1
jmp @r1
add #-2,r6
fdl1917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1917: .long execexit
! Opcodes 31A8 - 31AF
N1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd488
exts.w r0,r0
longwd488:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1918
mov.l execexit_ptr1918,r1
jmp @r1
add #-2,r6
fdl1918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1918: .long execexit
! Opcodes 31B0 - 31B7
N1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd489
exts.w r0,r0
longwd489:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd490
exts.w r0,r0
longwd490:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1919
mov.l execexit_ptr1919,r1
jmp @r1
add #-2,r6
fdl1919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1919: .long execexit
! Opcode 31B8
N1B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd491
exts.w r0,r0
longwd491:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1920
mov.l execexit_ptr1920,r1
jmp @r1
add #-2,r6
fdl1920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1920: .long execexit
! Opcode 31B9
N1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd492
exts.w r0,r0
longwd492:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1921
mov.l execexit_ptr1921,r1
jmp @r1
add #-2,r6
fdl1921:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1921: .long execexit
! Opcode 31BA
N1BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd493
exts.w r0,r0
longwd493:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1922
mov.l execexit_ptr1922,r1
jmp @r1
add #-2,r6
fdl1922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1922: .long execexit
! Opcode 31BB
N1BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd494
exts.w r0,r0
longwd494:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd495
exts.w r0,r0
longwd495:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1923
mov.l execexit_ptr1923,r1
jmp @r1
add #-2,r6
fdl1923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1923: .long execexit
! Opcode 31BC
N1BC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd496
exts.w r0,r0
longwd496:
add r0,r4
mov.l @(32,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1924
mov.l execexit_ptr1924,r1
jmp @r1
add #-2,r6
fdl1924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1924: .long execexit
! Opcodes 31C0 - 31C7
N1C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1925
mov.l execexit_ptr1925,r1
jmp @r1
add #-2,r6
fdl1925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1925: .long execexit
! Opcodes 31C8 - 31CF
N1C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1926
mov.l execexit_ptr1926,r1
jmp @r1
add #-2,r6
fdl1926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1926: .long execexit
! Opcodes 31D0 - 31D7
N1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1927
mov.l execexit_ptr1927,r1
jmp @r1
add #-2,r6
fdl1927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1927: .long execexit
! Opcodes 31D8 - 31DF
N1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1928
mov.l execexit_ptr1928,r1
jmp @r1
add #-2,r6
fdl1928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1928: .long execexit
! Opcodes 31E0 - 31E7
N1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1929
mov.l execexit_ptr1929,r1
jmp @r1
add #-2,r6
fdl1929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1929: .long execexit
! Opcodes 31E8 - 31EF
N1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1930
mov.l execexit_ptr1930,r1
jmp @r1
add #-2,r6
fdl1930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1930: .long execexit
! Opcodes 31F0 - 31F7
N1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd497
exts.w r0,r0
longwd497:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1931
mov.l execexit_ptr1931,r1
jmp @r1
add #-2,r6
fdl1931:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1931: .long execexit
! Opcode 31F8
N1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1932
mov.l execexit_ptr1932,r1
jmp @r1
add #-2,r6
fdl1932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1932: .long execexit
! Opcode 31F9
N1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1933
mov.l execexit_ptr1933,r1
jmp @r1
add #-2,r6
fdl1933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1933: .long execexit
! Opcode 31FA
N1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1934
mov.l execexit_ptr1934,r1
jmp @r1
add #-2,r6
fdl1934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1934: .long execexit
! Opcode 31FB
N1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd498
exts.w r0,r0
longwd498:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1935
mov.l execexit_ptr1935,r1
jmp @r1
add #-2,r6
fdl1935:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1935: .long execexit
! Opcode 31FC
N1FC:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1936
mov.l execexit_ptr1936,r1
jmp @r1
add #-2,r6
fdl1936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1936: .long execexit
! Opcodes 3200 - 3207
N200:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1937
mov.l execexit_ptr1937,r1
jmp @r1
add #-2,r6
fdl1937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1937: .long execexit
! Opcodes 3208 - 320F
N208:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1938
mov.l execexit_ptr1938,r1
jmp @r1
add #-2,r6
fdl1938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1938: .long execexit
! Opcodes 3210 - 3217
N210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1939
mov.l execexit_ptr1939,r1
jmp @r1
add #-2,r6
fdl1939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1939: .long execexit
! Opcodes 3218 - 321F
N218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1940
mov.l execexit_ptr1940,r1
jmp @r1
add #-2,r6
fdl1940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1940: .long execexit
! Opcodes 3220 - 3227
N220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1941
mov.l execexit_ptr1941,r1
jmp @r1
add #-2,r6
fdl1941:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1941: .long execexit
! Opcodes 3228 - 322F
N228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1942
mov.l execexit_ptr1942,r1
jmp @r1
add #-2,r6
fdl1942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1942: .long execexit
! Opcodes 3230 - 3237
N230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd499
exts.w r0,r0
longwd499:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1943
mov.l execexit_ptr1943,r1
jmp @r1
add #-2,r6
fdl1943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1943: .long execexit
! Opcode 3238
N238:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1944
mov.l execexit_ptr1944,r1
jmp @r1
add #-2,r6
fdl1944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1944: .long execexit
! Opcode 3239
N239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1945
mov.l execexit_ptr1945,r1
jmp @r1
add #-2,r6
fdl1945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1945: .long execexit
! Opcode 323A
N23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1946
mov.l execexit_ptr1946,r1
jmp @r1
add #-2,r6
fdl1946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1946: .long execexit
! Opcode 323B
N23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd500
exts.w r0,r0
longwd500:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1947
mov.l execexit_ptr1947,r1
jmp @r1
add #-2,r6
fdl1947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1947: .long execexit
! Opcode 323C
N23C:
mov.w @r6+,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1948
mov.l execexit_ptr1948,r1
jmp @r1
add #-2,r6
fdl1948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1948: .long execexit
! Opcodes 3240 - 3247
N240:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1949
mov.l execexit_ptr1949,r1
jmp @r1
add #-2,r6
fdl1949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1949: .long execexit
! Opcodes 3248 - 324F
N248:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1950
mov.l execexit_ptr1950,r1
jmp @r1
add #-2,r6
fdl1950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1950: .long execexit
! Opcodes 3250 - 3257
N250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1951
mov.l execexit_ptr1951,r1
jmp @r1
add #-2,r6
fdl1951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1951: .long execexit
! Opcodes 3258 - 325F
N258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1952
mov.l execexit_ptr1952,r1
jmp @r1
add #-2,r6
fdl1952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1952: .long execexit
! Opcodes 3260 - 3267
N260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1953
mov.l execexit_ptr1953,r1
jmp @r1
add #-2,r6
fdl1953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1953: .long execexit
! Opcodes 3268 - 326F
N268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1954
mov.l execexit_ptr1954,r1
jmp @r1
add #-2,r6
fdl1954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1954: .long execexit
! Opcodes 3270 - 3277
N270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd501
exts.w r0,r0
longwd501:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1955
mov.l execexit_ptr1955,r1
jmp @r1
add #-2,r6
fdl1955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1955: .long execexit
! Opcode 3278
N278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1956
mov.l execexit_ptr1956,r1
jmp @r1
add #-2,r6
fdl1956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1956: .long execexit
! Opcode 3279
N279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1957
mov.l execexit_ptr1957,r1
jmp @r1
add #-2,r6
fdl1957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1957: .long execexit
! Opcode 327A
N27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1958
mov.l execexit_ptr1958,r1
jmp @r1
add #-2,r6
fdl1958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1958: .long execexit
! Opcode 327B
N27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd502
exts.w r0,r0
longwd502:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1959
mov.l execexit_ptr1959,r1
jmp @r1
add #-2,r6
fdl1959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1959: .long execexit
! Opcode 327C
N27C:
mov.w @r6+,r3
mov.l r3,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1960
mov.l execexit_ptr1960,r1
jmp @r1
add #-2,r6
fdl1960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1960: .long execexit
! Opcodes 3280 - 3287
N280:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1961
mov.l execexit_ptr1961,r1
jmp @r1
add #-2,r6
fdl1961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1961: .long execexit
! Opcodes 3288 - 328F
N288:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1962
mov.l execexit_ptr1962,r1
jmp @r1
add #-2,r6
fdl1962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1962: .long execexit
! Opcodes 3290 - 3297
N290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1963
mov.l execexit_ptr1963,r1
jmp @r1
add #-2,r6
fdl1963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1963: .long execexit
! Opcodes 3298 - 329F
N298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1964
mov.l execexit_ptr1964,r1
jmp @r1
add #-2,r6
fdl1964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1964: .long execexit
! Opcodes 32A0 - 32A7
N2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1965
mov.l execexit_ptr1965,r1
jmp @r1
add #-2,r6
fdl1965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1965: .long execexit
! Opcodes 32A8 - 32AF
N2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1966
mov.l execexit_ptr1966,r1
jmp @r1
add #-2,r6
fdl1966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1966: .long execexit
! Opcodes 32B0 - 32B7
N2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd503
exts.w r0,r0
longwd503:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1967
mov.l execexit_ptr1967,r1
jmp @r1
add #-2,r6
fdl1967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1967: .long execexit
! Opcode 32B8
N2B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1968
mov.l execexit_ptr1968,r1
jmp @r1
add #-2,r6
fdl1968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1968: .long execexit
! Opcode 32B9
N2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1969
mov.l execexit_ptr1969,r1
jmp @r1
add #-2,r6
fdl1969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1969: .long execexit
! Opcode 32BA
N2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1970
mov.l execexit_ptr1970,r1
jmp @r1
add #-2,r6
fdl1970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1970: .long execexit
! Opcode 32BB
N2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd504
exts.w r0,r0
longwd504:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1971
mov.l execexit_ptr1971,r1
jmp @r1
add #-2,r6
fdl1971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1971: .long execexit
! Opcode 32BC
N2BC:
mov.w @r6+,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1972
mov.l execexit_ptr1972,r1
jmp @r1
add #-2,r6
fdl1972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1972: .long execexit
! Opcodes 32C0 - 32C7
N2C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1973
mov.l execexit_ptr1973,r1
jmp @r1
add #-2,r6
fdl1973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1973: .long execexit
! Opcodes 32C8 - 32CF
N2C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1974
mov.l execexit_ptr1974,r1
jmp @r1
add #-2,r6
fdl1974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1974: .long execexit
! Opcodes 32D0 - 32D7
N2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1975
mov.l execexit_ptr1975,r1
jmp @r1
add #-2,r6
fdl1975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1975: .long execexit
! Opcodes 32D8 - 32DF
N2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1976
mov.l execexit_ptr1976,r1
jmp @r1
add #-2,r6
fdl1976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1976: .long execexit
! Opcodes 32E0 - 32E7
N2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1977
mov.l execexit_ptr1977,r1
jmp @r1
add #-2,r6
fdl1977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1977: .long execexit
! Opcodes 32E8 - 32EF
N2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1978
mov.l execexit_ptr1978,r1
jmp @r1
add #-2,r6
fdl1978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1978: .long execexit
! Opcodes 32F0 - 32F7
N2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd505
exts.w r0,r0
longwd505:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1979
mov.l execexit_ptr1979,r1
jmp @r1
add #-2,r6
fdl1979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1979: .long execexit
! Opcode 32F8
N2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1980
mov.l execexit_ptr1980,r1
jmp @r1
add #-2,r6
fdl1980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1980: .long execexit
! Opcode 32F9
N2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1981
mov.l execexit_ptr1981,r1
jmp @r1
add #-2,r6
fdl1981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1981: .long execexit
! Opcode 32FA
N2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1982
mov.l execexit_ptr1982,r1
jmp @r1
add #-2,r6
fdl1982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1982: .long execexit
! Opcode 32FB
N2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd506
exts.w r0,r0
longwd506:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1983
mov.l execexit_ptr1983,r1
jmp @r1
add #-2,r6
fdl1983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1983: .long execexit
! Opcode 32FC
N2FC:
mov.w @r6+,r3
mov.l @(36,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1984
mov.l execexit_ptr1984,r1
jmp @r1
add #-2,r6
fdl1984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1984: .long execexit
! Opcodes 3300 - 3307
N300:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1985
mov.l execexit_ptr1985,r1
jmp @r1
add #-2,r6
fdl1985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1985: .long execexit
! Opcodes 3308 - 330F
N308:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1986
mov.l execexit_ptr1986,r1
jmp @r1
add #-2,r6
fdl1986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1986: .long execexit
! Opcodes 3310 - 3317
N310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1987
mov.l execexit_ptr1987,r1
jmp @r1
add #-2,r6
fdl1987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1987: .long execexit
! Opcodes 3318 - 331F
N318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1988
mov.l execexit_ptr1988,r1
jmp @r1
add #-2,r6
fdl1988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1988: .long execexit
! Opcodes 3320 - 3327
N320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1989
mov.l execexit_ptr1989,r1
jmp @r1
add #-2,r6
fdl1989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1989: .long execexit
! Opcodes 3328 - 332F
N328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1990
mov.l execexit_ptr1990,r1
jmp @r1
add #-2,r6
fdl1990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1990: .long execexit
! Opcodes 3330 - 3337
N330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd507
exts.w r0,r0
longwd507:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1991
mov.l execexit_ptr1991,r1
jmp @r1
add #-2,r6
fdl1991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1991: .long execexit
! Opcode 3338
N338:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1992
mov.l execexit_ptr1992,r1
jmp @r1
add #-2,r6
fdl1992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1992: .long execexit
! Opcode 3339
N339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1993
mov.l execexit_ptr1993,r1
jmp @r1
add #-2,r6
fdl1993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1993: .long execexit
! Opcode 333A
N33A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1994
mov.l execexit_ptr1994,r1
jmp @r1
add #-2,r6
fdl1994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1994: .long execexit
! Opcode 333B
N33B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd508
exts.w r0,r0
longwd508:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1995
mov.l execexit_ptr1995,r1
jmp @r1
add #-2,r6
fdl1995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1995: .long execexit
! Opcode 333C
N33C:
mov.w @r6+,r3
mov.l @(36,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1996
mov.l execexit_ptr1996,r1
jmp @r1
add #-2,r6
fdl1996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1996: .long execexit
! Opcodes 3340 - 3347
N340:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1997
mov.l execexit_ptr1997,r1
jmp @r1
add #-2,r6
fdl1997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1997: .long execexit
! Opcodes 3348 - 334F
N348:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1998
mov.l execexit_ptr1998,r1
jmp @r1
add #-2,r6
fdl1998:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1998: .long execexit
! Opcodes 3350 - 3357
N350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl1999
mov.l execexit_ptr1999,r1
jmp @r1
add #-2,r6
fdl1999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr1999: .long execexit
! Opcodes 3358 - 335F
N358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2000
mov.l execexit_ptr2000,r1
jmp @r1
add #-2,r6
fdl2000:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2000: .long execexit
! Opcodes 3360 - 3367
N360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2001
mov.l execexit_ptr2001,r1
jmp @r1
add #-2,r6
fdl2001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2001: .long execexit
! Opcodes 3368 - 336F
N368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2002
mov.l execexit_ptr2002,r1
jmp @r1
add #-2,r6
fdl2002:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2002: .long execexit
! Opcodes 3370 - 3377
N370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd509
exts.w r0,r0
longwd509:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2003
mov.l execexit_ptr2003,r1
jmp @r1
add #-2,r6
fdl2003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2003: .long execexit
! Opcode 3378
N378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2004
mov.l execexit_ptr2004,r1
jmp @r1
add #-2,r6
fdl2004:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2004: .long execexit
! Opcode 3379
N379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2005
mov.l execexit_ptr2005,r1
jmp @r1
add #-2,r6
fdl2005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2005: .long execexit
! Opcode 337A
N37A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2006
mov.l execexit_ptr2006,r1
jmp @r1
add #-2,r6
fdl2006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2006: .long execexit
! Opcode 337B
N37B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd510
exts.w r0,r0
longwd510:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2007
mov.l execexit_ptr2007,r1
jmp @r1
add #-2,r6
fdl2007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2007: .long execexit
! Opcode 337C
N37C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2008
mov.l execexit_ptr2008,r1
jmp @r1
add #-2,r6
fdl2008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2008: .long execexit
! Opcodes 3380 - 3387
N380:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd511
exts.w r0,r0
longwd511:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2009
mov.l execexit_ptr2009,r1
jmp @r1
add #-2,r6
fdl2009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2009: .long execexit
! Opcodes 3388 - 338F
N388:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd512
exts.w r0,r0
longwd512:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2010
mov.l execexit_ptr2010,r1
jmp @r1
add #-2,r6
fdl2010:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2010: .long execexit
! Opcodes 3390 - 3397
N390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd513
exts.w r0,r0
longwd513:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2011
mov.l execexit_ptr2011,r1
jmp @r1
add #-2,r6
fdl2011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2011: .long execexit
! Opcodes 3398 - 339F
N398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd514
exts.w r0,r0
longwd514:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2012
mov.l execexit_ptr2012,r1
jmp @r1
add #-2,r6
fdl2012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2012: .long execexit
! Opcodes 33A0 - 33A7
N3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd515
exts.w r0,r0
longwd515:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2013
mov.l execexit_ptr2013,r1
jmp @r1
add #-2,r6
fdl2013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2013: .long execexit
! Opcodes 33A8 - 33AF
N3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd516
exts.w r0,r0
longwd516:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2014
mov.l execexit_ptr2014,r1
jmp @r1
add #-2,r6
fdl2014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2014: .long execexit
! Opcodes 33B0 - 33B7
N3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd517
exts.w r0,r0
longwd517:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd518
exts.w r0,r0
longwd518:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2015
mov.l execexit_ptr2015,r1
jmp @r1
add #-2,r6
fdl2015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2015: .long execexit
! Opcode 33B8
N3B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd519
exts.w r0,r0
longwd519:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2016
mov.l execexit_ptr2016,r1
jmp @r1
add #-2,r6
fdl2016:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2016: .long execexit
! Opcode 33B9
N3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd520
exts.w r0,r0
longwd520:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2017
mov.l execexit_ptr2017,r1
jmp @r1
add #-2,r6
fdl2017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2017: .long execexit
! Opcode 33BA
N3BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd521
exts.w r0,r0
longwd521:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2018
mov.l execexit_ptr2018,r1
jmp @r1
add #-2,r6
fdl2018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2018: .long execexit
! Opcode 33BB
N3BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd522
exts.w r0,r0
longwd522:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd523
exts.w r0,r0
longwd523:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2019
mov.l execexit_ptr2019,r1
jmp @r1
add #-2,r6
fdl2019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2019: .long execexit
! Opcode 33BC
N3BC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd524
exts.w r0,r0
longwd524:
add r0,r4
mov.l @(36,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2020
mov.l execexit_ptr2020,r1
jmp @r1
add #-2,r6
fdl2020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2020: .long execexit
! Opcodes 33C0 - 33C7
N3C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2021
mov.l execexit_ptr2021,r1
jmp @r1
add #-2,r6
fdl2021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2021: .long execexit
! Opcodes 33C8 - 33CF
N3C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2022
mov.l execexit_ptr2022,r1
jmp @r1
add #-2,r6
fdl2022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2022: .long execexit
! Opcodes 33D0 - 33D7
N3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2023
mov.l execexit_ptr2023,r1
jmp @r1
add #-2,r6
fdl2023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2023: .long execexit
! Opcodes 33D8 - 33DF
N3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2024
mov.l execexit_ptr2024,r1
jmp @r1
add #-2,r6
fdl2024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2024: .long execexit
! Opcodes 33E0 - 33E7
N3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2025
mov.l execexit_ptr2025,r1
jmp @r1
add #-2,r6
fdl2025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2025: .long execexit
! Opcodes 33E8 - 33EF
N3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2026
mov.l execexit_ptr2026,r1
jmp @r1
add #-2,r6
fdl2026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2026: .long execexit
! Opcodes 33F0 - 33F7
N3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd525
exts.w r0,r0
longwd525:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2027
mov.l execexit_ptr2027,r1
jmp @r1
add #-2,r6
fdl2027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2027: .long execexit
! Opcode 33F8
N3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2028
mov.l execexit_ptr2028,r1
jmp @r1
add #-2,r6
fdl2028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2028: .long execexit
! Opcode 33F9
N3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2029
mov.l execexit_ptr2029,r1
jmp @r1
add #-2,r6
fdl2029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2029: .long execexit
! Opcode 33FA
N3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2030
mov.l execexit_ptr2030,r1
jmp @r1
add #-2,r6
fdl2030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2030: .long execexit
! Opcode 33FB
N3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd526
exts.w r0,r0
longwd526:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2031
mov.l execexit_ptr2031,r1
jmp @r1
add #-2,r6
fdl2031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2031: .long execexit
! Opcode 33FC
N3FC:
mov.w @r6+,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2032
mov.l execexit_ptr2032,r1
jmp @r1
add #-2,r6
fdl2032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2032: .long execexit
! Opcodes 3400 - 3407
N400:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2033
mov.l execexit_ptr2033,r1
jmp @r1
add #-2,r6
fdl2033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2033: .long execexit
! Opcodes 3408 - 340F
N408:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2034
mov.l execexit_ptr2034,r1
jmp @r1
add #-2,r6
fdl2034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2034: .long execexit
! Opcodes 3410 - 3417
N410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2035
mov.l execexit_ptr2035,r1
jmp @r1
add #-2,r6
fdl2035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2035: .long execexit
! Opcodes 3418 - 341F
N418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2036
mov.l execexit_ptr2036,r1
jmp @r1
add #-2,r6
fdl2036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2036: .long execexit
! Opcodes 3420 - 3427
N420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2037
mov.l execexit_ptr2037,r1
jmp @r1
add #-2,r6
fdl2037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2037: .long execexit
! Opcodes 3428 - 342F
N428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2038
mov.l execexit_ptr2038,r1
jmp @r1
add #-2,r6
fdl2038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2038: .long execexit
! Opcodes 3430 - 3437
N430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd527
exts.w r0,r0
longwd527:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2039
mov.l execexit_ptr2039,r1
jmp @r1
add #-2,r6
fdl2039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2039: .long execexit
! Opcode 3438
N438:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2040
mov.l execexit_ptr2040,r1
jmp @r1
add #-2,r6
fdl2040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2040: .long execexit
! Opcode 3439
N439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2041
mov.l execexit_ptr2041,r1
jmp @r1
add #-2,r6
fdl2041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2041: .long execexit
! Opcode 343A
N43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2042
mov.l execexit_ptr2042,r1
jmp @r1
add #-2,r6
fdl2042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2042: .long execexit
! Opcode 343B
N43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd528
exts.w r0,r0
longwd528:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2043
mov.l execexit_ptr2043,r1
jmp @r1
add #-2,r6
fdl2043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2043: .long execexit
! Opcode 343C
N43C:
mov.w @r6+,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2044
mov.l execexit_ptr2044,r1
jmp @r1
add #-2,r6
fdl2044:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2044: .long execexit
! Opcodes 3440 - 3447
N440:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2045
mov.l execexit_ptr2045,r1
jmp @r1
add #-2,r6
fdl2045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2045: .long execexit
! Opcodes 3448 - 344F
N448:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2046
mov.l execexit_ptr2046,r1
jmp @r1
add #-2,r6
fdl2046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2046: .long execexit
! Opcodes 3450 - 3457
N450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2047
mov.l execexit_ptr2047,r1
jmp @r1
add #-2,r6
fdl2047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2047: .long execexit
! Opcodes 3458 - 345F
N458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2048
mov.l execexit_ptr2048,r1
jmp @r1
add #-2,r6
fdl2048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2048: .long execexit
! Opcodes 3460 - 3467
N460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2049
mov.l execexit_ptr2049,r1
jmp @r1
add #-2,r6
fdl2049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2049: .long execexit
! Opcodes 3468 - 346F
N468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2050
mov.l execexit_ptr2050,r1
jmp @r1
add #-2,r6
fdl2050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2050: .long execexit
! Opcodes 3470 - 3477
N470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd529
exts.w r0,r0
longwd529:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2051
mov.l execexit_ptr2051,r1
jmp @r1
add #-2,r6
fdl2051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2051: .long execexit
! Opcode 3478
N478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2052
mov.l execexit_ptr2052,r1
jmp @r1
add #-2,r6
fdl2052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2052: .long execexit
! Opcode 3479
N479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2053
mov.l execexit_ptr2053,r1
jmp @r1
add #-2,r6
fdl2053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2053: .long execexit
! Opcode 347A
N47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2054
mov.l execexit_ptr2054,r1
jmp @r1
add #-2,r6
fdl2054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2054: .long execexit
! Opcode 347B
N47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd530
exts.w r0,r0
longwd530:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2055
mov.l execexit_ptr2055,r1
jmp @r1
add #-2,r6
fdl2055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2055: .long execexit
! Opcode 347C
N47C:
mov.w @r6+,r3
mov.l r3,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2056
mov.l execexit_ptr2056,r1
jmp @r1
add #-2,r6
fdl2056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2056: .long execexit
! Opcodes 3480 - 3487
N480:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2057
mov.l execexit_ptr2057,r1
jmp @r1
add #-2,r6
fdl2057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2057: .long execexit
! Opcodes 3488 - 348F
N488:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2058
mov.l execexit_ptr2058,r1
jmp @r1
add #-2,r6
fdl2058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2058: .long execexit
! Opcodes 3490 - 3497
N490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2059
mov.l execexit_ptr2059,r1
jmp @r1
add #-2,r6
fdl2059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2059: .long execexit
! Opcodes 3498 - 349F
N498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2060
mov.l execexit_ptr2060,r1
jmp @r1
add #-2,r6
fdl2060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2060: .long execexit
! Opcodes 34A0 - 34A7
N4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2061
mov.l execexit_ptr2061,r1
jmp @r1
add #-2,r6
fdl2061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2061: .long execexit
! Opcodes 34A8 - 34AF
N4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2062
mov.l execexit_ptr2062,r1
jmp @r1
add #-2,r6
fdl2062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2062: .long execexit
! Opcodes 34B0 - 34B7
N4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd531
exts.w r0,r0
longwd531:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2063
mov.l execexit_ptr2063,r1
jmp @r1
add #-2,r6
fdl2063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2063: .long execexit
! Opcode 34B8
N4B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2064
mov.l execexit_ptr2064,r1
jmp @r1
add #-2,r6
fdl2064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2064: .long execexit
! Opcode 34B9
N4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2065
mov.l execexit_ptr2065,r1
jmp @r1
add #-2,r6
fdl2065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2065: .long execexit
! Opcode 34BA
N4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2066
mov.l execexit_ptr2066,r1
jmp @r1
add #-2,r6
fdl2066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2066: .long execexit
! Opcode 34BB
N4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd532
exts.w r0,r0
longwd532:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2067
mov.l execexit_ptr2067,r1
jmp @r1
add #-2,r6
fdl2067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2067: .long execexit
! Opcode 34BC
N4BC:
mov.w @r6+,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2068
mov.l execexit_ptr2068,r1
jmp @r1
add #-2,r6
fdl2068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2068: .long execexit
! Opcodes 34C0 - 34C7
N4C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2069
mov.l execexit_ptr2069,r1
jmp @r1
add #-2,r6
fdl2069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2069: .long execexit
! Opcodes 34C8 - 34CF
N4C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2070
mov.l execexit_ptr2070,r1
jmp @r1
add #-2,r6
fdl2070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2070: .long execexit
! Opcodes 34D0 - 34D7
N4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2071
mov.l execexit_ptr2071,r1
jmp @r1
add #-2,r6
fdl2071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2071: .long execexit
! Opcodes 34D8 - 34DF
N4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2072
mov.l execexit_ptr2072,r1
jmp @r1
add #-2,r6
fdl2072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2072: .long execexit
! Opcodes 34E0 - 34E7
N4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2073
mov.l execexit_ptr2073,r1
jmp @r1
add #-2,r6
fdl2073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2073: .long execexit
! Opcodes 34E8 - 34EF
N4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2074
mov.l execexit_ptr2074,r1
jmp @r1
add #-2,r6
fdl2074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2074: .long execexit
! Opcodes 34F0 - 34F7
N4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd533
exts.w r0,r0
longwd533:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2075
mov.l execexit_ptr2075,r1
jmp @r1
add #-2,r6
fdl2075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2075: .long execexit
! Opcode 34F8
N4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2076
mov.l execexit_ptr2076,r1
jmp @r1
add #-2,r6
fdl2076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2076: .long execexit
! Opcode 34F9
N4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2077
mov.l execexit_ptr2077,r1
jmp @r1
add #-2,r6
fdl2077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2077: .long execexit
! Opcode 34FA
N4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2078
mov.l execexit_ptr2078,r1
jmp @r1
add #-2,r6
fdl2078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2078: .long execexit
! Opcode 34FB
N4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd534
exts.w r0,r0
longwd534:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2079
mov.l execexit_ptr2079,r1
jmp @r1
add #-2,r6
fdl2079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2079: .long execexit
! Opcode 34FC
N4FC:
mov.w @r6+,r3
mov.l @(40,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2080
mov.l execexit_ptr2080,r1
jmp @r1
add #-2,r6
fdl2080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2080: .long execexit
! Opcodes 3500 - 3507
N500:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2081
mov.l execexit_ptr2081,r1
jmp @r1
add #-2,r6
fdl2081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2081: .long execexit
! Opcodes 3508 - 350F
N508:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2082
mov.l execexit_ptr2082,r1
jmp @r1
add #-2,r6
fdl2082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2082: .long execexit
! Opcodes 3510 - 3517
N510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2083
mov.l execexit_ptr2083,r1
jmp @r1
add #-2,r6
fdl2083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2083: .long execexit
! Opcodes 3518 - 351F
N518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2084
mov.l execexit_ptr2084,r1
jmp @r1
add #-2,r6
fdl2084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2084: .long execexit
! Opcodes 3520 - 3527
N520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2085
mov.l execexit_ptr2085,r1
jmp @r1
add #-2,r6
fdl2085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2085: .long execexit
! Opcodes 3528 - 352F
N528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2086
mov.l execexit_ptr2086,r1
jmp @r1
add #-2,r6
fdl2086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2086: .long execexit
! Opcodes 3530 - 3537
N530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd535
exts.w r0,r0
longwd535:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2087
mov.l execexit_ptr2087,r1
jmp @r1
add #-2,r6
fdl2087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2087: .long execexit
! Opcode 3538
N538:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2088
mov.l execexit_ptr2088,r1
jmp @r1
add #-2,r6
fdl2088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2088: .long execexit
! Opcode 3539
N539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2089
mov.l execexit_ptr2089,r1
jmp @r1
add #-2,r6
fdl2089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2089: .long execexit
! Opcode 353A
N53A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2090
mov.l execexit_ptr2090,r1
jmp @r1
add #-2,r6
fdl2090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2090: .long execexit
! Opcode 353B
N53B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd536
exts.w r0,r0
longwd536:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2091
mov.l execexit_ptr2091,r1
jmp @r1
add #-2,r6
fdl2091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2091: .long execexit
! Opcode 353C
N53C:
mov.w @r6+,r3
mov.l @(40,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2092
mov.l execexit_ptr2092,r1
jmp @r1
add #-2,r6
fdl2092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2092: .long execexit
! Opcodes 3540 - 3547
N540:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2093
mov.l execexit_ptr2093,r1
jmp @r1
add #-2,r6
fdl2093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2093: .long execexit
! Opcodes 3548 - 354F
N548:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2094
mov.l execexit_ptr2094,r1
jmp @r1
add #-2,r6
fdl2094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2094: .long execexit
! Opcodes 3550 - 3557
N550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2095
mov.l execexit_ptr2095,r1
jmp @r1
add #-2,r6
fdl2095:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2095: .long execexit
! Opcodes 3558 - 355F
N558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2096
mov.l execexit_ptr2096,r1
jmp @r1
add #-2,r6
fdl2096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2096: .long execexit
! Opcodes 3560 - 3567
N560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2097
mov.l execexit_ptr2097,r1
jmp @r1
add #-2,r6
fdl2097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2097: .long execexit
! Opcodes 3568 - 356F
N568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2098
mov.l execexit_ptr2098,r1
jmp @r1
add #-2,r6
fdl2098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2098: .long execexit
! Opcodes 3570 - 3577
N570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd537
exts.w r0,r0
longwd537:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2099
mov.l execexit_ptr2099,r1
jmp @r1
add #-2,r6
fdl2099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2099: .long execexit
! Opcode 3578
N578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2100
mov.l execexit_ptr2100,r1
jmp @r1
add #-2,r6
fdl2100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2100: .long execexit
! Opcode 3579
N579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2101
mov.l execexit_ptr2101,r1
jmp @r1
add #-2,r6
fdl2101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2101: .long execexit
! Opcode 357A
N57A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2102
mov.l execexit_ptr2102,r1
jmp @r1
add #-2,r6
fdl2102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2102: .long execexit
! Opcode 357B
N57B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd538
exts.w r0,r0
longwd538:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2103
mov.l execexit_ptr2103,r1
jmp @r1
add #-2,r6
fdl2103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2103: .long execexit
! Opcode 357C
N57C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2104
mov.l execexit_ptr2104,r1
jmp @r1
add #-2,r6
fdl2104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2104: .long execexit
! Opcodes 3580 - 3587
N580:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd539
exts.w r0,r0
longwd539:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2105
mov.l execexit_ptr2105,r1
jmp @r1
add #-2,r6
fdl2105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2105: .long execexit
! Opcodes 3588 - 358F
N588:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd540
exts.w r0,r0
longwd540:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2106
mov.l execexit_ptr2106,r1
jmp @r1
add #-2,r6
fdl2106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2106: .long execexit
! Opcodes 3590 - 3597
N590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd541
exts.w r0,r0
longwd541:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2107
mov.l execexit_ptr2107,r1
jmp @r1
add #-2,r6
fdl2107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2107: .long execexit
! Opcodes 3598 - 359F
N598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd542
exts.w r0,r0
longwd542:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2108
mov.l execexit_ptr2108,r1
jmp @r1
add #-2,r6
fdl2108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2108: .long execexit
! Opcodes 35A0 - 35A7
N5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd543
exts.w r0,r0
longwd543:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2109
mov.l execexit_ptr2109,r1
jmp @r1
add #-2,r6
fdl2109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2109: .long execexit
! Opcodes 35A8 - 35AF
N5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd544
exts.w r0,r0
longwd544:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2110
mov.l execexit_ptr2110,r1
jmp @r1
add #-2,r6
fdl2110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2110: .long execexit
! Opcodes 35B0 - 35B7
N5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd545
exts.w r0,r0
longwd545:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd546
exts.w r0,r0
longwd546:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2111
mov.l execexit_ptr2111,r1
jmp @r1
add #-2,r6
fdl2111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2111: .long execexit
! Opcode 35B8
N5B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd547
exts.w r0,r0
longwd547:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2112
mov.l execexit_ptr2112,r1
jmp @r1
add #-2,r6
fdl2112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2112: .long execexit
! Opcode 35B9
N5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd548
exts.w r0,r0
longwd548:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2113
mov.l execexit_ptr2113,r1
jmp @r1
add #-2,r6
fdl2113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2113: .long execexit
! Opcode 35BA
N5BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd549
exts.w r0,r0
longwd549:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2114
mov.l execexit_ptr2114,r1
jmp @r1
add #-2,r6
fdl2114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2114: .long execexit
! Opcode 35BB
N5BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd550
exts.w r0,r0
longwd550:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd551
exts.w r0,r0
longwd551:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2115
mov.l execexit_ptr2115,r1
jmp @r1
add #-2,r6
fdl2115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2115: .long execexit
! Opcode 35BC
N5BC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd552
exts.w r0,r0
longwd552:
add r0,r4
mov.l @(40,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2116
mov.l execexit_ptr2116,r1
jmp @r1
add #-2,r6
fdl2116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2116: .long execexit
! Opcodes 3600 - 3607
N600:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2117
mov.l execexit_ptr2117,r1
jmp @r1
add #-2,r6
fdl2117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2117: .long execexit
! Opcodes 3608 - 360F
N608:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2118
mov.l execexit_ptr2118,r1
jmp @r1
add #-2,r6
fdl2118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2118: .long execexit
! Opcodes 3610 - 3617
N610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2119
mov.l execexit_ptr2119,r1
jmp @r1
add #-2,r6
fdl2119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2119: .long execexit
! Opcodes 3618 - 361F
N618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2120
mov.l execexit_ptr2120,r1
jmp @r1
add #-2,r6
fdl2120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2120: .long execexit
! Opcodes 3620 - 3627
N620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2121
mov.l execexit_ptr2121,r1
jmp @r1
add #-2,r6
fdl2121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2121: .long execexit
! Opcodes 3628 - 362F
N628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2122
mov.l execexit_ptr2122,r1
jmp @r1
add #-2,r6
fdl2122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2122: .long execexit
! Opcodes 3630 - 3637
N630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd553
exts.w r0,r0
longwd553:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2123
mov.l execexit_ptr2123,r1
jmp @r1
add #-2,r6
fdl2123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2123: .long execexit
! Opcode 3638
N638:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2124
mov.l execexit_ptr2124,r1
jmp @r1
add #-2,r6
fdl2124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2124: .long execexit
! Opcode 3639
N639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2125
mov.l execexit_ptr2125,r1
jmp @r1
add #-2,r6
fdl2125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2125: .long execexit
! Opcode 363A
N63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2126
mov.l execexit_ptr2126,r1
jmp @r1
add #-2,r6
fdl2126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2126: .long execexit
! Opcode 363B
N63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd554
exts.w r0,r0
longwd554:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2127
mov.l execexit_ptr2127,r1
jmp @r1
add #-2,r6
fdl2127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2127: .long execexit
! Opcode 363C
N63C:
mov.w @r6+,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2128
mov.l execexit_ptr2128,r1
jmp @r1
add #-2,r6
fdl2128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2128: .long execexit
! Opcodes 3640 - 3647
N640:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2129
mov.l execexit_ptr2129,r1
jmp @r1
add #-2,r6
fdl2129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2129: .long execexit
! Opcodes 3648 - 364F
N648:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2130
mov.l execexit_ptr2130,r1
jmp @r1
add #-2,r6
fdl2130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2130: .long execexit
! Opcodes 3650 - 3657
N650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2131
mov.l execexit_ptr2131,r1
jmp @r1
add #-2,r6
fdl2131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2131: .long execexit
! Opcodes 3658 - 365F
N658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2132
mov.l execexit_ptr2132,r1
jmp @r1
add #-2,r6
fdl2132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2132: .long execexit
! Opcodes 3660 - 3667
N660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2133
mov.l execexit_ptr2133,r1
jmp @r1
add #-2,r6
fdl2133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2133: .long execexit
! Opcodes 3668 - 366F
N668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2134
mov.l execexit_ptr2134,r1
jmp @r1
add #-2,r6
fdl2134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2134: .long execexit
! Opcodes 3670 - 3677
N670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd555
exts.w r0,r0
longwd555:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2135
mov.l execexit_ptr2135,r1
jmp @r1
add #-2,r6
fdl2135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2135: .long execexit
! Opcode 3678
N678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2136
mov.l execexit_ptr2136,r1
jmp @r1
add #-2,r6
fdl2136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2136: .long execexit
! Opcode 3679
N679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2137
mov.l execexit_ptr2137,r1
jmp @r1
add #-2,r6
fdl2137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2137: .long execexit
! Opcode 367A
N67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2138
mov.l execexit_ptr2138,r1
jmp @r1
add #-2,r6
fdl2138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2138: .long execexit
! Opcode 367B
N67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd556
exts.w r0,r0
longwd556:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2139
mov.l execexit_ptr2139,r1
jmp @r1
add #-2,r6
fdl2139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2139: .long execexit
! Opcode 367C
N67C:
mov.w @r6+,r3
mov.l r3,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2140
mov.l execexit_ptr2140,r1
jmp @r1
add #-2,r6
fdl2140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2140: .long execexit
! Opcodes 3680 - 3687
N680:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2141
mov.l execexit_ptr2141,r1
jmp @r1
add #-2,r6
fdl2141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2141: .long execexit
! Opcodes 3688 - 368F
N688:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2142
mov.l execexit_ptr2142,r1
jmp @r1
add #-2,r6
fdl2142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2142: .long execexit
! Opcodes 3690 - 3697
N690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2143
mov.l execexit_ptr2143,r1
jmp @r1
add #-2,r6
fdl2143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2143: .long execexit
! Opcodes 3698 - 369F
N698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2144
mov.l execexit_ptr2144,r1
jmp @r1
add #-2,r6
fdl2144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2144: .long execexit
! Opcodes 36A0 - 36A7
N6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2145
mov.l execexit_ptr2145,r1
jmp @r1
add #-2,r6
fdl2145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2145: .long execexit
! Opcodes 36A8 - 36AF
N6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2146
mov.l execexit_ptr2146,r1
jmp @r1
add #-2,r6
fdl2146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2146: .long execexit
! Opcodes 36B0 - 36B7
N6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd557
exts.w r0,r0
longwd557:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2147
mov.l execexit_ptr2147,r1
jmp @r1
add #-2,r6
fdl2147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2147: .long execexit
! Opcode 36B8
N6B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2148
mov.l execexit_ptr2148,r1
jmp @r1
add #-2,r6
fdl2148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2148: .long execexit
! Opcode 36B9
N6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2149
mov.l execexit_ptr2149,r1
jmp @r1
add #-2,r6
fdl2149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2149: .long execexit
! Opcode 36BA
N6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2150
mov.l execexit_ptr2150,r1
jmp @r1
add #-2,r6
fdl2150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2150: .long execexit
! Opcode 36BB
N6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd558
exts.w r0,r0
longwd558:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2151
mov.l execexit_ptr2151,r1
jmp @r1
add #-2,r6
fdl2151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2151: .long execexit
! Opcode 36BC
N6BC:
mov.w @r6+,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2152
mov.l execexit_ptr2152,r1
jmp @r1
add #-2,r6
fdl2152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2152: .long execexit
! Opcodes 36C0 - 36C7
N6C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2153
mov.l execexit_ptr2153,r1
jmp @r1
add #-2,r6
fdl2153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2153: .long execexit
! Opcodes 36C8 - 36CF
N6C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2154
mov.l execexit_ptr2154,r1
jmp @r1
add #-2,r6
fdl2154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2154: .long execexit
! Opcodes 36D0 - 36D7
N6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2155
mov.l execexit_ptr2155,r1
jmp @r1
add #-2,r6
fdl2155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2155: .long execexit
! Opcodes 36D8 - 36DF
N6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2156
mov.l execexit_ptr2156,r1
jmp @r1
add #-2,r6
fdl2156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2156: .long execexit
! Opcodes 36E0 - 36E7
N6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2157
mov.l execexit_ptr2157,r1
jmp @r1
add #-2,r6
fdl2157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2157: .long execexit
! Opcodes 36E8 - 36EF
N6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2158
mov.l execexit_ptr2158,r1
jmp @r1
add #-2,r6
fdl2158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2158: .long execexit
! Opcodes 36F0 - 36F7
N6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd559
exts.w r0,r0
longwd559:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2159
mov.l execexit_ptr2159,r1
jmp @r1
add #-2,r6
fdl2159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2159: .long execexit
! Opcode 36F8
N6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2160
mov.l execexit_ptr2160,r1
jmp @r1
add #-2,r6
fdl2160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2160: .long execexit
! Opcode 36F9
N6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2161
mov.l execexit_ptr2161,r1
jmp @r1
add #-2,r6
fdl2161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2161: .long execexit
! Opcode 36FA
N6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2162
mov.l execexit_ptr2162,r1
jmp @r1
add #-2,r6
fdl2162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2162: .long execexit
! Opcode 36FB
N6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd560
exts.w r0,r0
longwd560:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2163
mov.l execexit_ptr2163,r1
jmp @r1
add #-2,r6
fdl2163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2163: .long execexit
! Opcode 36FC
N6FC:
mov.w @r6+,r3
mov.l @(44,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2164
mov.l execexit_ptr2164,r1
jmp @r1
add #-2,r6
fdl2164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2164: .long execexit
! Opcodes 3700 - 3707
N700:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2165
mov.l execexit_ptr2165,r1
jmp @r1
add #-2,r6
fdl2165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2165: .long execexit
! Opcodes 3708 - 370F
N708:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2166
mov.l execexit_ptr2166,r1
jmp @r1
add #-2,r6
fdl2166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2166: .long execexit
! Opcodes 3710 - 3717
N710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2167
mov.l execexit_ptr2167,r1
jmp @r1
add #-2,r6
fdl2167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2167: .long execexit
! Opcodes 3718 - 371F
N718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2168
mov.l execexit_ptr2168,r1
jmp @r1
add #-2,r6
fdl2168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2168: .long execexit
! Opcodes 3720 - 3727
N720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2169
mov.l execexit_ptr2169,r1
jmp @r1
add #-2,r6
fdl2169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2169: .long execexit
! Opcodes 3728 - 372F
N728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2170
mov.l execexit_ptr2170,r1
jmp @r1
add #-2,r6
fdl2170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2170: .long execexit
! Opcodes 3730 - 3737
N730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd561
exts.w r0,r0
longwd561:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2171
mov.l execexit_ptr2171,r1
jmp @r1
add #-2,r6
fdl2171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2171: .long execexit
! Opcode 3738
N738:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2172
mov.l execexit_ptr2172,r1
jmp @r1
add #-2,r6
fdl2172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2172: .long execexit
! Opcode 3739
N739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2173
mov.l execexit_ptr2173,r1
jmp @r1
add #-2,r6
fdl2173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2173: .long execexit
! Opcode 373A
N73A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2174
mov.l execexit_ptr2174,r1
jmp @r1
add #-2,r6
fdl2174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2174: .long execexit
! Opcode 373B
N73B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd562
exts.w r0,r0
longwd562:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2175
mov.l execexit_ptr2175,r1
jmp @r1
add #-2,r6
fdl2175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2175: .long execexit
! Opcode 373C
N73C:
mov.w @r6+,r3
mov.l @(44,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2176
mov.l execexit_ptr2176,r1
jmp @r1
add #-2,r6
fdl2176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2176: .long execexit
! Opcodes 3740 - 3747
N740:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2177
mov.l execexit_ptr2177,r1
jmp @r1
add #-2,r6
fdl2177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2177: .long execexit
! Opcodes 3748 - 374F
N748:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2178
mov.l execexit_ptr2178,r1
jmp @r1
add #-2,r6
fdl2178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2178: .long execexit
! Opcodes 3750 - 3757
N750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2179
mov.l execexit_ptr2179,r1
jmp @r1
add #-2,r6
fdl2179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2179: .long execexit
! Opcodes 3758 - 375F
N758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2180
mov.l execexit_ptr2180,r1
jmp @r1
add #-2,r6
fdl2180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2180: .long execexit
! Opcodes 3760 - 3767
N760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2181
mov.l execexit_ptr2181,r1
jmp @r1
add #-2,r6
fdl2181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2181: .long execexit
! Opcodes 3768 - 376F
N768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2182
mov.l execexit_ptr2182,r1
jmp @r1
add #-2,r6
fdl2182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2182: .long execexit
! Opcodes 3770 - 3777
N770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd563
exts.w r0,r0
longwd563:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2183
mov.l execexit_ptr2183,r1
jmp @r1
add #-2,r6
fdl2183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2183: .long execexit
! Opcode 3778
N778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2184
mov.l execexit_ptr2184,r1
jmp @r1
add #-2,r6
fdl2184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2184: .long execexit
! Opcode 3779
N779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2185
mov.l execexit_ptr2185,r1
jmp @r1
add #-2,r6
fdl2185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2185: .long execexit
! Opcode 377A
N77A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2186
mov.l execexit_ptr2186,r1
jmp @r1
add #-2,r6
fdl2186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2186: .long execexit
! Opcode 377B
N77B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd564
exts.w r0,r0
longwd564:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2187
mov.l execexit_ptr2187,r1
jmp @r1
add #-2,r6
fdl2187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2187: .long execexit
! Opcode 377C
N77C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2188
mov.l execexit_ptr2188,r1
jmp @r1
add #-2,r6
fdl2188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2188: .long execexit
! Opcodes 3780 - 3787
N780:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd565
exts.w r0,r0
longwd565:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2189
mov.l execexit_ptr2189,r1
jmp @r1
add #-2,r6
fdl2189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2189: .long execexit
! Opcodes 3788 - 378F
N788:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd566
exts.w r0,r0
longwd566:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2190
mov.l execexit_ptr2190,r1
jmp @r1
add #-2,r6
fdl2190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2190: .long execexit
! Opcodes 3790 - 3797
N790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd567
exts.w r0,r0
longwd567:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2191
mov.l execexit_ptr2191,r1
jmp @r1
add #-2,r6
fdl2191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2191: .long execexit
! Opcodes 3798 - 379F
N798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd568
exts.w r0,r0
longwd568:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2192
mov.l execexit_ptr2192,r1
jmp @r1
add #-2,r6
fdl2192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2192: .long execexit
! Opcodes 37A0 - 37A7
N7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd569
exts.w r0,r0
longwd569:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2193
mov.l execexit_ptr2193,r1
jmp @r1
add #-2,r6
fdl2193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2193: .long execexit
! Opcodes 37A8 - 37AF
N7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd570
exts.w r0,r0
longwd570:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2194
mov.l execexit_ptr2194,r1
jmp @r1
add #-2,r6
fdl2194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2194: .long execexit
! Opcodes 37B0 - 37B7
N7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd571
exts.w r0,r0
longwd571:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd572
exts.w r0,r0
longwd572:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2195
mov.l execexit_ptr2195,r1
jmp @r1
add #-2,r6
fdl2195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2195: .long execexit
! Opcode 37B8
N7B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd573
exts.w r0,r0
longwd573:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2196
mov.l execexit_ptr2196,r1
jmp @r1
add #-2,r6
fdl2196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2196: .long execexit
! Opcode 37B9
N7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd574
exts.w r0,r0
longwd574:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2197
mov.l execexit_ptr2197,r1
jmp @r1
add #-2,r6
fdl2197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2197: .long execexit
! Opcode 37BA
N7BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd575
exts.w r0,r0
longwd575:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2198
mov.l execexit_ptr2198,r1
jmp @r1
add #-2,r6
fdl2198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2198: .long execexit
! Opcode 37BB
N7BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd576
exts.w r0,r0
longwd576:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd577
exts.w r0,r0
longwd577:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2199
mov.l execexit_ptr2199,r1
jmp @r1
add #-2,r6
fdl2199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2199: .long execexit
! Opcode 37BC
N7BC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd578
exts.w r0,r0
longwd578:
add r0,r4
mov.l @(44,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2200
mov.l execexit_ptr2200,r1
jmp @r1
add #-2,r6
fdl2200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2200: .long execexit
! Opcodes 3800 - 3807
N800:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2201
mov.l execexit_ptr2201,r1
jmp @r1
add #-2,r6
fdl2201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2201: .long execexit
! Opcodes 3808 - 380F
N808:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2202
mov.l execexit_ptr2202,r1
jmp @r1
add #-2,r6
fdl2202:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2202: .long execexit
! Opcodes 3810 - 3817
N810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2203
mov.l execexit_ptr2203,r1
jmp @r1
add #-2,r6
fdl2203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2203: .long execexit
! Opcodes 3818 - 381F
N818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2204
mov.l execexit_ptr2204,r1
jmp @r1
add #-2,r6
fdl2204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2204: .long execexit
! Opcodes 3820 - 3827
N820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2205
mov.l execexit_ptr2205,r1
jmp @r1
add #-2,r6
fdl2205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2205: .long execexit
! Opcodes 3828 - 382F
N828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2206
mov.l execexit_ptr2206,r1
jmp @r1
add #-2,r6
fdl2206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2206: .long execexit
! Opcodes 3830 - 3837
N830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd579
exts.w r0,r0
longwd579:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2207
mov.l execexit_ptr2207,r1
jmp @r1
add #-2,r6
fdl2207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2207: .long execexit
! Opcode 3838
N838:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2208
mov.l execexit_ptr2208,r1
jmp @r1
add #-2,r6
fdl2208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2208: .long execexit
! Opcode 3839
N839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2209
mov.l execexit_ptr2209,r1
jmp @r1
add #-2,r6
fdl2209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2209: .long execexit
! Opcode 383A
N83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2210
mov.l execexit_ptr2210,r1
jmp @r1
add #-2,r6
fdl2210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2210: .long execexit
! Opcode 383B
N83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd580
exts.w r0,r0
longwd580:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2211
mov.l execexit_ptr2211,r1
jmp @r1
add #-2,r6
fdl2211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2211: .long execexit
! Opcode 383C
N83C:
mov.w @r6+,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2212
mov.l execexit_ptr2212,r1
jmp @r1
add #-2,r6
fdl2212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2212: .long execexit
! Opcodes 3840 - 3847
N840:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2213
mov.l execexit_ptr2213,r1
jmp @r1
add #-2,r6
fdl2213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2213: .long execexit
! Opcodes 3848 - 384F
N848:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2214
mov.l execexit_ptr2214,r1
jmp @r1
add #-2,r6
fdl2214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2214: .long execexit
! Opcodes 3850 - 3857
N850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2215
mov.l execexit_ptr2215,r1
jmp @r1
add #-2,r6
fdl2215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2215: .long execexit
! Opcodes 3858 - 385F
N858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2216
mov.l execexit_ptr2216,r1
jmp @r1
add #-2,r6
fdl2216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2216: .long execexit
! Opcodes 3860 - 3867
N860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2217
mov.l execexit_ptr2217,r1
jmp @r1
add #-2,r6
fdl2217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2217: .long execexit
! Opcodes 3868 - 386F
N868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2218
mov.l execexit_ptr2218,r1
jmp @r1
add #-2,r6
fdl2218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2218: .long execexit
! Opcodes 3870 - 3877
N870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd581
exts.w r0,r0
longwd581:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2219
mov.l execexit_ptr2219,r1
jmp @r1
add #-2,r6
fdl2219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2219: .long execexit
! Opcode 3878
N878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2220
mov.l execexit_ptr2220,r1
jmp @r1
add #-2,r6
fdl2220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2220: .long execexit
! Opcode 3879
N879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2221
mov.l execexit_ptr2221,r1
jmp @r1
add #-2,r6
fdl2221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2221: .long execexit
! Opcode 387A
N87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2222
mov.l execexit_ptr2222,r1
jmp @r1
add #-2,r6
fdl2222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2222: .long execexit
! Opcode 387B
N87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd582
exts.w r0,r0
longwd582:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2223
mov.l execexit_ptr2223,r1
jmp @r1
add #-2,r6
fdl2223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2223: .long execexit
! Opcode 387C
N87C:
mov.w @r6+,r3
mov.l r3,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2224
mov.l execexit_ptr2224,r1
jmp @r1
add #-2,r6
fdl2224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2224: .long execexit
! Opcodes 3880 - 3887
N880:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2225
mov.l execexit_ptr2225,r1
jmp @r1
add #-2,r6
fdl2225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2225: .long execexit
! Opcodes 3888 - 388F
N888:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2226
mov.l execexit_ptr2226,r1
jmp @r1
add #-2,r6
fdl2226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2226: .long execexit
! Opcodes 3890 - 3897
N890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2227
mov.l execexit_ptr2227,r1
jmp @r1
add #-2,r6
fdl2227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2227: .long execexit
! Opcodes 3898 - 389F
N898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2228
mov.l execexit_ptr2228,r1
jmp @r1
add #-2,r6
fdl2228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2228: .long execexit
! Opcodes 38A0 - 38A7
N8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2229
mov.l execexit_ptr2229,r1
jmp @r1
add #-2,r6
fdl2229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2229: .long execexit
! Opcodes 38A8 - 38AF
N8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2230
mov.l execexit_ptr2230,r1
jmp @r1
add #-2,r6
fdl2230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2230: .long execexit
! Opcodes 38B0 - 38B7
N8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd583
exts.w r0,r0
longwd583:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2231
mov.l execexit_ptr2231,r1
jmp @r1
add #-2,r6
fdl2231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2231: .long execexit
! Opcode 38B8
N8B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2232
mov.l execexit_ptr2232,r1
jmp @r1
add #-2,r6
fdl2232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2232: .long execexit
! Opcode 38B9
N8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2233
mov.l execexit_ptr2233,r1
jmp @r1
add #-2,r6
fdl2233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2233: .long execexit
! Opcode 38BA
N8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2234
mov.l execexit_ptr2234,r1
jmp @r1
add #-2,r6
fdl2234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2234: .long execexit
! Opcode 38BB
N8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd584
exts.w r0,r0
longwd584:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2235
mov.l execexit_ptr2235,r1
jmp @r1
add #-2,r6
fdl2235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2235: .long execexit
! Opcode 38BC
N8BC:
mov.w @r6+,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2236
mov.l execexit_ptr2236,r1
jmp @r1
add #-2,r6
fdl2236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2236: .long execexit
! Opcodes 38C0 - 38C7
N8C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2237
mov.l execexit_ptr2237,r1
jmp @r1
add #-2,r6
fdl2237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2237: .long execexit
! Opcodes 38C8 - 38CF
N8C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2238
mov.l execexit_ptr2238,r1
jmp @r1
add #-2,r6
fdl2238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2238: .long execexit
! Opcodes 38D0 - 38D7
N8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2239
mov.l execexit_ptr2239,r1
jmp @r1
add #-2,r6
fdl2239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2239: .long execexit
! Opcodes 38D8 - 38DF
N8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2240
mov.l execexit_ptr2240,r1
jmp @r1
add #-2,r6
fdl2240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2240: .long execexit
! Opcodes 38E0 - 38E7
N8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2241
mov.l execexit_ptr2241,r1
jmp @r1
add #-2,r6
fdl2241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2241: .long execexit
! Opcodes 38E8 - 38EF
N8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2242
mov.l execexit_ptr2242,r1
jmp @r1
add #-2,r6
fdl2242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2242: .long execexit
! Opcodes 38F0 - 38F7
N8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd585
exts.w r0,r0
longwd585:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2243
mov.l execexit_ptr2243,r1
jmp @r1
add #-2,r6
fdl2243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2243: .long execexit
! Opcode 38F8
N8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2244
mov.l execexit_ptr2244,r1
jmp @r1
add #-2,r6
fdl2244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2244: .long execexit
! Opcode 38F9
N8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2245
mov.l execexit_ptr2245,r1
jmp @r1
add #-2,r6
fdl2245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2245: .long execexit
! Opcode 38FA
N8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2246
mov.l execexit_ptr2246,r1
jmp @r1
add #-2,r6
fdl2246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2246: .long execexit
! Opcode 38FB
N8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd586
exts.w r0,r0
longwd586:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2247
mov.l execexit_ptr2247,r1
jmp @r1
add #-2,r6
fdl2247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2247: .long execexit
! Opcode 38FC
N8FC:
mov.w @r6+,r3
mov.l @(48,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2248
mov.l execexit_ptr2248,r1
jmp @r1
add #-2,r6
fdl2248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2248: .long execexit
! Opcodes 3900 - 3907
N900:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2249
mov.l execexit_ptr2249,r1
jmp @r1
add #-2,r6
fdl2249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2249: .long execexit
! Opcodes 3908 - 390F
N908:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2250
mov.l execexit_ptr2250,r1
jmp @r1
add #-2,r6
fdl2250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2250: .long execexit
! Opcodes 3910 - 3917
N910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2251
mov.l execexit_ptr2251,r1
jmp @r1
add #-2,r6
fdl2251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2251: .long execexit
! Opcodes 3918 - 391F
N918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2252
mov.l execexit_ptr2252,r1
jmp @r1
add #-2,r6
fdl2252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2252: .long execexit
! Opcodes 3920 - 3927
N920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2253
mov.l execexit_ptr2253,r1
jmp @r1
add #-2,r6
fdl2253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2253: .long execexit
! Opcodes 3928 - 392F
N928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2254
mov.l execexit_ptr2254,r1
jmp @r1
add #-2,r6
fdl2254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2254: .long execexit
! Opcodes 3930 - 3937
N930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd587
exts.w r0,r0
longwd587:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2255
mov.l execexit_ptr2255,r1
jmp @r1
add #-2,r6
fdl2255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2255: .long execexit
! Opcode 3938
N938:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2256
mov.l execexit_ptr2256,r1
jmp @r1
add #-2,r6
fdl2256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2256: .long execexit
! Opcode 3939
N939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2257
mov.l execexit_ptr2257,r1
jmp @r1
add #-2,r6
fdl2257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2257: .long execexit
! Opcode 393A
N93A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2258
mov.l execexit_ptr2258,r1
jmp @r1
add #-2,r6
fdl2258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2258: .long execexit
! Opcode 393B
N93B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd588
exts.w r0,r0
longwd588:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2259
mov.l execexit_ptr2259,r1
jmp @r1
add #-2,r6
fdl2259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2259: .long execexit
! Opcode 393C
N93C:
mov.w @r6+,r3
mov.l @(48,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2260
mov.l execexit_ptr2260,r1
jmp @r1
add #-2,r6
fdl2260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2260: .long execexit
! Opcodes 3940 - 3947
N940:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2261
mov.l execexit_ptr2261,r1
jmp @r1
add #-2,r6
fdl2261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2261: .long execexit
! Opcodes 3948 - 394F
N948:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2262
mov.l execexit_ptr2262,r1
jmp @r1
add #-2,r6
fdl2262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2262: .long execexit
! Opcodes 3950 - 3957
N950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2263
mov.l execexit_ptr2263,r1
jmp @r1
add #-2,r6
fdl2263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2263: .long execexit
! Opcodes 3958 - 395F
N958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2264
mov.l execexit_ptr2264,r1
jmp @r1
add #-2,r6
fdl2264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2264: .long execexit
! Opcodes 3960 - 3967
N960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2265
mov.l execexit_ptr2265,r1
jmp @r1
add #-2,r6
fdl2265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2265: .long execexit
! Opcodes 3968 - 396F
N968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2266
mov.l execexit_ptr2266,r1
jmp @r1
add #-2,r6
fdl2266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2266: .long execexit
! Opcodes 3970 - 3977
N970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd589
exts.w r0,r0
longwd589:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2267
mov.l execexit_ptr2267,r1
jmp @r1
add #-2,r6
fdl2267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2267: .long execexit
! Opcode 3978
N978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2268
mov.l execexit_ptr2268,r1
jmp @r1
add #-2,r6
fdl2268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2268: .long execexit
! Opcode 3979
N979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2269
mov.l execexit_ptr2269,r1
jmp @r1
add #-2,r6
fdl2269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2269: .long execexit
! Opcode 397A
N97A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2270
mov.l execexit_ptr2270,r1
jmp @r1
add #-2,r6
fdl2270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2270: .long execexit
! Opcode 397B
N97B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd590
exts.w r0,r0
longwd590:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2271
mov.l execexit_ptr2271,r1
jmp @r1
add #-2,r6
fdl2271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2271: .long execexit
! Opcode 397C
N97C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2272
mov.l execexit_ptr2272,r1
jmp @r1
add #-2,r6
fdl2272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2272: .long execexit
! Opcodes 3980 - 3987
N980:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd591
exts.w r0,r0
longwd591:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2273
mov.l execexit_ptr2273,r1
jmp @r1
add #-2,r6
fdl2273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2273: .long execexit
! Opcodes 3988 - 398F
N988:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd592
exts.w r0,r0
longwd592:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2274
mov.l execexit_ptr2274,r1
jmp @r1
add #-2,r6
fdl2274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2274: .long execexit
! Opcodes 3990 - 3997
N990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd593
exts.w r0,r0
longwd593:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2275
mov.l execexit_ptr2275,r1
jmp @r1
add #-2,r6
fdl2275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2275: .long execexit
! Opcodes 3998 - 399F
N998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd594
exts.w r0,r0
longwd594:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2276
mov.l execexit_ptr2276,r1
jmp @r1
add #-2,r6
fdl2276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2276: .long execexit
! Opcodes 39A0 - 39A7
N9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd595
exts.w r0,r0
longwd595:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2277
mov.l execexit_ptr2277,r1
jmp @r1
add #-2,r6
fdl2277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2277: .long execexit
! Opcodes 39A8 - 39AF
N9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd596
exts.w r0,r0
longwd596:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2278
mov.l execexit_ptr2278,r1
jmp @r1
add #-2,r6
fdl2278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2278: .long execexit
! Opcodes 39B0 - 39B7
N9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd597
exts.w r0,r0
longwd597:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd598
exts.w r0,r0
longwd598:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2279
mov.l execexit_ptr2279,r1
jmp @r1
add #-2,r6
fdl2279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2279: .long execexit
! Opcode 39B8
N9B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd599
exts.w r0,r0
longwd599:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2280
mov.l execexit_ptr2280,r1
jmp @r1
add #-2,r6
fdl2280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2280: .long execexit
! Opcode 39B9
N9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd600
exts.w r0,r0
longwd600:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2281
mov.l execexit_ptr2281,r1
jmp @r1
add #-2,r6
fdl2281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2281: .long execexit
! Opcode 39BA
N9BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd601
exts.w r0,r0
longwd601:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2282
mov.l execexit_ptr2282,r1
jmp @r1
add #-2,r6
fdl2282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2282: .long execexit
! Opcode 39BB
N9BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd602
exts.w r0,r0
longwd602:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd603
exts.w r0,r0
longwd603:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2283
mov.l execexit_ptr2283,r1
jmp @r1
add #-2,r6
fdl2283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2283: .long execexit
! Opcode 39BC
N9BC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd604
exts.w r0,r0
longwd604:
add r0,r4
mov.l @(48,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2284
mov.l execexit_ptr2284,r1
jmp @r1
add #-2,r6
fdl2284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2284: .long execexit
! Opcodes 3A00 - 3A07
NA00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2285
mov.l execexit_ptr2285,r1
jmp @r1
add #-2,r6
fdl2285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2285: .long execexit
! Opcodes 3A08 - 3A0F
NA08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2286
mov.l execexit_ptr2286,r1
jmp @r1
add #-2,r6
fdl2286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2286: .long execexit
! Opcodes 3A10 - 3A17
NA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2287
mov.l execexit_ptr2287,r1
jmp @r1
add #-2,r6
fdl2287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2287: .long execexit
! Opcodes 3A18 - 3A1F
NA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2288
mov.l execexit_ptr2288,r1
jmp @r1
add #-2,r6
fdl2288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2288: .long execexit
! Opcodes 3A20 - 3A27
NA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2289
mov.l execexit_ptr2289,r1
jmp @r1
add #-2,r6
fdl2289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2289: .long execexit
! Opcodes 3A28 - 3A2F
NA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2290
mov.l execexit_ptr2290,r1
jmp @r1
add #-2,r6
fdl2290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2290: .long execexit
! Opcodes 3A30 - 3A37
NA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd605
exts.w r0,r0
longwd605:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2291
mov.l execexit_ptr2291,r1
jmp @r1
add #-2,r6
fdl2291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2291: .long execexit
! Opcode 3A38
NA38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2292
mov.l execexit_ptr2292,r1
jmp @r1
add #-2,r6
fdl2292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2292: .long execexit
! Opcode 3A39
NA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2293
mov.l execexit_ptr2293,r1
jmp @r1
add #-2,r6
fdl2293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2293: .long execexit
! Opcode 3A3A
NA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2294
mov.l execexit_ptr2294,r1
jmp @r1
add #-2,r6
fdl2294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2294: .long execexit
! Opcode 3A3B
NA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd606
exts.w r0,r0
longwd606:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2295
mov.l execexit_ptr2295,r1
jmp @r1
add #-2,r6
fdl2295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2295: .long execexit
! Opcode 3A3C
NA3C:
mov.w @r6+,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2296
mov.l execexit_ptr2296,r1
jmp @r1
add #-2,r6
fdl2296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2296: .long execexit
! Opcodes 3A40 - 3A47
NA40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2297
mov.l execexit_ptr2297,r1
jmp @r1
add #-2,r6
fdl2297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2297: .long execexit
! Opcodes 3A48 - 3A4F
NA48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2298
mov.l execexit_ptr2298,r1
jmp @r1
add #-2,r6
fdl2298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2298: .long execexit
! Opcodes 3A50 - 3A57
NA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2299
mov.l execexit_ptr2299,r1
jmp @r1
add #-2,r6
fdl2299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2299: .long execexit
! Opcodes 3A58 - 3A5F
NA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2300
mov.l execexit_ptr2300,r1
jmp @r1
add #-2,r6
fdl2300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2300: .long execexit
! Opcodes 3A60 - 3A67
NA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2301
mov.l execexit_ptr2301,r1
jmp @r1
add #-2,r6
fdl2301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2301: .long execexit
! Opcodes 3A68 - 3A6F
NA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2302
mov.l execexit_ptr2302,r1
jmp @r1
add #-2,r6
fdl2302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2302: .long execexit
! Opcodes 3A70 - 3A77
NA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd607
exts.w r0,r0
longwd607:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2303
mov.l execexit_ptr2303,r1
jmp @r1
add #-2,r6
fdl2303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2303: .long execexit
! Opcode 3A78
NA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2304
mov.l execexit_ptr2304,r1
jmp @r1
add #-2,r6
fdl2304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2304: .long execexit
! Opcode 3A79
NA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2305
mov.l execexit_ptr2305,r1
jmp @r1
add #-2,r6
fdl2305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2305: .long execexit
! Opcode 3A7A
NA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2306
mov.l execexit_ptr2306,r1
jmp @r1
add #-2,r6
fdl2306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2306: .long execexit
! Opcode 3A7B
NA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd608
exts.w r0,r0
longwd608:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2307
mov.l execexit_ptr2307,r1
jmp @r1
add #-2,r6
fdl2307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2307: .long execexit
! Opcode 3A7C
NA7C:
mov.w @r6+,r3
mov.l r3,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2308
mov.l execexit_ptr2308,r1
jmp @r1
add #-2,r6
fdl2308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2308: .long execexit
! Opcodes 3A80 - 3A87
NA80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2309
mov.l execexit_ptr2309,r1
jmp @r1
add #-2,r6
fdl2309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2309: .long execexit
! Opcodes 3A88 - 3A8F
NA88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2310
mov.l execexit_ptr2310,r1
jmp @r1
add #-2,r6
fdl2310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2310: .long execexit
! Opcodes 3A90 - 3A97
NA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2311
mov.l execexit_ptr2311,r1
jmp @r1
add #-2,r6
fdl2311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2311: .long execexit
! Opcodes 3A98 - 3A9F
NA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2312
mov.l execexit_ptr2312,r1
jmp @r1
add #-2,r6
fdl2312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2312: .long execexit
! Opcodes 3AA0 - 3AA7
NAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2313
mov.l execexit_ptr2313,r1
jmp @r1
add #-2,r6
fdl2313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2313: .long execexit
! Opcodes 3AA8 - 3AAF
NAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2314
mov.l execexit_ptr2314,r1
jmp @r1
add #-2,r6
fdl2314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2314: .long execexit
! Opcodes 3AB0 - 3AB7
NAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd609
exts.w r0,r0
longwd609:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2315
mov.l execexit_ptr2315,r1
jmp @r1
add #-2,r6
fdl2315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2315: .long execexit
! Opcode 3AB8
NAB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2316
mov.l execexit_ptr2316,r1
jmp @r1
add #-2,r6
fdl2316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2316: .long execexit
! Opcode 3AB9
NAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2317
mov.l execexit_ptr2317,r1
jmp @r1
add #-2,r6
fdl2317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2317: .long execexit
! Opcode 3ABA
NABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2318
mov.l execexit_ptr2318,r1
jmp @r1
add #-2,r6
fdl2318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2318: .long execexit
! Opcode 3ABB
NABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd610
exts.w r0,r0
longwd610:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2319
mov.l execexit_ptr2319,r1
jmp @r1
add #-2,r6
fdl2319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2319: .long execexit
! Opcode 3ABC
NABC:
mov.w @r6+,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2320
mov.l execexit_ptr2320,r1
jmp @r1
add #-2,r6
fdl2320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2320: .long execexit
! Opcodes 3AC0 - 3AC7
NAC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2321
mov.l execexit_ptr2321,r1
jmp @r1
add #-2,r6
fdl2321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2321: .long execexit
! Opcodes 3AC8 - 3ACF
NAC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2322
mov.l execexit_ptr2322,r1
jmp @r1
add #-2,r6
fdl2322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2322: .long execexit
! Opcodes 3AD0 - 3AD7
NAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2323
mov.l execexit_ptr2323,r1
jmp @r1
add #-2,r6
fdl2323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2323: .long execexit
! Opcodes 3AD8 - 3ADF
NAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2324
mov.l execexit_ptr2324,r1
jmp @r1
add #-2,r6
fdl2324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2324: .long execexit
! Opcodes 3AE0 - 3AE7
NAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2325
mov.l execexit_ptr2325,r1
jmp @r1
add #-2,r6
fdl2325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2325: .long execexit
! Opcodes 3AE8 - 3AEF
NAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2326
mov.l execexit_ptr2326,r1
jmp @r1
add #-2,r6
fdl2326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2326: .long execexit
! Opcodes 3AF0 - 3AF7
NAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd611
exts.w r0,r0
longwd611:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2327
mov.l execexit_ptr2327,r1
jmp @r1
add #-2,r6
fdl2327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2327: .long execexit
! Opcode 3AF8
NAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2328
mov.l execexit_ptr2328,r1
jmp @r1
add #-2,r6
fdl2328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2328: .long execexit
! Opcode 3AF9
NAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2329
mov.l execexit_ptr2329,r1
jmp @r1
add #-2,r6
fdl2329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2329: .long execexit
! Opcode 3AFA
NAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2330
mov.l execexit_ptr2330,r1
jmp @r1
add #-2,r6
fdl2330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2330: .long execexit
! Opcode 3AFB
NAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd612
exts.w r0,r0
longwd612:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2331
mov.l execexit_ptr2331,r1
jmp @r1
add #-2,r6
fdl2331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2331: .long execexit
! Opcode 3AFC
NAFC:
mov.w @r6+,r3
mov.l @(52,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2332
mov.l execexit_ptr2332,r1
jmp @r1
add #-2,r6
fdl2332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2332: .long execexit
! Opcodes 3B00 - 3B07
NB00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2333
mov.l execexit_ptr2333,r1
jmp @r1
add #-2,r6
fdl2333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2333: .long execexit
! Opcodes 3B08 - 3B0F
NB08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2334
mov.l execexit_ptr2334,r1
jmp @r1
add #-2,r6
fdl2334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2334: .long execexit
! Opcodes 3B10 - 3B17
NB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2335
mov.l execexit_ptr2335,r1
jmp @r1
add #-2,r6
fdl2335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2335: .long execexit
! Opcodes 3B18 - 3B1F
NB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2336
mov.l execexit_ptr2336,r1
jmp @r1
add #-2,r6
fdl2336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2336: .long execexit
! Opcodes 3B20 - 3B27
NB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2337
mov.l execexit_ptr2337,r1
jmp @r1
add #-2,r6
fdl2337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2337: .long execexit
! Opcodes 3B28 - 3B2F
NB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2338
mov.l execexit_ptr2338,r1
jmp @r1
add #-2,r6
fdl2338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2338: .long execexit
! Opcodes 3B30 - 3B37
NB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd613
exts.w r0,r0
longwd613:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2339
mov.l execexit_ptr2339,r1
jmp @r1
add #-2,r6
fdl2339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2339: .long execexit
! Opcode 3B38
NB38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2340
mov.l execexit_ptr2340,r1
jmp @r1
add #-2,r6
fdl2340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2340: .long execexit
! Opcode 3B39
NB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2341
mov.l execexit_ptr2341,r1
jmp @r1
add #-2,r6
fdl2341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2341: .long execexit
! Opcode 3B3A
NB3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2342
mov.l execexit_ptr2342,r1
jmp @r1
add #-2,r6
fdl2342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2342: .long execexit
! Opcode 3B3B
NB3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd614
exts.w r0,r0
longwd614:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2343
mov.l execexit_ptr2343,r1
jmp @r1
add #-2,r6
fdl2343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2343: .long execexit
! Opcode 3B3C
NB3C:
mov.w @r6+,r3
mov.l @(52,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2344
mov.l execexit_ptr2344,r1
jmp @r1
add #-2,r6
fdl2344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2344: .long execexit
! Opcodes 3B40 - 3B47
NB40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2345
mov.l execexit_ptr2345,r1
jmp @r1
add #-2,r6
fdl2345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2345: .long execexit
! Opcodes 3B48 - 3B4F
NB48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2346
mov.l execexit_ptr2346,r1
jmp @r1
add #-2,r6
fdl2346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2346: .long execexit
! Opcodes 3B50 - 3B57
NB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2347
mov.l execexit_ptr2347,r1
jmp @r1
add #-2,r6
fdl2347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2347: .long execexit
! Opcodes 3B58 - 3B5F
NB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2348
mov.l execexit_ptr2348,r1
jmp @r1
add #-2,r6
fdl2348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2348: .long execexit
! Opcodes 3B60 - 3B67
NB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2349
mov.l execexit_ptr2349,r1
jmp @r1
add #-2,r6
fdl2349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2349: .long execexit
! Opcodes 3B68 - 3B6F
NB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2350
mov.l execexit_ptr2350,r1
jmp @r1
add #-2,r6
fdl2350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2350: .long execexit
! Opcodes 3B70 - 3B77
NB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd615
exts.w r0,r0
longwd615:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2351
mov.l execexit_ptr2351,r1
jmp @r1
add #-2,r6
fdl2351:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2351: .long execexit
! Opcode 3B78
NB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2352
mov.l execexit_ptr2352,r1
jmp @r1
add #-2,r6
fdl2352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2352: .long execexit
! Opcode 3B79
NB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2353
mov.l execexit_ptr2353,r1
jmp @r1
add #-2,r6
fdl2353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2353: .long execexit
! Opcode 3B7A
NB7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2354
mov.l execexit_ptr2354,r1
jmp @r1
add #-2,r6
fdl2354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2354: .long execexit
! Opcode 3B7B
NB7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd616
exts.w r0,r0
longwd616:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2355
mov.l execexit_ptr2355,r1
jmp @r1
add #-2,r6
fdl2355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2355: .long execexit
! Opcode 3B7C
NB7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2356
mov.l execexit_ptr2356,r1
jmp @r1
add #-2,r6
fdl2356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2356: .long execexit
! Opcodes 3B80 - 3B87
NB80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd617
exts.w r0,r0
longwd617:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2357
mov.l execexit_ptr2357,r1
jmp @r1
add #-2,r6
fdl2357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2357: .long execexit
! Opcodes 3B88 - 3B8F
NB88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd618
exts.w r0,r0
longwd618:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2358
mov.l execexit_ptr2358,r1
jmp @r1
add #-2,r6
fdl2358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2358: .long execexit
! Opcodes 3B90 - 3B97
NB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd619
exts.w r0,r0
longwd619:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2359
mov.l execexit_ptr2359,r1
jmp @r1
add #-2,r6
fdl2359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2359: .long execexit
! Opcodes 3B98 - 3B9F
NB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd620
exts.w r0,r0
longwd620:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2360
mov.l execexit_ptr2360,r1
jmp @r1
add #-2,r6
fdl2360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2360: .long execexit
! Opcodes 3BA0 - 3BA7
NBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd621
exts.w r0,r0
longwd621:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2361
mov.l execexit_ptr2361,r1
jmp @r1
add #-2,r6
fdl2361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2361: .long execexit
! Opcodes 3BA8 - 3BAF
NBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd622
exts.w r0,r0
longwd622:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2362
mov.l execexit_ptr2362,r1
jmp @r1
add #-2,r6
fdl2362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2362: .long execexit
! Opcodes 3BB0 - 3BB7
NBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd623
exts.w r0,r0
longwd623:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd624
exts.w r0,r0
longwd624:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2363
mov.l execexit_ptr2363,r1
jmp @r1
add #-2,r6
fdl2363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2363: .long execexit
! Opcode 3BB8
NBB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd625
exts.w r0,r0
longwd625:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2364
mov.l execexit_ptr2364,r1
jmp @r1
add #-2,r6
fdl2364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2364: .long execexit
! Opcode 3BB9
NBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd626
exts.w r0,r0
longwd626:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2365
mov.l execexit_ptr2365,r1
jmp @r1
add #-2,r6
fdl2365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2365: .long execexit
! Opcode 3BBA
NBBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd627
exts.w r0,r0
longwd627:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2366
mov.l execexit_ptr2366,r1
jmp @r1
add #-2,r6
fdl2366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2366: .long execexit
! Opcode 3BBB
NBBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd628
exts.w r0,r0
longwd628:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd629
exts.w r0,r0
longwd629:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2367
mov.l execexit_ptr2367,r1
jmp @r1
add #-2,r6
fdl2367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2367: .long execexit
! Opcode 3BBC
NBBC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd630
exts.w r0,r0
longwd630:
add r0,r4
mov.l @(52,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2368
mov.l execexit_ptr2368,r1
jmp @r1
add #-2,r6
fdl2368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2368: .long execexit
! Opcodes 3C00 - 3C07
NC00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2369
mov.l execexit_ptr2369,r1
jmp @r1
add #-2,r6
fdl2369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2369: .long execexit
! Opcodes 3C08 - 3C0F
NC08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2370
mov.l execexit_ptr2370,r1
jmp @r1
add #-2,r6
fdl2370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2370: .long execexit
! Opcodes 3C10 - 3C17
NC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2371
mov.l execexit_ptr2371,r1
jmp @r1
add #-2,r6
fdl2371:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2371: .long execexit
! Opcodes 3C18 - 3C1F
NC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2372
mov.l execexit_ptr2372,r1
jmp @r1
add #-2,r6
fdl2372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2372: .long execexit
! Opcodes 3C20 - 3C27
NC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2373
mov.l execexit_ptr2373,r1
jmp @r1
add #-2,r6
fdl2373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2373: .long execexit
! Opcodes 3C28 - 3C2F
NC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2374
mov.l execexit_ptr2374,r1
jmp @r1
add #-2,r6
fdl2374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2374: .long execexit
! Opcodes 3C30 - 3C37
NC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd631
exts.w r0,r0
longwd631:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2375
mov.l execexit_ptr2375,r1
jmp @r1
add #-2,r6
fdl2375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2375: .long execexit
! Opcode 3C38
NC38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2376
mov.l execexit_ptr2376,r1
jmp @r1
add #-2,r6
fdl2376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2376: .long execexit
! Opcode 3C39
NC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2377
mov.l execexit_ptr2377,r1
jmp @r1
add #-2,r6
fdl2377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2377: .long execexit
! Opcode 3C3A
NC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2378
mov.l execexit_ptr2378,r1
jmp @r1
add #-2,r6
fdl2378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2378: .long execexit
! Opcode 3C3B
NC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd632
exts.w r0,r0
longwd632:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2379
mov.l execexit_ptr2379,r1
jmp @r1
add #-2,r6
fdl2379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2379: .long execexit
! Opcode 3C3C
NC3C:
mov.w @r6+,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2380
mov.l execexit_ptr2380,r1
jmp @r1
add #-2,r6
fdl2380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2380: .long execexit
! Opcodes 3C40 - 3C47
NC40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2381
mov.l execexit_ptr2381,r1
jmp @r1
add #-2,r6
fdl2381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2381: .long execexit
! Opcodes 3C48 - 3C4F
NC48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2382
mov.l execexit_ptr2382,r1
jmp @r1
add #-2,r6
fdl2382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2382: .long execexit
! Opcodes 3C50 - 3C57
NC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2383
mov.l execexit_ptr2383,r1
jmp @r1
add #-2,r6
fdl2383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2383: .long execexit
! Opcodes 3C58 - 3C5F
NC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2384
mov.l execexit_ptr2384,r1
jmp @r1
add #-2,r6
fdl2384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2384: .long execexit
! Opcodes 3C60 - 3C67
NC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2385
mov.l execexit_ptr2385,r1
jmp @r1
add #-2,r6
fdl2385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2385: .long execexit
! Opcodes 3C68 - 3C6F
NC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2386
mov.l execexit_ptr2386,r1
jmp @r1
add #-2,r6
fdl2386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2386: .long execexit
! Opcodes 3C70 - 3C77
NC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd633
exts.w r0,r0
longwd633:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2387
mov.l execexit_ptr2387,r1
jmp @r1
add #-2,r6
fdl2387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2387: .long execexit
! Opcode 3C78
NC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2388
mov.l execexit_ptr2388,r1
jmp @r1
add #-2,r6
fdl2388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2388: .long execexit
! Opcode 3C79
NC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2389
mov.l execexit_ptr2389,r1
jmp @r1
add #-2,r6
fdl2389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2389: .long execexit
! Opcode 3C7A
NC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2390
mov.l execexit_ptr2390,r1
jmp @r1
add #-2,r6
fdl2390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2390: .long execexit
! Opcode 3C7B
NC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd634
exts.w r0,r0
longwd634:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2391
mov.l execexit_ptr2391,r1
jmp @r1
add #-2,r6
fdl2391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2391: .long execexit
! Opcode 3C7C
NC7C:
mov.w @r6+,r3
mov.l r3,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2392
mov.l execexit_ptr2392,r1
jmp @r1
add #-2,r6
fdl2392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2392: .long execexit
! Opcodes 3C80 - 3C87
NC80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2393
mov.l execexit_ptr2393,r1
jmp @r1
add #-2,r6
fdl2393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2393: .long execexit
! Opcodes 3C88 - 3C8F
NC88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2394
mov.l execexit_ptr2394,r1
jmp @r1
add #-2,r6
fdl2394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2394: .long execexit
! Opcodes 3C90 - 3C97
NC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2395
mov.l execexit_ptr2395,r1
jmp @r1
add #-2,r6
fdl2395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2395: .long execexit
! Opcodes 3C98 - 3C9F
NC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2396
mov.l execexit_ptr2396,r1
jmp @r1
add #-2,r6
fdl2396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2396: .long execexit
! Opcodes 3CA0 - 3CA7
NCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2397
mov.l execexit_ptr2397,r1
jmp @r1
add #-2,r6
fdl2397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2397: .long execexit
! Opcodes 3CA8 - 3CAF
NCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2398
mov.l execexit_ptr2398,r1
jmp @r1
add #-2,r6
fdl2398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2398: .long execexit
! Opcodes 3CB0 - 3CB7
NCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd635
exts.w r0,r0
longwd635:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2399
mov.l execexit_ptr2399,r1
jmp @r1
add #-2,r6
fdl2399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2399: .long execexit
! Opcode 3CB8
NCB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2400
mov.l execexit_ptr2400,r1
jmp @r1
add #-2,r6
fdl2400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2400: .long execexit
! Opcode 3CB9
NCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2401
mov.l execexit_ptr2401,r1
jmp @r1
add #-2,r6
fdl2401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2401: .long execexit
! Opcode 3CBA
NCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2402
mov.l execexit_ptr2402,r1
jmp @r1
add #-2,r6
fdl2402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2402: .long execexit
! Opcode 3CBB
NCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd636
exts.w r0,r0
longwd636:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2403
mov.l execexit_ptr2403,r1
jmp @r1
add #-2,r6
fdl2403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2403: .long execexit
! Opcode 3CBC
NCBC:
mov.w @r6+,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2404
mov.l execexit_ptr2404,r1
jmp @r1
add #-2,r6
fdl2404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2404: .long execexit
! Opcodes 3CC0 - 3CC7
NCC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2405
mov.l execexit_ptr2405,r1
jmp @r1
add #-2,r6
fdl2405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2405: .long execexit
! Opcodes 3CC8 - 3CCF
NCC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2406
mov.l execexit_ptr2406,r1
jmp @r1
add #-2,r6
fdl2406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2406: .long execexit
! Opcodes 3CD0 - 3CD7
NCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2407
mov.l execexit_ptr2407,r1
jmp @r1
add #-2,r6
fdl2407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2407: .long execexit
! Opcodes 3CD8 - 3CDF
NCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2408
mov.l execexit_ptr2408,r1
jmp @r1
add #-2,r6
fdl2408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2408: .long execexit
! Opcodes 3CE0 - 3CE7
NCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2409
mov.l execexit_ptr2409,r1
jmp @r1
add #-2,r6
fdl2409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2409: .long execexit
! Opcodes 3CE8 - 3CEF
NCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2410
mov.l execexit_ptr2410,r1
jmp @r1
add #-2,r6
fdl2410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2410: .long execexit
! Opcodes 3CF0 - 3CF7
NCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd637
exts.w r0,r0
longwd637:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2411
mov.l execexit_ptr2411,r1
jmp @r1
add #-2,r6
fdl2411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2411: .long execexit
! Opcode 3CF8
NCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2412
mov.l execexit_ptr2412,r1
jmp @r1
add #-2,r6
fdl2412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2412: .long execexit
! Opcode 3CF9
NCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2413
mov.l execexit_ptr2413,r1
jmp @r1
add #-2,r6
fdl2413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2413: .long execexit
! Opcode 3CFA
NCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2414
mov.l execexit_ptr2414,r1
jmp @r1
add #-2,r6
fdl2414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2414: .long execexit
! Opcode 3CFB
NCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd638
exts.w r0,r0
longwd638:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2415
mov.l execexit_ptr2415,r1
jmp @r1
add #-2,r6
fdl2415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2415: .long execexit
! Opcode 3CFC
NCFC:
mov.w @r6+,r3
mov.l @(56,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2416
mov.l execexit_ptr2416,r1
jmp @r1
add #-2,r6
fdl2416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2416: .long execexit
! Opcodes 3D00 - 3D07
ND00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2417
mov.l execexit_ptr2417,r1
jmp @r1
add #-2,r6
fdl2417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2417: .long execexit
! Opcodes 3D08 - 3D0F
ND08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2418
mov.l execexit_ptr2418,r1
jmp @r1
add #-2,r6
fdl2418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2418: .long execexit
! Opcodes 3D10 - 3D17
ND10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2419
mov.l execexit_ptr2419,r1
jmp @r1
add #-2,r6
fdl2419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2419: .long execexit
! Opcodes 3D18 - 3D1F
ND18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2420
mov.l execexit_ptr2420,r1
jmp @r1
add #-2,r6
fdl2420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2420: .long execexit
! Opcodes 3D20 - 3D27
ND20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2421
mov.l execexit_ptr2421,r1
jmp @r1
add #-2,r6
fdl2421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2421: .long execexit
! Opcodes 3D28 - 3D2F
ND28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2422
mov.l execexit_ptr2422,r1
jmp @r1
add #-2,r6
fdl2422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2422: .long execexit
! Opcodes 3D30 - 3D37
ND30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd639
exts.w r0,r0
longwd639:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2423
mov.l execexit_ptr2423,r1
jmp @r1
add #-2,r6
fdl2423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2423: .long execexit
! Opcode 3D38
ND38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2424
mov.l execexit_ptr2424,r1
jmp @r1
add #-2,r6
fdl2424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2424: .long execexit
! Opcode 3D39
ND39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2425
mov.l execexit_ptr2425,r1
jmp @r1
add #-2,r6
fdl2425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2425: .long execexit
! Opcode 3D3A
ND3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2426
mov.l execexit_ptr2426,r1
jmp @r1
add #-2,r6
fdl2426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2426: .long execexit
! Opcode 3D3B
ND3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd640
exts.w r0,r0
longwd640:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2427
mov.l execexit_ptr2427,r1
jmp @r1
add #-2,r6
fdl2427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2427: .long execexit
! Opcode 3D3C
ND3C:
mov.w @r6+,r3
mov.l @(56,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2428
mov.l execexit_ptr2428,r1
jmp @r1
add #-2,r6
fdl2428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2428: .long execexit
! Opcodes 3D40 - 3D47
ND40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2429
mov.l execexit_ptr2429,r1
jmp @r1
add #-2,r6
fdl2429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2429: .long execexit
! Opcodes 3D48 - 3D4F
ND48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2430
mov.l execexit_ptr2430,r1
jmp @r1
add #-2,r6
fdl2430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2430: .long execexit
! Opcodes 3D50 - 3D57
ND50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2431
mov.l execexit_ptr2431,r1
jmp @r1
add #-2,r6
fdl2431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2431: .long execexit
! Opcodes 3D58 - 3D5F
ND58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2432
mov.l execexit_ptr2432,r1
jmp @r1
add #-2,r6
fdl2432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2432: .long execexit
! Opcodes 3D60 - 3D67
ND60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2433
mov.l execexit_ptr2433,r1
jmp @r1
add #-2,r6
fdl2433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2433: .long execexit
! Opcodes 3D68 - 3D6F
ND68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2434
mov.l execexit_ptr2434,r1
jmp @r1
add #-2,r6
fdl2434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2434: .long execexit
! Opcodes 3D70 - 3D77
ND70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd641
exts.w r0,r0
longwd641:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2435
mov.l execexit_ptr2435,r1
jmp @r1
add #-2,r6
fdl2435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2435: .long execexit
! Opcode 3D78
ND78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2436
mov.l execexit_ptr2436,r1
jmp @r1
add #-2,r6
fdl2436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2436: .long execexit
! Opcode 3D79
ND79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2437
mov.l execexit_ptr2437,r1
jmp @r1
add #-2,r6
fdl2437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2437: .long execexit
! Opcode 3D7A
ND7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2438
mov.l execexit_ptr2438,r1
jmp @r1
add #-2,r6
fdl2438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2438: .long execexit
! Opcode 3D7B
ND7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd642
exts.w r0,r0
longwd642:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2439
mov.l execexit_ptr2439,r1
jmp @r1
add #-2,r6
fdl2439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2439: .long execexit
! Opcode 3D7C
ND7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2440
mov.l execexit_ptr2440,r1
jmp @r1
add #-2,r6
fdl2440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2440: .long execexit
! Opcodes 3D80 - 3D87
ND80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd643
exts.w r0,r0
longwd643:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2441
mov.l execexit_ptr2441,r1
jmp @r1
add #-2,r6
fdl2441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2441: .long execexit
! Opcodes 3D88 - 3D8F
ND88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd644
exts.w r0,r0
longwd644:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2442
mov.l execexit_ptr2442,r1
jmp @r1
add #-2,r6
fdl2442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2442: .long execexit
! Opcodes 3D90 - 3D97
ND90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd645
exts.w r0,r0
longwd645:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2443
mov.l execexit_ptr2443,r1
jmp @r1
add #-2,r6
fdl2443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2443: .long execexit
! Opcodes 3D98 - 3D9F
ND98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd646
exts.w r0,r0
longwd646:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2444
mov.l execexit_ptr2444,r1
jmp @r1
add #-2,r6
fdl2444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2444: .long execexit
! Opcodes 3DA0 - 3DA7
NDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd647
exts.w r0,r0
longwd647:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2445
mov.l execexit_ptr2445,r1
jmp @r1
add #-2,r6
fdl2445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2445: .long execexit
! Opcodes 3DA8 - 3DAF
NDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd648
exts.w r0,r0
longwd648:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2446
mov.l execexit_ptr2446,r1
jmp @r1
add #-2,r6
fdl2446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2446: .long execexit
! Opcodes 3DB0 - 3DB7
NDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd649
exts.w r0,r0
longwd649:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd650
exts.w r0,r0
longwd650:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2447
mov.l execexit_ptr2447,r1
jmp @r1
add #-2,r6
fdl2447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2447: .long execexit
! Opcode 3DB8
NDB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd651
exts.w r0,r0
longwd651:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2448
mov.l execexit_ptr2448,r1
jmp @r1
add #-2,r6
fdl2448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2448: .long execexit
! Opcode 3DB9
NDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd652
exts.w r0,r0
longwd652:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2449
mov.l execexit_ptr2449,r1
jmp @r1
add #-2,r6
fdl2449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2449: .long execexit
! Opcode 3DBA
NDBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd653
exts.w r0,r0
longwd653:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2450
mov.l execexit_ptr2450,r1
jmp @r1
add #-2,r6
fdl2450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2450: .long execexit
! Opcode 3DBB
NDBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd654
exts.w r0,r0
longwd654:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd655
exts.w r0,r0
longwd655:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2451
mov.l execexit_ptr2451,r1
jmp @r1
add #-2,r6
fdl2451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2451: .long execexit
! Opcode 3DBC
NDBC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd656
exts.w r0,r0
longwd656:
add r0,r4
mov.l @(56,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2452
mov.l execexit_ptr2452,r1
jmp @r1
add #-2,r6
fdl2452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2452: .long execexit
! Opcodes 3E00 - 3E07
NE00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2453
mov.l execexit_ptr2453,r1
jmp @r1
add #-2,r6
fdl2453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2453: .long execexit
! Opcodes 3E08 - 3E0F
NE08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2454
mov.l execexit_ptr2454,r1
jmp @r1
add #-2,r6
fdl2454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2454: .long execexit
! Opcodes 3E10 - 3E17
NE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2455
mov.l execexit_ptr2455,r1
jmp @r1
add #-2,r6
fdl2455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2455: .long execexit
! Opcodes 3E18 - 3E1F
NE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2456
mov.l execexit_ptr2456,r1
jmp @r1
add #-2,r6
fdl2456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2456: .long execexit
! Opcodes 3E20 - 3E27
NE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2457
mov.l execexit_ptr2457,r1
jmp @r1
add #-2,r6
fdl2457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2457: .long execexit
! Opcodes 3E28 - 3E2F
NE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2458
mov.l execexit_ptr2458,r1
jmp @r1
add #-2,r6
fdl2458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2458: .long execexit
! Opcodes 3E30 - 3E37
NE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd657
exts.w r0,r0
longwd657:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2459
mov.l execexit_ptr2459,r1
jmp @r1
add #-2,r6
fdl2459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2459: .long execexit
! Opcode 3E38
NE38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2460
mov.l execexit_ptr2460,r1
jmp @r1
add #-2,r6
fdl2460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2460: .long execexit
! Opcode 3E39
NE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2461
mov.l execexit_ptr2461,r1
jmp @r1
add #-2,r6
fdl2461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2461: .long execexit
! Opcode 3E3A
NE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2462
mov.l execexit_ptr2462,r1
jmp @r1
add #-2,r6
fdl2462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2462: .long execexit
! Opcode 3E3B
NE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd658
exts.w r0,r0
longwd658:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2463
mov.l execexit_ptr2463,r1
jmp @r1
add #-2,r6
fdl2463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2463: .long execexit
! Opcode 3E3C
NE3C:
mov.w @r6+,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2464
mov.l execexit_ptr2464,r1
jmp @r1
add #-2,r6
fdl2464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2464: .long execexit
! Opcodes 3E40 - 3E47
NE40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2465
mov.l execexit_ptr2465,r1
jmp @r1
add #-2,r6
fdl2465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2465: .long execexit
! Opcodes 3E48 - 3E4F
NE48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2466
mov.l execexit_ptr2466,r1
jmp @r1
add #-2,r6
fdl2466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2466: .long execexit
! Opcodes 3E50 - 3E57
NE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2467
mov.l execexit_ptr2467,r1
jmp @r1
add #-2,r6
fdl2467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2467: .long execexit
! Opcodes 3E58 - 3E5F
NE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2468
mov.l execexit_ptr2468,r1
jmp @r1
add #-2,r6
fdl2468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2468: .long execexit
! Opcodes 3E60 - 3E67
NE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2469
mov.l execexit_ptr2469,r1
jmp @r1
add #-2,r6
fdl2469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2469: .long execexit
! Opcodes 3E68 - 3E6F
NE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2470
mov.l execexit_ptr2470,r1
jmp @r1
add #-2,r6
fdl2470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2470: .long execexit
! Opcodes 3E70 - 3E77
NE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd659
exts.w r0,r0
longwd659:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2471
mov.l execexit_ptr2471,r1
jmp @r1
add #-2,r6
fdl2471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2471: .long execexit
! Opcode 3E78
NE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2472
mov.l execexit_ptr2472,r1
jmp @r1
add #-2,r6
fdl2472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2472: .long execexit
! Opcode 3E79
NE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2473
mov.l execexit_ptr2473,r1
jmp @r1
add #-2,r6
fdl2473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2473: .long execexit
! Opcode 3E7A
NE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2474
mov.l execexit_ptr2474,r1
jmp @r1
add #-2,r6
fdl2474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2474: .long execexit
! Opcode 3E7B
NE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd660
exts.w r0,r0
longwd660:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2475
mov.l execexit_ptr2475,r1
jmp @r1
add #-2,r6
fdl2475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2475: .long execexit
! Opcode 3E7C
NE7C:
mov.w @r6+,r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2476
mov.l execexit_ptr2476,r1
jmp @r1
add #-2,r6
fdl2476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2476: .long execexit
! Opcodes 3E80 - 3E87
NE80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2477
mov.l execexit_ptr2477,r1
jmp @r1
add #-2,r6
fdl2477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2477: .long execexit
! Opcodes 3E88 - 3E8F
NE88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2478
mov.l execexit_ptr2478,r1
jmp @r1
add #-2,r6
fdl2478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2478: .long execexit
! Opcodes 3E90 - 3E97
NE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2479
mov.l execexit_ptr2479,r1
jmp @r1
add #-2,r6
fdl2479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2479: .long execexit
! Opcodes 3E98 - 3E9F
NE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2480
mov.l execexit_ptr2480,r1
jmp @r1
add #-2,r6
fdl2480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2480: .long execexit
! Opcodes 3EA0 - 3EA7
NEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2481
mov.l execexit_ptr2481,r1
jmp @r1
add #-2,r6
fdl2481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2481: .long execexit
! Opcodes 3EA8 - 3EAF
NEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2482
mov.l execexit_ptr2482,r1
jmp @r1
add #-2,r6
fdl2482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2482: .long execexit
! Opcodes 3EB0 - 3EB7
NEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd661
exts.w r0,r0
longwd661:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2483
mov.l execexit_ptr2483,r1
jmp @r1
add #-2,r6
fdl2483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2483: .long execexit
! Opcode 3EB8
NEB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2484
mov.l execexit_ptr2484,r1
jmp @r1
add #-2,r6
fdl2484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2484: .long execexit
! Opcode 3EB9
NEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2485
mov.l execexit_ptr2485,r1
jmp @r1
add #-2,r6
fdl2485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2485: .long execexit
! Opcode 3EBA
NEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2486
mov.l execexit_ptr2486,r1
jmp @r1
add #-2,r6
fdl2486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2486: .long execexit
! Opcode 3EBB
NEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd662
exts.w r0,r0
longwd662:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2487
mov.l execexit_ptr2487,r1
jmp @r1
add #-2,r6
fdl2487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2487: .long execexit
! Opcode 3EBC
NEBC:
mov.w @r6+,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2488
mov.l execexit_ptr2488,r1
jmp @r1
add #-2,r6
fdl2488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2488: .long execexit
! Opcodes 3EC0 - 3EC7
NEC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2489
mov.l execexit_ptr2489,r1
jmp @r1
add #-2,r6
fdl2489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2489: .long execexit
! Opcodes 3EC8 - 3ECF
NEC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2490
mov.l execexit_ptr2490,r1
jmp @r1
add #-2,r6
fdl2490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2490: .long execexit
! Opcodes 3ED0 - 3ED7
NED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2491
mov.l execexit_ptr2491,r1
jmp @r1
add #-2,r6
fdl2491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2491: .long execexit
! Opcodes 3ED8 - 3EDF
NED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2492
mov.l execexit_ptr2492,r1
jmp @r1
add #-2,r6
fdl2492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2492: .long execexit
! Opcodes 3EE0 - 3EE7
NEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2493
mov.l execexit_ptr2493,r1
jmp @r1
add #-2,r6
fdl2493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2493: .long execexit
! Opcodes 3EE8 - 3EEF
NEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2494
mov.l execexit_ptr2494,r1
jmp @r1
add #-2,r6
fdl2494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2494: .long execexit
! Opcodes 3EF0 - 3EF7
NEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd663
exts.w r0,r0
longwd663:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2495
mov.l execexit_ptr2495,r1
jmp @r1
add #-2,r6
fdl2495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2495: .long execexit
! Opcode 3EF8
NEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2496
mov.l execexit_ptr2496,r1
jmp @r1
add #-2,r6
fdl2496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2496: .long execexit
! Opcode 3EF9
NEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2497
mov.l execexit_ptr2497,r1
jmp @r1
add #-2,r6
fdl2497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2497: .long execexit
! Opcode 3EFA
NEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2498
mov.l execexit_ptr2498,r1
jmp @r1
add #-2,r6
fdl2498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2498: .long execexit
! Opcode 3EFB
NEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd664
exts.w r0,r0
longwd664:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2499
mov.l execexit_ptr2499,r1
jmp @r1
add #-2,r6
fdl2499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2499: .long execexit
! Opcode 3EFC
NEFC:
mov.w @r6+,r3
mov.l @(60,r13),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2500
mov.l execexit_ptr2500,r1
jmp @r1
add #-2,r6
fdl2500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2500: .long execexit
! Opcodes 3F00 - 3F07
NF00:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2501
mov.l execexit_ptr2501,r1
jmp @r1
add #-2,r6
fdl2501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2501: .long execexit
! Opcodes 3F08 - 3F0F
NF08:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2502
mov.l execexit_ptr2502,r1
jmp @r1
add #-2,r6
fdl2502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2502: .long execexit
! Opcodes 3F10 - 3F17
NF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2503
mov.l execexit_ptr2503,r1
jmp @r1
add #-2,r6
fdl2503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2503: .long execexit
! Opcodes 3F18 - 3F1F
NF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2504
mov.l execexit_ptr2504,r1
jmp @r1
add #-2,r6
fdl2504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2504: .long execexit
! Opcodes 3F20 - 3F27
NF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2505
mov.l execexit_ptr2505,r1
jmp @r1
add #-2,r6
fdl2505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2505: .long execexit
! Opcodes 3F28 - 3F2F
NF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2506
mov.l execexit_ptr2506,r1
jmp @r1
add #-2,r6
fdl2506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2506: .long execexit
! Opcodes 3F30 - 3F37
NF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd665
exts.w r0,r0
longwd665:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2507
mov.l execexit_ptr2507,r1
jmp @r1
add #-2,r6
fdl2507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2507: .long execexit
! Opcode 3F38
NF38:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2508
mov.l execexit_ptr2508,r1
jmp @r1
add #-2,r6
fdl2508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2508: .long execexit
! Opcode 3F39
NF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2509
mov.l execexit_ptr2509,r1
jmp @r1
add #-2,r6
fdl2509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2509: .long execexit
! Opcode 3F3A
NF3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2510
mov.l execexit_ptr2510,r1
jmp @r1
add #-2,r6
fdl2510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2510: .long execexit
! Opcode 3F3B
NF3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd666
exts.w r0,r0
longwd666:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2511
mov.l execexit_ptr2511,r1
jmp @r1
add #-2,r6
fdl2511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2511: .long execexit
! Opcode 3F3C
NF3C:
mov.w @r6+,r3
mov.l @(60,r13),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2512
mov.l execexit_ptr2512,r1
jmp @r1
add #-2,r6
fdl2512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2512: .long execexit
! Opcodes 3F40 - 3F47
NF40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2513
mov.l execexit_ptr2513,r1
jmp @r1
add #-2,r6
fdl2513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2513: .long execexit
! Opcodes 3F48 - 3F4F
NF48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2514
mov.l execexit_ptr2514,r1
jmp @r1
add #-2,r6
fdl2514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2514: .long execexit
! Opcodes 3F50 - 3F57
NF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2515
mov.l execexit_ptr2515,r1
jmp @r1
add #-2,r6
fdl2515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2515: .long execexit
! Opcodes 3F58 - 3F5F
NF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2516
mov.l execexit_ptr2516,r1
jmp @r1
add #-2,r6
fdl2516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2516: .long execexit
! Opcodes 3F60 - 3F67
NF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2517
mov.l execexit_ptr2517,r1
jmp @r1
add #-2,r6
fdl2517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2517: .long execexit
! Opcodes 3F68 - 3F6F
NF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2518
mov.l execexit_ptr2518,r1
jmp @r1
add #-2,r6
fdl2518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2518: .long execexit
! Opcodes 3F70 - 3F77
NF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd667
exts.w r0,r0
longwd667:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2519
mov.l execexit_ptr2519,r1
jmp @r1
add #-2,r6
fdl2519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2519: .long execexit
! Opcode 3F78
NF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2520
mov.l execexit_ptr2520,r1
jmp @r1
add #-2,r6
fdl2520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2520: .long execexit
! Opcode 3F79
NF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2521
mov.l execexit_ptr2521,r1
jmp @r1
add #-2,r6
fdl2521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2521: .long execexit
! Opcode 3F7A
NF7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2522
mov.l execexit_ptr2522,r1
jmp @r1
add #-2,r6
fdl2522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2522: .long execexit
! Opcode 3F7B
NF7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd668
exts.w r0,r0
longwd668:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2523
mov.l execexit_ptr2523,r1
jmp @r1
add #-2,r6
fdl2523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2523: .long execexit
! Opcode 3F7C
NF7C:
mov.w @r6+,r3
mov.w @r6+,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2524
mov.l execexit_ptr2524,r1
jmp @r1
add #-2,r6
fdl2524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2524: .long execexit
! Opcodes 3F80 - 3F87
NF80:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd669
exts.w r0,r0
longwd669:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2525
mov.l execexit_ptr2525,r1
jmp @r1
add #-2,r6
fdl2525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2525: .long execexit
! Opcodes 3F88 - 3F8F
NF88:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd670
exts.w r0,r0
longwd670:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2526
mov.l execexit_ptr2526,r1
jmp @r1
add #-2,r6
fdl2526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2526: .long execexit
! Opcodes 3F90 - 3F97
NF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd671
exts.w r0,r0
longwd671:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2527
mov.l execexit_ptr2527,r1
jmp @r1
add #-2,r6
fdl2527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2527: .long execexit
! Opcodes 3F98 - 3F9F
NF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd672
exts.w r0,r0
longwd672:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2528
mov.l execexit_ptr2528,r1
jmp @r1
add #-2,r6
fdl2528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2528: .long execexit
! Opcodes 3FA0 - 3FA7
NFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd673
exts.w r0,r0
longwd673:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2529
mov.l execexit_ptr2529,r1
jmp @r1
add #-2,r6
fdl2529:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2529: .long execexit
! Opcodes 3FA8 - 3FAF
NFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd674
exts.w r0,r0
longwd674:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2530
mov.l execexit_ptr2530,r1
jmp @r1
add #-2,r6
fdl2530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2530: .long execexit
! Opcodes 3FB0 - 3FB7
NFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd675
exts.w r0,r0
longwd675:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd676
exts.w r0,r0
longwd676:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2531
mov.l execexit_ptr2531,r1
jmp @r1
add #-2,r6
fdl2531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2531: .long execexit
! Opcode 3FB8
NFB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd677
exts.w r0,r0
longwd677:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2532
mov.l execexit_ptr2532,r1
jmp @r1
add #-2,r6
fdl2532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2532: .long execexit
! Opcode 3FB9
NFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd678
exts.w r0,r0
longwd678:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2533
mov.l execexit_ptr2533,r1
jmp @r1
add #-2,r6
fdl2533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2533: .long execexit
! Opcode 3FBA
NFBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd679
exts.w r0,r0
longwd679:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2534
mov.l execexit_ptr2534,r1
jmp @r1
add #-2,r6
fdl2534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2534: .long execexit
! Opcode 3FBB
NFBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd680
exts.w r0,r0
longwd680:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd681
exts.w r0,r0
longwd681:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2535
mov.l execexit_ptr2535,r1
jmp @r1
add #-2,r6
fdl2535:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2535: .long execexit
! Opcode 3FBC
NFBC:
mov.w @r6+,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd682
exts.w r0,r0
longwd682:
add r0,r4
mov.l @(60,r13),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2536
mov.l execexit_ptr2536,r1
jmp @r1
add #-2,r6
fdl2536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2536: .long execexit
! Opcodes 4000 - 4007
O000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.b r3,@r2
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2537
mov.l execexit_ptr2537,r1
jmp @r1
add #-2,r6
fdl2537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2537: .long execexit
! Opcodes 4010 - 4017
O010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2538
mov.l execexit_ptr2538,r1
jmp @r1
add #-2,r6
fdl2538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2538: .long execexit
! Opcodes 4018 - 401F
O018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2539
mov.l execexit_ptr2539,r1
jmp @r1
add #-2,r6
fdl2539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2539: .long execexit
! Opcodes 4020 - 4027
O020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2540
mov.l execexit_ptr2540,r1
jmp @r1
add #-2,r6
fdl2540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2540: .long execexit
! Opcodes 4028 - 402F
O028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2541
mov.l execexit_ptr2541,r1
jmp @r1
add #-2,r6
fdl2541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2541: .long execexit
! Opcodes 4030 - 4037
O030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd683
exts.w r0,r0
longwd683:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2542
mov.l execexit_ptr2542,r1
jmp @r1
add #-2,r6
fdl2542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2542: .long execexit
! Opcode 4038
O038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2543
mov.l execexit_ptr2543,r1
jmp @r1
add #-2,r6
fdl2543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2543: .long execexit
! Opcode 4039
O039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2544
mov.l execexit_ptr2544,r1
jmp @r1
add #-2,r6
fdl2544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2544: .long execexit
! Opcodes 4040 - 4047
O040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.w r3,@r2
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2545
mov.l execexit_ptr2545,r1
jmp @r1
add #-2,r6
fdl2545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2545: .long execexit
! Opcodes 4050 - 4057
O050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2546
mov.l execexit_ptr2546,r1
jmp @r1
add #-2,r6
fdl2546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2546: .long execexit
! Opcodes 4058 - 405F
O058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2547
mov.l execexit_ptr2547,r1
jmp @r1
add #-2,r6
fdl2547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2547: .long execexit
! Opcodes 4060 - 4067
O060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2548
mov.l execexit_ptr2548,r1
jmp @r1
add #-2,r6
fdl2548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2548: .long execexit
! Opcodes 4068 - 406F
O068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2549
mov.l execexit_ptr2549,r1
jmp @r1
add #-2,r6
fdl2549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2549: .long execexit
! Opcodes 4070 - 4077
O070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd684
exts.w r0,r0
longwd684:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2550
mov.l execexit_ptr2550,r1
jmp @r1
add #-2,r6
fdl2550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2550: .long execexit
! Opcode 4078
O078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2551
mov.l execexit_ptr2551,r1
jmp @r1
add #-2,r6
fdl2551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2551: .long execexit
! Opcode 4079
O079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2552
mov.l execexit_ptr2552,r1
jmp @r1
add #-2,r6
fdl2552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2552: .long execexit
! Opcodes 4080 - 4087
O080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l r3,@r2
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2553
mov.l execexit_ptr2553,r1
jmp @r1
add #-2,r6
fdl2553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2553: .long execexit
! Opcodes 4090 - 4097
O090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2554
mov.l execexit_ptr2554,r1
jmp @r1
add #-2,r6
fdl2554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2554: .long execexit
! Opcodes 4098 - 409F
O098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2555
mov.l execexit_ptr2555,r1
jmp @r1
add #-2,r6
fdl2555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2555: .long execexit
! Opcodes 40A0 - 40A7
O0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2556
mov.l execexit_ptr2556,r1
jmp @r1
add #-2,r6
fdl2556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2556: .long execexit
! Opcodes 40A8 - 40AF
O0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2557
mov.l execexit_ptr2557,r1
jmp @r1
add #-2,r6
fdl2557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2557: .long execexit
! Opcodes 40B0 - 40B7
O0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd685
exts.w r0,r0
longwd685:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2558
mov.l execexit_ptr2558,r1
jmp @r1
add #-2,r6
fdl2558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2558: .long execexit
! Opcode 40B8
O0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2559
mov.l execexit_ptr2559,r1
jmp @r1
add #-2,r6
fdl2559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2559: .long execexit
! Opcode 40B9
O0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r8,@-r15
cmp/pl r9
negc r1,r3
add r9,r1
and r3,r1
cmp/pl r1
movt r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
cmp/pl r3
movt r9
rotcl r8
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2560
mov.l execexit_ptr2560,r1
jmp @r1
add #-2,r6
fdl2560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2560: .long execexit
! Opcodes 40C0 - 40C7
O0C0:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.w r3,@(r0,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2561
mov.l execexit_ptr2561,r1
jmp @r1
add #-2,r6
fdl2561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2561: .long execexit
! Opcodes 40D0 - 40D7
O0D0:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2562
mov.l execexit_ptr2562,r1
jmp @r1
add #-2,r6
fdl2562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2562: .long execexit
! Opcodes 40D8 - 40DF
O0D8:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2563
mov.l execexit_ptr2563,r1
jmp @r1
add #-2,r6
fdl2563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2563: .long execexit
! Opcodes 40E0 - 40E7
O0E0:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2564
mov.l execexit_ptr2564,r1
jmp @r1
add #-2,r6
fdl2564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2564: .long execexit
! Opcodes 40E8 - 40EF
O0E8:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2565
mov.l execexit_ptr2565,r1
jmp @r1
add #-2,r6
fdl2565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2565: .long execexit
! Opcodes 40F0 - 40F7
O0F0:
and r1,r2
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd686
exts.w r0,r0
longwd686:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2566
mov.l execexit_ptr2566,r1
jmp @r1
add #-2,r6
fdl2566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2566: .long execexit
! Opcode 40F8
O0F8:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2567
mov.l execexit_ptr2567,r1
jmp @r1
add #-2,r6
fdl2567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2567: .long execexit
! Opcode 40F9
O0F9:
mov r9,r3
shll2 r3
mov r8,r0
and #3,r0
or r0,r3
shll2 r3
mov r8,r0
shlr2 r0
and #3,r0
or r0,r3
mov r10,r0
shll8 r0
or r0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2568
mov.l execexit_ptr2568,r1
jmp @r1
add #-2,r6
fdl2568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2568: .long execexit
! Opcodes 4180 - 4187
O180:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2569
cmp/hi r3,r1
bt ln2569
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2570
mov.l execexit_ptr2570,r1
jmp @r1
add #-2,r6
fdl2570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2570: .long execexit
setn2569:
add #2,r8
ln2569:
mov.l g2_except_ptr2569,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2569,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2571
mov.l execexit_ptr2571,r1
jmp @r1
add #-2,r6
fdl2571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2571: .long execexit
.balign 32
g2_except_ptr2569: .long group_2_exception
bf_addr2569: .long basefunction
! Opcodes 4190 - 4197
O190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2572
cmp/hi r3,r1
bt ln2572
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2573
mov.l execexit_ptr2573,r1
jmp @r1
add #-2,r6
fdl2573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2573: .long execexit
setn2572:
add #2,r8
ln2572:
mov.l g2_except_ptr2572,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2572,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2574
mov.l execexit_ptr2574,r1
jmp @r1
add #-2,r6
fdl2574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2574: .long execexit
.balign 32
g2_except_ptr2572: .long group_2_exception
bf_addr2572: .long basefunction
! Opcodes 4198 - 419F
O198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2575
cmp/hi r3,r1
bt ln2575
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2576
mov.l execexit_ptr2576,r1
jmp @r1
add #-2,r6
fdl2576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2576: .long execexit
setn2575:
add #2,r8
ln2575:
mov.l g2_except_ptr2575,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2575,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2577
mov.l execexit_ptr2577,r1
jmp @r1
add #-2,r6
fdl2577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2577: .long execexit
.balign 32
g2_except_ptr2575: .long group_2_exception
bf_addr2575: .long basefunction
! Opcodes 41A0 - 41A7
O1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2578
cmp/hi r3,r1
bt ln2578
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2579
mov.l execexit_ptr2579,r1
jmp @r1
add #-2,r6
fdl2579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2579: .long execexit
setn2578:
add #2,r8
ln2578:
mov.l g2_except_ptr2578,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2578,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2580
mov.l execexit_ptr2580,r1
jmp @r1
add #-2,r6
fdl2580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2580: .long execexit
.balign 32
g2_except_ptr2578: .long group_2_exception
bf_addr2578: .long basefunction
! Opcodes 41A8 - 41AF
O1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2581
cmp/hi r3,r1
bt ln2581
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2582
mov.l execexit_ptr2582,r1
jmp @r1
add #-2,r6
fdl2582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2582: .long execexit
setn2581:
add #2,r8
ln2581:
mov.l g2_except_ptr2581,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2581,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2583
mov.l execexit_ptr2583,r1
jmp @r1
add #-2,r6
fdl2583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2583: .long execexit
.balign 32
g2_except_ptr2581: .long group_2_exception
bf_addr2581: .long basefunction
! Opcodes 41B0 - 41B7
O1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd687
exts.w r0,r0
longwd687:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2584
cmp/hi r3,r1
bt ln2584
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2585
mov.l execexit_ptr2585,r1
jmp @r1
add #-2,r6
fdl2585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2585: .long execexit
setn2584:
add #2,r8
ln2584:
mov.l g2_except_ptr2584,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2584,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2586
mov.l execexit_ptr2586,r1
jmp @r1
add #-2,r6
fdl2586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2586: .long execexit
.balign 32
g2_except_ptr2584: .long group_2_exception
bf_addr2584: .long basefunction
! Opcode 41B8
O1B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2587
cmp/hi r3,r1
bt ln2587
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2588
mov.l execexit_ptr2588,r1
jmp @r1
add #-2,r6
fdl2588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2588: .long execexit
setn2587:
add #2,r8
ln2587:
mov.l g2_except_ptr2587,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2587,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2589
mov.l execexit_ptr2589,r1
jmp @r1
add #-2,r6
fdl2589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2589: .long execexit
.balign 32
g2_except_ptr2587: .long group_2_exception
bf_addr2587: .long basefunction
! Opcode 41B9
O1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2590
cmp/hi r3,r1
bt ln2590
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2591
mov.l execexit_ptr2591,r1
jmp @r1
add #-2,r6
fdl2591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2591: .long execexit
setn2590:
add #2,r8
ln2590:
mov.l g2_except_ptr2590,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2590,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2592
mov.l execexit_ptr2592,r1
jmp @r1
add #-2,r6
fdl2592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2592: .long execexit
.balign 32
g2_except_ptr2590: .long group_2_exception
bf_addr2590: .long basefunction
! Opcode 41BA
O1BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2593
cmp/hi r3,r1
bt ln2593
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2594
mov.l execexit_ptr2594,r1
jmp @r1
add #-2,r6
fdl2594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2594: .long execexit
setn2593:
add #2,r8
ln2593:
mov.l g2_except_ptr2593,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2593,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2595
mov.l execexit_ptr2595,r1
jmp @r1
add #-2,r6
fdl2595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2595: .long execexit
.balign 32
g2_except_ptr2593: .long group_2_exception
bf_addr2593: .long basefunction
! Opcode 41BB
O1BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd688
exts.w r0,r0
longwd688:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2596
cmp/hi r3,r1
bt ln2596
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2597
mov.l execexit_ptr2597,r1
jmp @r1
add #-2,r6
fdl2597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2597: .long execexit
setn2596:
add #2,r8
ln2596:
mov.l g2_except_ptr2596,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2596,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2598
mov.l execexit_ptr2598,r1
jmp @r1
add #-2,r6
fdl2598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2598: .long execexit
.balign 32
g2_except_ptr2596: .long group_2_exception
bf_addr2596: .long basefunction
! Opcode 41BC
O1BC:
mov.w @r6+,r3
mov.w @r13,r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2599
cmp/hi r3,r1
bt ln2599
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2600
mov.l execexit_ptr2600,r1
jmp @r1
add #-2,r6
fdl2600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2600: .long execexit
setn2599:
add #2,r8
ln2599:
mov.l g2_except_ptr2599,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2599,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2601
mov.l execexit_ptr2601,r1
jmp @r1
add #-2,r6
fdl2601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2601: .long execexit
.balign 32
g2_except_ptr2599: .long group_2_exception
bf_addr2599: .long basefunction
! Opcodes 41D0 - 41D7
O1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2602
mov.l execexit_ptr2602,r1
jmp @r1
add #-2,r6
fdl2602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2602: .long execexit
! Opcodes 41E8 - 41EF
O1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2603
mov.l execexit_ptr2603,r1
jmp @r1
add #-2,r6
fdl2603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2603: .long execexit
! Opcodes 41F0 - 41F7
O1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd689
exts.w r0,r0
longwd689:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2604
mov.l execexit_ptr2604,r1
jmp @r1
add #-2,r6
fdl2604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2604: .long execexit
! Opcode 41F8
O1F8:
mov.w @r6+,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2605
mov.l execexit_ptr2605,r1
jmp @r1
add #-2,r6
fdl2605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2605: .long execexit
! Opcode 41F9
O1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2606
mov.l execexit_ptr2606,r1
jmp @r1
add #-2,r6
fdl2606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2606: .long execexit
! Opcode 41FA
O1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2607
mov.l execexit_ptr2607,r1
jmp @r1
add #-2,r6
fdl2607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2607: .long execexit
! Opcode 41FB
O1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd690
exts.w r0,r0
longwd690:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2608
mov.l execexit_ptr2608,r1
jmp @r1
add #-2,r6
fdl2608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2608: .long execexit
! Opcodes 4200 - 4207
O200:
and r1,r2
mov #0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov #1,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2609
mov.l execexit_ptr2609,r1
jmp @r1
add #-2,r6
fdl2609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2609: .long execexit
! Opcodes 4210 - 4217
O210:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2610
mov.l execexit_ptr2610,r1
jmp @r1
add #-2,r6
fdl2610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2610: .long execexit
! Opcodes 4218 - 421F
O218:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2611
mov.l execexit_ptr2611,r1
jmp @r1
add #-2,r6
fdl2611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2611: .long execexit
! Opcodes 4220 - 4227
O220:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2612
mov.l execexit_ptr2612,r1
jmp @r1
add #-2,r6
fdl2612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2612: .long execexit
! Opcodes 4228 - 422F
O228:
and r1,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2613
mov.l execexit_ptr2613,r1
jmp @r1
add #-2,r6
fdl2613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2613: .long execexit
! Opcodes 4230 - 4237
O230:
and r1,r2
mov #0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd691
exts.w r0,r0
longwd691:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2614
mov.l execexit_ptr2614,r1
jmp @r1
add #-2,r6
fdl2614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2614: .long execexit
! Opcode 4238
O238:
mov #0,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2615
mov.l execexit_ptr2615,r1
jmp @r1
add #-2,r6
fdl2615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2615: .long execexit
! Opcode 4239
O239:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2616
mov.l execexit_ptr2616,r1
jmp @r1
add #-2,r6
fdl2616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2616: .long execexit
! Opcodes 4240 - 4247
O240:
and r1,r2
mov #0,r3
mov r2,r0
mov.w r3,@(r0,r13)
mov #1,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2617
mov.l execexit_ptr2617,r1
jmp @r1
add #-2,r6
fdl2617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2617: .long execexit
! Opcodes 4250 - 4257
O250:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2618
mov.l execexit_ptr2618,r1
jmp @r1
add #-2,r6
fdl2618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2618: .long execexit
! Opcodes 4258 - 425F
O258:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2619
mov.l execexit_ptr2619,r1
jmp @r1
add #-2,r6
fdl2619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2619: .long execexit
! Opcodes 4260 - 4267
O260:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2620
mov.l execexit_ptr2620,r1
jmp @r1
add #-2,r6
fdl2620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2620: .long execexit
! Opcodes 4268 - 426F
O268:
and r1,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2621
mov.l execexit_ptr2621,r1
jmp @r1
add #-2,r6
fdl2621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2621: .long execexit
! Opcodes 4270 - 4277
O270:
and r1,r2
mov #0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd692
exts.w r0,r0
longwd692:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2622
mov.l execexit_ptr2622,r1
jmp @r1
add #-2,r6
fdl2622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2622: .long execexit
! Opcode 4278
O278:
mov #0,r3
mov.w @r6+,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2623
mov.l execexit_ptr2623,r1
jmp @r1
add #-2,r6
fdl2623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2623: .long execexit
! Opcode 4279
O279:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2624
mov.l execexit_ptr2624,r1
jmp @r1
add #-2,r6
fdl2624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2624: .long execexit
! Opcodes 4280 - 4287
O280:
and r1,r2
mov #0,r3
mov r2,r0
mov.l r3,@(r0,r13)
mov #1,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2625
mov.l execexit_ptr2625,r1
jmp @r1
add #-2,r6
fdl2625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2625: .long execexit
! Opcodes 4290 - 4297
O290:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2626
mov.l execexit_ptr2626,r1
jmp @r1
add #-2,r6
fdl2626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2626: .long execexit
! Opcodes 4298 - 429F
O298:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2627
mov.l execexit_ptr2627,r1
jmp @r1
add #-2,r6
fdl2627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2627: .long execexit
! Opcodes 42A0 - 42A7
O2A0:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2628
mov.l execexit_ptr2628,r1
jmp @r1
add #-2,r6
fdl2628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2628: .long execexit
! Opcodes 42A8 - 42AF
O2A8:
and r1,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2629
mov.l execexit_ptr2629,r1
jmp @r1
add #-2,r6
fdl2629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2629: .long execexit
! Opcodes 42B0 - 42B7
O2B0:
and r1,r2
mov #0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd693
exts.w r0,r0
longwd693:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2630
mov.l execexit_ptr2630,r1
jmp @r1
add #-2,r6
fdl2630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2630: .long execexit
! Opcode 42B8
O2B8:
mov #0,r3
mov.w @r6+,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2631
mov.l execexit_ptr2631,r1
jmp @r1
add #-2,r6
fdl2631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2631: .long execexit
! Opcode 42B9
O2B9:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2632
mov.l execexit_ptr2632,r1
jmp @r1
add #-2,r6
fdl2632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2632: .long execexit
! Opcodes 4380 - 4387
O380:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2633
cmp/hi r3,r1
bt ln2633
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2634
mov.l execexit_ptr2634,r1
jmp @r1
add #-2,r6
fdl2634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2634: .long execexit
setn2633:
add #2,r8
ln2633:
mov.l g2_except_ptr2633,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2633,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2635
mov.l execexit_ptr2635,r1
jmp @r1
add #-2,r6
fdl2635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2635: .long execexit
.balign 32
g2_except_ptr2633: .long group_2_exception
bf_addr2633: .long basefunction
! Opcodes 4390 - 4397
O390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2636
cmp/hi r3,r1
bt ln2636
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2637
mov.l execexit_ptr2637,r1
jmp @r1
add #-2,r6
fdl2637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2637: .long execexit
setn2636:
add #2,r8
ln2636:
mov.l g2_except_ptr2636,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2636,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2638
mov.l execexit_ptr2638,r1
jmp @r1
add #-2,r6
fdl2638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2638: .long execexit
.balign 32
g2_except_ptr2636: .long group_2_exception
bf_addr2636: .long basefunction
! Opcodes 4398 - 439F
O398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2639
cmp/hi r3,r1
bt ln2639
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2640
mov.l execexit_ptr2640,r1
jmp @r1
add #-2,r6
fdl2640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2640: .long execexit
setn2639:
add #2,r8
ln2639:
mov.l g2_except_ptr2639,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2639,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2641
mov.l execexit_ptr2641,r1
jmp @r1
add #-2,r6
fdl2641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2641: .long execexit
.balign 32
g2_except_ptr2639: .long group_2_exception
bf_addr2639: .long basefunction
! Opcodes 43A0 - 43A7
O3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2642
cmp/hi r3,r1
bt ln2642
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2643
mov.l execexit_ptr2643,r1
jmp @r1
add #-2,r6
fdl2643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2643: .long execexit
setn2642:
add #2,r8
ln2642:
mov.l g2_except_ptr2642,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2642,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2644
mov.l execexit_ptr2644,r1
jmp @r1
add #-2,r6
fdl2644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2644: .long execexit
.balign 32
g2_except_ptr2642: .long group_2_exception
bf_addr2642: .long basefunction
! Opcodes 43A8 - 43AF
O3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2645
cmp/hi r3,r1
bt ln2645
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2646
mov.l execexit_ptr2646,r1
jmp @r1
add #-2,r6
fdl2646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2646: .long execexit
setn2645:
add #2,r8
ln2645:
mov.l g2_except_ptr2645,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2645,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2647
mov.l execexit_ptr2647,r1
jmp @r1
add #-2,r6
fdl2647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2647: .long execexit
.balign 32
g2_except_ptr2645: .long group_2_exception
bf_addr2645: .long basefunction
! Opcodes 43B0 - 43B7
O3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd694
exts.w r0,r0
longwd694:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2648
cmp/hi r3,r1
bt ln2648
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2649
mov.l execexit_ptr2649,r1
jmp @r1
add #-2,r6
fdl2649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2649: .long execexit
setn2648:
add #2,r8
ln2648:
mov.l g2_except_ptr2648,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2648,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2650
mov.l execexit_ptr2650,r1
jmp @r1
add #-2,r6
fdl2650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2650: .long execexit
.balign 32
g2_except_ptr2648: .long group_2_exception
bf_addr2648: .long basefunction
! Opcode 43B8
O3B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2651
cmp/hi r3,r1
bt ln2651
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2652
mov.l execexit_ptr2652,r1
jmp @r1
add #-2,r6
fdl2652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2652: .long execexit
setn2651:
add #2,r8
ln2651:
mov.l g2_except_ptr2651,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2651,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2653
mov.l execexit_ptr2653,r1
jmp @r1
add #-2,r6
fdl2653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2653: .long execexit
.balign 32
g2_except_ptr2651: .long group_2_exception
bf_addr2651: .long basefunction
! Opcode 43B9
O3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2654
cmp/hi r3,r1
bt ln2654
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2655
mov.l execexit_ptr2655,r1
jmp @r1
add #-2,r6
fdl2655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2655: .long execexit
setn2654:
add #2,r8
ln2654:
mov.l g2_except_ptr2654,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2654,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2656
mov.l execexit_ptr2656,r1
jmp @r1
add #-2,r6
fdl2656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2656: .long execexit
.balign 32
g2_except_ptr2654: .long group_2_exception
bf_addr2654: .long basefunction
! Opcode 43BA
O3BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2657
cmp/hi r3,r1
bt ln2657
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2658
mov.l execexit_ptr2658,r1
jmp @r1
add #-2,r6
fdl2658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2658: .long execexit
setn2657:
add #2,r8
ln2657:
mov.l g2_except_ptr2657,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2657,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2659
mov.l execexit_ptr2659,r1
jmp @r1
add #-2,r6
fdl2659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2659: .long execexit
.balign 32
g2_except_ptr2657: .long group_2_exception
bf_addr2657: .long basefunction
! Opcode 43BB
O3BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd695
exts.w r0,r0
longwd695:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2660
cmp/hi r3,r1
bt ln2660
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2661
mov.l execexit_ptr2661,r1
jmp @r1
add #-2,r6
fdl2661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2661: .long execexit
setn2660:
add #2,r8
ln2660:
mov.l g2_except_ptr2660,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2660,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2662
mov.l execexit_ptr2662,r1
jmp @r1
add #-2,r6
fdl2662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2662: .long execexit
.balign 32
g2_except_ptr2660: .long group_2_exception
bf_addr2660: .long basefunction
! Opcode 43BC
O3BC:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2663
cmp/hi r3,r1
bt ln2663
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2664
mov.l execexit_ptr2664,r1
jmp @r1
add #-2,r6
fdl2664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2664: .long execexit
setn2663:
add #2,r8
ln2663:
mov.l g2_except_ptr2663,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2663,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2665
mov.l execexit_ptr2665,r1
jmp @r1
add #-2,r6
fdl2665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2665: .long execexit
.balign 32
g2_except_ptr2663: .long group_2_exception
bf_addr2663: .long basefunction
! Opcodes 43D0 - 43D7
O3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2666
mov.l execexit_ptr2666,r1
jmp @r1
add #-2,r6
fdl2666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2666: .long execexit
! Opcodes 43E8 - 43EF
O3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2667
mov.l execexit_ptr2667,r1
jmp @r1
add #-2,r6
fdl2667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2667: .long execexit
! Opcodes 43F0 - 43F7
O3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd696
exts.w r0,r0
longwd696:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2668
mov.l execexit_ptr2668,r1
jmp @r1
add #-2,r6
fdl2668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2668: .long execexit
! Opcode 43F8
O3F8:
mov.w @r6+,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2669
mov.l execexit_ptr2669,r1
jmp @r1
add #-2,r6
fdl2669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2669: .long execexit
! Opcode 43F9
O3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2670
mov.l execexit_ptr2670,r1
jmp @r1
add #-2,r6
fdl2670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2670: .long execexit
! Opcode 43FA
O3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2671
mov.l execexit_ptr2671,r1
jmp @r1
add #-2,r6
fdl2671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2671: .long execexit
! Opcode 43FB
O3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd697
exts.w r0,r0
longwd697:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2672
mov.l execexit_ptr2672,r1
jmp @r1
add #-2,r6
fdl2672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2672: .long execexit
! Opcodes 4400 - 4407
O400:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2673
mov.l execexit_ptr2673,r1
jmp @r1
add #-2,r6
fdl2673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2673: .long execexit
! Opcodes 4410 - 4417
O410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2674
mov.l execexit_ptr2674,r1
jmp @r1
add #-2,r6
fdl2674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2674: .long execexit
! Opcodes 4418 - 441F
O418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2675
mov.l execexit_ptr2675,r1
jmp @r1
add #-2,r6
fdl2675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2675: .long execexit
! Opcodes 4420 - 4427
O420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2676
mov.l execexit_ptr2676,r1
jmp @r1
add #-2,r6
fdl2676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2676: .long execexit
! Opcodes 4428 - 442F
O428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2677
mov.l execexit_ptr2677,r1
jmp @r1
add #-2,r6
fdl2677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2677: .long execexit
! Opcodes 4430 - 4437
O430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd698
exts.w r0,r0
longwd698:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2678
mov.l execexit_ptr2678,r1
jmp @r1
add #-2,r6
fdl2678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2678: .long execexit
! Opcode 4438
O438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2679
mov.l execexit_ptr2679,r1
jmp @r1
add #-2,r6
fdl2679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2679: .long execexit
! Opcode 4439
O439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
shll8 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2680
mov.l execexit_ptr2680,r1
jmp @r1
add #-2,r6
fdl2680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2680: .long execexit
! Opcodes 4440 - 4447
O440:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2681
mov.l execexit_ptr2681,r1
jmp @r1
add #-2,r6
fdl2681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2681: .long execexit
! Opcodes 4450 - 4457
O450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2682
mov.l execexit_ptr2682,r1
jmp @r1
add #-2,r6
fdl2682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2682: .long execexit
! Opcodes 4458 - 445F
O458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2683
mov.l execexit_ptr2683,r1
jmp @r1
add #-2,r6
fdl2683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2683: .long execexit
! Opcodes 4460 - 4467
O460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2684
mov.l execexit_ptr2684,r1
jmp @r1
add #-2,r6
fdl2684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2684: .long execexit
! Opcodes 4468 - 446F
O468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2685
mov.l execexit_ptr2685,r1
jmp @r1
add #-2,r6
fdl2685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2685: .long execexit
! Opcodes 4470 - 4477
O470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd699
exts.w r0,r0
longwd699:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2686
mov.l execexit_ptr2686,r1
jmp @r1
add #-2,r6
fdl2686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2686: .long execexit
! Opcode 4478
O478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2687
mov.l execexit_ptr2687,r1
jmp @r1
add #-2,r6
fdl2687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2687: .long execexit
! Opcode 4479
O479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2688
mov.l execexit_ptr2688,r1
jmp @r1
add #-2,r6
fdl2688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2688: .long execexit
! Opcodes 4480 - 4487
O480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2689
mov.l execexit_ptr2689,r1
jmp @r1
add #-2,r6
fdl2689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2689: .long execexit
! Opcodes 4490 - 4497
O490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2690
mov.l execexit_ptr2690,r1
jmp @r1
add #-2,r6
fdl2690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2690: .long execexit
! Opcodes 4498 - 449F
O498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2691
mov.l execexit_ptr2691,r1
jmp @r1
add #-2,r6
fdl2691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2691: .long execexit
! Opcodes 44A0 - 44A7
O4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2692
mov.l execexit_ptr2692,r1
jmp @r1
add #-2,r6
fdl2692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2692: .long execexit
! Opcodes 44A8 - 44AF
O4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2693
mov.l execexit_ptr2693,r1
jmp @r1
add #-2,r6
fdl2693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2693: .long execexit
! Opcodes 44B0 - 44B7
O4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd700
exts.w r0,r0
longwd700:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2694
mov.l execexit_ptr2694,r1
jmp @r1
add #-2,r6
fdl2694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2694: .long execexit
! Opcode 44B8
O4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2695
mov.l execexit_ptr2695,r1
jmp @r1
add #-2,r6
fdl2695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2695: .long execexit
! Opcode 44B9
O4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #0,r0
subv r3,r0
movt r8
mov #0,r0
clrt
subc r3,r0
movt r9
addc r8,r8
mov r0,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2696
mov.l execexit_ptr2696,r1
jmp @r1
add #-2,r6
fdl2696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2696: .long execexit
! Opcodes 44C0 - 44C7
O4C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2697
mov.l execexit_ptr2697,r1
jmp @r1
add #-2,r6
fdl2697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2697: .long execexit
! Opcodes 44D0 - 44D7
O4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2698
mov.l execexit_ptr2698,r1
jmp @r1
add #-2,r6
fdl2698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2698: .long execexit
! Opcodes 44D8 - 44DF
O4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2699
mov.l execexit_ptr2699,r1
jmp @r1
add #-2,r6
fdl2699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2699: .long execexit
! Opcodes 44E0 - 44E7
O4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2700
mov.l execexit_ptr2700,r1
jmp @r1
add #-2,r6
fdl2700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2700: .long execexit
! Opcodes 44E8 - 44EF
O4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2701
mov.l execexit_ptr2701,r1
jmp @r1
add #-2,r6
fdl2701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2701: .long execexit
! Opcodes 44F0 - 44F7
O4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd701
exts.w r0,r0
longwd701:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2702
mov.l execexit_ptr2702,r1
jmp @r1
add #-2,r6
fdl2702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2702: .long execexit
! Opcode 44F8
O4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2703
mov.l execexit_ptr2703,r1
jmp @r1
add #-2,r6
fdl2703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2703: .long execexit
! Opcode 44F9
O4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2704
mov.l execexit_ptr2704,r1
jmp @r1
add #-2,r6
fdl2704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2704: .long execexit
! Opcode 44FA
O4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2705
mov.l execexit_ptr2705,r1
jmp @r1
add #-2,r6
fdl2705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2705: .long execexit
! Opcode 44FB
O4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd702
exts.w r0,r0
longwd702:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2706
mov.l execexit_ptr2706,r1
jmp @r1
add #-2,r6
fdl2706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2706: .long execexit
! Opcode 44FC
O4FC:
mov.w @r6+,r3
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2707
mov.l execexit_ptr2707,r1
jmp @r1
add #-2,r6
fdl2707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2707: .long execexit
! Opcodes 4580 - 4587
O580:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2708
cmp/hi r3,r1
bt ln2708
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2709
mov.l execexit_ptr2709,r1
jmp @r1
add #-2,r6
fdl2709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2709: .long execexit
setn2708:
add #2,r8
ln2708:
mov.l g2_except_ptr2708,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2708,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2710
mov.l execexit_ptr2710,r1
jmp @r1
add #-2,r6
fdl2710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2710: .long execexit
.balign 32
g2_except_ptr2708: .long group_2_exception
bf_addr2708: .long basefunction
! Opcodes 4590 - 4597
O590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2711
cmp/hi r3,r1
bt ln2711
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2712
mov.l execexit_ptr2712,r1
jmp @r1
add #-2,r6
fdl2712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2712: .long execexit
setn2711:
add #2,r8
ln2711:
mov.l g2_except_ptr2711,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2711,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2713
mov.l execexit_ptr2713,r1
jmp @r1
add #-2,r6
fdl2713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2713: .long execexit
.balign 32
g2_except_ptr2711: .long group_2_exception
bf_addr2711: .long basefunction
! Opcodes 4598 - 459F
O598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2714
cmp/hi r3,r1
bt ln2714
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2715
mov.l execexit_ptr2715,r1
jmp @r1
add #-2,r6
fdl2715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2715: .long execexit
setn2714:
add #2,r8
ln2714:
mov.l g2_except_ptr2714,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2714,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2716
mov.l execexit_ptr2716,r1
jmp @r1
add #-2,r6
fdl2716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2716: .long execexit
.balign 32
g2_except_ptr2714: .long group_2_exception
bf_addr2714: .long basefunction
! Opcodes 45A0 - 45A7
O5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2717
cmp/hi r3,r1
bt ln2717
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2718
mov.l execexit_ptr2718,r1
jmp @r1
add #-2,r6
fdl2718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2718: .long execexit
setn2717:
add #2,r8
ln2717:
mov.l g2_except_ptr2717,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2717,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2719
mov.l execexit_ptr2719,r1
jmp @r1
add #-2,r6
fdl2719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2719: .long execexit
.balign 32
g2_except_ptr2717: .long group_2_exception
bf_addr2717: .long basefunction
! Opcodes 45A8 - 45AF
O5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2720
cmp/hi r3,r1
bt ln2720
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2721
mov.l execexit_ptr2721,r1
jmp @r1
add #-2,r6
fdl2721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2721: .long execexit
setn2720:
add #2,r8
ln2720:
mov.l g2_except_ptr2720,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2720,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2722
mov.l execexit_ptr2722,r1
jmp @r1
add #-2,r6
fdl2722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2722: .long execexit
.balign 32
g2_except_ptr2720: .long group_2_exception
bf_addr2720: .long basefunction
! Opcodes 45B0 - 45B7
O5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd703
exts.w r0,r0
longwd703:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2723
cmp/hi r3,r1
bt ln2723
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2724
mov.l execexit_ptr2724,r1
jmp @r1
add #-2,r6
fdl2724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2724: .long execexit
setn2723:
add #2,r8
ln2723:
mov.l g2_except_ptr2723,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2723,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2725
mov.l execexit_ptr2725,r1
jmp @r1
add #-2,r6
fdl2725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2725: .long execexit
.balign 32
g2_except_ptr2723: .long group_2_exception
bf_addr2723: .long basefunction
! Opcode 45B8
O5B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2726
cmp/hi r3,r1
bt ln2726
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2727
mov.l execexit_ptr2727,r1
jmp @r1
add #-2,r6
fdl2727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2727: .long execexit
setn2726:
add #2,r8
ln2726:
mov.l g2_except_ptr2726,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2726,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2728
mov.l execexit_ptr2728,r1
jmp @r1
add #-2,r6
fdl2728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2728: .long execexit
.balign 32
g2_except_ptr2726: .long group_2_exception
bf_addr2726: .long basefunction
! Opcode 45B9
O5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2729
cmp/hi r3,r1
bt ln2729
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2730
mov.l execexit_ptr2730,r1
jmp @r1
add #-2,r6
fdl2730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2730: .long execexit
setn2729:
add #2,r8
ln2729:
mov.l g2_except_ptr2729,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2729,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2731
mov.l execexit_ptr2731,r1
jmp @r1
add #-2,r6
fdl2731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2731: .long execexit
.balign 32
g2_except_ptr2729: .long group_2_exception
bf_addr2729: .long basefunction
! Opcode 45BA
O5BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2732
cmp/hi r3,r1
bt ln2732
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2733
mov.l execexit_ptr2733,r1
jmp @r1
add #-2,r6
fdl2733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2733: .long execexit
setn2732:
add #2,r8
ln2732:
mov.l g2_except_ptr2732,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2732,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2734
mov.l execexit_ptr2734,r1
jmp @r1
add #-2,r6
fdl2734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2734: .long execexit
.balign 32
g2_except_ptr2732: .long group_2_exception
bf_addr2732: .long basefunction
! Opcode 45BB
O5BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd704
exts.w r0,r0
longwd704:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2735
cmp/hi r3,r1
bt ln2735
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2736
mov.l execexit_ptr2736,r1
jmp @r1
add #-2,r6
fdl2736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2736: .long execexit
setn2735:
add #2,r8
ln2735:
mov.l g2_except_ptr2735,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2735,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2737
mov.l execexit_ptr2737,r1
jmp @r1
add #-2,r6
fdl2737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2737: .long execexit
.balign 32
g2_except_ptr2735: .long group_2_exception
bf_addr2735: .long basefunction
! Opcode 45BC
O5BC:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2738
cmp/hi r3,r1
bt ln2738
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2739
mov.l execexit_ptr2739,r1
jmp @r1
add #-2,r6
fdl2739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2739: .long execexit
setn2738:
add #2,r8
ln2738:
mov.l g2_except_ptr2738,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2738,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2740
mov.l execexit_ptr2740,r1
jmp @r1
add #-2,r6
fdl2740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2740: .long execexit
.balign 32
g2_except_ptr2738: .long group_2_exception
bf_addr2738: .long basefunction
! Opcodes 45D0 - 45D7
O5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2741
mov.l execexit_ptr2741,r1
jmp @r1
add #-2,r6
fdl2741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2741: .long execexit
! Opcodes 45E8 - 45EF
O5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2742
mov.l execexit_ptr2742,r1
jmp @r1
add #-2,r6
fdl2742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2742: .long execexit
! Opcodes 45F0 - 45F7
O5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd705
exts.w r0,r0
longwd705:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2743
mov.l execexit_ptr2743,r1
jmp @r1
add #-2,r6
fdl2743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2743: .long execexit
! Opcode 45F8
O5F8:
mov.w @r6+,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2744
mov.l execexit_ptr2744,r1
jmp @r1
add #-2,r6
fdl2744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2744: .long execexit
! Opcode 45F9
O5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2745
mov.l execexit_ptr2745,r1
jmp @r1
add #-2,r6
fdl2745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2745: .long execexit
! Opcode 45FA
O5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2746
mov.l execexit_ptr2746,r1
jmp @r1
add #-2,r6
fdl2746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2746: .long execexit
! Opcode 45FB
O5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd706
exts.w r0,r0
longwd706:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2747
mov.l execexit_ptr2747,r1
jmp @r1
add #-2,r6
fdl2747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2747: .long execexit
! Opcodes 4600 - 4607
O600:
and r1,r2
add r13,r2
mov.b @r2,r3
not r3,r3
mov.b r3,@r2
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2748
mov.l execexit_ptr2748,r1
jmp @r1
add #-2,r6
fdl2748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2748: .long execexit
! Opcodes 4610 - 4617
O610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2749
mov.l execexit_ptr2749,r1
jmp @r1
add #-2,r6
fdl2749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2749: .long execexit
! Opcodes 4618 - 461F
O618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2750
mov.l execexit_ptr2750,r1
jmp @r1
add #-2,r6
fdl2750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2750: .long execexit
! Opcodes 4620 - 4627
O620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2751
mov.l execexit_ptr2751,r1
jmp @r1
add #-2,r6
fdl2751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2751: .long execexit
! Opcodes 4628 - 462F
O628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2752
mov.l execexit_ptr2752,r1
jmp @r1
add #-2,r6
fdl2752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2752: .long execexit
! Opcodes 4630 - 4637
O630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd707
exts.w r0,r0
longwd707:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2753
mov.l execexit_ptr2753,r1
jmp @r1
add #-2,r6
fdl2753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2753: .long execexit
! Opcode 4638
O638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2754
mov.l execexit_ptr2754,r1
jmp @r1
add #-2,r6
fdl2754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2754: .long execexit
! Opcode 4639
O639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2755
mov.l execexit_ptr2755,r1
jmp @r1
add #-2,r6
fdl2755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2755: .long execexit
! Opcodes 4640 - 4647
O640:
and r1,r2
add r13,r2
mov.w @r2,r3
not r3,r3
mov.w r3,@r2
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2756
mov.l execexit_ptr2756,r1
jmp @r1
add #-2,r6
fdl2756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2756: .long execexit
! Opcodes 4650 - 4657
O650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2757
mov.l execexit_ptr2757,r1
jmp @r1
add #-2,r6
fdl2757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2757: .long execexit
! Opcodes 4658 - 465F
O658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2758
mov.l execexit_ptr2758,r1
jmp @r1
add #-2,r6
fdl2758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2758: .long execexit
! Opcodes 4660 - 4667
O660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2759
mov.l execexit_ptr2759,r1
jmp @r1
add #-2,r6
fdl2759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2759: .long execexit
! Opcodes 4668 - 466F
O668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2760
mov.l execexit_ptr2760,r1
jmp @r1
add #-2,r6
fdl2760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2760: .long execexit
! Opcodes 4670 - 4677
O670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd708
exts.w r0,r0
longwd708:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2761
mov.l execexit_ptr2761,r1
jmp @r1
add #-2,r6
fdl2761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2761: .long execexit
! Opcode 4678
O678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2762
mov.l execexit_ptr2762,r1
jmp @r1
add #-2,r6
fdl2762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2762: .long execexit
! Opcode 4679
O679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2763
mov.l execexit_ptr2763,r1
jmp @r1
add #-2,r6
fdl2763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2763: .long execexit
! Opcodes 4680 - 4687
O680:
and r1,r2
add r13,r2
mov.l @r2,r3
not r3,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2764
mov.l execexit_ptr2764,r1
jmp @r1
add #-2,r6
fdl2764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2764: .long execexit
! Opcodes 4690 - 4697
O690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2765
mov.l execexit_ptr2765,r1
jmp @r1
add #-2,r6
fdl2765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2765: .long execexit
! Opcodes 4698 - 469F
O698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2766
mov.l execexit_ptr2766,r1
jmp @r1
add #-2,r6
fdl2766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2766: .long execexit
! Opcodes 46A0 - 46A7
O6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2767
mov.l execexit_ptr2767,r1
jmp @r1
add #-2,r6
fdl2767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2767: .long execexit
! Opcodes 46A8 - 46AF
O6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2768
mov.l execexit_ptr2768,r1
jmp @r1
add #-2,r6
fdl2768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2768: .long execexit
! Opcodes 46B0 - 46B7
O6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd709
exts.w r0,r0
longwd709:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2769
mov.l execexit_ptr2769,r1
jmp @r1
add #-2,r6
fdl2769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2769: .long execexit
! Opcode 46B8
O6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2770
mov.l execexit_ptr2770,r1
jmp @r1
add #-2,r6
fdl2770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2770: .long execexit
! Opcode 46B9
O6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
not r3,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2771
mov.l execexit_ptr2771,r1
jmp @r1
add #-2,r6
fdl2771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2771: .long execexit
! Opcodes 46C0 - 46C7
O6C0:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2772
mov.l priviolation_addr2772,r0
jmp @r0
nop
.balign 32
priviolation_addr2772: .long privilege_violation
pcheck_ok2772:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2773
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2773:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2775
mov.l execexit_ptr2775,r0
jmp @r0
add #-2,r6
continue2775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2775: .long execexit
interrupts_addr2775: .long interrupts
! Opcodes 46D0 - 46D7
O6D0:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2776
mov.l priviolation_addr2776,r0
jmp @r0
nop
.balign 32
priviolation_addr2776: .long privilege_violation
pcheck_ok2776:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2777
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2777:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2779
mov.l execexit_ptr2779,r0
jmp @r0
add #-2,r6
continue2779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2779: .long execexit
interrupts_addr2779: .long interrupts
! Opcodes 46D8 - 46DF
O6D8:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2780
mov.l priviolation_addr2780,r0
jmp @r0
nop
.balign 32
priviolation_addr2780: .long privilege_violation
pcheck_ok2780:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2781
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2781:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2783
mov.l execexit_ptr2783,r0
jmp @r0
add #-2,r6
continue2783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2783: .long execexit
interrupts_addr2783: .long interrupts
! Opcodes 46E0 - 46E7
O6E0:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2784
mov.l priviolation_addr2784,r0
jmp @r0
nop
.balign 32
priviolation_addr2784: .long privilege_violation
pcheck_ok2784:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2785
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2785:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2787
mov.l execexit_ptr2787,r0
jmp @r0
add #-2,r6
continue2787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2787: .long execexit
interrupts_addr2787: .long interrupts
! Opcodes 46E8 - 46EF
O6E8:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2788
mov.l priviolation_addr2788,r0
jmp @r0
nop
.balign 32
priviolation_addr2788: .long privilege_violation
pcheck_ok2788:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2789
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2789:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2791
mov.l execexit_ptr2791,r0
jmp @r0
add #-2,r6
continue2791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2791: .long execexit
interrupts_addr2791: .long interrupts
! Opcodes 46F0 - 46F7
O6F0:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2792
mov.l priviolation_addr2792,r0
jmp @r0
nop
.balign 32
priviolation_addr2792: .long privilege_violation
pcheck_ok2792:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd710
exts.w r0,r0
longwd710:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2793
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2793:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2795
mov.l execexit_ptr2795,r0
jmp @r0
add #-2,r6
continue2795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2795: .long execexit
interrupts_addr2795: .long interrupts
! Opcode 46F8
O6F8:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2796
mov.l priviolation_addr2796,r0
jmp @r0
nop
.balign 32
priviolation_addr2796: .long privilege_violation
pcheck_ok2796:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2797
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2797:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2799
mov.l execexit_ptr2799,r0
jmp @r0
add #-2,r6
continue2799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2799: .long execexit
interrupts_addr2799: .long interrupts
! Opcode 46F9
O6F9:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2800
mov.l priviolation_addr2800,r0
jmp @r0
nop
.balign 32
priviolation_addr2800: .long privilege_violation
pcheck_ok2800:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2801
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2801:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2803
mov.l execexit_ptr2803,r0
jmp @r0
add #-2,r6
continue2803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2803: .long execexit
interrupts_addr2803: .long interrupts
! Opcode 46FA
O6FA:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2804
mov.l priviolation_addr2804,r0
jmp @r0
nop
.balign 32
priviolation_addr2804: .long privilege_violation
pcheck_ok2804:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2805
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2805:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2807
mov.l execexit_ptr2807,r0
jmp @r0
add #-2,r6
continue2807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2807: .long execexit
interrupts_addr2807: .long interrupts
! Opcode 46FB
O6FB:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2808
mov.l priviolation_addr2808,r0
jmp @r0
nop
.balign 32
priviolation_addr2808: .long privilege_violation
pcheck_ok2808:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd711
exts.w r0,r0
longwd711:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2809
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2809:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2811
mov.l execexit_ptr2811,r0
jmp @r0
add #-2,r6
continue2811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2811: .long execexit
interrupts_addr2811: .long interrupts
! Opcode 46FC
O6FC:
mov r10,r0
tst #0x20,r0
bf pcheck_ok2812
mov.l priviolation_addr2812,r0
jmp @r0
nop
.balign 32
priviolation_addr2812: .long privilege_violation
pcheck_ok2812:
mov.w @r6+,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln2813
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln2813:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue2815
mov.l execexit_ptr2815,r0
jmp @r0
add #-2,r6
continue2815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2815: .long execexit
interrupts_addr2815: .long interrupts
! Opcodes 4780 - 4787
O780:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2816
cmp/hi r3,r1
bt ln2816
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2817
mov.l execexit_ptr2817,r1
jmp @r1
add #-2,r6
fdl2817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2817: .long execexit
setn2816:
add #2,r8
ln2816:
mov.l g2_except_ptr2816,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2816,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2818
mov.l execexit_ptr2818,r1
jmp @r1
add #-2,r6
fdl2818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2818: .long execexit
.balign 32
g2_except_ptr2816: .long group_2_exception
bf_addr2816: .long basefunction
! Opcodes 4790 - 4797
O790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2819
cmp/hi r3,r1
bt ln2819
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2820
mov.l execexit_ptr2820,r1
jmp @r1
add #-2,r6
fdl2820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2820: .long execexit
setn2819:
add #2,r8
ln2819:
mov.l g2_except_ptr2819,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2819,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2821
mov.l execexit_ptr2821,r1
jmp @r1
add #-2,r6
fdl2821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2821: .long execexit
.balign 32
g2_except_ptr2819: .long group_2_exception
bf_addr2819: .long basefunction
! Opcodes 4798 - 479F
O798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2822
cmp/hi r3,r1
bt ln2822
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2823
mov.l execexit_ptr2823,r1
jmp @r1
add #-2,r6
fdl2823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2823: .long execexit
setn2822:
add #2,r8
ln2822:
mov.l g2_except_ptr2822,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2822,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2824
mov.l execexit_ptr2824,r1
jmp @r1
add #-2,r6
fdl2824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2824: .long execexit
.balign 32
g2_except_ptr2822: .long group_2_exception
bf_addr2822: .long basefunction
! Opcodes 47A0 - 47A7
O7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2825
cmp/hi r3,r1
bt ln2825
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2826
mov.l execexit_ptr2826,r1
jmp @r1
add #-2,r6
fdl2826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2826: .long execexit
setn2825:
add #2,r8
ln2825:
mov.l g2_except_ptr2825,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2825,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2827
mov.l execexit_ptr2827,r1
jmp @r1
add #-2,r6
fdl2827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2827: .long execexit
.balign 32
g2_except_ptr2825: .long group_2_exception
bf_addr2825: .long basefunction
! Opcodes 47A8 - 47AF
O7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2828
cmp/hi r3,r1
bt ln2828
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2829
mov.l execexit_ptr2829,r1
jmp @r1
add #-2,r6
fdl2829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2829: .long execexit
setn2828:
add #2,r8
ln2828:
mov.l g2_except_ptr2828,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2828,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2830
mov.l execexit_ptr2830,r1
jmp @r1
add #-2,r6
fdl2830:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2830: .long execexit
.balign 32
g2_except_ptr2828: .long group_2_exception
bf_addr2828: .long basefunction
! Opcodes 47B0 - 47B7
O7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd712
exts.w r0,r0
longwd712:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2831
cmp/hi r3,r1
bt ln2831
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2832
mov.l execexit_ptr2832,r1
jmp @r1
add #-2,r6
fdl2832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2832: .long execexit
setn2831:
add #2,r8
ln2831:
mov.l g2_except_ptr2831,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2831,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2833
mov.l execexit_ptr2833,r1
jmp @r1
add #-2,r6
fdl2833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2833: .long execexit
.balign 32
g2_except_ptr2831: .long group_2_exception
bf_addr2831: .long basefunction
! Opcode 47B8
O7B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2834
cmp/hi r3,r1
bt ln2834
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2835
mov.l execexit_ptr2835,r1
jmp @r1
add #-2,r6
fdl2835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2835: .long execexit
setn2834:
add #2,r8
ln2834:
mov.l g2_except_ptr2834,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2834,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2836
mov.l execexit_ptr2836,r1
jmp @r1
add #-2,r6
fdl2836:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2836: .long execexit
.balign 32
g2_except_ptr2834: .long group_2_exception
bf_addr2834: .long basefunction
! Opcode 47B9
O7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2837
cmp/hi r3,r1
bt ln2837
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2838
mov.l execexit_ptr2838,r1
jmp @r1
add #-2,r6
fdl2838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2838: .long execexit
setn2837:
add #2,r8
ln2837:
mov.l g2_except_ptr2837,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2837,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2839
mov.l execexit_ptr2839,r1
jmp @r1
add #-2,r6
fdl2839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2839: .long execexit
.balign 32
g2_except_ptr2837: .long group_2_exception
bf_addr2837: .long basefunction
! Opcode 47BA
O7BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2840
cmp/hi r3,r1
bt ln2840
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2841
mov.l execexit_ptr2841,r1
jmp @r1
add #-2,r6
fdl2841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2841: .long execexit
setn2840:
add #2,r8
ln2840:
mov.l g2_except_ptr2840,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2840,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2842
mov.l execexit_ptr2842,r1
jmp @r1
add #-2,r6
fdl2842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2842: .long execexit
.balign 32
g2_except_ptr2840: .long group_2_exception
bf_addr2840: .long basefunction
! Opcode 47BB
O7BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd713
exts.w r0,r0
longwd713:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2843
cmp/hi r3,r1
bt ln2843
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2844
mov.l execexit_ptr2844,r1
jmp @r1
add #-2,r6
fdl2844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2844: .long execexit
setn2843:
add #2,r8
ln2843:
mov.l g2_except_ptr2843,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2843,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2845
mov.l execexit_ptr2845,r1
jmp @r1
add #-2,r6
fdl2845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2845: .long execexit
.balign 32
g2_except_ptr2843: .long group_2_exception
bf_addr2843: .long basefunction
! Opcode 47BC
O7BC:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2846
cmp/hi r3,r1
bt ln2846
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2847
mov.l execexit_ptr2847,r1
jmp @r1
add #-2,r6
fdl2847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2847: .long execexit
setn2846:
add #2,r8
ln2846:
mov.l g2_except_ptr2846,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2846,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2848
mov.l execexit_ptr2848,r1
jmp @r1
add #-2,r6
fdl2848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2848: .long execexit
.balign 32
g2_except_ptr2846: .long group_2_exception
bf_addr2846: .long basefunction
! Opcodes 47D0 - 47D7
O7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2849
mov.l execexit_ptr2849,r1
jmp @r1
add #-2,r6
fdl2849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2849: .long execexit
! Opcodes 47E8 - 47EF
O7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2850
mov.l execexit_ptr2850,r1
jmp @r1
add #-2,r6
fdl2850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2850: .long execexit
! Opcodes 47F0 - 47F7
O7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd714
exts.w r0,r0
longwd714:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2851
mov.l execexit_ptr2851,r1
jmp @r1
add #-2,r6
fdl2851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2851: .long execexit
! Opcode 47F8
O7F8:
mov.w @r6+,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2852
mov.l execexit_ptr2852,r1
jmp @r1
add #-2,r6
fdl2852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2852: .long execexit
! Opcode 47F9
O7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2853
mov.l execexit_ptr2853,r1
jmp @r1
add #-2,r6
fdl2853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2853: .long execexit
! Opcode 47FA
O7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2854
mov.l execexit_ptr2854,r1
jmp @r1
add #-2,r6
fdl2854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2854: .long execexit
! Opcode 47FB
O7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd715
exts.w r0,r0
longwd715:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2855
mov.l execexit_ptr2855,r1
jmp @r1
add #-2,r6
fdl2855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2855: .long execexit
! Opcodes 4800 - 4807
O800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2857
add #-6,r8
.nonibadd2857:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2857
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2857:
exts.b r3,r3
mov r9,r8
mov.b r3,@r2
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2858
mov.l execexit_ptr2858,r1
jmp @r1
add #-2,r6
fdl2858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2858: .long execexit
! Opcodes 4810 - 4817
O810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2860
add #-6,r8
.nonibadd2860:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2860
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2860:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2861
mov.l execexit_ptr2861,r1
jmp @r1
add #-2,r6
fdl2861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2861: .long execexit
! Opcodes 4818 - 481F
O818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2863
add #-6,r8
.nonibadd2863:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2863
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2863:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2864
mov.l execexit_ptr2864,r1
jmp @r1
add #-2,r6
fdl2864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2864: .long execexit
! Opcodes 4820 - 4827
O820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2866
add #-6,r8
.nonibadd2866:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2866
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2866:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2867
mov.l execexit_ptr2867,r1
jmp @r1
add #-2,r6
fdl2867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2867: .long execexit
! Opcodes 4828 - 482F
O828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2869
add #-6,r8
.nonibadd2869:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2869
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2869:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2870
mov.l execexit_ptr2870,r1
jmp @r1
add #-2,r6
fdl2870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2870: .long execexit
! Opcodes 4830 - 4837
O830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd716
exts.w r0,r0
longwd716:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2872
add #-6,r8
.nonibadd2872:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2872
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2872:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2873
mov.l execexit_ptr2873,r1
jmp @r1
add #-2,r6
fdl2873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2873: .long execexit
! Opcode 4838
O838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2875
add #-6,r8
.nonibadd2875:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2875
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2875:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2876
mov.l execexit_ptr2876,r1
jmp @r1
add #-2,r6
fdl2876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2876: .long execexit
! Opcode 4839
O839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
mov.l r8,@-r15
xor r3,r3
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd2878
add #-6,r8
.nonibadd2878:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop2878
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop2878:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r2
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2879
mov.l execexit_ptr2879,r1
jmp @r1
add #-2,r6
fdl2879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2879: .long execexit
! Opcodes 4840 - 4847
O840:
and r1,r2
add r13,r2
mov.l @r2,r3
swap.w r3,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2880
mov.l execexit_ptr2880,r1
jmp @r1
add #-2,r6
fdl2880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2880: .long execexit
! Opcodes 4850 - 4857
O850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2881
mov.l execexit_ptr2881,r1
jmp @r1
add #-2,r6
fdl2881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2881: .long execexit
! Opcodes 4868 - 486F
O868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2882
mov.l execexit_ptr2882,r1
jmp @r1
add #-2,r6
fdl2882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2882: .long execexit
! Opcodes 4870 - 4877
O870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd717
exts.w r0,r0
longwd717:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2883
mov.l execexit_ptr2883,r1
jmp @r1
add #-2,r6
fdl2883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2883: .long execexit
! Opcode 4878
O878:
mov.w @r6+,r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2884
mov.l execexit_ptr2884,r1
jmp @r1
add #-2,r6
fdl2884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2884: .long execexit
! Opcode 4879
O879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2885
mov.l execexit_ptr2885,r1
jmp @r1
add #-2,r6
fdl2885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2885: .long execexit
! Opcode 487A
O87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2886
mov.l execexit_ptr2886,r1
jmp @r1
add #-2,r6
fdl2886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2886: .long execexit
! Opcode 487B
O87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd718
exts.w r0,r0
longwd718:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov r4,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2887
mov.l execexit_ptr2887,r1
jmp @r1
add #-2,r6
fdl2887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2887: .long execexit
! Opcodes 4880 - 4887
O880:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.w r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2888
mov.l execexit_ptr2888,r1
jmp @r1
add #-2,r6
fdl2888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2888: .long execexit
! Opcodes 4890 - 4897
O890:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln2889:
shlr r10
bf ln2890
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2890:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2889
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2891
mov.l execexit_ptr2891,r1
jmp @r1
add #-2,r6
fdl2891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2891: .long execexit
! Opcodes 48A0 - 48A7
O8A0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #60,r2
ln2892:
shlr r10
bf ln2893
mov r13,r0
mov.l @(r0,r2),r3
add #-2,r4
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
ln2893:
add #-4,r2
cmp/pz r2
bt ln2892
mov.l @r15+,r2
add #-32,r7
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2894
mov.l execexit_ptr2894,r1
jmp @r1
add #-2,r6
fdl2894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2894: .long execexit
! Opcodes 48A8 - 48AF
O8A8:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2895:
shlr r10
bf ln2896
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2896:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2895
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2897
mov.l execexit_ptr2897,r1
jmp @r1
add #-2,r6
fdl2897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2897: .long execexit
! Opcodes 48B0 - 48B7
O8B0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd719
exts.w r0,r0
longwd719:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2898:
shlr r10
bf ln2899
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2899:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2898
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2900
mov.l execexit_ptr2900,r1
jmp @r1
add #-2,r6
fdl2900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2900: .long execexit
! Opcode 48B8
O8B8:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln2901:
shlr r10
bf ln2902
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2902:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2901
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2903
mov.l execexit_ptr2903,r1
jmp @r1
add #-2,r6
fdl2903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2903: .long execexit
! Opcode 48B9
O8B9:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln2904:
shlr r10
bf ln2905
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
add #2,r4
ln2905:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2904
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2906
mov.l execexit_ptr2906,r1
jmp @r1
add #-2,r6
fdl2906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2906: .long execexit
! Opcodes 48C0 - 48C7
O8C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l r3,@r2
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2907
mov.l execexit_ptr2907,r1
jmp @r1
add #-2,r6
fdl2907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2907: .long execexit
! Opcodes 48D0 - 48D7
O8D0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln2908:
shlr r10
bf ln2909
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2909:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2908
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2910
mov.l execexit_ptr2910,r1
jmp @r1
add #-2,r6
fdl2910:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2910: .long execexit
! Opcodes 48E0 - 48E7
O8E0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
mov #60,r2
ln2911:
shlr r10
bf ln2912
mov r13,r0
mov.l @(r0,r2),r3
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
ln2912:
add #-4,r2
cmp/pz r2
bt ln2911
mov.l @r15+,r2
add #-64,r7
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2913
mov.l execexit_ptr2913,r1
jmp @r1
add #-2,r6
fdl2913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2913: .long execexit
! Opcodes 48E8 - 48EF
O8E8:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2914:
shlr r10
bf ln2915
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2915:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2914
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2916
mov.l execexit_ptr2916,r1
jmp @r1
add #-2,r6
fdl2916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2916: .long execexit
! Opcodes 48F0 - 48F7
O8F0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd720
exts.w r0,r0
longwd720:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln2917:
shlr r10
bf ln2918
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2918:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2917
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2919
mov.l execexit_ptr2919,r1
jmp @r1
add #-2,r6
fdl2919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2919: .long execexit
! Opcode 48F8
O8F8:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln2920:
shlr r10
bf ln2921
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2921:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2920
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2922
mov.l execexit_ptr2922,r1
jmp @r1
add #-2,r6
fdl2922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2922: .long execexit
! Opcode 48F9
O8F9:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln2923:
shlr r10
bf ln2924
mov r13,r0
mov.l @(r0,r2),r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
add #4,r4
ln2924:
add #4,r2
mov #64,r0
tst r0,r2
bt ln2923
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2925
mov.l execexit_ptr2925,r1
jmp @r1
add #-2,r6
fdl2925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2925: .long execexit
! Opcodes 4980 - 4987
O980:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2926
cmp/hi r3,r1
bt ln2926
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2927
mov.l execexit_ptr2927,r1
jmp @r1
add #-2,r6
fdl2927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2927: .long execexit
setn2926:
add #2,r8
ln2926:
mov.l g2_except_ptr2926,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2926,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2928
mov.l execexit_ptr2928,r1
jmp @r1
add #-2,r6
fdl2928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2928: .long execexit
.balign 32
g2_except_ptr2926: .long group_2_exception
bf_addr2926: .long basefunction
! Opcodes 4990 - 4997
O990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2929
cmp/hi r3,r1
bt ln2929
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2930
mov.l execexit_ptr2930,r1
jmp @r1
add #-2,r6
fdl2930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2930: .long execexit
setn2929:
add #2,r8
ln2929:
mov.l g2_except_ptr2929,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2929,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2931
mov.l execexit_ptr2931,r1
jmp @r1
add #-2,r6
fdl2931:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2931: .long execexit
.balign 32
g2_except_ptr2929: .long group_2_exception
bf_addr2929: .long basefunction
! Opcodes 4998 - 499F
O998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2932
cmp/hi r3,r1
bt ln2932
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2933
mov.l execexit_ptr2933,r1
jmp @r1
add #-2,r6
fdl2933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2933: .long execexit
setn2932:
add #2,r8
ln2932:
mov.l g2_except_ptr2932,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2932,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2934
mov.l execexit_ptr2934,r1
jmp @r1
add #-2,r6
fdl2934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2934: .long execexit
.balign 32
g2_except_ptr2932: .long group_2_exception
bf_addr2932: .long basefunction
! Opcodes 49A0 - 49A7
O9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2935
cmp/hi r3,r1
bt ln2935
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2936
mov.l execexit_ptr2936,r1
jmp @r1
add #-2,r6
fdl2936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2936: .long execexit
setn2935:
add #2,r8
ln2935:
mov.l g2_except_ptr2935,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2935,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2937
mov.l execexit_ptr2937,r1
jmp @r1
add #-2,r6
fdl2937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2937: .long execexit
.balign 32
g2_except_ptr2935: .long group_2_exception
bf_addr2935: .long basefunction
! Opcodes 49A8 - 49AF
O9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2938
cmp/hi r3,r1
bt ln2938
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2939
mov.l execexit_ptr2939,r1
jmp @r1
add #-2,r6
fdl2939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2939: .long execexit
setn2938:
add #2,r8
ln2938:
mov.l g2_except_ptr2938,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2938,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2940
mov.l execexit_ptr2940,r1
jmp @r1
add #-2,r6
fdl2940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2940: .long execexit
.balign 32
g2_except_ptr2938: .long group_2_exception
bf_addr2938: .long basefunction
! Opcodes 49B0 - 49B7
O9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd721
exts.w r0,r0
longwd721:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2941
cmp/hi r3,r1
bt ln2941
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2942
mov.l execexit_ptr2942,r1
jmp @r1
add #-2,r6
fdl2942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2942: .long execexit
setn2941:
add #2,r8
ln2941:
mov.l g2_except_ptr2941,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2941,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2943
mov.l execexit_ptr2943,r1
jmp @r1
add #-2,r6
fdl2943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2943: .long execexit
.balign 32
g2_except_ptr2941: .long group_2_exception
bf_addr2941: .long basefunction
! Opcode 49B8
O9B8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2944
cmp/hi r3,r1
bt ln2944
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2945
mov.l execexit_ptr2945,r1
jmp @r1
add #-2,r6
fdl2945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2945: .long execexit
setn2944:
add #2,r8
ln2944:
mov.l g2_except_ptr2944,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2944,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2946
mov.l execexit_ptr2946,r1
jmp @r1
add #-2,r6
fdl2946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2946: .long execexit
.balign 32
g2_except_ptr2944: .long group_2_exception
bf_addr2944: .long basefunction
! Opcode 49B9
O9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2947
cmp/hi r3,r1
bt ln2947
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2948
mov.l execexit_ptr2948,r1
jmp @r1
add #-2,r6
fdl2948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2948: .long execexit
setn2947:
add #2,r8
ln2947:
mov.l g2_except_ptr2947,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2947,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2949
mov.l execexit_ptr2949,r1
jmp @r1
add #-2,r6
fdl2949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2949: .long execexit
.balign 32
g2_except_ptr2947: .long group_2_exception
bf_addr2947: .long basefunction
! Opcode 49BA
O9BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2950
cmp/hi r3,r1
bt ln2950
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2951
mov.l execexit_ptr2951,r1
jmp @r1
add #-2,r6
fdl2951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2951: .long execexit
setn2950:
add #2,r8
ln2950:
mov.l g2_except_ptr2950,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2950,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2952
mov.l execexit_ptr2952,r1
jmp @r1
add #-2,r6
fdl2952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2952: .long execexit
.balign 32
g2_except_ptr2950: .long group_2_exception
bf_addr2950: .long basefunction
! Opcode 49BB
O9BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd722
exts.w r0,r0
longwd722:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2953
cmp/hi r3,r1
bt ln2953
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2954
mov.l execexit_ptr2954,r1
jmp @r1
add #-2,r6
fdl2954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2954: .long execexit
setn2953:
add #2,r8
ln2953:
mov.l g2_except_ptr2953,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2953,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2955
mov.l execexit_ptr2955,r1
jmp @r1
add #-2,r6
fdl2955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2955: .long execexit
.balign 32
g2_except_ptr2953: .long group_2_exception
bf_addr2953: .long basefunction
! Opcode 49BC
O9BC:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn2956
cmp/hi r3,r1
bt ln2956
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2957
mov.l execexit_ptr2957,r1
jmp @r1
add #-2,r6
fdl2957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2957: .long execexit
setn2956:
add #2,r8
ln2956:
mov.l g2_except_ptr2956,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr2956,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2958
mov.l execexit_ptr2958,r1
jmp @r1
add #-2,r6
fdl2958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2958: .long execexit
.balign 32
g2_except_ptr2956: .long group_2_exception
bf_addr2956: .long basefunction
! Opcodes 49D0 - 49D7
O9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2959
mov.l execexit_ptr2959,r1
jmp @r1
add #-2,r6
fdl2959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2959: .long execexit
! Opcodes 49E8 - 49EF
O9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2960
mov.l execexit_ptr2960,r1
jmp @r1
add #-2,r6
fdl2960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2960: .long execexit
! Opcodes 49F0 - 49F7
O9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd723
exts.w r0,r0
longwd723:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2961
mov.l execexit_ptr2961,r1
jmp @r1
add #-2,r6
fdl2961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2961: .long execexit
! Opcode 49F8
O9F8:
mov.w @r6+,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2962
mov.l execexit_ptr2962,r1
jmp @r1
add #-2,r6
fdl2962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2962: .long execexit
! Opcode 49F9
O9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2963
mov.l execexit_ptr2963,r1
jmp @r1
add #-2,r6
fdl2963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2963: .long execexit
! Opcode 49FA
O9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2964
mov.l execexit_ptr2964,r1
jmp @r1
add #-2,r6
fdl2964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2964: .long execexit
! Opcode 49FB
O9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd724
exts.w r0,r0
longwd724:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2965
mov.l execexit_ptr2965,r1
jmp @r1
add #-2,r6
fdl2965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2965: .long execexit
! Opcodes 4A00 - 4A07
OA00:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2966
mov.l execexit_ptr2966,r1
jmp @r1
add #-2,r6
fdl2966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2966: .long execexit
! Opcodes 4A10 - 4A17
OA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2967
mov.l execexit_ptr2967,r1
jmp @r1
add #-2,r6
fdl2967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2967: .long execexit
! Opcodes 4A18 - 4A1F
OA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2968
mov.l execexit_ptr2968,r1
jmp @r1
add #-2,r6
fdl2968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2968: .long execexit
! Opcodes 4A20 - 4A27
OA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2969
mov.l execexit_ptr2969,r1
jmp @r1
add #-2,r6
fdl2969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2969: .long execexit
! Opcodes 4A28 - 4A2F
OA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2970
mov.l execexit_ptr2970,r1
jmp @r1
add #-2,r6
fdl2970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2970: .long execexit
! Opcodes 4A30 - 4A37
OA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd725
exts.w r0,r0
longwd725:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2971
mov.l execexit_ptr2971,r1
jmp @r1
add #-2,r6
fdl2971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2971: .long execexit
! Opcode 4A38
OA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2972
mov.l execexit_ptr2972,r1
jmp @r1
add #-2,r6
fdl2972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2972: .long execexit
! Opcode 4A39
OA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2973
mov.l execexit_ptr2973,r1
jmp @r1
add #-2,r6
fdl2973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2973: .long execexit
! Opcodes 4A40 - 4A47
OA40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2974
mov.l execexit_ptr2974,r1
jmp @r1
add #-2,r6
fdl2974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2974: .long execexit
! Opcodes 4A50 - 4A57
OA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2975
mov.l execexit_ptr2975,r1
jmp @r1
add #-2,r6
fdl2975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2975: .long execexit
! Opcodes 4A58 - 4A5F
OA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2976
mov.l execexit_ptr2976,r1
jmp @r1
add #-2,r6
fdl2976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2976: .long execexit
! Opcodes 4A60 - 4A67
OA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2977
mov.l execexit_ptr2977,r1
jmp @r1
add #-2,r6
fdl2977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2977: .long execexit
! Opcodes 4A68 - 4A6F
OA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2978
mov.l execexit_ptr2978,r1
jmp @r1
add #-2,r6
fdl2978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2978: .long execexit
! Opcodes 4A70 - 4A77
OA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd726
exts.w r0,r0
longwd726:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2979
mov.l execexit_ptr2979,r1
jmp @r1
add #-2,r6
fdl2979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2979: .long execexit
! Opcode 4A78
OA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2980
mov.l execexit_ptr2980,r1
jmp @r1
add #-2,r6
fdl2980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2980: .long execexit
! Opcode 4A79
OA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2981
mov.l execexit_ptr2981,r1
jmp @r1
add #-2,r6
fdl2981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2981: .long execexit
! Opcodes 4A80 - 4A87
OA80:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2982
mov.l execexit_ptr2982,r1
jmp @r1
add #-2,r6
fdl2982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2982: .long execexit
! Opcodes 4A90 - 4A97
OA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2983
mov.l execexit_ptr2983,r1
jmp @r1
add #-2,r6
fdl2983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2983: .long execexit
! Opcodes 4A98 - 4A9F
OA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2984
mov.l execexit_ptr2984,r1
jmp @r1
add #-2,r6
fdl2984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2984: .long execexit
! Opcodes 4AA0 - 4AA7
OAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2985
mov.l execexit_ptr2985,r1
jmp @r1
add #-2,r6
fdl2985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2985: .long execexit
! Opcodes 4AA8 - 4AAF
OAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2986
mov.l execexit_ptr2986,r1
jmp @r1
add #-2,r6
fdl2986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2986: .long execexit
! Opcodes 4AB0 - 4AB7
OAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd727
exts.w r0,r0
longwd727:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2987
mov.l execexit_ptr2987,r1
jmp @r1
add #-2,r6
fdl2987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2987: .long execexit
! Opcode 4AB8
OAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2988
mov.l execexit_ptr2988,r1
jmp @r1
add #-2,r6
fdl2988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2988: .long execexit
! Opcode 4AB9
OAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2989
mov.l execexit_ptr2989,r1
jmp @r1
add #-2,r6
fdl2989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2989: .long execexit
! Opcodes 4AC0 - 4AC7
OAC0:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2990
mov.l execexit_ptr2990,r1
jmp @r1
add #-2,r6
fdl2990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2990: .long execexit
! Opcodes 4AD0 - 4AD7
OAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2991
mov.l execexit_ptr2991,r1
jmp @r1
add #-2,r6
fdl2991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2991: .long execexit
! Opcodes 4AD8 - 4ADF
OAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2992
mov.l execexit_ptr2992,r1
jmp @r1
add #-2,r6
fdl2992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2992: .long execexit
! Opcodes 4AE0 - 4AE7
OAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2993
mov.l execexit_ptr2993,r1
jmp @r1
add #-2,r6
fdl2993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2993: .long execexit
! Opcodes 4AE8 - 4AEF
OAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2994
mov.l execexit_ptr2994,r1
jmp @r1
add #-2,r6
fdl2994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2994: .long execexit
! Opcodes 4AF0 - 4AF7
OAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd728
exts.w r0,r0
longwd728:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2995
mov.l execexit_ptr2995,r1
jmp @r1
add #-2,r6
fdl2995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2995: .long execexit
! Opcode 4AF8
OAF8:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2996
mov.l execexit_ptr2996,r1
jmp @r1
add #-2,r6
fdl2996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2996: .long execexit
! Opcode 4AF9
OAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r3,r1
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov r1,r0
or #0x80,r0
mov r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2997
mov.l execexit_ptr2997,r1
jmp @r1
add #-2,r6
fdl2997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2997: .long execexit
! Opcode 4AFA
OAFA:
r_illegal:
mov.l g1_except_addr2998,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr2998,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl2999
mov.l execexit_ptr2999,r1
jmp @r1
add #-2,r6
fdl2999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr2999: .long execexit
.balign 32
g1_except_addr2998: .long group_1_exception
bf_addr2998: .long basefunction
! Opcode 4AFB
OAFB:
mov.l g1_except_addr3000,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr3000,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3001
mov.l execexit_ptr3001,r1
jmp @r1
add #-2,r6
fdl3001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3001: .long execexit
.balign 32
g1_except_addr3000: .long group_1_exception
bf_addr3000: .long basefunction
! Opcode 4AFC
OAFC:
mov.l g1_except_addr3002,r0
add #-2,r6
jsr @r0
mov #0x10,r4
mov.l bf_addr3002,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3003
mov.l execexit_ptr3003,r1
jmp @r1
add #-2,r6
fdl3003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3003: .long execexit
.balign 32
g1_except_addr3002: .long group_1_exception
bf_addr3002: .long basefunction
! Opcodes 4B80 - 4B87
OB80:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3004
cmp/hi r3,r1
bt ln3004
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3005
mov.l execexit_ptr3005,r1
jmp @r1
add #-2,r6
fdl3005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3005: .long execexit
setn3004:
add #2,r8
ln3004:
mov.l g2_except_ptr3004,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3004,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3006
mov.l execexit_ptr3006,r1
jmp @r1
add #-2,r6
fdl3006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3006: .long execexit
.balign 32
g2_except_ptr3004: .long group_2_exception
bf_addr3004: .long basefunction
! Opcodes 4B90 - 4B97
OB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3007
cmp/hi r3,r1
bt ln3007
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3008
mov.l execexit_ptr3008,r1
jmp @r1
add #-2,r6
fdl3008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3008: .long execexit
setn3007:
add #2,r8
ln3007:
mov.l g2_except_ptr3007,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3007,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3009
mov.l execexit_ptr3009,r1
jmp @r1
add #-2,r6
fdl3009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3009: .long execexit
.balign 32
g2_except_ptr3007: .long group_2_exception
bf_addr3007: .long basefunction
! Opcodes 4B98 - 4B9F
OB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3010
cmp/hi r3,r1
bt ln3010
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3011
mov.l execexit_ptr3011,r1
jmp @r1
add #-2,r6
fdl3011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3011: .long execexit
setn3010:
add #2,r8
ln3010:
mov.l g2_except_ptr3010,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3010,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3012
mov.l execexit_ptr3012,r1
jmp @r1
add #-2,r6
fdl3012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3012: .long execexit
.balign 32
g2_except_ptr3010: .long group_2_exception
bf_addr3010: .long basefunction
! Opcodes 4BA0 - 4BA7
OBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3013
cmp/hi r3,r1
bt ln3013
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3014
mov.l execexit_ptr3014,r1
jmp @r1
add #-2,r6
fdl3014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3014: .long execexit
setn3013:
add #2,r8
ln3013:
mov.l g2_except_ptr3013,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3013,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3015
mov.l execexit_ptr3015,r1
jmp @r1
add #-2,r6
fdl3015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3015: .long execexit
.balign 32
g2_except_ptr3013: .long group_2_exception
bf_addr3013: .long basefunction
! Opcodes 4BA8 - 4BAF
OBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3016
cmp/hi r3,r1
bt ln3016
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3017
mov.l execexit_ptr3017,r1
jmp @r1
add #-2,r6
fdl3017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3017: .long execexit
setn3016:
add #2,r8
ln3016:
mov.l g2_except_ptr3016,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3016,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3018
mov.l execexit_ptr3018,r1
jmp @r1
add #-2,r6
fdl3018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3018: .long execexit
.balign 32
g2_except_ptr3016: .long group_2_exception
bf_addr3016: .long basefunction
! Opcodes 4BB0 - 4BB7
OBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd729
exts.w r0,r0
longwd729:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3019
cmp/hi r3,r1
bt ln3019
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3020
mov.l execexit_ptr3020,r1
jmp @r1
add #-2,r6
fdl3020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3020: .long execexit
setn3019:
add #2,r8
ln3019:
mov.l g2_except_ptr3019,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3019,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3021
mov.l execexit_ptr3021,r1
jmp @r1
add #-2,r6
fdl3021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3021: .long execexit
.balign 32
g2_except_ptr3019: .long group_2_exception
bf_addr3019: .long basefunction
! Opcode 4BB8
OBB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3022
cmp/hi r3,r1
bt ln3022
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3023
mov.l execexit_ptr3023,r1
jmp @r1
add #-2,r6
fdl3023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3023: .long execexit
setn3022:
add #2,r8
ln3022:
mov.l g2_except_ptr3022,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3022,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3024
mov.l execexit_ptr3024,r1
jmp @r1
add #-2,r6
fdl3024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3024: .long execexit
.balign 32
g2_except_ptr3022: .long group_2_exception
bf_addr3022: .long basefunction
! Opcode 4BB9
OBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3025
cmp/hi r3,r1
bt ln3025
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3026
mov.l execexit_ptr3026,r1
jmp @r1
add #-2,r6
fdl3026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3026: .long execexit
setn3025:
add #2,r8
ln3025:
mov.l g2_except_ptr3025,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3025,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3027
mov.l execexit_ptr3027,r1
jmp @r1
add #-2,r6
fdl3027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3027: .long execexit
.balign 32
g2_except_ptr3025: .long group_2_exception
bf_addr3025: .long basefunction
! Opcode 4BBA
OBBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3028
cmp/hi r3,r1
bt ln3028
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3029
mov.l execexit_ptr3029,r1
jmp @r1
add #-2,r6
fdl3029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3029: .long execexit
setn3028:
add #2,r8
ln3028:
mov.l g2_except_ptr3028,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3028,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3030
mov.l execexit_ptr3030,r1
jmp @r1
add #-2,r6
fdl3030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3030: .long execexit
.balign 32
g2_except_ptr3028: .long group_2_exception
bf_addr3028: .long basefunction
! Opcode 4BBB
OBBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd730
exts.w r0,r0
longwd730:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3031
cmp/hi r3,r1
bt ln3031
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3032
mov.l execexit_ptr3032,r1
jmp @r1
add #-2,r6
fdl3032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3032: .long execexit
setn3031:
add #2,r8
ln3031:
mov.l g2_except_ptr3031,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3031,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3033
mov.l execexit_ptr3033,r1
jmp @r1
add #-2,r6
fdl3033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3033: .long execexit
.balign 32
g2_except_ptr3031: .long group_2_exception
bf_addr3031: .long basefunction
! Opcode 4BBC
OBBC:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3034
cmp/hi r3,r1
bt ln3034
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3035
mov.l execexit_ptr3035,r1
jmp @r1
add #-2,r6
fdl3035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3035: .long execexit
setn3034:
add #2,r8
ln3034:
mov.l g2_except_ptr3034,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3034,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3036
mov.l execexit_ptr3036,r1
jmp @r1
add #-2,r6
fdl3036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3036: .long execexit
.balign 32
g2_except_ptr3034: .long group_2_exception
bf_addr3034: .long basefunction
! Opcodes 4BD0 - 4BD7
OBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3037
mov.l execexit_ptr3037,r1
jmp @r1
add #-2,r6
fdl3037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3037: .long execexit
! Opcodes 4BE8 - 4BEF
OBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3038
mov.l execexit_ptr3038,r1
jmp @r1
add #-2,r6
fdl3038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3038: .long execexit
! Opcodes 4BF0 - 4BF7
OBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd731
exts.w r0,r0
longwd731:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3039
mov.l execexit_ptr3039,r1
jmp @r1
add #-2,r6
fdl3039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3039: .long execexit
! Opcode 4BF8
OBF8:
mov.w @r6+,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3040
mov.l execexit_ptr3040,r1
jmp @r1
add #-2,r6
fdl3040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3040: .long execexit
! Opcode 4BF9
OBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3041
mov.l execexit_ptr3041,r1
jmp @r1
add #-2,r6
fdl3041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3041: .long execexit
! Opcode 4BFA
OBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3042
mov.l execexit_ptr3042,r1
jmp @r1
add #-2,r6
fdl3042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3042: .long execexit
! Opcode 4BFB
OBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd732
exts.w r0,r0
longwd732:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3043
mov.l execexit_ptr3043,r1
jmp @r1
add #-2,r6
fdl3043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3043: .long execexit
! Opcodes 4C90 - 4C97
OC90:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln3044:
shlr r10
bf ln3045
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3045:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3044
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3046
mov.l execexit_ptr3046,r1
jmp @r1
add #-2,r6
fdl3046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3046: .long execexit
! Opcodes 4C98 - 4C9F
OC98:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
xor r2,r2
ln3047:
shlr r10
bf ln3048
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3048:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3047
mov.l @r15+,r2
add #-32,r7
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3049
mov.l execexit_ptr3049,r1
jmp @r1
add #-2,r6
fdl3049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3049: .long execexit
! Opcodes 4CA8 - 4CAF
OCA8:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3050:
shlr r10
bf ln3051
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3051:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3050
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3052
mov.l execexit_ptr3052,r1
jmp @r1
add #-2,r6
fdl3052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3052: .long execexit
! Opcodes 4CB0 - 4CB7
OCB0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd733
exts.w r0,r0
longwd733:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3053:
shlr r10
bf ln3054
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3054:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3053
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3055
mov.l execexit_ptr3055,r1
jmp @r1
add #-2,r6
fdl3055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3055: .long execexit
! Opcode 4CB8
OCB8:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln3056:
shlr r10
bf ln3057
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3057:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3056
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3058
mov.l execexit_ptr3058,r1
jmp @r1
add #-2,r6
fdl3058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3058: .long execexit
! Opcode 4CB9
OCB9:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln3059:
shlr r10
bf ln3060
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3060:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3059
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3061
mov.l execexit_ptr3061,r1
jmp @r1
add #-2,r6
fdl3061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3061: .long execexit
! Opcode 4CBA
OCBA:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov #0,r2
ln3062:
shlr r10
bf ln3063
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3063:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3062
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3064
mov.l execexit_ptr3064,r1
jmp @r1
add #-2,r6
fdl3064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3064: .long execexit
! Opcode 4CBB
OCBB:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd734
exts.w r0,r0
longwd734:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov #0,r2
ln3065:
shlr r10
bf ln3066
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
add #-4,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #2,r4
ln3066:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3065
add #-32,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3067
mov.l execexit_ptr3067,r1
jmp @r1
add #-2,r6
fdl3067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3067: .long execexit
! Opcodes 4CD0 - 4CD7
OCD0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov #0,r2
ln3068:
shlr r10
bf ln3069
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3069:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3068
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3070
mov.l execexit_ptr3070,r1
jmp @r1
add #-2,r6
fdl3070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3070: .long execexit
! Opcodes 4CD8 - 4CDF
OCD8:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov r2,r0
mov.l @(r0,r14),r4
mov.l r2,@-r15
xor r2,r2
ln3071:
shlr r10
bf ln3072
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3072:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3071
mov.l @r15+,r2
add #-64,r7
mov.l @r15+,r10
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3073
mov.l execexit_ptr3073,r1
jmp @r1
add #-2,r6
fdl3073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3073: .long execexit
! Opcodes 4CE8 - 4CEF
OCE8:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3074:
shlr r10
bf ln3075
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3075:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3074
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3076
mov.l execexit_ptr3076,r1
jmp @r1
add #-2,r6
fdl3076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3076: .long execexit
! Opcodes 4CF0 - 4CF7
OCF0:
and r1,r2
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd735
exts.w r0,r0
longwd735:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov #0,r2
ln3077:
shlr r10
bf ln3078
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3078:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3077
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3079
mov.l execexit_ptr3079,r1
jmp @r1
add #-2,r6
fdl3079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3079: .long execexit
! Opcode 4CF8
OCF8:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r4
mov #0,r2
ln3080:
shlr r10
bf ln3081
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3081:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3080
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3082
mov.l execexit_ptr3082,r1
jmp @r1
add #-2,r6
fdl3082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3082: .long execexit
! Opcode 4CF9
OCF9:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov #0,r2
ln3083:
shlr r10
bf ln3084
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3084:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3083
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3085
mov.l execexit_ptr3085,r1
jmp @r1
add #-2,r6
fdl3085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3085: .long execexit
! Opcode 4CFA
OCFA:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov #0,r2
ln3086:
shlr r10
bf ln3087
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3087:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3086
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3088
mov.l execexit_ptr3088,r1
jmp @r1
add #-2,r6
fdl3088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3088: .long execexit
! Opcode 4CFB
OCFB:
mov.l r10,@-r15
mov.w @r6+,r10
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd736
exts.w r0,r0
longwd736:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov #0,r2
ln3089:
shlr r10
bf ln3090
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #-8,r7
mov r13,r0
mov.l r3,@(r0,r2)
add #4,r4
ln3090:
add #4,r2
mov #64,r0
tst r0,r2
bt ln3089
add #-64,r7
mov.l @r15+,r10
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3091
mov.l execexit_ptr3091,r1
jmp @r1
add #-2,r6
fdl3091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3091: .long execexit
! Opcodes 4D80 - 4D87
OD80:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3092
cmp/hi r3,r1
bt ln3092
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3093
mov.l execexit_ptr3093,r1
jmp @r1
add #-2,r6
fdl3093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3093: .long execexit
setn3092:
add #2,r8
ln3092:
mov.l g2_except_ptr3092,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3092,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3094
mov.l execexit_ptr3094,r1
jmp @r1
add #-2,r6
fdl3094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3094: .long execexit
.balign 32
g2_except_ptr3092: .long group_2_exception
bf_addr3092: .long basefunction
! Opcodes 4D90 - 4D97
OD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3095
cmp/hi r3,r1
bt ln3095
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3096
mov.l execexit_ptr3096,r1
jmp @r1
add #-2,r6
fdl3096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3096: .long execexit
setn3095:
add #2,r8
ln3095:
mov.l g2_except_ptr3095,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3095,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3097
mov.l execexit_ptr3097,r1
jmp @r1
add #-2,r6
fdl3097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3097: .long execexit
.balign 32
g2_except_ptr3095: .long group_2_exception
bf_addr3095: .long basefunction
! Opcodes 4D98 - 4D9F
OD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3098
cmp/hi r3,r1
bt ln3098
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3099
mov.l execexit_ptr3099,r1
jmp @r1
add #-2,r6
fdl3099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3099: .long execexit
setn3098:
add #2,r8
ln3098:
mov.l g2_except_ptr3098,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3098,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3100
mov.l execexit_ptr3100,r1
jmp @r1
add #-2,r6
fdl3100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3100: .long execexit
.balign 32
g2_except_ptr3098: .long group_2_exception
bf_addr3098: .long basefunction
! Opcodes 4DA0 - 4DA7
ODA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3101
cmp/hi r3,r1
bt ln3101
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3102
mov.l execexit_ptr3102,r1
jmp @r1
add #-2,r6
fdl3102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3102: .long execexit
setn3101:
add #2,r8
ln3101:
mov.l g2_except_ptr3101,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3101,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3103
mov.l execexit_ptr3103,r1
jmp @r1
add #-2,r6
fdl3103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3103: .long execexit
.balign 32
g2_except_ptr3101: .long group_2_exception
bf_addr3101: .long basefunction
! Opcodes 4DA8 - 4DAF
ODA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3104
cmp/hi r3,r1
bt ln3104
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3105
mov.l execexit_ptr3105,r1
jmp @r1
add #-2,r6
fdl3105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3105: .long execexit
setn3104:
add #2,r8
ln3104:
mov.l g2_except_ptr3104,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3104,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3106
mov.l execexit_ptr3106,r1
jmp @r1
add #-2,r6
fdl3106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3106: .long execexit
.balign 32
g2_except_ptr3104: .long group_2_exception
bf_addr3104: .long basefunction
! Opcodes 4DB0 - 4DB7
ODB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd737
exts.w r0,r0
longwd737:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3107
cmp/hi r3,r1
bt ln3107
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3108
mov.l execexit_ptr3108,r1
jmp @r1
add #-2,r6
fdl3108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3108: .long execexit
setn3107:
add #2,r8
ln3107:
mov.l g2_except_ptr3107,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3107,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3109
mov.l execexit_ptr3109,r1
jmp @r1
add #-2,r6
fdl3109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3109: .long execexit
.balign 32
g2_except_ptr3107: .long group_2_exception
bf_addr3107: .long basefunction
! Opcode 4DB8
ODB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3110
cmp/hi r3,r1
bt ln3110
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3111
mov.l execexit_ptr3111,r1
jmp @r1
add #-2,r6
fdl3111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3111: .long execexit
setn3110:
add #2,r8
ln3110:
mov.l g2_except_ptr3110,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3110,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3112
mov.l execexit_ptr3112,r1
jmp @r1
add #-2,r6
fdl3112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3112: .long execexit
.balign 32
g2_except_ptr3110: .long group_2_exception
bf_addr3110: .long basefunction
! Opcode 4DB9
ODB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3113
cmp/hi r3,r1
bt ln3113
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3114
mov.l execexit_ptr3114,r1
jmp @r1
add #-2,r6
fdl3114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3114: .long execexit
setn3113:
add #2,r8
ln3113:
mov.l g2_except_ptr3113,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3113,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3115
mov.l execexit_ptr3115,r1
jmp @r1
add #-2,r6
fdl3115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3115: .long execexit
.balign 32
g2_except_ptr3113: .long group_2_exception
bf_addr3113: .long basefunction
! Opcode 4DBA
ODBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3116
cmp/hi r3,r1
bt ln3116
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3117
mov.l execexit_ptr3117,r1
jmp @r1
add #-2,r6
fdl3117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3117: .long execexit
setn3116:
add #2,r8
ln3116:
mov.l g2_except_ptr3116,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3116,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3118
mov.l execexit_ptr3118,r1
jmp @r1
add #-2,r6
fdl3118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3118: .long execexit
.balign 32
g2_except_ptr3116: .long group_2_exception
bf_addr3116: .long basefunction
! Opcode 4DBB
ODBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd738
exts.w r0,r0
longwd738:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3119
cmp/hi r3,r1
bt ln3119
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3120
mov.l execexit_ptr3120,r1
jmp @r1
add #-2,r6
fdl3120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3120: .long execexit
setn3119:
add #2,r8
ln3119:
mov.l g2_except_ptr3119,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3119,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3121
mov.l execexit_ptr3121,r1
jmp @r1
add #-2,r6
fdl3121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3121: .long execexit
.balign 32
g2_except_ptr3119: .long group_2_exception
bf_addr3119: .long basefunction
! Opcode 4DBC
ODBC:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3122
cmp/hi r3,r1
bt ln3122
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3123
mov.l execexit_ptr3123,r1
jmp @r1
add #-2,r6
fdl3123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3123: .long execexit
setn3122:
add #2,r8
ln3122:
mov.l g2_except_ptr3122,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3122,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3124
mov.l execexit_ptr3124,r1
jmp @r1
add #-2,r6
fdl3124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3124: .long execexit
.balign 32
g2_except_ptr3122: .long group_2_exception
bf_addr3122: .long basefunction
! Opcodes 4DD0 - 4DD7
ODD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3125
mov.l execexit_ptr3125,r1
jmp @r1
add #-2,r6
fdl3125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3125: .long execexit
! Opcodes 4DE8 - 4DEF
ODE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3126
mov.l execexit_ptr3126,r1
jmp @r1
add #-2,r6
fdl3126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3126: .long execexit
! Opcodes 4DF0 - 4DF7
ODF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd739
exts.w r0,r0
longwd739:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3127
mov.l execexit_ptr3127,r1
jmp @r1
add #-2,r6
fdl3127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3127: .long execexit
! Opcode 4DF8
ODF8:
mov.w @r6+,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3128
mov.l execexit_ptr3128,r1
jmp @r1
add #-2,r6
fdl3128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3128: .long execexit
! Opcode 4DF9
ODF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3129
mov.l execexit_ptr3129,r1
jmp @r1
add #-2,r6
fdl3129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3129: .long execexit
! Opcode 4DFA
ODFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3130
mov.l execexit_ptr3130,r1
jmp @r1
add #-2,r6
fdl3130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3130: .long execexit
! Opcode 4DFB
ODFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd740
exts.w r0,r0
longwd740:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3131
mov.l execexit_ptr3131,r1
jmp @r1
add #-2,r6
fdl3131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3131: .long execexit
! Opcodes 4E40 - 4E4F
OE40:
mov #0x3C,r0
mov #0x80,r4
and r0,r2
extu.b r4,r4
mov.l g2_exception_addr,r0
jsr @r0
add r2,r4
mov.l bf_addr3132,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3133
mov.l execexit_ptr3133,r1
jmp @r1
add #-2,r6
fdl3133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3133: .long execexit
.balign 32
g2_exception_addr: .long group_2_exception
bf_addr3132: .long basefunction
! Opcodes 4E50 - 4E57
OE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.l @(60,r13),r3
mov r2,r0
mov.l r3,@(r0,r14)
mov.w @r6+,r4
add r4,r3
mov.l r3,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3134
mov.l execexit_ptr3134,r1
jmp @r1
add #-2,r6
fdl3134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3134: .long execexit
! Opcodes 4E58 - 4E5F
OE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r3
mov.l r3,@(60,r13)
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r2,r0
mov.l r3,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3135
mov.l execexit_ptr3135,r1
jmp @r1
add #-2,r6
fdl3135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3135: .long execexit
! Opcodes 4E60 - 4E67
OE60:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3136
mov.l priviolation_addr3136,r0
jmp @r0
nop
.balign 32
priviolation_addr3136: .long privilege_violation
pcheck_ok3136:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r3
mov.l r3,@(32,r14)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3137
mov.l execexit_ptr3137,r1
jmp @r1
add #-2,r6
fdl3137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3137: .long execexit
! Opcodes 4E68 - 4E6F
OE68:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3138
mov.l priviolation_addr3138,r0
jmp @r0
nop
.balign 32
priviolation_addr3138: .long privilege_violation
pcheck_ok3138:
and r1,r2
mov.l @(32,r14),r3
mov r2,r0
mov.l r3,@(r0,r14)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3139
mov.l execexit_ptr3139,r1
jmp @r1
add #-2,r6
fdl3139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3139: .long execexit
! Opcode 4E70
OE70:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3141
mov.l priviolation_addr3141,r0
jmp @r0
nop
.balign 32
priviolation_addr3141: .long privilege_violation
pcheck_ok3141:
mov.l resethandler_addr3140,r0
mov.l @r0,r3
tst r3,r3
bt r_done
mov.l io_cycle_counter_addr3140,r0
mov.l r7,@r0
mov.l r5,@(io_fetchbase-io_cycle_counter,r0)
mov.l r6,@(io_fetchbased_pc-io_cycle_counter,r0)
sts.l	pr,@-r15
jsr @r3
nop
lds.l	@r15+,pr
mov.l io_cycle_counter_addr3140,r0
mov.l @r0,r7
mov.l @(io_fetchbase-io_cycle_counter,r0),r5
mov.l @(io_fetchbased_pc-io_cycle_counter,r0),r6
r_done:
mov.w @r6+,r0
add #-128,r7
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3142
mov.l execexit_ptr3142,r1
jmp @r1
add #-2,r6
fdl3142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3142: .long execexit
.balign 32
io_cycle_counter_addr3140: .long io_cycle_counter
resethandler_addr3140: .long resethandler
! Opcode 4E71
OE71:
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3143
mov.l execexit_ptr3143,r1
jmp @r1
add #-2,r6
fdl3143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3143: .long execexit
! Opcode 4E72
OE72:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3144
mov.l priviolation_addr3144,r0
jmp @r0
nop
.balign 32
priviolation_addr3144: .long privilege_violation
pcheck_ok3144:
mov.w @r6+,r3
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln3145
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln3145:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.l execinfo_addr3144,r2
mov.w @r2,r0
mov #0x80,r1
extu.b r1,r1
or r1,r0
mov.w r0,@r2
mov.l exit_addr,r0
jmp @r0
add #-4,r7
.balign 32
exit_addr: .long execexit
execinfo_addr3144: .long execinfo
! Opcode 4E73
OE73:
mov r10,r0
tst #0x20,r0
bf pcheck_ok3148
mov.l priviolation_addr3148,r0
jmp @r0
nop
.balign 32
priviolation_addr3148: .long privilege_violation
pcheck_ok3148:
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
mov.l @(60,r13),r4
add #2,r4
mov r3,r0
shlr8 r0
xor r10,r0
tst #0x20,r0
bt ln3149
mov.l @(32,r14),r0
mov.l @(60,r13),r1
mov.l r0,@(60,r13)
mov.l r1,@(32,r14)
ln3149:
mov r3,r0
shlr8 r0
and #0xA7,r0
mov r0,r10
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov #0x20,r0
shll8 r0
tst r0,r3
movt r2
shll2 r2
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
add #28,r2
add r14,r2
mov.l @r2,r4
add #6,r4
mov.l r4,@r2
mov.l execinfo_addr3147,r1
mov.w @r1,r0
and #0xED,r0
mov.w r0,@r1
mov r3,r6
mov.l bf_addr3147,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt continue3151
mov.l execexit_ptr3151,r0
jmp @r0
add #-2,r6
continue3151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3151: .long execexit
interrupts_addr3151: .long interrupts
.balign 32
bf_addr3147: .long basefunction
execinfo_addr3147: .long execinfo
! Opcode 4E75
OE75:
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r6
mov.l bf_addr3152,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3153
mov.l execexit_ptr3153,r1
jmp @r1
add #-2,r6
fdl3153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3153: .long execexit
.balign 32
bf_addr3152: .long basefunction
! Opcode 4E76
OE76:
mov #8,r0
tst r0,r8
bf ln3154
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3155
mov.l execexit_ptr3155,r1
jmp @r1
add #-2,r6
fdl3155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3155: .long execexit
ln3154:
mov.l g2_exception_ptr,r0
jsr @r0
mov #0x1C,r4
mov.l bf_addr3154,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3156
mov.l execexit_ptr3156,r1
jmp @r1
add #-2,r6
fdl3156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3156: .long execexit
.balign 32
g2_exception_ptr: .long group_2_exception
bf_addr3154: .long basefunction
! Opcode 4E77
OE77:
mov.l @(60,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
mov #3,r1
mov r3,r8
and r1,r8
shll2 r8
mov r3,r9
shlr2 r9
and r1,r9
mov #0x10,r1
or r9,r8
and r3,r1
cmp/pl r1
movt r9
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r6
mov.l bf_addr3157,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3158
mov.l execexit_ptr3158,r1
jmp @r1
add #-2,r6
fdl3158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3158: .long execexit
.balign 32
bf_addr3157: .long basefunction
! Opcodes 4E90 - 4E97
OE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3159,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3160
mov.l execexit_ptr3160,r1
jmp @r1
add #-2,r6
fdl3160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3160: .long execexit
.balign 32
bf_addr3159: .long basefunction
! Opcodes 4EA8 - 4EAF
OEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3161,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3162
mov.l execexit_ptr3162,r1
jmp @r1
add #-2,r6
fdl3162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3162: .long execexit
.balign 32
bf_addr3161: .long basefunction
! Opcodes 4EB0 - 4EB7
OEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd741
exts.w r0,r0
longwd741:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3163,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3164
mov.l execexit_ptr3164,r1
jmp @r1
add #-2,r6
fdl3164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3164: .long execexit
.balign 32
bf_addr3163: .long basefunction
! Opcode 4EB8
OEB8:
mov.w @r6+,r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3165,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3166
mov.l execexit_ptr3166,r1
jmp @r1
add #-2,r6
fdl3166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3166: .long execexit
.balign 32
bf_addr3165: .long basefunction
! Opcode 4EB9
OEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3167,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3168
mov.l execexit_ptr3168,r1
jmp @r1
add #-2,r6
fdl3168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3168: .long execexit
.balign 32
bf_addr3167: .long basefunction
! Opcode 4EBA
OEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3169,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3170
mov.l execexit_ptr3170,r1
jmp @r1
add #-2,r6
fdl3170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3170: .long execexit
.balign 32
bf_addr3169: .long basefunction
! Opcode 4EBB
OEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd742
exts.w r0,r0
longwd742:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov r6,r3
sub r5,r3
mov r4,r6
mov.l bf_addr3171,r0
jsr @r0
nop
add r5,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3172
mov.l execexit_ptr3172,r1
jmp @r1
add #-2,r6
fdl3172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3172: .long execexit
.balign 32
bf_addr3171: .long basefunction
! Opcodes 4ED0 - 4ED7
OED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov r4,r6
mov.l bf_addr3173,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3174
mov.l execexit_ptr3174,r1
jmp @r1
add #-2,r6
fdl3174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3174: .long execexit
.balign 32
bf_addr3173: .long basefunction
! Opcodes 4EE8 - 4EEF
OEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r6
mov.l bf_addr3175,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3176
mov.l execexit_ptr3176,r1
jmp @r1
add #-2,r6
fdl3176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3176: .long execexit
.balign 32
bf_addr3175: .long basefunction
! Opcodes 4EF0 - 4EF7
OEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd743
exts.w r0,r0
longwd743:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov r4,r6
mov.l bf_addr3177,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3178
mov.l execexit_ptr3178,r1
jmp @r1
add #-2,r6
fdl3178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3178: .long execexit
.balign 32
bf_addr3177: .long basefunction
! Opcode 4EF8
OEF8:
mov.w @r6+,r4
mov r4,r6
mov.l bf_addr3179,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3180
mov.l execexit_ptr3180,r1
jmp @r1
add #-2,r6
fdl3180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3180: .long execexit
.balign 32
bf_addr3179: .long basefunction
! Opcode 4EF9
OEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov r4,r6
mov.l bf_addr3181,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3182
mov.l execexit_ptr3182,r1
jmp @r1
add #-2,r6
fdl3182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3182: .long execexit
.balign 32
bf_addr3181: .long basefunction
! Opcode 4EFA
OEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov r4,r6
mov.l bf_addr3183,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3184
mov.l execexit_ptr3184,r1
jmp @r1
add #-2,r6
fdl3184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3184: .long execexit
.balign 32
bf_addr3183: .long basefunction
! Opcode 4EFB
OEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd744
exts.w r0,r0
longwd744:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov r4,r6
mov.l bf_addr3185,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3186
mov.l execexit_ptr3186,r1
jmp @r1
add #-2,r6
fdl3186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3186: .long execexit
.balign 32
bf_addr3185: .long basefunction
! Opcodes 4F80 - 4F87
OF80:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3187
cmp/hi r3,r1
bt ln3187
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3188
mov.l execexit_ptr3188,r1
jmp @r1
add #-2,r6
fdl3188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3188: .long execexit
setn3187:
add #2,r8
ln3187:
mov.l g2_except_ptr3187,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3187,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3189
mov.l execexit_ptr3189,r1
jmp @r1
add #-2,r6
fdl3189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3189: .long execexit
.balign 32
g2_except_ptr3187: .long group_2_exception
bf_addr3187: .long basefunction
! Opcodes 4F90 - 4F97
OF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3190
cmp/hi r3,r1
bt ln3190
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3191
mov.l execexit_ptr3191,r1
jmp @r1
add #-2,r6
fdl3191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3191: .long execexit
setn3190:
add #2,r8
ln3190:
mov.l g2_except_ptr3190,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3190,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3192
mov.l execexit_ptr3192,r1
jmp @r1
add #-2,r6
fdl3192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3192: .long execexit
.balign 32
g2_except_ptr3190: .long group_2_exception
bf_addr3190: .long basefunction
! Opcodes 4F98 - 4F9F
OF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3193
cmp/hi r3,r1
bt ln3193
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3194
mov.l execexit_ptr3194,r1
jmp @r1
add #-2,r6
fdl3194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3194: .long execexit
setn3193:
add #2,r8
ln3193:
mov.l g2_except_ptr3193,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3193,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3195
mov.l execexit_ptr3195,r1
jmp @r1
add #-2,r6
fdl3195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3195: .long execexit
.balign 32
g2_except_ptr3193: .long group_2_exception
bf_addr3193: .long basefunction
! Opcodes 4FA0 - 4FA7
OFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3196
cmp/hi r3,r1
bt ln3196
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3197
mov.l execexit_ptr3197,r1
jmp @r1
add #-2,r6
fdl3197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3197: .long execexit
setn3196:
add #2,r8
ln3196:
mov.l g2_except_ptr3196,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3196,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-56,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3198
mov.l execexit_ptr3198,r1
jmp @r1
add #-2,r6
fdl3198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3198: .long execexit
.balign 32
g2_except_ptr3196: .long group_2_exception
bf_addr3196: .long basefunction
! Opcodes 4FA8 - 4FAF
OFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3199
cmp/hi r3,r1
bt ln3199
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3200
mov.l execexit_ptr3200,r1
jmp @r1
add #-2,r6
fdl3200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3200: .long execexit
setn3199:
add #2,r8
ln3199:
mov.l g2_except_ptr3199,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3199,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3201
mov.l execexit_ptr3201,r1
jmp @r1
add #-2,r6
fdl3201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3201: .long execexit
.balign 32
g2_except_ptr3199: .long group_2_exception
bf_addr3199: .long basefunction
! Opcodes 4FB0 - 4FB7
OFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd745
exts.w r0,r0
longwd745:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3202
cmp/hi r3,r1
bt ln3202
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3203
mov.l execexit_ptr3203,r1
jmp @r1
add #-2,r6
fdl3203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3203: .long execexit
setn3202:
add #2,r8
ln3202:
mov.l g2_except_ptr3202,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3202,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3204
mov.l execexit_ptr3204,r1
jmp @r1
add #-2,r6
fdl3204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3204: .long execexit
.balign 32
g2_except_ptr3202: .long group_2_exception
bf_addr3202: .long basefunction
! Opcode 4FB8
OFB8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3205
cmp/hi r3,r1
bt ln3205
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3206
mov.l execexit_ptr3206,r1
jmp @r1
add #-2,r6
fdl3206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3206: .long execexit
setn3205:
add #2,r8
ln3205:
mov.l g2_except_ptr3205,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3205,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3207
mov.l execexit_ptr3207,r1
jmp @r1
add #-2,r6
fdl3207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3207: .long execexit
.balign 32
g2_except_ptr3205: .long group_2_exception
bf_addr3205: .long basefunction
! Opcode 4FB9
OFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3208
cmp/hi r3,r1
bt ln3208
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3209
mov.l execexit_ptr3209,r1
jmp @r1
add #-2,r6
fdl3209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3209: .long execexit
setn3208:
add #2,r8
ln3208:
mov.l g2_except_ptr3208,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3208,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-62,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3210
mov.l execexit_ptr3210,r1
jmp @r1
add #-2,r6
fdl3210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3210: .long execexit
.balign 32
g2_except_ptr3208: .long group_2_exception
bf_addr3208: .long basefunction
! Opcode 4FBA
OFBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3211
cmp/hi r3,r1
bt ln3211
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3212
mov.l execexit_ptr3212,r1
jmp @r1
add #-2,r6
fdl3212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3212: .long execexit
setn3211:
add #2,r8
ln3211:
mov.l g2_except_ptr3211,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3211,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-58,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3213
mov.l execexit_ptr3213,r1
jmp @r1
add #-2,r6
fdl3213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3213: .long execexit
.balign 32
g2_except_ptr3211: .long group_2_exception
bf_addr3211: .long basefunction
! Opcode 4FBB
OFBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd746
exts.w r0,r0
longwd746:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3214
cmp/hi r3,r1
bt ln3214
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3215
mov.l execexit_ptr3215,r1
jmp @r1
add #-2,r6
fdl3215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3215: .long execexit
setn3214:
add #2,r8
ln3214:
mov.l g2_except_ptr3214,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3214,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-60,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3216
mov.l execexit_ptr3216,r1
jmp @r1
add #-2,r6
fdl3216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3216: .long execexit
.balign 32
g2_except_ptr3214: .long group_2_exception
bf_addr3214: .long basefunction
! Opcode 4FBC
OFBC:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
extu.w r1,r1
mov #0,r8
cmp/pz r1
bf setn3217
cmp/hi r3,r1
bt ln3217
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3218
mov.l execexit_ptr3218,r1
jmp @r1
add #-2,r6
fdl3218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3218: .long execexit
setn3217:
add #2,r8
ln3217:
mov.l g2_except_ptr3217,r0
jsr @r0
mov #0x18,r4
mov.l bf_addr3217,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-54,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3219
mov.l execexit_ptr3219,r1
jmp @r1
add #-2,r6
fdl3219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3219: .long execexit
.balign 32
g2_except_ptr3217: .long group_2_exception
bf_addr3217: .long basefunction
! Opcodes 4FD0 - 4FD7
OFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3220
mov.l execexit_ptr3220,r1
jmp @r1
add #-2,r6
fdl3220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3220: .long execexit
! Opcodes 4FE8 - 4FEF
OFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3221
mov.l execexit_ptr3221,r1
jmp @r1
add #-2,r6
fdl3221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3221: .long execexit
! Opcodes 4FF0 - 4FF7
OFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd747
exts.w r0,r0
longwd747:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3222
mov.l execexit_ptr3222,r1
jmp @r1
add #-2,r6
fdl3222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3222: .long execexit
! Opcode 4FF8
OFF8:
mov.w @r6+,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3223
mov.l execexit_ptr3223,r1
jmp @r1
add #-2,r6
fdl3223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3223: .long execexit
! Opcode 4FF9
OFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3224
mov.l execexit_ptr3224,r1
jmp @r1
add #-2,r6
fdl3224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3224: .long execexit
! Opcode 4FFA
OFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3225
mov.l execexit_ptr3225,r1
jmp @r1
add #-2,r6
fdl3225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3225: .long execexit
! Opcode 4FFB
OFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd748
exts.w r0,r0
longwd748:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3226
mov.l execexit_ptr3226,r1
jmp @r1
add #-2,r6
fdl3226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3226: .long execexit
! Opcodes 5000 - 5007
P000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3227
mov.l execexit_ptr3227,r1
jmp @r1
add #-2,r6
fdl3227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3227: .long execexit
! Opcodes 5008 - 500F
P008:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3228
mov.l execexit_ptr3228,r1
jmp @r1
add #-2,r6
fdl3228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3228: .long execexit
! Opcodes 5010 - 5017
P010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3229
mov.l execexit_ptr3229,r1
jmp @r1
add #-2,r6
fdl3229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3229: .long execexit
! Opcodes 5018 - 501F
P018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3230
mov.l execexit_ptr3230,r1
jmp @r1
add #-2,r6
fdl3230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3230: .long execexit
! Opcodes 5020 - 5027
P020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3231
mov.l execexit_ptr3231,r1
jmp @r1
add #-2,r6
fdl3231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3231: .long execexit
! Opcodes 5028 - 502F
P028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3232
mov.l execexit_ptr3232,r1
jmp @r1
add #-2,r6
fdl3232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3232: .long execexit
! Opcodes 5030 - 5037
P030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd749
exts.w r0,r0
longwd749:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3233
mov.l execexit_ptr3233,r1
jmp @r1
add #-2,r6
fdl3233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3233: .long execexit
! Opcode 5038
P038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3234
mov.l execexit_ptr3234,r1
jmp @r1
add #-2,r6
fdl3234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3234: .long execexit
! Opcode 5039
P039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3235
mov.l execexit_ptr3235,r1
jmp @r1
add #-2,r6
fdl3235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3235: .long execexit
! Opcodes 5040 - 5047
P040:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3236
mov.l execexit_ptr3236,r1
jmp @r1
add #-2,r6
fdl3236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3236: .long execexit
! Opcodes 5048 - 504F
P048:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 8,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3237
mov.l execexit_ptr3237,r1
jmp @r1
add #-2,r6
fdl3237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3237: .long execexit
! Opcodes 5050 - 5057
P050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3238
mov.l execexit_ptr3238,r1
jmp @r1
add #-2,r6
fdl3238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3238: .long execexit
! Opcodes 5058 - 505F
P058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3239
mov.l execexit_ptr3239,r1
jmp @r1
add #-2,r6
fdl3239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3239: .long execexit
! Opcodes 5060 - 5067
P060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3240
mov.l execexit_ptr3240,r1
jmp @r1
add #-2,r6
fdl3240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3240: .long execexit
! Opcodes 5068 - 506F
P068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3241
mov.l execexit_ptr3241,r1
jmp @r1
add #-2,r6
fdl3241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3241: .long execexit
! Opcodes 5070 - 5077
P070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd750
exts.w r0,r0
longwd750:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3242
mov.l execexit_ptr3242,r1
jmp @r1
add #-2,r6
fdl3242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3242: .long execexit
! Opcode 5078
P078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3243
mov.l execexit_ptr3243,r1
jmp @r1
add #-2,r6
fdl3243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3243: .long execexit
! Opcode 5079
P079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3244
mov.l execexit_ptr3244,r1
jmp @r1
add #-2,r6
fdl3244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3244: .long execexit
! Opcodes 5080 - 5087
P080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3245
mov.l execexit_ptr3245,r1
jmp @r1
add #-2,r6
fdl3245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3245: .long execexit
! Opcodes 5088 - 508F
P088:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 8,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3246
mov.l execexit_ptr3246,r1
jmp @r1
add #-2,r6
fdl3246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3246: .long execexit
! Opcodes 5090 - 5097
P090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3247
mov.l execexit_ptr3247,r1
jmp @r1
add #-2,r6
fdl3247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3247: .long execexit
! Opcodes 5098 - 509F
P098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3248
mov.l execexit_ptr3248,r1
jmp @r1
add #-2,r6
fdl3248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3248: .long execexit
! Opcodes 50A0 - 50A7
P0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3249
mov.l execexit_ptr3249,r1
jmp @r1
add #-2,r6
fdl3249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3249: .long execexit
! Opcodes 50A8 - 50AF
P0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3250
mov.l execexit_ptr3250,r1
jmp @r1
add #-2,r6
fdl3250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3250: .long execexit
! Opcodes 50B0 - 50B7
P0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd751
exts.w r0,r0
longwd751:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3251
mov.l execexit_ptr3251,r1
jmp @r1
add #-2,r6
fdl3251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3251: .long execexit
! Opcode 50B8
P0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3252
mov.l execexit_ptr3252,r1
jmp @r1
add #-2,r6
fdl3252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3252: .long execexit
! Opcode 50B9
P0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3253
mov.l execexit_ptr3253,r1
jmp @r1
add #-2,r6
fdl3253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3253: .long execexit
! Opcodes 50C0 - 50C7
P0C0:
and r1,r2
mov #255,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3254
mov.l execexit_ptr3254,r1
jmp @r1
add #-2,r6
fdl3254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3254: .long execexit
! Opcodes 50C8 - 50CF
P0C8:
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3255
mov.l execexit_ptr3255,r1
jmp @r1
add #-2,r6
fdl3255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3255: .long execexit
! Opcodes 50D0 - 50D7
P0D0:
and r1,r2
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3256
mov.l execexit_ptr3256,r1
jmp @r1
add #-2,r6
fdl3256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3256: .long execexit
! Opcodes 50D8 - 50DF
P0D8:
and r1,r2
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3257
mov.l execexit_ptr3257,r1
jmp @r1
add #-2,r6
fdl3257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3257: .long execexit
! Opcodes 50E0 - 50E7
P0E0:
and r1,r2
mov #255,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3258
mov.l execexit_ptr3258,r1
jmp @r1
add #-2,r6
fdl3258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3258: .long execexit
! Opcodes 50E8 - 50EF
P0E8:
and r1,r2
mov #255,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3259
mov.l execexit_ptr3259,r1
jmp @r1
add #-2,r6
fdl3259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3259: .long execexit
! Opcodes 50F0 - 50F7
P0F0:
and r1,r2
mov #255,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd752
exts.w r0,r0
longwd752:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3260
mov.l execexit_ptr3260,r1
jmp @r1
add #-2,r6
fdl3260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3260: .long execexit
! Opcode 50F8
P0F8:
mov #255,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3261
mov.l execexit_ptr3261,r1
jmp @r1
add #-2,r6
fdl3261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3261: .long execexit
! Opcode 50F9
P0F9:
mov #255,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3262
mov.l execexit_ptr3262,r1
jmp @r1
add #-2,r6
fdl3262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3262: .long execexit
! Opcodes 5100 - 5107
P100:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3263
mov.l execexit_ptr3263,r1
jmp @r1
add #-2,r6
fdl3263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3263: .long execexit
! Opcodes 5108 - 510F
P108:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3264
mov.l execexit_ptr3264,r1
jmp @r1
add #-2,r6
fdl3264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3264: .long execexit
! Opcodes 5110 - 5117
P110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3265
mov.l execexit_ptr3265,r1
jmp @r1
add #-2,r6
fdl3265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3265: .long execexit
! Opcodes 5118 - 511F
P118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3266
mov.l execexit_ptr3266,r1
jmp @r1
add #-2,r6
fdl3266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3266: .long execexit
! Opcodes 5120 - 5127
P120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3267
mov.l execexit_ptr3267,r1
jmp @r1
add #-2,r6
fdl3267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3267: .long execexit
! Opcodes 5128 - 512F
P128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3268
mov.l execexit_ptr3268,r1
jmp @r1
add #-2,r6
fdl3268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3268: .long execexit
! Opcodes 5130 - 5137
P130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd753
exts.w r0,r0
longwd753:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3269
mov.l execexit_ptr3269,r1
jmp @r1
add #-2,r6
fdl3269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3269: .long execexit
! Opcode 5138
P138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3270
mov.l execexit_ptr3270,r1
jmp @r1
add #-2,r6
fdl3270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3270: .long execexit
! Opcode 5139
P139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #8,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3271
mov.l execexit_ptr3271,r1
jmp @r1
add #-2,r6
fdl3271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3271: .long execexit
! Opcodes 5140 - 5147
P140:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3272
mov.l execexit_ptr3272,r1
jmp @r1
add #-2,r6
fdl3272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3272: .long execexit
! Opcodes 5148 - 514F
P148:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-8,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3273
mov.l execexit_ptr3273,r1
jmp @r1
add #-2,r6
fdl3273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3273: .long execexit
! Opcodes 5150 - 5157
P150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3274
mov.l execexit_ptr3274,r1
jmp @r1
add #-2,r6
fdl3274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3274: .long execexit
! Opcodes 5158 - 515F
P158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3275
mov.l execexit_ptr3275,r1
jmp @r1
add #-2,r6
fdl3275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3275: .long execexit
! Opcodes 5160 - 5167
P160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3276
mov.l execexit_ptr3276,r1
jmp @r1
add #-2,r6
fdl3276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3276: .long execexit
! Opcodes 5168 - 516F
P168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3277
mov.l execexit_ptr3277,r1
jmp @r1
add #-2,r6
fdl3277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3277: .long execexit
! Opcodes 5170 - 5177
P170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd754
exts.w r0,r0
longwd754:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3278
mov.l execexit_ptr3278,r1
jmp @r1
add #-2,r6
fdl3278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3278: .long execexit
! Opcode 5178
P178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3279
mov.l execexit_ptr3279,r1
jmp @r1
add #-2,r6
fdl3279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3279: .long execexit
! Opcode 5179
P179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #8,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3280
mov.l execexit_ptr3280,r1
jmp @r1
add #-2,r6
fdl3280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3280: .long execexit
! Opcodes 5180 - 5187
P180:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3281
mov.l execexit_ptr3281,r1
jmp @r1
add #-2,r6
fdl3281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3281: .long execexit
! Opcodes 5188 - 518F
P188:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-8,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3282
mov.l execexit_ptr3282,r1
jmp @r1
add #-2,r6
fdl3282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3282: .long execexit
! Opcodes 5190 - 5197
P190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3283
mov.l execexit_ptr3283,r1
jmp @r1
add #-2,r6
fdl3283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3283: .long execexit
! Opcodes 5198 - 519F
P198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3284
mov.l execexit_ptr3284,r1
jmp @r1
add #-2,r6
fdl3284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3284: .long execexit
! Opcodes 51A0 - 51A7
P1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3285
mov.l execexit_ptr3285,r1
jmp @r1
add #-2,r6
fdl3285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3285: .long execexit
! Opcodes 51A8 - 51AF
P1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3286
mov.l execexit_ptr3286,r1
jmp @r1
add #-2,r6
fdl3286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3286: .long execexit
! Opcodes 51B0 - 51B7
P1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd755
exts.w r0,r0
longwd755:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3287
mov.l execexit_ptr3287,r1
jmp @r1
add #-2,r6
fdl3287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3287: .long execexit
! Opcode 51B8
P1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3288
mov.l execexit_ptr3288,r1
jmp @r1
add #-2,r6
fdl3288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3288: .long execexit
! Opcode 51B9
P1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3289
mov.l execexit_ptr3289,r1
jmp @r1
add #-2,r6
fdl3289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3289: .long execexit
! Opcodes 51C0 - 51C7
P1C0:
and r1,r2
mov #0,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3290
mov.l execexit_ptr3290,r1
jmp @r1
add #-2,r6
fdl3290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3290: .long execexit
! Opcodes 51C8 - 51CF
P1C8:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3291
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3292
mov.l execexit_ptr3292,r1
jmp @r1
add #-2,r6
fdl3292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3292: .long execexit
bcc_w3291:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3293
mov.l execexit_ptr3293,r1
jmp @r1
add #-2,r6
fdl3293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3293: .long execexit
! Opcodes 51D0 - 51D7
P1D0:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3294
mov.l execexit_ptr3294,r1
jmp @r1
add #-2,r6
fdl3294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3294: .long execexit
! Opcodes 51D8 - 51DF
P1D8:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3295
mov.l execexit_ptr3295,r1
jmp @r1
add #-2,r6
fdl3295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3295: .long execexit
! Opcodes 51E0 - 51E7
P1E0:
and r1,r2
mov #0,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3296
mov.l execexit_ptr3296,r1
jmp @r1
add #-2,r6
fdl3296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3296: .long execexit
! Opcodes 51E8 - 51EF
P1E8:
and r1,r2
mov #0,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3297
mov.l execexit_ptr3297,r1
jmp @r1
add #-2,r6
fdl3297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3297: .long execexit
! Opcodes 51F0 - 51F7
P1F0:
and r1,r2
mov #0,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd756
exts.w r0,r0
longwd756:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3298
mov.l execexit_ptr3298,r1
jmp @r1
add #-2,r6
fdl3298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3298: .long execexit
! Opcode 51F8
P1F8:
mov #0,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3299
mov.l execexit_ptr3299,r1
jmp @r1
add #-2,r6
fdl3299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3299: .long execexit
! Opcode 51F9
P1F9:
mov #0,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3300
mov.l execexit_ptr3300,r1
jmp @r1
add #-2,r6
fdl3300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3300: .long execexit
! Opcodes 5200 - 5207
P200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3301
mov.l execexit_ptr3301,r1
jmp @r1
add #-2,r6
fdl3301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3301: .long execexit
! Opcodes 5208 - 520F
P208:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3302
mov.l execexit_ptr3302,r1
jmp @r1
add #-2,r6
fdl3302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3302: .long execexit
! Opcodes 5210 - 5217
P210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3303
mov.l execexit_ptr3303,r1
jmp @r1
add #-2,r6
fdl3303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3303: .long execexit
! Opcodes 5218 - 521F
P218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3304
mov.l execexit_ptr3304,r1
jmp @r1
add #-2,r6
fdl3304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3304: .long execexit
! Opcodes 5220 - 5227
P220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3305
mov.l execexit_ptr3305,r1
jmp @r1
add #-2,r6
fdl3305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3305: .long execexit
! Opcodes 5228 - 522F
P228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3306
mov.l execexit_ptr3306,r1
jmp @r1
add #-2,r6
fdl3306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3306: .long execexit
! Opcodes 5230 - 5237
P230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd757
exts.w r0,r0
longwd757:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3307
mov.l execexit_ptr3307,r1
jmp @r1
add #-2,r6
fdl3307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3307: .long execexit
! Opcode 5238
P238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3308
mov.l execexit_ptr3308,r1
jmp @r1
add #-2,r6
fdl3308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3308: .long execexit
! Opcode 5239
P239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3309
mov.l execexit_ptr3309,r1
jmp @r1
add #-2,r6
fdl3309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3309: .long execexit
! Opcodes 5240 - 5247
P240:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3310
mov.l execexit_ptr3310,r1
jmp @r1
add #-2,r6
fdl3310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3310: .long execexit
! Opcodes 5248 - 524F
P248:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 1,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3311
mov.l execexit_ptr3311,r1
jmp @r1
add #-2,r6
fdl3311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3311: .long execexit
! Opcodes 5250 - 5257
P250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3312
mov.l execexit_ptr3312,r1
jmp @r1
add #-2,r6
fdl3312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3312: .long execexit
! Opcodes 5258 - 525F
P258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3313
mov.l execexit_ptr3313,r1
jmp @r1
add #-2,r6
fdl3313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3313: .long execexit
! Opcodes 5260 - 5267
P260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3314
mov.l execexit_ptr3314,r1
jmp @r1
add #-2,r6
fdl3314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3314: .long execexit
! Opcodes 5268 - 526F
P268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3315
mov.l execexit_ptr3315,r1
jmp @r1
add #-2,r6
fdl3315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3315: .long execexit
! Opcodes 5270 - 5277
P270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd758
exts.w r0,r0
longwd758:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3316
mov.l execexit_ptr3316,r1
jmp @r1
add #-2,r6
fdl3316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3316: .long execexit
! Opcode 5278
P278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3317
mov.l execexit_ptr3317,r1
jmp @r1
add #-2,r6
fdl3317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3317: .long execexit
! Opcode 5279
P279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3318
mov.l execexit_ptr3318,r1
jmp @r1
add #-2,r6
fdl3318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3318: .long execexit
! Opcodes 5280 - 5287
P280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3319
mov.l execexit_ptr3319,r1
jmp @r1
add #-2,r6
fdl3319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3319: .long execexit
! Opcodes 5288 - 528F
P288:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 1,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3320
mov.l execexit_ptr3320,r1
jmp @r1
add #-2,r6
fdl3320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3320: .long execexit
! Opcodes 5290 - 5297
P290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3321
mov.l execexit_ptr3321,r1
jmp @r1
add #-2,r6
fdl3321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3321: .long execexit
! Opcodes 5298 - 529F
P298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3322
mov.l execexit_ptr3322,r1
jmp @r1
add #-2,r6
fdl3322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3322: .long execexit
! Opcodes 52A0 - 52A7
P2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3323
mov.l execexit_ptr3323,r1
jmp @r1
add #-2,r6
fdl3323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3323: .long execexit
! Opcodes 52A8 - 52AF
P2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3324
mov.l execexit_ptr3324,r1
jmp @r1
add #-2,r6
fdl3324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3324: .long execexit
! Opcodes 52B0 - 52B7
P2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd759
exts.w r0,r0
longwd759:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3325
mov.l execexit_ptr3325,r1
jmp @r1
add #-2,r6
fdl3325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3325: .long execexit
! Opcode 52B8
P2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3326
mov.l execexit_ptr3326,r1
jmp @r1
add #-2,r6
fdl3326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3326: .long execexit
! Opcode 52B9
P2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3327
mov.l execexit_ptr3327,r1
jmp @r1
add #-2,r6
fdl3327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3327: .long execexit
! Opcodes 52C0 - 52C7
P2C0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3328
mov.l execexit_ptr3328,r1
jmp @r1
add #-2,r6
fdl3328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3328: .long execexit
! Opcodes 52C8 - 52CF
P2C8:
mov r8,r0
tst #5,r0
bf dbcc3329
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3330
mov.l execexit_ptr3330,r1
jmp @r1
add #-2,r6
fdl3330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3330: .long execexit
dbcc3329:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3331
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3332
mov.l execexit_ptr3332,r1
jmp @r1
add #-2,r6
fdl3332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3332: .long execexit
bcc_w3331:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3333
mov.l execexit_ptr3333,r1
jmp @r1
add #-2,r6
fdl3333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3333: .long execexit
! Opcodes 52D0 - 52D7
P2D0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3334
mov.l execexit_ptr3334,r1
jmp @r1
add #-2,r6
fdl3334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3334: .long execexit
! Opcodes 52D8 - 52DF
P2D8:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3335
mov.l execexit_ptr3335,r1
jmp @r1
add #-2,r6
fdl3335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3335: .long execexit
! Opcodes 52E0 - 52E7
P2E0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3336
mov.l execexit_ptr3336,r1
jmp @r1
add #-2,r6
fdl3336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3336: .long execexit
! Opcodes 52E8 - 52EF
P2E8:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3337
mov.l execexit_ptr3337,r1
jmp @r1
add #-2,r6
fdl3337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3337: .long execexit
! Opcodes 52F0 - 52F7
P2F0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd760
exts.w r0,r0
longwd760:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3338
mov.l execexit_ptr3338,r1
jmp @r1
add #-2,r6
fdl3338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3338: .long execexit
! Opcode 52F8
P2F8:
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3339
mov.l execexit_ptr3339,r1
jmp @r1
add #-2,r6
fdl3339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3339: .long execexit
! Opcode 52F9
P2F9:
mov r8,r0
tst #5,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3340
mov.l execexit_ptr3340,r1
jmp @r1
add #-2,r6
fdl3340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3340: .long execexit
! Opcodes 5300 - 5307
P300:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3341
mov.l execexit_ptr3341,r1
jmp @r1
add #-2,r6
fdl3341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3341: .long execexit
! Opcodes 5308 - 530F
P308:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3342
mov.l execexit_ptr3342,r1
jmp @r1
add #-2,r6
fdl3342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3342: .long execexit
! Opcodes 5310 - 5317
P310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3343
mov.l execexit_ptr3343,r1
jmp @r1
add #-2,r6
fdl3343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3343: .long execexit
! Opcodes 5318 - 531F
P318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3344
mov.l execexit_ptr3344,r1
jmp @r1
add #-2,r6
fdl3344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3344: .long execexit
! Opcodes 5320 - 5327
P320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3345
mov.l execexit_ptr3345,r1
jmp @r1
add #-2,r6
fdl3345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3345: .long execexit
! Opcodes 5328 - 532F
P328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3346
mov.l execexit_ptr3346,r1
jmp @r1
add #-2,r6
fdl3346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3346: .long execexit
! Opcodes 5330 - 5337
P330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd761
exts.w r0,r0
longwd761:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3347
mov.l execexit_ptr3347,r1
jmp @r1
add #-2,r6
fdl3347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3347: .long execexit
! Opcode 5338
P338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3348
mov.l execexit_ptr3348,r1
jmp @r1
add #-2,r6
fdl3348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3348: .long execexit
! Opcode 5339
P339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #1,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3349
mov.l execexit_ptr3349,r1
jmp @r1
add #-2,r6
fdl3349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3349: .long execexit
! Opcodes 5340 - 5347
P340:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3350
mov.l execexit_ptr3350,r1
jmp @r1
add #-2,r6
fdl3350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3350: .long execexit
! Opcodes 5348 - 534F
P348:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-1,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3351
mov.l execexit_ptr3351,r1
jmp @r1
add #-2,r6
fdl3351:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3351: .long execexit
! Opcodes 5350 - 5357
P350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3352
mov.l execexit_ptr3352,r1
jmp @r1
add #-2,r6
fdl3352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3352: .long execexit
! Opcodes 5358 - 535F
P358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3353
mov.l execexit_ptr3353,r1
jmp @r1
add #-2,r6
fdl3353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3353: .long execexit
! Opcodes 5360 - 5367
P360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3354
mov.l execexit_ptr3354,r1
jmp @r1
add #-2,r6
fdl3354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3354: .long execexit
! Opcodes 5368 - 536F
P368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3355
mov.l execexit_ptr3355,r1
jmp @r1
add #-2,r6
fdl3355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3355: .long execexit
! Opcodes 5370 - 5377
P370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd762
exts.w r0,r0
longwd762:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3356
mov.l execexit_ptr3356,r1
jmp @r1
add #-2,r6
fdl3356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3356: .long execexit
! Opcode 5378
P378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3357
mov.l execexit_ptr3357,r1
jmp @r1
add #-2,r6
fdl3357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3357: .long execexit
! Opcode 5379
P379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #1,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3358
mov.l execexit_ptr3358,r1
jmp @r1
add #-2,r6
fdl3358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3358: .long execexit
! Opcodes 5380 - 5387
P380:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3359
mov.l execexit_ptr3359,r1
jmp @r1
add #-2,r6
fdl3359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3359: .long execexit
! Opcodes 5388 - 538F
P388:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-1,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3360
mov.l execexit_ptr3360,r1
jmp @r1
add #-2,r6
fdl3360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3360: .long execexit
! Opcodes 5390 - 5397
P390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3361
mov.l execexit_ptr3361,r1
jmp @r1
add #-2,r6
fdl3361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3361: .long execexit
! Opcodes 5398 - 539F
P398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3362
mov.l execexit_ptr3362,r1
jmp @r1
add #-2,r6
fdl3362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3362: .long execexit
! Opcodes 53A0 - 53A7
P3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3363
mov.l execexit_ptr3363,r1
jmp @r1
add #-2,r6
fdl3363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3363: .long execexit
! Opcodes 53A8 - 53AF
P3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3364
mov.l execexit_ptr3364,r1
jmp @r1
add #-2,r6
fdl3364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3364: .long execexit
! Opcodes 53B0 - 53B7
P3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd763
exts.w r0,r0
longwd763:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3365
mov.l execexit_ptr3365,r1
jmp @r1
add #-2,r6
fdl3365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3365: .long execexit
! Opcode 53B8
P3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3366
mov.l execexit_ptr3366,r1
jmp @r1
add #-2,r6
fdl3366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3366: .long execexit
! Opcode 53B9
P3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3367
mov.l execexit_ptr3367,r1
jmp @r1
add #-2,r6
fdl3367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3367: .long execexit
! Opcodes 53C0 - 53C7
P3C0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3368
mov.l execexit_ptr3368,r1
jmp @r1
add #-2,r6
fdl3368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3368: .long execexit
! Opcodes 53C8 - 53CF
P3C8:
mov r8,r0
tst #5,r0
bt dbcc3369
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3370
mov.l execexit_ptr3370,r1
jmp @r1
add #-2,r6
fdl3370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3370: .long execexit
dbcc3369:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3371
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3372
mov.l execexit_ptr3372,r1
jmp @r1
add #-2,r6
fdl3372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3372: .long execexit
bcc_w3371:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3373
mov.l execexit_ptr3373,r1
jmp @r1
add #-2,r6
fdl3373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3373: .long execexit
! Opcodes 53D0 - 53D7
P3D0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3374
mov.l execexit_ptr3374,r1
jmp @r1
add #-2,r6
fdl3374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3374: .long execexit
! Opcodes 53D8 - 53DF
P3D8:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3375
mov.l execexit_ptr3375,r1
jmp @r1
add #-2,r6
fdl3375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3375: .long execexit
! Opcodes 53E0 - 53E7
P3E0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3376
mov.l execexit_ptr3376,r1
jmp @r1
add #-2,r6
fdl3376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3376: .long execexit
! Opcodes 53E8 - 53EF
P3E8:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3377
mov.l execexit_ptr3377,r1
jmp @r1
add #-2,r6
fdl3377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3377: .long execexit
! Opcodes 53F0 - 53F7
P3F0:
and r1,r2
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd764
exts.w r0,r0
longwd764:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3378
mov.l execexit_ptr3378,r1
jmp @r1
add #-2,r6
fdl3378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3378: .long execexit
! Opcode 53F8
P3F8:
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3379
mov.l execexit_ptr3379,r1
jmp @r1
add #-2,r6
fdl3379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3379: .long execexit
! Opcode 53F9
P3F9:
mov r8,r0
tst #5,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3380
mov.l execexit_ptr3380,r1
jmp @r1
add #-2,r6
fdl3380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3380: .long execexit
! Opcodes 5400 - 5407
P400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3381
mov.l execexit_ptr3381,r1
jmp @r1
add #-2,r6
fdl3381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3381: .long execexit
! Opcodes 5408 - 540F
P408:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3382
mov.l execexit_ptr3382,r1
jmp @r1
add #-2,r6
fdl3382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3382: .long execexit
! Opcodes 5410 - 5417
P410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3383
mov.l execexit_ptr3383,r1
jmp @r1
add #-2,r6
fdl3383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3383: .long execexit
! Opcodes 5418 - 541F
P418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3384
mov.l execexit_ptr3384,r1
jmp @r1
add #-2,r6
fdl3384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3384: .long execexit
! Opcodes 5420 - 5427
P420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3385
mov.l execexit_ptr3385,r1
jmp @r1
add #-2,r6
fdl3385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3385: .long execexit
! Opcodes 5428 - 542F
P428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3386
mov.l execexit_ptr3386,r1
jmp @r1
add #-2,r6
fdl3386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3386: .long execexit
! Opcodes 5430 - 5437
P430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd765
exts.w r0,r0
longwd765:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3387
mov.l execexit_ptr3387,r1
jmp @r1
add #-2,r6
fdl3387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3387: .long execexit
! Opcode 5438
P438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3388
mov.l execexit_ptr3388,r1
jmp @r1
add #-2,r6
fdl3388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3388: .long execexit
! Opcode 5439
P439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3389
mov.l execexit_ptr3389,r1
jmp @r1
add #-2,r6
fdl3389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3389: .long execexit
! Opcodes 5440 - 5447
P440:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3390
mov.l execexit_ptr3390,r1
jmp @r1
add #-2,r6
fdl3390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3390: .long execexit
! Opcodes 5448 - 544F
P448:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 2,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3391
mov.l execexit_ptr3391,r1
jmp @r1
add #-2,r6
fdl3391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3391: .long execexit
! Opcodes 5450 - 5457
P450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3392
mov.l execexit_ptr3392,r1
jmp @r1
add #-2,r6
fdl3392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3392: .long execexit
! Opcodes 5458 - 545F
P458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3393
mov.l execexit_ptr3393,r1
jmp @r1
add #-2,r6
fdl3393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3393: .long execexit
! Opcodes 5460 - 5467
P460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3394
mov.l execexit_ptr3394,r1
jmp @r1
add #-2,r6
fdl3394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3394: .long execexit
! Opcodes 5468 - 546F
P468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3395
mov.l execexit_ptr3395,r1
jmp @r1
add #-2,r6
fdl3395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3395: .long execexit
! Opcodes 5470 - 5477
P470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd766
exts.w r0,r0
longwd766:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3396
mov.l execexit_ptr3396,r1
jmp @r1
add #-2,r6
fdl3396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3396: .long execexit
! Opcode 5478
P478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3397
mov.l execexit_ptr3397,r1
jmp @r1
add #-2,r6
fdl3397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3397: .long execexit
! Opcode 5479
P479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3398
mov.l execexit_ptr3398,r1
jmp @r1
add #-2,r6
fdl3398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3398: .long execexit
! Opcodes 5480 - 5487
P480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3399
mov.l execexit_ptr3399,r1
jmp @r1
add #-2,r6
fdl3399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3399: .long execexit
! Opcodes 5488 - 548F
P488:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 2,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3400
mov.l execexit_ptr3400,r1
jmp @r1
add #-2,r6
fdl3400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3400: .long execexit
! Opcodes 5490 - 5497
P490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3401
mov.l execexit_ptr3401,r1
jmp @r1
add #-2,r6
fdl3401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3401: .long execexit
! Opcodes 5498 - 549F
P498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3402
mov.l execexit_ptr3402,r1
jmp @r1
add #-2,r6
fdl3402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3402: .long execexit
! Opcodes 54A0 - 54A7
P4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3403
mov.l execexit_ptr3403,r1
jmp @r1
add #-2,r6
fdl3403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3403: .long execexit
! Opcodes 54A8 - 54AF
P4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3404
mov.l execexit_ptr3404,r1
jmp @r1
add #-2,r6
fdl3404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3404: .long execexit
! Opcodes 54B0 - 54B7
P4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd767
exts.w r0,r0
longwd767:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3405
mov.l execexit_ptr3405,r1
jmp @r1
add #-2,r6
fdl3405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3405: .long execexit
! Opcode 54B8
P4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3406
mov.l execexit_ptr3406,r1
jmp @r1
add #-2,r6
fdl3406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3406: .long execexit
! Opcode 54B9
P4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3407
mov.l execexit_ptr3407,r1
jmp @r1
add #-2,r6
fdl3407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3407: .long execexit
! Opcodes 54C0 - 54C7
P4C0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3408
mov.l execexit_ptr3408,r1
jmp @r1
add #-2,r6
fdl3408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3408: .long execexit
! Opcodes 54C8 - 54CF
P4C8:
mov r8,r0
tst #4,r0
bf dbcc3409
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3410
mov.l execexit_ptr3410,r1
jmp @r1
add #-2,r6
fdl3410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3410: .long execexit
dbcc3409:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3411
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3412
mov.l execexit_ptr3412,r1
jmp @r1
add #-2,r6
fdl3412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3412: .long execexit
bcc_w3411:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3413
mov.l execexit_ptr3413,r1
jmp @r1
add #-2,r6
fdl3413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3413: .long execexit
! Opcodes 54D0 - 54D7
P4D0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3414
mov.l execexit_ptr3414,r1
jmp @r1
add #-2,r6
fdl3414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3414: .long execexit
! Opcodes 54D8 - 54DF
P4D8:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3415
mov.l execexit_ptr3415,r1
jmp @r1
add #-2,r6
fdl3415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3415: .long execexit
! Opcodes 54E0 - 54E7
P4E0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3416
mov.l execexit_ptr3416,r1
jmp @r1
add #-2,r6
fdl3416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3416: .long execexit
! Opcodes 54E8 - 54EF
P4E8:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3417
mov.l execexit_ptr3417,r1
jmp @r1
add #-2,r6
fdl3417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3417: .long execexit
! Opcodes 54F0 - 54F7
P4F0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd768
exts.w r0,r0
longwd768:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3418
mov.l execexit_ptr3418,r1
jmp @r1
add #-2,r6
fdl3418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3418: .long execexit
! Opcode 54F8
P4F8:
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3419
mov.l execexit_ptr3419,r1
jmp @r1
add #-2,r6
fdl3419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3419: .long execexit
! Opcode 54F9
P4F9:
mov r8,r0
tst #4,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3420
mov.l execexit_ptr3420,r1
jmp @r1
add #-2,r6
fdl3420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3420: .long execexit
! Opcodes 5500 - 5507
P500:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3421
mov.l execexit_ptr3421,r1
jmp @r1
add #-2,r6
fdl3421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3421: .long execexit
! Opcodes 5508 - 550F
P508:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3422
mov.l execexit_ptr3422,r1
jmp @r1
add #-2,r6
fdl3422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3422: .long execexit
! Opcodes 5510 - 5517
P510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3423
mov.l execexit_ptr3423,r1
jmp @r1
add #-2,r6
fdl3423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3423: .long execexit
! Opcodes 5518 - 551F
P518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3424
mov.l execexit_ptr3424,r1
jmp @r1
add #-2,r6
fdl3424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3424: .long execexit
! Opcodes 5520 - 5527
P520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3425
mov.l execexit_ptr3425,r1
jmp @r1
add #-2,r6
fdl3425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3425: .long execexit
! Opcodes 5528 - 552F
P528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3426
mov.l execexit_ptr3426,r1
jmp @r1
add #-2,r6
fdl3426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3426: .long execexit
! Opcodes 5530 - 5537
P530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd769
exts.w r0,r0
longwd769:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3427
mov.l execexit_ptr3427,r1
jmp @r1
add #-2,r6
fdl3427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3427: .long execexit
! Opcode 5538
P538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3428
mov.l execexit_ptr3428,r1
jmp @r1
add #-2,r6
fdl3428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3428: .long execexit
! Opcode 5539
P539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #2,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3429
mov.l execexit_ptr3429,r1
jmp @r1
add #-2,r6
fdl3429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3429: .long execexit
! Opcodes 5540 - 5547
P540:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3430
mov.l execexit_ptr3430,r1
jmp @r1
add #-2,r6
fdl3430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3430: .long execexit
! Opcodes 5548 - 554F
P548:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-2,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3431
mov.l execexit_ptr3431,r1
jmp @r1
add #-2,r6
fdl3431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3431: .long execexit
! Opcodes 5550 - 5557
P550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3432
mov.l execexit_ptr3432,r1
jmp @r1
add #-2,r6
fdl3432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3432: .long execexit
! Opcodes 5558 - 555F
P558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3433
mov.l execexit_ptr3433,r1
jmp @r1
add #-2,r6
fdl3433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3433: .long execexit
! Opcodes 5560 - 5567
P560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3434
mov.l execexit_ptr3434,r1
jmp @r1
add #-2,r6
fdl3434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3434: .long execexit
! Opcodes 5568 - 556F
P568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3435
mov.l execexit_ptr3435,r1
jmp @r1
add #-2,r6
fdl3435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3435: .long execexit
! Opcodes 5570 - 5577
P570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd770
exts.w r0,r0
longwd770:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3436
mov.l execexit_ptr3436,r1
jmp @r1
add #-2,r6
fdl3436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3436: .long execexit
! Opcode 5578
P578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3437
mov.l execexit_ptr3437,r1
jmp @r1
add #-2,r6
fdl3437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3437: .long execexit
! Opcode 5579
P579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #2,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3438
mov.l execexit_ptr3438,r1
jmp @r1
add #-2,r6
fdl3438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3438: .long execexit
! Opcodes 5580 - 5587
P580:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3439
mov.l execexit_ptr3439,r1
jmp @r1
add #-2,r6
fdl3439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3439: .long execexit
! Opcodes 5588 - 558F
P588:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-2,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3440
mov.l execexit_ptr3440,r1
jmp @r1
add #-2,r6
fdl3440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3440: .long execexit
! Opcodes 5590 - 5597
P590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3441
mov.l execexit_ptr3441,r1
jmp @r1
add #-2,r6
fdl3441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3441: .long execexit
! Opcodes 5598 - 559F
P598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3442
mov.l execexit_ptr3442,r1
jmp @r1
add #-2,r6
fdl3442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3442: .long execexit
! Opcodes 55A0 - 55A7
P5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3443
mov.l execexit_ptr3443,r1
jmp @r1
add #-2,r6
fdl3443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3443: .long execexit
! Opcodes 55A8 - 55AF
P5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3444
mov.l execexit_ptr3444,r1
jmp @r1
add #-2,r6
fdl3444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3444: .long execexit
! Opcodes 55B0 - 55B7
P5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd771
exts.w r0,r0
longwd771:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3445
mov.l execexit_ptr3445,r1
jmp @r1
add #-2,r6
fdl3445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3445: .long execexit
! Opcode 55B8
P5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3446
mov.l execexit_ptr3446,r1
jmp @r1
add #-2,r6
fdl3446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3446: .long execexit
! Opcode 55B9
P5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #2,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3447
mov.l execexit_ptr3447,r1
jmp @r1
add #-2,r6
fdl3447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3447: .long execexit
! Opcodes 55C0 - 55C7
P5C0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3448
mov.l execexit_ptr3448,r1
jmp @r1
add #-2,r6
fdl3448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3448: .long execexit
! Opcodes 55C8 - 55CF
P5C8:
mov r8,r0
tst #4,r0
bt dbcc3449
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3450
mov.l execexit_ptr3450,r1
jmp @r1
add #-2,r6
fdl3450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3450: .long execexit
dbcc3449:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3451
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3452
mov.l execexit_ptr3452,r1
jmp @r1
add #-2,r6
fdl3452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3452: .long execexit
bcc_w3451:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3453
mov.l execexit_ptr3453,r1
jmp @r1
add #-2,r6
fdl3453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3453: .long execexit
! Opcodes 55D0 - 55D7
P5D0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3454
mov.l execexit_ptr3454,r1
jmp @r1
add #-2,r6
fdl3454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3454: .long execexit
! Opcodes 55D8 - 55DF
P5D8:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3455
mov.l execexit_ptr3455,r1
jmp @r1
add #-2,r6
fdl3455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3455: .long execexit
! Opcodes 55E0 - 55E7
P5E0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3456
mov.l execexit_ptr3456,r1
jmp @r1
add #-2,r6
fdl3456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3456: .long execexit
! Opcodes 55E8 - 55EF
P5E8:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3457
mov.l execexit_ptr3457,r1
jmp @r1
add #-2,r6
fdl3457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3457: .long execexit
! Opcodes 55F0 - 55F7
P5F0:
and r1,r2
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd772
exts.w r0,r0
longwd772:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3458
mov.l execexit_ptr3458,r1
jmp @r1
add #-2,r6
fdl3458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3458: .long execexit
! Opcode 55F8
P5F8:
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3459
mov.l execexit_ptr3459,r1
jmp @r1
add #-2,r6
fdl3459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3459: .long execexit
! Opcode 55F9
P5F9:
mov r8,r0
tst #4,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3460
mov.l execexit_ptr3460,r1
jmp @r1
add #-2,r6
fdl3460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3460: .long execexit
! Opcodes 5600 - 5607
P600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3461
mov.l execexit_ptr3461,r1
jmp @r1
add #-2,r6
fdl3461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3461: .long execexit
! Opcodes 5608 - 560F
P608:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3462
mov.l execexit_ptr3462,r1
jmp @r1
add #-2,r6
fdl3462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3462: .long execexit
! Opcodes 5610 - 5617
P610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3463
mov.l execexit_ptr3463,r1
jmp @r1
add #-2,r6
fdl3463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3463: .long execexit
! Opcodes 5618 - 561F
P618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3464
mov.l execexit_ptr3464,r1
jmp @r1
add #-2,r6
fdl3464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3464: .long execexit
! Opcodes 5620 - 5627
P620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3465
mov.l execexit_ptr3465,r1
jmp @r1
add #-2,r6
fdl3465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3465: .long execexit
! Opcodes 5628 - 562F
P628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3466
mov.l execexit_ptr3466,r1
jmp @r1
add #-2,r6
fdl3466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3466: .long execexit
! Opcodes 5630 - 5637
P630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd773
exts.w r0,r0
longwd773:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3467
mov.l execexit_ptr3467,r1
jmp @r1
add #-2,r6
fdl3467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3467: .long execexit
! Opcode 5638
P638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3468
mov.l execexit_ptr3468,r1
jmp @r1
add #-2,r6
fdl3468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3468: .long execexit
! Opcode 5639
P639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3469
mov.l execexit_ptr3469,r1
jmp @r1
add #-2,r6
fdl3469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3469: .long execexit
! Opcodes 5640 - 5647
P640:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3470
mov.l execexit_ptr3470,r1
jmp @r1
add #-2,r6
fdl3470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3470: .long execexit
! Opcodes 5648 - 564F
P648:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 3,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3471
mov.l execexit_ptr3471,r1
jmp @r1
add #-2,r6
fdl3471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3471: .long execexit
! Opcodes 5650 - 5657
P650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3472
mov.l execexit_ptr3472,r1
jmp @r1
add #-2,r6
fdl3472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3472: .long execexit
! Opcodes 5658 - 565F
P658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3473
mov.l execexit_ptr3473,r1
jmp @r1
add #-2,r6
fdl3473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3473: .long execexit
! Opcodes 5660 - 5667
P660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3474
mov.l execexit_ptr3474,r1
jmp @r1
add #-2,r6
fdl3474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3474: .long execexit
! Opcodes 5668 - 566F
P668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3475
mov.l execexit_ptr3475,r1
jmp @r1
add #-2,r6
fdl3475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3475: .long execexit
! Opcodes 5670 - 5677
P670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd774
exts.w r0,r0
longwd774:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3476
mov.l execexit_ptr3476,r1
jmp @r1
add #-2,r6
fdl3476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3476: .long execexit
! Opcode 5678
P678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3477
mov.l execexit_ptr3477,r1
jmp @r1
add #-2,r6
fdl3477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3477: .long execexit
! Opcode 5679
P679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3478
mov.l execexit_ptr3478,r1
jmp @r1
add #-2,r6
fdl3478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3478: .long execexit
! Opcodes 5680 - 5687
P680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3479
mov.l execexit_ptr3479,r1
jmp @r1
add #-2,r6
fdl3479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3479: .long execexit
! Opcodes 5688 - 568F
P688:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 3,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3480
mov.l execexit_ptr3480,r1
jmp @r1
add #-2,r6
fdl3480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3480: .long execexit
! Opcodes 5690 - 5697
P690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3481
mov.l execexit_ptr3481,r1
jmp @r1
add #-2,r6
fdl3481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3481: .long execexit
! Opcodes 5698 - 569F
P698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3482
mov.l execexit_ptr3482,r1
jmp @r1
add #-2,r6
fdl3482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3482: .long execexit
! Opcodes 56A0 - 56A7
P6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3483
mov.l execexit_ptr3483,r1
jmp @r1
add #-2,r6
fdl3483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3483: .long execexit
! Opcodes 56A8 - 56AF
P6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3484
mov.l execexit_ptr3484,r1
jmp @r1
add #-2,r6
fdl3484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3484: .long execexit
! Opcodes 56B0 - 56B7
P6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd775
exts.w r0,r0
longwd775:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3485
mov.l execexit_ptr3485,r1
jmp @r1
add #-2,r6
fdl3485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3485: .long execexit
! Opcode 56B8
P6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3486
mov.l execexit_ptr3486,r1
jmp @r1
add #-2,r6
fdl3486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3486: .long execexit
! Opcode 56B9
P6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3487
mov.l execexit_ptr3487,r1
jmp @r1
add #-2,r6
fdl3487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3487: .long execexit
! Opcodes 56C0 - 56C7
P6C0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3488
mov.l execexit_ptr3488,r1
jmp @r1
add #-2,r6
fdl3488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3488: .long execexit
! Opcodes 56C8 - 56CF
P6C8:
mov r8,r0
tst #1,r0
bf dbcc3489
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3490
mov.l execexit_ptr3490,r1
jmp @r1
add #-2,r6
fdl3490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3490: .long execexit
dbcc3489:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3491
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3492
mov.l execexit_ptr3492,r1
jmp @r1
add #-2,r6
fdl3492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3492: .long execexit
bcc_w3491:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3493
mov.l execexit_ptr3493,r1
jmp @r1
add #-2,r6
fdl3493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3493: .long execexit
! Opcodes 56D0 - 56D7
P6D0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3494
mov.l execexit_ptr3494,r1
jmp @r1
add #-2,r6
fdl3494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3494: .long execexit
! Opcodes 56D8 - 56DF
P6D8:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3495
mov.l execexit_ptr3495,r1
jmp @r1
add #-2,r6
fdl3495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3495: .long execexit
! Opcodes 56E0 - 56E7
P6E0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3496
mov.l execexit_ptr3496,r1
jmp @r1
add #-2,r6
fdl3496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3496: .long execexit
! Opcodes 56E8 - 56EF
P6E8:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3497
mov.l execexit_ptr3497,r1
jmp @r1
add #-2,r6
fdl3497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3497: .long execexit
! Opcodes 56F0 - 56F7
P6F0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd776
exts.w r0,r0
longwd776:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3498
mov.l execexit_ptr3498,r1
jmp @r1
add #-2,r6
fdl3498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3498: .long execexit
! Opcode 56F8
P6F8:
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3499
mov.l execexit_ptr3499,r1
jmp @r1
add #-2,r6
fdl3499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3499: .long execexit
! Opcode 56F9
P6F9:
mov r8,r0
tst #1,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3500
mov.l execexit_ptr3500,r1
jmp @r1
add #-2,r6
fdl3500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3500: .long execexit
! Opcodes 5700 - 5707
P700:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3501
mov.l execexit_ptr3501,r1
jmp @r1
add #-2,r6
fdl3501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3501: .long execexit
! Opcodes 5708 - 570F
P708:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3502
mov.l execexit_ptr3502,r1
jmp @r1
add #-2,r6
fdl3502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3502: .long execexit
! Opcodes 5710 - 5717
P710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3503
mov.l execexit_ptr3503,r1
jmp @r1
add #-2,r6
fdl3503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3503: .long execexit
! Opcodes 5718 - 571F
P718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3504
mov.l execexit_ptr3504,r1
jmp @r1
add #-2,r6
fdl3504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3504: .long execexit
! Opcodes 5720 - 5727
P720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3505
mov.l execexit_ptr3505,r1
jmp @r1
add #-2,r6
fdl3505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3505: .long execexit
! Opcodes 5728 - 572F
P728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3506
mov.l execexit_ptr3506,r1
jmp @r1
add #-2,r6
fdl3506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3506: .long execexit
! Opcodes 5730 - 5737
P730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd777
exts.w r0,r0
longwd777:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3507
mov.l execexit_ptr3507,r1
jmp @r1
add #-2,r6
fdl3507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3507: .long execexit
! Opcode 5738
P738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3508
mov.l execexit_ptr3508,r1
jmp @r1
add #-2,r6
fdl3508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3508: .long execexit
! Opcode 5739
P739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #3,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3509
mov.l execexit_ptr3509,r1
jmp @r1
add #-2,r6
fdl3509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3509: .long execexit
! Opcodes 5740 - 5747
P740:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3510
mov.l execexit_ptr3510,r1
jmp @r1
add #-2,r6
fdl3510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3510: .long execexit
! Opcodes 5748 - 574F
P748:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-3,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3511
mov.l execexit_ptr3511,r1
jmp @r1
add #-2,r6
fdl3511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3511: .long execexit
! Opcodes 5750 - 5757
P750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3512
mov.l execexit_ptr3512,r1
jmp @r1
add #-2,r6
fdl3512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3512: .long execexit
! Opcodes 5758 - 575F
P758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3513
mov.l execexit_ptr3513,r1
jmp @r1
add #-2,r6
fdl3513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3513: .long execexit
! Opcodes 5760 - 5767
P760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3514
mov.l execexit_ptr3514,r1
jmp @r1
add #-2,r6
fdl3514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3514: .long execexit
! Opcodes 5768 - 576F
P768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3515
mov.l execexit_ptr3515,r1
jmp @r1
add #-2,r6
fdl3515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3515: .long execexit
! Opcodes 5770 - 5777
P770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd778
exts.w r0,r0
longwd778:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3516
mov.l execexit_ptr3516,r1
jmp @r1
add #-2,r6
fdl3516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3516: .long execexit
! Opcode 5778
P778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3517
mov.l execexit_ptr3517,r1
jmp @r1
add #-2,r6
fdl3517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3517: .long execexit
! Opcode 5779
P779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #3,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3518
mov.l execexit_ptr3518,r1
jmp @r1
add #-2,r6
fdl3518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3518: .long execexit
! Opcodes 5780 - 5787
P780:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3519
mov.l execexit_ptr3519,r1
jmp @r1
add #-2,r6
fdl3519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3519: .long execexit
! Opcodes 5788 - 578F
P788:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-3,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3520
mov.l execexit_ptr3520,r1
jmp @r1
add #-2,r6
fdl3520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3520: .long execexit
! Opcodes 5790 - 5797
P790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3521
mov.l execexit_ptr3521,r1
jmp @r1
add #-2,r6
fdl3521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3521: .long execexit
! Opcodes 5798 - 579F
P798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3522
mov.l execexit_ptr3522,r1
jmp @r1
add #-2,r6
fdl3522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3522: .long execexit
! Opcodes 57A0 - 57A7
P7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3523
mov.l execexit_ptr3523,r1
jmp @r1
add #-2,r6
fdl3523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3523: .long execexit
! Opcodes 57A8 - 57AF
P7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3524
mov.l execexit_ptr3524,r1
jmp @r1
add #-2,r6
fdl3524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3524: .long execexit
! Opcodes 57B0 - 57B7
P7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd779
exts.w r0,r0
longwd779:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3525
mov.l execexit_ptr3525,r1
jmp @r1
add #-2,r6
fdl3525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3525: .long execexit
! Opcode 57B8
P7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3526
mov.l execexit_ptr3526,r1
jmp @r1
add #-2,r6
fdl3526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3526: .long execexit
! Opcode 57B9
P7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #3,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3527
mov.l execexit_ptr3527,r1
jmp @r1
add #-2,r6
fdl3527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3527: .long execexit
! Opcodes 57C0 - 57C7
P7C0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3528
mov.l execexit_ptr3528,r1
jmp @r1
add #-2,r6
fdl3528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3528: .long execexit
! Opcodes 57C8 - 57CF
P7C8:
mov r8,r0
tst #1,r0
bt dbcc3529
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3530
mov.l execexit_ptr3530,r1
jmp @r1
add #-2,r6
fdl3530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3530: .long execexit
dbcc3529:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3531
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3532
mov.l execexit_ptr3532,r1
jmp @r1
add #-2,r6
fdl3532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3532: .long execexit
bcc_w3531:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3533
mov.l execexit_ptr3533,r1
jmp @r1
add #-2,r6
fdl3533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3533: .long execexit
! Opcodes 57D0 - 57D7
P7D0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3534
mov.l execexit_ptr3534,r1
jmp @r1
add #-2,r6
fdl3534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3534: .long execexit
! Opcodes 57D8 - 57DF
P7D8:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3535
mov.l execexit_ptr3535,r1
jmp @r1
add #-2,r6
fdl3535:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3535: .long execexit
! Opcodes 57E0 - 57E7
P7E0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3536
mov.l execexit_ptr3536,r1
jmp @r1
add #-2,r6
fdl3536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3536: .long execexit
! Opcodes 57E8 - 57EF
P7E8:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3537
mov.l execexit_ptr3537,r1
jmp @r1
add #-2,r6
fdl3537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3537: .long execexit
! Opcodes 57F0 - 57F7
P7F0:
and r1,r2
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd780
exts.w r0,r0
longwd780:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3538
mov.l execexit_ptr3538,r1
jmp @r1
add #-2,r6
fdl3538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3538: .long execexit
! Opcode 57F8
P7F8:
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3539
mov.l execexit_ptr3539,r1
jmp @r1
add #-2,r6
fdl3539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3539: .long execexit
! Opcode 57F9
P7F9:
mov r8,r0
tst #1,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3540
mov.l execexit_ptr3540,r1
jmp @r1
add #-2,r6
fdl3540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3540: .long execexit
! Opcodes 5800 - 5807
P800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3541
mov.l execexit_ptr3541,r1
jmp @r1
add #-2,r6
fdl3541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3541: .long execexit
! Opcodes 5808 - 580F
P808:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3542
mov.l execexit_ptr3542,r1
jmp @r1
add #-2,r6
fdl3542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3542: .long execexit
! Opcodes 5810 - 5817
P810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3543
mov.l execexit_ptr3543,r1
jmp @r1
add #-2,r6
fdl3543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3543: .long execexit
! Opcodes 5818 - 581F
P818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3544
mov.l execexit_ptr3544,r1
jmp @r1
add #-2,r6
fdl3544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3544: .long execexit
! Opcodes 5820 - 5827
P820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3545
mov.l execexit_ptr3545,r1
jmp @r1
add #-2,r6
fdl3545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3545: .long execexit
! Opcodes 5828 - 582F
P828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3546
mov.l execexit_ptr3546,r1
jmp @r1
add #-2,r6
fdl3546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3546: .long execexit
! Opcodes 5830 - 5837
P830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd781
exts.w r0,r0
longwd781:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3547
mov.l execexit_ptr3547,r1
jmp @r1
add #-2,r6
fdl3547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3547: .long execexit
! Opcode 5838
P838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3548
mov.l execexit_ptr3548,r1
jmp @r1
add #-2,r6
fdl3548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3548: .long execexit
! Opcode 5839
P839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3549
mov.l execexit_ptr3549,r1
jmp @r1
add #-2,r6
fdl3549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3549: .long execexit
! Opcodes 5840 - 5847
P840:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3550
mov.l execexit_ptr3550,r1
jmp @r1
add #-2,r6
fdl3550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3550: .long execexit
! Opcodes 5848 - 584F
P848:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3551
mov.l execexit_ptr3551,r1
jmp @r1
add #-2,r6
fdl3551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3551: .long execexit
! Opcodes 5850 - 5857
P850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3552
mov.l execexit_ptr3552,r1
jmp @r1
add #-2,r6
fdl3552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3552: .long execexit
! Opcodes 5858 - 585F
P858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3553
mov.l execexit_ptr3553,r1
jmp @r1
add #-2,r6
fdl3553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3553: .long execexit
! Opcodes 5860 - 5867
P860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3554
mov.l execexit_ptr3554,r1
jmp @r1
add #-2,r6
fdl3554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3554: .long execexit
! Opcodes 5868 - 586F
P868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3555
mov.l execexit_ptr3555,r1
jmp @r1
add #-2,r6
fdl3555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3555: .long execexit
! Opcodes 5870 - 5877
P870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd782
exts.w r0,r0
longwd782:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3556
mov.l execexit_ptr3556,r1
jmp @r1
add #-2,r6
fdl3556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3556: .long execexit
! Opcode 5878
P878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3557
mov.l execexit_ptr3557,r1
jmp @r1
add #-2,r6
fdl3557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3557: .long execexit
! Opcode 5879
P879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3558
mov.l execexit_ptr3558,r1
jmp @r1
add #-2,r6
fdl3558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3558: .long execexit
! Opcodes 5880 - 5887
P880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3559
mov.l execexit_ptr3559,r1
jmp @r1
add #-2,r6
fdl3559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3559: .long execexit
! Opcodes 5888 - 588F
P888:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3560
mov.l execexit_ptr3560,r1
jmp @r1
add #-2,r6
fdl3560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3560: .long execexit
! Opcodes 5890 - 5897
P890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3561
mov.l execexit_ptr3561,r1
jmp @r1
add #-2,r6
fdl3561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3561: .long execexit
! Opcodes 5898 - 589F
P898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3562
mov.l execexit_ptr3562,r1
jmp @r1
add #-2,r6
fdl3562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3562: .long execexit
! Opcodes 58A0 - 58A7
P8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3563
mov.l execexit_ptr3563,r1
jmp @r1
add #-2,r6
fdl3563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3563: .long execexit
! Opcodes 58A8 - 58AF
P8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3564
mov.l execexit_ptr3564,r1
jmp @r1
add #-2,r6
fdl3564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3564: .long execexit
! Opcodes 58B0 - 58B7
P8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd783
exts.w r0,r0
longwd783:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3565
mov.l execexit_ptr3565,r1
jmp @r1
add #-2,r6
fdl3565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3565: .long execexit
! Opcode 58B8
P8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3566
mov.l execexit_ptr3566,r1
jmp @r1
add #-2,r6
fdl3566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3566: .long execexit
! Opcode 58B9
P8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3567
mov.l execexit_ptr3567,r1
jmp @r1
add #-2,r6
fdl3567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3567: .long execexit
! Opcodes 58C0 - 58C7
P8C0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3568
mov.l execexit_ptr3568,r1
jmp @r1
add #-2,r6
fdl3568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3568: .long execexit
! Opcodes 58C8 - 58CF
P8C8:
mov r8,r0
tst #8,r0
bf dbcc3569
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3570
mov.l execexit_ptr3570,r1
jmp @r1
add #-2,r6
fdl3570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3570: .long execexit
dbcc3569:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3571
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3572
mov.l execexit_ptr3572,r1
jmp @r1
add #-2,r6
fdl3572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3572: .long execexit
bcc_w3571:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3573
mov.l execexit_ptr3573,r1
jmp @r1
add #-2,r6
fdl3573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3573: .long execexit
! Opcodes 58D0 - 58D7
P8D0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3574
mov.l execexit_ptr3574,r1
jmp @r1
add #-2,r6
fdl3574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3574: .long execexit
! Opcodes 58D8 - 58DF
P8D8:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3575
mov.l execexit_ptr3575,r1
jmp @r1
add #-2,r6
fdl3575:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3575: .long execexit
! Opcodes 58E0 - 58E7
P8E0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3576
mov.l execexit_ptr3576,r1
jmp @r1
add #-2,r6
fdl3576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3576: .long execexit
! Opcodes 58E8 - 58EF
P8E8:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3577
mov.l execexit_ptr3577,r1
jmp @r1
add #-2,r6
fdl3577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3577: .long execexit
! Opcodes 58F0 - 58F7
P8F0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd784
exts.w r0,r0
longwd784:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3578
mov.l execexit_ptr3578,r1
jmp @r1
add #-2,r6
fdl3578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3578: .long execexit
! Opcode 58F8
P8F8:
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3579
mov.l execexit_ptr3579,r1
jmp @r1
add #-2,r6
fdl3579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3579: .long execexit
! Opcode 58F9
P8F9:
mov r8,r0
tst #8,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3580
mov.l execexit_ptr3580,r1
jmp @r1
add #-2,r6
fdl3580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3580: .long execexit
! Opcodes 5900 - 5907
P900:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3581
mov.l execexit_ptr3581,r1
jmp @r1
add #-2,r6
fdl3581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3581: .long execexit
! Opcodes 5908 - 590F
P908:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3582
mov.l execexit_ptr3582,r1
jmp @r1
add #-2,r6
fdl3582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3582: .long execexit
! Opcodes 5910 - 5917
P910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3583
mov.l execexit_ptr3583,r1
jmp @r1
add #-2,r6
fdl3583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3583: .long execexit
! Opcodes 5918 - 591F
P918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3584
mov.l execexit_ptr3584,r1
jmp @r1
add #-2,r6
fdl3584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3584: .long execexit
! Opcodes 5920 - 5927
P920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3585
mov.l execexit_ptr3585,r1
jmp @r1
add #-2,r6
fdl3585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3585: .long execexit
! Opcodes 5928 - 592F
P928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3586
mov.l execexit_ptr3586,r1
jmp @r1
add #-2,r6
fdl3586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3586: .long execexit
! Opcodes 5930 - 5937
P930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd785
exts.w r0,r0
longwd785:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3587
mov.l execexit_ptr3587,r1
jmp @r1
add #-2,r6
fdl3587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3587: .long execexit
! Opcode 5938
P938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3588
mov.l execexit_ptr3588,r1
jmp @r1
add #-2,r6
fdl3588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3588: .long execexit
! Opcode 5939
P939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #4,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3589
mov.l execexit_ptr3589,r1
jmp @r1
add #-2,r6
fdl3589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3589: .long execexit
! Opcodes 5940 - 5947
P940:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3590
mov.l execexit_ptr3590,r1
jmp @r1
add #-2,r6
fdl3590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3590: .long execexit
! Opcodes 5948 - 594F
P948:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3591
mov.l execexit_ptr3591,r1
jmp @r1
add #-2,r6
fdl3591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3591: .long execexit
! Opcodes 5950 - 5957
P950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3592
mov.l execexit_ptr3592,r1
jmp @r1
add #-2,r6
fdl3592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3592: .long execexit
! Opcodes 5958 - 595F
P958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3593
mov.l execexit_ptr3593,r1
jmp @r1
add #-2,r6
fdl3593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3593: .long execexit
! Opcodes 5960 - 5967
P960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3594
mov.l execexit_ptr3594,r1
jmp @r1
add #-2,r6
fdl3594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3594: .long execexit
! Opcodes 5968 - 596F
P968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3595
mov.l execexit_ptr3595,r1
jmp @r1
add #-2,r6
fdl3595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3595: .long execexit
! Opcodes 5970 - 5977
P970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd786
exts.w r0,r0
longwd786:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3596
mov.l execexit_ptr3596,r1
jmp @r1
add #-2,r6
fdl3596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3596: .long execexit
! Opcode 5978
P978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3597
mov.l execexit_ptr3597,r1
jmp @r1
add #-2,r6
fdl3597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3597: .long execexit
! Opcode 5979
P979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #4,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3598
mov.l execexit_ptr3598,r1
jmp @r1
add #-2,r6
fdl3598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3598: .long execexit
! Opcodes 5980 - 5987
P980:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3599
mov.l execexit_ptr3599,r1
jmp @r1
add #-2,r6
fdl3599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3599: .long execexit
! Opcodes 5988 - 598F
P988:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-4,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3600
mov.l execexit_ptr3600,r1
jmp @r1
add #-2,r6
fdl3600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3600: .long execexit
! Opcodes 5990 - 5997
P990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3601
mov.l execexit_ptr3601,r1
jmp @r1
add #-2,r6
fdl3601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3601: .long execexit
! Opcodes 5998 - 599F
P998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3602
mov.l execexit_ptr3602,r1
jmp @r1
add #-2,r6
fdl3602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3602: .long execexit
! Opcodes 59A0 - 59A7
P9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3603
mov.l execexit_ptr3603,r1
jmp @r1
add #-2,r6
fdl3603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3603: .long execexit
! Opcodes 59A8 - 59AF
P9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3604
mov.l execexit_ptr3604,r1
jmp @r1
add #-2,r6
fdl3604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3604: .long execexit
! Opcodes 59B0 - 59B7
P9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd787
exts.w r0,r0
longwd787:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3605
mov.l execexit_ptr3605,r1
jmp @r1
add #-2,r6
fdl3605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3605: .long execexit
! Opcode 59B8
P9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3606
mov.l execexit_ptr3606,r1
jmp @r1
add #-2,r6
fdl3606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3606: .long execexit
! Opcode 59B9
P9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3607
mov.l execexit_ptr3607,r1
jmp @r1
add #-2,r6
fdl3607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3607: .long execexit
! Opcodes 59C0 - 59C7
P9C0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3608
mov.l execexit_ptr3608,r1
jmp @r1
add #-2,r6
fdl3608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3608: .long execexit
! Opcodes 59C8 - 59CF
P9C8:
mov r8,r0
tst #8,r0
bt dbcc3609
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3610
mov.l execexit_ptr3610,r1
jmp @r1
add #-2,r6
fdl3610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3610: .long execexit
dbcc3609:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3611
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3612
mov.l execexit_ptr3612,r1
jmp @r1
add #-2,r6
fdl3612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3612: .long execexit
bcc_w3611:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3613
mov.l execexit_ptr3613,r1
jmp @r1
add #-2,r6
fdl3613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3613: .long execexit
! Opcodes 59D0 - 59D7
P9D0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3614
mov.l execexit_ptr3614,r1
jmp @r1
add #-2,r6
fdl3614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3614: .long execexit
! Opcodes 59D8 - 59DF
P9D8:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3615
mov.l execexit_ptr3615,r1
jmp @r1
add #-2,r6
fdl3615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3615: .long execexit
! Opcodes 59E0 - 59E7
P9E0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3616
mov.l execexit_ptr3616,r1
jmp @r1
add #-2,r6
fdl3616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3616: .long execexit
! Opcodes 59E8 - 59EF
P9E8:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3617
mov.l execexit_ptr3617,r1
jmp @r1
add #-2,r6
fdl3617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3617: .long execexit
! Opcodes 59F0 - 59F7
P9F0:
and r1,r2
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd788
exts.w r0,r0
longwd788:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3618
mov.l execexit_ptr3618,r1
jmp @r1
add #-2,r6
fdl3618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3618: .long execexit
! Opcode 59F8
P9F8:
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3619
mov.l execexit_ptr3619,r1
jmp @r1
add #-2,r6
fdl3619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3619: .long execexit
! Opcode 59F9
P9F9:
mov r8,r0
tst #8,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3620
mov.l execexit_ptr3620,r1
jmp @r1
add #-2,r6
fdl3620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3620: .long execexit
! Opcodes 5A00 - 5A07
PA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3621
mov.l execexit_ptr3621,r1
jmp @r1
add #-2,r6
fdl3621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3621: .long execexit
! Opcodes 5A08 - 5A0F
PA08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3622
mov.l execexit_ptr3622,r1
jmp @r1
add #-2,r6
fdl3622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3622: .long execexit
! Opcodes 5A10 - 5A17
PA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3623
mov.l execexit_ptr3623,r1
jmp @r1
add #-2,r6
fdl3623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3623: .long execexit
! Opcodes 5A18 - 5A1F
PA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3624
mov.l execexit_ptr3624,r1
jmp @r1
add #-2,r6
fdl3624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3624: .long execexit
! Opcodes 5A20 - 5A27
PA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3625
mov.l execexit_ptr3625,r1
jmp @r1
add #-2,r6
fdl3625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3625: .long execexit
! Opcodes 5A28 - 5A2F
PA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3626
mov.l execexit_ptr3626,r1
jmp @r1
add #-2,r6
fdl3626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3626: .long execexit
! Opcodes 5A30 - 5A37
PA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd789
exts.w r0,r0
longwd789:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3627
mov.l execexit_ptr3627,r1
jmp @r1
add #-2,r6
fdl3627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3627: .long execexit
! Opcode 5A38
PA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3628
mov.l execexit_ptr3628,r1
jmp @r1
add #-2,r6
fdl3628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3628: .long execexit
! Opcode 5A39
PA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3629
mov.l execexit_ptr3629,r1
jmp @r1
add #-2,r6
fdl3629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3629: .long execexit
! Opcodes 5A40 - 5A47
PA40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3630
mov.l execexit_ptr3630,r1
jmp @r1
add #-2,r6
fdl3630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3630: .long execexit
! Opcodes 5A48 - 5A4F
PA48:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 5,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3631
mov.l execexit_ptr3631,r1
jmp @r1
add #-2,r6
fdl3631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3631: .long execexit
! Opcodes 5A50 - 5A57
PA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3632
mov.l execexit_ptr3632,r1
jmp @r1
add #-2,r6
fdl3632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3632: .long execexit
! Opcodes 5A58 - 5A5F
PA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3633
mov.l execexit_ptr3633,r1
jmp @r1
add #-2,r6
fdl3633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3633: .long execexit
! Opcodes 5A60 - 5A67
PA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3634
mov.l execexit_ptr3634,r1
jmp @r1
add #-2,r6
fdl3634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3634: .long execexit
! Opcodes 5A68 - 5A6F
PA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3635
mov.l execexit_ptr3635,r1
jmp @r1
add #-2,r6
fdl3635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3635: .long execexit
! Opcodes 5A70 - 5A77
PA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd790
exts.w r0,r0
longwd790:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3636
mov.l execexit_ptr3636,r1
jmp @r1
add #-2,r6
fdl3636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3636: .long execexit
! Opcode 5A78
PA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3637
mov.l execexit_ptr3637,r1
jmp @r1
add #-2,r6
fdl3637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3637: .long execexit
! Opcode 5A79
PA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3638
mov.l execexit_ptr3638,r1
jmp @r1
add #-2,r6
fdl3638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3638: .long execexit
! Opcodes 5A80 - 5A87
PA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3639
mov.l execexit_ptr3639,r1
jmp @r1
add #-2,r6
fdl3639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3639: .long execexit
! Opcodes 5A88 - 5A8F
PA88:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 5,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3640
mov.l execexit_ptr3640,r1
jmp @r1
add #-2,r6
fdl3640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3640: .long execexit
! Opcodes 5A90 - 5A97
PA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3641
mov.l execexit_ptr3641,r1
jmp @r1
add #-2,r6
fdl3641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3641: .long execexit
! Opcodes 5A98 - 5A9F
PA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3642
mov.l execexit_ptr3642,r1
jmp @r1
add #-2,r6
fdl3642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3642: .long execexit
! Opcodes 5AA0 - 5AA7
PAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3643
mov.l execexit_ptr3643,r1
jmp @r1
add #-2,r6
fdl3643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3643: .long execexit
! Opcodes 5AA8 - 5AAF
PAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3644
mov.l execexit_ptr3644,r1
jmp @r1
add #-2,r6
fdl3644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3644: .long execexit
! Opcodes 5AB0 - 5AB7
PAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd791
exts.w r0,r0
longwd791:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3645
mov.l execexit_ptr3645,r1
jmp @r1
add #-2,r6
fdl3645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3645: .long execexit
! Opcode 5AB8
PAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3646
mov.l execexit_ptr3646,r1
jmp @r1
add #-2,r6
fdl3646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3646: .long execexit
! Opcode 5AB9
PAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3647
mov.l execexit_ptr3647,r1
jmp @r1
add #-2,r6
fdl3647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3647: .long execexit
! Opcodes 5AC0 - 5AC7
PAC0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3648
mov.l execexit_ptr3648,r1
jmp @r1
add #-2,r6
fdl3648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3648: .long execexit
! Opcodes 5AC8 - 5ACF
PAC8:
mov r8,r0
tst #2,r0
bf dbcc3649
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3650
mov.l execexit_ptr3650,r1
jmp @r1
add #-2,r6
fdl3650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3650: .long execexit
dbcc3649:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3651
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3652
mov.l execexit_ptr3652,r1
jmp @r1
add #-2,r6
fdl3652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3652: .long execexit
bcc_w3651:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3653
mov.l execexit_ptr3653,r1
jmp @r1
add #-2,r6
fdl3653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3653: .long execexit
! Opcodes 5AD0 - 5AD7
PAD0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3654
mov.l execexit_ptr3654,r1
jmp @r1
add #-2,r6
fdl3654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3654: .long execexit
! Opcodes 5AD8 - 5ADF
PAD8:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3655
mov.l execexit_ptr3655,r1
jmp @r1
add #-2,r6
fdl3655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3655: .long execexit
! Opcodes 5AE0 - 5AE7
PAE0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3656
mov.l execexit_ptr3656,r1
jmp @r1
add #-2,r6
fdl3656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3656: .long execexit
! Opcodes 5AE8 - 5AEF
PAE8:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3657
mov.l execexit_ptr3657,r1
jmp @r1
add #-2,r6
fdl3657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3657: .long execexit
! Opcodes 5AF0 - 5AF7
PAF0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd792
exts.w r0,r0
longwd792:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3658
mov.l execexit_ptr3658,r1
jmp @r1
add #-2,r6
fdl3658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3658: .long execexit
! Opcode 5AF8
PAF8:
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3659
mov.l execexit_ptr3659,r1
jmp @r1
add #-2,r6
fdl3659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3659: .long execexit
! Opcode 5AF9
PAF9:
mov r8,r0
tst #2,r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3660
mov.l execexit_ptr3660,r1
jmp @r1
add #-2,r6
fdl3660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3660: .long execexit
! Opcodes 5B00 - 5B07
PB00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3661
mov.l execexit_ptr3661,r1
jmp @r1
add #-2,r6
fdl3661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3661: .long execexit
! Opcodes 5B08 - 5B0F
PB08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3662
mov.l execexit_ptr3662,r1
jmp @r1
add #-2,r6
fdl3662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3662: .long execexit
! Opcodes 5B10 - 5B17
PB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3663
mov.l execexit_ptr3663,r1
jmp @r1
add #-2,r6
fdl3663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3663: .long execexit
! Opcodes 5B18 - 5B1F
PB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3664
mov.l execexit_ptr3664,r1
jmp @r1
add #-2,r6
fdl3664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3664: .long execexit
! Opcodes 5B20 - 5B27
PB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3665
mov.l execexit_ptr3665,r1
jmp @r1
add #-2,r6
fdl3665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3665: .long execexit
! Opcodes 5B28 - 5B2F
PB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3666
mov.l execexit_ptr3666,r1
jmp @r1
add #-2,r6
fdl3666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3666: .long execexit
! Opcodes 5B30 - 5B37
PB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd793
exts.w r0,r0
longwd793:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3667
mov.l execexit_ptr3667,r1
jmp @r1
add #-2,r6
fdl3667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3667: .long execexit
! Opcode 5B38
PB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3668
mov.l execexit_ptr3668,r1
jmp @r1
add #-2,r6
fdl3668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3668: .long execexit
! Opcode 5B39
PB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #5,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3669
mov.l execexit_ptr3669,r1
jmp @r1
add #-2,r6
fdl3669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3669: .long execexit
! Opcodes 5B40 - 5B47
PB40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3670
mov.l execexit_ptr3670,r1
jmp @r1
add #-2,r6
fdl3670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3670: .long execexit
! Opcodes 5B48 - 5B4F
PB48:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-5,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3671
mov.l execexit_ptr3671,r1
jmp @r1
add #-2,r6
fdl3671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3671: .long execexit
! Opcodes 5B50 - 5B57
PB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3672
mov.l execexit_ptr3672,r1
jmp @r1
add #-2,r6
fdl3672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3672: .long execexit
! Opcodes 5B58 - 5B5F
PB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3673
mov.l execexit_ptr3673,r1
jmp @r1
add #-2,r6
fdl3673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3673: .long execexit
! Opcodes 5B60 - 5B67
PB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3674
mov.l execexit_ptr3674,r1
jmp @r1
add #-2,r6
fdl3674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3674: .long execexit
! Opcodes 5B68 - 5B6F
PB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3675
mov.l execexit_ptr3675,r1
jmp @r1
add #-2,r6
fdl3675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3675: .long execexit
! Opcodes 5B70 - 5B77
PB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd794
exts.w r0,r0
longwd794:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3676
mov.l execexit_ptr3676,r1
jmp @r1
add #-2,r6
fdl3676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3676: .long execexit
! Opcode 5B78
PB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3677
mov.l execexit_ptr3677,r1
jmp @r1
add #-2,r6
fdl3677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3677: .long execexit
! Opcode 5B79
PB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #5,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3678
mov.l execexit_ptr3678,r1
jmp @r1
add #-2,r6
fdl3678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3678: .long execexit
! Opcodes 5B80 - 5B87
PB80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3679
mov.l execexit_ptr3679,r1
jmp @r1
add #-2,r6
fdl3679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3679: .long execexit
! Opcodes 5B88 - 5B8F
PB88:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-5,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3680
mov.l execexit_ptr3680,r1
jmp @r1
add #-2,r6
fdl3680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3680: .long execexit
! Opcodes 5B90 - 5B97
PB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3681
mov.l execexit_ptr3681,r1
jmp @r1
add #-2,r6
fdl3681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3681: .long execexit
! Opcodes 5B98 - 5B9F
PB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3682
mov.l execexit_ptr3682,r1
jmp @r1
add #-2,r6
fdl3682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3682: .long execexit
! Opcodes 5BA0 - 5BA7
PBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3683
mov.l execexit_ptr3683,r1
jmp @r1
add #-2,r6
fdl3683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3683: .long execexit
! Opcodes 5BA8 - 5BAF
PBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3684
mov.l execexit_ptr3684,r1
jmp @r1
add #-2,r6
fdl3684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3684: .long execexit
! Opcodes 5BB0 - 5BB7
PBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd795
exts.w r0,r0
longwd795:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3685
mov.l execexit_ptr3685,r1
jmp @r1
add #-2,r6
fdl3685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3685: .long execexit
! Opcode 5BB8
PBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3686
mov.l execexit_ptr3686,r1
jmp @r1
add #-2,r6
fdl3686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3686: .long execexit
! Opcode 5BB9
PBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #5,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3687
mov.l execexit_ptr3687,r1
jmp @r1
add #-2,r6
fdl3687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3687: .long execexit
! Opcodes 5BC0 - 5BC7
PBC0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3688
mov.l execexit_ptr3688,r1
jmp @r1
add #-2,r6
fdl3688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3688: .long execexit
! Opcodes 5BC8 - 5BCF
PBC8:
mov r8,r0
tst #2,r0
bt dbcc3689
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3690
mov.l execexit_ptr3690,r1
jmp @r1
add #-2,r6
fdl3690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3690: .long execexit
dbcc3689:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3691
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3692
mov.l execexit_ptr3692,r1
jmp @r1
add #-2,r6
fdl3692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3692: .long execexit
bcc_w3691:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3693
mov.l execexit_ptr3693,r1
jmp @r1
add #-2,r6
fdl3693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3693: .long execexit
! Opcodes 5BD0 - 5BD7
PBD0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3694
mov.l execexit_ptr3694,r1
jmp @r1
add #-2,r6
fdl3694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3694: .long execexit
! Opcodes 5BD8 - 5BDF
PBD8:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3695
mov.l execexit_ptr3695,r1
jmp @r1
add #-2,r6
fdl3695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3695: .long execexit
! Opcodes 5BE0 - 5BE7
PBE0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3696
mov.l execexit_ptr3696,r1
jmp @r1
add #-2,r6
fdl3696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3696: .long execexit
! Opcodes 5BE8 - 5BEF
PBE8:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3697
mov.l execexit_ptr3697,r1
jmp @r1
add #-2,r6
fdl3697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3697: .long execexit
! Opcodes 5BF0 - 5BF7
PBF0:
and r1,r2
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd796
exts.w r0,r0
longwd796:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3698
mov.l execexit_ptr3698,r1
jmp @r1
add #-2,r6
fdl3698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3698: .long execexit
! Opcode 5BF8
PBF8:
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3699
mov.l execexit_ptr3699,r1
jmp @r1
add #-2,r6
fdl3699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3699: .long execexit
! Opcode 5BF9
PBF9:
mov r8,r0
tst #2,r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3700
mov.l execexit_ptr3700,r1
jmp @r1
add #-2,r6
fdl3700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3700: .long execexit
! Opcodes 5C00 - 5C07
PC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3701
mov.l execexit_ptr3701,r1
jmp @r1
add #-2,r6
fdl3701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3701: .long execexit
! Opcodes 5C08 - 5C0F
PC08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3702
mov.l execexit_ptr3702,r1
jmp @r1
add #-2,r6
fdl3702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3702: .long execexit
! Opcodes 5C10 - 5C17
PC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3703
mov.l execexit_ptr3703,r1
jmp @r1
add #-2,r6
fdl3703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3703: .long execexit
! Opcodes 5C18 - 5C1F
PC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3704
mov.l execexit_ptr3704,r1
jmp @r1
add #-2,r6
fdl3704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3704: .long execexit
! Opcodes 5C20 - 5C27
PC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3705
mov.l execexit_ptr3705,r1
jmp @r1
add #-2,r6
fdl3705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3705: .long execexit
! Opcodes 5C28 - 5C2F
PC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3706
mov.l execexit_ptr3706,r1
jmp @r1
add #-2,r6
fdl3706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3706: .long execexit
! Opcodes 5C30 - 5C37
PC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd797
exts.w r0,r0
longwd797:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3707
mov.l execexit_ptr3707,r1
jmp @r1
add #-2,r6
fdl3707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3707: .long execexit
! Opcode 5C38
PC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3708
mov.l execexit_ptr3708,r1
jmp @r1
add #-2,r6
fdl3708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3708: .long execexit
! Opcode 5C39
PC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3709
mov.l execexit_ptr3709,r1
jmp @r1
add #-2,r6
fdl3709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3709: .long execexit
! Opcodes 5C40 - 5C47
PC40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3710
mov.l execexit_ptr3710,r1
jmp @r1
add #-2,r6
fdl3710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3710: .long execexit
! Opcodes 5C48 - 5C4F
PC48:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 6,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3711
mov.l execexit_ptr3711,r1
jmp @r1
add #-2,r6
fdl3711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3711: .long execexit
! Opcodes 5C50 - 5C57
PC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3712
mov.l execexit_ptr3712,r1
jmp @r1
add #-2,r6
fdl3712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3712: .long execexit
! Opcodes 5C58 - 5C5F
PC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3713
mov.l execexit_ptr3713,r1
jmp @r1
add #-2,r6
fdl3713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3713: .long execexit
! Opcodes 5C60 - 5C67
PC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3714
mov.l execexit_ptr3714,r1
jmp @r1
add #-2,r6
fdl3714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3714: .long execexit
! Opcodes 5C68 - 5C6F
PC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3715
mov.l execexit_ptr3715,r1
jmp @r1
add #-2,r6
fdl3715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3715: .long execexit
! Opcodes 5C70 - 5C77
PC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd798
exts.w r0,r0
longwd798:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3716
mov.l execexit_ptr3716,r1
jmp @r1
add #-2,r6
fdl3716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3716: .long execexit
! Opcode 5C78
PC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3717
mov.l execexit_ptr3717,r1
jmp @r1
add #-2,r6
fdl3717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3717: .long execexit
! Opcode 5C79
PC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3718
mov.l execexit_ptr3718,r1
jmp @r1
add #-2,r6
fdl3718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3718: .long execexit
! Opcodes 5C80 - 5C87
PC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3719
mov.l execexit_ptr3719,r1
jmp @r1
add #-2,r6
fdl3719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3719: .long execexit
! Opcodes 5C88 - 5C8F
PC88:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 6,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3720
mov.l execexit_ptr3720,r1
jmp @r1
add #-2,r6
fdl3720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3720: .long execexit
! Opcodes 5C90 - 5C97
PC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3721
mov.l execexit_ptr3721,r1
jmp @r1
add #-2,r6
fdl3721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3721: .long execexit
! Opcodes 5C98 - 5C9F
PC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3722
mov.l execexit_ptr3722,r1
jmp @r1
add #-2,r6
fdl3722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3722: .long execexit
! Opcodes 5CA0 - 5CA7
PCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3723
mov.l execexit_ptr3723,r1
jmp @r1
add #-2,r6
fdl3723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3723: .long execexit
! Opcodes 5CA8 - 5CAF
PCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3724
mov.l execexit_ptr3724,r1
jmp @r1
add #-2,r6
fdl3724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3724: .long execexit
! Opcodes 5CB0 - 5CB7
PCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd799
exts.w r0,r0
longwd799:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3725
mov.l execexit_ptr3725,r1
jmp @r1
add #-2,r6
fdl3725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3725: .long execexit
! Opcode 5CB8
PCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3726
mov.l execexit_ptr3726,r1
jmp @r1
add #-2,r6
fdl3726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3726: .long execexit
! Opcode 5CB9
PCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3727
mov.l execexit_ptr3727,r1
jmp @r1
add #-2,r6
fdl3727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3727: .long execexit
! Opcodes 5CC0 - 5CC7
PCC0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3728
mov.l execexit_ptr3728,r1
jmp @r1
add #-2,r6
fdl3728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3728: .long execexit
! Opcodes 5CC8 - 5CCF
PCC8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bt dbcc3729
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3730
mov.l execexit_ptr3730,r1
jmp @r1
add #-2,r6
fdl3730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3730: .long execexit
dbcc3729:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3731
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3732
mov.l execexit_ptr3732,r1
jmp @r1
add #-2,r6
fdl3732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3732: .long execexit
bcc_w3731:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3733
mov.l execexit_ptr3733,r1
jmp @r1
add #-2,r6
fdl3733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3733: .long execexit
! Opcodes 5CD0 - 5CD7
PCD0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3734
mov.l execexit_ptr3734,r1
jmp @r1
add #-2,r6
fdl3734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3734: .long execexit
! Opcodes 5CD8 - 5CDF
PCD8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3735
mov.l execexit_ptr3735,r1
jmp @r1
add #-2,r6
fdl3735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3735: .long execexit
! Opcodes 5CE0 - 5CE7
PCE0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3736
mov.l execexit_ptr3736,r1
jmp @r1
add #-2,r6
fdl3736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3736: .long execexit
! Opcodes 5CE8 - 5CEF
PCE8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3737
mov.l execexit_ptr3737,r1
jmp @r1
add #-2,r6
fdl3737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3737: .long execexit
! Opcodes 5CF0 - 5CF7
PCF0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd800
exts.w r0,r0
longwd800:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3738
mov.l execexit_ptr3738,r1
jmp @r1
add #-2,r6
fdl3738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3738: .long execexit
! Opcode 5CF8
PCF8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3739
mov.l execexit_ptr3739,r1
jmp @r1
add #-2,r6
fdl3739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3739: .long execexit
! Opcode 5CF9
PCF9:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3740
mov.l execexit_ptr3740,r1
jmp @r1
add #-2,r6
fdl3740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3740: .long execexit
! Opcodes 5D00 - 5D07
PD00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3741
mov.l execexit_ptr3741,r1
jmp @r1
add #-2,r6
fdl3741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3741: .long execexit
! Opcodes 5D08 - 5D0F
PD08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3742
mov.l execexit_ptr3742,r1
jmp @r1
add #-2,r6
fdl3742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3742: .long execexit
! Opcodes 5D10 - 5D17
PD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3743
mov.l execexit_ptr3743,r1
jmp @r1
add #-2,r6
fdl3743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3743: .long execexit
! Opcodes 5D18 - 5D1F
PD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3744
mov.l execexit_ptr3744,r1
jmp @r1
add #-2,r6
fdl3744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3744: .long execexit
! Opcodes 5D20 - 5D27
PD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3745
mov.l execexit_ptr3745,r1
jmp @r1
add #-2,r6
fdl3745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3745: .long execexit
! Opcodes 5D28 - 5D2F
PD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3746
mov.l execexit_ptr3746,r1
jmp @r1
add #-2,r6
fdl3746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3746: .long execexit
! Opcodes 5D30 - 5D37
PD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd801
exts.w r0,r0
longwd801:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3747
mov.l execexit_ptr3747,r1
jmp @r1
add #-2,r6
fdl3747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3747: .long execexit
! Opcode 5D38
PD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3748
mov.l execexit_ptr3748,r1
jmp @r1
add #-2,r6
fdl3748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3748: .long execexit
! Opcode 5D39
PD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #6,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3749
mov.l execexit_ptr3749,r1
jmp @r1
add #-2,r6
fdl3749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3749: .long execexit
! Opcodes 5D40 - 5D47
PD40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3750
mov.l execexit_ptr3750,r1
jmp @r1
add #-2,r6
fdl3750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3750: .long execexit
! Opcodes 5D48 - 5D4F
PD48:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-6,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3751
mov.l execexit_ptr3751,r1
jmp @r1
add #-2,r6
fdl3751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3751: .long execexit
! Opcodes 5D50 - 5D57
PD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3752
mov.l execexit_ptr3752,r1
jmp @r1
add #-2,r6
fdl3752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3752: .long execexit
! Opcodes 5D58 - 5D5F
PD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3753
mov.l execexit_ptr3753,r1
jmp @r1
add #-2,r6
fdl3753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3753: .long execexit
! Opcodes 5D60 - 5D67
PD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3754
mov.l execexit_ptr3754,r1
jmp @r1
add #-2,r6
fdl3754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3754: .long execexit
! Opcodes 5D68 - 5D6F
PD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3755
mov.l execexit_ptr3755,r1
jmp @r1
add #-2,r6
fdl3755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3755: .long execexit
! Opcodes 5D70 - 5D77
PD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd802
exts.w r0,r0
longwd802:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3756
mov.l execexit_ptr3756,r1
jmp @r1
add #-2,r6
fdl3756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3756: .long execexit
! Opcode 5D78
PD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3757
mov.l execexit_ptr3757,r1
jmp @r1
add #-2,r6
fdl3757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3757: .long execexit
! Opcode 5D79
PD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #6,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3758
mov.l execexit_ptr3758,r1
jmp @r1
add #-2,r6
fdl3758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3758: .long execexit
! Opcodes 5D80 - 5D87
PD80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3759
mov.l execexit_ptr3759,r1
jmp @r1
add #-2,r6
fdl3759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3759: .long execexit
! Opcodes 5D88 - 5D8F
PD88:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-6,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3760
mov.l execexit_ptr3760,r1
jmp @r1
add #-2,r6
fdl3760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3760: .long execexit
! Opcodes 5D90 - 5D97
PD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3761
mov.l execexit_ptr3761,r1
jmp @r1
add #-2,r6
fdl3761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3761: .long execexit
! Opcodes 5D98 - 5D9F
PD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3762
mov.l execexit_ptr3762,r1
jmp @r1
add #-2,r6
fdl3762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3762: .long execexit
! Opcodes 5DA0 - 5DA7
PDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3763
mov.l execexit_ptr3763,r1
jmp @r1
add #-2,r6
fdl3763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3763: .long execexit
! Opcodes 5DA8 - 5DAF
PDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3764
mov.l execexit_ptr3764,r1
jmp @r1
add #-2,r6
fdl3764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3764: .long execexit
! Opcodes 5DB0 - 5DB7
PDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd803
exts.w r0,r0
longwd803:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3765
mov.l execexit_ptr3765,r1
jmp @r1
add #-2,r6
fdl3765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3765: .long execexit
! Opcode 5DB8
PDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3766
mov.l execexit_ptr3766,r1
jmp @r1
add #-2,r6
fdl3766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3766: .long execexit
! Opcode 5DB9
PDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #6,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3767
mov.l execexit_ptr3767,r1
jmp @r1
add #-2,r6
fdl3767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3767: .long execexit
! Opcodes 5DC0 - 5DC7
PDC0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3768
mov.l execexit_ptr3768,r1
jmp @r1
add #-2,r6
fdl3768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3768: .long execexit
! Opcodes 5DC8 - 5DCF
PDC8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bf dbcc3769
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3770
mov.l execexit_ptr3770,r1
jmp @r1
add #-2,r6
fdl3770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3770: .long execexit
dbcc3769:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3771
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3772
mov.l execexit_ptr3772,r1
jmp @r1
add #-2,r6
fdl3772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3772: .long execexit
bcc_w3771:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3773
mov.l execexit_ptr3773,r1
jmp @r1
add #-2,r6
fdl3773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3773: .long execexit
! Opcodes 5DD0 - 5DD7
PDD0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3774
mov.l execexit_ptr3774,r1
jmp @r1
add #-2,r6
fdl3774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3774: .long execexit
! Opcodes 5DD8 - 5DDF
PDD8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3775
mov.l execexit_ptr3775,r1
jmp @r1
add #-2,r6
fdl3775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3775: .long execexit
! Opcodes 5DE0 - 5DE7
PDE0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3776
mov.l execexit_ptr3776,r1
jmp @r1
add #-2,r6
fdl3776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3776: .long execexit
! Opcodes 5DE8 - 5DEF
PDE8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3777
mov.l execexit_ptr3777,r1
jmp @r1
add #-2,r6
fdl3777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3777: .long execexit
! Opcodes 5DF0 - 5DF7
PDF0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd804
exts.w r0,r0
longwd804:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3778
mov.l execexit_ptr3778,r1
jmp @r1
add #-2,r6
fdl3778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3778: .long execexit
! Opcode 5DF8
PDF8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3779
mov.l execexit_ptr3779,r1
jmp @r1
add #-2,r6
fdl3779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3779: .long execexit
! Opcode 5DF9
PDF9:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3780
mov.l execexit_ptr3780,r1
jmp @r1
add #-2,r6
fdl3780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3780: .long execexit
! Opcodes 5E00 - 5E07
PE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3781
mov.l execexit_ptr3781,r1
jmp @r1
add #-2,r6
fdl3781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3781: .long execexit
! Opcodes 5E08 - 5E0F
PE08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3782
mov.l execexit_ptr3782,r1
jmp @r1
add #-2,r6
fdl3782:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3782: .long execexit
! Opcodes 5E10 - 5E17
PE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3783
mov.l execexit_ptr3783,r1
jmp @r1
add #-2,r6
fdl3783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3783: .long execexit
! Opcodes 5E18 - 5E1F
PE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3784
mov.l execexit_ptr3784,r1
jmp @r1
add #-2,r6
fdl3784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3784: .long execexit
! Opcodes 5E20 - 5E27
PE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3785
mov.l execexit_ptr3785,r1
jmp @r1
add #-2,r6
fdl3785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3785: .long execexit
! Opcodes 5E28 - 5E2F
PE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3786
mov.l execexit_ptr3786,r1
jmp @r1
add #-2,r6
fdl3786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3786: .long execexit
! Opcodes 5E30 - 5E37
PE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd805
exts.w r0,r0
longwd805:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3787
mov.l execexit_ptr3787,r1
jmp @r1
add #-2,r6
fdl3787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3787: .long execexit
! Opcode 5E38
PE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3788
mov.l execexit_ptr3788,r1
jmp @r1
add #-2,r6
fdl3788:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3788: .long execexit
! Opcode 5E39
PE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3789
mov.l execexit_ptr3789,r1
jmp @r1
add #-2,r6
fdl3789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3789: .long execexit
! Opcodes 5E40 - 5E47
PE40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3790
mov.l execexit_ptr3790,r1
jmp @r1
add #-2,r6
fdl3790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3790: .long execexit
! Opcodes 5E48 - 5E4F
PE48:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 7,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3791
mov.l execexit_ptr3791,r1
jmp @r1
add #-2,r6
fdl3791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3791: .long execexit
! Opcodes 5E50 - 5E57
PE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3792
mov.l execexit_ptr3792,r1
jmp @r1
add #-2,r6
fdl3792:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3792: .long execexit
! Opcodes 5E58 - 5E5F
PE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3793
mov.l execexit_ptr3793,r1
jmp @r1
add #-2,r6
fdl3793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3793: .long execexit
! Opcodes 5E60 - 5E67
PE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3794
mov.l execexit_ptr3794,r1
jmp @r1
add #-2,r6
fdl3794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3794: .long execexit
! Opcodes 5E68 - 5E6F
PE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3795
mov.l execexit_ptr3795,r1
jmp @r1
add #-2,r6
fdl3795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3795: .long execexit
! Opcodes 5E70 - 5E77
PE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd806
exts.w r0,r0
longwd806:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3796
mov.l execexit_ptr3796,r1
jmp @r1
add #-2,r6
fdl3796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3796: .long execexit
! Opcode 5E78
PE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3797
mov.l execexit_ptr3797,r1
jmp @r1
add #-2,r6
fdl3797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3797: .long execexit
! Opcode 5E79
PE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3798
mov.l execexit_ptr3798,r1
jmp @r1
add #-2,r6
fdl3798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3798: .long execexit
! Opcodes 5E80 - 5E87
PE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3799
mov.l execexit_ptr3799,r1
jmp @r1
add #-2,r6
fdl3799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3799: .long execexit
! Opcodes 5E88 - 5E8F
PE88:
and r1,r2
add r14,r2
mov.l @r2,r3
add # 7,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3800
mov.l execexit_ptr3800,r1
jmp @r1
add #-2,r6
fdl3800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3800: .long execexit
! Opcodes 5E90 - 5E97
PE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3801
mov.l execexit_ptr3801,r1
jmp @r1
add #-2,r6
fdl3801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3801: .long execexit
! Opcodes 5E98 - 5E9F
PE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3802
mov.l execexit_ptr3802,r1
jmp @r1
add #-2,r6
fdl3802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3802: .long execexit
! Opcodes 5EA0 - 5EA7
PEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3803
mov.l execexit_ptr3803,r1
jmp @r1
add #-2,r6
fdl3803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3803: .long execexit
! Opcodes 5EA8 - 5EAF
PEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3804
mov.l execexit_ptr3804,r1
jmp @r1
add #-2,r6
fdl3804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3804: .long execexit
! Opcodes 5EB0 - 5EB7
PEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd807
exts.w r0,r0
longwd807:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3805
mov.l execexit_ptr3805,r1
jmp @r1
add #-2,r6
fdl3805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3805: .long execexit
! Opcode 5EB8
PEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3806
mov.l execexit_ptr3806,r1
jmp @r1
add #-2,r6
fdl3806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3806: .long execexit
! Opcode 5EB9
PEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
addv r0,r1
movt r8
clrt
addc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3807
mov.l execexit_ptr3807,r1
jmp @r1
add #-2,r6
fdl3807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3807: .long execexit
! Opcodes 5EC0 - 5EC7
PEC0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3808
mov.l execexit_ptr3808,r1
jmp @r1
add #-2,r6
fdl3808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3808: .long execexit
! Opcodes 5EC8 - 5ECF
PEC8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bt dbcc3809
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3810
mov.l execexit_ptr3810,r1
jmp @r1
add #-2,r6
fdl3810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3810: .long execexit
dbcc3809:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3811
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3812
mov.l execexit_ptr3812,r1
jmp @r1
add #-2,r6
fdl3812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3812: .long execexit
bcc_w3811:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3813
mov.l execexit_ptr3813,r1
jmp @r1
add #-2,r6
fdl3813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3813: .long execexit
! Opcodes 5ED0 - 5ED7
PED0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3814
mov.l execexit_ptr3814,r1
jmp @r1
add #-2,r6
fdl3814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3814: .long execexit
! Opcodes 5ED8 - 5EDF
PED8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3815
mov.l execexit_ptr3815,r1
jmp @r1
add #-2,r6
fdl3815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3815: .long execexit
! Opcodes 5EE0 - 5EE7
PEE0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3816
mov.l execexit_ptr3816,r1
jmp @r1
add #-2,r6
fdl3816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3816: .long execexit
! Opcodes 5EE8 - 5EEF
PEE8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3817
mov.l execexit_ptr3817,r1
jmp @r1
add #-2,r6
fdl3817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3817: .long execexit
! Opcodes 5EF0 - 5EF7
PEF0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd808
exts.w r0,r0
longwd808:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3818
mov.l execexit_ptr3818,r1
jmp @r1
add #-2,r6
fdl3818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3818: .long execexit
! Opcode 5EF8
PEF8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3819
mov.l execexit_ptr3819,r1
jmp @r1
add #-2,r6
fdl3819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3819: .long execexit
! Opcode 5EF9
PEF9:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
tst r3,r3
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3820
mov.l execexit_ptr3820,r1
jmp @r1
add #-2,r6
fdl3820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3820: .long execexit
! Opcodes 5F00 - 5F07
PF00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3821
mov.l execexit_ptr3821,r1
jmp @r1
add #-2,r6
fdl3821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3821: .long execexit
! Opcodes 5F08 - 5F0F
PF08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3822
mov.l execexit_ptr3822,r1
jmp @r1
add #-2,r6
fdl3822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3822: .long execexit
! Opcodes 5F10 - 5F17
PF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3823
mov.l execexit_ptr3823,r1
jmp @r1
add #-2,r6
fdl3823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3823: .long execexit
! Opcodes 5F18 - 5F1F
PF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3824
mov.l execexit_ptr3824,r1
jmp @r1
add #-2,r6
fdl3824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3824: .long execexit
! Opcodes 5F20 - 5F27
PF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3825
mov.l execexit_ptr3825,r1
jmp @r1
add #-2,r6
fdl3825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3825: .long execexit
! Opcodes 5F28 - 5F2F
PF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3826
mov.l execexit_ptr3826,r1
jmp @r1
add #-2,r6
fdl3826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3826: .long execexit
! Opcodes 5F30 - 5F37
PF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd809
exts.w r0,r0
longwd809:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3827
mov.l execexit_ptr3827,r1
jmp @r1
add #-2,r6
fdl3827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3827: .long execexit
! Opcode 5F38
PF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3828
mov.l execexit_ptr3828,r1
jmp @r1
add #-2,r6
fdl3828:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3828: .long execexit
! Opcode 5F39
PF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r1
mov #7,r0
shld r1,r3
shld r1,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3829
mov.l execexit_ptr3829,r1
jmp @r1
add #-2,r6
fdl3829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3829: .long execexit
! Opcodes 5F40 - 5F47
PF40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3830
mov.l execexit_ptr3830,r1
jmp @r1
add #-2,r6
fdl3830:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3830: .long execexit
! Opcodes 5F48 - 5F4F
PF48:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-7,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3831
mov.l execexit_ptr3831,r1
jmp @r1
add #-2,r6
fdl3831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3831: .long execexit
! Opcodes 5F50 - 5F57
PF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3832
mov.l execexit_ptr3832,r1
jmp @r1
add #-2,r6
fdl3832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3832: .long execexit
! Opcodes 5F58 - 5F5F
PF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3833
mov.l execexit_ptr3833,r1
jmp @r1
add #-2,r6
fdl3833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3833: .long execexit
! Opcodes 5F60 - 5F67
PF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3834
mov.l execexit_ptr3834,r1
jmp @r1
add #-2,r6
fdl3834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3834: .long execexit
! Opcodes 5F68 - 5F6F
PF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3835
mov.l execexit_ptr3835,r1
jmp @r1
add #-2,r6
fdl3835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3835: .long execexit
! Opcodes 5F70 - 5F77
PF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd810
exts.w r0,r0
longwd810:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3836
mov.l execexit_ptr3836,r1
jmp @r1
add #-2,r6
fdl3836:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3836: .long execexit
! Opcode 5F78
PF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3837
mov.l execexit_ptr3837,r1
jmp @r1
add #-2,r6
fdl3837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3837: .long execexit
! Opcode 5F79
PF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll16 r3
mov #7,r0
shll16 r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3838
mov.l execexit_ptr3838,r1
jmp @r1
add #-2,r6
fdl3838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3838: .long execexit
! Opcodes 5F80 - 5F87
PF80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3839
mov.l execexit_ptr3839,r1
jmp @r1
add #-2,r6
fdl3839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3839: .long execexit
! Opcodes 5F88 - 5F8F
PF88:
and r1,r2
add r14,r2
mov.l @r2,r3
add #-7,r3
mov.l r3,@r2
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3840
mov.l execexit_ptr3840,r1
jmp @r1
add #-2,r6
fdl3840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3840: .long execexit
! Opcodes 5F90 - 5F97
PF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3841
mov.l execexit_ptr3841,r1
jmp @r1
add #-2,r6
fdl3841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3841: .long execexit
! Opcodes 5F98 - 5F9F
PF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3842
mov.l execexit_ptr3842,r1
jmp @r1
add #-2,r6
fdl3842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3842: .long execexit
! Opcodes 5FA0 - 5FA7
PFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3843
mov.l execexit_ptr3843,r1
jmp @r1
add #-2,r6
fdl3843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3843: .long execexit
! Opcodes 5FA8 - 5FAF
PFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3844
mov.l execexit_ptr3844,r1
jmp @r1
add #-2,r6
fdl3844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3844: .long execexit
! Opcodes 5FB0 - 5FB7
PFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd811
exts.w r0,r0
longwd811:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3845
mov.l execexit_ptr3845,r1
jmp @r1
add #-2,r6
fdl3845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3845: .long execexit
! Opcode 5FB8
PFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3846
mov.l execexit_ptr3846,r1
jmp @r1
add #-2,r6
fdl3846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3846: .long execexit
! Opcode 5FB9
PFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #7,r0
mov r3,r1
subv r0,r1
movt r8
clrt
subc r0,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3847
mov.l execexit_ptr3847,r1
jmp @r1
add #-2,r6
fdl3847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3847: .long execexit
! Opcodes 5FC0 - 5FC7
PFC0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
sub r3,r7
sub r3,r7
neg r3,r3
mov r2,r0
mov.b r3,@(r0,r13)
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3848
mov.l execexit_ptr3848,r1
jmp @r1
add #-2,r6
fdl3848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3848: .long execexit
! Opcodes 5FC8 - 5FCF
PFC8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bf dbcc3849
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3850
mov.l execexit_ptr3850,r1
jmp @r1
add #-2,r6
fdl3850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3850: .long execexit
dbcc3849:
and r1,r2
mov r13,r0
mov.w @(r0,r2),r1
tst r1,r1
add #-1,r1
mov.w r1,@(r0,r2)
bf bcc_w3851
add #2,r6
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3852
mov.l execexit_ptr3852,r1
jmp @r1
add #-2,r6
fdl3852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3852: .long execexit
bcc_w3851:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3853
mov.l execexit_ptr3853,r1
jmp @r1
add #-2,r6
fdl3853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3853: .long execexit
! Opcodes 5FD0 - 5FD7
PFD0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3854
mov.l execexit_ptr3854,r1
jmp @r1
add #-2,r6
fdl3854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3854: .long execexit
! Opcodes 5FD8 - 5FDF
PFD8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3855
mov.l execexit_ptr3855,r1
jmp @r1
add #-2,r6
fdl3855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3855: .long execexit
! Opcodes 5FE0 - 5FE7
PFE0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3856
mov.l execexit_ptr3856,r1
jmp @r1
add #-2,r6
fdl3856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3856: .long execexit
! Opcodes 5FE8 - 5FEF
PFE8:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3857
mov.l execexit_ptr3857,r1
jmp @r1
add #-2,r6
fdl3857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3857: .long execexit
! Opcodes 5FF0 - 5FF7
PFF0:
and r1,r2
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd812
exts.w r0,r0
longwd812:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3858
mov.l execexit_ptr3858,r1
jmp @r1
add #-2,r6
fdl3858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3858: .long execexit
! Opcode 5FF8
PFF8:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3859
mov.l execexit_ptr3859,r1
jmp @r1
add #-2,r6
fdl3859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3859: .long execexit
! Opcode 5FF9
PFF9:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
movt r3
neg r3,r3
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3860
mov.l execexit_ptr3860,r1
jmp @r1
add #-2,r6
fdl3860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3860: .long execexit
! Opcode 6000
Q000:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3861
mov.l execexit_ptr3861,r1
jmp @r1
add #-2,r6
fdl3861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3861: .long execexit
! Opcodes 6001 - 60FF
Q001:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3862
mov.l execexit_ptr3862,r1
jmp @r1
add #-2,r6
fdl3862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3862: .long execexit
! Opcode 6100
Q100:
mov.w @r6,r1
mov r6,r3
add #2,r3
sub r5,r3
add r1,r6
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3863
mov.l execexit_ptr3863,r1
jmp @r1
add #-2,r6
fdl3863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3863: .long execexit
! Opcodes 6101 - 61FF
Q101:
shlr2 r2
exts.b r2,r3
mov r6,r0
add r3,r6
sub r5,r0
mov r0,r3
mov.l @(60,r13),r4
add #-4,r4
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3864
mov.l execexit_ptr3864,r1
jmp @r1
add #-2,r6
fdl3864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3864: .long execexit
! Opcode 6200
Q200:
mov r8,r0
tst #5,r0
bt bcc_w3865
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3866
mov.l execexit_ptr3866,r1
jmp @r1
add #-2,r6
fdl3866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3866: .long execexit
bcc_w3865:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3867
mov.l execexit_ptr3867,r1
jmp @r1
add #-2,r6
fdl3867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3867: .long execexit
! Opcodes 6201 - 62FF
Q201:
mov r8,r0
tst #5,r0
bt bcc_b3868
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3869
mov.l execexit_ptr3869,r1
jmp @r1
add #-2,r6
fdl3869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3869: .long execexit
bcc_b3868:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3870
mov.l execexit_ptr3870,r1
jmp @r1
add #-2,r6
fdl3870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3870: .long execexit
! Opcode 6300
Q300:
mov r8,r0
tst #5,r0
bf bcc_w3871
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3872
mov.l execexit_ptr3872,r1
jmp @r1
add #-2,r6
fdl3872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3872: .long execexit
bcc_w3871:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3873
mov.l execexit_ptr3873,r1
jmp @r1
add #-2,r6
fdl3873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3873: .long execexit
! Opcodes 6301 - 63FF
Q301:
mov r8,r0
tst #5,r0
bf bcc_b3874
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3875
mov.l execexit_ptr3875,r1
jmp @r1
add #-2,r6
fdl3875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3875: .long execexit
bcc_b3874:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3876
mov.l execexit_ptr3876,r1
jmp @r1
add #-2,r6
fdl3876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3876: .long execexit
! Opcode 6400
Q400:
mov r8,r0
tst #4,r0
bt bcc_w3877
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3878
mov.l execexit_ptr3878,r1
jmp @r1
add #-2,r6
fdl3878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3878: .long execexit
bcc_w3877:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3879
mov.l execexit_ptr3879,r1
jmp @r1
add #-2,r6
fdl3879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3879: .long execexit
! Opcodes 6401 - 64FF
Q401:
mov r8,r0
tst #4,r0
bt bcc_b3880
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3881
mov.l execexit_ptr3881,r1
jmp @r1
add #-2,r6
fdl3881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3881: .long execexit
bcc_b3880:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3882
mov.l execexit_ptr3882,r1
jmp @r1
add #-2,r6
fdl3882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3882: .long execexit
! Opcode 6500
Q500:
mov r8,r0
tst #4,r0
bf bcc_w3883
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3884
mov.l execexit_ptr3884,r1
jmp @r1
add #-2,r6
fdl3884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3884: .long execexit
bcc_w3883:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3885
mov.l execexit_ptr3885,r1
jmp @r1
add #-2,r6
fdl3885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3885: .long execexit
! Opcodes 6501 - 65FF
Q501:
mov r8,r0
tst #4,r0
bf bcc_b3886
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3887
mov.l execexit_ptr3887,r1
jmp @r1
add #-2,r6
fdl3887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3887: .long execexit
bcc_b3886:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3888
mov.l execexit_ptr3888,r1
jmp @r1
add #-2,r6
fdl3888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3888: .long execexit
! Opcode 6600
Q600:
mov r8,r0
tst #1,r0
bt bcc_w3889
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3890
mov.l execexit_ptr3890,r1
jmp @r1
add #-2,r6
fdl3890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3890: .long execexit
bcc_w3889:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3891
mov.l execexit_ptr3891,r1
jmp @r1
add #-2,r6
fdl3891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3891: .long execexit
! Opcodes 6601 - 66FF
Q601:
mov r8,r0
tst #1,r0
bt bcc_b3892
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3893
mov.l execexit_ptr3893,r1
jmp @r1
add #-2,r6
fdl3893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3893: .long execexit
bcc_b3892:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3894
mov.l execexit_ptr3894,r1
jmp @r1
add #-2,r6
fdl3894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3894: .long execexit
! Opcode 6700
Q700:
mov r8,r0
tst #1,r0
bf bcc_w3895
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3896
mov.l execexit_ptr3896,r1
jmp @r1
add #-2,r6
fdl3896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3896: .long execexit
bcc_w3895:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3897
mov.l execexit_ptr3897,r1
jmp @r1
add #-2,r6
fdl3897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3897: .long execexit
! Opcodes 6701 - 67FF
Q701:
mov r8,r0
tst #1,r0
bf bcc_b3898
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3899
mov.l execexit_ptr3899,r1
jmp @r1
add #-2,r6
fdl3899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3899: .long execexit
bcc_b3898:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3900
mov.l execexit_ptr3900,r1
jmp @r1
add #-2,r6
fdl3900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3900: .long execexit
! Opcode 6800
Q800:
mov r8,r0
tst #8,r0
bt bcc_w3901
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3902
mov.l execexit_ptr3902,r1
jmp @r1
add #-2,r6
fdl3902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3902: .long execexit
bcc_w3901:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3903
mov.l execexit_ptr3903,r1
jmp @r1
add #-2,r6
fdl3903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3903: .long execexit
! Opcodes 6801 - 68FF
Q801:
mov r8,r0
tst #8,r0
bt bcc_b3904
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3905
mov.l execexit_ptr3905,r1
jmp @r1
add #-2,r6
fdl3905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3905: .long execexit
bcc_b3904:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3906
mov.l execexit_ptr3906,r1
jmp @r1
add #-2,r6
fdl3906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3906: .long execexit
! Opcode 6900
Q900:
mov r8,r0
tst #8,r0
bf bcc_w3907
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3908
mov.l execexit_ptr3908,r1
jmp @r1
add #-2,r6
fdl3908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3908: .long execexit
bcc_w3907:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3909
mov.l execexit_ptr3909,r1
jmp @r1
add #-2,r6
fdl3909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3909: .long execexit
! Opcodes 6901 - 69FF
Q901:
mov r8,r0
tst #8,r0
bf bcc_b3910
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3911
mov.l execexit_ptr3911,r1
jmp @r1
add #-2,r6
fdl3911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3911: .long execexit
bcc_b3910:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3912
mov.l execexit_ptr3912,r1
jmp @r1
add #-2,r6
fdl3912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3912: .long execexit
! Opcode 6A00
QA00:
mov r8,r0
tst #2,r0
bt bcc_w3913
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3914
mov.l execexit_ptr3914,r1
jmp @r1
add #-2,r6
fdl3914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3914: .long execexit
bcc_w3913:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3915
mov.l execexit_ptr3915,r1
jmp @r1
add #-2,r6
fdl3915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3915: .long execexit
! Opcodes 6A01 - 6AFF
QA01:
mov r8,r0
tst #2,r0
bt bcc_b3916
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3917
mov.l execexit_ptr3917,r1
jmp @r1
add #-2,r6
fdl3917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3917: .long execexit
bcc_b3916:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3918
mov.l execexit_ptr3918,r1
jmp @r1
add #-2,r6
fdl3918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3918: .long execexit
! Opcode 6B00
QB00:
mov r8,r0
tst #2,r0
bf bcc_w3919
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3920
mov.l execexit_ptr3920,r1
jmp @r1
add #-2,r6
fdl3920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3920: .long execexit
bcc_w3919:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3921
mov.l execexit_ptr3921,r1
jmp @r1
add #-2,r6
fdl3921:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3921: .long execexit
! Opcodes 6B01 - 6BFF
QB01:
mov r8,r0
tst #2,r0
bf bcc_b3922
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3923
mov.l execexit_ptr3923,r1
jmp @r1
add #-2,r6
fdl3923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3923: .long execexit
bcc_b3922:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3924
mov.l execexit_ptr3924,r1
jmp @r1
add #-2,r6
fdl3924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3924: .long execexit
! Opcode 6C00
QC00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bf bcc_w3925
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3926
mov.l execexit_ptr3926,r1
jmp @r1
add #-2,r6
fdl3926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3926: .long execexit
bcc_w3925:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3927
mov.l execexit_ptr3927,r1
jmp @r1
add #-2,r6
fdl3927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3927: .long execexit
! Opcodes 6C01 - 6CFF
QC01:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bf bcc_b3928
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3929
mov.l execexit_ptr3929,r1
jmp @r1
add #-2,r6
fdl3929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3929: .long execexit
bcc_b3928:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3930
mov.l execexit_ptr3930,r1
jmp @r1
add #-2,r6
fdl3930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3930: .long execexit
! Opcode 6D00
QD00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bt bcc_w3931
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3932
mov.l execexit_ptr3932,r1
jmp @r1
add #-2,r6
fdl3932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3932: .long execexit
bcc_w3931:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3933
mov.l execexit_ptr3933,r1
jmp @r1
add #-2,r6
fdl3933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3933: .long execexit
! Opcodes 6D01 - 6DFF
QD01:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
shlr r0
bt bcc_b3934
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3935
mov.l execexit_ptr3935,r1
jmp @r1
add #-2,r6
fdl3935:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3935: .long execexit
bcc_b3934:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3936
mov.l execexit_ptr3936,r1
jmp @r1
add #-2,r6
fdl3936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3936: .long execexit
! Opcode 6E00
QE00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bf bcc_w3937
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3938
mov.l execexit_ptr3938,r1
jmp @r1
add #-2,r6
fdl3938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3938: .long execexit
bcc_w3937:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3939
mov.l execexit_ptr3939,r1
jmp @r1
add #-2,r6
fdl3939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3939: .long execexit
! Opcodes 6E01 - 6EFF
QE01:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bf bcc_b3940
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3941
mov.l execexit_ptr3941,r1
jmp @r1
add #-2,r6
fdl3941:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3941: .long execexit
bcc_b3940:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3942
mov.l execexit_ptr3942,r1
jmp @r1
add #-2,r6
fdl3942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3942: .long execexit
! Opcode 6F00
QF00:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bt bcc_w3943
add #2,r6
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3944
mov.l execexit_ptr3944,r1
jmp @r1
add #-2,r6
fdl3944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3944: .long execexit
bcc_w3943:
mov.w @r6,r0
add r0,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3945
mov.l execexit_ptr3945,r1
jmp @r1
add #-2,r6
fdl3945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3945: .long execexit
! Opcodes 6F01 - 6FFF
QF01:
mov r8,r0
shlr2 r0
xor r8,r0
shlr r0
or r8,r0
shlr r0
bt bcc_b3946
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3947
mov.l execexit_ptr3947,r1
jmp @r1
add #-2,r6
fdl3947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3947: .long execexit
bcc_b3946:
shlr2 r2
exts.b r2,r3
add r3,r6
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3948
mov.l execexit_ptr3948,r1
jmp @r1
add #-2,r6
fdl3948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3948: .long execexit
! Opcodes 7000 - 70FF
R000:
shlr2 r2
exts.b r2,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3949
mov.l execexit_ptr3949,r1
jmp @r1
add #-2,r6
fdl3949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3949: .long execexit
! Opcodes 7200 - 72FF
R200:
shlr2 r2
exts.b r2,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3950
mov.l execexit_ptr3950,r1
jmp @r1
add #-2,r6
fdl3950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3950: .long execexit
! Opcodes 7400 - 74FF
R400:
shlr2 r2
exts.b r2,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3951
mov.l execexit_ptr3951,r1
jmp @r1
add #-2,r6
fdl3951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3951: .long execexit
! Opcodes 7600 - 76FF
R600:
shlr2 r2
exts.b r2,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3952
mov.l execexit_ptr3952,r1
jmp @r1
add #-2,r6
fdl3952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3952: .long execexit
! Opcodes 7800 - 78FF
R800:
shlr2 r2
exts.b r2,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3953
mov.l execexit_ptr3953,r1
jmp @r1
add #-2,r6
fdl3953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3953: .long execexit
! Opcodes 7A00 - 7AFF
RA00:
shlr2 r2
exts.b r2,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3954
mov.l execexit_ptr3954,r1
jmp @r1
add #-2,r6
fdl3954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3954: .long execexit
! Opcodes 7C00 - 7CFF
RC00:
shlr2 r2
exts.b r2,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3955
mov.l execexit_ptr3955,r1
jmp @r1
add #-2,r6
fdl3955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3955: .long execexit
! Opcodes 7E00 - 7EFF
RE00:
shlr2 r2
exts.b r2,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3956
mov.l execexit_ptr3956,r1
jmp @r1
add #-2,r6
fdl3956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3956: .long execexit
! Opcodes 8000 - 8007
S000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3957
mov.l execexit_ptr3957,r1
jmp @r1
add #-2,r6
fdl3957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3957: .long execexit
! Opcodes 8010 - 8017
S010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3958
mov.l execexit_ptr3958,r1
jmp @r1
add #-2,r6
fdl3958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3958: .long execexit
! Opcodes 8018 - 801F
S018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3959
mov.l execexit_ptr3959,r1
jmp @r1
add #-2,r6
fdl3959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3959: .long execexit
! Opcodes 8020 - 8027
S020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3960
mov.l execexit_ptr3960,r1
jmp @r1
add #-2,r6
fdl3960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3960: .long execexit
! Opcodes 8028 - 802F
S028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3961
mov.l execexit_ptr3961,r1
jmp @r1
add #-2,r6
fdl3961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3961: .long execexit
! Opcodes 8030 - 8037
S030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd813
exts.w r0,r0
longwd813:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3962
mov.l execexit_ptr3962,r1
jmp @r1
add #-2,r6
fdl3962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3962: .long execexit
! Opcode 8038
S038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3963
mov.l execexit_ptr3963,r1
jmp @r1
add #-2,r6
fdl3963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3963: .long execexit
! Opcode 8039
S039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3964
mov.l execexit_ptr3964,r1
jmp @r1
add #-2,r6
fdl3964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3964: .long execexit
! Opcode 803A
S03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3965
mov.l execexit_ptr3965,r1
jmp @r1
add #-2,r6
fdl3965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3965: .long execexit
! Opcode 803B
S03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd814
exts.w r0,r0
longwd814:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3966
mov.l execexit_ptr3966,r1
jmp @r1
add #-2,r6
fdl3966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3966: .long execexit
! Opcode 803C
S03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
or r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3967
mov.l execexit_ptr3967,r1
jmp @r1
add #-2,r6
fdl3967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3967: .long execexit
! Opcodes 8040 - 8047
S040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3968
mov.l execexit_ptr3968,r1
jmp @r1
add #-2,r6
fdl3968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3968: .long execexit
! Opcodes 8050 - 8057
S050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3969
mov.l execexit_ptr3969,r1
jmp @r1
add #-2,r6
fdl3969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3969: .long execexit
! Opcodes 8058 - 805F
S058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3970
mov.l execexit_ptr3970,r1
jmp @r1
add #-2,r6
fdl3970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3970: .long execexit
! Opcodes 8060 - 8067
S060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3971
mov.l execexit_ptr3971,r1
jmp @r1
add #-2,r6
fdl3971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3971: .long execexit
! Opcodes 8068 - 806F
S068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3972
mov.l execexit_ptr3972,r1
jmp @r1
add #-2,r6
fdl3972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3972: .long execexit
! Opcodes 8070 - 8077
S070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd815
exts.w r0,r0
longwd815:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3973
mov.l execexit_ptr3973,r1
jmp @r1
add #-2,r6
fdl3973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3973: .long execexit
! Opcode 8078
S078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3974
mov.l execexit_ptr3974,r1
jmp @r1
add #-2,r6
fdl3974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3974: .long execexit
! Opcode 8079
S079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3975
mov.l execexit_ptr3975,r1
jmp @r1
add #-2,r6
fdl3975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3975: .long execexit
! Opcode 807A
S07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3976
mov.l execexit_ptr3976,r1
jmp @r1
add #-2,r6
fdl3976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3976: .long execexit
! Opcode 807B
S07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd816
exts.w r0,r0
longwd816:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3977
mov.l execexit_ptr3977,r1
jmp @r1
add #-2,r6
fdl3977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3977: .long execexit
! Opcode 807C
S07C:
mov.w @r6+,r3
mov.w @r13,r1
or r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3978
mov.l execexit_ptr3978,r1
jmp @r1
add #-2,r6
fdl3978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3978: .long execexit
! Opcodes 8080 - 8087
S080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3979
mov.l execexit_ptr3979,r1
jmp @r1
add #-2,r6
fdl3979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3979: .long execexit
! Opcodes 8090 - 8097
S090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3980
mov.l execexit_ptr3980,r1
jmp @r1
add #-2,r6
fdl3980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3980: .long execexit
! Opcodes 8098 - 809F
S098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3981
mov.l execexit_ptr3981,r1
jmp @r1
add #-2,r6
fdl3981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3981: .long execexit
! Opcodes 80A0 - 80A7
S0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3982
mov.l execexit_ptr3982,r1
jmp @r1
add #-2,r6
fdl3982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3982: .long execexit
! Opcodes 80A8 - 80AF
S0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3983
mov.l execexit_ptr3983,r1
jmp @r1
add #-2,r6
fdl3983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3983: .long execexit
! Opcodes 80B0 - 80B7
S0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd817
exts.w r0,r0
longwd817:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3984
mov.l execexit_ptr3984,r1
jmp @r1
add #-2,r6
fdl3984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3984: .long execexit
! Opcode 80B8
S0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3985
mov.l execexit_ptr3985,r1
jmp @r1
add #-2,r6
fdl3985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3985: .long execexit
! Opcode 80B9
S0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3986
mov.l execexit_ptr3986,r1
jmp @r1
add #-2,r6
fdl3986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3986: .long execexit
! Opcode 80BA
S0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3987
mov.l execexit_ptr3987,r1
jmp @r1
add #-2,r6
fdl3987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3987: .long execexit
! Opcode 80BB
S0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd818
exts.w r0,r0
longwd818:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3988
mov.l execexit_ptr3988,r1
jmp @r1
add #-2,r6
fdl3988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3988: .long execexit
! Opcode 80BC
S0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
or r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3989
mov.l execexit_ptr3989,r1
jmp @r1
add #-2,r6
fdl3989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3989: .long execexit
! Opcodes 80C0 - 80C7
S0C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln3990
cmp/hs r3,r1
bt ln3991
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3992
mov.l execexit_ptr3992,r1
jmp @r1
add #-2,r6
fdl3992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3992: .long execexit
ln3991:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3993
mov.l execexit_ptr3993,r1
jmp @r1
add #-2,r6
fdl3993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3993: .long execexit
ln3990:
mov.l g2_except_addr3990,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr3990,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3994
mov.l execexit_ptr3994,r1
jmp @r1
add #-2,r6
fdl3994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3994: .long execexit
.balign 32
g2_except_addr3990: .long group_2_exception
bf_addr3990: .long basefunction
! Opcodes 80D0 - 80D7
S0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln3995
cmp/hs r3,r1
bt ln3996
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3997
mov.l execexit_ptr3997,r1
jmp @r1
add #-2,r6
fdl3997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3997: .long execexit
ln3996:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3998
mov.l execexit_ptr3998,r1
jmp @r1
add #-2,r6
fdl3998:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3998: .long execexit
ln3995:
mov.l g2_except_addr3995,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr3995,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl3999
mov.l execexit_ptr3999,r1
jmp @r1
add #-2,r6
fdl3999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr3999: .long execexit
.balign 32
g2_except_addr3995: .long group_2_exception
bf_addr3995: .long basefunction
! Opcodes 80D8 - 80DF
S0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4000
cmp/hs r3,r1
bt ln4001
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4002
mov.l execexit_ptr4002,r1
jmp @r1
add #-2,r6
fdl4002:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4002: .long execexit
ln4001:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4003
mov.l execexit_ptr4003,r1
jmp @r1
add #-2,r6
fdl4003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4003: .long execexit
ln4000:
mov.l g2_except_addr4000,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4000,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4004
mov.l execexit_ptr4004,r1
jmp @r1
add #-2,r6
fdl4004:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4004: .long execexit
.balign 32
g2_except_addr4000: .long group_2_exception
bf_addr4000: .long basefunction
! Opcodes 80E0 - 80E7
S0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4005
cmp/hs r3,r1
bt ln4006
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4007
mov.l execexit_ptr4007,r1
jmp @r1
add #-2,r6
fdl4007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4007: .long execexit
ln4006:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4008
mov.l execexit_ptr4008,r1
jmp @r1
add #-2,r6
fdl4008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4008: .long execexit
ln4005:
mov.l g2_except_addr4005,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4005,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4009
mov.l execexit_ptr4009,r1
jmp @r1
add #-2,r6
fdl4009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4009: .long execexit
.balign 32
g2_except_addr4005: .long group_2_exception
bf_addr4005: .long basefunction
! Opcodes 80E8 - 80EF
S0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4010
cmp/hs r3,r1
bt ln4011
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4012
mov.l execexit_ptr4012,r1
jmp @r1
add #-2,r6
fdl4012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4012: .long execexit
ln4011:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4013
mov.l execexit_ptr4013,r1
jmp @r1
add #-2,r6
fdl4013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4013: .long execexit
ln4010:
mov.l g2_except_addr4010,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4010,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4014
mov.l execexit_ptr4014,r1
jmp @r1
add #-2,r6
fdl4014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4014: .long execexit
.balign 32
g2_except_addr4010: .long group_2_exception
bf_addr4010: .long basefunction
! Opcodes 80F0 - 80F7
S0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd819
exts.w r0,r0
longwd819:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4015
cmp/hs r3,r1
bt ln4016
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4017
mov.l execexit_ptr4017,r1
jmp @r1
add #-2,r6
fdl4017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4017: .long execexit
ln4016:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4018
mov.l execexit_ptr4018,r1
jmp @r1
add #-2,r6
fdl4018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4018: .long execexit
ln4015:
mov.l g2_except_addr4015,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4015,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4019
mov.l execexit_ptr4019,r1
jmp @r1
add #-2,r6
fdl4019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4019: .long execexit
.balign 32
g2_except_addr4015: .long group_2_exception
bf_addr4015: .long basefunction
! Opcode 80F8
S0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4020
cmp/hs r3,r1
bt ln4021
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4022
mov.l execexit_ptr4022,r1
jmp @r1
add #-2,r6
fdl4022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4022: .long execexit
ln4021:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4023
mov.l execexit_ptr4023,r1
jmp @r1
add #-2,r6
fdl4023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4023: .long execexit
ln4020:
mov.l g2_except_addr4020,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4020,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4024
mov.l execexit_ptr4024,r1
jmp @r1
add #-2,r6
fdl4024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4024: .long execexit
.balign 32
g2_except_addr4020: .long group_2_exception
bf_addr4020: .long basefunction
! Opcode 80F9
S0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4025
cmp/hs r3,r1
bt ln4026
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4027
mov.l execexit_ptr4027,r1
jmp @r1
add #-2,r6
fdl4027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4027: .long execexit
ln4026:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4028
mov.l execexit_ptr4028,r1
jmp @r1
add #-2,r6
fdl4028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4028: .long execexit
ln4025:
mov.l g2_except_addr4025,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4025,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4029
mov.l execexit_ptr4029,r1
jmp @r1
add #-2,r6
fdl4029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4029: .long execexit
.balign 32
g2_except_addr4025: .long group_2_exception
bf_addr4025: .long basefunction
! Opcode 80FA
S0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4030
cmp/hs r3,r1
bt ln4031
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4032
mov.l execexit_ptr4032,r1
jmp @r1
add #-2,r6
fdl4032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4032: .long execexit
ln4031:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4033
mov.l execexit_ptr4033,r1
jmp @r1
add #-2,r6
fdl4033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4033: .long execexit
ln4030:
mov.l g2_except_addr4030,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4030,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4034
mov.l execexit_ptr4034,r1
jmp @r1
add #-2,r6
fdl4034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4034: .long execexit
.balign 32
g2_except_addr4030: .long group_2_exception
bf_addr4030: .long basefunction
! Opcode 80FB
S0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd820
exts.w r0,r0
longwd820:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4035
cmp/hs r3,r1
bt ln4036
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4037
mov.l execexit_ptr4037,r1
jmp @r1
add #-2,r6
fdl4037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4037: .long execexit
ln4036:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4038
mov.l execexit_ptr4038,r1
jmp @r1
add #-2,r6
fdl4038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4038: .long execexit
ln4035:
mov.l g2_except_addr4035,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4035,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4039
mov.l execexit_ptr4039,r1
jmp @r1
add #-2,r6
fdl4039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4039: .long execexit
.balign 32
g2_except_addr4035: .long group_2_exception
bf_addr4035: .long basefunction
! Opcode 80FC
S0FC:
mov.w @r6+,r3
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4040
cmp/hs r3,r1
bt ln4041
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4042
mov.l execexit_ptr4042,r1
jmp @r1
add #-2,r6
fdl4042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4042: .long execexit
ln4041:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4043
mov.l execexit_ptr4043,r1
jmp @r1
add #-2,r6
fdl4043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4043: .long execexit
ln4040:
mov.l g2_except_addr4040,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4040,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4044
mov.l execexit_ptr4044,r1
jmp @r1
add #-2,r6
fdl4044:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4044: .long execexit
.balign 32
g2_except_addr4040: .long group_2_exception
bf_addr4040: .long basefunction
! Opcodes 8100 - 8107
S100:
and r1,r2
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4045
add #-6,r8
.nonibadd4045:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4045
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4045:
exts.b r3,r3
mov r9,r8
mov.b r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4046
mov.l execexit_ptr4046,r1
jmp @r1
add #-2,r6
fdl4046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4046: .long execexit
! Opcodes 8108 - 810F
S108:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4047
add #-6,r8
.nonibadd4047:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4047
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4047:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4048
mov.l execexit_ptr4048,r1
jmp @r1
add #-2,r6
fdl4048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4048: .long execexit
! Opcodes 8110 - 8117
S110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4049
mov.l execexit_ptr4049,r1
jmp @r1
add #-2,r6
fdl4049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4049: .long execexit
! Opcodes 8118 - 811F
S118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4050
mov.l execexit_ptr4050,r1
jmp @r1
add #-2,r6
fdl4050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4050: .long execexit
! Opcodes 8120 - 8127
S120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4051
mov.l execexit_ptr4051,r1
jmp @r1
add #-2,r6
fdl4051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4051: .long execexit
! Opcodes 8128 - 812F
S128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4052
mov.l execexit_ptr4052,r1
jmp @r1
add #-2,r6
fdl4052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4052: .long execexit
! Opcodes 8130 - 8137
S130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd821
exts.w r0,r0
longwd821:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4053
mov.l execexit_ptr4053,r1
jmp @r1
add #-2,r6
fdl4053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4053: .long execexit
! Opcode 8138
S138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4054
mov.l execexit_ptr4054,r1
jmp @r1
add #-2,r6
fdl4054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4054: .long execexit
! Opcode 8139
S139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4055
mov.l execexit_ptr4055,r1
jmp @r1
add #-2,r6
fdl4055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4055: .long execexit
! Opcodes 8150 - 8157
S150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4056
mov.l execexit_ptr4056,r1
jmp @r1
add #-2,r6
fdl4056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4056: .long execexit
! Opcodes 8158 - 815F
S158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4057
mov.l execexit_ptr4057,r1
jmp @r1
add #-2,r6
fdl4057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4057: .long execexit
! Opcodes 8160 - 8167
S160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4058
mov.l execexit_ptr4058,r1
jmp @r1
add #-2,r6
fdl4058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4058: .long execexit
! Opcodes 8168 - 816F
S168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4059
mov.l execexit_ptr4059,r1
jmp @r1
add #-2,r6
fdl4059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4059: .long execexit
! Opcodes 8170 - 8177
S170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd822
exts.w r0,r0
longwd822:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4060
mov.l execexit_ptr4060,r1
jmp @r1
add #-2,r6
fdl4060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4060: .long execexit
! Opcode 8178
S178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4061
mov.l execexit_ptr4061,r1
jmp @r1
add #-2,r6
fdl4061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4061: .long execexit
! Opcode 8179
S179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4062
mov.l execexit_ptr4062,r1
jmp @r1
add #-2,r6
fdl4062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4062: .long execexit
! Opcodes 8190 - 8197
S190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4063
mov.l execexit_ptr4063,r1
jmp @r1
add #-2,r6
fdl4063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4063: .long execexit
! Opcodes 8198 - 819F
S198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4064
mov.l execexit_ptr4064,r1
jmp @r1
add #-2,r6
fdl4064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4064: .long execexit
! Opcodes 81A0 - 81A7
S1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4065
mov.l execexit_ptr4065,r1
jmp @r1
add #-2,r6
fdl4065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4065: .long execexit
! Opcodes 81A8 - 81AF
S1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4066
mov.l execexit_ptr4066,r1
jmp @r1
add #-2,r6
fdl4066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4066: .long execexit
! Opcodes 81B0 - 81B7
S1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd823
exts.w r0,r0
longwd823:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4067
mov.l execexit_ptr4067,r1
jmp @r1
add #-2,r6
fdl4067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4067: .long execexit
! Opcode 81B8
S1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4068
mov.l execexit_ptr4068,r1
jmp @r1
add #-2,r6
fdl4068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4068: .long execexit
! Opcode 81B9
S1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4069
mov.l execexit_ptr4069,r1
jmp @r1
add #-2,r6
fdl4069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4069: .long execexit
! Opcodes 81C0 - 81C7
S1C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4070
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4070
neg r2,r2
noidivis4070:
cmp/pz r0
bt noidivid4070
neg r0,r0
noidivid4070:
cmp/hs r2,r0
bt ln4071
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4072
mov.l execexit_ptr4072,r1
jmp @r1
add #-2,r6
fdl4072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4072: .long execexit
ln4071:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4073
mov.l execexit_ptr4073,r1
jmp @r1
add #-2,r6
fdl4073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4073: .long execexit
ln4070:
mov.l g2_except_addr4070,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4070,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4074
mov.l execexit_ptr4074,r1
jmp @r1
add #-2,r6
fdl4074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4074: .long execexit
.balign 32
g2_except_addr4070: .long group_2_exception
bf_addr4070: .long basefunction
! Opcodes 81D0 - 81D7
S1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4075
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4075
neg r2,r2
noidivis4075:
cmp/pz r0
bt noidivid4075
neg r0,r0
noidivid4075:
cmp/hs r2,r0
bt ln4076
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4077
mov.l execexit_ptr4077,r1
jmp @r1
add #-2,r6
fdl4077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4077: .long execexit
ln4076:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4078
mov.l execexit_ptr4078,r1
jmp @r1
add #-2,r6
fdl4078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4078: .long execexit
ln4075:
mov.l g2_except_addr4075,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4075,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4079
mov.l execexit_ptr4079,r1
jmp @r1
add #-2,r6
fdl4079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4079: .long execexit
.balign 32
g2_except_addr4075: .long group_2_exception
bf_addr4075: .long basefunction
! Opcodes 81D8 - 81DF
S1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4080
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4080
neg r2,r2
noidivis4080:
cmp/pz r0
bt noidivid4080
neg r0,r0
noidivid4080:
cmp/hs r2,r0
bt ln4081
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4082
mov.l execexit_ptr4082,r1
jmp @r1
add #-2,r6
fdl4082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4082: .long execexit
ln4081:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4083
mov.l execexit_ptr4083,r1
jmp @r1
add #-2,r6
fdl4083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4083: .long execexit
ln4080:
mov.l g2_except_addr4080,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4080,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4084
mov.l execexit_ptr4084,r1
jmp @r1
add #-2,r6
fdl4084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4084: .long execexit
.balign 32
g2_except_addr4080: .long group_2_exception
bf_addr4080: .long basefunction
! Opcodes 81E0 - 81E7
S1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4085
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4085
neg r2,r2
noidivis4085:
cmp/pz r0
bt noidivid4085
neg r0,r0
noidivid4085:
cmp/hs r2,r0
bt ln4086
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4087
mov.l execexit_ptr4087,r1
jmp @r1
add #-2,r6
fdl4087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4087: .long execexit
ln4086:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4088
mov.l execexit_ptr4088,r1
jmp @r1
add #-2,r6
fdl4088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4088: .long execexit
ln4085:
mov.l g2_except_addr4085,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4085,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4089
mov.l execexit_ptr4089,r1
jmp @r1
add #-2,r6
fdl4089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4089: .long execexit
.balign 32
g2_except_addr4085: .long group_2_exception
bf_addr4085: .long basefunction
! Opcodes 81E8 - 81EF
S1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4090
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4090
neg r2,r2
noidivis4090:
cmp/pz r0
bt noidivid4090
neg r0,r0
noidivid4090:
cmp/hs r2,r0
bt ln4091
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4092
mov.l execexit_ptr4092,r1
jmp @r1
add #-2,r6
fdl4092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4092: .long execexit
ln4091:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4093
mov.l execexit_ptr4093,r1
jmp @r1
add #-2,r6
fdl4093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4093: .long execexit
ln4090:
mov.l g2_except_addr4090,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4090,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4094
mov.l execexit_ptr4094,r1
jmp @r1
add #-2,r6
fdl4094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4094: .long execexit
.balign 32
g2_except_addr4090: .long group_2_exception
bf_addr4090: .long basefunction
! Opcodes 81F0 - 81F7
S1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd824
exts.w r0,r0
longwd824:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4095
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4095
neg r2,r2
noidivis4095:
cmp/pz r0
bt noidivid4095
neg r0,r0
noidivid4095:
cmp/hs r2,r0
bt ln4096
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4097
mov.l execexit_ptr4097,r1
jmp @r1
add #-2,r6
fdl4097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4097: .long execexit
ln4096:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4098
mov.l execexit_ptr4098,r1
jmp @r1
add #-2,r6
fdl4098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4098: .long execexit
ln4095:
mov.l g2_except_addr4095,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4095,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4099
mov.l execexit_ptr4099,r1
jmp @r1
add #-2,r6
fdl4099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4099: .long execexit
.balign 32
g2_except_addr4095: .long group_2_exception
bf_addr4095: .long basefunction
! Opcode 81F8
S1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4100
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4100
neg r2,r2
noidivis4100:
cmp/pz r0
bt noidivid4100
neg r0,r0
noidivid4100:
cmp/hs r2,r0
bt ln4101
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4102
mov.l execexit_ptr4102,r1
jmp @r1
add #-2,r6
fdl4102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4102: .long execexit
ln4101:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4103
mov.l execexit_ptr4103,r1
jmp @r1
add #-2,r6
fdl4103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4103: .long execexit
ln4100:
mov.l g2_except_addr4100,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4100,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4104
mov.l execexit_ptr4104,r1
jmp @r1
add #-2,r6
fdl4104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4104: .long execexit
.balign 32
g2_except_addr4100: .long group_2_exception
bf_addr4100: .long basefunction
! Opcode 81F9
S1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4105
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4105
neg r2,r2
noidivis4105:
cmp/pz r0
bt noidivid4105
neg r0,r0
noidivid4105:
cmp/hs r2,r0
bt ln4106
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4107
mov.l execexit_ptr4107,r1
jmp @r1
add #-2,r6
fdl4107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4107: .long execexit
ln4106:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4108
mov.l execexit_ptr4108,r1
jmp @r1
add #-2,r6
fdl4108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4108: .long execexit
ln4105:
mov.l g2_except_addr4105,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4105,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4109
mov.l execexit_ptr4109,r1
jmp @r1
add #-2,r6
fdl4109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4109: .long execexit
.balign 32
g2_except_addr4105: .long group_2_exception
bf_addr4105: .long basefunction
! Opcode 81FA
S1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4110
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4110
neg r2,r2
noidivis4110:
cmp/pz r0
bt noidivid4110
neg r0,r0
noidivid4110:
cmp/hs r2,r0
bt ln4111
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4112
mov.l execexit_ptr4112,r1
jmp @r1
add #-2,r6
fdl4112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4112: .long execexit
ln4111:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4113
mov.l execexit_ptr4113,r1
jmp @r1
add #-2,r6
fdl4113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4113: .long execexit
ln4110:
mov.l g2_except_addr4110,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4110,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4114
mov.l execexit_ptr4114,r1
jmp @r1
add #-2,r6
fdl4114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4114: .long execexit
.balign 32
g2_except_addr4110: .long group_2_exception
bf_addr4110: .long basefunction
! Opcode 81FB
S1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd825
exts.w r0,r0
longwd825:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4115
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4115
neg r2,r2
noidivis4115:
cmp/pz r0
bt noidivid4115
neg r0,r0
noidivid4115:
cmp/hs r2,r0
bt ln4116
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4117
mov.l execexit_ptr4117,r1
jmp @r1
add #-2,r6
fdl4117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4117: .long execexit
ln4116:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4118
mov.l execexit_ptr4118,r1
jmp @r1
add #-2,r6
fdl4118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4118: .long execexit
ln4115:
mov.l g2_except_addr4115,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4115,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4119
mov.l execexit_ptr4119,r1
jmp @r1
add #-2,r6
fdl4119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4119: .long execexit
.balign 32
g2_except_addr4115: .long group_2_exception
bf_addr4115: .long basefunction
! Opcode 81FC
S1FC:
mov.w @r6+,r3
mov.l @r13,r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4120
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4120
neg r2,r2
noidivis4120:
cmp/pz r0
bt noidivid4120
neg r0,r0
noidivid4120:
cmp/hs r2,r0
bt ln4121
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4122
mov.l execexit_ptr4122,r1
jmp @r1
add #-2,r6
fdl4122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4122: .long execexit
ln4121:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4123
mov.l execexit_ptr4123,r1
jmp @r1
add #-2,r6
fdl4123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4123: .long execexit
ln4120:
mov.l g2_except_addr4120,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4120,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4124
mov.l execexit_ptr4124,r1
jmp @r1
add #-2,r6
fdl4124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4124: .long execexit
.balign 32
g2_except_addr4120: .long group_2_exception
bf_addr4120: .long basefunction
! Opcodes 8200 - 8207
S200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4125
mov.l execexit_ptr4125,r1
jmp @r1
add #-2,r6
fdl4125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4125: .long execexit
! Opcodes 8210 - 8217
S210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4126
mov.l execexit_ptr4126,r1
jmp @r1
add #-2,r6
fdl4126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4126: .long execexit
! Opcodes 8218 - 821F
S218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4127
mov.l execexit_ptr4127,r1
jmp @r1
add #-2,r6
fdl4127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4127: .long execexit
! Opcodes 8220 - 8227
S220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4128
mov.l execexit_ptr4128,r1
jmp @r1
add #-2,r6
fdl4128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4128: .long execexit
! Opcodes 8228 - 822F
S228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4129
mov.l execexit_ptr4129,r1
jmp @r1
add #-2,r6
fdl4129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4129: .long execexit
! Opcodes 8230 - 8237
S230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd826
exts.w r0,r0
longwd826:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4130
mov.l execexit_ptr4130,r1
jmp @r1
add #-2,r6
fdl4130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4130: .long execexit
! Opcode 8238
S238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4131
mov.l execexit_ptr4131,r1
jmp @r1
add #-2,r6
fdl4131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4131: .long execexit
! Opcode 8239
S239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4132
mov.l execexit_ptr4132,r1
jmp @r1
add #-2,r6
fdl4132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4132: .long execexit
! Opcode 823A
S23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4133
mov.l execexit_ptr4133,r1
jmp @r1
add #-2,r6
fdl4133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4133: .long execexit
! Opcode 823B
S23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd827
exts.w r0,r0
longwd827:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4134
mov.l execexit_ptr4134,r1
jmp @r1
add #-2,r6
fdl4134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4134: .long execexit
! Opcode 823C
S23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4135
mov.l execexit_ptr4135,r1
jmp @r1
add #-2,r6
fdl4135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4135: .long execexit
! Opcodes 8240 - 8247
S240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4136
mov.l execexit_ptr4136,r1
jmp @r1
add #-2,r6
fdl4136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4136: .long execexit
! Opcodes 8250 - 8257
S250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4137
mov.l execexit_ptr4137,r1
jmp @r1
add #-2,r6
fdl4137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4137: .long execexit
! Opcodes 8258 - 825F
S258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4138
mov.l execexit_ptr4138,r1
jmp @r1
add #-2,r6
fdl4138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4138: .long execexit
! Opcodes 8260 - 8267
S260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4139
mov.l execexit_ptr4139,r1
jmp @r1
add #-2,r6
fdl4139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4139: .long execexit
! Opcodes 8268 - 826F
S268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4140
mov.l execexit_ptr4140,r1
jmp @r1
add #-2,r6
fdl4140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4140: .long execexit
! Opcodes 8270 - 8277
S270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd828
exts.w r0,r0
longwd828:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4141
mov.l execexit_ptr4141,r1
jmp @r1
add #-2,r6
fdl4141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4141: .long execexit
! Opcode 8278
S278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4142
mov.l execexit_ptr4142,r1
jmp @r1
add #-2,r6
fdl4142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4142: .long execexit
! Opcode 8279
S279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4143
mov.l execexit_ptr4143,r1
jmp @r1
add #-2,r6
fdl4143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4143: .long execexit
! Opcode 827A
S27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4144
mov.l execexit_ptr4144,r1
jmp @r1
add #-2,r6
fdl4144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4144: .long execexit
! Opcode 827B
S27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd829
exts.w r0,r0
longwd829:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4145
mov.l execexit_ptr4145,r1
jmp @r1
add #-2,r6
fdl4145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4145: .long execexit
! Opcode 827C
S27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4146
mov.l execexit_ptr4146,r1
jmp @r1
add #-2,r6
fdl4146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4146: .long execexit
! Opcodes 8280 - 8287
S280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4147
mov.l execexit_ptr4147,r1
jmp @r1
add #-2,r6
fdl4147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4147: .long execexit
! Opcodes 8290 - 8297
S290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4148
mov.l execexit_ptr4148,r1
jmp @r1
add #-2,r6
fdl4148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4148: .long execexit
! Opcodes 8298 - 829F
S298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4149
mov.l execexit_ptr4149,r1
jmp @r1
add #-2,r6
fdl4149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4149: .long execexit
! Opcodes 82A0 - 82A7
S2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4150
mov.l execexit_ptr4150,r1
jmp @r1
add #-2,r6
fdl4150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4150: .long execexit
! Opcodes 82A8 - 82AF
S2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4151
mov.l execexit_ptr4151,r1
jmp @r1
add #-2,r6
fdl4151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4151: .long execexit
! Opcodes 82B0 - 82B7
S2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd830
exts.w r0,r0
longwd830:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4152
mov.l execexit_ptr4152,r1
jmp @r1
add #-2,r6
fdl4152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4152: .long execexit
! Opcode 82B8
S2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4153
mov.l execexit_ptr4153,r1
jmp @r1
add #-2,r6
fdl4153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4153: .long execexit
! Opcode 82B9
S2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4154
mov.l execexit_ptr4154,r1
jmp @r1
add #-2,r6
fdl4154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4154: .long execexit
! Opcode 82BA
S2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4155
mov.l execexit_ptr4155,r1
jmp @r1
add #-2,r6
fdl4155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4155: .long execexit
! Opcode 82BB
S2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd831
exts.w r0,r0
longwd831:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4156
mov.l execexit_ptr4156,r1
jmp @r1
add #-2,r6
fdl4156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4156: .long execexit
! Opcode 82BC
S2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
or r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4157
mov.l execexit_ptr4157,r1
jmp @r1
add #-2,r6
fdl4157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4157: .long execexit
! Opcodes 82C0 - 82C7
S2C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4158
cmp/hs r3,r1
bt ln4159
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4160
mov.l execexit_ptr4160,r1
jmp @r1
add #-2,r6
fdl4160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4160: .long execexit
ln4159:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4161
mov.l execexit_ptr4161,r1
jmp @r1
add #-2,r6
fdl4161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4161: .long execexit
ln4158:
mov.l g2_except_addr4158,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4158,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4162
mov.l execexit_ptr4162,r1
jmp @r1
add #-2,r6
fdl4162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4162: .long execexit
.balign 32
g2_except_addr4158: .long group_2_exception
bf_addr4158: .long basefunction
! Opcodes 82D0 - 82D7
S2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4163
cmp/hs r3,r1
bt ln4164
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4165
mov.l execexit_ptr4165,r1
jmp @r1
add #-2,r6
fdl4165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4165: .long execexit
ln4164:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4166
mov.l execexit_ptr4166,r1
jmp @r1
add #-2,r6
fdl4166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4166: .long execexit
ln4163:
mov.l g2_except_addr4163,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4163,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4167
mov.l execexit_ptr4167,r1
jmp @r1
add #-2,r6
fdl4167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4167: .long execexit
.balign 32
g2_except_addr4163: .long group_2_exception
bf_addr4163: .long basefunction
! Opcodes 82D8 - 82DF
S2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4168
cmp/hs r3,r1
bt ln4169
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4170
mov.l execexit_ptr4170,r1
jmp @r1
add #-2,r6
fdl4170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4170: .long execexit
ln4169:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4171
mov.l execexit_ptr4171,r1
jmp @r1
add #-2,r6
fdl4171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4171: .long execexit
ln4168:
mov.l g2_except_addr4168,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4168,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4172
mov.l execexit_ptr4172,r1
jmp @r1
add #-2,r6
fdl4172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4172: .long execexit
.balign 32
g2_except_addr4168: .long group_2_exception
bf_addr4168: .long basefunction
! Opcodes 82E0 - 82E7
S2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4173
cmp/hs r3,r1
bt ln4174
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4175
mov.l execexit_ptr4175,r1
jmp @r1
add #-2,r6
fdl4175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4175: .long execexit
ln4174:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4176
mov.l execexit_ptr4176,r1
jmp @r1
add #-2,r6
fdl4176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4176: .long execexit
ln4173:
mov.l g2_except_addr4173,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4173,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4177
mov.l execexit_ptr4177,r1
jmp @r1
add #-2,r6
fdl4177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4177: .long execexit
.balign 32
g2_except_addr4173: .long group_2_exception
bf_addr4173: .long basefunction
! Opcodes 82E8 - 82EF
S2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4178
cmp/hs r3,r1
bt ln4179
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4180
mov.l execexit_ptr4180,r1
jmp @r1
add #-2,r6
fdl4180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4180: .long execexit
ln4179:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4181
mov.l execexit_ptr4181,r1
jmp @r1
add #-2,r6
fdl4181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4181: .long execexit
ln4178:
mov.l g2_except_addr4178,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4178,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4182
mov.l execexit_ptr4182,r1
jmp @r1
add #-2,r6
fdl4182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4182: .long execexit
.balign 32
g2_except_addr4178: .long group_2_exception
bf_addr4178: .long basefunction
! Opcodes 82F0 - 82F7
S2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd832
exts.w r0,r0
longwd832:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4183
cmp/hs r3,r1
bt ln4184
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4185
mov.l execexit_ptr4185,r1
jmp @r1
add #-2,r6
fdl4185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4185: .long execexit
ln4184:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4186
mov.l execexit_ptr4186,r1
jmp @r1
add #-2,r6
fdl4186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4186: .long execexit
ln4183:
mov.l g2_except_addr4183,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4183,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4187
mov.l execexit_ptr4187,r1
jmp @r1
add #-2,r6
fdl4187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4187: .long execexit
.balign 32
g2_except_addr4183: .long group_2_exception
bf_addr4183: .long basefunction
! Opcode 82F8
S2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4188
cmp/hs r3,r1
bt ln4189
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4190
mov.l execexit_ptr4190,r1
jmp @r1
add #-2,r6
fdl4190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4190: .long execexit
ln4189:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4191
mov.l execexit_ptr4191,r1
jmp @r1
add #-2,r6
fdl4191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4191: .long execexit
ln4188:
mov.l g2_except_addr4188,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4188,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4192
mov.l execexit_ptr4192,r1
jmp @r1
add #-2,r6
fdl4192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4192: .long execexit
.balign 32
g2_except_addr4188: .long group_2_exception
bf_addr4188: .long basefunction
! Opcode 82F9
S2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4193
cmp/hs r3,r1
bt ln4194
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4195
mov.l execexit_ptr4195,r1
jmp @r1
add #-2,r6
fdl4195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4195: .long execexit
ln4194:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4196
mov.l execexit_ptr4196,r1
jmp @r1
add #-2,r6
fdl4196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4196: .long execexit
ln4193:
mov.l g2_except_addr4193,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4193,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4197
mov.l execexit_ptr4197,r1
jmp @r1
add #-2,r6
fdl4197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4197: .long execexit
.balign 32
g2_except_addr4193: .long group_2_exception
bf_addr4193: .long basefunction
! Opcode 82FA
S2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4198
cmp/hs r3,r1
bt ln4199
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4200
mov.l execexit_ptr4200,r1
jmp @r1
add #-2,r6
fdl4200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4200: .long execexit
ln4199:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4201
mov.l execexit_ptr4201,r1
jmp @r1
add #-2,r6
fdl4201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4201: .long execexit
ln4198:
mov.l g2_except_addr4198,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4198,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4202
mov.l execexit_ptr4202,r1
jmp @r1
add #-2,r6
fdl4202:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4202: .long execexit
.balign 32
g2_except_addr4198: .long group_2_exception
bf_addr4198: .long basefunction
! Opcode 82FB
S2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd833
exts.w r0,r0
longwd833:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4203
cmp/hs r3,r1
bt ln4204
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4205
mov.l execexit_ptr4205,r1
jmp @r1
add #-2,r6
fdl4205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4205: .long execexit
ln4204:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4206
mov.l execexit_ptr4206,r1
jmp @r1
add #-2,r6
fdl4206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4206: .long execexit
ln4203:
mov.l g2_except_addr4203,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4203,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4207
mov.l execexit_ptr4207,r1
jmp @r1
add #-2,r6
fdl4207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4207: .long execexit
.balign 32
g2_except_addr4203: .long group_2_exception
bf_addr4203: .long basefunction
! Opcode 82FC
S2FC:
mov.w @r6+,r3
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4208
cmp/hs r3,r1
bt ln4209
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4210
mov.l execexit_ptr4210,r1
jmp @r1
add #-2,r6
fdl4210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4210: .long execexit
ln4209:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4211
mov.l execexit_ptr4211,r1
jmp @r1
add #-2,r6
fdl4211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4211: .long execexit
ln4208:
mov.l g2_except_addr4208,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4208,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4212
mov.l execexit_ptr4212,r1
jmp @r1
add #-2,r6
fdl4212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4212: .long execexit
.balign 32
g2_except_addr4208: .long group_2_exception
bf_addr4208: .long basefunction
! Opcodes 8300 - 8307
S300:
and r1,r2
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4213
add #-6,r8
.nonibadd4213:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4213
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4213:
exts.b r3,r3
mov r9,r8
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4214
mov.l execexit_ptr4214,r1
jmp @r1
add #-2,r6
fdl4214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4214: .long execexit
! Opcodes 8308 - 830F
S308:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4215
add #-6,r8
.nonibadd4215:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4215
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4215:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4216
mov.l execexit_ptr4216,r1
jmp @r1
add #-2,r6
fdl4216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4216: .long execexit
! Opcodes 8310 - 8317
S310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4217
mov.l execexit_ptr4217,r1
jmp @r1
add #-2,r6
fdl4217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4217: .long execexit
! Opcodes 8318 - 831F
S318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4218
mov.l execexit_ptr4218,r1
jmp @r1
add #-2,r6
fdl4218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4218: .long execexit
! Opcodes 8320 - 8327
S320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4219
mov.l execexit_ptr4219,r1
jmp @r1
add #-2,r6
fdl4219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4219: .long execexit
! Opcodes 8328 - 832F
S328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4220
mov.l execexit_ptr4220,r1
jmp @r1
add #-2,r6
fdl4220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4220: .long execexit
! Opcodes 8330 - 8337
S330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd834
exts.w r0,r0
longwd834:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4221
mov.l execexit_ptr4221,r1
jmp @r1
add #-2,r6
fdl4221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4221: .long execexit
! Opcode 8338
S338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4222
mov.l execexit_ptr4222,r1
jmp @r1
add #-2,r6
fdl4222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4222: .long execexit
! Opcode 8339
S339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4223
mov.l execexit_ptr4223,r1
jmp @r1
add #-2,r6
fdl4223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4223: .long execexit
! Opcodes 8350 - 8357
S350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4224
mov.l execexit_ptr4224,r1
jmp @r1
add #-2,r6
fdl4224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4224: .long execexit
! Opcodes 8358 - 835F
S358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4225
mov.l execexit_ptr4225,r1
jmp @r1
add #-2,r6
fdl4225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4225: .long execexit
! Opcodes 8360 - 8367
S360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4226
mov.l execexit_ptr4226,r1
jmp @r1
add #-2,r6
fdl4226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4226: .long execexit
! Opcodes 8368 - 836F
S368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4227
mov.l execexit_ptr4227,r1
jmp @r1
add #-2,r6
fdl4227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4227: .long execexit
! Opcodes 8370 - 8377
S370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd835
exts.w r0,r0
longwd835:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4228
mov.l execexit_ptr4228,r1
jmp @r1
add #-2,r6
fdl4228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4228: .long execexit
! Opcode 8378
S378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4229
mov.l execexit_ptr4229,r1
jmp @r1
add #-2,r6
fdl4229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4229: .long execexit
! Opcode 8379
S379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4230
mov.l execexit_ptr4230,r1
jmp @r1
add #-2,r6
fdl4230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4230: .long execexit
! Opcodes 8390 - 8397
S390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4231
mov.l execexit_ptr4231,r1
jmp @r1
add #-2,r6
fdl4231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4231: .long execexit
! Opcodes 8398 - 839F
S398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4232
mov.l execexit_ptr4232,r1
jmp @r1
add #-2,r6
fdl4232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4232: .long execexit
! Opcodes 83A0 - 83A7
S3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4233
mov.l execexit_ptr4233,r1
jmp @r1
add #-2,r6
fdl4233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4233: .long execexit
! Opcodes 83A8 - 83AF
S3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4234
mov.l execexit_ptr4234,r1
jmp @r1
add #-2,r6
fdl4234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4234: .long execexit
! Opcodes 83B0 - 83B7
S3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd836
exts.w r0,r0
longwd836:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4235
mov.l execexit_ptr4235,r1
jmp @r1
add #-2,r6
fdl4235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4235: .long execexit
! Opcode 83B8
S3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4236
mov.l execexit_ptr4236,r1
jmp @r1
add #-2,r6
fdl4236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4236: .long execexit
! Opcode 83B9
S3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4237
mov.l execexit_ptr4237,r1
jmp @r1
add #-2,r6
fdl4237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4237: .long execexit
! Opcodes 83C0 - 83C7
S3C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4238
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4238
neg r2,r2
noidivis4238:
cmp/pz r0
bt noidivid4238
neg r0,r0
noidivid4238:
cmp/hs r2,r0
bt ln4239
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4240
mov.l execexit_ptr4240,r1
jmp @r1
add #-2,r6
fdl4240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4240: .long execexit
ln4239:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4241
mov.l execexit_ptr4241,r1
jmp @r1
add #-2,r6
fdl4241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4241: .long execexit
ln4238:
mov.l g2_except_addr4238,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4238,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4242
mov.l execexit_ptr4242,r1
jmp @r1
add #-2,r6
fdl4242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4242: .long execexit
.balign 32
g2_except_addr4238: .long group_2_exception
bf_addr4238: .long basefunction
! Opcodes 83D0 - 83D7
S3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4243
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4243
neg r2,r2
noidivis4243:
cmp/pz r0
bt noidivid4243
neg r0,r0
noidivid4243:
cmp/hs r2,r0
bt ln4244
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4245
mov.l execexit_ptr4245,r1
jmp @r1
add #-2,r6
fdl4245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4245: .long execexit
ln4244:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4246
mov.l execexit_ptr4246,r1
jmp @r1
add #-2,r6
fdl4246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4246: .long execexit
ln4243:
mov.l g2_except_addr4243,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4243,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4247
mov.l execexit_ptr4247,r1
jmp @r1
add #-2,r6
fdl4247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4247: .long execexit
.balign 32
g2_except_addr4243: .long group_2_exception
bf_addr4243: .long basefunction
! Opcodes 83D8 - 83DF
S3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4248
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4248
neg r2,r2
noidivis4248:
cmp/pz r0
bt noidivid4248
neg r0,r0
noidivid4248:
cmp/hs r2,r0
bt ln4249
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4250
mov.l execexit_ptr4250,r1
jmp @r1
add #-2,r6
fdl4250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4250: .long execexit
ln4249:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4251
mov.l execexit_ptr4251,r1
jmp @r1
add #-2,r6
fdl4251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4251: .long execexit
ln4248:
mov.l g2_except_addr4248,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4248,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4252
mov.l execexit_ptr4252,r1
jmp @r1
add #-2,r6
fdl4252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4252: .long execexit
.balign 32
g2_except_addr4248: .long group_2_exception
bf_addr4248: .long basefunction
! Opcodes 83E0 - 83E7
S3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4253
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4253
neg r2,r2
noidivis4253:
cmp/pz r0
bt noidivid4253
neg r0,r0
noidivid4253:
cmp/hs r2,r0
bt ln4254
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4255
mov.l execexit_ptr4255,r1
jmp @r1
add #-2,r6
fdl4255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4255: .long execexit
ln4254:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4256
mov.l execexit_ptr4256,r1
jmp @r1
add #-2,r6
fdl4256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4256: .long execexit
ln4253:
mov.l g2_except_addr4253,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4253,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4257
mov.l execexit_ptr4257,r1
jmp @r1
add #-2,r6
fdl4257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4257: .long execexit
.balign 32
g2_except_addr4253: .long group_2_exception
bf_addr4253: .long basefunction
! Opcodes 83E8 - 83EF
S3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4258
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4258
neg r2,r2
noidivis4258:
cmp/pz r0
bt noidivid4258
neg r0,r0
noidivid4258:
cmp/hs r2,r0
bt ln4259
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4260
mov.l execexit_ptr4260,r1
jmp @r1
add #-2,r6
fdl4260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4260: .long execexit
ln4259:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4261
mov.l execexit_ptr4261,r1
jmp @r1
add #-2,r6
fdl4261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4261: .long execexit
ln4258:
mov.l g2_except_addr4258,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4258,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4262
mov.l execexit_ptr4262,r1
jmp @r1
add #-2,r6
fdl4262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4262: .long execexit
.balign 32
g2_except_addr4258: .long group_2_exception
bf_addr4258: .long basefunction
! Opcodes 83F0 - 83F7
S3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd837
exts.w r0,r0
longwd837:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4263
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4263
neg r2,r2
noidivis4263:
cmp/pz r0
bt noidivid4263
neg r0,r0
noidivid4263:
cmp/hs r2,r0
bt ln4264
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4265
mov.l execexit_ptr4265,r1
jmp @r1
add #-2,r6
fdl4265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4265: .long execexit
ln4264:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4266
mov.l execexit_ptr4266,r1
jmp @r1
add #-2,r6
fdl4266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4266: .long execexit
ln4263:
mov.l g2_except_addr4263,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4263,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4267
mov.l execexit_ptr4267,r1
jmp @r1
add #-2,r6
fdl4267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4267: .long execexit
.balign 32
g2_except_addr4263: .long group_2_exception
bf_addr4263: .long basefunction
! Opcode 83F8
S3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4268
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4268
neg r2,r2
noidivis4268:
cmp/pz r0
bt noidivid4268
neg r0,r0
noidivid4268:
cmp/hs r2,r0
bt ln4269
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4270
mov.l execexit_ptr4270,r1
jmp @r1
add #-2,r6
fdl4270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4270: .long execexit
ln4269:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4271
mov.l execexit_ptr4271,r1
jmp @r1
add #-2,r6
fdl4271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4271: .long execexit
ln4268:
mov.l g2_except_addr4268,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4268,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4272
mov.l execexit_ptr4272,r1
jmp @r1
add #-2,r6
fdl4272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4272: .long execexit
.balign 32
g2_except_addr4268: .long group_2_exception
bf_addr4268: .long basefunction
! Opcode 83F9
S3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4273
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4273
neg r2,r2
noidivis4273:
cmp/pz r0
bt noidivid4273
neg r0,r0
noidivid4273:
cmp/hs r2,r0
bt ln4274
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4275
mov.l execexit_ptr4275,r1
jmp @r1
add #-2,r6
fdl4275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4275: .long execexit
ln4274:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4276
mov.l execexit_ptr4276,r1
jmp @r1
add #-2,r6
fdl4276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4276: .long execexit
ln4273:
mov.l g2_except_addr4273,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4273,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4277
mov.l execexit_ptr4277,r1
jmp @r1
add #-2,r6
fdl4277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4277: .long execexit
.balign 32
g2_except_addr4273: .long group_2_exception
bf_addr4273: .long basefunction
! Opcode 83FA
S3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4278
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4278
neg r2,r2
noidivis4278:
cmp/pz r0
bt noidivid4278
neg r0,r0
noidivid4278:
cmp/hs r2,r0
bt ln4279
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4280
mov.l execexit_ptr4280,r1
jmp @r1
add #-2,r6
fdl4280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4280: .long execexit
ln4279:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4281
mov.l execexit_ptr4281,r1
jmp @r1
add #-2,r6
fdl4281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4281: .long execexit
ln4278:
mov.l g2_except_addr4278,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4278,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4282
mov.l execexit_ptr4282,r1
jmp @r1
add #-2,r6
fdl4282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4282: .long execexit
.balign 32
g2_except_addr4278: .long group_2_exception
bf_addr4278: .long basefunction
! Opcode 83FB
S3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd838
exts.w r0,r0
longwd838:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4283
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4283
neg r2,r2
noidivis4283:
cmp/pz r0
bt noidivid4283
neg r0,r0
noidivid4283:
cmp/hs r2,r0
bt ln4284
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4285
mov.l execexit_ptr4285,r1
jmp @r1
add #-2,r6
fdl4285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4285: .long execexit
ln4284:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4286
mov.l execexit_ptr4286,r1
jmp @r1
add #-2,r6
fdl4286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4286: .long execexit
ln4283:
mov.l g2_except_addr4283,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4283,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4287
mov.l execexit_ptr4287,r1
jmp @r1
add #-2,r6
fdl4287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4287: .long execexit
.balign 32
g2_except_addr4283: .long group_2_exception
bf_addr4283: .long basefunction
! Opcode 83FC
S3FC:
mov.w @r6+,r3
mov.l @(4,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4288
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4288
neg r2,r2
noidivis4288:
cmp/pz r0
bt noidivid4288
neg r0,r0
noidivid4288:
cmp/hs r2,r0
bt ln4289
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(4,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4290
mov.l execexit_ptr4290,r1
jmp @r1
add #-2,r6
fdl4290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4290: .long execexit
ln4289:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4291
mov.l execexit_ptr4291,r1
jmp @r1
add #-2,r6
fdl4291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4291: .long execexit
ln4288:
mov.l g2_except_addr4288,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4288,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4292
mov.l execexit_ptr4292,r1
jmp @r1
add #-2,r6
fdl4292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4292: .long execexit
.balign 32
g2_except_addr4288: .long group_2_exception
bf_addr4288: .long basefunction
! Opcodes 8400 - 8407
S400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4293
mov.l execexit_ptr4293,r1
jmp @r1
add #-2,r6
fdl4293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4293: .long execexit
! Opcodes 8410 - 8417
S410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4294
mov.l execexit_ptr4294,r1
jmp @r1
add #-2,r6
fdl4294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4294: .long execexit
! Opcodes 8418 - 841F
S418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4295
mov.l execexit_ptr4295,r1
jmp @r1
add #-2,r6
fdl4295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4295: .long execexit
! Opcodes 8420 - 8427
S420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4296
mov.l execexit_ptr4296,r1
jmp @r1
add #-2,r6
fdl4296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4296: .long execexit
! Opcodes 8428 - 842F
S428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4297
mov.l execexit_ptr4297,r1
jmp @r1
add #-2,r6
fdl4297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4297: .long execexit
! Opcodes 8430 - 8437
S430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd839
exts.w r0,r0
longwd839:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4298
mov.l execexit_ptr4298,r1
jmp @r1
add #-2,r6
fdl4298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4298: .long execexit
! Opcode 8438
S438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4299
mov.l execexit_ptr4299,r1
jmp @r1
add #-2,r6
fdl4299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4299: .long execexit
! Opcode 8439
S439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4300
mov.l execexit_ptr4300,r1
jmp @r1
add #-2,r6
fdl4300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4300: .long execexit
! Opcode 843A
S43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4301
mov.l execexit_ptr4301,r1
jmp @r1
add #-2,r6
fdl4301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4301: .long execexit
! Opcode 843B
S43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd840
exts.w r0,r0
longwd840:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4302
mov.l execexit_ptr4302,r1
jmp @r1
add #-2,r6
fdl4302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4302: .long execexit
! Opcode 843C
S43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4303
mov.l execexit_ptr4303,r1
jmp @r1
add #-2,r6
fdl4303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4303: .long execexit
! Opcodes 8440 - 8447
S440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4304
mov.l execexit_ptr4304,r1
jmp @r1
add #-2,r6
fdl4304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4304: .long execexit
! Opcodes 8450 - 8457
S450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4305
mov.l execexit_ptr4305,r1
jmp @r1
add #-2,r6
fdl4305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4305: .long execexit
! Opcodes 8458 - 845F
S458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4306
mov.l execexit_ptr4306,r1
jmp @r1
add #-2,r6
fdl4306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4306: .long execexit
! Opcodes 8460 - 8467
S460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4307
mov.l execexit_ptr4307,r1
jmp @r1
add #-2,r6
fdl4307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4307: .long execexit
! Opcodes 8468 - 846F
S468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4308
mov.l execexit_ptr4308,r1
jmp @r1
add #-2,r6
fdl4308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4308: .long execexit
! Opcodes 8470 - 8477
S470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd841
exts.w r0,r0
longwd841:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4309
mov.l execexit_ptr4309,r1
jmp @r1
add #-2,r6
fdl4309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4309: .long execexit
! Opcode 8478
S478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4310
mov.l execexit_ptr4310,r1
jmp @r1
add #-2,r6
fdl4310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4310: .long execexit
! Opcode 8479
S479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4311
mov.l execexit_ptr4311,r1
jmp @r1
add #-2,r6
fdl4311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4311: .long execexit
! Opcode 847A
S47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4312
mov.l execexit_ptr4312,r1
jmp @r1
add #-2,r6
fdl4312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4312: .long execexit
! Opcode 847B
S47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd842
exts.w r0,r0
longwd842:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4313
mov.l execexit_ptr4313,r1
jmp @r1
add #-2,r6
fdl4313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4313: .long execexit
! Opcode 847C
S47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4314
mov.l execexit_ptr4314,r1
jmp @r1
add #-2,r6
fdl4314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4314: .long execexit
! Opcodes 8480 - 8487
S480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4315
mov.l execexit_ptr4315,r1
jmp @r1
add #-2,r6
fdl4315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4315: .long execexit
! Opcodes 8490 - 8497
S490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4316
mov.l execexit_ptr4316,r1
jmp @r1
add #-2,r6
fdl4316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4316: .long execexit
! Opcodes 8498 - 849F
S498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4317
mov.l execexit_ptr4317,r1
jmp @r1
add #-2,r6
fdl4317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4317: .long execexit
! Opcodes 84A0 - 84A7
S4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4318
mov.l execexit_ptr4318,r1
jmp @r1
add #-2,r6
fdl4318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4318: .long execexit
! Opcodes 84A8 - 84AF
S4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4319
mov.l execexit_ptr4319,r1
jmp @r1
add #-2,r6
fdl4319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4319: .long execexit
! Opcodes 84B0 - 84B7
S4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd843
exts.w r0,r0
longwd843:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4320
mov.l execexit_ptr4320,r1
jmp @r1
add #-2,r6
fdl4320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4320: .long execexit
! Opcode 84B8
S4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4321
mov.l execexit_ptr4321,r1
jmp @r1
add #-2,r6
fdl4321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4321: .long execexit
! Opcode 84B9
S4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4322
mov.l execexit_ptr4322,r1
jmp @r1
add #-2,r6
fdl4322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4322: .long execexit
! Opcode 84BA
S4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4323
mov.l execexit_ptr4323,r1
jmp @r1
add #-2,r6
fdl4323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4323: .long execexit
! Opcode 84BB
S4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd844
exts.w r0,r0
longwd844:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4324
mov.l execexit_ptr4324,r1
jmp @r1
add #-2,r6
fdl4324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4324: .long execexit
! Opcode 84BC
S4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
or r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4325
mov.l execexit_ptr4325,r1
jmp @r1
add #-2,r6
fdl4325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4325: .long execexit
! Opcodes 84C0 - 84C7
S4C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4326
cmp/hs r3,r1
bt ln4327
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4328
mov.l execexit_ptr4328,r1
jmp @r1
add #-2,r6
fdl4328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4328: .long execexit
ln4327:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4329
mov.l execexit_ptr4329,r1
jmp @r1
add #-2,r6
fdl4329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4329: .long execexit
ln4326:
mov.l g2_except_addr4326,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4326,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4330
mov.l execexit_ptr4330,r1
jmp @r1
add #-2,r6
fdl4330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4330: .long execexit
.balign 32
g2_except_addr4326: .long group_2_exception
bf_addr4326: .long basefunction
! Opcodes 84D0 - 84D7
S4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4331
cmp/hs r3,r1
bt ln4332
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4333
mov.l execexit_ptr4333,r1
jmp @r1
add #-2,r6
fdl4333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4333: .long execexit
ln4332:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4334
mov.l execexit_ptr4334,r1
jmp @r1
add #-2,r6
fdl4334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4334: .long execexit
ln4331:
mov.l g2_except_addr4331,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4331,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4335
mov.l execexit_ptr4335,r1
jmp @r1
add #-2,r6
fdl4335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4335: .long execexit
.balign 32
g2_except_addr4331: .long group_2_exception
bf_addr4331: .long basefunction
! Opcodes 84D8 - 84DF
S4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4336
cmp/hs r3,r1
bt ln4337
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4338
mov.l execexit_ptr4338,r1
jmp @r1
add #-2,r6
fdl4338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4338: .long execexit
ln4337:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4339
mov.l execexit_ptr4339,r1
jmp @r1
add #-2,r6
fdl4339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4339: .long execexit
ln4336:
mov.l g2_except_addr4336,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4336,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4340
mov.l execexit_ptr4340,r1
jmp @r1
add #-2,r6
fdl4340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4340: .long execexit
.balign 32
g2_except_addr4336: .long group_2_exception
bf_addr4336: .long basefunction
! Opcodes 84E0 - 84E7
S4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4341
cmp/hs r3,r1
bt ln4342
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4343
mov.l execexit_ptr4343,r1
jmp @r1
add #-2,r6
fdl4343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4343: .long execexit
ln4342:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4344
mov.l execexit_ptr4344,r1
jmp @r1
add #-2,r6
fdl4344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4344: .long execexit
ln4341:
mov.l g2_except_addr4341,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4341,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4345
mov.l execexit_ptr4345,r1
jmp @r1
add #-2,r6
fdl4345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4345: .long execexit
.balign 32
g2_except_addr4341: .long group_2_exception
bf_addr4341: .long basefunction
! Opcodes 84E8 - 84EF
S4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4346
cmp/hs r3,r1
bt ln4347
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4348
mov.l execexit_ptr4348,r1
jmp @r1
add #-2,r6
fdl4348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4348: .long execexit
ln4347:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4349
mov.l execexit_ptr4349,r1
jmp @r1
add #-2,r6
fdl4349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4349: .long execexit
ln4346:
mov.l g2_except_addr4346,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4346,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4350
mov.l execexit_ptr4350,r1
jmp @r1
add #-2,r6
fdl4350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4350: .long execexit
.balign 32
g2_except_addr4346: .long group_2_exception
bf_addr4346: .long basefunction
! Opcodes 84F0 - 84F7
S4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd845
exts.w r0,r0
longwd845:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4351
cmp/hs r3,r1
bt ln4352
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4353
mov.l execexit_ptr4353,r1
jmp @r1
add #-2,r6
fdl4353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4353: .long execexit
ln4352:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4354
mov.l execexit_ptr4354,r1
jmp @r1
add #-2,r6
fdl4354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4354: .long execexit
ln4351:
mov.l g2_except_addr4351,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4351,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4355
mov.l execexit_ptr4355,r1
jmp @r1
add #-2,r6
fdl4355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4355: .long execexit
.balign 32
g2_except_addr4351: .long group_2_exception
bf_addr4351: .long basefunction
! Opcode 84F8
S4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4356
cmp/hs r3,r1
bt ln4357
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4358
mov.l execexit_ptr4358,r1
jmp @r1
add #-2,r6
fdl4358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4358: .long execexit
ln4357:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4359
mov.l execexit_ptr4359,r1
jmp @r1
add #-2,r6
fdl4359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4359: .long execexit
ln4356:
mov.l g2_except_addr4356,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4356,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4360
mov.l execexit_ptr4360,r1
jmp @r1
add #-2,r6
fdl4360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4360: .long execexit
.balign 32
g2_except_addr4356: .long group_2_exception
bf_addr4356: .long basefunction
! Opcode 84F9
S4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4361
cmp/hs r3,r1
bt ln4362
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4363
mov.l execexit_ptr4363,r1
jmp @r1
add #-2,r6
fdl4363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4363: .long execexit
ln4362:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4364
mov.l execexit_ptr4364,r1
jmp @r1
add #-2,r6
fdl4364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4364: .long execexit
ln4361:
mov.l g2_except_addr4361,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4361,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4365
mov.l execexit_ptr4365,r1
jmp @r1
add #-2,r6
fdl4365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4365: .long execexit
.balign 32
g2_except_addr4361: .long group_2_exception
bf_addr4361: .long basefunction
! Opcode 84FA
S4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4366
cmp/hs r3,r1
bt ln4367
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4368
mov.l execexit_ptr4368,r1
jmp @r1
add #-2,r6
fdl4368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4368: .long execexit
ln4367:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4369
mov.l execexit_ptr4369,r1
jmp @r1
add #-2,r6
fdl4369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4369: .long execexit
ln4366:
mov.l g2_except_addr4366,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4366,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4370
mov.l execexit_ptr4370,r1
jmp @r1
add #-2,r6
fdl4370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4370: .long execexit
.balign 32
g2_except_addr4366: .long group_2_exception
bf_addr4366: .long basefunction
! Opcode 84FB
S4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd846
exts.w r0,r0
longwd846:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4371
cmp/hs r3,r1
bt ln4372
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4373
mov.l execexit_ptr4373,r1
jmp @r1
add #-2,r6
fdl4373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4373: .long execexit
ln4372:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4374
mov.l execexit_ptr4374,r1
jmp @r1
add #-2,r6
fdl4374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4374: .long execexit
ln4371:
mov.l g2_except_addr4371,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4371,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4375
mov.l execexit_ptr4375,r1
jmp @r1
add #-2,r6
fdl4375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4375: .long execexit
.balign 32
g2_except_addr4371: .long group_2_exception
bf_addr4371: .long basefunction
! Opcode 84FC
S4FC:
mov.w @r6+,r3
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4376
cmp/hs r3,r1
bt ln4377
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4378
mov.l execexit_ptr4378,r1
jmp @r1
add #-2,r6
fdl4378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4378: .long execexit
ln4377:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4379
mov.l execexit_ptr4379,r1
jmp @r1
add #-2,r6
fdl4379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4379: .long execexit
ln4376:
mov.l g2_except_addr4376,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4376,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4380
mov.l execexit_ptr4380,r1
jmp @r1
add #-2,r6
fdl4380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4380: .long execexit
.balign 32
g2_except_addr4376: .long group_2_exception
bf_addr4376: .long basefunction
! Opcodes 8500 - 8507
S500:
and r1,r2
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4381
add #-6,r8
.nonibadd4381:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4381
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4381:
exts.b r3,r3
mov r9,r8
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4382
mov.l execexit_ptr4382,r1
jmp @r1
add #-2,r6
fdl4382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4382: .long execexit
! Opcodes 8508 - 850F
S508:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4383
add #-6,r8
.nonibadd4383:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4383
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4383:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4384
mov.l execexit_ptr4384,r1
jmp @r1
add #-2,r6
fdl4384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4384: .long execexit
! Opcodes 8510 - 8517
S510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4385
mov.l execexit_ptr4385,r1
jmp @r1
add #-2,r6
fdl4385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4385: .long execexit
! Opcodes 8518 - 851F
S518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4386
mov.l execexit_ptr4386,r1
jmp @r1
add #-2,r6
fdl4386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4386: .long execexit
! Opcodes 8520 - 8527
S520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4387
mov.l execexit_ptr4387,r1
jmp @r1
add #-2,r6
fdl4387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4387: .long execexit
! Opcodes 8528 - 852F
S528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4388
mov.l execexit_ptr4388,r1
jmp @r1
add #-2,r6
fdl4388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4388: .long execexit
! Opcodes 8530 - 8537
S530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd847
exts.w r0,r0
longwd847:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4389
mov.l execexit_ptr4389,r1
jmp @r1
add #-2,r6
fdl4389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4389: .long execexit
! Opcode 8538
S538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4390
mov.l execexit_ptr4390,r1
jmp @r1
add #-2,r6
fdl4390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4390: .long execexit
! Opcode 8539
S539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4391
mov.l execexit_ptr4391,r1
jmp @r1
add #-2,r6
fdl4391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4391: .long execexit
! Opcodes 8550 - 8557
S550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4392
mov.l execexit_ptr4392,r1
jmp @r1
add #-2,r6
fdl4392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4392: .long execexit
! Opcodes 8558 - 855F
S558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4393
mov.l execexit_ptr4393,r1
jmp @r1
add #-2,r6
fdl4393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4393: .long execexit
! Opcodes 8560 - 8567
S560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4394
mov.l execexit_ptr4394,r1
jmp @r1
add #-2,r6
fdl4394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4394: .long execexit
! Opcodes 8568 - 856F
S568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4395
mov.l execexit_ptr4395,r1
jmp @r1
add #-2,r6
fdl4395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4395: .long execexit
! Opcodes 8570 - 8577
S570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd848
exts.w r0,r0
longwd848:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4396
mov.l execexit_ptr4396,r1
jmp @r1
add #-2,r6
fdl4396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4396: .long execexit
! Opcode 8578
S578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4397
mov.l execexit_ptr4397,r1
jmp @r1
add #-2,r6
fdl4397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4397: .long execexit
! Opcode 8579
S579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4398
mov.l execexit_ptr4398,r1
jmp @r1
add #-2,r6
fdl4398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4398: .long execexit
! Opcodes 8590 - 8597
S590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4399
mov.l execexit_ptr4399,r1
jmp @r1
add #-2,r6
fdl4399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4399: .long execexit
! Opcodes 8598 - 859F
S598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4400
mov.l execexit_ptr4400,r1
jmp @r1
add #-2,r6
fdl4400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4400: .long execexit
! Opcodes 85A0 - 85A7
S5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4401
mov.l execexit_ptr4401,r1
jmp @r1
add #-2,r6
fdl4401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4401: .long execexit
! Opcodes 85A8 - 85AF
S5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4402
mov.l execexit_ptr4402,r1
jmp @r1
add #-2,r6
fdl4402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4402: .long execexit
! Opcodes 85B0 - 85B7
S5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd849
exts.w r0,r0
longwd849:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4403
mov.l execexit_ptr4403,r1
jmp @r1
add #-2,r6
fdl4403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4403: .long execexit
! Opcode 85B8
S5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4404
mov.l execexit_ptr4404,r1
jmp @r1
add #-2,r6
fdl4404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4404: .long execexit
! Opcode 85B9
S5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4405
mov.l execexit_ptr4405,r1
jmp @r1
add #-2,r6
fdl4405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4405: .long execexit
! Opcodes 85C0 - 85C7
S5C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4406
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4406
neg r2,r2
noidivis4406:
cmp/pz r0
bt noidivid4406
neg r0,r0
noidivid4406:
cmp/hs r2,r0
bt ln4407
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4408
mov.l execexit_ptr4408,r1
jmp @r1
add #-2,r6
fdl4408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4408: .long execexit
ln4407:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4409
mov.l execexit_ptr4409,r1
jmp @r1
add #-2,r6
fdl4409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4409: .long execexit
ln4406:
mov.l g2_except_addr4406,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4406,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4410
mov.l execexit_ptr4410,r1
jmp @r1
add #-2,r6
fdl4410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4410: .long execexit
.balign 32
g2_except_addr4406: .long group_2_exception
bf_addr4406: .long basefunction
! Opcodes 85D0 - 85D7
S5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4411
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4411
neg r2,r2
noidivis4411:
cmp/pz r0
bt noidivid4411
neg r0,r0
noidivid4411:
cmp/hs r2,r0
bt ln4412
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4413
mov.l execexit_ptr4413,r1
jmp @r1
add #-2,r6
fdl4413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4413: .long execexit
ln4412:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4414
mov.l execexit_ptr4414,r1
jmp @r1
add #-2,r6
fdl4414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4414: .long execexit
ln4411:
mov.l g2_except_addr4411,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4411,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4415
mov.l execexit_ptr4415,r1
jmp @r1
add #-2,r6
fdl4415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4415: .long execexit
.balign 32
g2_except_addr4411: .long group_2_exception
bf_addr4411: .long basefunction
! Opcodes 85D8 - 85DF
S5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4416
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4416
neg r2,r2
noidivis4416:
cmp/pz r0
bt noidivid4416
neg r0,r0
noidivid4416:
cmp/hs r2,r0
bt ln4417
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4418
mov.l execexit_ptr4418,r1
jmp @r1
add #-2,r6
fdl4418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4418: .long execexit
ln4417:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4419
mov.l execexit_ptr4419,r1
jmp @r1
add #-2,r6
fdl4419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4419: .long execexit
ln4416:
mov.l g2_except_addr4416,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4416,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4420
mov.l execexit_ptr4420,r1
jmp @r1
add #-2,r6
fdl4420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4420: .long execexit
.balign 32
g2_except_addr4416: .long group_2_exception
bf_addr4416: .long basefunction
! Opcodes 85E0 - 85E7
S5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4421
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4421
neg r2,r2
noidivis4421:
cmp/pz r0
bt noidivid4421
neg r0,r0
noidivid4421:
cmp/hs r2,r0
bt ln4422
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4423
mov.l execexit_ptr4423,r1
jmp @r1
add #-2,r6
fdl4423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4423: .long execexit
ln4422:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4424
mov.l execexit_ptr4424,r1
jmp @r1
add #-2,r6
fdl4424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4424: .long execexit
ln4421:
mov.l g2_except_addr4421,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4421,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4425
mov.l execexit_ptr4425,r1
jmp @r1
add #-2,r6
fdl4425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4425: .long execexit
.balign 32
g2_except_addr4421: .long group_2_exception
bf_addr4421: .long basefunction
! Opcodes 85E8 - 85EF
S5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4426
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4426
neg r2,r2
noidivis4426:
cmp/pz r0
bt noidivid4426
neg r0,r0
noidivid4426:
cmp/hs r2,r0
bt ln4427
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4428
mov.l execexit_ptr4428,r1
jmp @r1
add #-2,r6
fdl4428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4428: .long execexit
ln4427:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4429
mov.l execexit_ptr4429,r1
jmp @r1
add #-2,r6
fdl4429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4429: .long execexit
ln4426:
mov.l g2_except_addr4426,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4426,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4430
mov.l execexit_ptr4430,r1
jmp @r1
add #-2,r6
fdl4430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4430: .long execexit
.balign 32
g2_except_addr4426: .long group_2_exception
bf_addr4426: .long basefunction
! Opcodes 85F0 - 85F7
S5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd850
exts.w r0,r0
longwd850:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4431
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4431
neg r2,r2
noidivis4431:
cmp/pz r0
bt noidivid4431
neg r0,r0
noidivid4431:
cmp/hs r2,r0
bt ln4432
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4433
mov.l execexit_ptr4433,r1
jmp @r1
add #-2,r6
fdl4433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4433: .long execexit
ln4432:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4434
mov.l execexit_ptr4434,r1
jmp @r1
add #-2,r6
fdl4434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4434: .long execexit
ln4431:
mov.l g2_except_addr4431,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4431,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4435
mov.l execexit_ptr4435,r1
jmp @r1
add #-2,r6
fdl4435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4435: .long execexit
.balign 32
g2_except_addr4431: .long group_2_exception
bf_addr4431: .long basefunction
! Opcode 85F8
S5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4436
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4436
neg r2,r2
noidivis4436:
cmp/pz r0
bt noidivid4436
neg r0,r0
noidivid4436:
cmp/hs r2,r0
bt ln4437
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4438
mov.l execexit_ptr4438,r1
jmp @r1
add #-2,r6
fdl4438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4438: .long execexit
ln4437:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4439
mov.l execexit_ptr4439,r1
jmp @r1
add #-2,r6
fdl4439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4439: .long execexit
ln4436:
mov.l g2_except_addr4436,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4436,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4440
mov.l execexit_ptr4440,r1
jmp @r1
add #-2,r6
fdl4440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4440: .long execexit
.balign 32
g2_except_addr4436: .long group_2_exception
bf_addr4436: .long basefunction
! Opcode 85F9
S5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4441
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4441
neg r2,r2
noidivis4441:
cmp/pz r0
bt noidivid4441
neg r0,r0
noidivid4441:
cmp/hs r2,r0
bt ln4442
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4443
mov.l execexit_ptr4443,r1
jmp @r1
add #-2,r6
fdl4443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4443: .long execexit
ln4442:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4444
mov.l execexit_ptr4444,r1
jmp @r1
add #-2,r6
fdl4444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4444: .long execexit
ln4441:
mov.l g2_except_addr4441,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4441,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4445
mov.l execexit_ptr4445,r1
jmp @r1
add #-2,r6
fdl4445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4445: .long execexit
.balign 32
g2_except_addr4441: .long group_2_exception
bf_addr4441: .long basefunction
! Opcode 85FA
S5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4446
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4446
neg r2,r2
noidivis4446:
cmp/pz r0
bt noidivid4446
neg r0,r0
noidivid4446:
cmp/hs r2,r0
bt ln4447
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4448
mov.l execexit_ptr4448,r1
jmp @r1
add #-2,r6
fdl4448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4448: .long execexit
ln4447:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4449
mov.l execexit_ptr4449,r1
jmp @r1
add #-2,r6
fdl4449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4449: .long execexit
ln4446:
mov.l g2_except_addr4446,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4446,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4450
mov.l execexit_ptr4450,r1
jmp @r1
add #-2,r6
fdl4450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4450: .long execexit
.balign 32
g2_except_addr4446: .long group_2_exception
bf_addr4446: .long basefunction
! Opcode 85FB
S5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd851
exts.w r0,r0
longwd851:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4451
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4451
neg r2,r2
noidivis4451:
cmp/pz r0
bt noidivid4451
neg r0,r0
noidivid4451:
cmp/hs r2,r0
bt ln4452
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4453
mov.l execexit_ptr4453,r1
jmp @r1
add #-2,r6
fdl4453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4453: .long execexit
ln4452:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4454
mov.l execexit_ptr4454,r1
jmp @r1
add #-2,r6
fdl4454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4454: .long execexit
ln4451:
mov.l g2_except_addr4451,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4451,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4455
mov.l execexit_ptr4455,r1
jmp @r1
add #-2,r6
fdl4455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4455: .long execexit
.balign 32
g2_except_addr4451: .long group_2_exception
bf_addr4451: .long basefunction
! Opcode 85FC
S5FC:
mov.w @r6+,r3
mov.l @(8,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4456
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4456
neg r2,r2
noidivis4456:
cmp/pz r0
bt noidivid4456
neg r0,r0
noidivid4456:
cmp/hs r2,r0
bt ln4457
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(8,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4458
mov.l execexit_ptr4458,r1
jmp @r1
add #-2,r6
fdl4458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4458: .long execexit
ln4457:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4459
mov.l execexit_ptr4459,r1
jmp @r1
add #-2,r6
fdl4459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4459: .long execexit
ln4456:
mov.l g2_except_addr4456,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4456,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4460
mov.l execexit_ptr4460,r1
jmp @r1
add #-2,r6
fdl4460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4460: .long execexit
.balign 32
g2_except_addr4456: .long group_2_exception
bf_addr4456: .long basefunction
! Opcodes 8600 - 8607
S600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4461
mov.l execexit_ptr4461,r1
jmp @r1
add #-2,r6
fdl4461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4461: .long execexit
! Opcodes 8610 - 8617
S610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4462
mov.l execexit_ptr4462,r1
jmp @r1
add #-2,r6
fdl4462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4462: .long execexit
! Opcodes 8618 - 861F
S618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4463
mov.l execexit_ptr4463,r1
jmp @r1
add #-2,r6
fdl4463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4463: .long execexit
! Opcodes 8620 - 8627
S620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4464
mov.l execexit_ptr4464,r1
jmp @r1
add #-2,r6
fdl4464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4464: .long execexit
! Opcodes 8628 - 862F
S628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4465
mov.l execexit_ptr4465,r1
jmp @r1
add #-2,r6
fdl4465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4465: .long execexit
! Opcodes 8630 - 8637
S630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd852
exts.w r0,r0
longwd852:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4466
mov.l execexit_ptr4466,r1
jmp @r1
add #-2,r6
fdl4466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4466: .long execexit
! Opcode 8638
S638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4467
mov.l execexit_ptr4467,r1
jmp @r1
add #-2,r6
fdl4467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4467: .long execexit
! Opcode 8639
S639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4468
mov.l execexit_ptr4468,r1
jmp @r1
add #-2,r6
fdl4468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4468: .long execexit
! Opcode 863A
S63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4469
mov.l execexit_ptr4469,r1
jmp @r1
add #-2,r6
fdl4469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4469: .long execexit
! Opcode 863B
S63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd853
exts.w r0,r0
longwd853:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4470
mov.l execexit_ptr4470,r1
jmp @r1
add #-2,r6
fdl4470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4470: .long execexit
! Opcode 863C
S63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4471
mov.l execexit_ptr4471,r1
jmp @r1
add #-2,r6
fdl4471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4471: .long execexit
! Opcodes 8640 - 8647
S640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4472
mov.l execexit_ptr4472,r1
jmp @r1
add #-2,r6
fdl4472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4472: .long execexit
! Opcodes 8650 - 8657
S650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4473
mov.l execexit_ptr4473,r1
jmp @r1
add #-2,r6
fdl4473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4473: .long execexit
! Opcodes 8658 - 865F
S658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4474
mov.l execexit_ptr4474,r1
jmp @r1
add #-2,r6
fdl4474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4474: .long execexit
! Opcodes 8660 - 8667
S660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4475
mov.l execexit_ptr4475,r1
jmp @r1
add #-2,r6
fdl4475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4475: .long execexit
! Opcodes 8668 - 866F
S668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4476
mov.l execexit_ptr4476,r1
jmp @r1
add #-2,r6
fdl4476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4476: .long execexit
! Opcodes 8670 - 8677
S670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd854
exts.w r0,r0
longwd854:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4477
mov.l execexit_ptr4477,r1
jmp @r1
add #-2,r6
fdl4477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4477: .long execexit
! Opcode 8678
S678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4478
mov.l execexit_ptr4478,r1
jmp @r1
add #-2,r6
fdl4478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4478: .long execexit
! Opcode 8679
S679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4479
mov.l execexit_ptr4479,r1
jmp @r1
add #-2,r6
fdl4479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4479: .long execexit
! Opcode 867A
S67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4480
mov.l execexit_ptr4480,r1
jmp @r1
add #-2,r6
fdl4480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4480: .long execexit
! Opcode 867B
S67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd855
exts.w r0,r0
longwd855:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4481
mov.l execexit_ptr4481,r1
jmp @r1
add #-2,r6
fdl4481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4481: .long execexit
! Opcode 867C
S67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4482
mov.l execexit_ptr4482,r1
jmp @r1
add #-2,r6
fdl4482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4482: .long execexit
! Opcodes 8680 - 8687
S680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4483
mov.l execexit_ptr4483,r1
jmp @r1
add #-2,r6
fdl4483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4483: .long execexit
! Opcodes 8690 - 8697
S690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4484
mov.l execexit_ptr4484,r1
jmp @r1
add #-2,r6
fdl4484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4484: .long execexit
! Opcodes 8698 - 869F
S698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4485
mov.l execexit_ptr4485,r1
jmp @r1
add #-2,r6
fdl4485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4485: .long execexit
! Opcodes 86A0 - 86A7
S6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4486
mov.l execexit_ptr4486,r1
jmp @r1
add #-2,r6
fdl4486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4486: .long execexit
! Opcodes 86A8 - 86AF
S6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4487
mov.l execexit_ptr4487,r1
jmp @r1
add #-2,r6
fdl4487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4487: .long execexit
! Opcodes 86B0 - 86B7
S6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd856
exts.w r0,r0
longwd856:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4488
mov.l execexit_ptr4488,r1
jmp @r1
add #-2,r6
fdl4488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4488: .long execexit
! Opcode 86B8
S6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4489
mov.l execexit_ptr4489,r1
jmp @r1
add #-2,r6
fdl4489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4489: .long execexit
! Opcode 86B9
S6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4490
mov.l execexit_ptr4490,r1
jmp @r1
add #-2,r6
fdl4490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4490: .long execexit
! Opcode 86BA
S6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4491
mov.l execexit_ptr4491,r1
jmp @r1
add #-2,r6
fdl4491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4491: .long execexit
! Opcode 86BB
S6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd857
exts.w r0,r0
longwd857:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4492
mov.l execexit_ptr4492,r1
jmp @r1
add #-2,r6
fdl4492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4492: .long execexit
! Opcode 86BC
S6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
or r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4493
mov.l execexit_ptr4493,r1
jmp @r1
add #-2,r6
fdl4493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4493: .long execexit
! Opcodes 86C0 - 86C7
S6C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4494
cmp/hs r3,r1
bt ln4495
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4496
mov.l execexit_ptr4496,r1
jmp @r1
add #-2,r6
fdl4496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4496: .long execexit
ln4495:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4497
mov.l execexit_ptr4497,r1
jmp @r1
add #-2,r6
fdl4497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4497: .long execexit
ln4494:
mov.l g2_except_addr4494,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4494,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4498
mov.l execexit_ptr4498,r1
jmp @r1
add #-2,r6
fdl4498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4498: .long execexit
.balign 32
g2_except_addr4494: .long group_2_exception
bf_addr4494: .long basefunction
! Opcodes 86D0 - 86D7
S6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4499
cmp/hs r3,r1
bt ln4500
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4501
mov.l execexit_ptr4501,r1
jmp @r1
add #-2,r6
fdl4501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4501: .long execexit
ln4500:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4502
mov.l execexit_ptr4502,r1
jmp @r1
add #-2,r6
fdl4502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4502: .long execexit
ln4499:
mov.l g2_except_addr4499,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4499,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4503
mov.l execexit_ptr4503,r1
jmp @r1
add #-2,r6
fdl4503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4503: .long execexit
.balign 32
g2_except_addr4499: .long group_2_exception
bf_addr4499: .long basefunction
! Opcodes 86D8 - 86DF
S6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4504
cmp/hs r3,r1
bt ln4505
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4506
mov.l execexit_ptr4506,r1
jmp @r1
add #-2,r6
fdl4506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4506: .long execexit
ln4505:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4507
mov.l execexit_ptr4507,r1
jmp @r1
add #-2,r6
fdl4507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4507: .long execexit
ln4504:
mov.l g2_except_addr4504,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4504,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4508
mov.l execexit_ptr4508,r1
jmp @r1
add #-2,r6
fdl4508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4508: .long execexit
.balign 32
g2_except_addr4504: .long group_2_exception
bf_addr4504: .long basefunction
! Opcodes 86E0 - 86E7
S6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4509
cmp/hs r3,r1
bt ln4510
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4511
mov.l execexit_ptr4511,r1
jmp @r1
add #-2,r6
fdl4511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4511: .long execexit
ln4510:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4512
mov.l execexit_ptr4512,r1
jmp @r1
add #-2,r6
fdl4512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4512: .long execexit
ln4509:
mov.l g2_except_addr4509,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4509,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4513
mov.l execexit_ptr4513,r1
jmp @r1
add #-2,r6
fdl4513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4513: .long execexit
.balign 32
g2_except_addr4509: .long group_2_exception
bf_addr4509: .long basefunction
! Opcodes 86E8 - 86EF
S6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4514
cmp/hs r3,r1
bt ln4515
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4516
mov.l execexit_ptr4516,r1
jmp @r1
add #-2,r6
fdl4516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4516: .long execexit
ln4515:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4517
mov.l execexit_ptr4517,r1
jmp @r1
add #-2,r6
fdl4517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4517: .long execexit
ln4514:
mov.l g2_except_addr4514,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4514,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4518
mov.l execexit_ptr4518,r1
jmp @r1
add #-2,r6
fdl4518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4518: .long execexit
.balign 32
g2_except_addr4514: .long group_2_exception
bf_addr4514: .long basefunction
! Opcodes 86F0 - 86F7
S6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd858
exts.w r0,r0
longwd858:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4519
cmp/hs r3,r1
bt ln4520
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4521
mov.l execexit_ptr4521,r1
jmp @r1
add #-2,r6
fdl4521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4521: .long execexit
ln4520:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4522
mov.l execexit_ptr4522,r1
jmp @r1
add #-2,r6
fdl4522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4522: .long execexit
ln4519:
mov.l g2_except_addr4519,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4519,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4523
mov.l execexit_ptr4523,r1
jmp @r1
add #-2,r6
fdl4523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4523: .long execexit
.balign 32
g2_except_addr4519: .long group_2_exception
bf_addr4519: .long basefunction
! Opcode 86F8
S6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4524
cmp/hs r3,r1
bt ln4525
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4526
mov.l execexit_ptr4526,r1
jmp @r1
add #-2,r6
fdl4526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4526: .long execexit
ln4525:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4527
mov.l execexit_ptr4527,r1
jmp @r1
add #-2,r6
fdl4527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4527: .long execexit
ln4524:
mov.l g2_except_addr4524,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4524,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4528
mov.l execexit_ptr4528,r1
jmp @r1
add #-2,r6
fdl4528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4528: .long execexit
.balign 32
g2_except_addr4524: .long group_2_exception
bf_addr4524: .long basefunction
! Opcode 86F9
S6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4529
cmp/hs r3,r1
bt ln4530
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4531
mov.l execexit_ptr4531,r1
jmp @r1
add #-2,r6
fdl4531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4531: .long execexit
ln4530:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4532
mov.l execexit_ptr4532,r1
jmp @r1
add #-2,r6
fdl4532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4532: .long execexit
ln4529:
mov.l g2_except_addr4529,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4529,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4533
mov.l execexit_ptr4533,r1
jmp @r1
add #-2,r6
fdl4533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4533: .long execexit
.balign 32
g2_except_addr4529: .long group_2_exception
bf_addr4529: .long basefunction
! Opcode 86FA
S6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4534
cmp/hs r3,r1
bt ln4535
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4536
mov.l execexit_ptr4536,r1
jmp @r1
add #-2,r6
fdl4536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4536: .long execexit
ln4535:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4537
mov.l execexit_ptr4537,r1
jmp @r1
add #-2,r6
fdl4537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4537: .long execexit
ln4534:
mov.l g2_except_addr4534,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4534,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4538
mov.l execexit_ptr4538,r1
jmp @r1
add #-2,r6
fdl4538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4538: .long execexit
.balign 32
g2_except_addr4534: .long group_2_exception
bf_addr4534: .long basefunction
! Opcode 86FB
S6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd859
exts.w r0,r0
longwd859:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4539
cmp/hs r3,r1
bt ln4540
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4541
mov.l execexit_ptr4541,r1
jmp @r1
add #-2,r6
fdl4541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4541: .long execexit
ln4540:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4542
mov.l execexit_ptr4542,r1
jmp @r1
add #-2,r6
fdl4542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4542: .long execexit
ln4539:
mov.l g2_except_addr4539,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4539,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4543
mov.l execexit_ptr4543,r1
jmp @r1
add #-2,r6
fdl4543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4543: .long execexit
.balign 32
g2_except_addr4539: .long group_2_exception
bf_addr4539: .long basefunction
! Opcode 86FC
S6FC:
mov.w @r6+,r3
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4544
cmp/hs r3,r1
bt ln4545
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4546
mov.l execexit_ptr4546,r1
jmp @r1
add #-2,r6
fdl4546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4546: .long execexit
ln4545:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4547
mov.l execexit_ptr4547,r1
jmp @r1
add #-2,r6
fdl4547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4547: .long execexit
ln4544:
mov.l g2_except_addr4544,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4544,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4548
mov.l execexit_ptr4548,r1
jmp @r1
add #-2,r6
fdl4548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4548: .long execexit
.balign 32
g2_except_addr4544: .long group_2_exception
bf_addr4544: .long basefunction
! Opcodes 8700 - 8707
S700:
and r1,r2
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4549
add #-6,r8
.nonibadd4549:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4549
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4549:
exts.b r3,r3
mov r9,r8
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4550
mov.l execexit_ptr4550,r1
jmp @r1
add #-2,r6
fdl4550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4550: .long execexit
! Opcodes 8708 - 870F
S708:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4551
add #-6,r8
.nonibadd4551:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4551
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4551:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4552
mov.l execexit_ptr4552,r1
jmp @r1
add #-2,r6
fdl4552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4552: .long execexit
! Opcodes 8710 - 8717
S710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4553
mov.l execexit_ptr4553,r1
jmp @r1
add #-2,r6
fdl4553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4553: .long execexit
! Opcodes 8718 - 871F
S718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4554
mov.l execexit_ptr4554,r1
jmp @r1
add #-2,r6
fdl4554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4554: .long execexit
! Opcodes 8720 - 8727
S720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4555
mov.l execexit_ptr4555,r1
jmp @r1
add #-2,r6
fdl4555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4555: .long execexit
! Opcodes 8728 - 872F
S728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4556
mov.l execexit_ptr4556,r1
jmp @r1
add #-2,r6
fdl4556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4556: .long execexit
! Opcodes 8730 - 8737
S730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd860
exts.w r0,r0
longwd860:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4557
mov.l execexit_ptr4557,r1
jmp @r1
add #-2,r6
fdl4557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4557: .long execexit
! Opcode 8738
S738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4558
mov.l execexit_ptr4558,r1
jmp @r1
add #-2,r6
fdl4558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4558: .long execexit
! Opcode 8739
S739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4559
mov.l execexit_ptr4559,r1
jmp @r1
add #-2,r6
fdl4559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4559: .long execexit
! Opcodes 8750 - 8757
S750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4560
mov.l execexit_ptr4560,r1
jmp @r1
add #-2,r6
fdl4560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4560: .long execexit
! Opcodes 8758 - 875F
S758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4561
mov.l execexit_ptr4561,r1
jmp @r1
add #-2,r6
fdl4561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4561: .long execexit
! Opcodes 8760 - 8767
S760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4562
mov.l execexit_ptr4562,r1
jmp @r1
add #-2,r6
fdl4562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4562: .long execexit
! Opcodes 8768 - 876F
S768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4563
mov.l execexit_ptr4563,r1
jmp @r1
add #-2,r6
fdl4563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4563: .long execexit
! Opcodes 8770 - 8777
S770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd861
exts.w r0,r0
longwd861:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4564
mov.l execexit_ptr4564,r1
jmp @r1
add #-2,r6
fdl4564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4564: .long execexit
! Opcode 8778
S778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4565
mov.l execexit_ptr4565,r1
jmp @r1
add #-2,r6
fdl4565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4565: .long execexit
! Opcode 8779
S779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4566
mov.l execexit_ptr4566,r1
jmp @r1
add #-2,r6
fdl4566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4566: .long execexit
! Opcodes 8790 - 8797
S790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4567
mov.l execexit_ptr4567,r1
jmp @r1
add #-2,r6
fdl4567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4567: .long execexit
! Opcodes 8798 - 879F
S798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4568
mov.l execexit_ptr4568,r1
jmp @r1
add #-2,r6
fdl4568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4568: .long execexit
! Opcodes 87A0 - 87A7
S7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4569
mov.l execexit_ptr4569,r1
jmp @r1
add #-2,r6
fdl4569:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4569: .long execexit
! Opcodes 87A8 - 87AF
S7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4570
mov.l execexit_ptr4570,r1
jmp @r1
add #-2,r6
fdl4570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4570: .long execexit
! Opcodes 87B0 - 87B7
S7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd862
exts.w r0,r0
longwd862:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4571
mov.l execexit_ptr4571,r1
jmp @r1
add #-2,r6
fdl4571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4571: .long execexit
! Opcode 87B8
S7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4572
mov.l execexit_ptr4572,r1
jmp @r1
add #-2,r6
fdl4572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4572: .long execexit
! Opcode 87B9
S7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4573
mov.l execexit_ptr4573,r1
jmp @r1
add #-2,r6
fdl4573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4573: .long execexit
! Opcodes 87C0 - 87C7
S7C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4574
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4574
neg r2,r2
noidivis4574:
cmp/pz r0
bt noidivid4574
neg r0,r0
noidivid4574:
cmp/hs r2,r0
bt ln4575
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4576
mov.l execexit_ptr4576,r1
jmp @r1
add #-2,r6
fdl4576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4576: .long execexit
ln4575:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4577
mov.l execexit_ptr4577,r1
jmp @r1
add #-2,r6
fdl4577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4577: .long execexit
ln4574:
mov.l g2_except_addr4574,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4574,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4578
mov.l execexit_ptr4578,r1
jmp @r1
add #-2,r6
fdl4578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4578: .long execexit
.balign 32
g2_except_addr4574: .long group_2_exception
bf_addr4574: .long basefunction
! Opcodes 87D0 - 87D7
S7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4579
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4579
neg r2,r2
noidivis4579:
cmp/pz r0
bt noidivid4579
neg r0,r0
noidivid4579:
cmp/hs r2,r0
bt ln4580
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4581
mov.l execexit_ptr4581,r1
jmp @r1
add #-2,r6
fdl4581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4581: .long execexit
ln4580:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4582
mov.l execexit_ptr4582,r1
jmp @r1
add #-2,r6
fdl4582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4582: .long execexit
ln4579:
mov.l g2_except_addr4579,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4579,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4583
mov.l execexit_ptr4583,r1
jmp @r1
add #-2,r6
fdl4583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4583: .long execexit
.balign 32
g2_except_addr4579: .long group_2_exception
bf_addr4579: .long basefunction
! Opcodes 87D8 - 87DF
S7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4584
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4584
neg r2,r2
noidivis4584:
cmp/pz r0
bt noidivid4584
neg r0,r0
noidivid4584:
cmp/hs r2,r0
bt ln4585
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4586
mov.l execexit_ptr4586,r1
jmp @r1
add #-2,r6
fdl4586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4586: .long execexit
ln4585:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4587
mov.l execexit_ptr4587,r1
jmp @r1
add #-2,r6
fdl4587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4587: .long execexit
ln4584:
mov.l g2_except_addr4584,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4584,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4588
mov.l execexit_ptr4588,r1
jmp @r1
add #-2,r6
fdl4588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4588: .long execexit
.balign 32
g2_except_addr4584: .long group_2_exception
bf_addr4584: .long basefunction
! Opcodes 87E0 - 87E7
S7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4589
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4589
neg r2,r2
noidivis4589:
cmp/pz r0
bt noidivid4589
neg r0,r0
noidivid4589:
cmp/hs r2,r0
bt ln4590
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4591
mov.l execexit_ptr4591,r1
jmp @r1
add #-2,r6
fdl4591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4591: .long execexit
ln4590:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4592
mov.l execexit_ptr4592,r1
jmp @r1
add #-2,r6
fdl4592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4592: .long execexit
ln4589:
mov.l g2_except_addr4589,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4589,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4593
mov.l execexit_ptr4593,r1
jmp @r1
add #-2,r6
fdl4593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4593: .long execexit
.balign 32
g2_except_addr4589: .long group_2_exception
bf_addr4589: .long basefunction
! Opcodes 87E8 - 87EF
S7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4594
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4594
neg r2,r2
noidivis4594:
cmp/pz r0
bt noidivid4594
neg r0,r0
noidivid4594:
cmp/hs r2,r0
bt ln4595
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4596
mov.l execexit_ptr4596,r1
jmp @r1
add #-2,r6
fdl4596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4596: .long execexit
ln4595:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4597
mov.l execexit_ptr4597,r1
jmp @r1
add #-2,r6
fdl4597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4597: .long execexit
ln4594:
mov.l g2_except_addr4594,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4594,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4598
mov.l execexit_ptr4598,r1
jmp @r1
add #-2,r6
fdl4598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4598: .long execexit
.balign 32
g2_except_addr4594: .long group_2_exception
bf_addr4594: .long basefunction
! Opcodes 87F0 - 87F7
S7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd863
exts.w r0,r0
longwd863:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4599
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4599
neg r2,r2
noidivis4599:
cmp/pz r0
bt noidivid4599
neg r0,r0
noidivid4599:
cmp/hs r2,r0
bt ln4600
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4601
mov.l execexit_ptr4601,r1
jmp @r1
add #-2,r6
fdl4601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4601: .long execexit
ln4600:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4602
mov.l execexit_ptr4602,r1
jmp @r1
add #-2,r6
fdl4602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4602: .long execexit
ln4599:
mov.l g2_except_addr4599,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4599,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4603
mov.l execexit_ptr4603,r1
jmp @r1
add #-2,r6
fdl4603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4603: .long execexit
.balign 32
g2_except_addr4599: .long group_2_exception
bf_addr4599: .long basefunction
! Opcode 87F8
S7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4604
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4604
neg r2,r2
noidivis4604:
cmp/pz r0
bt noidivid4604
neg r0,r0
noidivid4604:
cmp/hs r2,r0
bt ln4605
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4606
mov.l execexit_ptr4606,r1
jmp @r1
add #-2,r6
fdl4606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4606: .long execexit
ln4605:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4607
mov.l execexit_ptr4607,r1
jmp @r1
add #-2,r6
fdl4607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4607: .long execexit
ln4604:
mov.l g2_except_addr4604,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4604,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4608
mov.l execexit_ptr4608,r1
jmp @r1
add #-2,r6
fdl4608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4608: .long execexit
.balign 32
g2_except_addr4604: .long group_2_exception
bf_addr4604: .long basefunction
! Opcode 87F9
S7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4609
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4609
neg r2,r2
noidivis4609:
cmp/pz r0
bt noidivid4609
neg r0,r0
noidivid4609:
cmp/hs r2,r0
bt ln4610
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4611
mov.l execexit_ptr4611,r1
jmp @r1
add #-2,r6
fdl4611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4611: .long execexit
ln4610:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4612
mov.l execexit_ptr4612,r1
jmp @r1
add #-2,r6
fdl4612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4612: .long execexit
ln4609:
mov.l g2_except_addr4609,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4609,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4613
mov.l execexit_ptr4613,r1
jmp @r1
add #-2,r6
fdl4613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4613: .long execexit
.balign 32
g2_except_addr4609: .long group_2_exception
bf_addr4609: .long basefunction
! Opcode 87FA
S7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4614
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4614
neg r2,r2
noidivis4614:
cmp/pz r0
bt noidivid4614
neg r0,r0
noidivid4614:
cmp/hs r2,r0
bt ln4615
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4616
mov.l execexit_ptr4616,r1
jmp @r1
add #-2,r6
fdl4616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4616: .long execexit
ln4615:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4617
mov.l execexit_ptr4617,r1
jmp @r1
add #-2,r6
fdl4617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4617: .long execexit
ln4614:
mov.l g2_except_addr4614,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4614,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4618
mov.l execexit_ptr4618,r1
jmp @r1
add #-2,r6
fdl4618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4618: .long execexit
.balign 32
g2_except_addr4614: .long group_2_exception
bf_addr4614: .long basefunction
! Opcode 87FB
S7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd864
exts.w r0,r0
longwd864:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4619
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4619
neg r2,r2
noidivis4619:
cmp/pz r0
bt noidivid4619
neg r0,r0
noidivid4619:
cmp/hs r2,r0
bt ln4620
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4621
mov.l execexit_ptr4621,r1
jmp @r1
add #-2,r6
fdl4621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4621: .long execexit
ln4620:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4622
mov.l execexit_ptr4622,r1
jmp @r1
add #-2,r6
fdl4622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4622: .long execexit
ln4619:
mov.l g2_except_addr4619,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4619,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4623
mov.l execexit_ptr4623,r1
jmp @r1
add #-2,r6
fdl4623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4623: .long execexit
.balign 32
g2_except_addr4619: .long group_2_exception
bf_addr4619: .long basefunction
! Opcode 87FC
S7FC:
mov.w @r6+,r3
mov.l @(12,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4624
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4624
neg r2,r2
noidivis4624:
cmp/pz r0
bt noidivid4624
neg r0,r0
noidivid4624:
cmp/hs r2,r0
bt ln4625
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(12,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4626
mov.l execexit_ptr4626,r1
jmp @r1
add #-2,r6
fdl4626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4626: .long execexit
ln4625:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4627
mov.l execexit_ptr4627,r1
jmp @r1
add #-2,r6
fdl4627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4627: .long execexit
ln4624:
mov.l g2_except_addr4624,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4624,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4628
mov.l execexit_ptr4628,r1
jmp @r1
add #-2,r6
fdl4628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4628: .long execexit
.balign 32
g2_except_addr4624: .long group_2_exception
bf_addr4624: .long basefunction
! Opcodes 8800 - 8807
S800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4629
mov.l execexit_ptr4629,r1
jmp @r1
add #-2,r6
fdl4629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4629: .long execexit
! Opcodes 8810 - 8817
S810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4630
mov.l execexit_ptr4630,r1
jmp @r1
add #-2,r6
fdl4630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4630: .long execexit
! Opcodes 8818 - 881F
S818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4631
mov.l execexit_ptr4631,r1
jmp @r1
add #-2,r6
fdl4631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4631: .long execexit
! Opcodes 8820 - 8827
S820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4632
mov.l execexit_ptr4632,r1
jmp @r1
add #-2,r6
fdl4632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4632: .long execexit
! Opcodes 8828 - 882F
S828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4633
mov.l execexit_ptr4633,r1
jmp @r1
add #-2,r6
fdl4633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4633: .long execexit
! Opcodes 8830 - 8837
S830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd865
exts.w r0,r0
longwd865:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4634
mov.l execexit_ptr4634,r1
jmp @r1
add #-2,r6
fdl4634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4634: .long execexit
! Opcode 8838
S838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4635
mov.l execexit_ptr4635,r1
jmp @r1
add #-2,r6
fdl4635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4635: .long execexit
! Opcode 8839
S839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4636
mov.l execexit_ptr4636,r1
jmp @r1
add #-2,r6
fdl4636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4636: .long execexit
! Opcode 883A
S83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4637
mov.l execexit_ptr4637,r1
jmp @r1
add #-2,r6
fdl4637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4637: .long execexit
! Opcode 883B
S83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd866
exts.w r0,r0
longwd866:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4638
mov.l execexit_ptr4638,r1
jmp @r1
add #-2,r6
fdl4638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4638: .long execexit
! Opcode 883C
S83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4639
mov.l execexit_ptr4639,r1
jmp @r1
add #-2,r6
fdl4639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4639: .long execexit
! Opcodes 8840 - 8847
S840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4640
mov.l execexit_ptr4640,r1
jmp @r1
add #-2,r6
fdl4640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4640: .long execexit
! Opcodes 8850 - 8857
S850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4641
mov.l execexit_ptr4641,r1
jmp @r1
add #-2,r6
fdl4641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4641: .long execexit
! Opcodes 8858 - 885F
S858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4642
mov.l execexit_ptr4642,r1
jmp @r1
add #-2,r6
fdl4642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4642: .long execexit
! Opcodes 8860 - 8867
S860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4643
mov.l execexit_ptr4643,r1
jmp @r1
add #-2,r6
fdl4643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4643: .long execexit
! Opcodes 8868 - 886F
S868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4644
mov.l execexit_ptr4644,r1
jmp @r1
add #-2,r6
fdl4644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4644: .long execexit
! Opcodes 8870 - 8877
S870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd867
exts.w r0,r0
longwd867:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4645
mov.l execexit_ptr4645,r1
jmp @r1
add #-2,r6
fdl4645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4645: .long execexit
! Opcode 8878
S878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4646
mov.l execexit_ptr4646,r1
jmp @r1
add #-2,r6
fdl4646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4646: .long execexit
! Opcode 8879
S879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4647
mov.l execexit_ptr4647,r1
jmp @r1
add #-2,r6
fdl4647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4647: .long execexit
! Opcode 887A
S87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4648
mov.l execexit_ptr4648,r1
jmp @r1
add #-2,r6
fdl4648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4648: .long execexit
! Opcode 887B
S87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd868
exts.w r0,r0
longwd868:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4649
mov.l execexit_ptr4649,r1
jmp @r1
add #-2,r6
fdl4649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4649: .long execexit
! Opcode 887C
S87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4650
mov.l execexit_ptr4650,r1
jmp @r1
add #-2,r6
fdl4650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4650: .long execexit
! Opcodes 8880 - 8887
S880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4651
mov.l execexit_ptr4651,r1
jmp @r1
add #-2,r6
fdl4651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4651: .long execexit
! Opcodes 8890 - 8897
S890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4652
mov.l execexit_ptr4652,r1
jmp @r1
add #-2,r6
fdl4652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4652: .long execexit
! Opcodes 8898 - 889F
S898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4653
mov.l execexit_ptr4653,r1
jmp @r1
add #-2,r6
fdl4653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4653: .long execexit
! Opcodes 88A0 - 88A7
S8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4654
mov.l execexit_ptr4654,r1
jmp @r1
add #-2,r6
fdl4654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4654: .long execexit
! Opcodes 88A8 - 88AF
S8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4655
mov.l execexit_ptr4655,r1
jmp @r1
add #-2,r6
fdl4655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4655: .long execexit
! Opcodes 88B0 - 88B7
S8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd869
exts.w r0,r0
longwd869:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4656
mov.l execexit_ptr4656,r1
jmp @r1
add #-2,r6
fdl4656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4656: .long execexit
! Opcode 88B8
S8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4657
mov.l execexit_ptr4657,r1
jmp @r1
add #-2,r6
fdl4657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4657: .long execexit
! Opcode 88B9
S8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4658
mov.l execexit_ptr4658,r1
jmp @r1
add #-2,r6
fdl4658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4658: .long execexit
! Opcode 88BA
S8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4659
mov.l execexit_ptr4659,r1
jmp @r1
add #-2,r6
fdl4659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4659: .long execexit
! Opcode 88BB
S8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd870
exts.w r0,r0
longwd870:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4660
mov.l execexit_ptr4660,r1
jmp @r1
add #-2,r6
fdl4660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4660: .long execexit
! Opcode 88BC
S8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
or r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4661
mov.l execexit_ptr4661,r1
jmp @r1
add #-2,r6
fdl4661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4661: .long execexit
! Opcodes 88C0 - 88C7
S8C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4662
cmp/hs r3,r1
bt ln4663
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4664
mov.l execexit_ptr4664,r1
jmp @r1
add #-2,r6
fdl4664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4664: .long execexit
ln4663:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4665
mov.l execexit_ptr4665,r1
jmp @r1
add #-2,r6
fdl4665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4665: .long execexit
ln4662:
mov.l g2_except_addr4662,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4662,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4666
mov.l execexit_ptr4666,r1
jmp @r1
add #-2,r6
fdl4666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4666: .long execexit
.balign 32
g2_except_addr4662: .long group_2_exception
bf_addr4662: .long basefunction
! Opcodes 88D0 - 88D7
S8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4667
cmp/hs r3,r1
bt ln4668
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4669
mov.l execexit_ptr4669,r1
jmp @r1
add #-2,r6
fdl4669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4669: .long execexit
ln4668:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4670
mov.l execexit_ptr4670,r1
jmp @r1
add #-2,r6
fdl4670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4670: .long execexit
ln4667:
mov.l g2_except_addr4667,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4667,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4671
mov.l execexit_ptr4671,r1
jmp @r1
add #-2,r6
fdl4671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4671: .long execexit
.balign 32
g2_except_addr4667: .long group_2_exception
bf_addr4667: .long basefunction
! Opcodes 88D8 - 88DF
S8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4672
cmp/hs r3,r1
bt ln4673
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4674
mov.l execexit_ptr4674,r1
jmp @r1
add #-2,r6
fdl4674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4674: .long execexit
ln4673:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4675
mov.l execexit_ptr4675,r1
jmp @r1
add #-2,r6
fdl4675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4675: .long execexit
ln4672:
mov.l g2_except_addr4672,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4672,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4676
mov.l execexit_ptr4676,r1
jmp @r1
add #-2,r6
fdl4676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4676: .long execexit
.balign 32
g2_except_addr4672: .long group_2_exception
bf_addr4672: .long basefunction
! Opcodes 88E0 - 88E7
S8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4677
cmp/hs r3,r1
bt ln4678
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4679
mov.l execexit_ptr4679,r1
jmp @r1
add #-2,r6
fdl4679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4679: .long execexit
ln4678:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4680
mov.l execexit_ptr4680,r1
jmp @r1
add #-2,r6
fdl4680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4680: .long execexit
ln4677:
mov.l g2_except_addr4677,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4677,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4681
mov.l execexit_ptr4681,r1
jmp @r1
add #-2,r6
fdl4681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4681: .long execexit
.balign 32
g2_except_addr4677: .long group_2_exception
bf_addr4677: .long basefunction
! Opcodes 88E8 - 88EF
S8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4682
cmp/hs r3,r1
bt ln4683
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4684
mov.l execexit_ptr4684,r1
jmp @r1
add #-2,r6
fdl4684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4684: .long execexit
ln4683:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4685
mov.l execexit_ptr4685,r1
jmp @r1
add #-2,r6
fdl4685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4685: .long execexit
ln4682:
mov.l g2_except_addr4682,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4682,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4686
mov.l execexit_ptr4686,r1
jmp @r1
add #-2,r6
fdl4686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4686: .long execexit
.balign 32
g2_except_addr4682: .long group_2_exception
bf_addr4682: .long basefunction
! Opcodes 88F0 - 88F7
S8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd871
exts.w r0,r0
longwd871:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4687
cmp/hs r3,r1
bt ln4688
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4689
mov.l execexit_ptr4689,r1
jmp @r1
add #-2,r6
fdl4689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4689: .long execexit
ln4688:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4690
mov.l execexit_ptr4690,r1
jmp @r1
add #-2,r6
fdl4690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4690: .long execexit
ln4687:
mov.l g2_except_addr4687,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4687,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4691
mov.l execexit_ptr4691,r1
jmp @r1
add #-2,r6
fdl4691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4691: .long execexit
.balign 32
g2_except_addr4687: .long group_2_exception
bf_addr4687: .long basefunction
! Opcode 88F8
S8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4692
cmp/hs r3,r1
bt ln4693
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4694
mov.l execexit_ptr4694,r1
jmp @r1
add #-2,r6
fdl4694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4694: .long execexit
ln4693:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4695
mov.l execexit_ptr4695,r1
jmp @r1
add #-2,r6
fdl4695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4695: .long execexit
ln4692:
mov.l g2_except_addr4692,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4692,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4696
mov.l execexit_ptr4696,r1
jmp @r1
add #-2,r6
fdl4696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4696: .long execexit
.balign 32
g2_except_addr4692: .long group_2_exception
bf_addr4692: .long basefunction
! Opcode 88F9
S8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4697
cmp/hs r3,r1
bt ln4698
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4699
mov.l execexit_ptr4699,r1
jmp @r1
add #-2,r6
fdl4699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4699: .long execexit
ln4698:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4700
mov.l execexit_ptr4700,r1
jmp @r1
add #-2,r6
fdl4700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4700: .long execexit
ln4697:
mov.l g2_except_addr4697,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4697,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4701
mov.l execexit_ptr4701,r1
jmp @r1
add #-2,r6
fdl4701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4701: .long execexit
.balign 32
g2_except_addr4697: .long group_2_exception
bf_addr4697: .long basefunction
! Opcode 88FA
S8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4702
cmp/hs r3,r1
bt ln4703
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4704
mov.l execexit_ptr4704,r1
jmp @r1
add #-2,r6
fdl4704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4704: .long execexit
ln4703:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4705
mov.l execexit_ptr4705,r1
jmp @r1
add #-2,r6
fdl4705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4705: .long execexit
ln4702:
mov.l g2_except_addr4702,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4702,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4706
mov.l execexit_ptr4706,r1
jmp @r1
add #-2,r6
fdl4706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4706: .long execexit
.balign 32
g2_except_addr4702: .long group_2_exception
bf_addr4702: .long basefunction
! Opcode 88FB
S8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd872
exts.w r0,r0
longwd872:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4707
cmp/hs r3,r1
bt ln4708
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4709
mov.l execexit_ptr4709,r1
jmp @r1
add #-2,r6
fdl4709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4709: .long execexit
ln4708:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4710
mov.l execexit_ptr4710,r1
jmp @r1
add #-2,r6
fdl4710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4710: .long execexit
ln4707:
mov.l g2_except_addr4707,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4707,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4711
mov.l execexit_ptr4711,r1
jmp @r1
add #-2,r6
fdl4711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4711: .long execexit
.balign 32
g2_except_addr4707: .long group_2_exception
bf_addr4707: .long basefunction
! Opcode 88FC
S8FC:
mov.w @r6+,r3
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4712
cmp/hs r3,r1
bt ln4713
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4714
mov.l execexit_ptr4714,r1
jmp @r1
add #-2,r6
fdl4714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4714: .long execexit
ln4713:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4715
mov.l execexit_ptr4715,r1
jmp @r1
add #-2,r6
fdl4715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4715: .long execexit
ln4712:
mov.l g2_except_addr4712,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4712,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4716
mov.l execexit_ptr4716,r1
jmp @r1
add #-2,r6
fdl4716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4716: .long execexit
.balign 32
g2_except_addr4712: .long group_2_exception
bf_addr4712: .long basefunction
! Opcodes 8900 - 8907
S900:
and r1,r2
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4717
add #-6,r8
.nonibadd4717:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4717
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4717:
exts.b r3,r3
mov r9,r8
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4718
mov.l execexit_ptr4718,r1
jmp @r1
add #-2,r6
fdl4718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4718: .long execexit
! Opcodes 8908 - 890F
S908:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4719
add #-6,r8
.nonibadd4719:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4719
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4719:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4720
mov.l execexit_ptr4720,r1
jmp @r1
add #-2,r6
fdl4720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4720: .long execexit
! Opcodes 8910 - 8917
S910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4721
mov.l execexit_ptr4721,r1
jmp @r1
add #-2,r6
fdl4721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4721: .long execexit
! Opcodes 8918 - 891F
S918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4722
mov.l execexit_ptr4722,r1
jmp @r1
add #-2,r6
fdl4722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4722: .long execexit
! Opcodes 8920 - 8927
S920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4723
mov.l execexit_ptr4723,r1
jmp @r1
add #-2,r6
fdl4723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4723: .long execexit
! Opcodes 8928 - 892F
S928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4724
mov.l execexit_ptr4724,r1
jmp @r1
add #-2,r6
fdl4724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4724: .long execexit
! Opcodes 8930 - 8937
S930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd873
exts.w r0,r0
longwd873:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4725
mov.l execexit_ptr4725,r1
jmp @r1
add #-2,r6
fdl4725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4725: .long execexit
! Opcode 8938
S938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4726
mov.l execexit_ptr4726,r1
jmp @r1
add #-2,r6
fdl4726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4726: .long execexit
! Opcode 8939
S939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4727
mov.l execexit_ptr4727,r1
jmp @r1
add #-2,r6
fdl4727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4727: .long execexit
! Opcodes 8950 - 8957
S950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4728
mov.l execexit_ptr4728,r1
jmp @r1
add #-2,r6
fdl4728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4728: .long execexit
! Opcodes 8958 - 895F
S958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4729
mov.l execexit_ptr4729,r1
jmp @r1
add #-2,r6
fdl4729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4729: .long execexit
! Opcodes 8960 - 8967
S960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4730
mov.l execexit_ptr4730,r1
jmp @r1
add #-2,r6
fdl4730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4730: .long execexit
! Opcodes 8968 - 896F
S968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4731
mov.l execexit_ptr4731,r1
jmp @r1
add #-2,r6
fdl4731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4731: .long execexit
! Opcodes 8970 - 8977
S970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd874
exts.w r0,r0
longwd874:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4732
mov.l execexit_ptr4732,r1
jmp @r1
add #-2,r6
fdl4732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4732: .long execexit
! Opcode 8978
S978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4733
mov.l execexit_ptr4733,r1
jmp @r1
add #-2,r6
fdl4733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4733: .long execexit
! Opcode 8979
S979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4734
mov.l execexit_ptr4734,r1
jmp @r1
add #-2,r6
fdl4734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4734: .long execexit
! Opcodes 8990 - 8997
S990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4735
mov.l execexit_ptr4735,r1
jmp @r1
add #-2,r6
fdl4735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4735: .long execexit
! Opcodes 8998 - 899F
S998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4736
mov.l execexit_ptr4736,r1
jmp @r1
add #-2,r6
fdl4736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4736: .long execexit
! Opcodes 89A0 - 89A7
S9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4737
mov.l execexit_ptr4737,r1
jmp @r1
add #-2,r6
fdl4737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4737: .long execexit
! Opcodes 89A8 - 89AF
S9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4738
mov.l execexit_ptr4738,r1
jmp @r1
add #-2,r6
fdl4738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4738: .long execexit
! Opcodes 89B0 - 89B7
S9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd875
exts.w r0,r0
longwd875:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4739
mov.l execexit_ptr4739,r1
jmp @r1
add #-2,r6
fdl4739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4739: .long execexit
! Opcode 89B8
S9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4740
mov.l execexit_ptr4740,r1
jmp @r1
add #-2,r6
fdl4740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4740: .long execexit
! Opcode 89B9
S9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4741
mov.l execexit_ptr4741,r1
jmp @r1
add #-2,r6
fdl4741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4741: .long execexit
! Opcodes 89C0 - 89C7
S9C0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4742
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4742
neg r2,r2
noidivis4742:
cmp/pz r0
bt noidivid4742
neg r0,r0
noidivid4742:
cmp/hs r2,r0
bt ln4743
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4744
mov.l execexit_ptr4744,r1
jmp @r1
add #-2,r6
fdl4744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4744: .long execexit
ln4743:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4745
mov.l execexit_ptr4745,r1
jmp @r1
add #-2,r6
fdl4745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4745: .long execexit
ln4742:
mov.l g2_except_addr4742,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4742,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4746
mov.l execexit_ptr4746,r1
jmp @r1
add #-2,r6
fdl4746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4746: .long execexit
.balign 32
g2_except_addr4742: .long group_2_exception
bf_addr4742: .long basefunction
! Opcodes 89D0 - 89D7
S9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4747
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4747
neg r2,r2
noidivis4747:
cmp/pz r0
bt noidivid4747
neg r0,r0
noidivid4747:
cmp/hs r2,r0
bt ln4748
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4749
mov.l execexit_ptr4749,r1
jmp @r1
add #-2,r6
fdl4749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4749: .long execexit
ln4748:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4750
mov.l execexit_ptr4750,r1
jmp @r1
add #-2,r6
fdl4750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4750: .long execexit
ln4747:
mov.l g2_except_addr4747,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4747,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4751
mov.l execexit_ptr4751,r1
jmp @r1
add #-2,r6
fdl4751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4751: .long execexit
.balign 32
g2_except_addr4747: .long group_2_exception
bf_addr4747: .long basefunction
! Opcodes 89D8 - 89DF
S9D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4752
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4752
neg r2,r2
noidivis4752:
cmp/pz r0
bt noidivid4752
neg r0,r0
noidivid4752:
cmp/hs r2,r0
bt ln4753
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4754
mov.l execexit_ptr4754,r1
jmp @r1
add #-2,r6
fdl4754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4754: .long execexit
ln4753:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4755
mov.l execexit_ptr4755,r1
jmp @r1
add #-2,r6
fdl4755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4755: .long execexit
ln4752:
mov.l g2_except_addr4752,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4752,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4756
mov.l execexit_ptr4756,r1
jmp @r1
add #-2,r6
fdl4756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4756: .long execexit
.balign 32
g2_except_addr4752: .long group_2_exception
bf_addr4752: .long basefunction
! Opcodes 89E0 - 89E7
S9E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4757
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4757
neg r2,r2
noidivis4757:
cmp/pz r0
bt noidivid4757
neg r0,r0
noidivid4757:
cmp/hs r2,r0
bt ln4758
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4759
mov.l execexit_ptr4759,r1
jmp @r1
add #-2,r6
fdl4759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4759: .long execexit
ln4758:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4760
mov.l execexit_ptr4760,r1
jmp @r1
add #-2,r6
fdl4760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4760: .long execexit
ln4757:
mov.l g2_except_addr4757,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4757,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4761
mov.l execexit_ptr4761,r1
jmp @r1
add #-2,r6
fdl4761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4761: .long execexit
.balign 32
g2_except_addr4757: .long group_2_exception
bf_addr4757: .long basefunction
! Opcodes 89E8 - 89EF
S9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4762
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4762
neg r2,r2
noidivis4762:
cmp/pz r0
bt noidivid4762
neg r0,r0
noidivid4762:
cmp/hs r2,r0
bt ln4763
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4764
mov.l execexit_ptr4764,r1
jmp @r1
add #-2,r6
fdl4764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4764: .long execexit
ln4763:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4765
mov.l execexit_ptr4765,r1
jmp @r1
add #-2,r6
fdl4765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4765: .long execexit
ln4762:
mov.l g2_except_addr4762,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4762,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4766
mov.l execexit_ptr4766,r1
jmp @r1
add #-2,r6
fdl4766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4766: .long execexit
.balign 32
g2_except_addr4762: .long group_2_exception
bf_addr4762: .long basefunction
! Opcodes 89F0 - 89F7
S9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd876
exts.w r0,r0
longwd876:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4767
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4767
neg r2,r2
noidivis4767:
cmp/pz r0
bt noidivid4767
neg r0,r0
noidivid4767:
cmp/hs r2,r0
bt ln4768
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4769
mov.l execexit_ptr4769,r1
jmp @r1
add #-2,r6
fdl4769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4769: .long execexit
ln4768:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4770
mov.l execexit_ptr4770,r1
jmp @r1
add #-2,r6
fdl4770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4770: .long execexit
ln4767:
mov.l g2_except_addr4767,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4767,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4771
mov.l execexit_ptr4771,r1
jmp @r1
add #-2,r6
fdl4771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4771: .long execexit
.balign 32
g2_except_addr4767: .long group_2_exception
bf_addr4767: .long basefunction
! Opcode 89F8
S9F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4772
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4772
neg r2,r2
noidivis4772:
cmp/pz r0
bt noidivid4772
neg r0,r0
noidivid4772:
cmp/hs r2,r0
bt ln4773
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4774
mov.l execexit_ptr4774,r1
jmp @r1
add #-2,r6
fdl4774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4774: .long execexit
ln4773:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4775
mov.l execexit_ptr4775,r1
jmp @r1
add #-2,r6
fdl4775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4775: .long execexit
ln4772:
mov.l g2_except_addr4772,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4772,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4776
mov.l execexit_ptr4776,r1
jmp @r1
add #-2,r6
fdl4776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4776: .long execexit
.balign 32
g2_except_addr4772: .long group_2_exception
bf_addr4772: .long basefunction
! Opcode 89F9
S9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4777
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4777
neg r2,r2
noidivis4777:
cmp/pz r0
bt noidivid4777
neg r0,r0
noidivid4777:
cmp/hs r2,r0
bt ln4778
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4779
mov.l execexit_ptr4779,r1
jmp @r1
add #-2,r6
fdl4779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4779: .long execexit
ln4778:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4780
mov.l execexit_ptr4780,r1
jmp @r1
add #-2,r6
fdl4780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4780: .long execexit
ln4777:
mov.l g2_except_addr4777,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4777,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4781
mov.l execexit_ptr4781,r1
jmp @r1
add #-2,r6
fdl4781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4781: .long execexit
.balign 32
g2_except_addr4777: .long group_2_exception
bf_addr4777: .long basefunction
! Opcode 89FA
S9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4782
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4782
neg r2,r2
noidivis4782:
cmp/pz r0
bt noidivid4782
neg r0,r0
noidivid4782:
cmp/hs r2,r0
bt ln4783
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4784
mov.l execexit_ptr4784,r1
jmp @r1
add #-2,r6
fdl4784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4784: .long execexit
ln4783:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4785
mov.l execexit_ptr4785,r1
jmp @r1
add #-2,r6
fdl4785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4785: .long execexit
ln4782:
mov.l g2_except_addr4782,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4782,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4786
mov.l execexit_ptr4786,r1
jmp @r1
add #-2,r6
fdl4786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4786: .long execexit
.balign 32
g2_except_addr4782: .long group_2_exception
bf_addr4782: .long basefunction
! Opcode 89FB
S9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd877
exts.w r0,r0
longwd877:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4787
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4787
neg r2,r2
noidivis4787:
cmp/pz r0
bt noidivid4787
neg r0,r0
noidivid4787:
cmp/hs r2,r0
bt ln4788
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4789
mov.l execexit_ptr4789,r1
jmp @r1
add #-2,r6
fdl4789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4789: .long execexit
ln4788:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4790
mov.l execexit_ptr4790,r1
jmp @r1
add #-2,r6
fdl4790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4790: .long execexit
ln4787:
mov.l g2_except_addr4787,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4787,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4791
mov.l execexit_ptr4791,r1
jmp @r1
add #-2,r6
fdl4791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4791: .long execexit
.balign 32
g2_except_addr4787: .long group_2_exception
bf_addr4787: .long basefunction
! Opcode 89FC
S9FC:
mov.w @r6+,r3
mov.l @(16,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4792
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4792
neg r2,r2
noidivis4792:
cmp/pz r0
bt noidivid4792
neg r0,r0
noidivid4792:
cmp/hs r2,r0
bt ln4793
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(16,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4794
mov.l execexit_ptr4794,r1
jmp @r1
add #-2,r6
fdl4794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4794: .long execexit
ln4793:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4795
mov.l execexit_ptr4795,r1
jmp @r1
add #-2,r6
fdl4795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4795: .long execexit
ln4792:
mov.l g2_except_addr4792,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4792,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4796
mov.l execexit_ptr4796,r1
jmp @r1
add #-2,r6
fdl4796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4796: .long execexit
.balign 32
g2_except_addr4792: .long group_2_exception
bf_addr4792: .long basefunction
! Opcodes 8A00 - 8A07
SA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4797
mov.l execexit_ptr4797,r1
jmp @r1
add #-2,r6
fdl4797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4797: .long execexit
! Opcodes 8A10 - 8A17
SA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4798
mov.l execexit_ptr4798,r1
jmp @r1
add #-2,r6
fdl4798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4798: .long execexit
! Opcodes 8A18 - 8A1F
SA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4799
mov.l execexit_ptr4799,r1
jmp @r1
add #-2,r6
fdl4799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4799: .long execexit
! Opcodes 8A20 - 8A27
SA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4800
mov.l execexit_ptr4800,r1
jmp @r1
add #-2,r6
fdl4800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4800: .long execexit
! Opcodes 8A28 - 8A2F
SA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4801
mov.l execexit_ptr4801,r1
jmp @r1
add #-2,r6
fdl4801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4801: .long execexit
! Opcodes 8A30 - 8A37
SA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd878
exts.w r0,r0
longwd878:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4802
mov.l execexit_ptr4802,r1
jmp @r1
add #-2,r6
fdl4802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4802: .long execexit
! Opcode 8A38
SA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4803
mov.l execexit_ptr4803,r1
jmp @r1
add #-2,r6
fdl4803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4803: .long execexit
! Opcode 8A39
SA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4804
mov.l execexit_ptr4804,r1
jmp @r1
add #-2,r6
fdl4804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4804: .long execexit
! Opcode 8A3A
SA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4805
mov.l execexit_ptr4805,r1
jmp @r1
add #-2,r6
fdl4805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4805: .long execexit
! Opcode 8A3B
SA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd879
exts.w r0,r0
longwd879:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4806
mov.l execexit_ptr4806,r1
jmp @r1
add #-2,r6
fdl4806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4806: .long execexit
! Opcode 8A3C
SA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4807
mov.l execexit_ptr4807,r1
jmp @r1
add #-2,r6
fdl4807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4807: .long execexit
! Opcodes 8A40 - 8A47
SA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4808
mov.l execexit_ptr4808,r1
jmp @r1
add #-2,r6
fdl4808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4808: .long execexit
! Opcodes 8A50 - 8A57
SA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4809
mov.l execexit_ptr4809,r1
jmp @r1
add #-2,r6
fdl4809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4809: .long execexit
! Opcodes 8A58 - 8A5F
SA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4810
mov.l execexit_ptr4810,r1
jmp @r1
add #-2,r6
fdl4810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4810: .long execexit
! Opcodes 8A60 - 8A67
SA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4811
mov.l execexit_ptr4811,r1
jmp @r1
add #-2,r6
fdl4811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4811: .long execexit
! Opcodes 8A68 - 8A6F
SA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4812
mov.l execexit_ptr4812,r1
jmp @r1
add #-2,r6
fdl4812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4812: .long execexit
! Opcodes 8A70 - 8A77
SA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd880
exts.w r0,r0
longwd880:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4813
mov.l execexit_ptr4813,r1
jmp @r1
add #-2,r6
fdl4813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4813: .long execexit
! Opcode 8A78
SA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4814
mov.l execexit_ptr4814,r1
jmp @r1
add #-2,r6
fdl4814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4814: .long execexit
! Opcode 8A79
SA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4815
mov.l execexit_ptr4815,r1
jmp @r1
add #-2,r6
fdl4815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4815: .long execexit
! Opcode 8A7A
SA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4816
mov.l execexit_ptr4816,r1
jmp @r1
add #-2,r6
fdl4816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4816: .long execexit
! Opcode 8A7B
SA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd881
exts.w r0,r0
longwd881:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4817
mov.l execexit_ptr4817,r1
jmp @r1
add #-2,r6
fdl4817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4817: .long execexit
! Opcode 8A7C
SA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4818
mov.l execexit_ptr4818,r1
jmp @r1
add #-2,r6
fdl4818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4818: .long execexit
! Opcodes 8A80 - 8A87
SA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4819
mov.l execexit_ptr4819,r1
jmp @r1
add #-2,r6
fdl4819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4819: .long execexit
! Opcodes 8A90 - 8A97
SA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4820
mov.l execexit_ptr4820,r1
jmp @r1
add #-2,r6
fdl4820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4820: .long execexit
! Opcodes 8A98 - 8A9F
SA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4821
mov.l execexit_ptr4821,r1
jmp @r1
add #-2,r6
fdl4821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4821: .long execexit
! Opcodes 8AA0 - 8AA7
SAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4822
mov.l execexit_ptr4822,r1
jmp @r1
add #-2,r6
fdl4822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4822: .long execexit
! Opcodes 8AA8 - 8AAF
SAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4823
mov.l execexit_ptr4823,r1
jmp @r1
add #-2,r6
fdl4823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4823: .long execexit
! Opcodes 8AB0 - 8AB7
SAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd882
exts.w r0,r0
longwd882:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4824
mov.l execexit_ptr4824,r1
jmp @r1
add #-2,r6
fdl4824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4824: .long execexit
! Opcode 8AB8
SAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4825
mov.l execexit_ptr4825,r1
jmp @r1
add #-2,r6
fdl4825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4825: .long execexit
! Opcode 8AB9
SAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4826
mov.l execexit_ptr4826,r1
jmp @r1
add #-2,r6
fdl4826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4826: .long execexit
! Opcode 8ABA
SABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4827
mov.l execexit_ptr4827,r1
jmp @r1
add #-2,r6
fdl4827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4827: .long execexit
! Opcode 8ABB
SABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd883
exts.w r0,r0
longwd883:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4828
mov.l execexit_ptr4828,r1
jmp @r1
add #-2,r6
fdl4828:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4828: .long execexit
! Opcode 8ABC
SABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
or r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4829
mov.l execexit_ptr4829,r1
jmp @r1
add #-2,r6
fdl4829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4829: .long execexit
! Opcodes 8AC0 - 8AC7
SAC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4830
cmp/hs r3,r1
bt ln4831
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4832
mov.l execexit_ptr4832,r1
jmp @r1
add #-2,r6
fdl4832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4832: .long execexit
ln4831:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4833
mov.l execexit_ptr4833,r1
jmp @r1
add #-2,r6
fdl4833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4833: .long execexit
ln4830:
mov.l g2_except_addr4830,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4830,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4834
mov.l execexit_ptr4834,r1
jmp @r1
add #-2,r6
fdl4834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4834: .long execexit
.balign 32
g2_except_addr4830: .long group_2_exception
bf_addr4830: .long basefunction
! Opcodes 8AD0 - 8AD7
SAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4835
cmp/hs r3,r1
bt ln4836
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4837
mov.l execexit_ptr4837,r1
jmp @r1
add #-2,r6
fdl4837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4837: .long execexit
ln4836:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4838
mov.l execexit_ptr4838,r1
jmp @r1
add #-2,r6
fdl4838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4838: .long execexit
ln4835:
mov.l g2_except_addr4835,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4835,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4839
mov.l execexit_ptr4839,r1
jmp @r1
add #-2,r6
fdl4839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4839: .long execexit
.balign 32
g2_except_addr4835: .long group_2_exception
bf_addr4835: .long basefunction
! Opcodes 8AD8 - 8ADF
SAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4840
cmp/hs r3,r1
bt ln4841
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4842
mov.l execexit_ptr4842,r1
jmp @r1
add #-2,r6
fdl4842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4842: .long execexit
ln4841:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4843
mov.l execexit_ptr4843,r1
jmp @r1
add #-2,r6
fdl4843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4843: .long execexit
ln4840:
mov.l g2_except_addr4840,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4840,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4844
mov.l execexit_ptr4844,r1
jmp @r1
add #-2,r6
fdl4844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4844: .long execexit
.balign 32
g2_except_addr4840: .long group_2_exception
bf_addr4840: .long basefunction
! Opcodes 8AE0 - 8AE7
SAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4845
cmp/hs r3,r1
bt ln4846
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4847
mov.l execexit_ptr4847,r1
jmp @r1
add #-2,r6
fdl4847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4847: .long execexit
ln4846:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4848
mov.l execexit_ptr4848,r1
jmp @r1
add #-2,r6
fdl4848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4848: .long execexit
ln4845:
mov.l g2_except_addr4845,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4845,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4849
mov.l execexit_ptr4849,r1
jmp @r1
add #-2,r6
fdl4849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4849: .long execexit
.balign 32
g2_except_addr4845: .long group_2_exception
bf_addr4845: .long basefunction
! Opcodes 8AE8 - 8AEF
SAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4850
cmp/hs r3,r1
bt ln4851
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4852
mov.l execexit_ptr4852,r1
jmp @r1
add #-2,r6
fdl4852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4852: .long execexit
ln4851:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4853
mov.l execexit_ptr4853,r1
jmp @r1
add #-2,r6
fdl4853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4853: .long execexit
ln4850:
mov.l g2_except_addr4850,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4850,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4854
mov.l execexit_ptr4854,r1
jmp @r1
add #-2,r6
fdl4854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4854: .long execexit
.balign 32
g2_except_addr4850: .long group_2_exception
bf_addr4850: .long basefunction
! Opcodes 8AF0 - 8AF7
SAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd884
exts.w r0,r0
longwd884:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4855
cmp/hs r3,r1
bt ln4856
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4857
mov.l execexit_ptr4857,r1
jmp @r1
add #-2,r6
fdl4857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4857: .long execexit
ln4856:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4858
mov.l execexit_ptr4858,r1
jmp @r1
add #-2,r6
fdl4858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4858: .long execexit
ln4855:
mov.l g2_except_addr4855,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4855,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4859
mov.l execexit_ptr4859,r1
jmp @r1
add #-2,r6
fdl4859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4859: .long execexit
.balign 32
g2_except_addr4855: .long group_2_exception
bf_addr4855: .long basefunction
! Opcode 8AF8
SAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4860
cmp/hs r3,r1
bt ln4861
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4862
mov.l execexit_ptr4862,r1
jmp @r1
add #-2,r6
fdl4862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4862: .long execexit
ln4861:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4863
mov.l execexit_ptr4863,r1
jmp @r1
add #-2,r6
fdl4863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4863: .long execexit
ln4860:
mov.l g2_except_addr4860,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4860,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4864
mov.l execexit_ptr4864,r1
jmp @r1
add #-2,r6
fdl4864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4864: .long execexit
.balign 32
g2_except_addr4860: .long group_2_exception
bf_addr4860: .long basefunction
! Opcode 8AF9
SAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4865
cmp/hs r3,r1
bt ln4866
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4867
mov.l execexit_ptr4867,r1
jmp @r1
add #-2,r6
fdl4867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4867: .long execexit
ln4866:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4868
mov.l execexit_ptr4868,r1
jmp @r1
add #-2,r6
fdl4868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4868: .long execexit
ln4865:
mov.l g2_except_addr4865,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4865,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4869
mov.l execexit_ptr4869,r1
jmp @r1
add #-2,r6
fdl4869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4869: .long execexit
.balign 32
g2_except_addr4865: .long group_2_exception
bf_addr4865: .long basefunction
! Opcode 8AFA
SAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4870
cmp/hs r3,r1
bt ln4871
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4872
mov.l execexit_ptr4872,r1
jmp @r1
add #-2,r6
fdl4872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4872: .long execexit
ln4871:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4873
mov.l execexit_ptr4873,r1
jmp @r1
add #-2,r6
fdl4873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4873: .long execexit
ln4870:
mov.l g2_except_addr4870,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4870,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4874
mov.l execexit_ptr4874,r1
jmp @r1
add #-2,r6
fdl4874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4874: .long execexit
.balign 32
g2_except_addr4870: .long group_2_exception
bf_addr4870: .long basefunction
! Opcode 8AFB
SAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd885
exts.w r0,r0
longwd885:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4875
cmp/hs r3,r1
bt ln4876
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4877
mov.l execexit_ptr4877,r1
jmp @r1
add #-2,r6
fdl4877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4877: .long execexit
ln4876:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4878
mov.l execexit_ptr4878,r1
jmp @r1
add #-2,r6
fdl4878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4878: .long execexit
ln4875:
mov.l g2_except_addr4875,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4875,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4879
mov.l execexit_ptr4879,r1
jmp @r1
add #-2,r6
fdl4879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4879: .long execexit
.balign 32
g2_except_addr4875: .long group_2_exception
bf_addr4875: .long basefunction
! Opcode 8AFC
SAFC:
mov.w @r6+,r3
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4880
cmp/hs r3,r1
bt ln4881
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4882
mov.l execexit_ptr4882,r1
jmp @r1
add #-2,r6
fdl4882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4882: .long execexit
ln4881:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4883
mov.l execexit_ptr4883,r1
jmp @r1
add #-2,r6
fdl4883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4883: .long execexit
ln4880:
mov.l g2_except_addr4880,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4880,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4884
mov.l execexit_ptr4884,r1
jmp @r1
add #-2,r6
fdl4884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4884: .long execexit
.balign 32
g2_except_addr4880: .long group_2_exception
bf_addr4880: .long basefunction
! Opcodes 8B00 - 8B07
SB00:
and r1,r2
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4885
add #-6,r8
.nonibadd4885:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4885
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4885:
exts.b r3,r3
mov r9,r8
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4886
mov.l execexit_ptr4886,r1
jmp @r1
add #-2,r6
fdl4886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4886: .long execexit
! Opcodes 8B08 - 8B0F
SB08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd4887
add #-6,r8
.nonibadd4887:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop4887
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop4887:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4888
mov.l execexit_ptr4888,r1
jmp @r1
add #-2,r6
fdl4888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4888: .long execexit
! Opcodes 8B10 - 8B17
SB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4889
mov.l execexit_ptr4889,r1
jmp @r1
add #-2,r6
fdl4889:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4889: .long execexit
! Opcodes 8B18 - 8B1F
SB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4890
mov.l execexit_ptr4890,r1
jmp @r1
add #-2,r6
fdl4890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4890: .long execexit
! Opcodes 8B20 - 8B27
SB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4891
mov.l execexit_ptr4891,r1
jmp @r1
add #-2,r6
fdl4891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4891: .long execexit
! Opcodes 8B28 - 8B2F
SB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4892
mov.l execexit_ptr4892,r1
jmp @r1
add #-2,r6
fdl4892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4892: .long execexit
! Opcodes 8B30 - 8B37
SB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd886
exts.w r0,r0
longwd886:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4893
mov.l execexit_ptr4893,r1
jmp @r1
add #-2,r6
fdl4893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4893: .long execexit
! Opcode 8B38
SB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4894
mov.l execexit_ptr4894,r1
jmp @r1
add #-2,r6
fdl4894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4894: .long execexit
! Opcode 8B39
SB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4895
mov.l execexit_ptr4895,r1
jmp @r1
add #-2,r6
fdl4895:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4895: .long execexit
! Opcodes 8B50 - 8B57
SB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4896
mov.l execexit_ptr4896,r1
jmp @r1
add #-2,r6
fdl4896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4896: .long execexit
! Opcodes 8B58 - 8B5F
SB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4897
mov.l execexit_ptr4897,r1
jmp @r1
add #-2,r6
fdl4897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4897: .long execexit
! Opcodes 8B60 - 8B67
SB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4898
mov.l execexit_ptr4898,r1
jmp @r1
add #-2,r6
fdl4898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4898: .long execexit
! Opcodes 8B68 - 8B6F
SB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4899
mov.l execexit_ptr4899,r1
jmp @r1
add #-2,r6
fdl4899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4899: .long execexit
! Opcodes 8B70 - 8B77
SB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd887
exts.w r0,r0
longwd887:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4900
mov.l execexit_ptr4900,r1
jmp @r1
add #-2,r6
fdl4900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4900: .long execexit
! Opcode 8B78
SB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4901
mov.l execexit_ptr4901,r1
jmp @r1
add #-2,r6
fdl4901:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4901: .long execexit
! Opcode 8B79
SB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4902
mov.l execexit_ptr4902,r1
jmp @r1
add #-2,r6
fdl4902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4902: .long execexit
! Opcodes 8B90 - 8B97
SB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4903
mov.l execexit_ptr4903,r1
jmp @r1
add #-2,r6
fdl4903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4903: .long execexit
! Opcodes 8B98 - 8B9F
SB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4904
mov.l execexit_ptr4904,r1
jmp @r1
add #-2,r6
fdl4904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4904: .long execexit
! Opcodes 8BA0 - 8BA7
SBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4905
mov.l execexit_ptr4905,r1
jmp @r1
add #-2,r6
fdl4905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4905: .long execexit
! Opcodes 8BA8 - 8BAF
SBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4906
mov.l execexit_ptr4906,r1
jmp @r1
add #-2,r6
fdl4906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4906: .long execexit
! Opcodes 8BB0 - 8BB7
SBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd888
exts.w r0,r0
longwd888:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4907
mov.l execexit_ptr4907,r1
jmp @r1
add #-2,r6
fdl4907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4907: .long execexit
! Opcode 8BB8
SBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4908
mov.l execexit_ptr4908,r1
jmp @r1
add #-2,r6
fdl4908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4908: .long execexit
! Opcode 8BB9
SBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4909
mov.l execexit_ptr4909,r1
jmp @r1
add #-2,r6
fdl4909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4909: .long execexit
! Opcodes 8BC0 - 8BC7
SBC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4910
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4910
neg r2,r2
noidivis4910:
cmp/pz r0
bt noidivid4910
neg r0,r0
noidivid4910:
cmp/hs r2,r0
bt ln4911
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4912
mov.l execexit_ptr4912,r1
jmp @r1
add #-2,r6
fdl4912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4912: .long execexit
ln4911:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4913
mov.l execexit_ptr4913,r1
jmp @r1
add #-2,r6
fdl4913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4913: .long execexit
ln4910:
mov.l g2_except_addr4910,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4910,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4914
mov.l execexit_ptr4914,r1
jmp @r1
add #-2,r6
fdl4914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4914: .long execexit
.balign 32
g2_except_addr4910: .long group_2_exception
bf_addr4910: .long basefunction
! Opcodes 8BD0 - 8BD7
SBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4915
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4915
neg r2,r2
noidivis4915:
cmp/pz r0
bt noidivid4915
neg r0,r0
noidivid4915:
cmp/hs r2,r0
bt ln4916
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4917
mov.l execexit_ptr4917,r1
jmp @r1
add #-2,r6
fdl4917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4917: .long execexit
ln4916:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4918
mov.l execexit_ptr4918,r1
jmp @r1
add #-2,r6
fdl4918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4918: .long execexit
ln4915:
mov.l g2_except_addr4915,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4915,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4919
mov.l execexit_ptr4919,r1
jmp @r1
add #-2,r6
fdl4919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4919: .long execexit
.balign 32
g2_except_addr4915: .long group_2_exception
bf_addr4915: .long basefunction
! Opcodes 8BD8 - 8BDF
SBD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4920
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4920
neg r2,r2
noidivis4920:
cmp/pz r0
bt noidivid4920
neg r0,r0
noidivid4920:
cmp/hs r2,r0
bt ln4921
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4922
mov.l execexit_ptr4922,r1
jmp @r1
add #-2,r6
fdl4922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4922: .long execexit
ln4921:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4923
mov.l execexit_ptr4923,r1
jmp @r1
add #-2,r6
fdl4923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4923: .long execexit
ln4920:
mov.l g2_except_addr4920,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4920,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4924
mov.l execexit_ptr4924,r1
jmp @r1
add #-2,r6
fdl4924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4924: .long execexit
.balign 32
g2_except_addr4920: .long group_2_exception
bf_addr4920: .long basefunction
! Opcodes 8BE0 - 8BE7
SBE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4925
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4925
neg r2,r2
noidivis4925:
cmp/pz r0
bt noidivid4925
neg r0,r0
noidivid4925:
cmp/hs r2,r0
bt ln4926
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4927
mov.l execexit_ptr4927,r1
jmp @r1
add #-2,r6
fdl4927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4927: .long execexit
ln4926:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4928
mov.l execexit_ptr4928,r1
jmp @r1
add #-2,r6
fdl4928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4928: .long execexit
ln4925:
mov.l g2_except_addr4925,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4925,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4929
mov.l execexit_ptr4929,r1
jmp @r1
add #-2,r6
fdl4929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4929: .long execexit
.balign 32
g2_except_addr4925: .long group_2_exception
bf_addr4925: .long basefunction
! Opcodes 8BE8 - 8BEF
SBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4930
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4930
neg r2,r2
noidivis4930:
cmp/pz r0
bt noidivid4930
neg r0,r0
noidivid4930:
cmp/hs r2,r0
bt ln4931
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4932
mov.l execexit_ptr4932,r1
jmp @r1
add #-2,r6
fdl4932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4932: .long execexit
ln4931:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4933
mov.l execexit_ptr4933,r1
jmp @r1
add #-2,r6
fdl4933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4933: .long execexit
ln4930:
mov.l g2_except_addr4930,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4930,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4934
mov.l execexit_ptr4934,r1
jmp @r1
add #-2,r6
fdl4934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4934: .long execexit
.balign 32
g2_except_addr4930: .long group_2_exception
bf_addr4930: .long basefunction
! Opcodes 8BF0 - 8BF7
SBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd889
exts.w r0,r0
longwd889:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4935
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4935
neg r2,r2
noidivis4935:
cmp/pz r0
bt noidivid4935
neg r0,r0
noidivid4935:
cmp/hs r2,r0
bt ln4936
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4937
mov.l execexit_ptr4937,r1
jmp @r1
add #-2,r6
fdl4937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4937: .long execexit
ln4936:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4938
mov.l execexit_ptr4938,r1
jmp @r1
add #-2,r6
fdl4938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4938: .long execexit
ln4935:
mov.l g2_except_addr4935,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4935,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4939
mov.l execexit_ptr4939,r1
jmp @r1
add #-2,r6
fdl4939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4939: .long execexit
.balign 32
g2_except_addr4935: .long group_2_exception
bf_addr4935: .long basefunction
! Opcode 8BF8
SBF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4940
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4940
neg r2,r2
noidivis4940:
cmp/pz r0
bt noidivid4940
neg r0,r0
noidivid4940:
cmp/hs r2,r0
bt ln4941
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4942
mov.l execexit_ptr4942,r1
jmp @r1
add #-2,r6
fdl4942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4942: .long execexit
ln4941:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4943
mov.l execexit_ptr4943,r1
jmp @r1
add #-2,r6
fdl4943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4943: .long execexit
ln4940:
mov.l g2_except_addr4940,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4940,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4944
mov.l execexit_ptr4944,r1
jmp @r1
add #-2,r6
fdl4944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4944: .long execexit
.balign 32
g2_except_addr4940: .long group_2_exception
bf_addr4940: .long basefunction
! Opcode 8BF9
SBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4945
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4945
neg r2,r2
noidivis4945:
cmp/pz r0
bt noidivid4945
neg r0,r0
noidivid4945:
cmp/hs r2,r0
bt ln4946
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4947
mov.l execexit_ptr4947,r1
jmp @r1
add #-2,r6
fdl4947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4947: .long execexit
ln4946:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4948
mov.l execexit_ptr4948,r1
jmp @r1
add #-2,r6
fdl4948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4948: .long execexit
ln4945:
mov.l g2_except_addr4945,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4945,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4949
mov.l execexit_ptr4949,r1
jmp @r1
add #-2,r6
fdl4949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4949: .long execexit
.balign 32
g2_except_addr4945: .long group_2_exception
bf_addr4945: .long basefunction
! Opcode 8BFA
SBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4950
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4950
neg r2,r2
noidivis4950:
cmp/pz r0
bt noidivid4950
neg r0,r0
noidivid4950:
cmp/hs r2,r0
bt ln4951
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4952
mov.l execexit_ptr4952,r1
jmp @r1
add #-2,r6
fdl4952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4952: .long execexit
ln4951:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4953
mov.l execexit_ptr4953,r1
jmp @r1
add #-2,r6
fdl4953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4953: .long execexit
ln4950:
mov.l g2_except_addr4950,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4950,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4954
mov.l execexit_ptr4954,r1
jmp @r1
add #-2,r6
fdl4954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4954: .long execexit
.balign 32
g2_except_addr4950: .long group_2_exception
bf_addr4950: .long basefunction
! Opcode 8BFB
SBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd890
exts.w r0,r0
longwd890:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4955
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4955
neg r2,r2
noidivis4955:
cmp/pz r0
bt noidivid4955
neg r0,r0
noidivid4955:
cmp/hs r2,r0
bt ln4956
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4957
mov.l execexit_ptr4957,r1
jmp @r1
add #-2,r6
fdl4957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4957: .long execexit
ln4956:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4958
mov.l execexit_ptr4958,r1
jmp @r1
add #-2,r6
fdl4958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4958: .long execexit
ln4955:
mov.l g2_except_addr4955,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4955,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4959
mov.l execexit_ptr4959,r1
jmp @r1
add #-2,r6
fdl4959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4959: .long execexit
.balign 32
g2_except_addr4955: .long group_2_exception
bf_addr4955: .long basefunction
! Opcode 8BFC
SBFC:
mov.w @r6+,r3
mov.l @(20,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4960
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis4960
neg r2,r2
noidivis4960:
cmp/pz r0
bt noidivid4960
neg r0,r0
noidivid4960:
cmp/hs r2,r0
bt ln4961
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(20,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4962
mov.l execexit_ptr4962,r1
jmp @r1
add #-2,r6
fdl4962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4962: .long execexit
ln4961:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4963
mov.l execexit_ptr4963,r1
jmp @r1
add #-2,r6
fdl4963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4963: .long execexit
ln4960:
mov.l g2_except_addr4960,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4960,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4964
mov.l execexit_ptr4964,r1
jmp @r1
add #-2,r6
fdl4964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4964: .long execexit
.balign 32
g2_except_addr4960: .long group_2_exception
bf_addr4960: .long basefunction
! Opcodes 8C00 - 8C07
SC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4965
mov.l execexit_ptr4965,r1
jmp @r1
add #-2,r6
fdl4965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4965: .long execexit
! Opcodes 8C10 - 8C17
SC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4966
mov.l execexit_ptr4966,r1
jmp @r1
add #-2,r6
fdl4966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4966: .long execexit
! Opcodes 8C18 - 8C1F
SC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4967
mov.l execexit_ptr4967,r1
jmp @r1
add #-2,r6
fdl4967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4967: .long execexit
! Opcodes 8C20 - 8C27
SC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4968
mov.l execexit_ptr4968,r1
jmp @r1
add #-2,r6
fdl4968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4968: .long execexit
! Opcodes 8C28 - 8C2F
SC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4969
mov.l execexit_ptr4969,r1
jmp @r1
add #-2,r6
fdl4969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4969: .long execexit
! Opcodes 8C30 - 8C37
SC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd891
exts.w r0,r0
longwd891:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4970
mov.l execexit_ptr4970,r1
jmp @r1
add #-2,r6
fdl4970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4970: .long execexit
! Opcode 8C38
SC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4971
mov.l execexit_ptr4971,r1
jmp @r1
add #-2,r6
fdl4971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4971: .long execexit
! Opcode 8C39
SC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4972
mov.l execexit_ptr4972,r1
jmp @r1
add #-2,r6
fdl4972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4972: .long execexit
! Opcode 8C3A
SC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4973
mov.l execexit_ptr4973,r1
jmp @r1
add #-2,r6
fdl4973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4973: .long execexit
! Opcode 8C3B
SC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd892
exts.w r0,r0
longwd892:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4974
mov.l execexit_ptr4974,r1
jmp @r1
add #-2,r6
fdl4974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4974: .long execexit
! Opcode 8C3C
SC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4975
mov.l execexit_ptr4975,r1
jmp @r1
add #-2,r6
fdl4975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4975: .long execexit
! Opcodes 8C40 - 8C47
SC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4976
mov.l execexit_ptr4976,r1
jmp @r1
add #-2,r6
fdl4976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4976: .long execexit
! Opcodes 8C50 - 8C57
SC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4977
mov.l execexit_ptr4977,r1
jmp @r1
add #-2,r6
fdl4977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4977: .long execexit
! Opcodes 8C58 - 8C5F
SC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4978
mov.l execexit_ptr4978,r1
jmp @r1
add #-2,r6
fdl4978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4978: .long execexit
! Opcodes 8C60 - 8C67
SC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4979
mov.l execexit_ptr4979,r1
jmp @r1
add #-2,r6
fdl4979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4979: .long execexit
! Opcodes 8C68 - 8C6F
SC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4980
mov.l execexit_ptr4980,r1
jmp @r1
add #-2,r6
fdl4980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4980: .long execexit
! Opcodes 8C70 - 8C77
SC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd893
exts.w r0,r0
longwd893:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4981
mov.l execexit_ptr4981,r1
jmp @r1
add #-2,r6
fdl4981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4981: .long execexit
! Opcode 8C78
SC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4982
mov.l execexit_ptr4982,r1
jmp @r1
add #-2,r6
fdl4982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4982: .long execexit
! Opcode 8C79
SC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4983
mov.l execexit_ptr4983,r1
jmp @r1
add #-2,r6
fdl4983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4983: .long execexit
! Opcode 8C7A
SC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4984
mov.l execexit_ptr4984,r1
jmp @r1
add #-2,r6
fdl4984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4984: .long execexit
! Opcode 8C7B
SC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd894
exts.w r0,r0
longwd894:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4985
mov.l execexit_ptr4985,r1
jmp @r1
add #-2,r6
fdl4985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4985: .long execexit
! Opcode 8C7C
SC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4986
mov.l execexit_ptr4986,r1
jmp @r1
add #-2,r6
fdl4986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4986: .long execexit
! Opcodes 8C80 - 8C87
SC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4987
mov.l execexit_ptr4987,r1
jmp @r1
add #-2,r6
fdl4987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4987: .long execexit
! Opcodes 8C90 - 8C97
SC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4988
mov.l execexit_ptr4988,r1
jmp @r1
add #-2,r6
fdl4988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4988: .long execexit
! Opcodes 8C98 - 8C9F
SC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4989
mov.l execexit_ptr4989,r1
jmp @r1
add #-2,r6
fdl4989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4989: .long execexit
! Opcodes 8CA0 - 8CA7
SCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4990
mov.l execexit_ptr4990,r1
jmp @r1
add #-2,r6
fdl4990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4990: .long execexit
! Opcodes 8CA8 - 8CAF
SCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4991
mov.l execexit_ptr4991,r1
jmp @r1
add #-2,r6
fdl4991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4991: .long execexit
! Opcodes 8CB0 - 8CB7
SCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd895
exts.w r0,r0
longwd895:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4992
mov.l execexit_ptr4992,r1
jmp @r1
add #-2,r6
fdl4992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4992: .long execexit
! Opcode 8CB8
SCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4993
mov.l execexit_ptr4993,r1
jmp @r1
add #-2,r6
fdl4993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4993: .long execexit
! Opcode 8CB9
SCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4994
mov.l execexit_ptr4994,r1
jmp @r1
add #-2,r6
fdl4994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4994: .long execexit
! Opcode 8CBA
SCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4995
mov.l execexit_ptr4995,r1
jmp @r1
add #-2,r6
fdl4995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4995: .long execexit
! Opcode 8CBB
SCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd896
exts.w r0,r0
longwd896:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4996
mov.l execexit_ptr4996,r1
jmp @r1
add #-2,r6
fdl4996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4996: .long execexit
! Opcode 8CBC
SCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
or r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl4997
mov.l execexit_ptr4997,r1
jmp @r1
add #-2,r6
fdl4997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr4997: .long execexit
! Opcodes 8CC0 - 8CC7
SCC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln4998
cmp/hs r3,r1
bt ln4999
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5000
mov.l execexit_ptr5000,r1
jmp @r1
add #-2,r6
fdl5000:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5000: .long execexit
ln4999:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5001
mov.l execexit_ptr5001,r1
jmp @r1
add #-2,r6
fdl5001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5001: .long execexit
ln4998:
mov.l g2_except_addr4998,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr4998,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5002
mov.l execexit_ptr5002,r1
jmp @r1
add #-2,r6
fdl5002:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5002: .long execexit
.balign 32
g2_except_addr4998: .long group_2_exception
bf_addr4998: .long basefunction
! Opcodes 8CD0 - 8CD7
SCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5003
cmp/hs r3,r1
bt ln5004
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5005
mov.l execexit_ptr5005,r1
jmp @r1
add #-2,r6
fdl5005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5005: .long execexit
ln5004:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5006
mov.l execexit_ptr5006,r1
jmp @r1
add #-2,r6
fdl5006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5006: .long execexit
ln5003:
mov.l g2_except_addr5003,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5003,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5007
mov.l execexit_ptr5007,r1
jmp @r1
add #-2,r6
fdl5007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5007: .long execexit
.balign 32
g2_except_addr5003: .long group_2_exception
bf_addr5003: .long basefunction
! Opcodes 8CD8 - 8CDF
SCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5008
cmp/hs r3,r1
bt ln5009
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5010
mov.l execexit_ptr5010,r1
jmp @r1
add #-2,r6
fdl5010:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5010: .long execexit
ln5009:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5011
mov.l execexit_ptr5011,r1
jmp @r1
add #-2,r6
fdl5011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5011: .long execexit
ln5008:
mov.l g2_except_addr5008,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5008,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5012
mov.l execexit_ptr5012,r1
jmp @r1
add #-2,r6
fdl5012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5012: .long execexit
.balign 32
g2_except_addr5008: .long group_2_exception
bf_addr5008: .long basefunction
! Opcodes 8CE0 - 8CE7
SCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5013
cmp/hs r3,r1
bt ln5014
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5015
mov.l execexit_ptr5015,r1
jmp @r1
add #-2,r6
fdl5015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5015: .long execexit
ln5014:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5016
mov.l execexit_ptr5016,r1
jmp @r1
add #-2,r6
fdl5016:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5016: .long execexit
ln5013:
mov.l g2_except_addr5013,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5013,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5017
mov.l execexit_ptr5017,r1
jmp @r1
add #-2,r6
fdl5017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5017: .long execexit
.balign 32
g2_except_addr5013: .long group_2_exception
bf_addr5013: .long basefunction
! Opcodes 8CE8 - 8CEF
SCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5018
cmp/hs r3,r1
bt ln5019
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5020
mov.l execexit_ptr5020,r1
jmp @r1
add #-2,r6
fdl5020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5020: .long execexit
ln5019:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5021
mov.l execexit_ptr5021,r1
jmp @r1
add #-2,r6
fdl5021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5021: .long execexit
ln5018:
mov.l g2_except_addr5018,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5018,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5022
mov.l execexit_ptr5022,r1
jmp @r1
add #-2,r6
fdl5022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5022: .long execexit
.balign 32
g2_except_addr5018: .long group_2_exception
bf_addr5018: .long basefunction
! Opcodes 8CF0 - 8CF7
SCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd897
exts.w r0,r0
longwd897:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5023
cmp/hs r3,r1
bt ln5024
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5025
mov.l execexit_ptr5025,r1
jmp @r1
add #-2,r6
fdl5025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5025: .long execexit
ln5024:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5026
mov.l execexit_ptr5026,r1
jmp @r1
add #-2,r6
fdl5026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5026: .long execexit
ln5023:
mov.l g2_except_addr5023,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5023,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5027
mov.l execexit_ptr5027,r1
jmp @r1
add #-2,r6
fdl5027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5027: .long execexit
.balign 32
g2_except_addr5023: .long group_2_exception
bf_addr5023: .long basefunction
! Opcode 8CF8
SCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5028
cmp/hs r3,r1
bt ln5029
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5030
mov.l execexit_ptr5030,r1
jmp @r1
add #-2,r6
fdl5030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5030: .long execexit
ln5029:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5031
mov.l execexit_ptr5031,r1
jmp @r1
add #-2,r6
fdl5031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5031: .long execexit
ln5028:
mov.l g2_except_addr5028,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5028,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5032
mov.l execexit_ptr5032,r1
jmp @r1
add #-2,r6
fdl5032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5032: .long execexit
.balign 32
g2_except_addr5028: .long group_2_exception
bf_addr5028: .long basefunction
! Opcode 8CF9
SCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5033
cmp/hs r3,r1
bt ln5034
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5035
mov.l execexit_ptr5035,r1
jmp @r1
add #-2,r6
fdl5035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5035: .long execexit
ln5034:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5036
mov.l execexit_ptr5036,r1
jmp @r1
add #-2,r6
fdl5036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5036: .long execexit
ln5033:
mov.l g2_except_addr5033,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5033,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5037
mov.l execexit_ptr5037,r1
jmp @r1
add #-2,r6
fdl5037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5037: .long execexit
.balign 32
g2_except_addr5033: .long group_2_exception
bf_addr5033: .long basefunction
! Opcode 8CFA
SCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5038
cmp/hs r3,r1
bt ln5039
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5040
mov.l execexit_ptr5040,r1
jmp @r1
add #-2,r6
fdl5040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5040: .long execexit
ln5039:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5041
mov.l execexit_ptr5041,r1
jmp @r1
add #-2,r6
fdl5041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5041: .long execexit
ln5038:
mov.l g2_except_addr5038,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5038,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5042
mov.l execexit_ptr5042,r1
jmp @r1
add #-2,r6
fdl5042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5042: .long execexit
.balign 32
g2_except_addr5038: .long group_2_exception
bf_addr5038: .long basefunction
! Opcode 8CFB
SCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd898
exts.w r0,r0
longwd898:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5043
cmp/hs r3,r1
bt ln5044
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5045
mov.l execexit_ptr5045,r1
jmp @r1
add #-2,r6
fdl5045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5045: .long execexit
ln5044:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5046
mov.l execexit_ptr5046,r1
jmp @r1
add #-2,r6
fdl5046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5046: .long execexit
ln5043:
mov.l g2_except_addr5043,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5043,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5047
mov.l execexit_ptr5047,r1
jmp @r1
add #-2,r6
fdl5047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5047: .long execexit
.balign 32
g2_except_addr5043: .long group_2_exception
bf_addr5043: .long basefunction
! Opcode 8CFC
SCFC:
mov.w @r6+,r3
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5048
cmp/hs r3,r1
bt ln5049
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5050
mov.l execexit_ptr5050,r1
jmp @r1
add #-2,r6
fdl5050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5050: .long execexit
ln5049:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5051
mov.l execexit_ptr5051,r1
jmp @r1
add #-2,r6
fdl5051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5051: .long execexit
ln5048:
mov.l g2_except_addr5048,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5048,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5052
mov.l execexit_ptr5052,r1
jmp @r1
add #-2,r6
fdl5052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5052: .long execexit
.balign 32
g2_except_addr5048: .long group_2_exception
bf_addr5048: .long basefunction
! Opcodes 8D00 - 8D07
SD00:
and r1,r2
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5053
add #-6,r8
.nonibadd5053:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5053
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5053:
exts.b r3,r3
mov r9,r8
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5054
mov.l execexit_ptr5054,r1
jmp @r1
add #-2,r6
fdl5054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5054: .long execexit
! Opcodes 8D08 - 8D0F
SD08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5055
add #-6,r8
.nonibadd5055:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5055
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5055:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5056
mov.l execexit_ptr5056,r1
jmp @r1
add #-2,r6
fdl5056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5056: .long execexit
! Opcodes 8D10 - 8D17
SD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5057
mov.l execexit_ptr5057,r1
jmp @r1
add #-2,r6
fdl5057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5057: .long execexit
! Opcodes 8D18 - 8D1F
SD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5058
mov.l execexit_ptr5058,r1
jmp @r1
add #-2,r6
fdl5058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5058: .long execexit
! Opcodes 8D20 - 8D27
SD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5059
mov.l execexit_ptr5059,r1
jmp @r1
add #-2,r6
fdl5059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5059: .long execexit
! Opcodes 8D28 - 8D2F
SD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5060
mov.l execexit_ptr5060,r1
jmp @r1
add #-2,r6
fdl5060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5060: .long execexit
! Opcodes 8D30 - 8D37
SD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd899
exts.w r0,r0
longwd899:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5061
mov.l execexit_ptr5061,r1
jmp @r1
add #-2,r6
fdl5061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5061: .long execexit
! Opcode 8D38
SD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5062
mov.l execexit_ptr5062,r1
jmp @r1
add #-2,r6
fdl5062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5062: .long execexit
! Opcode 8D39
SD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5063
mov.l execexit_ptr5063,r1
jmp @r1
add #-2,r6
fdl5063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5063: .long execexit
! Opcodes 8D50 - 8D57
SD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5064
mov.l execexit_ptr5064,r1
jmp @r1
add #-2,r6
fdl5064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5064: .long execexit
! Opcodes 8D58 - 8D5F
SD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5065
mov.l execexit_ptr5065,r1
jmp @r1
add #-2,r6
fdl5065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5065: .long execexit
! Opcodes 8D60 - 8D67
SD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5066
mov.l execexit_ptr5066,r1
jmp @r1
add #-2,r6
fdl5066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5066: .long execexit
! Opcodes 8D68 - 8D6F
SD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5067
mov.l execexit_ptr5067,r1
jmp @r1
add #-2,r6
fdl5067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5067: .long execexit
! Opcodes 8D70 - 8D77
SD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd900
exts.w r0,r0
longwd900:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5068
mov.l execexit_ptr5068,r1
jmp @r1
add #-2,r6
fdl5068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5068: .long execexit
! Opcode 8D78
SD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5069
mov.l execexit_ptr5069,r1
jmp @r1
add #-2,r6
fdl5069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5069: .long execexit
! Opcode 8D79
SD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5070
mov.l execexit_ptr5070,r1
jmp @r1
add #-2,r6
fdl5070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5070: .long execexit
! Opcodes 8D90 - 8D97
SD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5071
mov.l execexit_ptr5071,r1
jmp @r1
add #-2,r6
fdl5071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5071: .long execexit
! Opcodes 8D98 - 8D9F
SD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5072
mov.l execexit_ptr5072,r1
jmp @r1
add #-2,r6
fdl5072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5072: .long execexit
! Opcodes 8DA0 - 8DA7
SDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5073
mov.l execexit_ptr5073,r1
jmp @r1
add #-2,r6
fdl5073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5073: .long execexit
! Opcodes 8DA8 - 8DAF
SDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5074
mov.l execexit_ptr5074,r1
jmp @r1
add #-2,r6
fdl5074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5074: .long execexit
! Opcodes 8DB0 - 8DB7
SDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd901
exts.w r0,r0
longwd901:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5075
mov.l execexit_ptr5075,r1
jmp @r1
add #-2,r6
fdl5075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5075: .long execexit
! Opcode 8DB8
SDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5076
mov.l execexit_ptr5076,r1
jmp @r1
add #-2,r6
fdl5076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5076: .long execexit
! Opcode 8DB9
SDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5077
mov.l execexit_ptr5077,r1
jmp @r1
add #-2,r6
fdl5077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5077: .long execexit
! Opcodes 8DC0 - 8DC7
SDC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5078
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5078
neg r2,r2
noidivis5078:
cmp/pz r0
bt noidivid5078
neg r0,r0
noidivid5078:
cmp/hs r2,r0
bt ln5079
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5080
mov.l execexit_ptr5080,r1
jmp @r1
add #-2,r6
fdl5080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5080: .long execexit
ln5079:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5081
mov.l execexit_ptr5081,r1
jmp @r1
add #-2,r6
fdl5081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5081: .long execexit
ln5078:
mov.l g2_except_addr5078,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5078,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5082
mov.l execexit_ptr5082,r1
jmp @r1
add #-2,r6
fdl5082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5082: .long execexit
.balign 32
g2_except_addr5078: .long group_2_exception
bf_addr5078: .long basefunction
! Opcodes 8DD0 - 8DD7
SDD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5083
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5083
neg r2,r2
noidivis5083:
cmp/pz r0
bt noidivid5083
neg r0,r0
noidivid5083:
cmp/hs r2,r0
bt ln5084
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5085
mov.l execexit_ptr5085,r1
jmp @r1
add #-2,r6
fdl5085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5085: .long execexit
ln5084:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5086
mov.l execexit_ptr5086,r1
jmp @r1
add #-2,r6
fdl5086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5086: .long execexit
ln5083:
mov.l g2_except_addr5083,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5083,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5087
mov.l execexit_ptr5087,r1
jmp @r1
add #-2,r6
fdl5087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5087: .long execexit
.balign 32
g2_except_addr5083: .long group_2_exception
bf_addr5083: .long basefunction
! Opcodes 8DD8 - 8DDF
SDD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5088
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5088
neg r2,r2
noidivis5088:
cmp/pz r0
bt noidivid5088
neg r0,r0
noidivid5088:
cmp/hs r2,r0
bt ln5089
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5090
mov.l execexit_ptr5090,r1
jmp @r1
add #-2,r6
fdl5090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5090: .long execexit
ln5089:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5091
mov.l execexit_ptr5091,r1
jmp @r1
add #-2,r6
fdl5091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5091: .long execexit
ln5088:
mov.l g2_except_addr5088,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5088,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5092
mov.l execexit_ptr5092,r1
jmp @r1
add #-2,r6
fdl5092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5092: .long execexit
.balign 32
g2_except_addr5088: .long group_2_exception
bf_addr5088: .long basefunction
! Opcodes 8DE0 - 8DE7
SDE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5093
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5093
neg r2,r2
noidivis5093:
cmp/pz r0
bt noidivid5093
neg r0,r0
noidivid5093:
cmp/hs r2,r0
bt ln5094
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5095
mov.l execexit_ptr5095,r1
jmp @r1
add #-2,r6
fdl5095:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5095: .long execexit
ln5094:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5096
mov.l execexit_ptr5096,r1
jmp @r1
add #-2,r6
fdl5096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5096: .long execexit
ln5093:
mov.l g2_except_addr5093,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5093,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5097
mov.l execexit_ptr5097,r1
jmp @r1
add #-2,r6
fdl5097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5097: .long execexit
.balign 32
g2_except_addr5093: .long group_2_exception
bf_addr5093: .long basefunction
! Opcodes 8DE8 - 8DEF
SDE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5098
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5098
neg r2,r2
noidivis5098:
cmp/pz r0
bt noidivid5098
neg r0,r0
noidivid5098:
cmp/hs r2,r0
bt ln5099
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5100
mov.l execexit_ptr5100,r1
jmp @r1
add #-2,r6
fdl5100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5100: .long execexit
ln5099:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5101
mov.l execexit_ptr5101,r1
jmp @r1
add #-2,r6
fdl5101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5101: .long execexit
ln5098:
mov.l g2_except_addr5098,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5098,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5102
mov.l execexit_ptr5102,r1
jmp @r1
add #-2,r6
fdl5102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5102: .long execexit
.balign 32
g2_except_addr5098: .long group_2_exception
bf_addr5098: .long basefunction
! Opcodes 8DF0 - 8DF7
SDF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd902
exts.w r0,r0
longwd902:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5103
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5103
neg r2,r2
noidivis5103:
cmp/pz r0
bt noidivid5103
neg r0,r0
noidivid5103:
cmp/hs r2,r0
bt ln5104
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5105
mov.l execexit_ptr5105,r1
jmp @r1
add #-2,r6
fdl5105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5105: .long execexit
ln5104:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5106
mov.l execexit_ptr5106,r1
jmp @r1
add #-2,r6
fdl5106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5106: .long execexit
ln5103:
mov.l g2_except_addr5103,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5103,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5107
mov.l execexit_ptr5107,r1
jmp @r1
add #-2,r6
fdl5107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5107: .long execexit
.balign 32
g2_except_addr5103: .long group_2_exception
bf_addr5103: .long basefunction
! Opcode 8DF8
SDF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5108
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5108
neg r2,r2
noidivis5108:
cmp/pz r0
bt noidivid5108
neg r0,r0
noidivid5108:
cmp/hs r2,r0
bt ln5109
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5110
mov.l execexit_ptr5110,r1
jmp @r1
add #-2,r6
fdl5110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5110: .long execexit
ln5109:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5111
mov.l execexit_ptr5111,r1
jmp @r1
add #-2,r6
fdl5111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5111: .long execexit
ln5108:
mov.l g2_except_addr5108,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5108,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5112
mov.l execexit_ptr5112,r1
jmp @r1
add #-2,r6
fdl5112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5112: .long execexit
.balign 32
g2_except_addr5108: .long group_2_exception
bf_addr5108: .long basefunction
! Opcode 8DF9
SDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5113
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5113
neg r2,r2
noidivis5113:
cmp/pz r0
bt noidivid5113
neg r0,r0
noidivid5113:
cmp/hs r2,r0
bt ln5114
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5115
mov.l execexit_ptr5115,r1
jmp @r1
add #-2,r6
fdl5115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5115: .long execexit
ln5114:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5116
mov.l execexit_ptr5116,r1
jmp @r1
add #-2,r6
fdl5116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5116: .long execexit
ln5113:
mov.l g2_except_addr5113,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5113,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5117
mov.l execexit_ptr5117,r1
jmp @r1
add #-2,r6
fdl5117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5117: .long execexit
.balign 32
g2_except_addr5113: .long group_2_exception
bf_addr5113: .long basefunction
! Opcode 8DFA
SDFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5118
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5118
neg r2,r2
noidivis5118:
cmp/pz r0
bt noidivid5118
neg r0,r0
noidivid5118:
cmp/hs r2,r0
bt ln5119
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5120
mov.l execexit_ptr5120,r1
jmp @r1
add #-2,r6
fdl5120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5120: .long execexit
ln5119:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5121
mov.l execexit_ptr5121,r1
jmp @r1
add #-2,r6
fdl5121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5121: .long execexit
ln5118:
mov.l g2_except_addr5118,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5118,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5122
mov.l execexit_ptr5122,r1
jmp @r1
add #-2,r6
fdl5122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5122: .long execexit
.balign 32
g2_except_addr5118: .long group_2_exception
bf_addr5118: .long basefunction
! Opcode 8DFB
SDFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd903
exts.w r0,r0
longwd903:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5123
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5123
neg r2,r2
noidivis5123:
cmp/pz r0
bt noidivid5123
neg r0,r0
noidivid5123:
cmp/hs r2,r0
bt ln5124
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5125
mov.l execexit_ptr5125,r1
jmp @r1
add #-2,r6
fdl5125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5125: .long execexit
ln5124:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5126
mov.l execexit_ptr5126,r1
jmp @r1
add #-2,r6
fdl5126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5126: .long execexit
ln5123:
mov.l g2_except_addr5123,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5123,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5127
mov.l execexit_ptr5127,r1
jmp @r1
add #-2,r6
fdl5127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5127: .long execexit
.balign 32
g2_except_addr5123: .long group_2_exception
bf_addr5123: .long basefunction
! Opcode 8DFC
SDFC:
mov.w @r6+,r3
mov.l @(24,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5128
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5128
neg r2,r2
noidivis5128:
cmp/pz r0
bt noidivid5128
neg r0,r0
noidivid5128:
cmp/hs r2,r0
bt ln5129
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(24,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5130
mov.l execexit_ptr5130,r1
jmp @r1
add #-2,r6
fdl5130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5130: .long execexit
ln5129:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5131
mov.l execexit_ptr5131,r1
jmp @r1
add #-2,r6
fdl5131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5131: .long execexit
ln5128:
mov.l g2_except_addr5128,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5128,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5132
mov.l execexit_ptr5132,r1
jmp @r1
add #-2,r6
fdl5132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5132: .long execexit
.balign 32
g2_except_addr5128: .long group_2_exception
bf_addr5128: .long basefunction
! Opcodes 8E00 - 8E07
SE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5133
mov.l execexit_ptr5133,r1
jmp @r1
add #-2,r6
fdl5133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5133: .long execexit
! Opcodes 8E10 - 8E17
SE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5134
mov.l execexit_ptr5134,r1
jmp @r1
add #-2,r6
fdl5134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5134: .long execexit
! Opcodes 8E18 - 8E1F
SE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5135
mov.l execexit_ptr5135,r1
jmp @r1
add #-2,r6
fdl5135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5135: .long execexit
! Opcodes 8E20 - 8E27
SE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5136
mov.l execexit_ptr5136,r1
jmp @r1
add #-2,r6
fdl5136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5136: .long execexit
! Opcodes 8E28 - 8E2F
SE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5137
mov.l execexit_ptr5137,r1
jmp @r1
add #-2,r6
fdl5137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5137: .long execexit
! Opcodes 8E30 - 8E37
SE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd904
exts.w r0,r0
longwd904:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5138
mov.l execexit_ptr5138,r1
jmp @r1
add #-2,r6
fdl5138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5138: .long execexit
! Opcode 8E38
SE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5139
mov.l execexit_ptr5139,r1
jmp @r1
add #-2,r6
fdl5139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5139: .long execexit
! Opcode 8E39
SE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5140
mov.l execexit_ptr5140,r1
jmp @r1
add #-2,r6
fdl5140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5140: .long execexit
! Opcode 8E3A
SE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5141
mov.l execexit_ptr5141,r1
jmp @r1
add #-2,r6
fdl5141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5141: .long execexit
! Opcode 8E3B
SE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd905
exts.w r0,r0
longwd905:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5142
mov.l execexit_ptr5142,r1
jmp @r1
add #-2,r6
fdl5142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5142: .long execexit
! Opcode 8E3C
SE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5143
mov.l execexit_ptr5143,r1
jmp @r1
add #-2,r6
fdl5143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5143: .long execexit
! Opcodes 8E40 - 8E47
SE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5144
mov.l execexit_ptr5144,r1
jmp @r1
add #-2,r6
fdl5144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5144: .long execexit
! Opcodes 8E50 - 8E57
SE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5145
mov.l execexit_ptr5145,r1
jmp @r1
add #-2,r6
fdl5145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5145: .long execexit
! Opcodes 8E58 - 8E5F
SE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5146
mov.l execexit_ptr5146,r1
jmp @r1
add #-2,r6
fdl5146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5146: .long execexit
! Opcodes 8E60 - 8E67
SE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5147
mov.l execexit_ptr5147,r1
jmp @r1
add #-2,r6
fdl5147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5147: .long execexit
! Opcodes 8E68 - 8E6F
SE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5148
mov.l execexit_ptr5148,r1
jmp @r1
add #-2,r6
fdl5148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5148: .long execexit
! Opcodes 8E70 - 8E77
SE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd906
exts.w r0,r0
longwd906:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5149
mov.l execexit_ptr5149,r1
jmp @r1
add #-2,r6
fdl5149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5149: .long execexit
! Opcode 8E78
SE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5150
mov.l execexit_ptr5150,r1
jmp @r1
add #-2,r6
fdl5150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5150: .long execexit
! Opcode 8E79
SE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5151
mov.l execexit_ptr5151,r1
jmp @r1
add #-2,r6
fdl5151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5151: .long execexit
! Opcode 8E7A
SE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5152
mov.l execexit_ptr5152,r1
jmp @r1
add #-2,r6
fdl5152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5152: .long execexit
! Opcode 8E7B
SE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd907
exts.w r0,r0
longwd907:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5153
mov.l execexit_ptr5153,r1
jmp @r1
add #-2,r6
fdl5153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5153: .long execexit
! Opcode 8E7C
SE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5154
mov.l execexit_ptr5154,r1
jmp @r1
add #-2,r6
fdl5154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5154: .long execexit
! Opcodes 8E80 - 8E87
SE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5155
mov.l execexit_ptr5155,r1
jmp @r1
add #-2,r6
fdl5155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5155: .long execexit
! Opcodes 8E90 - 8E97
SE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5156
mov.l execexit_ptr5156,r1
jmp @r1
add #-2,r6
fdl5156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5156: .long execexit
! Opcodes 8E98 - 8E9F
SE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5157
mov.l execexit_ptr5157,r1
jmp @r1
add #-2,r6
fdl5157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5157: .long execexit
! Opcodes 8EA0 - 8EA7
SEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5158
mov.l execexit_ptr5158,r1
jmp @r1
add #-2,r6
fdl5158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5158: .long execexit
! Opcodes 8EA8 - 8EAF
SEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5159
mov.l execexit_ptr5159,r1
jmp @r1
add #-2,r6
fdl5159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5159: .long execexit
! Opcodes 8EB0 - 8EB7
SEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd908
exts.w r0,r0
longwd908:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5160
mov.l execexit_ptr5160,r1
jmp @r1
add #-2,r6
fdl5160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5160: .long execexit
! Opcode 8EB8
SEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5161
mov.l execexit_ptr5161,r1
jmp @r1
add #-2,r6
fdl5161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5161: .long execexit
! Opcode 8EB9
SEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5162
mov.l execexit_ptr5162,r1
jmp @r1
add #-2,r6
fdl5162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5162: .long execexit
! Opcode 8EBA
SEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5163
mov.l execexit_ptr5163,r1
jmp @r1
add #-2,r6
fdl5163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5163: .long execexit
! Opcode 8EBB
SEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd909
exts.w r0,r0
longwd909:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5164
mov.l execexit_ptr5164,r1
jmp @r1
add #-2,r6
fdl5164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5164: .long execexit
! Opcode 8EBC
SEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
or r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5165
mov.l execexit_ptr5165,r1
jmp @r1
add #-2,r6
fdl5165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5165: .long execexit
! Opcodes 8EC0 - 8EC7
SEC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5166
cmp/hs r3,r1
bt ln5167
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5168
mov.l execexit_ptr5168,r1
jmp @r1
add #-2,r6
fdl5168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5168: .long execexit
ln5167:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-5,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5169
mov.l execexit_ptr5169,r1
jmp @r1
add #-2,r6
fdl5169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5169: .long execexit
ln5166:
mov.l g2_except_addr5166,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5166,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5170
mov.l execexit_ptr5170,r1
jmp @r1
add #-2,r6
fdl5170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5170: .long execexit
.balign 32
g2_except_addr5166: .long group_2_exception
bf_addr5166: .long basefunction
! Opcodes 8ED0 - 8ED7
SED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5171
cmp/hs r3,r1
bt ln5172
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5173
mov.l execexit_ptr5173,r1
jmp @r1
add #-2,r6
fdl5173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5173: .long execexit
ln5172:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5174
mov.l execexit_ptr5174,r1
jmp @r1
add #-2,r6
fdl5174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5174: .long execexit
ln5171:
mov.l g2_except_addr5171,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5171,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5175
mov.l execexit_ptr5175,r1
jmp @r1
add #-2,r6
fdl5175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5175: .long execexit
.balign 32
g2_except_addr5171: .long group_2_exception
bf_addr5171: .long basefunction
! Opcodes 8ED8 - 8EDF
SED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5176
cmp/hs r3,r1
bt ln5177
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5178
mov.l execexit_ptr5178,r1
jmp @r1
add #-2,r6
fdl5178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5178: .long execexit
ln5177:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5179
mov.l execexit_ptr5179,r1
jmp @r1
add #-2,r6
fdl5179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5179: .long execexit
ln5176:
mov.l g2_except_addr5176,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5176,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5180
mov.l execexit_ptr5180,r1
jmp @r1
add #-2,r6
fdl5180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5180: .long execexit
.balign 32
g2_except_addr5176: .long group_2_exception
bf_addr5176: .long basefunction
! Opcodes 8EE0 - 8EE7
SEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5181
cmp/hs r3,r1
bt ln5182
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5183
mov.l execexit_ptr5183,r1
jmp @r1
add #-2,r6
fdl5183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5183: .long execexit
ln5182:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-11,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5184
mov.l execexit_ptr5184,r1
jmp @r1
add #-2,r6
fdl5184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5184: .long execexit
ln5181:
mov.l g2_except_addr5181,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5181,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5185
mov.l execexit_ptr5185,r1
jmp @r1
add #-2,r6
fdl5185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5185: .long execexit
.balign 32
g2_except_addr5181: .long group_2_exception
bf_addr5181: .long basefunction
! Opcodes 8EE8 - 8EEF
SEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5186
cmp/hs r3,r1
bt ln5187
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5188
mov.l execexit_ptr5188,r1
jmp @r1
add #-2,r6
fdl5188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5188: .long execexit
ln5187:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5189
mov.l execexit_ptr5189,r1
jmp @r1
add #-2,r6
fdl5189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5189: .long execexit
ln5186:
mov.l g2_except_addr5186,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5186,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5190
mov.l execexit_ptr5190,r1
jmp @r1
add #-2,r6
fdl5190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5190: .long execexit
.balign 32
g2_except_addr5186: .long group_2_exception
bf_addr5186: .long basefunction
! Opcodes 8EF0 - 8EF7
SEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd910
exts.w r0,r0
longwd910:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5191
cmp/hs r3,r1
bt ln5192
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5193
mov.l execexit_ptr5193,r1
jmp @r1
add #-2,r6
fdl5193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5193: .long execexit
ln5192:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5194
mov.l execexit_ptr5194,r1
jmp @r1
add #-2,r6
fdl5194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5194: .long execexit
ln5191:
mov.l g2_except_addr5191,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5191,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5195
mov.l execexit_ptr5195,r1
jmp @r1
add #-2,r6
fdl5195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5195: .long execexit
.balign 32
g2_except_addr5191: .long group_2_exception
bf_addr5191: .long basefunction
! Opcode 8EF8
SEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5196
cmp/hs r3,r1
bt ln5197
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5198
mov.l execexit_ptr5198,r1
jmp @r1
add #-2,r6
fdl5198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5198: .long execexit
ln5197:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5199
mov.l execexit_ptr5199,r1
jmp @r1
add #-2,r6
fdl5199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5199: .long execexit
ln5196:
mov.l g2_except_addr5196,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5196,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5200
mov.l execexit_ptr5200,r1
jmp @r1
add #-2,r6
fdl5200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5200: .long execexit
.balign 32
g2_except_addr5196: .long group_2_exception
bf_addr5196: .long basefunction
! Opcode 8EF9
SEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5201
cmp/hs r3,r1
bt ln5202
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5203
mov.l execexit_ptr5203,r1
jmp @r1
add #-2,r6
fdl5203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5203: .long execexit
ln5202:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-17,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5204
mov.l execexit_ptr5204,r1
jmp @r1
add #-2,r6
fdl5204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5204: .long execexit
ln5201:
mov.l g2_except_addr5201,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5201,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5205
mov.l execexit_ptr5205,r1
jmp @r1
add #-2,r6
fdl5205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5205: .long execexit
.balign 32
g2_except_addr5201: .long group_2_exception
bf_addr5201: .long basefunction
! Opcode 8EFA
SEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5206
cmp/hs r3,r1
bt ln5207
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5208
mov.l execexit_ptr5208,r1
jmp @r1
add #-2,r6
fdl5208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5208: .long execexit
ln5207:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-13,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5209
mov.l execexit_ptr5209,r1
jmp @r1
add #-2,r6
fdl5209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5209: .long execexit
ln5206:
mov.l g2_except_addr5206,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5206,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5210
mov.l execexit_ptr5210,r1
jmp @r1
add #-2,r6
fdl5210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5210: .long execexit
.balign 32
g2_except_addr5206: .long group_2_exception
bf_addr5206: .long basefunction
! Opcode 8EFB
SEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd911
exts.w r0,r0
longwd911:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5211
cmp/hs r3,r1
bt ln5212
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5213
mov.l execexit_ptr5213,r1
jmp @r1
add #-2,r6
fdl5213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5213: .long execexit
ln5212:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-15,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5214
mov.l execexit_ptr5214,r1
jmp @r1
add #-2,r6
fdl5214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5214: .long execexit
ln5211:
mov.l g2_except_addr5211,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5211,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5215
mov.l execexit_ptr5215,r1
jmp @r1
add #-2,r6
fdl5215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5215: .long execexit
.balign 32
g2_except_addr5211: .long group_2_exception
bf_addr5211: .long basefunction
! Opcode 8EFC
SEFC:
mov.w @r6+,r3
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5216
cmp/hs r3,r1
bt ln5217
mov r1,r0
div0u
.rept 16
div1 r3,r1
.endr
rotcl r1
extu.w r1,r3
mulu.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5218
mov.l execexit_ptr5218,r1
jmp @r1
add #-2,r6
fdl5218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5218: .long execexit
ln5217:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-9,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5219
mov.l execexit_ptr5219,r1
jmp @r1
add #-2,r6
fdl5219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5219: .long execexit
ln5216:
mov.l g2_except_addr5216,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5216,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5220
mov.l execexit_ptr5220,r1
jmp @r1
add #-2,r6
fdl5220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5220: .long execexit
.balign 32
g2_except_addr5216: .long group_2_exception
bf_addr5216: .long basefunction
! Opcodes 8F00 - 8F07
SF00:
and r1,r2
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5221
add #-6,r8
.nonibadd5221:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5221
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5221:
exts.b r3,r3
mov r9,r8
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5222
mov.l execexit_ptr5222,r1
jmp @r1
add #-2,r6
fdl5222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5222: .long execexit
! Opcodes 8F08 - 8F0F
SF08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
subc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd5223
add #-6,r8
.nonibadd5223:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
sub r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop5223
mov #0xA0,r0
extu.b r0,r0
add r0,r3
.endop5223:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5224
mov.l execexit_ptr5224,r1
jmp @r1
add #-2,r6
fdl5224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5224: .long execexit
! Opcodes 8F10 - 8F17
SF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5225
mov.l execexit_ptr5225,r1
jmp @r1
add #-2,r6
fdl5225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5225: .long execexit
! Opcodes 8F18 - 8F1F
SF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5226
mov.l execexit_ptr5226,r1
jmp @r1
add #-2,r6
fdl5226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5226: .long execexit
! Opcodes 8F20 - 8F27
SF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5227
mov.l execexit_ptr5227,r1
jmp @r1
add #-2,r6
fdl5227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5227: .long execexit
! Opcodes 8F28 - 8F2F
SF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5228
mov.l execexit_ptr5228,r1
jmp @r1
add #-2,r6
fdl5228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5228: .long execexit
! Opcodes 8F30 - 8F37
SF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd912
exts.w r0,r0
longwd912:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5229
mov.l execexit_ptr5229,r1
jmp @r1
add #-2,r6
fdl5229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5229: .long execexit
! Opcode 8F38
SF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5230
mov.l execexit_ptr5230,r1
jmp @r1
add #-2,r6
fdl5230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5230: .long execexit
! Opcode 8F39
SF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
or r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5231
mov.l execexit_ptr5231,r1
jmp @r1
add #-2,r6
fdl5231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5231: .long execexit
! Opcodes 8F50 - 8F57
SF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5232
mov.l execexit_ptr5232,r1
jmp @r1
add #-2,r6
fdl5232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5232: .long execexit
! Opcodes 8F58 - 8F5F
SF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5233
mov.l execexit_ptr5233,r1
jmp @r1
add #-2,r6
fdl5233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5233: .long execexit
! Opcodes 8F60 - 8F67
SF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5234
mov.l execexit_ptr5234,r1
jmp @r1
add #-2,r6
fdl5234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5234: .long execexit
! Opcodes 8F68 - 8F6F
SF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5235
mov.l execexit_ptr5235,r1
jmp @r1
add #-2,r6
fdl5235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5235: .long execexit
! Opcodes 8F70 - 8F77
SF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd913
exts.w r0,r0
longwd913:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5236
mov.l execexit_ptr5236,r1
jmp @r1
add #-2,r6
fdl5236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5236: .long execexit
! Opcode 8F78
SF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5237
mov.l execexit_ptr5237,r1
jmp @r1
add #-2,r6
fdl5237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5237: .long execexit
! Opcode 8F79
SF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
or r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5238
mov.l execexit_ptr5238,r1
jmp @r1
add #-2,r6
fdl5238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5238: .long execexit
! Opcodes 8F90 - 8F97
SF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5239
mov.l execexit_ptr5239,r1
jmp @r1
add #-2,r6
fdl5239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5239: .long execexit
! Opcodes 8F98 - 8F9F
SF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5240
mov.l execexit_ptr5240,r1
jmp @r1
add #-2,r6
fdl5240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5240: .long execexit
! Opcodes 8FA0 - 8FA7
SFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5241
mov.l execexit_ptr5241,r1
jmp @r1
add #-2,r6
fdl5241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5241: .long execexit
! Opcodes 8FA8 - 8FAF
SFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5242
mov.l execexit_ptr5242,r1
jmp @r1
add #-2,r6
fdl5242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5242: .long execexit
! Opcodes 8FB0 - 8FB7
SFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd914
exts.w r0,r0
longwd914:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5243
mov.l execexit_ptr5243,r1
jmp @r1
add #-2,r6
fdl5243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5243: .long execexit
! Opcode 8FB8
SFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5244
mov.l execexit_ptr5244,r1
jmp @r1
add #-2,r6
fdl5244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5244: .long execexit
! Opcode 8FB9
SFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
or r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5245
mov.l execexit_ptr5245,r1
jmp @r1
add #-2,r6
fdl5245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5245: .long execexit
! Opcodes 8FC0 - 8FC7
SFC0:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5246
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5246
neg r2,r2
noidivis5246:
cmp/pz r0
bt noidivid5246
neg r0,r0
noidivid5246:
cmp/hs r2,r0
bt ln5247
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5248
mov.l execexit_ptr5248,r1
jmp @r1
add #-2,r6
fdl5248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5248: .long execexit
ln5247:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5249
mov.l execexit_ptr5249,r1
jmp @r1
add #-2,r6
fdl5249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5249: .long execexit
ln5246:
mov.l g2_except_addr5246,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5246,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5250
mov.l execexit_ptr5250,r1
jmp @r1
add #-2,r6
fdl5250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5250: .long execexit
.balign 32
g2_except_addr5246: .long group_2_exception
bf_addr5246: .long basefunction
! Opcodes 8FD0 - 8FD7
SFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5251
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5251
neg r2,r2
noidivis5251:
cmp/pz r0
bt noidivid5251
neg r0,r0
noidivid5251:
cmp/hs r2,r0
bt ln5252
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5253
mov.l execexit_ptr5253,r1
jmp @r1
add #-2,r6
fdl5253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5253: .long execexit
ln5252:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5254
mov.l execexit_ptr5254,r1
jmp @r1
add #-2,r6
fdl5254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5254: .long execexit
ln5251:
mov.l g2_except_addr5251,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5251,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5255
mov.l execexit_ptr5255,r1
jmp @r1
add #-2,r6
fdl5255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5255: .long execexit
.balign 32
g2_except_addr5251: .long group_2_exception
bf_addr5251: .long basefunction
! Opcodes 8FD8 - 8FDF
SFD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5256
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5256
neg r2,r2
noidivis5256:
cmp/pz r0
bt noidivid5256
neg r0,r0
noidivid5256:
cmp/hs r2,r0
bt ln5257
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5258
mov.l execexit_ptr5258,r1
jmp @r1
add #-2,r6
fdl5258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5258: .long execexit
ln5257:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5259
mov.l execexit_ptr5259,r1
jmp @r1
add #-2,r6
fdl5259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5259: .long execexit
ln5256:
mov.l g2_except_addr5256,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5256,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5260
mov.l execexit_ptr5260,r1
jmp @r1
add #-2,r6
fdl5260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5260: .long execexit
.balign 32
g2_except_addr5256: .long group_2_exception
bf_addr5256: .long basefunction
! Opcodes 8FE0 - 8FE7
SFE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5261
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5261
neg r2,r2
noidivis5261:
cmp/pz r0
bt noidivid5261
neg r0,r0
noidivid5261:
cmp/hs r2,r0
bt ln5262
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5263
mov.l execexit_ptr5263,r1
jmp @r1
add #-2,r6
fdl5263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5263: .long execexit
ln5262:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5264
mov.l execexit_ptr5264,r1
jmp @r1
add #-2,r6
fdl5264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5264: .long execexit
ln5261:
mov.l g2_except_addr5261,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5261,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5265
mov.l execexit_ptr5265,r1
jmp @r1
add #-2,r6
fdl5265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5265: .long execexit
.balign 32
g2_except_addr5261: .long group_2_exception
bf_addr5261: .long basefunction
! Opcodes 8FE8 - 8FEF
SFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5266
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5266
neg r2,r2
noidivis5266:
cmp/pz r0
bt noidivid5266
neg r0,r0
noidivid5266:
cmp/hs r2,r0
bt ln5267
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5268
mov.l execexit_ptr5268,r1
jmp @r1
add #-2,r6
fdl5268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5268: .long execexit
ln5267:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5269
mov.l execexit_ptr5269,r1
jmp @r1
add #-2,r6
fdl5269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5269: .long execexit
ln5266:
mov.l g2_except_addr5266,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5266,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5270
mov.l execexit_ptr5270,r1
jmp @r1
add #-2,r6
fdl5270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5270: .long execexit
.balign 32
g2_except_addr5266: .long group_2_exception
bf_addr5266: .long basefunction
! Opcodes 8FF0 - 8FF7
SFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd915
exts.w r0,r0
longwd915:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5271
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5271
neg r2,r2
noidivis5271:
cmp/pz r0
bt noidivid5271
neg r0,r0
noidivid5271:
cmp/hs r2,r0
bt ln5272
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5273
mov.l execexit_ptr5273,r1
jmp @r1
add #-2,r6
fdl5273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5273: .long execexit
ln5272:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5274
mov.l execexit_ptr5274,r1
jmp @r1
add #-2,r6
fdl5274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5274: .long execexit
ln5271:
mov.l g2_except_addr5271,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5271,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5275
mov.l execexit_ptr5275,r1
jmp @r1
add #-2,r6
fdl5275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5275: .long execexit
.balign 32
g2_except_addr5271: .long group_2_exception
bf_addr5271: .long basefunction
! Opcode 8FF8
SFF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5276
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5276
neg r2,r2
noidivis5276:
cmp/pz r0
bt noidivid5276
neg r0,r0
noidivid5276:
cmp/hs r2,r0
bt ln5277
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5278
mov.l execexit_ptr5278,r1
jmp @r1
add #-2,r6
fdl5278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5278: .long execexit
ln5277:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5279
mov.l execexit_ptr5279,r1
jmp @r1
add #-2,r6
fdl5279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5279: .long execexit
ln5276:
mov.l g2_except_addr5276,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5276,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5280
mov.l execexit_ptr5280,r1
jmp @r1
add #-2,r6
fdl5280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5280: .long execexit
.balign 32
g2_except_addr5276: .long group_2_exception
bf_addr5276: .long basefunction
! Opcode 8FF9
SFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5281
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5281
neg r2,r2
noidivis5281:
cmp/pz r0
bt noidivid5281
neg r0,r0
noidivid5281:
cmp/hs r2,r0
bt ln5282
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5283
mov.l execexit_ptr5283,r1
jmp @r1
add #-2,r6
fdl5283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5283: .long execexit
ln5282:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5284
mov.l execexit_ptr5284,r1
jmp @r1
add #-2,r6
fdl5284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5284: .long execexit
ln5281:
mov.l g2_except_addr5281,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5281,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5285
mov.l execexit_ptr5285,r1
jmp @r1
add #-2,r6
fdl5285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5285: .long execexit
.balign 32
g2_except_addr5281: .long group_2_exception
bf_addr5281: .long basefunction
! Opcode 8FFA
SFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5286
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5286
neg r2,r2
noidivis5286:
cmp/pz r0
bt noidivid5286
neg r0,r0
noidivid5286:
cmp/hs r2,r0
bt ln5287
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5288
mov.l execexit_ptr5288,r1
jmp @r1
add #-2,r6
fdl5288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5288: .long execexit
ln5287:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5289
mov.l execexit_ptr5289,r1
jmp @r1
add #-2,r6
fdl5289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5289: .long execexit
ln5286:
mov.l g2_except_addr5286,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5286,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5290
mov.l execexit_ptr5290,r1
jmp @r1
add #-2,r6
fdl5290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5290: .long execexit
.balign 32
g2_except_addr5286: .long group_2_exception
bf_addr5286: .long basefunction
! Opcode 8FFB
SFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd916
exts.w r0,r0
longwd916:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5291
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5291
neg r2,r2
noidivis5291:
cmp/pz r0
bt noidivid5291
neg r0,r0
noidivid5291:
cmp/hs r2,r0
bt ln5292
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5293
mov.l execexit_ptr5293,r1
jmp @r1
add #-2,r6
fdl5293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5293: .long execexit
ln5292:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-32,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5294
mov.l execexit_ptr5294,r1
jmp @r1
add #-2,r6
fdl5294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5294: .long execexit
ln5291:
mov.l g2_except_addr5291,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5291,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5295
mov.l execexit_ptr5295,r1
jmp @r1
add #-2,r6
fdl5295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5295: .long execexit
.balign 32
g2_except_addr5291: .long group_2_exception
bf_addr5291: .long basefunction
! Opcode 8FFC
SFFC:
mov.w @r6+,r3
mov.l @(28,r13),r1
mov r3,r8
shll16 r3
tst r3,r3
bt ln5296
mov r3,r2
mov r1,r0
cmp/pz r2
bt noidivis5296
neg r2,r2
noidivis5296:
cmp/pz r0
bt noidivid5296
neg r0,r0
noidivid5296:
cmp/hs r2,r0
bt ln5297
mov r1,r0
mov #0,r2
rotl r0
subc r2,r1
rotr r0
div0s r3,r1
.rept 16
div1 r3,r1
.endr
exts.w r1,r3
rotcl r3
addc r2,r3
extu.w r3,r3
muls.w r3,r8
sts macl,r8
sub r8,r0
shll16 r0
or r0,r3
mov.l r3,@(28,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5298
mov.l execexit_ptr5298,r1
jmp @r1
add #-2,r6
fdl5298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5298: .long execexit
ln5297:
mov #0x8,r8
mov.w @r6+,r0
add #-128,r7
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5299
mov.l execexit_ptr5299,r1
jmp @r1
add #-2,r6
fdl5299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5299: .long execexit
ln5296:
mov.l g2_except_addr5296,r0
jsr @r0
mov #0x14,r4
mov.l bf_addr5296,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5300
mov.l execexit_ptr5300,r1
jmp @r1
add #-2,r6
fdl5300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5300: .long execexit
.balign 32
g2_except_addr5296: .long group_2_exception
bf_addr5296: .long basefunction
! Opcodes 9000 - 9007
T000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5301
mov.l execexit_ptr5301,r1
jmp @r1
add #-2,r6
fdl5301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5301: .long execexit
! Opcodes 9008 - 900F
T008:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5302
mov.l execexit_ptr5302,r1
jmp @r1
add #-2,r6
fdl5302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5302: .long execexit
! Opcodes 9010 - 9017
T010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5303
mov.l execexit_ptr5303,r1
jmp @r1
add #-2,r6
fdl5303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5303: .long execexit
! Opcodes 9018 - 901F
T018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5304
mov.l execexit_ptr5304,r1
jmp @r1
add #-2,r6
fdl5304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5304: .long execexit
! Opcodes 9020 - 9027
T020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5305
mov.l execexit_ptr5305,r1
jmp @r1
add #-2,r6
fdl5305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5305: .long execexit
! Opcodes 9028 - 902F
T028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5306
mov.l execexit_ptr5306,r1
jmp @r1
add #-2,r6
fdl5306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5306: .long execexit
! Opcodes 9030 - 9037
T030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd917
exts.w r0,r0
longwd917:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5307
mov.l execexit_ptr5307,r1
jmp @r1
add #-2,r6
fdl5307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5307: .long execexit
! Opcode 9038
T038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5308
mov.l execexit_ptr5308,r1
jmp @r1
add #-2,r6
fdl5308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5308: .long execexit
! Opcode 9039
T039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5309
mov.l execexit_ptr5309,r1
jmp @r1
add #-2,r6
fdl5309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5309: .long execexit
! Opcode 903A
T03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5310
mov.l execexit_ptr5310,r1
jmp @r1
add #-2,r6
fdl5310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5310: .long execexit
! Opcode 903B
T03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd918
exts.w r0,r0
longwd918:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5311
mov.l execexit_ptr5311,r1
jmp @r1
add #-2,r6
fdl5311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5311: .long execexit
! Opcode 903C
T03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5312
mov.l execexit_ptr5312,r1
jmp @r1
add #-2,r6
fdl5312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5312: .long execexit
! Opcodes 9040 - 9047
T040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5313
mov.l execexit_ptr5313,r1
jmp @r1
add #-2,r6
fdl5313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5313: .long execexit
! Opcodes 9048 - 904F
T048:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5314
mov.l execexit_ptr5314,r1
jmp @r1
add #-2,r6
fdl5314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5314: .long execexit
! Opcodes 9050 - 9057
T050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5315
mov.l execexit_ptr5315,r1
jmp @r1
add #-2,r6
fdl5315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5315: .long execexit
! Opcodes 9058 - 905F
T058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5316
mov.l execexit_ptr5316,r1
jmp @r1
add #-2,r6
fdl5316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5316: .long execexit
! Opcodes 9060 - 9067
T060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5317
mov.l execexit_ptr5317,r1
jmp @r1
add #-2,r6
fdl5317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5317: .long execexit
! Opcodes 9068 - 906F
T068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5318
mov.l execexit_ptr5318,r1
jmp @r1
add #-2,r6
fdl5318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5318: .long execexit
! Opcodes 9070 - 9077
T070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd919
exts.w r0,r0
longwd919:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5319
mov.l execexit_ptr5319,r1
jmp @r1
add #-2,r6
fdl5319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5319: .long execexit
! Opcode 9078
T078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5320
mov.l execexit_ptr5320,r1
jmp @r1
add #-2,r6
fdl5320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5320: .long execexit
! Opcode 9079
T079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5321
mov.l execexit_ptr5321,r1
jmp @r1
add #-2,r6
fdl5321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5321: .long execexit
! Opcode 907A
T07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5322
mov.l execexit_ptr5322,r1
jmp @r1
add #-2,r6
fdl5322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5322: .long execexit
! Opcode 907B
T07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd920
exts.w r0,r0
longwd920:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5323
mov.l execexit_ptr5323,r1
jmp @r1
add #-2,r6
fdl5323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5323: .long execexit
! Opcode 907C
T07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5324
mov.l execexit_ptr5324,r1
jmp @r1
add #-2,r6
fdl5324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5324: .long execexit
! Opcodes 9080 - 9087
T080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5325
mov.l execexit_ptr5325,r1
jmp @r1
add #-2,r6
fdl5325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5325: .long execexit
! Opcodes 9088 - 908F
T088:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5326
mov.l execexit_ptr5326,r1
jmp @r1
add #-2,r6
fdl5326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5326: .long execexit
! Opcodes 9090 - 9097
T090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5327
mov.l execexit_ptr5327,r1
jmp @r1
add #-2,r6
fdl5327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5327: .long execexit
! Opcodes 9098 - 909F
T098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5328
mov.l execexit_ptr5328,r1
jmp @r1
add #-2,r6
fdl5328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5328: .long execexit
! Opcodes 90A0 - 90A7
T0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5329
mov.l execexit_ptr5329,r1
jmp @r1
add #-2,r6
fdl5329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5329: .long execexit
! Opcodes 90A8 - 90AF
T0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5330
mov.l execexit_ptr5330,r1
jmp @r1
add #-2,r6
fdl5330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5330: .long execexit
! Opcodes 90B0 - 90B7
T0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd921
exts.w r0,r0
longwd921:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5331
mov.l execexit_ptr5331,r1
jmp @r1
add #-2,r6
fdl5331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5331: .long execexit
! Opcode 90B8
T0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5332
mov.l execexit_ptr5332,r1
jmp @r1
add #-2,r6
fdl5332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5332: .long execexit
! Opcode 90B9
T0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5333
mov.l execexit_ptr5333,r1
jmp @r1
add #-2,r6
fdl5333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5333: .long execexit
! Opcode 90BA
T0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5334
mov.l execexit_ptr5334,r1
jmp @r1
add #-2,r6
fdl5334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5334: .long execexit
! Opcode 90BB
T0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd922
exts.w r0,r0
longwd922:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5335
mov.l execexit_ptr5335,r1
jmp @r1
add #-2,r6
fdl5335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5335: .long execexit
! Opcode 90BC
T0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5336
mov.l execexit_ptr5336,r1
jmp @r1
add #-2,r6
fdl5336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5336: .long execexit
! Opcodes 90C0 - 90C7
T0C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5337
mov.l execexit_ptr5337,r1
jmp @r1
add #-2,r6
fdl5337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5337: .long execexit
! Opcodes 90C8 - 90CF
T0C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5338
mov.l execexit_ptr5338,r1
jmp @r1
add #-2,r6
fdl5338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5338: .long execexit
! Opcodes 90D0 - 90D7
T0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5339
mov.l execexit_ptr5339,r1
jmp @r1
add #-2,r6
fdl5339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5339: .long execexit
! Opcodes 90D8 - 90DF
T0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5340
mov.l execexit_ptr5340,r1
jmp @r1
add #-2,r6
fdl5340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5340: .long execexit
! Opcodes 90E0 - 90E7
T0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5341
mov.l execexit_ptr5341,r1
jmp @r1
add #-2,r6
fdl5341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5341: .long execexit
! Opcodes 90E8 - 90EF
T0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5342
mov.l execexit_ptr5342,r1
jmp @r1
add #-2,r6
fdl5342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5342: .long execexit
! Opcodes 90F0 - 90F7
T0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd923
exts.w r0,r0
longwd923:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5343
mov.l execexit_ptr5343,r1
jmp @r1
add #-2,r6
fdl5343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5343: .long execexit
! Opcode 90F8
T0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5344
mov.l execexit_ptr5344,r1
jmp @r1
add #-2,r6
fdl5344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5344: .long execexit
! Opcode 90F9
T0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5345
mov.l execexit_ptr5345,r1
jmp @r1
add #-2,r6
fdl5345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5345: .long execexit
! Opcode 90FA
T0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5346
mov.l execexit_ptr5346,r1
jmp @r1
add #-2,r6
fdl5346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5346: .long execexit
! Opcode 90FB
T0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd924
exts.w r0,r0
longwd924:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5347
mov.l execexit_ptr5347,r1
jmp @r1
add #-2,r6
fdl5347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5347: .long execexit
! Opcode 90FC
T0FC:
mov.w @r6+,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5348
mov.l execexit_ptr5348,r1
jmp @r1
add #-2,r6
fdl5348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5348: .long execexit
! Opcodes 9100 - 9107
T100:
and r1,r2
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.b r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5350
mov.l execexit_ptr5350,r1
jmp @r1
add #-2,r6
fdl5350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5350: .long execexit
! Opcodes 9108 - 910F
T108:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5352
mov.l execexit_ptr5352,r1
jmp @r1
add #-2,r6
fdl5352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5352: .long execexit
! Opcodes 9110 - 9117
T110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5353
mov.l execexit_ptr5353,r1
jmp @r1
add #-2,r6
fdl5353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5353: .long execexit
! Opcodes 9118 - 911F
T118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5354
mov.l execexit_ptr5354,r1
jmp @r1
add #-2,r6
fdl5354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5354: .long execexit
! Opcodes 9120 - 9127
T120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5355
mov.l execexit_ptr5355,r1
jmp @r1
add #-2,r6
fdl5355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5355: .long execexit
! Opcodes 9128 - 912F
T128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5356
mov.l execexit_ptr5356,r1
jmp @r1
add #-2,r6
fdl5356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5356: .long execexit
! Opcodes 9130 - 9137
T130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd925
exts.w r0,r0
longwd925:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5357
mov.l execexit_ptr5357,r1
jmp @r1
add #-2,r6
fdl5357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5357: .long execexit
! Opcode 9138
T138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5358
mov.l execexit_ptr5358,r1
jmp @r1
add #-2,r6
fdl5358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5358: .long execexit
! Opcode 9139
T139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5359
mov.l execexit_ptr5359,r1
jmp @r1
add #-2,r6
fdl5359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5359: .long execexit
! Opcodes 9140 - 9147
T140:
and r1,r2
mov.w @r13,r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.w r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5361
mov.l execexit_ptr5361,r1
jmp @r1
add #-2,r6
fdl5361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5361: .long execexit
! Opcodes 9148 - 914F
T148:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5363
mov.l execexit_ptr5363,r1
jmp @r1
add #-2,r6
fdl5363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5363: .long execexit
! Opcodes 9150 - 9157
T150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5364
mov.l execexit_ptr5364,r1
jmp @r1
add #-2,r6
fdl5364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5364: .long execexit
! Opcodes 9158 - 915F
T158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5365
mov.l execexit_ptr5365,r1
jmp @r1
add #-2,r6
fdl5365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5365: .long execexit
! Opcodes 9160 - 9167
T160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5366
mov.l execexit_ptr5366,r1
jmp @r1
add #-2,r6
fdl5366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5366: .long execexit
! Opcodes 9168 - 916F
T168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5367
mov.l execexit_ptr5367,r1
jmp @r1
add #-2,r6
fdl5367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5367: .long execexit
! Opcodes 9170 - 9177
T170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd926
exts.w r0,r0
longwd926:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5368
mov.l execexit_ptr5368,r1
jmp @r1
add #-2,r6
fdl5368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5368: .long execexit
! Opcode 9178
T178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5369
mov.l execexit_ptr5369,r1
jmp @r1
add #-2,r6
fdl5369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5369: .long execexit
! Opcode 9179
T179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5370
mov.l execexit_ptr5370,r1
jmp @r1
add #-2,r6
fdl5370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5370: .long execexit
! Opcodes 9180 - 9187
T180:
and r1,r2
mov.l @r13,r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5372
mov.l execexit_ptr5372,r1
jmp @r1
add #-2,r6
fdl5372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5372: .long execexit
! Opcodes 9188 - 918F
T188:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5374
mov.l execexit_ptr5374,r1
jmp @r1
add #-2,r6
fdl5374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5374: .long execexit
! Opcodes 9190 - 9197
T190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5375
mov.l execexit_ptr5375,r1
jmp @r1
add #-2,r6
fdl5375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5375: .long execexit
! Opcodes 9198 - 919F
T198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5376
mov.l execexit_ptr5376,r1
jmp @r1
add #-2,r6
fdl5376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5376: .long execexit
! Opcodes 91A0 - 91A7
T1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5377
mov.l execexit_ptr5377,r1
jmp @r1
add #-2,r6
fdl5377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5377: .long execexit
! Opcodes 91A8 - 91AF
T1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5378
mov.l execexit_ptr5378,r1
jmp @r1
add #-2,r6
fdl5378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5378: .long execexit
! Opcodes 91B0 - 91B7
T1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd927
exts.w r0,r0
longwd927:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5379
mov.l execexit_ptr5379,r1
jmp @r1
add #-2,r6
fdl5379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5379: .long execexit
! Opcode 91B8
T1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5380
mov.l execexit_ptr5380,r1
jmp @r1
add #-2,r6
fdl5380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5380: .long execexit
! Opcode 91B9
T1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5381
mov.l execexit_ptr5381,r1
jmp @r1
add #-2,r6
fdl5381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5381: .long execexit
! Opcodes 91C0 - 91C7
T1C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5382
mov.l execexit_ptr5382,r1
jmp @r1
add #-2,r6
fdl5382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5382: .long execexit
! Opcodes 91C8 - 91CF
T1C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5383
mov.l execexit_ptr5383,r1
jmp @r1
add #-2,r6
fdl5383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5383: .long execexit
! Opcodes 91D0 - 91D7
T1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5384
mov.l execexit_ptr5384,r1
jmp @r1
add #-2,r6
fdl5384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5384: .long execexit
! Opcodes 91D8 - 91DF
T1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5385
mov.l execexit_ptr5385,r1
jmp @r1
add #-2,r6
fdl5385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5385: .long execexit
! Opcodes 91E0 - 91E7
T1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5386
mov.l execexit_ptr5386,r1
jmp @r1
add #-2,r6
fdl5386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5386: .long execexit
! Opcodes 91E8 - 91EF
T1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5387
mov.l execexit_ptr5387,r1
jmp @r1
add #-2,r6
fdl5387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5387: .long execexit
! Opcodes 91F0 - 91F7
T1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd928
exts.w r0,r0
longwd928:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5388
mov.l execexit_ptr5388,r1
jmp @r1
add #-2,r6
fdl5388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5388: .long execexit
! Opcode 91F8
T1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5389
mov.l execexit_ptr5389,r1
jmp @r1
add #-2,r6
fdl5389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5389: .long execexit
! Opcode 91F9
T1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5390
mov.l execexit_ptr5390,r1
jmp @r1
add #-2,r6
fdl5390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5390: .long execexit
! Opcode 91FA
T1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5391
mov.l execexit_ptr5391,r1
jmp @r1
add #-2,r6
fdl5391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5391: .long execexit
! Opcode 91FB
T1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd929
exts.w r0,r0
longwd929:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5392
mov.l execexit_ptr5392,r1
jmp @r1
add #-2,r6
fdl5392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5392: .long execexit
! Opcode 91FC
T1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
sub r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5393
mov.l execexit_ptr5393,r1
jmp @r1
add #-2,r6
fdl5393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5393: .long execexit
! Opcodes 9200 - 9207
T200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5394
mov.l execexit_ptr5394,r1
jmp @r1
add #-2,r6
fdl5394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5394: .long execexit
! Opcodes 9208 - 920F
T208:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5395
mov.l execexit_ptr5395,r1
jmp @r1
add #-2,r6
fdl5395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5395: .long execexit
! Opcodes 9210 - 9217
T210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5396
mov.l execexit_ptr5396,r1
jmp @r1
add #-2,r6
fdl5396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5396: .long execexit
! Opcodes 9218 - 921F
T218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5397
mov.l execexit_ptr5397,r1
jmp @r1
add #-2,r6
fdl5397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5397: .long execexit
! Opcodes 9220 - 9227
T220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5398
mov.l execexit_ptr5398,r1
jmp @r1
add #-2,r6
fdl5398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5398: .long execexit
! Opcodes 9228 - 922F
T228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5399
mov.l execexit_ptr5399,r1
jmp @r1
add #-2,r6
fdl5399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5399: .long execexit
! Opcodes 9230 - 9237
T230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd930
exts.w r0,r0
longwd930:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5400
mov.l execexit_ptr5400,r1
jmp @r1
add #-2,r6
fdl5400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5400: .long execexit
! Opcode 9238
T238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5401
mov.l execexit_ptr5401,r1
jmp @r1
add #-2,r6
fdl5401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5401: .long execexit
! Opcode 9239
T239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5402
mov.l execexit_ptr5402,r1
jmp @r1
add #-2,r6
fdl5402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5402: .long execexit
! Opcode 923A
T23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5403
mov.l execexit_ptr5403,r1
jmp @r1
add #-2,r6
fdl5403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5403: .long execexit
! Opcode 923B
T23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd931
exts.w r0,r0
longwd931:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5404
mov.l execexit_ptr5404,r1
jmp @r1
add #-2,r6
fdl5404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5404: .long execexit
! Opcode 923C
T23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5405
mov.l execexit_ptr5405,r1
jmp @r1
add #-2,r6
fdl5405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5405: .long execexit
! Opcodes 9240 - 9247
T240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5406
mov.l execexit_ptr5406,r1
jmp @r1
add #-2,r6
fdl5406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5406: .long execexit
! Opcodes 9248 - 924F
T248:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5407
mov.l execexit_ptr5407,r1
jmp @r1
add #-2,r6
fdl5407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5407: .long execexit
! Opcodes 9250 - 9257
T250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5408
mov.l execexit_ptr5408,r1
jmp @r1
add #-2,r6
fdl5408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5408: .long execexit
! Opcodes 9258 - 925F
T258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5409
mov.l execexit_ptr5409,r1
jmp @r1
add #-2,r6
fdl5409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5409: .long execexit
! Opcodes 9260 - 9267
T260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5410
mov.l execexit_ptr5410,r1
jmp @r1
add #-2,r6
fdl5410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5410: .long execexit
! Opcodes 9268 - 926F
T268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5411
mov.l execexit_ptr5411,r1
jmp @r1
add #-2,r6
fdl5411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5411: .long execexit
! Opcodes 9270 - 9277
T270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd932
exts.w r0,r0
longwd932:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5412
mov.l execexit_ptr5412,r1
jmp @r1
add #-2,r6
fdl5412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5412: .long execexit
! Opcode 9278
T278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5413
mov.l execexit_ptr5413,r1
jmp @r1
add #-2,r6
fdl5413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5413: .long execexit
! Opcode 9279
T279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5414
mov.l execexit_ptr5414,r1
jmp @r1
add #-2,r6
fdl5414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5414: .long execexit
! Opcode 927A
T27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5415
mov.l execexit_ptr5415,r1
jmp @r1
add #-2,r6
fdl5415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5415: .long execexit
! Opcode 927B
T27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd933
exts.w r0,r0
longwd933:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5416
mov.l execexit_ptr5416,r1
jmp @r1
add #-2,r6
fdl5416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5416: .long execexit
! Opcode 927C
T27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5417
mov.l execexit_ptr5417,r1
jmp @r1
add #-2,r6
fdl5417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5417: .long execexit
! Opcodes 9280 - 9287
T280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5418
mov.l execexit_ptr5418,r1
jmp @r1
add #-2,r6
fdl5418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5418: .long execexit
! Opcodes 9288 - 928F
T288:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5419
mov.l execexit_ptr5419,r1
jmp @r1
add #-2,r6
fdl5419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5419: .long execexit
! Opcodes 9290 - 9297
T290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5420
mov.l execexit_ptr5420,r1
jmp @r1
add #-2,r6
fdl5420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5420: .long execexit
! Opcodes 9298 - 929F
T298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5421
mov.l execexit_ptr5421,r1
jmp @r1
add #-2,r6
fdl5421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5421: .long execexit
! Opcodes 92A0 - 92A7
T2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5422
mov.l execexit_ptr5422,r1
jmp @r1
add #-2,r6
fdl5422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5422: .long execexit
! Opcodes 92A8 - 92AF
T2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5423
mov.l execexit_ptr5423,r1
jmp @r1
add #-2,r6
fdl5423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5423: .long execexit
! Opcodes 92B0 - 92B7
T2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd934
exts.w r0,r0
longwd934:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5424
mov.l execexit_ptr5424,r1
jmp @r1
add #-2,r6
fdl5424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5424: .long execexit
! Opcode 92B8
T2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5425
mov.l execexit_ptr5425,r1
jmp @r1
add #-2,r6
fdl5425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5425: .long execexit
! Opcode 92B9
T2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5426
mov.l execexit_ptr5426,r1
jmp @r1
add #-2,r6
fdl5426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5426: .long execexit
! Opcode 92BA
T2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5427
mov.l execexit_ptr5427,r1
jmp @r1
add #-2,r6
fdl5427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5427: .long execexit
! Opcode 92BB
T2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd935
exts.w r0,r0
longwd935:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5428
mov.l execexit_ptr5428,r1
jmp @r1
add #-2,r6
fdl5428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5428: .long execexit
! Opcode 92BC
T2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5429
mov.l execexit_ptr5429,r1
jmp @r1
add #-2,r6
fdl5429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5429: .long execexit
! Opcodes 92C0 - 92C7
T2C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5430
mov.l execexit_ptr5430,r1
jmp @r1
add #-2,r6
fdl5430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5430: .long execexit
! Opcodes 92C8 - 92CF
T2C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5431
mov.l execexit_ptr5431,r1
jmp @r1
add #-2,r6
fdl5431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5431: .long execexit
! Opcodes 92D0 - 92D7
T2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5432
mov.l execexit_ptr5432,r1
jmp @r1
add #-2,r6
fdl5432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5432: .long execexit
! Opcodes 92D8 - 92DF
T2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5433
mov.l execexit_ptr5433,r1
jmp @r1
add #-2,r6
fdl5433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5433: .long execexit
! Opcodes 92E0 - 92E7
T2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5434
mov.l execexit_ptr5434,r1
jmp @r1
add #-2,r6
fdl5434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5434: .long execexit
! Opcodes 92E8 - 92EF
T2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5435
mov.l execexit_ptr5435,r1
jmp @r1
add #-2,r6
fdl5435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5435: .long execexit
! Opcodes 92F0 - 92F7
T2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd936
exts.w r0,r0
longwd936:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5436
mov.l execexit_ptr5436,r1
jmp @r1
add #-2,r6
fdl5436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5436: .long execexit
! Opcode 92F8
T2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5437
mov.l execexit_ptr5437,r1
jmp @r1
add #-2,r6
fdl5437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5437: .long execexit
! Opcode 92F9
T2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5438
mov.l execexit_ptr5438,r1
jmp @r1
add #-2,r6
fdl5438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5438: .long execexit
! Opcode 92FA
T2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5439
mov.l execexit_ptr5439,r1
jmp @r1
add #-2,r6
fdl5439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5439: .long execexit
! Opcode 92FB
T2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd937
exts.w r0,r0
longwd937:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5440
mov.l execexit_ptr5440,r1
jmp @r1
add #-2,r6
fdl5440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5440: .long execexit
! Opcode 92FC
T2FC:
mov.w @r6+,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5441
mov.l execexit_ptr5441,r1
jmp @r1
add #-2,r6
fdl5441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5441: .long execexit
! Opcodes 9300 - 9307
T300:
and r1,r2
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5443
mov.l execexit_ptr5443,r1
jmp @r1
add #-2,r6
fdl5443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5443: .long execexit
! Opcodes 9308 - 930F
T308:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5445
mov.l execexit_ptr5445,r1
jmp @r1
add #-2,r6
fdl5445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5445: .long execexit
! Opcodes 9310 - 9317
T310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5446
mov.l execexit_ptr5446,r1
jmp @r1
add #-2,r6
fdl5446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5446: .long execexit
! Opcodes 9318 - 931F
T318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5447
mov.l execexit_ptr5447,r1
jmp @r1
add #-2,r6
fdl5447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5447: .long execexit
! Opcodes 9320 - 9327
T320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5448
mov.l execexit_ptr5448,r1
jmp @r1
add #-2,r6
fdl5448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5448: .long execexit
! Opcodes 9328 - 932F
T328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5449
mov.l execexit_ptr5449,r1
jmp @r1
add #-2,r6
fdl5449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5449: .long execexit
! Opcodes 9330 - 9337
T330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd938
exts.w r0,r0
longwd938:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5450
mov.l execexit_ptr5450,r1
jmp @r1
add #-2,r6
fdl5450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5450: .long execexit
! Opcode 9338
T338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5451
mov.l execexit_ptr5451,r1
jmp @r1
add #-2,r6
fdl5451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5451: .long execexit
! Opcode 9339
T339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5452
mov.l execexit_ptr5452,r1
jmp @r1
add #-2,r6
fdl5452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5452: .long execexit
! Opcodes 9340 - 9347
T340:
and r1,r2
mov #4,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5454
mov.l execexit_ptr5454,r1
jmp @r1
add #-2,r6
fdl5454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5454: .long execexit
! Opcodes 9348 - 934F
T348:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5456
mov.l execexit_ptr5456,r1
jmp @r1
add #-2,r6
fdl5456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5456: .long execexit
! Opcodes 9350 - 9357
T350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5457
mov.l execexit_ptr5457,r1
jmp @r1
add #-2,r6
fdl5457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5457: .long execexit
! Opcodes 9358 - 935F
T358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5458
mov.l execexit_ptr5458,r1
jmp @r1
add #-2,r6
fdl5458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5458: .long execexit
! Opcodes 9360 - 9367
T360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5459
mov.l execexit_ptr5459,r1
jmp @r1
add #-2,r6
fdl5459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5459: .long execexit
! Opcodes 9368 - 936F
T368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5460
mov.l execexit_ptr5460,r1
jmp @r1
add #-2,r6
fdl5460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5460: .long execexit
! Opcodes 9370 - 9377
T370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd939
exts.w r0,r0
longwd939:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5461
mov.l execexit_ptr5461,r1
jmp @r1
add #-2,r6
fdl5461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5461: .long execexit
! Opcode 9378
T378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5462
mov.l execexit_ptr5462,r1
jmp @r1
add #-2,r6
fdl5462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5462: .long execexit
! Opcode 9379
T379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5463
mov.l execexit_ptr5463,r1
jmp @r1
add #-2,r6
fdl5463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5463: .long execexit
! Opcodes 9380 - 9387
T380:
and r1,r2
mov.l @(4,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(4,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5465
mov.l execexit_ptr5465,r1
jmp @r1
add #-2,r6
fdl5465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5465: .long execexit
! Opcodes 9388 - 938F
T388:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5467
mov.l execexit_ptr5467,r1
jmp @r1
add #-2,r6
fdl5467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5467: .long execexit
! Opcodes 9390 - 9397
T390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5468
mov.l execexit_ptr5468,r1
jmp @r1
add #-2,r6
fdl5468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5468: .long execexit
! Opcodes 9398 - 939F
T398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5469
mov.l execexit_ptr5469,r1
jmp @r1
add #-2,r6
fdl5469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5469: .long execexit
! Opcodes 93A0 - 93A7
T3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5470
mov.l execexit_ptr5470,r1
jmp @r1
add #-2,r6
fdl5470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5470: .long execexit
! Opcodes 93A8 - 93AF
T3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5471
mov.l execexit_ptr5471,r1
jmp @r1
add #-2,r6
fdl5471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5471: .long execexit
! Opcodes 93B0 - 93B7
T3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd940
exts.w r0,r0
longwd940:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5472
mov.l execexit_ptr5472,r1
jmp @r1
add #-2,r6
fdl5472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5472: .long execexit
! Opcode 93B8
T3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5473
mov.l execexit_ptr5473,r1
jmp @r1
add #-2,r6
fdl5473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5473: .long execexit
! Opcode 93B9
T3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5474
mov.l execexit_ptr5474,r1
jmp @r1
add #-2,r6
fdl5474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5474: .long execexit
! Opcodes 93C0 - 93C7
T3C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5475
mov.l execexit_ptr5475,r1
jmp @r1
add #-2,r6
fdl5475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5475: .long execexit
! Opcodes 93C8 - 93CF
T3C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5476
mov.l execexit_ptr5476,r1
jmp @r1
add #-2,r6
fdl5476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5476: .long execexit
! Opcodes 93D0 - 93D7
T3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5477
mov.l execexit_ptr5477,r1
jmp @r1
add #-2,r6
fdl5477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5477: .long execexit
! Opcodes 93D8 - 93DF
T3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5478
mov.l execexit_ptr5478,r1
jmp @r1
add #-2,r6
fdl5478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5478: .long execexit
! Opcodes 93E0 - 93E7
T3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5479
mov.l execexit_ptr5479,r1
jmp @r1
add #-2,r6
fdl5479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5479: .long execexit
! Opcodes 93E8 - 93EF
T3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5480
mov.l execexit_ptr5480,r1
jmp @r1
add #-2,r6
fdl5480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5480: .long execexit
! Opcodes 93F0 - 93F7
T3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd941
exts.w r0,r0
longwd941:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5481
mov.l execexit_ptr5481,r1
jmp @r1
add #-2,r6
fdl5481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5481: .long execexit
! Opcode 93F8
T3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5482
mov.l execexit_ptr5482,r1
jmp @r1
add #-2,r6
fdl5482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5482: .long execexit
! Opcode 93F9
T3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5483
mov.l execexit_ptr5483,r1
jmp @r1
add #-2,r6
fdl5483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5483: .long execexit
! Opcode 93FA
T3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5484
mov.l execexit_ptr5484,r1
jmp @r1
add #-2,r6
fdl5484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5484: .long execexit
! Opcode 93FB
T3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd942
exts.w r0,r0
longwd942:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5485
mov.l execexit_ptr5485,r1
jmp @r1
add #-2,r6
fdl5485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5485: .long execexit
! Opcode 93FC
T3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
sub r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5486
mov.l execexit_ptr5486,r1
jmp @r1
add #-2,r6
fdl5486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5486: .long execexit
! Opcodes 9400 - 9407
T400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5487
mov.l execexit_ptr5487,r1
jmp @r1
add #-2,r6
fdl5487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5487: .long execexit
! Opcodes 9408 - 940F
T408:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5488
mov.l execexit_ptr5488,r1
jmp @r1
add #-2,r6
fdl5488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5488: .long execexit
! Opcodes 9410 - 9417
T410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5489
mov.l execexit_ptr5489,r1
jmp @r1
add #-2,r6
fdl5489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5489: .long execexit
! Opcodes 9418 - 941F
T418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5490
mov.l execexit_ptr5490,r1
jmp @r1
add #-2,r6
fdl5490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5490: .long execexit
! Opcodes 9420 - 9427
T420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5491
mov.l execexit_ptr5491,r1
jmp @r1
add #-2,r6
fdl5491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5491: .long execexit
! Opcodes 9428 - 942F
T428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5492
mov.l execexit_ptr5492,r1
jmp @r1
add #-2,r6
fdl5492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5492: .long execexit
! Opcodes 9430 - 9437
T430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd943
exts.w r0,r0
longwd943:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5493
mov.l execexit_ptr5493,r1
jmp @r1
add #-2,r6
fdl5493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5493: .long execexit
! Opcode 9438
T438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5494
mov.l execexit_ptr5494,r1
jmp @r1
add #-2,r6
fdl5494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5494: .long execexit
! Opcode 9439
T439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5495
mov.l execexit_ptr5495,r1
jmp @r1
add #-2,r6
fdl5495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5495: .long execexit
! Opcode 943A
T43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5496
mov.l execexit_ptr5496,r1
jmp @r1
add #-2,r6
fdl5496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5496: .long execexit
! Opcode 943B
T43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd944
exts.w r0,r0
longwd944:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5497
mov.l execexit_ptr5497,r1
jmp @r1
add #-2,r6
fdl5497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5497: .long execexit
! Opcode 943C
T43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5498
mov.l execexit_ptr5498,r1
jmp @r1
add #-2,r6
fdl5498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5498: .long execexit
! Opcodes 9440 - 9447
T440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5499
mov.l execexit_ptr5499,r1
jmp @r1
add #-2,r6
fdl5499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5499: .long execexit
! Opcodes 9448 - 944F
T448:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5500
mov.l execexit_ptr5500,r1
jmp @r1
add #-2,r6
fdl5500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5500: .long execexit
! Opcodes 9450 - 9457
T450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5501
mov.l execexit_ptr5501,r1
jmp @r1
add #-2,r6
fdl5501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5501: .long execexit
! Opcodes 9458 - 945F
T458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5502
mov.l execexit_ptr5502,r1
jmp @r1
add #-2,r6
fdl5502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5502: .long execexit
! Opcodes 9460 - 9467
T460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5503
mov.l execexit_ptr5503,r1
jmp @r1
add #-2,r6
fdl5503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5503: .long execexit
! Opcodes 9468 - 946F
T468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5504
mov.l execexit_ptr5504,r1
jmp @r1
add #-2,r6
fdl5504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5504: .long execexit
! Opcodes 9470 - 9477
T470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd945
exts.w r0,r0
longwd945:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5505
mov.l execexit_ptr5505,r1
jmp @r1
add #-2,r6
fdl5505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5505: .long execexit
! Opcode 9478
T478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5506
mov.l execexit_ptr5506,r1
jmp @r1
add #-2,r6
fdl5506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5506: .long execexit
! Opcode 9479
T479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5507
mov.l execexit_ptr5507,r1
jmp @r1
add #-2,r6
fdl5507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5507: .long execexit
! Opcode 947A
T47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5508
mov.l execexit_ptr5508,r1
jmp @r1
add #-2,r6
fdl5508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5508: .long execexit
! Opcode 947B
T47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd946
exts.w r0,r0
longwd946:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5509
mov.l execexit_ptr5509,r1
jmp @r1
add #-2,r6
fdl5509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5509: .long execexit
! Opcode 947C
T47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5510
mov.l execexit_ptr5510,r1
jmp @r1
add #-2,r6
fdl5510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5510: .long execexit
! Opcodes 9480 - 9487
T480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5511
mov.l execexit_ptr5511,r1
jmp @r1
add #-2,r6
fdl5511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5511: .long execexit
! Opcodes 9488 - 948F
T488:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5512
mov.l execexit_ptr5512,r1
jmp @r1
add #-2,r6
fdl5512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5512: .long execexit
! Opcodes 9490 - 9497
T490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5513
mov.l execexit_ptr5513,r1
jmp @r1
add #-2,r6
fdl5513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5513: .long execexit
! Opcodes 9498 - 949F
T498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5514
mov.l execexit_ptr5514,r1
jmp @r1
add #-2,r6
fdl5514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5514: .long execexit
! Opcodes 94A0 - 94A7
T4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5515
mov.l execexit_ptr5515,r1
jmp @r1
add #-2,r6
fdl5515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5515: .long execexit
! Opcodes 94A8 - 94AF
T4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5516
mov.l execexit_ptr5516,r1
jmp @r1
add #-2,r6
fdl5516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5516: .long execexit
! Opcodes 94B0 - 94B7
T4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd947
exts.w r0,r0
longwd947:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5517
mov.l execexit_ptr5517,r1
jmp @r1
add #-2,r6
fdl5517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5517: .long execexit
! Opcode 94B8
T4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5518
mov.l execexit_ptr5518,r1
jmp @r1
add #-2,r6
fdl5518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5518: .long execexit
! Opcode 94B9
T4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5519
mov.l execexit_ptr5519,r1
jmp @r1
add #-2,r6
fdl5519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5519: .long execexit
! Opcode 94BA
T4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5520
mov.l execexit_ptr5520,r1
jmp @r1
add #-2,r6
fdl5520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5520: .long execexit
! Opcode 94BB
T4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd948
exts.w r0,r0
longwd948:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5521
mov.l execexit_ptr5521,r1
jmp @r1
add #-2,r6
fdl5521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5521: .long execexit
! Opcode 94BC
T4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5522
mov.l execexit_ptr5522,r1
jmp @r1
add #-2,r6
fdl5522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5522: .long execexit
! Opcodes 94C0 - 94C7
T4C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5523
mov.l execexit_ptr5523,r1
jmp @r1
add #-2,r6
fdl5523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5523: .long execexit
! Opcodes 94C8 - 94CF
T4C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5524
mov.l execexit_ptr5524,r1
jmp @r1
add #-2,r6
fdl5524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5524: .long execexit
! Opcodes 94D0 - 94D7
T4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5525
mov.l execexit_ptr5525,r1
jmp @r1
add #-2,r6
fdl5525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5525: .long execexit
! Opcodes 94D8 - 94DF
T4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5526
mov.l execexit_ptr5526,r1
jmp @r1
add #-2,r6
fdl5526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5526: .long execexit
! Opcodes 94E0 - 94E7
T4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5527
mov.l execexit_ptr5527,r1
jmp @r1
add #-2,r6
fdl5527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5527: .long execexit
! Opcodes 94E8 - 94EF
T4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5528
mov.l execexit_ptr5528,r1
jmp @r1
add #-2,r6
fdl5528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5528: .long execexit
! Opcodes 94F0 - 94F7
T4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd949
exts.w r0,r0
longwd949:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5529
mov.l execexit_ptr5529,r1
jmp @r1
add #-2,r6
fdl5529:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5529: .long execexit
! Opcode 94F8
T4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5530
mov.l execexit_ptr5530,r1
jmp @r1
add #-2,r6
fdl5530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5530: .long execexit
! Opcode 94F9
T4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5531
mov.l execexit_ptr5531,r1
jmp @r1
add #-2,r6
fdl5531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5531: .long execexit
! Opcode 94FA
T4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5532
mov.l execexit_ptr5532,r1
jmp @r1
add #-2,r6
fdl5532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5532: .long execexit
! Opcode 94FB
T4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd950
exts.w r0,r0
longwd950:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5533
mov.l execexit_ptr5533,r1
jmp @r1
add #-2,r6
fdl5533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5533: .long execexit
! Opcode 94FC
T4FC:
mov.w @r6+,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5534
mov.l execexit_ptr5534,r1
jmp @r1
add #-2,r6
fdl5534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5534: .long execexit
! Opcodes 9500 - 9507
T500:
and r1,r2
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5536
mov.l execexit_ptr5536,r1
jmp @r1
add #-2,r6
fdl5536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5536: .long execexit
! Opcodes 9508 - 950F
T508:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5538
mov.l execexit_ptr5538,r1
jmp @r1
add #-2,r6
fdl5538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5538: .long execexit
! Opcodes 9510 - 9517
T510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5539
mov.l execexit_ptr5539,r1
jmp @r1
add #-2,r6
fdl5539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5539: .long execexit
! Opcodes 9518 - 951F
T518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5540
mov.l execexit_ptr5540,r1
jmp @r1
add #-2,r6
fdl5540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5540: .long execexit
! Opcodes 9520 - 9527
T520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5541
mov.l execexit_ptr5541,r1
jmp @r1
add #-2,r6
fdl5541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5541: .long execexit
! Opcodes 9528 - 952F
T528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5542
mov.l execexit_ptr5542,r1
jmp @r1
add #-2,r6
fdl5542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5542: .long execexit
! Opcodes 9530 - 9537
T530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd951
exts.w r0,r0
longwd951:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5543
mov.l execexit_ptr5543,r1
jmp @r1
add #-2,r6
fdl5543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5543: .long execexit
! Opcode 9538
T538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5544
mov.l execexit_ptr5544,r1
jmp @r1
add #-2,r6
fdl5544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5544: .long execexit
! Opcode 9539
T539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5545
mov.l execexit_ptr5545,r1
jmp @r1
add #-2,r6
fdl5545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5545: .long execexit
! Opcodes 9540 - 9547
T540:
and r1,r2
mov #8,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5547
mov.l execexit_ptr5547,r1
jmp @r1
add #-2,r6
fdl5547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5547: .long execexit
! Opcodes 9548 - 954F
T548:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5549
mov.l execexit_ptr5549,r1
jmp @r1
add #-2,r6
fdl5549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5549: .long execexit
! Opcodes 9550 - 9557
T550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5550
mov.l execexit_ptr5550,r1
jmp @r1
add #-2,r6
fdl5550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5550: .long execexit
! Opcodes 9558 - 955F
T558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5551
mov.l execexit_ptr5551,r1
jmp @r1
add #-2,r6
fdl5551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5551: .long execexit
! Opcodes 9560 - 9567
T560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5552
mov.l execexit_ptr5552,r1
jmp @r1
add #-2,r6
fdl5552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5552: .long execexit
! Opcodes 9568 - 956F
T568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5553
mov.l execexit_ptr5553,r1
jmp @r1
add #-2,r6
fdl5553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5553: .long execexit
! Opcodes 9570 - 9577
T570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd952
exts.w r0,r0
longwd952:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5554
mov.l execexit_ptr5554,r1
jmp @r1
add #-2,r6
fdl5554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5554: .long execexit
! Opcode 9578
T578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5555
mov.l execexit_ptr5555,r1
jmp @r1
add #-2,r6
fdl5555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5555: .long execexit
! Opcode 9579
T579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5556
mov.l execexit_ptr5556,r1
jmp @r1
add #-2,r6
fdl5556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5556: .long execexit
! Opcodes 9580 - 9587
T580:
and r1,r2
mov.l @(8,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(8,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5558
mov.l execexit_ptr5558,r1
jmp @r1
add #-2,r6
fdl5558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5558: .long execexit
! Opcodes 9588 - 958F
T588:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5560
mov.l execexit_ptr5560,r1
jmp @r1
add #-2,r6
fdl5560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5560: .long execexit
! Opcodes 9590 - 9597
T590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5561
mov.l execexit_ptr5561,r1
jmp @r1
add #-2,r6
fdl5561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5561: .long execexit
! Opcodes 9598 - 959F
T598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5562
mov.l execexit_ptr5562,r1
jmp @r1
add #-2,r6
fdl5562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5562: .long execexit
! Opcodes 95A0 - 95A7
T5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5563
mov.l execexit_ptr5563,r1
jmp @r1
add #-2,r6
fdl5563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5563: .long execexit
! Opcodes 95A8 - 95AF
T5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5564
mov.l execexit_ptr5564,r1
jmp @r1
add #-2,r6
fdl5564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5564: .long execexit
! Opcodes 95B0 - 95B7
T5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd953
exts.w r0,r0
longwd953:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5565
mov.l execexit_ptr5565,r1
jmp @r1
add #-2,r6
fdl5565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5565: .long execexit
! Opcode 95B8
T5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5566
mov.l execexit_ptr5566,r1
jmp @r1
add #-2,r6
fdl5566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5566: .long execexit
! Opcode 95B9
T5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5567
mov.l execexit_ptr5567,r1
jmp @r1
add #-2,r6
fdl5567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5567: .long execexit
! Opcodes 95C0 - 95C7
T5C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5568
mov.l execexit_ptr5568,r1
jmp @r1
add #-2,r6
fdl5568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5568: .long execexit
! Opcodes 95C8 - 95CF
T5C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5569
mov.l execexit_ptr5569,r1
jmp @r1
add #-2,r6
fdl5569:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5569: .long execexit
! Opcodes 95D0 - 95D7
T5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5570
mov.l execexit_ptr5570,r1
jmp @r1
add #-2,r6
fdl5570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5570: .long execexit
! Opcodes 95D8 - 95DF
T5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5571
mov.l execexit_ptr5571,r1
jmp @r1
add #-2,r6
fdl5571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5571: .long execexit
! Opcodes 95E0 - 95E7
T5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5572
mov.l execexit_ptr5572,r1
jmp @r1
add #-2,r6
fdl5572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5572: .long execexit
! Opcodes 95E8 - 95EF
T5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5573
mov.l execexit_ptr5573,r1
jmp @r1
add #-2,r6
fdl5573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5573: .long execexit
! Opcodes 95F0 - 95F7
T5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd954
exts.w r0,r0
longwd954:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5574
mov.l execexit_ptr5574,r1
jmp @r1
add #-2,r6
fdl5574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5574: .long execexit
! Opcode 95F8
T5F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5575
mov.l execexit_ptr5575,r1
jmp @r1
add #-2,r6
fdl5575:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5575: .long execexit
! Opcode 95F9
T5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5576
mov.l execexit_ptr5576,r1
jmp @r1
add #-2,r6
fdl5576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5576: .long execexit
! Opcode 95FA
T5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5577
mov.l execexit_ptr5577,r1
jmp @r1
add #-2,r6
fdl5577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5577: .long execexit
! Opcode 95FB
T5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd955
exts.w r0,r0
longwd955:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5578
mov.l execexit_ptr5578,r1
jmp @r1
add #-2,r6
fdl5578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5578: .long execexit
! Opcode 95FC
T5FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
sub r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5579
mov.l execexit_ptr5579,r1
jmp @r1
add #-2,r6
fdl5579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5579: .long execexit
! Opcodes 9600 - 9607
T600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5580
mov.l execexit_ptr5580,r1
jmp @r1
add #-2,r6
fdl5580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5580: .long execexit
! Opcodes 9608 - 960F
T608:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5581
mov.l execexit_ptr5581,r1
jmp @r1
add #-2,r6
fdl5581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5581: .long execexit
! Opcodes 9610 - 9617
T610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5582
mov.l execexit_ptr5582,r1
jmp @r1
add #-2,r6
fdl5582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5582: .long execexit
! Opcodes 9618 - 961F
T618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5583
mov.l execexit_ptr5583,r1
jmp @r1
add #-2,r6
fdl5583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5583: .long execexit
! Opcodes 9620 - 9627
T620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5584
mov.l execexit_ptr5584,r1
jmp @r1
add #-2,r6
fdl5584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5584: .long execexit
! Opcodes 9628 - 962F
T628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5585
mov.l execexit_ptr5585,r1
jmp @r1
add #-2,r6
fdl5585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5585: .long execexit
! Opcodes 9630 - 9637
T630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd956
exts.w r0,r0
longwd956:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5586
mov.l execexit_ptr5586,r1
jmp @r1
add #-2,r6
fdl5586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5586: .long execexit
! Opcode 9638
T638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5587
mov.l execexit_ptr5587,r1
jmp @r1
add #-2,r6
fdl5587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5587: .long execexit
! Opcode 9639
T639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5588
mov.l execexit_ptr5588,r1
jmp @r1
add #-2,r6
fdl5588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5588: .long execexit
! Opcode 963A
T63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5589
mov.l execexit_ptr5589,r1
jmp @r1
add #-2,r6
fdl5589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5589: .long execexit
! Opcode 963B
T63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd957
exts.w r0,r0
longwd957:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5590
mov.l execexit_ptr5590,r1
jmp @r1
add #-2,r6
fdl5590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5590: .long execexit
! Opcode 963C
T63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5591
mov.l execexit_ptr5591,r1
jmp @r1
add #-2,r6
fdl5591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5591: .long execexit
! Opcodes 9640 - 9647
T640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5592
mov.l execexit_ptr5592,r1
jmp @r1
add #-2,r6
fdl5592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5592: .long execexit
! Opcodes 9648 - 964F
T648:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5593
mov.l execexit_ptr5593,r1
jmp @r1
add #-2,r6
fdl5593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5593: .long execexit
! Opcodes 9650 - 9657
T650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5594
mov.l execexit_ptr5594,r1
jmp @r1
add #-2,r6
fdl5594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5594: .long execexit
! Opcodes 9658 - 965F
T658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5595
mov.l execexit_ptr5595,r1
jmp @r1
add #-2,r6
fdl5595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5595: .long execexit
! Opcodes 9660 - 9667
T660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5596
mov.l execexit_ptr5596,r1
jmp @r1
add #-2,r6
fdl5596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5596: .long execexit
! Opcodes 9668 - 966F
T668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5597
mov.l execexit_ptr5597,r1
jmp @r1
add #-2,r6
fdl5597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5597: .long execexit
! Opcodes 9670 - 9677
T670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd958
exts.w r0,r0
longwd958:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5598
mov.l execexit_ptr5598,r1
jmp @r1
add #-2,r6
fdl5598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5598: .long execexit
! Opcode 9678
T678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5599
mov.l execexit_ptr5599,r1
jmp @r1
add #-2,r6
fdl5599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5599: .long execexit
! Opcode 9679
T679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5600
mov.l execexit_ptr5600,r1
jmp @r1
add #-2,r6
fdl5600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5600: .long execexit
! Opcode 967A
T67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5601
mov.l execexit_ptr5601,r1
jmp @r1
add #-2,r6
fdl5601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5601: .long execexit
! Opcode 967B
T67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd959
exts.w r0,r0
longwd959:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5602
mov.l execexit_ptr5602,r1
jmp @r1
add #-2,r6
fdl5602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5602: .long execexit
! Opcode 967C
T67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5603
mov.l execexit_ptr5603,r1
jmp @r1
add #-2,r6
fdl5603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5603: .long execexit
! Opcodes 9680 - 9687
T680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5604
mov.l execexit_ptr5604,r1
jmp @r1
add #-2,r6
fdl5604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5604: .long execexit
! Opcodes 9688 - 968F
T688:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5605
mov.l execexit_ptr5605,r1
jmp @r1
add #-2,r6
fdl5605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5605: .long execexit
! Opcodes 9690 - 9697
T690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5606
mov.l execexit_ptr5606,r1
jmp @r1
add #-2,r6
fdl5606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5606: .long execexit
! Opcodes 9698 - 969F
T698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5607
mov.l execexit_ptr5607,r1
jmp @r1
add #-2,r6
fdl5607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5607: .long execexit
! Opcodes 96A0 - 96A7
T6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5608
mov.l execexit_ptr5608,r1
jmp @r1
add #-2,r6
fdl5608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5608: .long execexit
! Opcodes 96A8 - 96AF
T6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5609
mov.l execexit_ptr5609,r1
jmp @r1
add #-2,r6
fdl5609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5609: .long execexit
! Opcodes 96B0 - 96B7
T6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd960
exts.w r0,r0
longwd960:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5610
mov.l execexit_ptr5610,r1
jmp @r1
add #-2,r6
fdl5610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5610: .long execexit
! Opcode 96B8
T6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5611
mov.l execexit_ptr5611,r1
jmp @r1
add #-2,r6
fdl5611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5611: .long execexit
! Opcode 96B9
T6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5612
mov.l execexit_ptr5612,r1
jmp @r1
add #-2,r6
fdl5612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5612: .long execexit
! Opcode 96BA
T6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5613
mov.l execexit_ptr5613,r1
jmp @r1
add #-2,r6
fdl5613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5613: .long execexit
! Opcode 96BB
T6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd961
exts.w r0,r0
longwd961:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5614
mov.l execexit_ptr5614,r1
jmp @r1
add #-2,r6
fdl5614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5614: .long execexit
! Opcode 96BC
T6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5615
mov.l execexit_ptr5615,r1
jmp @r1
add #-2,r6
fdl5615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5615: .long execexit
! Opcodes 96C0 - 96C7
T6C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5616
mov.l execexit_ptr5616,r1
jmp @r1
add #-2,r6
fdl5616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5616: .long execexit
! Opcodes 96C8 - 96CF
T6C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5617
mov.l execexit_ptr5617,r1
jmp @r1
add #-2,r6
fdl5617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5617: .long execexit
! Opcodes 96D0 - 96D7
T6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5618
mov.l execexit_ptr5618,r1
jmp @r1
add #-2,r6
fdl5618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5618: .long execexit
! Opcodes 96D8 - 96DF
T6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5619
mov.l execexit_ptr5619,r1
jmp @r1
add #-2,r6
fdl5619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5619: .long execexit
! Opcodes 96E0 - 96E7
T6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5620
mov.l execexit_ptr5620,r1
jmp @r1
add #-2,r6
fdl5620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5620: .long execexit
! Opcodes 96E8 - 96EF
T6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5621
mov.l execexit_ptr5621,r1
jmp @r1
add #-2,r6
fdl5621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5621: .long execexit
! Opcodes 96F0 - 96F7
T6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd962
exts.w r0,r0
longwd962:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5622
mov.l execexit_ptr5622,r1
jmp @r1
add #-2,r6
fdl5622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5622: .long execexit
! Opcode 96F8
T6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5623
mov.l execexit_ptr5623,r1
jmp @r1
add #-2,r6
fdl5623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5623: .long execexit
! Opcode 96F9
T6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5624
mov.l execexit_ptr5624,r1
jmp @r1
add #-2,r6
fdl5624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5624: .long execexit
! Opcode 96FA
T6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5625
mov.l execexit_ptr5625,r1
jmp @r1
add #-2,r6
fdl5625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5625: .long execexit
! Opcode 96FB
T6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd963
exts.w r0,r0
longwd963:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5626
mov.l execexit_ptr5626,r1
jmp @r1
add #-2,r6
fdl5626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5626: .long execexit
! Opcode 96FC
T6FC:
mov.w @r6+,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5627
mov.l execexit_ptr5627,r1
jmp @r1
add #-2,r6
fdl5627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5627: .long execexit
! Opcodes 9700 - 9707
T700:
and r1,r2
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5629
mov.l execexit_ptr5629,r1
jmp @r1
add #-2,r6
fdl5629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5629: .long execexit
! Opcodes 9708 - 970F
T708:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5631
mov.l execexit_ptr5631,r1
jmp @r1
add #-2,r6
fdl5631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5631: .long execexit
! Opcodes 9710 - 9717
T710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5632
mov.l execexit_ptr5632,r1
jmp @r1
add #-2,r6
fdl5632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5632: .long execexit
! Opcodes 9718 - 971F
T718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5633
mov.l execexit_ptr5633,r1
jmp @r1
add #-2,r6
fdl5633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5633: .long execexit
! Opcodes 9720 - 9727
T720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5634
mov.l execexit_ptr5634,r1
jmp @r1
add #-2,r6
fdl5634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5634: .long execexit
! Opcodes 9728 - 972F
T728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5635
mov.l execexit_ptr5635,r1
jmp @r1
add #-2,r6
fdl5635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5635: .long execexit
! Opcodes 9730 - 9737
T730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd964
exts.w r0,r0
longwd964:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5636
mov.l execexit_ptr5636,r1
jmp @r1
add #-2,r6
fdl5636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5636: .long execexit
! Opcode 9738
T738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5637
mov.l execexit_ptr5637,r1
jmp @r1
add #-2,r6
fdl5637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5637: .long execexit
! Opcode 9739
T739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5638
mov.l execexit_ptr5638,r1
jmp @r1
add #-2,r6
fdl5638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5638: .long execexit
! Opcodes 9740 - 9747
T740:
and r1,r2
mov #12,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5640
mov.l execexit_ptr5640,r1
jmp @r1
add #-2,r6
fdl5640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5640: .long execexit
! Opcodes 9748 - 974F
T748:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5642
mov.l execexit_ptr5642,r1
jmp @r1
add #-2,r6
fdl5642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5642: .long execexit
! Opcodes 9750 - 9757
T750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5643
mov.l execexit_ptr5643,r1
jmp @r1
add #-2,r6
fdl5643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5643: .long execexit
! Opcodes 9758 - 975F
T758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5644
mov.l execexit_ptr5644,r1
jmp @r1
add #-2,r6
fdl5644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5644: .long execexit
! Opcodes 9760 - 9767
T760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5645
mov.l execexit_ptr5645,r1
jmp @r1
add #-2,r6
fdl5645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5645: .long execexit
! Opcodes 9768 - 976F
T768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5646
mov.l execexit_ptr5646,r1
jmp @r1
add #-2,r6
fdl5646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5646: .long execexit
! Opcodes 9770 - 9777
T770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd965
exts.w r0,r0
longwd965:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5647
mov.l execexit_ptr5647,r1
jmp @r1
add #-2,r6
fdl5647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5647: .long execexit
! Opcode 9778
T778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5648
mov.l execexit_ptr5648,r1
jmp @r1
add #-2,r6
fdl5648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5648: .long execexit
! Opcode 9779
T779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5649
mov.l execexit_ptr5649,r1
jmp @r1
add #-2,r6
fdl5649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5649: .long execexit
! Opcodes 9780 - 9787
T780:
and r1,r2
mov.l @(12,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(12,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5651
mov.l execexit_ptr5651,r1
jmp @r1
add #-2,r6
fdl5651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5651: .long execexit
! Opcodes 9788 - 978F
T788:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5653
mov.l execexit_ptr5653,r1
jmp @r1
add #-2,r6
fdl5653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5653: .long execexit
! Opcodes 9790 - 9797
T790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5654
mov.l execexit_ptr5654,r1
jmp @r1
add #-2,r6
fdl5654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5654: .long execexit
! Opcodes 9798 - 979F
T798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5655
mov.l execexit_ptr5655,r1
jmp @r1
add #-2,r6
fdl5655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5655: .long execexit
! Opcodes 97A0 - 97A7
T7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5656
mov.l execexit_ptr5656,r1
jmp @r1
add #-2,r6
fdl5656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5656: .long execexit
! Opcodes 97A8 - 97AF
T7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5657
mov.l execexit_ptr5657,r1
jmp @r1
add #-2,r6
fdl5657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5657: .long execexit
! Opcodes 97B0 - 97B7
T7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd966
exts.w r0,r0
longwd966:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5658
mov.l execexit_ptr5658,r1
jmp @r1
add #-2,r6
fdl5658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5658: .long execexit
! Opcode 97B8
T7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5659
mov.l execexit_ptr5659,r1
jmp @r1
add #-2,r6
fdl5659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5659: .long execexit
! Opcode 97B9
T7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5660
mov.l execexit_ptr5660,r1
jmp @r1
add #-2,r6
fdl5660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5660: .long execexit
! Opcodes 97C0 - 97C7
T7C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5661
mov.l execexit_ptr5661,r1
jmp @r1
add #-2,r6
fdl5661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5661: .long execexit
! Opcodes 97C8 - 97CF
T7C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5662
mov.l execexit_ptr5662,r1
jmp @r1
add #-2,r6
fdl5662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5662: .long execexit
! Opcodes 97D0 - 97D7
T7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5663
mov.l execexit_ptr5663,r1
jmp @r1
add #-2,r6
fdl5663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5663: .long execexit
! Opcodes 97D8 - 97DF
T7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5664
mov.l execexit_ptr5664,r1
jmp @r1
add #-2,r6
fdl5664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5664: .long execexit
! Opcodes 97E0 - 97E7
T7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5665
mov.l execexit_ptr5665,r1
jmp @r1
add #-2,r6
fdl5665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5665: .long execexit
! Opcodes 97E8 - 97EF
T7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5666
mov.l execexit_ptr5666,r1
jmp @r1
add #-2,r6
fdl5666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5666: .long execexit
! Opcodes 97F0 - 97F7
T7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd967
exts.w r0,r0
longwd967:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5667
mov.l execexit_ptr5667,r1
jmp @r1
add #-2,r6
fdl5667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5667: .long execexit
! Opcode 97F8
T7F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5668
mov.l execexit_ptr5668,r1
jmp @r1
add #-2,r6
fdl5668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5668: .long execexit
! Opcode 97F9
T7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5669
mov.l execexit_ptr5669,r1
jmp @r1
add #-2,r6
fdl5669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5669: .long execexit
! Opcode 97FA
T7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5670
mov.l execexit_ptr5670,r1
jmp @r1
add #-2,r6
fdl5670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5670: .long execexit
! Opcode 97FB
T7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd968
exts.w r0,r0
longwd968:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5671
mov.l execexit_ptr5671,r1
jmp @r1
add #-2,r6
fdl5671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5671: .long execexit
! Opcode 97FC
T7FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
sub r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5672
mov.l execexit_ptr5672,r1
jmp @r1
add #-2,r6
fdl5672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5672: .long execexit
! Opcodes 9800 - 9807
T800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5673
mov.l execexit_ptr5673,r1
jmp @r1
add #-2,r6
fdl5673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5673: .long execexit
! Opcodes 9808 - 980F
T808:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5674
mov.l execexit_ptr5674,r1
jmp @r1
add #-2,r6
fdl5674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5674: .long execexit
! Opcodes 9810 - 9817
T810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5675
mov.l execexit_ptr5675,r1
jmp @r1
add #-2,r6
fdl5675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5675: .long execexit
! Opcodes 9818 - 981F
T818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5676
mov.l execexit_ptr5676,r1
jmp @r1
add #-2,r6
fdl5676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5676: .long execexit
! Opcodes 9820 - 9827
T820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5677
mov.l execexit_ptr5677,r1
jmp @r1
add #-2,r6
fdl5677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5677: .long execexit
! Opcodes 9828 - 982F
T828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5678
mov.l execexit_ptr5678,r1
jmp @r1
add #-2,r6
fdl5678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5678: .long execexit
! Opcodes 9830 - 9837
T830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd969
exts.w r0,r0
longwd969:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5679
mov.l execexit_ptr5679,r1
jmp @r1
add #-2,r6
fdl5679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5679: .long execexit
! Opcode 9838
T838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5680
mov.l execexit_ptr5680,r1
jmp @r1
add #-2,r6
fdl5680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5680: .long execexit
! Opcode 9839
T839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5681
mov.l execexit_ptr5681,r1
jmp @r1
add #-2,r6
fdl5681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5681: .long execexit
! Opcode 983A
T83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5682
mov.l execexit_ptr5682,r1
jmp @r1
add #-2,r6
fdl5682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5682: .long execexit
! Opcode 983B
T83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd970
exts.w r0,r0
longwd970:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5683
mov.l execexit_ptr5683,r1
jmp @r1
add #-2,r6
fdl5683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5683: .long execexit
! Opcode 983C
T83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5684
mov.l execexit_ptr5684,r1
jmp @r1
add #-2,r6
fdl5684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5684: .long execexit
! Opcodes 9840 - 9847
T840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5685
mov.l execexit_ptr5685,r1
jmp @r1
add #-2,r6
fdl5685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5685: .long execexit
! Opcodes 9848 - 984F
T848:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5686
mov.l execexit_ptr5686,r1
jmp @r1
add #-2,r6
fdl5686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5686: .long execexit
! Opcodes 9850 - 9857
T850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5687
mov.l execexit_ptr5687,r1
jmp @r1
add #-2,r6
fdl5687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5687: .long execexit
! Opcodes 9858 - 985F
T858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5688
mov.l execexit_ptr5688,r1
jmp @r1
add #-2,r6
fdl5688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5688: .long execexit
! Opcodes 9860 - 9867
T860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5689
mov.l execexit_ptr5689,r1
jmp @r1
add #-2,r6
fdl5689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5689: .long execexit
! Opcodes 9868 - 986F
T868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5690
mov.l execexit_ptr5690,r1
jmp @r1
add #-2,r6
fdl5690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5690: .long execexit
! Opcodes 9870 - 9877
T870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd971
exts.w r0,r0
longwd971:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5691
mov.l execexit_ptr5691,r1
jmp @r1
add #-2,r6
fdl5691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5691: .long execexit
! Opcode 9878
T878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5692
mov.l execexit_ptr5692,r1
jmp @r1
add #-2,r6
fdl5692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5692: .long execexit
! Opcode 9879
T879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5693
mov.l execexit_ptr5693,r1
jmp @r1
add #-2,r6
fdl5693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5693: .long execexit
! Opcode 987A
T87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5694
mov.l execexit_ptr5694,r1
jmp @r1
add #-2,r6
fdl5694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5694: .long execexit
! Opcode 987B
T87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd972
exts.w r0,r0
longwd972:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5695
mov.l execexit_ptr5695,r1
jmp @r1
add #-2,r6
fdl5695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5695: .long execexit
! Opcode 987C
T87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5696
mov.l execexit_ptr5696,r1
jmp @r1
add #-2,r6
fdl5696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5696: .long execexit
! Opcodes 9880 - 9887
T880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5697
mov.l execexit_ptr5697,r1
jmp @r1
add #-2,r6
fdl5697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5697: .long execexit
! Opcodes 9888 - 988F
T888:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5698
mov.l execexit_ptr5698,r1
jmp @r1
add #-2,r6
fdl5698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5698: .long execexit
! Opcodes 9890 - 9897
T890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5699
mov.l execexit_ptr5699,r1
jmp @r1
add #-2,r6
fdl5699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5699: .long execexit
! Opcodes 9898 - 989F
T898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5700
mov.l execexit_ptr5700,r1
jmp @r1
add #-2,r6
fdl5700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5700: .long execexit
! Opcodes 98A0 - 98A7
T8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5701
mov.l execexit_ptr5701,r1
jmp @r1
add #-2,r6
fdl5701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5701: .long execexit
! Opcodes 98A8 - 98AF
T8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5702
mov.l execexit_ptr5702,r1
jmp @r1
add #-2,r6
fdl5702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5702: .long execexit
! Opcodes 98B0 - 98B7
T8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd973
exts.w r0,r0
longwd973:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5703
mov.l execexit_ptr5703,r1
jmp @r1
add #-2,r6
fdl5703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5703: .long execexit
! Opcode 98B8
T8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5704
mov.l execexit_ptr5704,r1
jmp @r1
add #-2,r6
fdl5704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5704: .long execexit
! Opcode 98B9
T8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5705
mov.l execexit_ptr5705,r1
jmp @r1
add #-2,r6
fdl5705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5705: .long execexit
! Opcode 98BA
T8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5706
mov.l execexit_ptr5706,r1
jmp @r1
add #-2,r6
fdl5706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5706: .long execexit
! Opcode 98BB
T8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd974
exts.w r0,r0
longwd974:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5707
mov.l execexit_ptr5707,r1
jmp @r1
add #-2,r6
fdl5707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5707: .long execexit
! Opcode 98BC
T8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5708
mov.l execexit_ptr5708,r1
jmp @r1
add #-2,r6
fdl5708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5708: .long execexit
! Opcodes 98C0 - 98C7
T8C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5709
mov.l execexit_ptr5709,r1
jmp @r1
add #-2,r6
fdl5709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5709: .long execexit
! Opcodes 98C8 - 98CF
T8C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5710
mov.l execexit_ptr5710,r1
jmp @r1
add #-2,r6
fdl5710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5710: .long execexit
! Opcodes 98D0 - 98D7
T8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5711
mov.l execexit_ptr5711,r1
jmp @r1
add #-2,r6
fdl5711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5711: .long execexit
! Opcodes 98D8 - 98DF
T8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5712
mov.l execexit_ptr5712,r1
jmp @r1
add #-2,r6
fdl5712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5712: .long execexit
! Opcodes 98E0 - 98E7
T8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5713
mov.l execexit_ptr5713,r1
jmp @r1
add #-2,r6
fdl5713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5713: .long execexit
! Opcodes 98E8 - 98EF
T8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5714
mov.l execexit_ptr5714,r1
jmp @r1
add #-2,r6
fdl5714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5714: .long execexit
! Opcodes 98F0 - 98F7
T8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd975
exts.w r0,r0
longwd975:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5715
mov.l execexit_ptr5715,r1
jmp @r1
add #-2,r6
fdl5715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5715: .long execexit
! Opcode 98F8
T8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5716
mov.l execexit_ptr5716,r1
jmp @r1
add #-2,r6
fdl5716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5716: .long execexit
! Opcode 98F9
T8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5717
mov.l execexit_ptr5717,r1
jmp @r1
add #-2,r6
fdl5717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5717: .long execexit
! Opcode 98FA
T8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5718
mov.l execexit_ptr5718,r1
jmp @r1
add #-2,r6
fdl5718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5718: .long execexit
! Opcode 98FB
T8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd976
exts.w r0,r0
longwd976:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5719
mov.l execexit_ptr5719,r1
jmp @r1
add #-2,r6
fdl5719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5719: .long execexit
! Opcode 98FC
T8FC:
mov.w @r6+,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5720
mov.l execexit_ptr5720,r1
jmp @r1
add #-2,r6
fdl5720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5720: .long execexit
! Opcodes 9900 - 9907
T900:
and r1,r2
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5722
mov.l execexit_ptr5722,r1
jmp @r1
add #-2,r6
fdl5722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5722: .long execexit
! Opcodes 9908 - 990F
T908:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5724
mov.l execexit_ptr5724,r1
jmp @r1
add #-2,r6
fdl5724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5724: .long execexit
! Opcodes 9910 - 9917
T910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5725
mov.l execexit_ptr5725,r1
jmp @r1
add #-2,r6
fdl5725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5725: .long execexit
! Opcodes 9918 - 991F
T918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5726
mov.l execexit_ptr5726,r1
jmp @r1
add #-2,r6
fdl5726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5726: .long execexit
! Opcodes 9920 - 9927
T920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5727
mov.l execexit_ptr5727,r1
jmp @r1
add #-2,r6
fdl5727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5727: .long execexit
! Opcodes 9928 - 992F
T928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5728
mov.l execexit_ptr5728,r1
jmp @r1
add #-2,r6
fdl5728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5728: .long execexit
! Opcodes 9930 - 9937
T930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd977
exts.w r0,r0
longwd977:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5729
mov.l execexit_ptr5729,r1
jmp @r1
add #-2,r6
fdl5729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5729: .long execexit
! Opcode 9938
T938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5730
mov.l execexit_ptr5730,r1
jmp @r1
add #-2,r6
fdl5730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5730: .long execexit
! Opcode 9939
T939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5731
mov.l execexit_ptr5731,r1
jmp @r1
add #-2,r6
fdl5731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5731: .long execexit
! Opcodes 9940 - 9947
T940:
and r1,r2
mov #16,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5733
mov.l execexit_ptr5733,r1
jmp @r1
add #-2,r6
fdl5733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5733: .long execexit
! Opcodes 9948 - 994F
T948:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5735
mov.l execexit_ptr5735,r1
jmp @r1
add #-2,r6
fdl5735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5735: .long execexit
! Opcodes 9950 - 9957
T950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5736
mov.l execexit_ptr5736,r1
jmp @r1
add #-2,r6
fdl5736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5736: .long execexit
! Opcodes 9958 - 995F
T958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5737
mov.l execexit_ptr5737,r1
jmp @r1
add #-2,r6
fdl5737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5737: .long execexit
! Opcodes 9960 - 9967
T960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5738
mov.l execexit_ptr5738,r1
jmp @r1
add #-2,r6
fdl5738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5738: .long execexit
! Opcodes 9968 - 996F
T968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5739
mov.l execexit_ptr5739,r1
jmp @r1
add #-2,r6
fdl5739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5739: .long execexit
! Opcodes 9970 - 9977
T970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd978
exts.w r0,r0
longwd978:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5740
mov.l execexit_ptr5740,r1
jmp @r1
add #-2,r6
fdl5740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5740: .long execexit
! Opcode 9978
T978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5741
mov.l execexit_ptr5741,r1
jmp @r1
add #-2,r6
fdl5741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5741: .long execexit
! Opcode 9979
T979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5742
mov.l execexit_ptr5742,r1
jmp @r1
add #-2,r6
fdl5742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5742: .long execexit
! Opcodes 9980 - 9987
T980:
and r1,r2
mov.l @(16,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(16,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5744
mov.l execexit_ptr5744,r1
jmp @r1
add #-2,r6
fdl5744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5744: .long execexit
! Opcodes 9988 - 998F
T988:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5746
mov.l execexit_ptr5746,r1
jmp @r1
add #-2,r6
fdl5746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5746: .long execexit
! Opcodes 9990 - 9997
T990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5747
mov.l execexit_ptr5747,r1
jmp @r1
add #-2,r6
fdl5747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5747: .long execexit
! Opcodes 9998 - 999F
T998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5748
mov.l execexit_ptr5748,r1
jmp @r1
add #-2,r6
fdl5748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5748: .long execexit
! Opcodes 99A0 - 99A7
T9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5749
mov.l execexit_ptr5749,r1
jmp @r1
add #-2,r6
fdl5749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5749: .long execexit
! Opcodes 99A8 - 99AF
T9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5750
mov.l execexit_ptr5750,r1
jmp @r1
add #-2,r6
fdl5750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5750: .long execexit
! Opcodes 99B0 - 99B7
T9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd979
exts.w r0,r0
longwd979:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5751
mov.l execexit_ptr5751,r1
jmp @r1
add #-2,r6
fdl5751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5751: .long execexit
! Opcode 99B8
T9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5752
mov.l execexit_ptr5752,r1
jmp @r1
add #-2,r6
fdl5752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5752: .long execexit
! Opcode 99B9
T9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5753
mov.l execexit_ptr5753,r1
jmp @r1
add #-2,r6
fdl5753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5753: .long execexit
! Opcodes 99C0 - 99C7
T9C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5754
mov.l execexit_ptr5754,r1
jmp @r1
add #-2,r6
fdl5754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5754: .long execexit
! Opcodes 99C8 - 99CF
T9C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5755
mov.l execexit_ptr5755,r1
jmp @r1
add #-2,r6
fdl5755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5755: .long execexit
! Opcodes 99D0 - 99D7
T9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5756
mov.l execexit_ptr5756,r1
jmp @r1
add #-2,r6
fdl5756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5756: .long execexit
! Opcodes 99D8 - 99DF
T9D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5757
mov.l execexit_ptr5757,r1
jmp @r1
add #-2,r6
fdl5757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5757: .long execexit
! Opcodes 99E0 - 99E7
T9E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5758
mov.l execexit_ptr5758,r1
jmp @r1
add #-2,r6
fdl5758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5758: .long execexit
! Opcodes 99E8 - 99EF
T9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5759
mov.l execexit_ptr5759,r1
jmp @r1
add #-2,r6
fdl5759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5759: .long execexit
! Opcodes 99F0 - 99F7
T9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd980
exts.w r0,r0
longwd980:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5760
mov.l execexit_ptr5760,r1
jmp @r1
add #-2,r6
fdl5760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5760: .long execexit
! Opcode 99F8
T9F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5761
mov.l execexit_ptr5761,r1
jmp @r1
add #-2,r6
fdl5761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5761: .long execexit
! Opcode 99F9
T9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5762
mov.l execexit_ptr5762,r1
jmp @r1
add #-2,r6
fdl5762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5762: .long execexit
! Opcode 99FA
T9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5763
mov.l execexit_ptr5763,r1
jmp @r1
add #-2,r6
fdl5763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5763: .long execexit
! Opcode 99FB
T9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd981
exts.w r0,r0
longwd981:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5764
mov.l execexit_ptr5764,r1
jmp @r1
add #-2,r6
fdl5764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5764: .long execexit
! Opcode 99FC
T9FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
sub r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5765
mov.l execexit_ptr5765,r1
jmp @r1
add #-2,r6
fdl5765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5765: .long execexit
! Opcodes 9A00 - 9A07
TA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5766
mov.l execexit_ptr5766,r1
jmp @r1
add #-2,r6
fdl5766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5766: .long execexit
! Opcodes 9A08 - 9A0F
TA08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5767
mov.l execexit_ptr5767,r1
jmp @r1
add #-2,r6
fdl5767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5767: .long execexit
! Opcodes 9A10 - 9A17
TA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5768
mov.l execexit_ptr5768,r1
jmp @r1
add #-2,r6
fdl5768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5768: .long execexit
! Opcodes 9A18 - 9A1F
TA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5769
mov.l execexit_ptr5769,r1
jmp @r1
add #-2,r6
fdl5769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5769: .long execexit
! Opcodes 9A20 - 9A27
TA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5770
mov.l execexit_ptr5770,r1
jmp @r1
add #-2,r6
fdl5770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5770: .long execexit
! Opcodes 9A28 - 9A2F
TA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5771
mov.l execexit_ptr5771,r1
jmp @r1
add #-2,r6
fdl5771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5771: .long execexit
! Opcodes 9A30 - 9A37
TA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd982
exts.w r0,r0
longwd982:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5772
mov.l execexit_ptr5772,r1
jmp @r1
add #-2,r6
fdl5772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5772: .long execexit
! Opcode 9A38
TA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5773
mov.l execexit_ptr5773,r1
jmp @r1
add #-2,r6
fdl5773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5773: .long execexit
! Opcode 9A39
TA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5774
mov.l execexit_ptr5774,r1
jmp @r1
add #-2,r6
fdl5774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5774: .long execexit
! Opcode 9A3A
TA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5775
mov.l execexit_ptr5775,r1
jmp @r1
add #-2,r6
fdl5775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5775: .long execexit
! Opcode 9A3B
TA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd983
exts.w r0,r0
longwd983:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5776
mov.l execexit_ptr5776,r1
jmp @r1
add #-2,r6
fdl5776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5776: .long execexit
! Opcode 9A3C
TA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5777
mov.l execexit_ptr5777,r1
jmp @r1
add #-2,r6
fdl5777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5777: .long execexit
! Opcodes 9A40 - 9A47
TA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5778
mov.l execexit_ptr5778,r1
jmp @r1
add #-2,r6
fdl5778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5778: .long execexit
! Opcodes 9A48 - 9A4F
TA48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5779
mov.l execexit_ptr5779,r1
jmp @r1
add #-2,r6
fdl5779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5779: .long execexit
! Opcodes 9A50 - 9A57
TA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5780
mov.l execexit_ptr5780,r1
jmp @r1
add #-2,r6
fdl5780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5780: .long execexit
! Opcodes 9A58 - 9A5F
TA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5781
mov.l execexit_ptr5781,r1
jmp @r1
add #-2,r6
fdl5781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5781: .long execexit
! Opcodes 9A60 - 9A67
TA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5782
mov.l execexit_ptr5782,r1
jmp @r1
add #-2,r6
fdl5782:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5782: .long execexit
! Opcodes 9A68 - 9A6F
TA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5783
mov.l execexit_ptr5783,r1
jmp @r1
add #-2,r6
fdl5783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5783: .long execexit
! Opcodes 9A70 - 9A77
TA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd984
exts.w r0,r0
longwd984:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5784
mov.l execexit_ptr5784,r1
jmp @r1
add #-2,r6
fdl5784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5784: .long execexit
! Opcode 9A78
TA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5785
mov.l execexit_ptr5785,r1
jmp @r1
add #-2,r6
fdl5785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5785: .long execexit
! Opcode 9A79
TA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5786
mov.l execexit_ptr5786,r1
jmp @r1
add #-2,r6
fdl5786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5786: .long execexit
! Opcode 9A7A
TA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5787
mov.l execexit_ptr5787,r1
jmp @r1
add #-2,r6
fdl5787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5787: .long execexit
! Opcode 9A7B
TA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd985
exts.w r0,r0
longwd985:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5788
mov.l execexit_ptr5788,r1
jmp @r1
add #-2,r6
fdl5788:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5788: .long execexit
! Opcode 9A7C
TA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5789
mov.l execexit_ptr5789,r1
jmp @r1
add #-2,r6
fdl5789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5789: .long execexit
! Opcodes 9A80 - 9A87
TA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5790
mov.l execexit_ptr5790,r1
jmp @r1
add #-2,r6
fdl5790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5790: .long execexit
! Opcodes 9A88 - 9A8F
TA88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5791
mov.l execexit_ptr5791,r1
jmp @r1
add #-2,r6
fdl5791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5791: .long execexit
! Opcodes 9A90 - 9A97
TA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5792
mov.l execexit_ptr5792,r1
jmp @r1
add #-2,r6
fdl5792:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5792: .long execexit
! Opcodes 9A98 - 9A9F
TA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5793
mov.l execexit_ptr5793,r1
jmp @r1
add #-2,r6
fdl5793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5793: .long execexit
! Opcodes 9AA0 - 9AA7
TAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5794
mov.l execexit_ptr5794,r1
jmp @r1
add #-2,r6
fdl5794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5794: .long execexit
! Opcodes 9AA8 - 9AAF
TAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5795
mov.l execexit_ptr5795,r1
jmp @r1
add #-2,r6
fdl5795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5795: .long execexit
! Opcodes 9AB0 - 9AB7
TAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd986
exts.w r0,r0
longwd986:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5796
mov.l execexit_ptr5796,r1
jmp @r1
add #-2,r6
fdl5796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5796: .long execexit
! Opcode 9AB8
TAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5797
mov.l execexit_ptr5797,r1
jmp @r1
add #-2,r6
fdl5797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5797: .long execexit
! Opcode 9AB9
TAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5798
mov.l execexit_ptr5798,r1
jmp @r1
add #-2,r6
fdl5798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5798: .long execexit
! Opcode 9ABA
TABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5799
mov.l execexit_ptr5799,r1
jmp @r1
add #-2,r6
fdl5799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5799: .long execexit
! Opcode 9ABB
TABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd987
exts.w r0,r0
longwd987:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5800
mov.l execexit_ptr5800,r1
jmp @r1
add #-2,r6
fdl5800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5800: .long execexit
! Opcode 9ABC
TABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5801
mov.l execexit_ptr5801,r1
jmp @r1
add #-2,r6
fdl5801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5801: .long execexit
! Opcodes 9AC0 - 9AC7
TAC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5802
mov.l execexit_ptr5802,r1
jmp @r1
add #-2,r6
fdl5802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5802: .long execexit
! Opcodes 9AC8 - 9ACF
TAC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5803
mov.l execexit_ptr5803,r1
jmp @r1
add #-2,r6
fdl5803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5803: .long execexit
! Opcodes 9AD0 - 9AD7
TAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5804
mov.l execexit_ptr5804,r1
jmp @r1
add #-2,r6
fdl5804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5804: .long execexit
! Opcodes 9AD8 - 9ADF
TAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5805
mov.l execexit_ptr5805,r1
jmp @r1
add #-2,r6
fdl5805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5805: .long execexit
! Opcodes 9AE0 - 9AE7
TAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5806
mov.l execexit_ptr5806,r1
jmp @r1
add #-2,r6
fdl5806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5806: .long execexit
! Opcodes 9AE8 - 9AEF
TAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5807
mov.l execexit_ptr5807,r1
jmp @r1
add #-2,r6
fdl5807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5807: .long execexit
! Opcodes 9AF0 - 9AF7
TAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd988
exts.w r0,r0
longwd988:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5808
mov.l execexit_ptr5808,r1
jmp @r1
add #-2,r6
fdl5808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5808: .long execexit
! Opcode 9AF8
TAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5809
mov.l execexit_ptr5809,r1
jmp @r1
add #-2,r6
fdl5809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5809: .long execexit
! Opcode 9AF9
TAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5810
mov.l execexit_ptr5810,r1
jmp @r1
add #-2,r6
fdl5810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5810: .long execexit
! Opcode 9AFA
TAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5811
mov.l execexit_ptr5811,r1
jmp @r1
add #-2,r6
fdl5811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5811: .long execexit
! Opcode 9AFB
TAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd989
exts.w r0,r0
longwd989:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5812
mov.l execexit_ptr5812,r1
jmp @r1
add #-2,r6
fdl5812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5812: .long execexit
! Opcode 9AFC
TAFC:
mov.w @r6+,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5813
mov.l execexit_ptr5813,r1
jmp @r1
add #-2,r6
fdl5813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5813: .long execexit
! Opcodes 9B00 - 9B07
TB00:
and r1,r2
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5815
mov.l execexit_ptr5815,r1
jmp @r1
add #-2,r6
fdl5815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5815: .long execexit
! Opcodes 9B08 - 9B0F
TB08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5817
mov.l execexit_ptr5817,r1
jmp @r1
add #-2,r6
fdl5817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5817: .long execexit
! Opcodes 9B10 - 9B17
TB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5818
mov.l execexit_ptr5818,r1
jmp @r1
add #-2,r6
fdl5818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5818: .long execexit
! Opcodes 9B18 - 9B1F
TB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5819
mov.l execexit_ptr5819,r1
jmp @r1
add #-2,r6
fdl5819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5819: .long execexit
! Opcodes 9B20 - 9B27
TB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5820
mov.l execexit_ptr5820,r1
jmp @r1
add #-2,r6
fdl5820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5820: .long execexit
! Opcodes 9B28 - 9B2F
TB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5821
mov.l execexit_ptr5821,r1
jmp @r1
add #-2,r6
fdl5821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5821: .long execexit
! Opcodes 9B30 - 9B37
TB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd990
exts.w r0,r0
longwd990:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5822
mov.l execexit_ptr5822,r1
jmp @r1
add #-2,r6
fdl5822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5822: .long execexit
! Opcode 9B38
TB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5823
mov.l execexit_ptr5823,r1
jmp @r1
add #-2,r6
fdl5823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5823: .long execexit
! Opcode 9B39
TB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5824
mov.l execexit_ptr5824,r1
jmp @r1
add #-2,r6
fdl5824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5824: .long execexit
! Opcodes 9B40 - 9B47
TB40:
and r1,r2
mov #20,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5826
mov.l execexit_ptr5826,r1
jmp @r1
add #-2,r6
fdl5826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5826: .long execexit
! Opcodes 9B48 - 9B4F
TB48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5828
mov.l execexit_ptr5828,r1
jmp @r1
add #-2,r6
fdl5828:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5828: .long execexit
! Opcodes 9B50 - 9B57
TB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5829
mov.l execexit_ptr5829,r1
jmp @r1
add #-2,r6
fdl5829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5829: .long execexit
! Opcodes 9B58 - 9B5F
TB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5830
mov.l execexit_ptr5830,r1
jmp @r1
add #-2,r6
fdl5830:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5830: .long execexit
! Opcodes 9B60 - 9B67
TB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5831
mov.l execexit_ptr5831,r1
jmp @r1
add #-2,r6
fdl5831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5831: .long execexit
! Opcodes 9B68 - 9B6F
TB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5832
mov.l execexit_ptr5832,r1
jmp @r1
add #-2,r6
fdl5832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5832: .long execexit
! Opcodes 9B70 - 9B77
TB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd991
exts.w r0,r0
longwd991:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5833
mov.l execexit_ptr5833,r1
jmp @r1
add #-2,r6
fdl5833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5833: .long execexit
! Opcode 9B78
TB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5834
mov.l execexit_ptr5834,r1
jmp @r1
add #-2,r6
fdl5834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5834: .long execexit
! Opcode 9B79
TB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5835
mov.l execexit_ptr5835,r1
jmp @r1
add #-2,r6
fdl5835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5835: .long execexit
! Opcodes 9B80 - 9B87
TB80:
and r1,r2
mov.l @(20,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(20,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5837
mov.l execexit_ptr5837,r1
jmp @r1
add #-2,r6
fdl5837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5837: .long execexit
! Opcodes 9B88 - 9B8F
TB88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5839
mov.l execexit_ptr5839,r1
jmp @r1
add #-2,r6
fdl5839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5839: .long execexit
! Opcodes 9B90 - 9B97
TB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5840
mov.l execexit_ptr5840,r1
jmp @r1
add #-2,r6
fdl5840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5840: .long execexit
! Opcodes 9B98 - 9B9F
TB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5841
mov.l execexit_ptr5841,r1
jmp @r1
add #-2,r6
fdl5841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5841: .long execexit
! Opcodes 9BA0 - 9BA7
TBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5842
mov.l execexit_ptr5842,r1
jmp @r1
add #-2,r6
fdl5842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5842: .long execexit
! Opcodes 9BA8 - 9BAF
TBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5843
mov.l execexit_ptr5843,r1
jmp @r1
add #-2,r6
fdl5843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5843: .long execexit
! Opcodes 9BB0 - 9BB7
TBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd992
exts.w r0,r0
longwd992:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5844
mov.l execexit_ptr5844,r1
jmp @r1
add #-2,r6
fdl5844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5844: .long execexit
! Opcode 9BB8
TBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5845
mov.l execexit_ptr5845,r1
jmp @r1
add #-2,r6
fdl5845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5845: .long execexit
! Opcode 9BB9
TBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5846
mov.l execexit_ptr5846,r1
jmp @r1
add #-2,r6
fdl5846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5846: .long execexit
! Opcodes 9BC0 - 9BC7
TBC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5847
mov.l execexit_ptr5847,r1
jmp @r1
add #-2,r6
fdl5847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5847: .long execexit
! Opcodes 9BC8 - 9BCF
TBC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5848
mov.l execexit_ptr5848,r1
jmp @r1
add #-2,r6
fdl5848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5848: .long execexit
! Opcodes 9BD0 - 9BD7
TBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5849
mov.l execexit_ptr5849,r1
jmp @r1
add #-2,r6
fdl5849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5849: .long execexit
! Opcodes 9BD8 - 9BDF
TBD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5850
mov.l execexit_ptr5850,r1
jmp @r1
add #-2,r6
fdl5850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5850: .long execexit
! Opcodes 9BE0 - 9BE7
TBE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5851
mov.l execexit_ptr5851,r1
jmp @r1
add #-2,r6
fdl5851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5851: .long execexit
! Opcodes 9BE8 - 9BEF
TBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5852
mov.l execexit_ptr5852,r1
jmp @r1
add #-2,r6
fdl5852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5852: .long execexit
! Opcodes 9BF0 - 9BF7
TBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd993
exts.w r0,r0
longwd993:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5853
mov.l execexit_ptr5853,r1
jmp @r1
add #-2,r6
fdl5853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5853: .long execexit
! Opcode 9BF8
TBF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5854
mov.l execexit_ptr5854,r1
jmp @r1
add #-2,r6
fdl5854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5854: .long execexit
! Opcode 9BF9
TBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5855
mov.l execexit_ptr5855,r1
jmp @r1
add #-2,r6
fdl5855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5855: .long execexit
! Opcode 9BFA
TBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5856
mov.l execexit_ptr5856,r1
jmp @r1
add #-2,r6
fdl5856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5856: .long execexit
! Opcode 9BFB
TBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd994
exts.w r0,r0
longwd994:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5857
mov.l execexit_ptr5857,r1
jmp @r1
add #-2,r6
fdl5857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5857: .long execexit
! Opcode 9BFC
TBFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
sub r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5858
mov.l execexit_ptr5858,r1
jmp @r1
add #-2,r6
fdl5858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5858: .long execexit
! Opcodes 9C00 - 9C07
TC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5859
mov.l execexit_ptr5859,r1
jmp @r1
add #-2,r6
fdl5859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5859: .long execexit
! Opcodes 9C08 - 9C0F
TC08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5860
mov.l execexit_ptr5860,r1
jmp @r1
add #-2,r6
fdl5860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5860: .long execexit
! Opcodes 9C10 - 9C17
TC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5861
mov.l execexit_ptr5861,r1
jmp @r1
add #-2,r6
fdl5861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5861: .long execexit
! Opcodes 9C18 - 9C1F
TC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5862
mov.l execexit_ptr5862,r1
jmp @r1
add #-2,r6
fdl5862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5862: .long execexit
! Opcodes 9C20 - 9C27
TC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5863
mov.l execexit_ptr5863,r1
jmp @r1
add #-2,r6
fdl5863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5863: .long execexit
! Opcodes 9C28 - 9C2F
TC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5864
mov.l execexit_ptr5864,r1
jmp @r1
add #-2,r6
fdl5864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5864: .long execexit
! Opcodes 9C30 - 9C37
TC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd995
exts.w r0,r0
longwd995:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5865
mov.l execexit_ptr5865,r1
jmp @r1
add #-2,r6
fdl5865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5865: .long execexit
! Opcode 9C38
TC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5866
mov.l execexit_ptr5866,r1
jmp @r1
add #-2,r6
fdl5866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5866: .long execexit
! Opcode 9C39
TC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5867
mov.l execexit_ptr5867,r1
jmp @r1
add #-2,r6
fdl5867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5867: .long execexit
! Opcode 9C3A
TC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5868
mov.l execexit_ptr5868,r1
jmp @r1
add #-2,r6
fdl5868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5868: .long execexit
! Opcode 9C3B
TC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd996
exts.w r0,r0
longwd996:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5869
mov.l execexit_ptr5869,r1
jmp @r1
add #-2,r6
fdl5869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5869: .long execexit
! Opcode 9C3C
TC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5870
mov.l execexit_ptr5870,r1
jmp @r1
add #-2,r6
fdl5870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5870: .long execexit
! Opcodes 9C40 - 9C47
TC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5871
mov.l execexit_ptr5871,r1
jmp @r1
add #-2,r6
fdl5871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5871: .long execexit
! Opcodes 9C48 - 9C4F
TC48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5872
mov.l execexit_ptr5872,r1
jmp @r1
add #-2,r6
fdl5872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5872: .long execexit
! Opcodes 9C50 - 9C57
TC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5873
mov.l execexit_ptr5873,r1
jmp @r1
add #-2,r6
fdl5873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5873: .long execexit
! Opcodes 9C58 - 9C5F
TC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5874
mov.l execexit_ptr5874,r1
jmp @r1
add #-2,r6
fdl5874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5874: .long execexit
! Opcodes 9C60 - 9C67
TC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5875
mov.l execexit_ptr5875,r1
jmp @r1
add #-2,r6
fdl5875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5875: .long execexit
! Opcodes 9C68 - 9C6F
TC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5876
mov.l execexit_ptr5876,r1
jmp @r1
add #-2,r6
fdl5876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5876: .long execexit
! Opcodes 9C70 - 9C77
TC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd997
exts.w r0,r0
longwd997:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5877
mov.l execexit_ptr5877,r1
jmp @r1
add #-2,r6
fdl5877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5877: .long execexit
! Opcode 9C78
TC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5878
mov.l execexit_ptr5878,r1
jmp @r1
add #-2,r6
fdl5878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5878: .long execexit
! Opcode 9C79
TC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5879
mov.l execexit_ptr5879,r1
jmp @r1
add #-2,r6
fdl5879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5879: .long execexit
! Opcode 9C7A
TC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5880
mov.l execexit_ptr5880,r1
jmp @r1
add #-2,r6
fdl5880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5880: .long execexit
! Opcode 9C7B
TC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd998
exts.w r0,r0
longwd998:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5881
mov.l execexit_ptr5881,r1
jmp @r1
add #-2,r6
fdl5881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5881: .long execexit
! Opcode 9C7C
TC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5882
mov.l execexit_ptr5882,r1
jmp @r1
add #-2,r6
fdl5882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5882: .long execexit
! Opcodes 9C80 - 9C87
TC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5883
mov.l execexit_ptr5883,r1
jmp @r1
add #-2,r6
fdl5883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5883: .long execexit
! Opcodes 9C88 - 9C8F
TC88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5884
mov.l execexit_ptr5884,r1
jmp @r1
add #-2,r6
fdl5884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5884: .long execexit
! Opcodes 9C90 - 9C97
TC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5885
mov.l execexit_ptr5885,r1
jmp @r1
add #-2,r6
fdl5885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5885: .long execexit
! Opcodes 9C98 - 9C9F
TC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5886
mov.l execexit_ptr5886,r1
jmp @r1
add #-2,r6
fdl5886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5886: .long execexit
! Opcodes 9CA0 - 9CA7
TCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5887
mov.l execexit_ptr5887,r1
jmp @r1
add #-2,r6
fdl5887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5887: .long execexit
! Opcodes 9CA8 - 9CAF
TCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5888
mov.l execexit_ptr5888,r1
jmp @r1
add #-2,r6
fdl5888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5888: .long execexit
! Opcodes 9CB0 - 9CB7
TCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd999
exts.w r0,r0
longwd999:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5889
mov.l execexit_ptr5889,r1
jmp @r1
add #-2,r6
fdl5889:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5889: .long execexit
! Opcode 9CB8
TCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5890
mov.l execexit_ptr5890,r1
jmp @r1
add #-2,r6
fdl5890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5890: .long execexit
! Opcode 9CB9
TCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5891
mov.l execexit_ptr5891,r1
jmp @r1
add #-2,r6
fdl5891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5891: .long execexit
! Opcode 9CBA
TCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5892
mov.l execexit_ptr5892,r1
jmp @r1
add #-2,r6
fdl5892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5892: .long execexit
! Opcode 9CBB
TCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1000
exts.w r0,r0
longwd1000:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5893
mov.l execexit_ptr5893,r1
jmp @r1
add #-2,r6
fdl5893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5893: .long execexit
! Opcode 9CBC
TCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5894
mov.l execexit_ptr5894,r1
jmp @r1
add #-2,r6
fdl5894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5894: .long execexit
! Opcodes 9CC0 - 9CC7
TCC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5895
mov.l execexit_ptr5895,r1
jmp @r1
add #-2,r6
fdl5895:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5895: .long execexit
! Opcodes 9CC8 - 9CCF
TCC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5896
mov.l execexit_ptr5896,r1
jmp @r1
add #-2,r6
fdl5896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5896: .long execexit
! Opcodes 9CD0 - 9CD7
TCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5897
mov.l execexit_ptr5897,r1
jmp @r1
add #-2,r6
fdl5897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5897: .long execexit
! Opcodes 9CD8 - 9CDF
TCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5898
mov.l execexit_ptr5898,r1
jmp @r1
add #-2,r6
fdl5898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5898: .long execexit
! Opcodes 9CE0 - 9CE7
TCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5899
mov.l execexit_ptr5899,r1
jmp @r1
add #-2,r6
fdl5899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5899: .long execexit
! Opcodes 9CE8 - 9CEF
TCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5900
mov.l execexit_ptr5900,r1
jmp @r1
add #-2,r6
fdl5900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5900: .long execexit
! Opcodes 9CF0 - 9CF7
TCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1001
exts.w r0,r0
longwd1001:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5901
mov.l execexit_ptr5901,r1
jmp @r1
add #-2,r6
fdl5901:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5901: .long execexit
! Opcode 9CF8
TCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5902
mov.l execexit_ptr5902,r1
jmp @r1
add #-2,r6
fdl5902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5902: .long execexit
! Opcode 9CF9
TCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5903
mov.l execexit_ptr5903,r1
jmp @r1
add #-2,r6
fdl5903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5903: .long execexit
! Opcode 9CFA
TCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5904
mov.l execexit_ptr5904,r1
jmp @r1
add #-2,r6
fdl5904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5904: .long execexit
! Opcode 9CFB
TCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1002
exts.w r0,r0
longwd1002:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5905
mov.l execexit_ptr5905,r1
jmp @r1
add #-2,r6
fdl5905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5905: .long execexit
! Opcode 9CFC
TCFC:
mov.w @r6+,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5906
mov.l execexit_ptr5906,r1
jmp @r1
add #-2,r6
fdl5906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5906: .long execexit
! Opcodes 9D00 - 9D07
TD00:
and r1,r2
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5908
mov.l execexit_ptr5908,r1
jmp @r1
add #-2,r6
fdl5908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5908: .long execexit
! Opcodes 9D08 - 9D0F
TD08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5910
mov.l execexit_ptr5910,r1
jmp @r1
add #-2,r6
fdl5910:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5910: .long execexit
! Opcodes 9D10 - 9D17
TD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5911
mov.l execexit_ptr5911,r1
jmp @r1
add #-2,r6
fdl5911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5911: .long execexit
! Opcodes 9D18 - 9D1F
TD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5912
mov.l execexit_ptr5912,r1
jmp @r1
add #-2,r6
fdl5912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5912: .long execexit
! Opcodes 9D20 - 9D27
TD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5913
mov.l execexit_ptr5913,r1
jmp @r1
add #-2,r6
fdl5913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5913: .long execexit
! Opcodes 9D28 - 9D2F
TD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5914
mov.l execexit_ptr5914,r1
jmp @r1
add #-2,r6
fdl5914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5914: .long execexit
! Opcodes 9D30 - 9D37
TD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1003
exts.w r0,r0
longwd1003:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5915
mov.l execexit_ptr5915,r1
jmp @r1
add #-2,r6
fdl5915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5915: .long execexit
! Opcode 9D38
TD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5916
mov.l execexit_ptr5916,r1
jmp @r1
add #-2,r6
fdl5916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5916: .long execexit
! Opcode 9D39
TD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5917
mov.l execexit_ptr5917,r1
jmp @r1
add #-2,r6
fdl5917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5917: .long execexit
! Opcodes 9D40 - 9D47
TD40:
and r1,r2
mov #24,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5919
mov.l execexit_ptr5919,r1
jmp @r1
add #-2,r6
fdl5919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5919: .long execexit
! Opcodes 9D48 - 9D4F
TD48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5921
mov.l execexit_ptr5921,r1
jmp @r1
add #-2,r6
fdl5921:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5921: .long execexit
! Opcodes 9D50 - 9D57
TD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5922
mov.l execexit_ptr5922,r1
jmp @r1
add #-2,r6
fdl5922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5922: .long execexit
! Opcodes 9D58 - 9D5F
TD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5923
mov.l execexit_ptr5923,r1
jmp @r1
add #-2,r6
fdl5923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5923: .long execexit
! Opcodes 9D60 - 9D67
TD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5924
mov.l execexit_ptr5924,r1
jmp @r1
add #-2,r6
fdl5924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5924: .long execexit
! Opcodes 9D68 - 9D6F
TD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5925
mov.l execexit_ptr5925,r1
jmp @r1
add #-2,r6
fdl5925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5925: .long execexit
! Opcodes 9D70 - 9D77
TD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1004
exts.w r0,r0
longwd1004:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5926
mov.l execexit_ptr5926,r1
jmp @r1
add #-2,r6
fdl5926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5926: .long execexit
! Opcode 9D78
TD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5927
mov.l execexit_ptr5927,r1
jmp @r1
add #-2,r6
fdl5927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5927: .long execexit
! Opcode 9D79
TD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5928
mov.l execexit_ptr5928,r1
jmp @r1
add #-2,r6
fdl5928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5928: .long execexit
! Opcodes 9D80 - 9D87
TD80:
and r1,r2
mov.l @(24,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(24,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5930
mov.l execexit_ptr5930,r1
jmp @r1
add #-2,r6
fdl5930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5930: .long execexit
! Opcodes 9D88 - 9D8F
TD88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5932
mov.l execexit_ptr5932,r1
jmp @r1
add #-2,r6
fdl5932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5932: .long execexit
! Opcodes 9D90 - 9D97
TD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5933
mov.l execexit_ptr5933,r1
jmp @r1
add #-2,r6
fdl5933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5933: .long execexit
! Opcodes 9D98 - 9D9F
TD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5934
mov.l execexit_ptr5934,r1
jmp @r1
add #-2,r6
fdl5934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5934: .long execexit
! Opcodes 9DA0 - 9DA7
TDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5935
mov.l execexit_ptr5935,r1
jmp @r1
add #-2,r6
fdl5935:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5935: .long execexit
! Opcodes 9DA8 - 9DAF
TDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5936
mov.l execexit_ptr5936,r1
jmp @r1
add #-2,r6
fdl5936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5936: .long execexit
! Opcodes 9DB0 - 9DB7
TDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1005
exts.w r0,r0
longwd1005:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5937
mov.l execexit_ptr5937,r1
jmp @r1
add #-2,r6
fdl5937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5937: .long execexit
! Opcode 9DB8
TDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5938
mov.l execexit_ptr5938,r1
jmp @r1
add #-2,r6
fdl5938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5938: .long execexit
! Opcode 9DB9
TDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5939
mov.l execexit_ptr5939,r1
jmp @r1
add #-2,r6
fdl5939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5939: .long execexit
! Opcodes 9DC0 - 9DC7
TDC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5940
mov.l execexit_ptr5940,r1
jmp @r1
add #-2,r6
fdl5940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5940: .long execexit
! Opcodes 9DC8 - 9DCF
TDC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5941
mov.l execexit_ptr5941,r1
jmp @r1
add #-2,r6
fdl5941:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5941: .long execexit
! Opcodes 9DD0 - 9DD7
TDD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5942
mov.l execexit_ptr5942,r1
jmp @r1
add #-2,r6
fdl5942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5942: .long execexit
! Opcodes 9DD8 - 9DDF
TDD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5943
mov.l execexit_ptr5943,r1
jmp @r1
add #-2,r6
fdl5943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5943: .long execexit
! Opcodes 9DE0 - 9DE7
TDE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5944
mov.l execexit_ptr5944,r1
jmp @r1
add #-2,r6
fdl5944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5944: .long execexit
! Opcodes 9DE8 - 9DEF
TDE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5945
mov.l execexit_ptr5945,r1
jmp @r1
add #-2,r6
fdl5945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5945: .long execexit
! Opcodes 9DF0 - 9DF7
TDF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1006
exts.w r0,r0
longwd1006:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5946
mov.l execexit_ptr5946,r1
jmp @r1
add #-2,r6
fdl5946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5946: .long execexit
! Opcode 9DF8
TDF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5947
mov.l execexit_ptr5947,r1
jmp @r1
add #-2,r6
fdl5947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5947: .long execexit
! Opcode 9DF9
TDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5948
mov.l execexit_ptr5948,r1
jmp @r1
add #-2,r6
fdl5948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5948: .long execexit
! Opcode 9DFA
TDFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5949
mov.l execexit_ptr5949,r1
jmp @r1
add #-2,r6
fdl5949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5949: .long execexit
! Opcode 9DFB
TDFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1007
exts.w r0,r0
longwd1007:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5950
mov.l execexit_ptr5950,r1
jmp @r1
add #-2,r6
fdl5950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5950: .long execexit
! Opcode 9DFC
TDFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
sub r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5951
mov.l execexit_ptr5951,r1
jmp @r1
add #-2,r6
fdl5951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5951: .long execexit
! Opcodes 9E00 - 9E07
TE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5952
mov.l execexit_ptr5952,r1
jmp @r1
add #-2,r6
fdl5952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5952: .long execexit
! Opcodes 9E08 - 9E0F
TE08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5953
mov.l execexit_ptr5953,r1
jmp @r1
add #-2,r6
fdl5953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5953: .long execexit
! Opcodes 9E10 - 9E17
TE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5954
mov.l execexit_ptr5954,r1
jmp @r1
add #-2,r6
fdl5954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5954: .long execexit
! Opcodes 9E18 - 9E1F
TE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5955
mov.l execexit_ptr5955,r1
jmp @r1
add #-2,r6
fdl5955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5955: .long execexit
! Opcodes 9E20 - 9E27
TE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5956
mov.l execexit_ptr5956,r1
jmp @r1
add #-2,r6
fdl5956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5956: .long execexit
! Opcodes 9E28 - 9E2F
TE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5957
mov.l execexit_ptr5957,r1
jmp @r1
add #-2,r6
fdl5957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5957: .long execexit
! Opcodes 9E30 - 9E37
TE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1008
exts.w r0,r0
longwd1008:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5958
mov.l execexit_ptr5958,r1
jmp @r1
add #-2,r6
fdl5958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5958: .long execexit
! Opcode 9E38
TE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5959
mov.l execexit_ptr5959,r1
jmp @r1
add #-2,r6
fdl5959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5959: .long execexit
! Opcode 9E39
TE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5960
mov.l execexit_ptr5960,r1
jmp @r1
add #-2,r6
fdl5960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5960: .long execexit
! Opcode 9E3A
TE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5961
mov.l execexit_ptr5961,r1
jmp @r1
add #-2,r6
fdl5961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5961: .long execexit
! Opcode 9E3B
TE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1009
exts.w r0,r0
longwd1009:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5962
mov.l execexit_ptr5962,r1
jmp @r1
add #-2,r6
fdl5962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5962: .long execexit
! Opcode 9E3C
TE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5963
mov.l execexit_ptr5963,r1
jmp @r1
add #-2,r6
fdl5963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5963: .long execexit
! Opcodes 9E40 - 9E47
TE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5964
mov.l execexit_ptr5964,r1
jmp @r1
add #-2,r6
fdl5964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5964: .long execexit
! Opcodes 9E48 - 9E4F
TE48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5965
mov.l execexit_ptr5965,r1
jmp @r1
add #-2,r6
fdl5965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5965: .long execexit
! Opcodes 9E50 - 9E57
TE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5966
mov.l execexit_ptr5966,r1
jmp @r1
add #-2,r6
fdl5966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5966: .long execexit
! Opcodes 9E58 - 9E5F
TE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5967
mov.l execexit_ptr5967,r1
jmp @r1
add #-2,r6
fdl5967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5967: .long execexit
! Opcodes 9E60 - 9E67
TE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5968
mov.l execexit_ptr5968,r1
jmp @r1
add #-2,r6
fdl5968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5968: .long execexit
! Opcodes 9E68 - 9E6F
TE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5969
mov.l execexit_ptr5969,r1
jmp @r1
add #-2,r6
fdl5969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5969: .long execexit
! Opcodes 9E70 - 9E77
TE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1010
exts.w r0,r0
longwd1010:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5970
mov.l execexit_ptr5970,r1
jmp @r1
add #-2,r6
fdl5970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5970: .long execexit
! Opcode 9E78
TE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5971
mov.l execexit_ptr5971,r1
jmp @r1
add #-2,r6
fdl5971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5971: .long execexit
! Opcode 9E79
TE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5972
mov.l execexit_ptr5972,r1
jmp @r1
add #-2,r6
fdl5972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5972: .long execexit
! Opcode 9E7A
TE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5973
mov.l execexit_ptr5973,r1
jmp @r1
add #-2,r6
fdl5973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5973: .long execexit
! Opcode 9E7B
TE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1011
exts.w r0,r0
longwd1011:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5974
mov.l execexit_ptr5974,r1
jmp @r1
add #-2,r6
fdl5974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5974: .long execexit
! Opcode 9E7C
TE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5975
mov.l execexit_ptr5975,r1
jmp @r1
add #-2,r6
fdl5975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5975: .long execexit
! Opcodes 9E80 - 9E87
TE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5976
mov.l execexit_ptr5976,r1
jmp @r1
add #-2,r6
fdl5976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5976: .long execexit
! Opcodes 9E88 - 9E8F
TE88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5977
mov.l execexit_ptr5977,r1
jmp @r1
add #-2,r6
fdl5977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5977: .long execexit
! Opcodes 9E90 - 9E97
TE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5978
mov.l execexit_ptr5978,r1
jmp @r1
add #-2,r6
fdl5978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5978: .long execexit
! Opcodes 9E98 - 9E9F
TE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5979
mov.l execexit_ptr5979,r1
jmp @r1
add #-2,r6
fdl5979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5979: .long execexit
! Opcodes 9EA0 - 9EA7
TEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5980
mov.l execexit_ptr5980,r1
jmp @r1
add #-2,r6
fdl5980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5980: .long execexit
! Opcodes 9EA8 - 9EAF
TEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5981
mov.l execexit_ptr5981,r1
jmp @r1
add #-2,r6
fdl5981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5981: .long execexit
! Opcodes 9EB0 - 9EB7
TEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1012
exts.w r0,r0
longwd1012:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5982
mov.l execexit_ptr5982,r1
jmp @r1
add #-2,r6
fdl5982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5982: .long execexit
! Opcode 9EB8
TEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5983
mov.l execexit_ptr5983,r1
jmp @r1
add #-2,r6
fdl5983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5983: .long execexit
! Opcode 9EB9
TEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5984
mov.l execexit_ptr5984,r1
jmp @r1
add #-2,r6
fdl5984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5984: .long execexit
! Opcode 9EBA
TEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5985
mov.l execexit_ptr5985,r1
jmp @r1
add #-2,r6
fdl5985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5985: .long execexit
! Opcode 9EBB
TEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1013
exts.w r0,r0
longwd1013:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5986
mov.l execexit_ptr5986,r1
jmp @r1
add #-2,r6
fdl5986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5986: .long execexit
! Opcode 9EBC
TEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5987
mov.l execexit_ptr5987,r1
jmp @r1
add #-2,r6
fdl5987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5987: .long execexit
! Opcodes 9EC0 - 9EC7
TEC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5988
mov.l execexit_ptr5988,r1
jmp @r1
add #-2,r6
fdl5988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5988: .long execexit
! Opcodes 9EC8 - 9ECF
TEC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5989
mov.l execexit_ptr5989,r1
jmp @r1
add #-2,r6
fdl5989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5989: .long execexit
! Opcodes 9ED0 - 9ED7
TED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5990
mov.l execexit_ptr5990,r1
jmp @r1
add #-2,r6
fdl5990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5990: .long execexit
! Opcodes 9ED8 - 9EDF
TED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5991
mov.l execexit_ptr5991,r1
jmp @r1
add #-2,r6
fdl5991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5991: .long execexit
! Opcodes 9EE0 - 9EE7
TEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5992
mov.l execexit_ptr5992,r1
jmp @r1
add #-2,r6
fdl5992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5992: .long execexit
! Opcodes 9EE8 - 9EEF
TEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5993
mov.l execexit_ptr5993,r1
jmp @r1
add #-2,r6
fdl5993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5993: .long execexit
! Opcodes 9EF0 - 9EF7
TEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1014
exts.w r0,r0
longwd1014:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5994
mov.l execexit_ptr5994,r1
jmp @r1
add #-2,r6
fdl5994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5994: .long execexit
! Opcode 9EF8
TEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5995
mov.l execexit_ptr5995,r1
jmp @r1
add #-2,r6
fdl5995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5995: .long execexit
! Opcode 9EF9
TEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5996
mov.l execexit_ptr5996,r1
jmp @r1
add #-2,r6
fdl5996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5996: .long execexit
! Opcode 9EFA
TEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5997
mov.l execexit_ptr5997,r1
jmp @r1
add #-2,r6
fdl5997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5997: .long execexit
! Opcode 9EFB
TEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1015
exts.w r0,r0
longwd1015:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5998
mov.l execexit_ptr5998,r1
jmp @r1
add #-2,r6
fdl5998:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5998: .long execexit
! Opcode 9EFC
TEFC:
mov.w @r6+,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl5999
mov.l execexit_ptr5999,r1
jmp @r1
add #-2,r6
fdl5999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr5999: .long execexit
! Opcodes 9F00 - 9F07
TF00:
and r1,r2
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6001
mov.l execexit_ptr6001,r1
jmp @r1
add #-2,r6
fdl6001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6001: .long execexit
! Opcodes 9F08 - 9F0F
TF08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6003
mov.l execexit_ptr6003,r1
jmp @r1
add #-2,r6
fdl6003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6003: .long execexit
! Opcodes 9F10 - 9F17
TF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6004
mov.l execexit_ptr6004,r1
jmp @r1
add #-2,r6
fdl6004:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6004: .long execexit
! Opcodes 9F18 - 9F1F
TF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6005
mov.l execexit_ptr6005,r1
jmp @r1
add #-2,r6
fdl6005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6005: .long execexit
! Opcodes 9F20 - 9F27
TF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6006
mov.l execexit_ptr6006,r1
jmp @r1
add #-2,r6
fdl6006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6006: .long execexit
! Opcodes 9F28 - 9F2F
TF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6007
mov.l execexit_ptr6007,r1
jmp @r1
add #-2,r6
fdl6007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6007: .long execexit
! Opcodes 9F30 - 9F37
TF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1016
exts.w r0,r0
longwd1016:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6008
mov.l execexit_ptr6008,r1
jmp @r1
add #-2,r6
fdl6008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6008: .long execexit
! Opcode 9F38
TF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6009
mov.l execexit_ptr6009,r1
jmp @r1
add #-2,r6
fdl6009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6009: .long execexit
! Opcode 9F39
TF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6010
mov.l execexit_ptr6010,r1
jmp @r1
add #-2,r6
fdl6010:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6010: .long execexit
! Opcodes 9F40 - 9F47
TF40:
and r1,r2
mov #28,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6012
mov.l execexit_ptr6012,r1
jmp @r1
add #-2,r6
fdl6012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6012: .long execexit
! Opcodes 9F48 - 9F4F
TF48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6014
mov.l execexit_ptr6014,r1
jmp @r1
add #-2,r6
fdl6014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6014: .long execexit
! Opcodes 9F50 - 9F57
TF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6015
mov.l execexit_ptr6015,r1
jmp @r1
add #-2,r6
fdl6015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6015: .long execexit
! Opcodes 9F58 - 9F5F
TF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6016
mov.l execexit_ptr6016,r1
jmp @r1
add #-2,r6
fdl6016:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6016: .long execexit
! Opcodes 9F60 - 9F67
TF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6017
mov.l execexit_ptr6017,r1
jmp @r1
add #-2,r6
fdl6017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6017: .long execexit
! Opcodes 9F68 - 9F6F
TF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6018
mov.l execexit_ptr6018,r1
jmp @r1
add #-2,r6
fdl6018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6018: .long execexit
! Opcodes 9F70 - 9F77
TF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1017
exts.w r0,r0
longwd1017:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6019
mov.l execexit_ptr6019,r1
jmp @r1
add #-2,r6
fdl6019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6019: .long execexit
! Opcode 9F78
TF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6020
mov.l execexit_ptr6020,r1
jmp @r1
add #-2,r6
fdl6020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6020: .long execexit
! Opcode 9F79
TF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6021
mov.l execexit_ptr6021,r1
jmp @r1
add #-2,r6
fdl6021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6021: .long execexit
! Opcodes 9F80 - 9F87
TF80:
and r1,r2
mov.l @(28,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l r3,@(28,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6023
mov.l execexit_ptr6023,r1
jmp @r1
add #-2,r6
fdl6023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6023: .long execexit
! Opcodes 9F88 - 9F8F
TF88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
subc r1,r0
sub r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
subc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6025
mov.l execexit_ptr6025,r1
jmp @r1
add #-2,r6
fdl6025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6025: .long execexit
! Opcodes 9F90 - 9F97
TF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6026
mov.l execexit_ptr6026,r1
jmp @r1
add #-2,r6
fdl6026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6026: .long execexit
! Opcodes 9F98 - 9F9F
TF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6027
mov.l execexit_ptr6027,r1
jmp @r1
add #-2,r6
fdl6027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6027: .long execexit
! Opcodes 9FA0 - 9FA7
TFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6028
mov.l execexit_ptr6028,r1
jmp @r1
add #-2,r6
fdl6028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6028: .long execexit
! Opcodes 9FA8 - 9FAF
TFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6029
mov.l execexit_ptr6029,r1
jmp @r1
add #-2,r6
fdl6029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6029: .long execexit
! Opcodes 9FB0 - 9FB7
TFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1018
exts.w r0,r0
longwd1018:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6030
mov.l execexit_ptr6030,r1
jmp @r1
add #-2,r6
fdl6030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6030: .long execexit
! Opcode 9FB8
TFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6031
mov.l execexit_ptr6031,r1
jmp @r1
add #-2,r6
fdl6031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6031: .long execexit
! Opcode 9FB9
TFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
subv r1,r0
movt r8
clrt
subc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6032
mov.l execexit_ptr6032,r1
jmp @r1
add #-2,r6
fdl6032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6032: .long execexit
! Opcodes 9FC0 - 9FC7
TFC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6033
mov.l execexit_ptr6033,r1
jmp @r1
add #-2,r6
fdl6033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6033: .long execexit
! Opcodes 9FC8 - 9FCF
TFC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6034
mov.l execexit_ptr6034,r1
jmp @r1
add #-2,r6
fdl6034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6034: .long execexit
! Opcodes 9FD0 - 9FD7
TFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6035
mov.l execexit_ptr6035,r1
jmp @r1
add #-2,r6
fdl6035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6035: .long execexit
! Opcodes 9FD8 - 9FDF
TFD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6036
mov.l execexit_ptr6036,r1
jmp @r1
add #-2,r6
fdl6036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6036: .long execexit
! Opcodes 9FE0 - 9FE7
TFE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6037
mov.l execexit_ptr6037,r1
jmp @r1
add #-2,r6
fdl6037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6037: .long execexit
! Opcodes 9FE8 - 9FEF
TFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6038
mov.l execexit_ptr6038,r1
jmp @r1
add #-2,r6
fdl6038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6038: .long execexit
! Opcodes 9FF0 - 9FF7
TFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1019
exts.w r0,r0
longwd1019:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6039
mov.l execexit_ptr6039,r1
jmp @r1
add #-2,r6
fdl6039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6039: .long execexit
! Opcode 9FF8
TFF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6040
mov.l execexit_ptr6040,r1
jmp @r1
add #-2,r6
fdl6040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6040: .long execexit
! Opcode 9FF9
TFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6041
mov.l execexit_ptr6041,r1
jmp @r1
add #-2,r6
fdl6041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6041: .long execexit
! Opcode 9FFA
TFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6042
mov.l execexit_ptr6042,r1
jmp @r1
add #-2,r6
fdl6042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6042: .long execexit
! Opcode 9FFB
TFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1020
exts.w r0,r0
longwd1020:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6043
mov.l execexit_ptr6043,r1
jmp @r1
add #-2,r6
fdl6043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6043: .long execexit
! Opcode 9FFC
TFFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
sub r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6044
mov.l execexit_ptr6044,r1
jmp @r1
add #-2,r6
fdl6044:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6044: .long execexit
! Opcodes A000 - AFFF
U000:
mov.l g1_except_addr6045,r0
add #-2,r6
jsr @r0
mov #0x28,r4
mov.l bf_addr6045,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6046
mov.l execexit_ptr6046,r1
jmp @r1
add #-2,r6
fdl6046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6046: .long execexit
.balign 32
g1_except_addr6045: .long group_1_exception
bf_addr6045: .long basefunction
! Opcodes B000 - B007
V000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6047
mov.l execexit_ptr6047,r1
jmp @r1
add #-2,r6
fdl6047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6047: .long execexit
! Opcodes B008 - B00F
V008:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6048
mov.l execexit_ptr6048,r1
jmp @r1
add #-2,r6
fdl6048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6048: .long execexit
! Opcodes B010 - B017
V010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6049
mov.l execexit_ptr6049,r1
jmp @r1
add #-2,r6
fdl6049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6049: .long execexit
! Opcodes B018 - B01F
V018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6050
mov.l execexit_ptr6050,r1
jmp @r1
add #-2,r6
fdl6050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6050: .long execexit
! Opcodes B020 - B027
V020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6051
mov.l execexit_ptr6051,r1
jmp @r1
add #-2,r6
fdl6051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6051: .long execexit
! Opcodes B028 - B02F
V028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6052
mov.l execexit_ptr6052,r1
jmp @r1
add #-2,r6
fdl6052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6052: .long execexit
! Opcodes B030 - B037
V030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1021
exts.w r0,r0
longwd1021:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6053
mov.l execexit_ptr6053,r1
jmp @r1
add #-2,r6
fdl6053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6053: .long execexit
! Opcode B038
V038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6054
mov.l execexit_ptr6054,r1
jmp @r1
add #-2,r6
fdl6054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6054: .long execexit
! Opcode B039
V039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6055
mov.l execexit_ptr6055,r1
jmp @r1
add #-2,r6
fdl6055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6055: .long execexit
! Opcode B03A
V03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6056
mov.l execexit_ptr6056,r1
jmp @r1
add #-2,r6
fdl6056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6056: .long execexit
! Opcode B03B
V03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1022
exts.w r0,r0
longwd1022:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6057
mov.l execexit_ptr6057,r1
jmp @r1
add #-2,r6
fdl6057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6057: .long execexit
! Opcode B03C
V03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6058
mov.l execexit_ptr6058,r1
jmp @r1
add #-2,r6
fdl6058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6058: .long execexit
! Opcodes B040 - B047
V040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6059
mov.l execexit_ptr6059,r1
jmp @r1
add #-2,r6
fdl6059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6059: .long execexit
! Opcodes B048 - B04F
V048:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6060
mov.l execexit_ptr6060,r1
jmp @r1
add #-2,r6
fdl6060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6060: .long execexit
! Opcodes B050 - B057
V050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6061
mov.l execexit_ptr6061,r1
jmp @r1
add #-2,r6
fdl6061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6061: .long execexit
! Opcodes B058 - B05F
V058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6062
mov.l execexit_ptr6062,r1
jmp @r1
add #-2,r6
fdl6062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6062: .long execexit
! Opcodes B060 - B067
V060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6063
mov.l execexit_ptr6063,r1
jmp @r1
add #-2,r6
fdl6063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6063: .long execexit
! Opcodes B068 - B06F
V068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6064
mov.l execexit_ptr6064,r1
jmp @r1
add #-2,r6
fdl6064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6064: .long execexit
! Opcodes B070 - B077
V070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1023
exts.w r0,r0
longwd1023:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6065
mov.l execexit_ptr6065,r1
jmp @r1
add #-2,r6
fdl6065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6065: .long execexit
! Opcode B078
V078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6066
mov.l execexit_ptr6066,r1
jmp @r1
add #-2,r6
fdl6066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6066: .long execexit
! Opcode B079
V079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6067
mov.l execexit_ptr6067,r1
jmp @r1
add #-2,r6
fdl6067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6067: .long execexit
! Opcode B07A
V07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6068
mov.l execexit_ptr6068,r1
jmp @r1
add #-2,r6
fdl6068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6068: .long execexit
! Opcode B07B
V07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1024
exts.w r0,r0
longwd1024:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6069
mov.l execexit_ptr6069,r1
jmp @r1
add #-2,r6
fdl6069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6069: .long execexit
! Opcode B07C
V07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6070
mov.l execexit_ptr6070,r1
jmp @r1
add #-2,r6
fdl6070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6070: .long execexit
! Opcodes B080 - B087
V080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6071
mov.l execexit_ptr6071,r1
jmp @r1
add #-2,r6
fdl6071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6071: .long execexit
! Opcodes B088 - B08F
V088:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6072
mov.l execexit_ptr6072,r1
jmp @r1
add #-2,r6
fdl6072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6072: .long execexit
! Opcodes B090 - B097
V090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6073
mov.l execexit_ptr6073,r1
jmp @r1
add #-2,r6
fdl6073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6073: .long execexit
! Opcodes B098 - B09F
V098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6074
mov.l execexit_ptr6074,r1
jmp @r1
add #-2,r6
fdl6074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6074: .long execexit
! Opcodes B0A0 - B0A7
V0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6075
mov.l execexit_ptr6075,r1
jmp @r1
add #-2,r6
fdl6075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6075: .long execexit
! Opcodes B0A8 - B0AF
V0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6076
mov.l execexit_ptr6076,r1
jmp @r1
add #-2,r6
fdl6076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6076: .long execexit
! Opcodes B0B0 - B0B7
V0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1025
exts.w r0,r0
longwd1025:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6077
mov.l execexit_ptr6077,r1
jmp @r1
add #-2,r6
fdl6077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6077: .long execexit
! Opcode B0B8
V0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6078
mov.l execexit_ptr6078,r1
jmp @r1
add #-2,r6
fdl6078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6078: .long execexit
! Opcode B0B9
V0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6079
mov.l execexit_ptr6079,r1
jmp @r1
add #-2,r6
fdl6079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6079: .long execexit
! Opcode B0BA
V0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6080
mov.l execexit_ptr6080,r1
jmp @r1
add #-2,r6
fdl6080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6080: .long execexit
! Opcode B0BB
V0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1026
exts.w r0,r0
longwd1026:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6081
mov.l execexit_ptr6081,r1
jmp @r1
add #-2,r6
fdl6081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6081: .long execexit
! Opcode B0BC
V0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6082
mov.l execexit_ptr6082,r1
jmp @r1
add #-2,r6
fdl6082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6082: .long execexit
! Opcodes B0C0 - B0C7
V0C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6083
mov.l execexit_ptr6083,r1
jmp @r1
add #-2,r6
fdl6083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6083: .long execexit
! Opcodes B0C8 - B0CF
V0C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6084
mov.l execexit_ptr6084,r1
jmp @r1
add #-2,r6
fdl6084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6084: .long execexit
! Opcodes B0D0 - B0D7
V0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6085
mov.l execexit_ptr6085,r1
jmp @r1
add #-2,r6
fdl6085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6085: .long execexit
! Opcodes B0D8 - B0DF
V0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6086
mov.l execexit_ptr6086,r1
jmp @r1
add #-2,r6
fdl6086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6086: .long execexit
! Opcodes B0E0 - B0E7
V0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6087
mov.l execexit_ptr6087,r1
jmp @r1
add #-2,r6
fdl6087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6087: .long execexit
! Opcodes B0E8 - B0EF
V0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6088
mov.l execexit_ptr6088,r1
jmp @r1
add #-2,r6
fdl6088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6088: .long execexit
! Opcodes B0F0 - B0F7
V0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1027
exts.w r0,r0
longwd1027:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6089
mov.l execexit_ptr6089,r1
jmp @r1
add #-2,r6
fdl6089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6089: .long execexit
! Opcode B0F8
V0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6090
mov.l execexit_ptr6090,r1
jmp @r1
add #-2,r6
fdl6090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6090: .long execexit
! Opcode B0F9
V0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6091
mov.l execexit_ptr6091,r1
jmp @r1
add #-2,r6
fdl6091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6091: .long execexit
! Opcode B0FA
V0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6092
mov.l execexit_ptr6092,r1
jmp @r1
add #-2,r6
fdl6092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6092: .long execexit
! Opcode B0FB
V0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1028
exts.w r0,r0
longwd1028:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6093
mov.l execexit_ptr6093,r1
jmp @r1
add #-2,r6
fdl6093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6093: .long execexit
! Opcode B0FC
V0FC:
mov.w @r6+,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6094
mov.l execexit_ptr6094,r1
jmp @r1
add #-2,r6
fdl6094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6094: .long execexit
! Opcodes B100 - B107
V100:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov.b @r13,r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6095
mov.l execexit_ptr6095,r1
jmp @r1
add #-2,r6
fdl6095:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6095: .long execexit
! Opcodes B108 - B10F
V108:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(32,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6096
mov.l execexit_ptr6096,r1
jmp @r1
add #-2,r6
fdl6096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6096: .long execexit
! Opcodes B110 - B117
V110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6097
mov.l execexit_ptr6097,r1
jmp @r1
add #-2,r6
fdl6097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6097: .long execexit
! Opcodes B118 - B11F
V118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6098
mov.l execexit_ptr6098,r1
jmp @r1
add #-2,r6
fdl6098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6098: .long execexit
! Opcodes B120 - B127
V120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6099
mov.l execexit_ptr6099,r1
jmp @r1
add #-2,r6
fdl6099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6099: .long execexit
! Opcodes B128 - B12F
V128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6100
mov.l execexit_ptr6100,r1
jmp @r1
add #-2,r6
fdl6100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6100: .long execexit
! Opcodes B130 - B137
V130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1029
exts.w r0,r0
longwd1029:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6101
mov.l execexit_ptr6101,r1
jmp @r1
add #-2,r6
fdl6101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6101: .long execexit
! Opcode B138
V138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6102
mov.l execexit_ptr6102,r1
jmp @r1
add #-2,r6
fdl6102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6102: .long execexit
! Opcode B139
V139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6103
mov.l execexit_ptr6103,r1
jmp @r1
add #-2,r6
fdl6103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6103: .long execexit
! Opcodes B140 - B147
V140:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.w @r13,r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6104
mov.l execexit_ptr6104,r1
jmp @r1
add #-2,r6
fdl6104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6104: .long execexit
! Opcodes B148 - B14F
V148:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(32,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6105
mov.l execexit_ptr6105,r1
jmp @r1
add #-2,r6
fdl6105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6105: .long execexit
! Opcodes B150 - B157
V150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6106
mov.l execexit_ptr6106,r1
jmp @r1
add #-2,r6
fdl6106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6106: .long execexit
! Opcodes B158 - B15F
V158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6107
mov.l execexit_ptr6107,r1
jmp @r1
add #-2,r6
fdl6107:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6107: .long execexit
! Opcodes B160 - B167
V160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6108
mov.l execexit_ptr6108,r1
jmp @r1
add #-2,r6
fdl6108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6108: .long execexit
! Opcodes B168 - B16F
V168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6109
mov.l execexit_ptr6109,r1
jmp @r1
add #-2,r6
fdl6109:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6109: .long execexit
! Opcodes B170 - B177
V170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1030
exts.w r0,r0
longwd1030:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6110
mov.l execexit_ptr6110,r1
jmp @r1
add #-2,r6
fdl6110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6110: .long execexit
! Opcode B178
V178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6111
mov.l execexit_ptr6111,r1
jmp @r1
add #-2,r6
fdl6111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6111: .long execexit
! Opcode B179
V179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6112
mov.l execexit_ptr6112,r1
jmp @r1
add #-2,r6
fdl6112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6112: .long execexit
! Opcodes B180 - B187
V180:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @r13,r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6113
mov.l execexit_ptr6113,r1
jmp @r1
add #-2,r6
fdl6113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6113: .long execexit
! Opcodes B188 - B18F
V188:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(32,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(32,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6114
mov.l execexit_ptr6114,r1
jmp @r1
add #-2,r6
fdl6114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6114: .long execexit
! Opcodes B190 - B197
V190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6115
mov.l execexit_ptr6115,r1
jmp @r1
add #-2,r6
fdl6115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6115: .long execexit
! Opcodes B198 - B19F
V198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6116
mov.l execexit_ptr6116,r1
jmp @r1
add #-2,r6
fdl6116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6116: .long execexit
! Opcodes B1A0 - B1A7
V1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6117
mov.l execexit_ptr6117,r1
jmp @r1
add #-2,r6
fdl6117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6117: .long execexit
! Opcodes B1A8 - B1AF
V1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6118
mov.l execexit_ptr6118,r1
jmp @r1
add #-2,r6
fdl6118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6118: .long execexit
! Opcodes B1B0 - B1B7
V1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1031
exts.w r0,r0
longwd1031:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6119
mov.l execexit_ptr6119,r1
jmp @r1
add #-2,r6
fdl6119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6119: .long execexit
! Opcode B1B8
V1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6120
mov.l execexit_ptr6120,r1
jmp @r1
add #-2,r6
fdl6120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6120: .long execexit
! Opcode B1B9
V1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6121
mov.l execexit_ptr6121,r1
jmp @r1
add #-2,r6
fdl6121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6121: .long execexit
! Opcodes B1C0 - B1C7
V1C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6122
mov.l execexit_ptr6122,r1
jmp @r1
add #-2,r6
fdl6122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6122: .long execexit
! Opcodes B1C8 - B1CF
V1C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6123
mov.l execexit_ptr6123,r1
jmp @r1
add #-2,r6
fdl6123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6123: .long execexit
! Opcodes B1D0 - B1D7
V1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6124
mov.l execexit_ptr6124,r1
jmp @r1
add #-2,r6
fdl6124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6124: .long execexit
! Opcodes B1D8 - B1DF
V1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6125
mov.l execexit_ptr6125,r1
jmp @r1
add #-2,r6
fdl6125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6125: .long execexit
! Opcodes B1E0 - B1E7
V1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6126
mov.l execexit_ptr6126,r1
jmp @r1
add #-2,r6
fdl6126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6126: .long execexit
! Opcodes B1E8 - B1EF
V1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6127
mov.l execexit_ptr6127,r1
jmp @r1
add #-2,r6
fdl6127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6127: .long execexit
! Opcodes B1F0 - B1F7
V1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1032
exts.w r0,r0
longwd1032:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6128
mov.l execexit_ptr6128,r1
jmp @r1
add #-2,r6
fdl6128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6128: .long execexit
! Opcode B1F8
V1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6129
mov.l execexit_ptr6129,r1
jmp @r1
add #-2,r6
fdl6129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6129: .long execexit
! Opcode B1F9
V1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6130
mov.l execexit_ptr6130,r1
jmp @r1
add #-2,r6
fdl6130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6130: .long execexit
! Opcode B1FA
V1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6131
mov.l execexit_ptr6131,r1
jmp @r1
add #-2,r6
fdl6131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6131: .long execexit
! Opcode B1FB
V1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1033
exts.w r0,r0
longwd1033:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6132
mov.l execexit_ptr6132,r1
jmp @r1
add #-2,r6
fdl6132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6132: .long execexit
! Opcode B1FC
V1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6133
mov.l execexit_ptr6133,r1
jmp @r1
add #-2,r6
fdl6133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6133: .long execexit
! Opcodes B200 - B207
V200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6134
mov.l execexit_ptr6134,r1
jmp @r1
add #-2,r6
fdl6134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6134: .long execexit
! Opcodes B208 - B20F
V208:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6135
mov.l execexit_ptr6135,r1
jmp @r1
add #-2,r6
fdl6135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6135: .long execexit
! Opcodes B210 - B217
V210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6136
mov.l execexit_ptr6136,r1
jmp @r1
add #-2,r6
fdl6136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6136: .long execexit
! Opcodes B218 - B21F
V218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6137
mov.l execexit_ptr6137,r1
jmp @r1
add #-2,r6
fdl6137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6137: .long execexit
! Opcodes B220 - B227
V220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6138
mov.l execexit_ptr6138,r1
jmp @r1
add #-2,r6
fdl6138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6138: .long execexit
! Opcodes B228 - B22F
V228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6139
mov.l execexit_ptr6139,r1
jmp @r1
add #-2,r6
fdl6139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6139: .long execexit
! Opcodes B230 - B237
V230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1034
exts.w r0,r0
longwd1034:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6140
mov.l execexit_ptr6140,r1
jmp @r1
add #-2,r6
fdl6140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6140: .long execexit
! Opcode B238
V238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6141
mov.l execexit_ptr6141,r1
jmp @r1
add #-2,r6
fdl6141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6141: .long execexit
! Opcode B239
V239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6142
mov.l execexit_ptr6142,r1
jmp @r1
add #-2,r6
fdl6142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6142: .long execexit
! Opcode B23A
V23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6143
mov.l execexit_ptr6143,r1
jmp @r1
add #-2,r6
fdl6143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6143: .long execexit
! Opcode B23B
V23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1035
exts.w r0,r0
longwd1035:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6144
mov.l execexit_ptr6144,r1
jmp @r1
add #-2,r6
fdl6144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6144: .long execexit
! Opcode B23C
V23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6145
mov.l execexit_ptr6145,r1
jmp @r1
add #-2,r6
fdl6145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6145: .long execexit
! Opcodes B240 - B247
V240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6146
mov.l execexit_ptr6146,r1
jmp @r1
add #-2,r6
fdl6146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6146: .long execexit
! Opcodes B248 - B24F
V248:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6147
mov.l execexit_ptr6147,r1
jmp @r1
add #-2,r6
fdl6147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6147: .long execexit
! Opcodes B250 - B257
V250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6148
mov.l execexit_ptr6148,r1
jmp @r1
add #-2,r6
fdl6148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6148: .long execexit
! Opcodes B258 - B25F
V258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6149
mov.l execexit_ptr6149,r1
jmp @r1
add #-2,r6
fdl6149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6149: .long execexit
! Opcodes B260 - B267
V260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6150
mov.l execexit_ptr6150,r1
jmp @r1
add #-2,r6
fdl6150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6150: .long execexit
! Opcodes B268 - B26F
V268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6151
mov.l execexit_ptr6151,r1
jmp @r1
add #-2,r6
fdl6151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6151: .long execexit
! Opcodes B270 - B277
V270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1036
exts.w r0,r0
longwd1036:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6152
mov.l execexit_ptr6152,r1
jmp @r1
add #-2,r6
fdl6152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6152: .long execexit
! Opcode B278
V278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6153
mov.l execexit_ptr6153,r1
jmp @r1
add #-2,r6
fdl6153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6153: .long execexit
! Opcode B279
V279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6154
mov.l execexit_ptr6154,r1
jmp @r1
add #-2,r6
fdl6154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6154: .long execexit
! Opcode B27A
V27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6155
mov.l execexit_ptr6155,r1
jmp @r1
add #-2,r6
fdl6155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6155: .long execexit
! Opcode B27B
V27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1037
exts.w r0,r0
longwd1037:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6156
mov.l execexit_ptr6156,r1
jmp @r1
add #-2,r6
fdl6156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6156: .long execexit
! Opcode B27C
V27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6157
mov.l execexit_ptr6157,r1
jmp @r1
add #-2,r6
fdl6157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6157: .long execexit
! Opcodes B280 - B287
V280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6158
mov.l execexit_ptr6158,r1
jmp @r1
add #-2,r6
fdl6158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6158: .long execexit
! Opcodes B288 - B28F
V288:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6159
mov.l execexit_ptr6159,r1
jmp @r1
add #-2,r6
fdl6159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6159: .long execexit
! Opcodes B290 - B297
V290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6160
mov.l execexit_ptr6160,r1
jmp @r1
add #-2,r6
fdl6160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6160: .long execexit
! Opcodes B298 - B29F
V298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6161
mov.l execexit_ptr6161,r1
jmp @r1
add #-2,r6
fdl6161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6161: .long execexit
! Opcodes B2A0 - B2A7
V2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6162
mov.l execexit_ptr6162,r1
jmp @r1
add #-2,r6
fdl6162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6162: .long execexit
! Opcodes B2A8 - B2AF
V2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6163
mov.l execexit_ptr6163,r1
jmp @r1
add #-2,r6
fdl6163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6163: .long execexit
! Opcodes B2B0 - B2B7
V2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1038
exts.w r0,r0
longwd1038:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6164
mov.l execexit_ptr6164,r1
jmp @r1
add #-2,r6
fdl6164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6164: .long execexit
! Opcode B2B8
V2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6165
mov.l execexit_ptr6165,r1
jmp @r1
add #-2,r6
fdl6165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6165: .long execexit
! Opcode B2B9
V2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6166
mov.l execexit_ptr6166,r1
jmp @r1
add #-2,r6
fdl6166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6166: .long execexit
! Opcode B2BA
V2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6167
mov.l execexit_ptr6167,r1
jmp @r1
add #-2,r6
fdl6167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6167: .long execexit
! Opcode B2BB
V2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1039
exts.w r0,r0
longwd1039:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6168
mov.l execexit_ptr6168,r1
jmp @r1
add #-2,r6
fdl6168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6168: .long execexit
! Opcode B2BC
V2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6169
mov.l execexit_ptr6169,r1
jmp @r1
add #-2,r6
fdl6169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6169: .long execexit
! Opcodes B2C0 - B2C7
V2C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6170
mov.l execexit_ptr6170,r1
jmp @r1
add #-2,r6
fdl6170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6170: .long execexit
! Opcodes B2C8 - B2CF
V2C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6171
mov.l execexit_ptr6171,r1
jmp @r1
add #-2,r6
fdl6171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6171: .long execexit
! Opcodes B2D0 - B2D7
V2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6172
mov.l execexit_ptr6172,r1
jmp @r1
add #-2,r6
fdl6172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6172: .long execexit
! Opcodes B2D8 - B2DF
V2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6173
mov.l execexit_ptr6173,r1
jmp @r1
add #-2,r6
fdl6173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6173: .long execexit
! Opcodes B2E0 - B2E7
V2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6174
mov.l execexit_ptr6174,r1
jmp @r1
add #-2,r6
fdl6174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6174: .long execexit
! Opcodes B2E8 - B2EF
V2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6175
mov.l execexit_ptr6175,r1
jmp @r1
add #-2,r6
fdl6175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6175: .long execexit
! Opcodes B2F0 - B2F7
V2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1040
exts.w r0,r0
longwd1040:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6176
mov.l execexit_ptr6176,r1
jmp @r1
add #-2,r6
fdl6176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6176: .long execexit
! Opcode B2F8
V2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6177
mov.l execexit_ptr6177,r1
jmp @r1
add #-2,r6
fdl6177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6177: .long execexit
! Opcode B2F9
V2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6178
mov.l execexit_ptr6178,r1
jmp @r1
add #-2,r6
fdl6178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6178: .long execexit
! Opcode B2FA
V2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6179
mov.l execexit_ptr6179,r1
jmp @r1
add #-2,r6
fdl6179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6179: .long execexit
! Opcode B2FB
V2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1041
exts.w r0,r0
longwd1041:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6180
mov.l execexit_ptr6180,r1
jmp @r1
add #-2,r6
fdl6180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6180: .long execexit
! Opcode B2FC
V2FC:
mov.w @r6+,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6181
mov.l execexit_ptr6181,r1
jmp @r1
add #-2,r6
fdl6181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6181: .long execexit
! Opcodes B300 - B307
V300:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6182
mov.l execexit_ptr6182,r1
jmp @r1
add #-2,r6
fdl6182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6182: .long execexit
! Opcodes B308 - B30F
V308:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(36,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6183
mov.l execexit_ptr6183,r1
jmp @r1
add #-2,r6
fdl6183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6183: .long execexit
! Opcodes B310 - B317
V310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6184
mov.l execexit_ptr6184,r1
jmp @r1
add #-2,r6
fdl6184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6184: .long execexit
! Opcodes B318 - B31F
V318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6185
mov.l execexit_ptr6185,r1
jmp @r1
add #-2,r6
fdl6185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6185: .long execexit
! Opcodes B320 - B327
V320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6186
mov.l execexit_ptr6186,r1
jmp @r1
add #-2,r6
fdl6186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6186: .long execexit
! Opcodes B328 - B32F
V328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6187
mov.l execexit_ptr6187,r1
jmp @r1
add #-2,r6
fdl6187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6187: .long execexit
! Opcodes B330 - B337
V330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1042
exts.w r0,r0
longwd1042:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6188
mov.l execexit_ptr6188,r1
jmp @r1
add #-2,r6
fdl6188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6188: .long execexit
! Opcode B338
V338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6189
mov.l execexit_ptr6189,r1
jmp @r1
add #-2,r6
fdl6189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6189: .long execexit
! Opcode B339
V339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6190
mov.l execexit_ptr6190,r1
jmp @r1
add #-2,r6
fdl6190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6190: .long execexit
! Opcodes B340 - B347
V340:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6191
mov.l execexit_ptr6191,r1
jmp @r1
add #-2,r6
fdl6191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6191: .long execexit
! Opcodes B348 - B34F
V348:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(36,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6192
mov.l execexit_ptr6192,r1
jmp @r1
add #-2,r6
fdl6192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6192: .long execexit
! Opcodes B350 - B357
V350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6193
mov.l execexit_ptr6193,r1
jmp @r1
add #-2,r6
fdl6193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6193: .long execexit
! Opcodes B358 - B35F
V358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6194
mov.l execexit_ptr6194,r1
jmp @r1
add #-2,r6
fdl6194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6194: .long execexit
! Opcodes B360 - B367
V360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6195
mov.l execexit_ptr6195,r1
jmp @r1
add #-2,r6
fdl6195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6195: .long execexit
! Opcodes B368 - B36F
V368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6196
mov.l execexit_ptr6196,r1
jmp @r1
add #-2,r6
fdl6196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6196: .long execexit
! Opcodes B370 - B377
V370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1043
exts.w r0,r0
longwd1043:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6197
mov.l execexit_ptr6197,r1
jmp @r1
add #-2,r6
fdl6197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6197: .long execexit
! Opcode B378
V378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6198
mov.l execexit_ptr6198,r1
jmp @r1
add #-2,r6
fdl6198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6198: .long execexit
! Opcode B379
V379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6199
mov.l execexit_ptr6199,r1
jmp @r1
add #-2,r6
fdl6199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6199: .long execexit
! Opcodes B380 - B387
V380:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(4,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6200
mov.l execexit_ptr6200,r1
jmp @r1
add #-2,r6
fdl6200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6200: .long execexit
! Opcodes B388 - B38F
V388:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(36,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(36,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6201
mov.l execexit_ptr6201,r1
jmp @r1
add #-2,r6
fdl6201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6201: .long execexit
! Opcodes B390 - B397
V390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6202
mov.l execexit_ptr6202,r1
jmp @r1
add #-2,r6
fdl6202:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6202: .long execexit
! Opcodes B398 - B39F
V398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6203
mov.l execexit_ptr6203,r1
jmp @r1
add #-2,r6
fdl6203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6203: .long execexit
! Opcodes B3A0 - B3A7
V3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6204
mov.l execexit_ptr6204,r1
jmp @r1
add #-2,r6
fdl6204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6204: .long execexit
! Opcodes B3A8 - B3AF
V3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6205
mov.l execexit_ptr6205,r1
jmp @r1
add #-2,r6
fdl6205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6205: .long execexit
! Opcodes B3B0 - B3B7
V3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1044
exts.w r0,r0
longwd1044:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6206
mov.l execexit_ptr6206,r1
jmp @r1
add #-2,r6
fdl6206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6206: .long execexit
! Opcode B3B8
V3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6207
mov.l execexit_ptr6207,r1
jmp @r1
add #-2,r6
fdl6207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6207: .long execexit
! Opcode B3B9
V3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6208
mov.l execexit_ptr6208,r1
jmp @r1
add #-2,r6
fdl6208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6208: .long execexit
! Opcodes B3C0 - B3C7
V3C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6209
mov.l execexit_ptr6209,r1
jmp @r1
add #-2,r6
fdl6209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6209: .long execexit
! Opcodes B3C8 - B3CF
V3C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6210
mov.l execexit_ptr6210,r1
jmp @r1
add #-2,r6
fdl6210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6210: .long execexit
! Opcodes B3D0 - B3D7
V3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6211
mov.l execexit_ptr6211,r1
jmp @r1
add #-2,r6
fdl6211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6211: .long execexit
! Opcodes B3D8 - B3DF
V3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6212
mov.l execexit_ptr6212,r1
jmp @r1
add #-2,r6
fdl6212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6212: .long execexit
! Opcodes B3E0 - B3E7
V3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6213
mov.l execexit_ptr6213,r1
jmp @r1
add #-2,r6
fdl6213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6213: .long execexit
! Opcodes B3E8 - B3EF
V3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6214
mov.l execexit_ptr6214,r1
jmp @r1
add #-2,r6
fdl6214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6214: .long execexit
! Opcodes B3F0 - B3F7
V3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1045
exts.w r0,r0
longwd1045:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6215
mov.l execexit_ptr6215,r1
jmp @r1
add #-2,r6
fdl6215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6215: .long execexit
! Opcode B3F8
V3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6216
mov.l execexit_ptr6216,r1
jmp @r1
add #-2,r6
fdl6216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6216: .long execexit
! Opcode B3F9
V3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6217
mov.l execexit_ptr6217,r1
jmp @r1
add #-2,r6
fdl6217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6217: .long execexit
! Opcode B3FA
V3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6218
mov.l execexit_ptr6218,r1
jmp @r1
add #-2,r6
fdl6218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6218: .long execexit
! Opcode B3FB
V3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1046
exts.w r0,r0
longwd1046:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6219
mov.l execexit_ptr6219,r1
jmp @r1
add #-2,r6
fdl6219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6219: .long execexit
! Opcode B3FC
V3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6220
mov.l execexit_ptr6220,r1
jmp @r1
add #-2,r6
fdl6220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6220: .long execexit
! Opcodes B400 - B407
V400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6221
mov.l execexit_ptr6221,r1
jmp @r1
add #-2,r6
fdl6221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6221: .long execexit
! Opcodes B408 - B40F
V408:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6222
mov.l execexit_ptr6222,r1
jmp @r1
add #-2,r6
fdl6222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6222: .long execexit
! Opcodes B410 - B417
V410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6223
mov.l execexit_ptr6223,r1
jmp @r1
add #-2,r6
fdl6223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6223: .long execexit
! Opcodes B418 - B41F
V418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6224
mov.l execexit_ptr6224,r1
jmp @r1
add #-2,r6
fdl6224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6224: .long execexit
! Opcodes B420 - B427
V420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6225
mov.l execexit_ptr6225,r1
jmp @r1
add #-2,r6
fdl6225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6225: .long execexit
! Opcodes B428 - B42F
V428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6226
mov.l execexit_ptr6226,r1
jmp @r1
add #-2,r6
fdl6226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6226: .long execexit
! Opcodes B430 - B437
V430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1047
exts.w r0,r0
longwd1047:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6227
mov.l execexit_ptr6227,r1
jmp @r1
add #-2,r6
fdl6227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6227: .long execexit
! Opcode B438
V438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6228
mov.l execexit_ptr6228,r1
jmp @r1
add #-2,r6
fdl6228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6228: .long execexit
! Opcode B439
V439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6229
mov.l execexit_ptr6229,r1
jmp @r1
add #-2,r6
fdl6229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6229: .long execexit
! Opcode B43A
V43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6230
mov.l execexit_ptr6230,r1
jmp @r1
add #-2,r6
fdl6230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6230: .long execexit
! Opcode B43B
V43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1048
exts.w r0,r0
longwd1048:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6231
mov.l execexit_ptr6231,r1
jmp @r1
add #-2,r6
fdl6231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6231: .long execexit
! Opcode B43C
V43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6232
mov.l execexit_ptr6232,r1
jmp @r1
add #-2,r6
fdl6232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6232: .long execexit
! Opcodes B440 - B447
V440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6233
mov.l execexit_ptr6233,r1
jmp @r1
add #-2,r6
fdl6233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6233: .long execexit
! Opcodes B448 - B44F
V448:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6234
mov.l execexit_ptr6234,r1
jmp @r1
add #-2,r6
fdl6234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6234: .long execexit
! Opcodes B450 - B457
V450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6235
mov.l execexit_ptr6235,r1
jmp @r1
add #-2,r6
fdl6235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6235: .long execexit
! Opcodes B458 - B45F
V458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6236
mov.l execexit_ptr6236,r1
jmp @r1
add #-2,r6
fdl6236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6236: .long execexit
! Opcodes B460 - B467
V460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6237
mov.l execexit_ptr6237,r1
jmp @r1
add #-2,r6
fdl6237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6237: .long execexit
! Opcodes B468 - B46F
V468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6238
mov.l execexit_ptr6238,r1
jmp @r1
add #-2,r6
fdl6238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6238: .long execexit
! Opcodes B470 - B477
V470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1049
exts.w r0,r0
longwd1049:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6239
mov.l execexit_ptr6239,r1
jmp @r1
add #-2,r6
fdl6239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6239: .long execexit
! Opcode B478
V478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6240
mov.l execexit_ptr6240,r1
jmp @r1
add #-2,r6
fdl6240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6240: .long execexit
! Opcode B479
V479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6241
mov.l execexit_ptr6241,r1
jmp @r1
add #-2,r6
fdl6241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6241: .long execexit
! Opcode B47A
V47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6242
mov.l execexit_ptr6242,r1
jmp @r1
add #-2,r6
fdl6242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6242: .long execexit
! Opcode B47B
V47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1050
exts.w r0,r0
longwd1050:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6243
mov.l execexit_ptr6243,r1
jmp @r1
add #-2,r6
fdl6243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6243: .long execexit
! Opcode B47C
V47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6244
mov.l execexit_ptr6244,r1
jmp @r1
add #-2,r6
fdl6244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6244: .long execexit
! Opcodes B480 - B487
V480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6245
mov.l execexit_ptr6245,r1
jmp @r1
add #-2,r6
fdl6245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6245: .long execexit
! Opcodes B488 - B48F
V488:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6246
mov.l execexit_ptr6246,r1
jmp @r1
add #-2,r6
fdl6246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6246: .long execexit
! Opcodes B490 - B497
V490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6247
mov.l execexit_ptr6247,r1
jmp @r1
add #-2,r6
fdl6247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6247: .long execexit
! Opcodes B498 - B49F
V498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6248
mov.l execexit_ptr6248,r1
jmp @r1
add #-2,r6
fdl6248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6248: .long execexit
! Opcodes B4A0 - B4A7
V4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6249
mov.l execexit_ptr6249,r1
jmp @r1
add #-2,r6
fdl6249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6249: .long execexit
! Opcodes B4A8 - B4AF
V4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6250
mov.l execexit_ptr6250,r1
jmp @r1
add #-2,r6
fdl6250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6250: .long execexit
! Opcodes B4B0 - B4B7
V4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1051
exts.w r0,r0
longwd1051:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6251
mov.l execexit_ptr6251,r1
jmp @r1
add #-2,r6
fdl6251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6251: .long execexit
! Opcode B4B8
V4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6252
mov.l execexit_ptr6252,r1
jmp @r1
add #-2,r6
fdl6252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6252: .long execexit
! Opcode B4B9
V4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6253
mov.l execexit_ptr6253,r1
jmp @r1
add #-2,r6
fdl6253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6253: .long execexit
! Opcode B4BA
V4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6254
mov.l execexit_ptr6254,r1
jmp @r1
add #-2,r6
fdl6254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6254: .long execexit
! Opcode B4BB
V4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1052
exts.w r0,r0
longwd1052:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6255
mov.l execexit_ptr6255,r1
jmp @r1
add #-2,r6
fdl6255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6255: .long execexit
! Opcode B4BC
V4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6256
mov.l execexit_ptr6256,r1
jmp @r1
add #-2,r6
fdl6256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6256: .long execexit
! Opcodes B4C0 - B4C7
V4C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6257
mov.l execexit_ptr6257,r1
jmp @r1
add #-2,r6
fdl6257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6257: .long execexit
! Opcodes B4C8 - B4CF
V4C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6258
mov.l execexit_ptr6258,r1
jmp @r1
add #-2,r6
fdl6258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6258: .long execexit
! Opcodes B4D0 - B4D7
V4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6259
mov.l execexit_ptr6259,r1
jmp @r1
add #-2,r6
fdl6259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6259: .long execexit
! Opcodes B4D8 - B4DF
V4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6260
mov.l execexit_ptr6260,r1
jmp @r1
add #-2,r6
fdl6260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6260: .long execexit
! Opcodes B4E0 - B4E7
V4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6261
mov.l execexit_ptr6261,r1
jmp @r1
add #-2,r6
fdl6261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6261: .long execexit
! Opcodes B4E8 - B4EF
V4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6262
mov.l execexit_ptr6262,r1
jmp @r1
add #-2,r6
fdl6262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6262: .long execexit
! Opcodes B4F0 - B4F7
V4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1053
exts.w r0,r0
longwd1053:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6263
mov.l execexit_ptr6263,r1
jmp @r1
add #-2,r6
fdl6263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6263: .long execexit
! Opcode B4F8
V4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6264
mov.l execexit_ptr6264,r1
jmp @r1
add #-2,r6
fdl6264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6264: .long execexit
! Opcode B4F9
V4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6265
mov.l execexit_ptr6265,r1
jmp @r1
add #-2,r6
fdl6265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6265: .long execexit
! Opcode B4FA
V4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6266
mov.l execexit_ptr6266,r1
jmp @r1
add #-2,r6
fdl6266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6266: .long execexit
! Opcode B4FB
V4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1054
exts.w r0,r0
longwd1054:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6267
mov.l execexit_ptr6267,r1
jmp @r1
add #-2,r6
fdl6267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6267: .long execexit
! Opcode B4FC
V4FC:
mov.w @r6+,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6268
mov.l execexit_ptr6268,r1
jmp @r1
add #-2,r6
fdl6268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6268: .long execexit
! Opcodes B500 - B507
V500:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6269
mov.l execexit_ptr6269,r1
jmp @r1
add #-2,r6
fdl6269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6269: .long execexit
! Opcodes B508 - B50F
V508:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(40,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6270
mov.l execexit_ptr6270,r1
jmp @r1
add #-2,r6
fdl6270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6270: .long execexit
! Opcodes B510 - B517
V510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6271
mov.l execexit_ptr6271,r1
jmp @r1
add #-2,r6
fdl6271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6271: .long execexit
! Opcodes B518 - B51F
V518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6272
mov.l execexit_ptr6272,r1
jmp @r1
add #-2,r6
fdl6272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6272: .long execexit
! Opcodes B520 - B527
V520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6273
mov.l execexit_ptr6273,r1
jmp @r1
add #-2,r6
fdl6273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6273: .long execexit
! Opcodes B528 - B52F
V528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6274
mov.l execexit_ptr6274,r1
jmp @r1
add #-2,r6
fdl6274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6274: .long execexit
! Opcodes B530 - B537
V530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1055
exts.w r0,r0
longwd1055:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6275
mov.l execexit_ptr6275,r1
jmp @r1
add #-2,r6
fdl6275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6275: .long execexit
! Opcode B538
V538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6276
mov.l execexit_ptr6276,r1
jmp @r1
add #-2,r6
fdl6276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6276: .long execexit
! Opcode B539
V539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6277
mov.l execexit_ptr6277,r1
jmp @r1
add #-2,r6
fdl6277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6277: .long execexit
! Opcodes B540 - B547
V540:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6278
mov.l execexit_ptr6278,r1
jmp @r1
add #-2,r6
fdl6278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6278: .long execexit
! Opcodes B548 - B54F
V548:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(40,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6279
mov.l execexit_ptr6279,r1
jmp @r1
add #-2,r6
fdl6279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6279: .long execexit
! Opcodes B550 - B557
V550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6280
mov.l execexit_ptr6280,r1
jmp @r1
add #-2,r6
fdl6280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6280: .long execexit
! Opcodes B558 - B55F
V558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6281
mov.l execexit_ptr6281,r1
jmp @r1
add #-2,r6
fdl6281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6281: .long execexit
! Opcodes B560 - B567
V560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6282
mov.l execexit_ptr6282,r1
jmp @r1
add #-2,r6
fdl6282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6282: .long execexit
! Opcodes B568 - B56F
V568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6283
mov.l execexit_ptr6283,r1
jmp @r1
add #-2,r6
fdl6283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6283: .long execexit
! Opcodes B570 - B577
V570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1056
exts.w r0,r0
longwd1056:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6284
mov.l execexit_ptr6284,r1
jmp @r1
add #-2,r6
fdl6284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6284: .long execexit
! Opcode B578
V578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6285
mov.l execexit_ptr6285,r1
jmp @r1
add #-2,r6
fdl6285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6285: .long execexit
! Opcode B579
V579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6286
mov.l execexit_ptr6286,r1
jmp @r1
add #-2,r6
fdl6286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6286: .long execexit
! Opcodes B580 - B587
V580:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(8,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6287
mov.l execexit_ptr6287,r1
jmp @r1
add #-2,r6
fdl6287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6287: .long execexit
! Opcodes B588 - B58F
V588:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(40,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(40,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6288
mov.l execexit_ptr6288,r1
jmp @r1
add #-2,r6
fdl6288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6288: .long execexit
! Opcodes B590 - B597
V590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6289
mov.l execexit_ptr6289,r1
jmp @r1
add #-2,r6
fdl6289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6289: .long execexit
! Opcodes B598 - B59F
V598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6290
mov.l execexit_ptr6290,r1
jmp @r1
add #-2,r6
fdl6290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6290: .long execexit
! Opcodes B5A0 - B5A7
V5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6291
mov.l execexit_ptr6291,r1
jmp @r1
add #-2,r6
fdl6291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6291: .long execexit
! Opcodes B5A8 - B5AF
V5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6292
mov.l execexit_ptr6292,r1
jmp @r1
add #-2,r6
fdl6292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6292: .long execexit
! Opcodes B5B0 - B5B7
V5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1057
exts.w r0,r0
longwd1057:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6293
mov.l execexit_ptr6293,r1
jmp @r1
add #-2,r6
fdl6293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6293: .long execexit
! Opcode B5B8
V5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6294
mov.l execexit_ptr6294,r1
jmp @r1
add #-2,r6
fdl6294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6294: .long execexit
! Opcode B5B9
V5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6295
mov.l execexit_ptr6295,r1
jmp @r1
add #-2,r6
fdl6295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6295: .long execexit
! Opcodes B5C0 - B5C7
V5C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6296
mov.l execexit_ptr6296,r1
jmp @r1
add #-2,r6
fdl6296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6296: .long execexit
! Opcodes B5C8 - B5CF
V5C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6297
mov.l execexit_ptr6297,r1
jmp @r1
add #-2,r6
fdl6297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6297: .long execexit
! Opcodes B5D0 - B5D7
V5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6298
mov.l execexit_ptr6298,r1
jmp @r1
add #-2,r6
fdl6298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6298: .long execexit
! Opcodes B5D8 - B5DF
V5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6299
mov.l execexit_ptr6299,r1
jmp @r1
add #-2,r6
fdl6299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6299: .long execexit
! Opcodes B5E0 - B5E7
V5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6300
mov.l execexit_ptr6300,r1
jmp @r1
add #-2,r6
fdl6300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6300: .long execexit
! Opcodes B5E8 - B5EF
V5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6301
mov.l execexit_ptr6301,r1
jmp @r1
add #-2,r6
fdl6301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6301: .long execexit
! Opcodes B5F0 - B5F7
V5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1058
exts.w r0,r0
longwd1058:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6302
mov.l execexit_ptr6302,r1
jmp @r1
add #-2,r6
fdl6302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6302: .long execexit
! Opcode B5F8
V5F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6303
mov.l execexit_ptr6303,r1
jmp @r1
add #-2,r6
fdl6303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6303: .long execexit
! Opcode B5F9
V5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6304
mov.l execexit_ptr6304,r1
jmp @r1
add #-2,r6
fdl6304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6304: .long execexit
! Opcode B5FA
V5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6305
mov.l execexit_ptr6305,r1
jmp @r1
add #-2,r6
fdl6305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6305: .long execexit
! Opcode B5FB
V5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1059
exts.w r0,r0
longwd1059:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6306
mov.l execexit_ptr6306,r1
jmp @r1
add #-2,r6
fdl6306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6306: .long execexit
! Opcode B5FC
V5FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6307
mov.l execexit_ptr6307,r1
jmp @r1
add #-2,r6
fdl6307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6307: .long execexit
! Opcodes B600 - B607
V600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6308
mov.l execexit_ptr6308,r1
jmp @r1
add #-2,r6
fdl6308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6308: .long execexit
! Opcodes B608 - B60F
V608:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6309
mov.l execexit_ptr6309,r1
jmp @r1
add #-2,r6
fdl6309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6309: .long execexit
! Opcodes B610 - B617
V610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6310
mov.l execexit_ptr6310,r1
jmp @r1
add #-2,r6
fdl6310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6310: .long execexit
! Opcodes B618 - B61F
V618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6311
mov.l execexit_ptr6311,r1
jmp @r1
add #-2,r6
fdl6311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6311: .long execexit
! Opcodes B620 - B627
V620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6312
mov.l execexit_ptr6312,r1
jmp @r1
add #-2,r6
fdl6312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6312: .long execexit
! Opcodes B628 - B62F
V628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6313
mov.l execexit_ptr6313,r1
jmp @r1
add #-2,r6
fdl6313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6313: .long execexit
! Opcodes B630 - B637
V630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1060
exts.w r0,r0
longwd1060:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6314
mov.l execexit_ptr6314,r1
jmp @r1
add #-2,r6
fdl6314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6314: .long execexit
! Opcode B638
V638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6315
mov.l execexit_ptr6315,r1
jmp @r1
add #-2,r6
fdl6315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6315: .long execexit
! Opcode B639
V639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6316
mov.l execexit_ptr6316,r1
jmp @r1
add #-2,r6
fdl6316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6316: .long execexit
! Opcode B63A
V63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6317
mov.l execexit_ptr6317,r1
jmp @r1
add #-2,r6
fdl6317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6317: .long execexit
! Opcode B63B
V63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1061
exts.w r0,r0
longwd1061:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6318
mov.l execexit_ptr6318,r1
jmp @r1
add #-2,r6
fdl6318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6318: .long execexit
! Opcode B63C
V63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6319
mov.l execexit_ptr6319,r1
jmp @r1
add #-2,r6
fdl6319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6319: .long execexit
! Opcodes B640 - B647
V640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6320
mov.l execexit_ptr6320,r1
jmp @r1
add #-2,r6
fdl6320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6320: .long execexit
! Opcodes B648 - B64F
V648:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6321
mov.l execexit_ptr6321,r1
jmp @r1
add #-2,r6
fdl6321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6321: .long execexit
! Opcodes B650 - B657
V650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6322
mov.l execexit_ptr6322,r1
jmp @r1
add #-2,r6
fdl6322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6322: .long execexit
! Opcodes B658 - B65F
V658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6323
mov.l execexit_ptr6323,r1
jmp @r1
add #-2,r6
fdl6323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6323: .long execexit
! Opcodes B660 - B667
V660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6324
mov.l execexit_ptr6324,r1
jmp @r1
add #-2,r6
fdl6324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6324: .long execexit
! Opcodes B668 - B66F
V668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6325
mov.l execexit_ptr6325,r1
jmp @r1
add #-2,r6
fdl6325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6325: .long execexit
! Opcodes B670 - B677
V670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1062
exts.w r0,r0
longwd1062:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6326
mov.l execexit_ptr6326,r1
jmp @r1
add #-2,r6
fdl6326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6326: .long execexit
! Opcode B678
V678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6327
mov.l execexit_ptr6327,r1
jmp @r1
add #-2,r6
fdl6327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6327: .long execexit
! Opcode B679
V679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6328
mov.l execexit_ptr6328,r1
jmp @r1
add #-2,r6
fdl6328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6328: .long execexit
! Opcode B67A
V67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6329
mov.l execexit_ptr6329,r1
jmp @r1
add #-2,r6
fdl6329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6329: .long execexit
! Opcode B67B
V67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1063
exts.w r0,r0
longwd1063:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6330
mov.l execexit_ptr6330,r1
jmp @r1
add #-2,r6
fdl6330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6330: .long execexit
! Opcode B67C
V67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6331
mov.l execexit_ptr6331,r1
jmp @r1
add #-2,r6
fdl6331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6331: .long execexit
! Opcodes B680 - B687
V680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6332
mov.l execexit_ptr6332,r1
jmp @r1
add #-2,r6
fdl6332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6332: .long execexit
! Opcodes B688 - B68F
V688:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6333
mov.l execexit_ptr6333,r1
jmp @r1
add #-2,r6
fdl6333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6333: .long execexit
! Opcodes B690 - B697
V690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6334
mov.l execexit_ptr6334,r1
jmp @r1
add #-2,r6
fdl6334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6334: .long execexit
! Opcodes B698 - B69F
V698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6335
mov.l execexit_ptr6335,r1
jmp @r1
add #-2,r6
fdl6335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6335: .long execexit
! Opcodes B6A0 - B6A7
V6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6336
mov.l execexit_ptr6336,r1
jmp @r1
add #-2,r6
fdl6336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6336: .long execexit
! Opcodes B6A8 - B6AF
V6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6337
mov.l execexit_ptr6337,r1
jmp @r1
add #-2,r6
fdl6337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6337: .long execexit
! Opcodes B6B0 - B6B7
V6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1064
exts.w r0,r0
longwd1064:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6338
mov.l execexit_ptr6338,r1
jmp @r1
add #-2,r6
fdl6338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6338: .long execexit
! Opcode B6B8
V6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6339
mov.l execexit_ptr6339,r1
jmp @r1
add #-2,r6
fdl6339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6339: .long execexit
! Opcode B6B9
V6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6340
mov.l execexit_ptr6340,r1
jmp @r1
add #-2,r6
fdl6340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6340: .long execexit
! Opcode B6BA
V6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6341
mov.l execexit_ptr6341,r1
jmp @r1
add #-2,r6
fdl6341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6341: .long execexit
! Opcode B6BB
V6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1065
exts.w r0,r0
longwd1065:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6342
mov.l execexit_ptr6342,r1
jmp @r1
add #-2,r6
fdl6342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6342: .long execexit
! Opcode B6BC
V6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6343
mov.l execexit_ptr6343,r1
jmp @r1
add #-2,r6
fdl6343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6343: .long execexit
! Opcodes B6C0 - B6C7
V6C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6344
mov.l execexit_ptr6344,r1
jmp @r1
add #-2,r6
fdl6344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6344: .long execexit
! Opcodes B6C8 - B6CF
V6C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6345
mov.l execexit_ptr6345,r1
jmp @r1
add #-2,r6
fdl6345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6345: .long execexit
! Opcodes B6D0 - B6D7
V6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6346
mov.l execexit_ptr6346,r1
jmp @r1
add #-2,r6
fdl6346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6346: .long execexit
! Opcodes B6D8 - B6DF
V6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6347
mov.l execexit_ptr6347,r1
jmp @r1
add #-2,r6
fdl6347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6347: .long execexit
! Opcodes B6E0 - B6E7
V6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6348
mov.l execexit_ptr6348,r1
jmp @r1
add #-2,r6
fdl6348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6348: .long execexit
! Opcodes B6E8 - B6EF
V6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6349
mov.l execexit_ptr6349,r1
jmp @r1
add #-2,r6
fdl6349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6349: .long execexit
! Opcodes B6F0 - B6F7
V6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1066
exts.w r0,r0
longwd1066:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6350
mov.l execexit_ptr6350,r1
jmp @r1
add #-2,r6
fdl6350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6350: .long execexit
! Opcode B6F8
V6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6351
mov.l execexit_ptr6351,r1
jmp @r1
add #-2,r6
fdl6351:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6351: .long execexit
! Opcode B6F9
V6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6352
mov.l execexit_ptr6352,r1
jmp @r1
add #-2,r6
fdl6352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6352: .long execexit
! Opcode B6FA
V6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6353
mov.l execexit_ptr6353,r1
jmp @r1
add #-2,r6
fdl6353:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6353: .long execexit
! Opcode B6FB
V6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1067
exts.w r0,r0
longwd1067:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6354
mov.l execexit_ptr6354,r1
jmp @r1
add #-2,r6
fdl6354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6354: .long execexit
! Opcode B6FC
V6FC:
mov.w @r6+,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6355
mov.l execexit_ptr6355,r1
jmp @r1
add #-2,r6
fdl6355:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6355: .long execexit
! Opcodes B700 - B707
V700:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6356
mov.l execexit_ptr6356,r1
jmp @r1
add #-2,r6
fdl6356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6356: .long execexit
! Opcodes B708 - B70F
V708:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(44,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6357
mov.l execexit_ptr6357,r1
jmp @r1
add #-2,r6
fdl6357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6357: .long execexit
! Opcodes B710 - B717
V710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6358
mov.l execexit_ptr6358,r1
jmp @r1
add #-2,r6
fdl6358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6358: .long execexit
! Opcodes B718 - B71F
V718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6359
mov.l execexit_ptr6359,r1
jmp @r1
add #-2,r6
fdl6359:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6359: .long execexit
! Opcodes B720 - B727
V720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6360
mov.l execexit_ptr6360,r1
jmp @r1
add #-2,r6
fdl6360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6360: .long execexit
! Opcodes B728 - B72F
V728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6361
mov.l execexit_ptr6361,r1
jmp @r1
add #-2,r6
fdl6361:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6361: .long execexit
! Opcodes B730 - B737
V730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1068
exts.w r0,r0
longwd1068:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6362
mov.l execexit_ptr6362,r1
jmp @r1
add #-2,r6
fdl6362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6362: .long execexit
! Opcode B738
V738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6363
mov.l execexit_ptr6363,r1
jmp @r1
add #-2,r6
fdl6363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6363: .long execexit
! Opcode B739
V739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6364
mov.l execexit_ptr6364,r1
jmp @r1
add #-2,r6
fdl6364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6364: .long execexit
! Opcodes B740 - B747
V740:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6365
mov.l execexit_ptr6365,r1
jmp @r1
add #-2,r6
fdl6365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6365: .long execexit
! Opcodes B748 - B74F
V748:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(44,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6366
mov.l execexit_ptr6366,r1
jmp @r1
add #-2,r6
fdl6366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6366: .long execexit
! Opcodes B750 - B757
V750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6367
mov.l execexit_ptr6367,r1
jmp @r1
add #-2,r6
fdl6367:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6367: .long execexit
! Opcodes B758 - B75F
V758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6368
mov.l execexit_ptr6368,r1
jmp @r1
add #-2,r6
fdl6368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6368: .long execexit
! Opcodes B760 - B767
V760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6369
mov.l execexit_ptr6369,r1
jmp @r1
add #-2,r6
fdl6369:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6369: .long execexit
! Opcodes B768 - B76F
V768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6370
mov.l execexit_ptr6370,r1
jmp @r1
add #-2,r6
fdl6370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6370: .long execexit
! Opcodes B770 - B777
V770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1069
exts.w r0,r0
longwd1069:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6371
mov.l execexit_ptr6371,r1
jmp @r1
add #-2,r6
fdl6371:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6371: .long execexit
! Opcode B778
V778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6372
mov.l execexit_ptr6372,r1
jmp @r1
add #-2,r6
fdl6372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6372: .long execexit
! Opcode B779
V779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6373
mov.l execexit_ptr6373,r1
jmp @r1
add #-2,r6
fdl6373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6373: .long execexit
! Opcodes B780 - B787
V780:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(12,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6374
mov.l execexit_ptr6374,r1
jmp @r1
add #-2,r6
fdl6374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6374: .long execexit
! Opcodes B788 - B78F
V788:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(44,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(44,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6375
mov.l execexit_ptr6375,r1
jmp @r1
add #-2,r6
fdl6375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6375: .long execexit
! Opcodes B790 - B797
V790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6376
mov.l execexit_ptr6376,r1
jmp @r1
add #-2,r6
fdl6376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6376: .long execexit
! Opcodes B798 - B79F
V798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6377
mov.l execexit_ptr6377,r1
jmp @r1
add #-2,r6
fdl6377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6377: .long execexit
! Opcodes B7A0 - B7A7
V7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6378
mov.l execexit_ptr6378,r1
jmp @r1
add #-2,r6
fdl6378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6378: .long execexit
! Opcodes B7A8 - B7AF
V7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6379
mov.l execexit_ptr6379,r1
jmp @r1
add #-2,r6
fdl6379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6379: .long execexit
! Opcodes B7B0 - B7B7
V7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1070
exts.w r0,r0
longwd1070:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6380
mov.l execexit_ptr6380,r1
jmp @r1
add #-2,r6
fdl6380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6380: .long execexit
! Opcode B7B8
V7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6381
mov.l execexit_ptr6381,r1
jmp @r1
add #-2,r6
fdl6381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6381: .long execexit
! Opcode B7B9
V7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6382
mov.l execexit_ptr6382,r1
jmp @r1
add #-2,r6
fdl6382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6382: .long execexit
! Opcodes B7C0 - B7C7
V7C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6383
mov.l execexit_ptr6383,r1
jmp @r1
add #-2,r6
fdl6383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6383: .long execexit
! Opcodes B7C8 - B7CF
V7C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6384
mov.l execexit_ptr6384,r1
jmp @r1
add #-2,r6
fdl6384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6384: .long execexit
! Opcodes B7D0 - B7D7
V7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6385
mov.l execexit_ptr6385,r1
jmp @r1
add #-2,r6
fdl6385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6385: .long execexit
! Opcodes B7D8 - B7DF
V7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6386
mov.l execexit_ptr6386,r1
jmp @r1
add #-2,r6
fdl6386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6386: .long execexit
! Opcodes B7E0 - B7E7
V7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6387
mov.l execexit_ptr6387,r1
jmp @r1
add #-2,r6
fdl6387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6387: .long execexit
! Opcodes B7E8 - B7EF
V7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6388
mov.l execexit_ptr6388,r1
jmp @r1
add #-2,r6
fdl6388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6388: .long execexit
! Opcodes B7F0 - B7F7
V7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1071
exts.w r0,r0
longwd1071:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6389
mov.l execexit_ptr6389,r1
jmp @r1
add #-2,r6
fdl6389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6389: .long execexit
! Opcode B7F8
V7F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6390
mov.l execexit_ptr6390,r1
jmp @r1
add #-2,r6
fdl6390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6390: .long execexit
! Opcode B7F9
V7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6391
mov.l execexit_ptr6391,r1
jmp @r1
add #-2,r6
fdl6391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6391: .long execexit
! Opcode B7FA
V7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6392
mov.l execexit_ptr6392,r1
jmp @r1
add #-2,r6
fdl6392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6392: .long execexit
! Opcode B7FB
V7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1072
exts.w r0,r0
longwd1072:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6393
mov.l execexit_ptr6393,r1
jmp @r1
add #-2,r6
fdl6393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6393: .long execexit
! Opcode B7FC
V7FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6394
mov.l execexit_ptr6394,r1
jmp @r1
add #-2,r6
fdl6394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6394: .long execexit
! Opcodes B800 - B807
V800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6395
mov.l execexit_ptr6395,r1
jmp @r1
add #-2,r6
fdl6395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6395: .long execexit
! Opcodes B808 - B80F
V808:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6396
mov.l execexit_ptr6396,r1
jmp @r1
add #-2,r6
fdl6396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6396: .long execexit
! Opcodes B810 - B817
V810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6397
mov.l execexit_ptr6397,r1
jmp @r1
add #-2,r6
fdl6397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6397: .long execexit
! Opcodes B818 - B81F
V818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6398
mov.l execexit_ptr6398,r1
jmp @r1
add #-2,r6
fdl6398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6398: .long execexit
! Opcodes B820 - B827
V820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6399
mov.l execexit_ptr6399,r1
jmp @r1
add #-2,r6
fdl6399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6399: .long execexit
! Opcodes B828 - B82F
V828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6400
mov.l execexit_ptr6400,r1
jmp @r1
add #-2,r6
fdl6400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6400: .long execexit
! Opcodes B830 - B837
V830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1073
exts.w r0,r0
longwd1073:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6401
mov.l execexit_ptr6401,r1
jmp @r1
add #-2,r6
fdl6401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6401: .long execexit
! Opcode B838
V838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6402
mov.l execexit_ptr6402,r1
jmp @r1
add #-2,r6
fdl6402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6402: .long execexit
! Opcode B839
V839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6403
mov.l execexit_ptr6403,r1
jmp @r1
add #-2,r6
fdl6403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6403: .long execexit
! Opcode B83A
V83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6404
mov.l execexit_ptr6404,r1
jmp @r1
add #-2,r6
fdl6404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6404: .long execexit
! Opcode B83B
V83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1074
exts.w r0,r0
longwd1074:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6405
mov.l execexit_ptr6405,r1
jmp @r1
add #-2,r6
fdl6405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6405: .long execexit
! Opcode B83C
V83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6406
mov.l execexit_ptr6406,r1
jmp @r1
add #-2,r6
fdl6406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6406: .long execexit
! Opcodes B840 - B847
V840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6407
mov.l execexit_ptr6407,r1
jmp @r1
add #-2,r6
fdl6407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6407: .long execexit
! Opcodes B848 - B84F
V848:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6408
mov.l execexit_ptr6408,r1
jmp @r1
add #-2,r6
fdl6408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6408: .long execexit
! Opcodes B850 - B857
V850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6409
mov.l execexit_ptr6409,r1
jmp @r1
add #-2,r6
fdl6409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6409: .long execexit
! Opcodes B858 - B85F
V858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6410
mov.l execexit_ptr6410,r1
jmp @r1
add #-2,r6
fdl6410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6410: .long execexit
! Opcodes B860 - B867
V860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6411
mov.l execexit_ptr6411,r1
jmp @r1
add #-2,r6
fdl6411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6411: .long execexit
! Opcodes B868 - B86F
V868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6412
mov.l execexit_ptr6412,r1
jmp @r1
add #-2,r6
fdl6412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6412: .long execexit
! Opcodes B870 - B877
V870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1075
exts.w r0,r0
longwd1075:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6413
mov.l execexit_ptr6413,r1
jmp @r1
add #-2,r6
fdl6413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6413: .long execexit
! Opcode B878
V878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6414
mov.l execexit_ptr6414,r1
jmp @r1
add #-2,r6
fdl6414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6414: .long execexit
! Opcode B879
V879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6415
mov.l execexit_ptr6415,r1
jmp @r1
add #-2,r6
fdl6415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6415: .long execexit
! Opcode B87A
V87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6416
mov.l execexit_ptr6416,r1
jmp @r1
add #-2,r6
fdl6416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6416: .long execexit
! Opcode B87B
V87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1076
exts.w r0,r0
longwd1076:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6417
mov.l execexit_ptr6417,r1
jmp @r1
add #-2,r6
fdl6417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6417: .long execexit
! Opcode B87C
V87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6418
mov.l execexit_ptr6418,r1
jmp @r1
add #-2,r6
fdl6418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6418: .long execexit
! Opcodes B880 - B887
V880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6419
mov.l execexit_ptr6419,r1
jmp @r1
add #-2,r6
fdl6419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6419: .long execexit
! Opcodes B888 - B88F
V888:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6420
mov.l execexit_ptr6420,r1
jmp @r1
add #-2,r6
fdl6420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6420: .long execexit
! Opcodes B890 - B897
V890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6421
mov.l execexit_ptr6421,r1
jmp @r1
add #-2,r6
fdl6421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6421: .long execexit
! Opcodes B898 - B89F
V898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6422
mov.l execexit_ptr6422,r1
jmp @r1
add #-2,r6
fdl6422:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6422: .long execexit
! Opcodes B8A0 - B8A7
V8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6423
mov.l execexit_ptr6423,r1
jmp @r1
add #-2,r6
fdl6423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6423: .long execexit
! Opcodes B8A8 - B8AF
V8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6424
mov.l execexit_ptr6424,r1
jmp @r1
add #-2,r6
fdl6424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6424: .long execexit
! Opcodes B8B0 - B8B7
V8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1077
exts.w r0,r0
longwd1077:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6425
mov.l execexit_ptr6425,r1
jmp @r1
add #-2,r6
fdl6425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6425: .long execexit
! Opcode B8B8
V8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6426
mov.l execexit_ptr6426,r1
jmp @r1
add #-2,r6
fdl6426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6426: .long execexit
! Opcode B8B9
V8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6427
mov.l execexit_ptr6427,r1
jmp @r1
add #-2,r6
fdl6427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6427: .long execexit
! Opcode B8BA
V8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6428
mov.l execexit_ptr6428,r1
jmp @r1
add #-2,r6
fdl6428:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6428: .long execexit
! Opcode B8BB
V8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1078
exts.w r0,r0
longwd1078:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6429
mov.l execexit_ptr6429,r1
jmp @r1
add #-2,r6
fdl6429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6429: .long execexit
! Opcode B8BC
V8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6430
mov.l execexit_ptr6430,r1
jmp @r1
add #-2,r6
fdl6430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6430: .long execexit
! Opcodes B8C0 - B8C7
V8C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6431
mov.l execexit_ptr6431,r1
jmp @r1
add #-2,r6
fdl6431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6431: .long execexit
! Opcodes B8C8 - B8CF
V8C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6432
mov.l execexit_ptr6432,r1
jmp @r1
add #-2,r6
fdl6432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6432: .long execexit
! Opcodes B8D0 - B8D7
V8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6433
mov.l execexit_ptr6433,r1
jmp @r1
add #-2,r6
fdl6433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6433: .long execexit
! Opcodes B8D8 - B8DF
V8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6434
mov.l execexit_ptr6434,r1
jmp @r1
add #-2,r6
fdl6434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6434: .long execexit
! Opcodes B8E0 - B8E7
V8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6435
mov.l execexit_ptr6435,r1
jmp @r1
add #-2,r6
fdl6435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6435: .long execexit
! Opcodes B8E8 - B8EF
V8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6436
mov.l execexit_ptr6436,r1
jmp @r1
add #-2,r6
fdl6436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6436: .long execexit
! Opcodes B8F0 - B8F7
V8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1079
exts.w r0,r0
longwd1079:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6437
mov.l execexit_ptr6437,r1
jmp @r1
add #-2,r6
fdl6437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6437: .long execexit
! Opcode B8F8
V8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6438
mov.l execexit_ptr6438,r1
jmp @r1
add #-2,r6
fdl6438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6438: .long execexit
! Opcode B8F9
V8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6439
mov.l execexit_ptr6439,r1
jmp @r1
add #-2,r6
fdl6439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6439: .long execexit
! Opcode B8FA
V8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6440
mov.l execexit_ptr6440,r1
jmp @r1
add #-2,r6
fdl6440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6440: .long execexit
! Opcode B8FB
V8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1080
exts.w r0,r0
longwd1080:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6441
mov.l execexit_ptr6441,r1
jmp @r1
add #-2,r6
fdl6441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6441: .long execexit
! Opcode B8FC
V8FC:
mov.w @r6+,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6442
mov.l execexit_ptr6442,r1
jmp @r1
add #-2,r6
fdl6442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6442: .long execexit
! Opcodes B900 - B907
V900:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6443
mov.l execexit_ptr6443,r1
jmp @r1
add #-2,r6
fdl6443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6443: .long execexit
! Opcodes B908 - B90F
V908:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(48,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6444
mov.l execexit_ptr6444,r1
jmp @r1
add #-2,r6
fdl6444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6444: .long execexit
! Opcodes B910 - B917
V910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6445
mov.l execexit_ptr6445,r1
jmp @r1
add #-2,r6
fdl6445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6445: .long execexit
! Opcodes B918 - B91F
V918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6446
mov.l execexit_ptr6446,r1
jmp @r1
add #-2,r6
fdl6446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6446: .long execexit
! Opcodes B920 - B927
V920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6447
mov.l execexit_ptr6447,r1
jmp @r1
add #-2,r6
fdl6447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6447: .long execexit
! Opcodes B928 - B92F
V928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6448
mov.l execexit_ptr6448,r1
jmp @r1
add #-2,r6
fdl6448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6448: .long execexit
! Opcodes B930 - B937
V930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1081
exts.w r0,r0
longwd1081:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6449
mov.l execexit_ptr6449,r1
jmp @r1
add #-2,r6
fdl6449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6449: .long execexit
! Opcode B938
V938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6450
mov.l execexit_ptr6450,r1
jmp @r1
add #-2,r6
fdl6450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6450: .long execexit
! Opcode B939
V939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6451
mov.l execexit_ptr6451,r1
jmp @r1
add #-2,r6
fdl6451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6451: .long execexit
! Opcodes B940 - B947
V940:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6452
mov.l execexit_ptr6452,r1
jmp @r1
add #-2,r6
fdl6452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6452: .long execexit
! Opcodes B948 - B94F
V948:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(48,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6453
mov.l execexit_ptr6453,r1
jmp @r1
add #-2,r6
fdl6453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6453: .long execexit
! Opcodes B950 - B957
V950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6454
mov.l execexit_ptr6454,r1
jmp @r1
add #-2,r6
fdl6454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6454: .long execexit
! Opcodes B958 - B95F
V958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6455
mov.l execexit_ptr6455,r1
jmp @r1
add #-2,r6
fdl6455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6455: .long execexit
! Opcodes B960 - B967
V960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6456
mov.l execexit_ptr6456,r1
jmp @r1
add #-2,r6
fdl6456:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6456: .long execexit
! Opcodes B968 - B96F
V968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6457
mov.l execexit_ptr6457,r1
jmp @r1
add #-2,r6
fdl6457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6457: .long execexit
! Opcodes B970 - B977
V970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1082
exts.w r0,r0
longwd1082:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6458
mov.l execexit_ptr6458,r1
jmp @r1
add #-2,r6
fdl6458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6458: .long execexit
! Opcode B978
V978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6459
mov.l execexit_ptr6459,r1
jmp @r1
add #-2,r6
fdl6459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6459: .long execexit
! Opcode B979
V979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6460
mov.l execexit_ptr6460,r1
jmp @r1
add #-2,r6
fdl6460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6460: .long execexit
! Opcodes B980 - B987
V980:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(16,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6461
mov.l execexit_ptr6461,r1
jmp @r1
add #-2,r6
fdl6461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6461: .long execexit
! Opcodes B988 - B98F
V988:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(48,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(48,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6462
mov.l execexit_ptr6462,r1
jmp @r1
add #-2,r6
fdl6462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6462: .long execexit
! Opcodes B990 - B997
V990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6463
mov.l execexit_ptr6463,r1
jmp @r1
add #-2,r6
fdl6463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6463: .long execexit
! Opcodes B998 - B99F
V998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6464
mov.l execexit_ptr6464,r1
jmp @r1
add #-2,r6
fdl6464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6464: .long execexit
! Opcodes B9A0 - B9A7
V9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6465
mov.l execexit_ptr6465,r1
jmp @r1
add #-2,r6
fdl6465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6465: .long execexit
! Opcodes B9A8 - B9AF
V9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6466
mov.l execexit_ptr6466,r1
jmp @r1
add #-2,r6
fdl6466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6466: .long execexit
! Opcodes B9B0 - B9B7
V9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1083
exts.w r0,r0
longwd1083:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6467
mov.l execexit_ptr6467,r1
jmp @r1
add #-2,r6
fdl6467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6467: .long execexit
! Opcode B9B8
V9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6468
mov.l execexit_ptr6468,r1
jmp @r1
add #-2,r6
fdl6468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6468: .long execexit
! Opcode B9B9
V9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6469
mov.l execexit_ptr6469,r1
jmp @r1
add #-2,r6
fdl6469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6469: .long execexit
! Opcodes B9C0 - B9C7
V9C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6470
mov.l execexit_ptr6470,r1
jmp @r1
add #-2,r6
fdl6470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6470: .long execexit
! Opcodes B9C8 - B9CF
V9C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6471
mov.l execexit_ptr6471,r1
jmp @r1
add #-2,r6
fdl6471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6471: .long execexit
! Opcodes B9D0 - B9D7
V9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6472
mov.l execexit_ptr6472,r1
jmp @r1
add #-2,r6
fdl6472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6472: .long execexit
! Opcodes B9D8 - B9DF
V9D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6473
mov.l execexit_ptr6473,r1
jmp @r1
add #-2,r6
fdl6473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6473: .long execexit
! Opcodes B9E0 - B9E7
V9E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6474
mov.l execexit_ptr6474,r1
jmp @r1
add #-2,r6
fdl6474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6474: .long execexit
! Opcodes B9E8 - B9EF
V9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6475
mov.l execexit_ptr6475,r1
jmp @r1
add #-2,r6
fdl6475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6475: .long execexit
! Opcodes B9F0 - B9F7
V9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1084
exts.w r0,r0
longwd1084:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6476
mov.l execexit_ptr6476,r1
jmp @r1
add #-2,r6
fdl6476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6476: .long execexit
! Opcode B9F8
V9F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6477
mov.l execexit_ptr6477,r1
jmp @r1
add #-2,r6
fdl6477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6477: .long execexit
! Opcode B9F9
V9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6478
mov.l execexit_ptr6478,r1
jmp @r1
add #-2,r6
fdl6478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6478: .long execexit
! Opcode B9FA
V9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6479
mov.l execexit_ptr6479,r1
jmp @r1
add #-2,r6
fdl6479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6479: .long execexit
! Opcode B9FB
V9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1085
exts.w r0,r0
longwd1085:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6480
mov.l execexit_ptr6480,r1
jmp @r1
add #-2,r6
fdl6480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6480: .long execexit
! Opcode B9FC
V9FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6481
mov.l execexit_ptr6481,r1
jmp @r1
add #-2,r6
fdl6481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6481: .long execexit
! Opcodes BA00 - BA07
VA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6482
mov.l execexit_ptr6482,r1
jmp @r1
add #-2,r6
fdl6482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6482: .long execexit
! Opcodes BA08 - BA0F
VA08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6483
mov.l execexit_ptr6483,r1
jmp @r1
add #-2,r6
fdl6483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6483: .long execexit
! Opcodes BA10 - BA17
VA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6484
mov.l execexit_ptr6484,r1
jmp @r1
add #-2,r6
fdl6484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6484: .long execexit
! Opcodes BA18 - BA1F
VA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6485
mov.l execexit_ptr6485,r1
jmp @r1
add #-2,r6
fdl6485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6485: .long execexit
! Opcodes BA20 - BA27
VA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6486
mov.l execexit_ptr6486,r1
jmp @r1
add #-2,r6
fdl6486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6486: .long execexit
! Opcodes BA28 - BA2F
VA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6487
mov.l execexit_ptr6487,r1
jmp @r1
add #-2,r6
fdl6487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6487: .long execexit
! Opcodes BA30 - BA37
VA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1086
exts.w r0,r0
longwd1086:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6488
mov.l execexit_ptr6488,r1
jmp @r1
add #-2,r6
fdl6488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6488: .long execexit
! Opcode BA38
VA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6489
mov.l execexit_ptr6489,r1
jmp @r1
add #-2,r6
fdl6489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6489: .long execexit
! Opcode BA39
VA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6490
mov.l execexit_ptr6490,r1
jmp @r1
add #-2,r6
fdl6490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6490: .long execexit
! Opcode BA3A
VA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6491
mov.l execexit_ptr6491,r1
jmp @r1
add #-2,r6
fdl6491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6491: .long execexit
! Opcode BA3B
VA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1087
exts.w r0,r0
longwd1087:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6492
mov.l execexit_ptr6492,r1
jmp @r1
add #-2,r6
fdl6492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6492: .long execexit
! Opcode BA3C
VA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6493
mov.l execexit_ptr6493,r1
jmp @r1
add #-2,r6
fdl6493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6493: .long execexit
! Opcodes BA40 - BA47
VA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6494
mov.l execexit_ptr6494,r1
jmp @r1
add #-2,r6
fdl6494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6494: .long execexit
! Opcodes BA48 - BA4F
VA48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6495
mov.l execexit_ptr6495,r1
jmp @r1
add #-2,r6
fdl6495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6495: .long execexit
! Opcodes BA50 - BA57
VA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6496
mov.l execexit_ptr6496,r1
jmp @r1
add #-2,r6
fdl6496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6496: .long execexit
! Opcodes BA58 - BA5F
VA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6497
mov.l execexit_ptr6497,r1
jmp @r1
add #-2,r6
fdl6497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6497: .long execexit
! Opcodes BA60 - BA67
VA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6498
mov.l execexit_ptr6498,r1
jmp @r1
add #-2,r6
fdl6498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6498: .long execexit
! Opcodes BA68 - BA6F
VA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6499
mov.l execexit_ptr6499,r1
jmp @r1
add #-2,r6
fdl6499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6499: .long execexit
! Opcodes BA70 - BA77
VA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1088
exts.w r0,r0
longwd1088:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6500
mov.l execexit_ptr6500,r1
jmp @r1
add #-2,r6
fdl6500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6500: .long execexit
! Opcode BA78
VA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6501
mov.l execexit_ptr6501,r1
jmp @r1
add #-2,r6
fdl6501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6501: .long execexit
! Opcode BA79
VA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6502
mov.l execexit_ptr6502,r1
jmp @r1
add #-2,r6
fdl6502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6502: .long execexit
! Opcode BA7A
VA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6503
mov.l execexit_ptr6503,r1
jmp @r1
add #-2,r6
fdl6503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6503: .long execexit
! Opcode BA7B
VA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1089
exts.w r0,r0
longwd1089:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6504
mov.l execexit_ptr6504,r1
jmp @r1
add #-2,r6
fdl6504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6504: .long execexit
! Opcode BA7C
VA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6505
mov.l execexit_ptr6505,r1
jmp @r1
add #-2,r6
fdl6505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6505: .long execexit
! Opcodes BA80 - BA87
VA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6506
mov.l execexit_ptr6506,r1
jmp @r1
add #-2,r6
fdl6506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6506: .long execexit
! Opcodes BA88 - BA8F
VA88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6507
mov.l execexit_ptr6507,r1
jmp @r1
add #-2,r6
fdl6507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6507: .long execexit
! Opcodes BA90 - BA97
VA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6508
mov.l execexit_ptr6508,r1
jmp @r1
add #-2,r6
fdl6508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6508: .long execexit
! Opcodes BA98 - BA9F
VA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6509
mov.l execexit_ptr6509,r1
jmp @r1
add #-2,r6
fdl6509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6509: .long execexit
! Opcodes BAA0 - BAA7
VAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6510
mov.l execexit_ptr6510,r1
jmp @r1
add #-2,r6
fdl6510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6510: .long execexit
! Opcodes BAA8 - BAAF
VAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6511
mov.l execexit_ptr6511,r1
jmp @r1
add #-2,r6
fdl6511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6511: .long execexit
! Opcodes BAB0 - BAB7
VAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1090
exts.w r0,r0
longwd1090:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6512
mov.l execexit_ptr6512,r1
jmp @r1
add #-2,r6
fdl6512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6512: .long execexit
! Opcode BAB8
VAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6513
mov.l execexit_ptr6513,r1
jmp @r1
add #-2,r6
fdl6513:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6513: .long execexit
! Opcode BAB9
VAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6514
mov.l execexit_ptr6514,r1
jmp @r1
add #-2,r6
fdl6514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6514: .long execexit
! Opcode BABA
VABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6515
mov.l execexit_ptr6515,r1
jmp @r1
add #-2,r6
fdl6515:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6515: .long execexit
! Opcode BABB
VABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1091
exts.w r0,r0
longwd1091:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6516
mov.l execexit_ptr6516,r1
jmp @r1
add #-2,r6
fdl6516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6516: .long execexit
! Opcode BABC
VABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6517
mov.l execexit_ptr6517,r1
jmp @r1
add #-2,r6
fdl6517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6517: .long execexit
! Opcodes BAC0 - BAC7
VAC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6518
mov.l execexit_ptr6518,r1
jmp @r1
add #-2,r6
fdl6518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6518: .long execexit
! Opcodes BAC8 - BACF
VAC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6519
mov.l execexit_ptr6519,r1
jmp @r1
add #-2,r6
fdl6519:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6519: .long execexit
! Opcodes BAD0 - BAD7
VAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6520
mov.l execexit_ptr6520,r1
jmp @r1
add #-2,r6
fdl6520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6520: .long execexit
! Opcodes BAD8 - BADF
VAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6521
mov.l execexit_ptr6521,r1
jmp @r1
add #-2,r6
fdl6521:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6521: .long execexit
! Opcodes BAE0 - BAE7
VAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6522
mov.l execexit_ptr6522,r1
jmp @r1
add #-2,r6
fdl6522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6522: .long execexit
! Opcodes BAE8 - BAEF
VAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6523
mov.l execexit_ptr6523,r1
jmp @r1
add #-2,r6
fdl6523:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6523: .long execexit
! Opcodes BAF0 - BAF7
VAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1092
exts.w r0,r0
longwd1092:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6524
mov.l execexit_ptr6524,r1
jmp @r1
add #-2,r6
fdl6524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6524: .long execexit
! Opcode BAF8
VAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6525
mov.l execexit_ptr6525,r1
jmp @r1
add #-2,r6
fdl6525:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6525: .long execexit
! Opcode BAF9
VAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6526
mov.l execexit_ptr6526,r1
jmp @r1
add #-2,r6
fdl6526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6526: .long execexit
! Opcode BAFA
VAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6527
mov.l execexit_ptr6527,r1
jmp @r1
add #-2,r6
fdl6527:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6527: .long execexit
! Opcode BAFB
VAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1093
exts.w r0,r0
longwd1093:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6528
mov.l execexit_ptr6528,r1
jmp @r1
add #-2,r6
fdl6528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6528: .long execexit
! Opcode BAFC
VAFC:
mov.w @r6+,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6529
mov.l execexit_ptr6529,r1
jmp @r1
add #-2,r6
fdl6529:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6529: .long execexit
! Opcodes BB00 - BB07
VB00:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6530
mov.l execexit_ptr6530,r1
jmp @r1
add #-2,r6
fdl6530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6530: .long execexit
! Opcodes BB08 - BB0F
VB08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(52,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6531
mov.l execexit_ptr6531,r1
jmp @r1
add #-2,r6
fdl6531:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6531: .long execexit
! Opcodes BB10 - BB17
VB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6532
mov.l execexit_ptr6532,r1
jmp @r1
add #-2,r6
fdl6532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6532: .long execexit
! Opcodes BB18 - BB1F
VB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6533
mov.l execexit_ptr6533,r1
jmp @r1
add #-2,r6
fdl6533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6533: .long execexit
! Opcodes BB20 - BB27
VB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6534
mov.l execexit_ptr6534,r1
jmp @r1
add #-2,r6
fdl6534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6534: .long execexit
! Opcodes BB28 - BB2F
VB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6535
mov.l execexit_ptr6535,r1
jmp @r1
add #-2,r6
fdl6535:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6535: .long execexit
! Opcodes BB30 - BB37
VB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1094
exts.w r0,r0
longwd1094:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6536
mov.l execexit_ptr6536,r1
jmp @r1
add #-2,r6
fdl6536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6536: .long execexit
! Opcode BB38
VB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6537
mov.l execexit_ptr6537,r1
jmp @r1
add #-2,r6
fdl6537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6537: .long execexit
! Opcode BB39
VB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6538
mov.l execexit_ptr6538,r1
jmp @r1
add #-2,r6
fdl6538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6538: .long execexit
! Opcodes BB40 - BB47
VB40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6539
mov.l execexit_ptr6539,r1
jmp @r1
add #-2,r6
fdl6539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6539: .long execexit
! Opcodes BB48 - BB4F
VB48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(52,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6540
mov.l execexit_ptr6540,r1
jmp @r1
add #-2,r6
fdl6540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6540: .long execexit
! Opcodes BB50 - BB57
VB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6541
mov.l execexit_ptr6541,r1
jmp @r1
add #-2,r6
fdl6541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6541: .long execexit
! Opcodes BB58 - BB5F
VB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6542
mov.l execexit_ptr6542,r1
jmp @r1
add #-2,r6
fdl6542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6542: .long execexit
! Opcodes BB60 - BB67
VB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6543
mov.l execexit_ptr6543,r1
jmp @r1
add #-2,r6
fdl6543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6543: .long execexit
! Opcodes BB68 - BB6F
VB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6544
mov.l execexit_ptr6544,r1
jmp @r1
add #-2,r6
fdl6544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6544: .long execexit
! Opcodes BB70 - BB77
VB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1095
exts.w r0,r0
longwd1095:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6545
mov.l execexit_ptr6545,r1
jmp @r1
add #-2,r6
fdl6545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6545: .long execexit
! Opcode BB78
VB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6546
mov.l execexit_ptr6546,r1
jmp @r1
add #-2,r6
fdl6546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6546: .long execexit
! Opcode BB79
VB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6547
mov.l execexit_ptr6547,r1
jmp @r1
add #-2,r6
fdl6547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6547: .long execexit
! Opcodes BB80 - BB87
VB80:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(20,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6548
mov.l execexit_ptr6548,r1
jmp @r1
add #-2,r6
fdl6548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6548: .long execexit
! Opcodes BB88 - BB8F
VB88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(52,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(52,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6549
mov.l execexit_ptr6549,r1
jmp @r1
add #-2,r6
fdl6549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6549: .long execexit
! Opcodes BB90 - BB97
VB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6550
mov.l execexit_ptr6550,r1
jmp @r1
add #-2,r6
fdl6550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6550: .long execexit
! Opcodes BB98 - BB9F
VB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6551
mov.l execexit_ptr6551,r1
jmp @r1
add #-2,r6
fdl6551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6551: .long execexit
! Opcodes BBA0 - BBA7
VBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6552
mov.l execexit_ptr6552,r1
jmp @r1
add #-2,r6
fdl6552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6552: .long execexit
! Opcodes BBA8 - BBAF
VBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6553
mov.l execexit_ptr6553,r1
jmp @r1
add #-2,r6
fdl6553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6553: .long execexit
! Opcodes BBB0 - BBB7
VBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1096
exts.w r0,r0
longwd1096:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6554
mov.l execexit_ptr6554,r1
jmp @r1
add #-2,r6
fdl6554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6554: .long execexit
! Opcode BBB8
VBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6555
mov.l execexit_ptr6555,r1
jmp @r1
add #-2,r6
fdl6555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6555: .long execexit
! Opcode BBB9
VBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6556
mov.l execexit_ptr6556,r1
jmp @r1
add #-2,r6
fdl6556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6556: .long execexit
! Opcodes BBC0 - BBC7
VBC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6557
mov.l execexit_ptr6557,r1
jmp @r1
add #-2,r6
fdl6557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6557: .long execexit
! Opcodes BBC8 - BBCF
VBC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6558
mov.l execexit_ptr6558,r1
jmp @r1
add #-2,r6
fdl6558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6558: .long execexit
! Opcodes BBD0 - BBD7
VBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6559
mov.l execexit_ptr6559,r1
jmp @r1
add #-2,r6
fdl6559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6559: .long execexit
! Opcodes BBD8 - BBDF
VBD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6560
mov.l execexit_ptr6560,r1
jmp @r1
add #-2,r6
fdl6560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6560: .long execexit
! Opcodes BBE0 - BBE7
VBE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6561
mov.l execexit_ptr6561,r1
jmp @r1
add #-2,r6
fdl6561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6561: .long execexit
! Opcodes BBE8 - BBEF
VBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6562
mov.l execexit_ptr6562,r1
jmp @r1
add #-2,r6
fdl6562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6562: .long execexit
! Opcodes BBF0 - BBF7
VBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1097
exts.w r0,r0
longwd1097:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6563
mov.l execexit_ptr6563,r1
jmp @r1
add #-2,r6
fdl6563:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6563: .long execexit
! Opcode BBF8
VBF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6564
mov.l execexit_ptr6564,r1
jmp @r1
add #-2,r6
fdl6564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6564: .long execexit
! Opcode BBF9
VBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6565
mov.l execexit_ptr6565,r1
jmp @r1
add #-2,r6
fdl6565:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6565: .long execexit
! Opcode BBFA
VBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6566
mov.l execexit_ptr6566,r1
jmp @r1
add #-2,r6
fdl6566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6566: .long execexit
! Opcode BBFB
VBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1098
exts.w r0,r0
longwd1098:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6567
mov.l execexit_ptr6567,r1
jmp @r1
add #-2,r6
fdl6567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6567: .long execexit
! Opcode BBFC
VBFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6568
mov.l execexit_ptr6568,r1
jmp @r1
add #-2,r6
fdl6568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6568: .long execexit
! Opcodes BC00 - BC07
VC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6569
mov.l execexit_ptr6569,r1
jmp @r1
add #-2,r6
fdl6569:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6569: .long execexit
! Opcodes BC08 - BC0F
VC08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6570
mov.l execexit_ptr6570,r1
jmp @r1
add #-2,r6
fdl6570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6570: .long execexit
! Opcodes BC10 - BC17
VC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6571
mov.l execexit_ptr6571,r1
jmp @r1
add #-2,r6
fdl6571:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6571: .long execexit
! Opcodes BC18 - BC1F
VC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6572
mov.l execexit_ptr6572,r1
jmp @r1
add #-2,r6
fdl6572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6572: .long execexit
! Opcodes BC20 - BC27
VC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6573
mov.l execexit_ptr6573,r1
jmp @r1
add #-2,r6
fdl6573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6573: .long execexit
! Opcodes BC28 - BC2F
VC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6574
mov.l execexit_ptr6574,r1
jmp @r1
add #-2,r6
fdl6574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6574: .long execexit
! Opcodes BC30 - BC37
VC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1099
exts.w r0,r0
longwd1099:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6575
mov.l execexit_ptr6575,r1
jmp @r1
add #-2,r6
fdl6575:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6575: .long execexit
! Opcode BC38
VC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6576
mov.l execexit_ptr6576,r1
jmp @r1
add #-2,r6
fdl6576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6576: .long execexit
! Opcode BC39
VC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6577
mov.l execexit_ptr6577,r1
jmp @r1
add #-2,r6
fdl6577:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6577: .long execexit
! Opcode BC3A
VC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6578
mov.l execexit_ptr6578,r1
jmp @r1
add #-2,r6
fdl6578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6578: .long execexit
! Opcode BC3B
VC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1100
exts.w r0,r0
longwd1100:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6579
mov.l execexit_ptr6579,r1
jmp @r1
add #-2,r6
fdl6579:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6579: .long execexit
! Opcode BC3C
VC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6580
mov.l execexit_ptr6580,r1
jmp @r1
add #-2,r6
fdl6580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6580: .long execexit
! Opcodes BC40 - BC47
VC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6581
mov.l execexit_ptr6581,r1
jmp @r1
add #-2,r6
fdl6581:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6581: .long execexit
! Opcodes BC48 - BC4F
VC48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6582
mov.l execexit_ptr6582,r1
jmp @r1
add #-2,r6
fdl6582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6582: .long execexit
! Opcodes BC50 - BC57
VC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6583
mov.l execexit_ptr6583,r1
jmp @r1
add #-2,r6
fdl6583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6583: .long execexit
! Opcodes BC58 - BC5F
VC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6584
mov.l execexit_ptr6584,r1
jmp @r1
add #-2,r6
fdl6584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6584: .long execexit
! Opcodes BC60 - BC67
VC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6585
mov.l execexit_ptr6585,r1
jmp @r1
add #-2,r6
fdl6585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6585: .long execexit
! Opcodes BC68 - BC6F
VC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6586
mov.l execexit_ptr6586,r1
jmp @r1
add #-2,r6
fdl6586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6586: .long execexit
! Opcodes BC70 - BC77
VC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1101
exts.w r0,r0
longwd1101:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6587
mov.l execexit_ptr6587,r1
jmp @r1
add #-2,r6
fdl6587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6587: .long execexit
! Opcode BC78
VC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6588
mov.l execexit_ptr6588,r1
jmp @r1
add #-2,r6
fdl6588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6588: .long execexit
! Opcode BC79
VC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6589
mov.l execexit_ptr6589,r1
jmp @r1
add #-2,r6
fdl6589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6589: .long execexit
! Opcode BC7A
VC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6590
mov.l execexit_ptr6590,r1
jmp @r1
add #-2,r6
fdl6590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6590: .long execexit
! Opcode BC7B
VC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1102
exts.w r0,r0
longwd1102:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6591
mov.l execexit_ptr6591,r1
jmp @r1
add #-2,r6
fdl6591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6591: .long execexit
! Opcode BC7C
VC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6592
mov.l execexit_ptr6592,r1
jmp @r1
add #-2,r6
fdl6592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6592: .long execexit
! Opcodes BC80 - BC87
VC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6593
mov.l execexit_ptr6593,r1
jmp @r1
add #-2,r6
fdl6593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6593: .long execexit
! Opcodes BC88 - BC8F
VC88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6594
mov.l execexit_ptr6594,r1
jmp @r1
add #-2,r6
fdl6594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6594: .long execexit
! Opcodes BC90 - BC97
VC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6595
mov.l execexit_ptr6595,r1
jmp @r1
add #-2,r6
fdl6595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6595: .long execexit
! Opcodes BC98 - BC9F
VC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6596
mov.l execexit_ptr6596,r1
jmp @r1
add #-2,r6
fdl6596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6596: .long execexit
! Opcodes BCA0 - BCA7
VCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6597
mov.l execexit_ptr6597,r1
jmp @r1
add #-2,r6
fdl6597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6597: .long execexit
! Opcodes BCA8 - BCAF
VCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6598
mov.l execexit_ptr6598,r1
jmp @r1
add #-2,r6
fdl6598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6598: .long execexit
! Opcodes BCB0 - BCB7
VCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1103
exts.w r0,r0
longwd1103:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6599
mov.l execexit_ptr6599,r1
jmp @r1
add #-2,r6
fdl6599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6599: .long execexit
! Opcode BCB8
VCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6600
mov.l execexit_ptr6600,r1
jmp @r1
add #-2,r6
fdl6600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6600: .long execexit
! Opcode BCB9
VCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6601
mov.l execexit_ptr6601,r1
jmp @r1
add #-2,r6
fdl6601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6601: .long execexit
! Opcode BCBA
VCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6602
mov.l execexit_ptr6602,r1
jmp @r1
add #-2,r6
fdl6602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6602: .long execexit
! Opcode BCBB
VCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1104
exts.w r0,r0
longwd1104:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6603
mov.l execexit_ptr6603,r1
jmp @r1
add #-2,r6
fdl6603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6603: .long execexit
! Opcode BCBC
VCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6604
mov.l execexit_ptr6604,r1
jmp @r1
add #-2,r6
fdl6604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6604: .long execexit
! Opcodes BCC0 - BCC7
VCC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6605
mov.l execexit_ptr6605,r1
jmp @r1
add #-2,r6
fdl6605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6605: .long execexit
! Opcodes BCC8 - BCCF
VCC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6606
mov.l execexit_ptr6606,r1
jmp @r1
add #-2,r6
fdl6606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6606: .long execexit
! Opcodes BCD0 - BCD7
VCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6607
mov.l execexit_ptr6607,r1
jmp @r1
add #-2,r6
fdl6607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6607: .long execexit
! Opcodes BCD8 - BCDF
VCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6608
mov.l execexit_ptr6608,r1
jmp @r1
add #-2,r6
fdl6608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6608: .long execexit
! Opcodes BCE0 - BCE7
VCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6609
mov.l execexit_ptr6609,r1
jmp @r1
add #-2,r6
fdl6609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6609: .long execexit
! Opcodes BCE8 - BCEF
VCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6610
mov.l execexit_ptr6610,r1
jmp @r1
add #-2,r6
fdl6610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6610: .long execexit
! Opcodes BCF0 - BCF7
VCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1105
exts.w r0,r0
longwd1105:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6611
mov.l execexit_ptr6611,r1
jmp @r1
add #-2,r6
fdl6611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6611: .long execexit
! Opcode BCF8
VCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6612
mov.l execexit_ptr6612,r1
jmp @r1
add #-2,r6
fdl6612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6612: .long execexit
! Opcode BCF9
VCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6613
mov.l execexit_ptr6613,r1
jmp @r1
add #-2,r6
fdl6613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6613: .long execexit
! Opcode BCFA
VCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6614
mov.l execexit_ptr6614,r1
jmp @r1
add #-2,r6
fdl6614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6614: .long execexit
! Opcode BCFB
VCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1106
exts.w r0,r0
longwd1106:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6615
mov.l execexit_ptr6615,r1
jmp @r1
add #-2,r6
fdl6615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6615: .long execexit
! Opcode BCFC
VCFC:
mov.w @r6+,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6616
mov.l execexit_ptr6616,r1
jmp @r1
add #-2,r6
fdl6616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6616: .long execexit
! Opcodes BD00 - BD07
VD00:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6617
mov.l execexit_ptr6617,r1
jmp @r1
add #-2,r6
fdl6617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6617: .long execexit
! Opcodes BD08 - BD0F
VD08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #1,r4
mov.l r4,@(56,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6618
mov.l execexit_ptr6618,r1
jmp @r1
add #-2,r6
fdl6618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6618: .long execexit
! Opcodes BD10 - BD17
VD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6619
mov.l execexit_ptr6619,r1
jmp @r1
add #-2,r6
fdl6619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6619: .long execexit
! Opcodes BD18 - BD1F
VD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6620
mov.l execexit_ptr6620,r1
jmp @r1
add #-2,r6
fdl6620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6620: .long execexit
! Opcodes BD20 - BD27
VD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6621
mov.l execexit_ptr6621,r1
jmp @r1
add #-2,r6
fdl6621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6621: .long execexit
! Opcodes BD28 - BD2F
VD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6622
mov.l execexit_ptr6622,r1
jmp @r1
add #-2,r6
fdl6622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6622: .long execexit
! Opcodes BD30 - BD37
VD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1107
exts.w r0,r0
longwd1107:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6623
mov.l execexit_ptr6623,r1
jmp @r1
add #-2,r6
fdl6623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6623: .long execexit
! Opcode BD38
VD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6624
mov.l execexit_ptr6624,r1
jmp @r1
add #-2,r6
fdl6624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6624: .long execexit
! Opcode BD39
VD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6625
mov.l execexit_ptr6625,r1
jmp @r1
add #-2,r6
fdl6625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6625: .long execexit
! Opcodes BD40 - BD47
VD40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6626
mov.l execexit_ptr6626,r1
jmp @r1
add #-2,r6
fdl6626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6626: .long execexit
! Opcodes BD48 - BD4F
VD48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(56,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6627
mov.l execexit_ptr6627,r1
jmp @r1
add #-2,r6
fdl6627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6627: .long execexit
! Opcodes BD50 - BD57
VD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6628
mov.l execexit_ptr6628,r1
jmp @r1
add #-2,r6
fdl6628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6628: .long execexit
! Opcodes BD58 - BD5F
VD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6629
mov.l execexit_ptr6629,r1
jmp @r1
add #-2,r6
fdl6629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6629: .long execexit
! Opcodes BD60 - BD67
VD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6630
mov.l execexit_ptr6630,r1
jmp @r1
add #-2,r6
fdl6630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6630: .long execexit
! Opcodes BD68 - BD6F
VD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6631
mov.l execexit_ptr6631,r1
jmp @r1
add #-2,r6
fdl6631:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6631: .long execexit
! Opcodes BD70 - BD77
VD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1108
exts.w r0,r0
longwd1108:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6632
mov.l execexit_ptr6632,r1
jmp @r1
add #-2,r6
fdl6632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6632: .long execexit
! Opcode BD78
VD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6633
mov.l execexit_ptr6633,r1
jmp @r1
add #-2,r6
fdl6633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6633: .long execexit
! Opcode BD79
VD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6634
mov.l execexit_ptr6634,r1
jmp @r1
add #-2,r6
fdl6634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6634: .long execexit
! Opcodes BD80 - BD87
VD80:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(24,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6635
mov.l execexit_ptr6635,r1
jmp @r1
add #-2,r6
fdl6635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6635: .long execexit
! Opcodes BD88 - BD8F
VD88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(56,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(56,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6636
mov.l execexit_ptr6636,r1
jmp @r1
add #-2,r6
fdl6636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6636: .long execexit
! Opcodes BD90 - BD97
VD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6637
mov.l execexit_ptr6637,r1
jmp @r1
add #-2,r6
fdl6637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6637: .long execexit
! Opcodes BD98 - BD9F
VD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6638
mov.l execexit_ptr6638,r1
jmp @r1
add #-2,r6
fdl6638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6638: .long execexit
! Opcodes BDA0 - BDA7
VDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6639
mov.l execexit_ptr6639,r1
jmp @r1
add #-2,r6
fdl6639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6639: .long execexit
! Opcodes BDA8 - BDAF
VDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6640
mov.l execexit_ptr6640,r1
jmp @r1
add #-2,r6
fdl6640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6640: .long execexit
! Opcodes BDB0 - BDB7
VDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1109
exts.w r0,r0
longwd1109:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6641
mov.l execexit_ptr6641,r1
jmp @r1
add #-2,r6
fdl6641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6641: .long execexit
! Opcode BDB8
VDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6642
mov.l execexit_ptr6642,r1
jmp @r1
add #-2,r6
fdl6642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6642: .long execexit
! Opcode BDB9
VDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6643
mov.l execexit_ptr6643,r1
jmp @r1
add #-2,r6
fdl6643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6643: .long execexit
! Opcodes BDC0 - BDC7
VDC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6644
mov.l execexit_ptr6644,r1
jmp @r1
add #-2,r6
fdl6644:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6644: .long execexit
! Opcodes BDC8 - BDCF
VDC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6645
mov.l execexit_ptr6645,r1
jmp @r1
add #-2,r6
fdl6645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6645: .long execexit
! Opcodes BDD0 - BDD7
VDD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6646
mov.l execexit_ptr6646,r1
jmp @r1
add #-2,r6
fdl6646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6646: .long execexit
! Opcodes BDD8 - BDDF
VDD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6647
mov.l execexit_ptr6647,r1
jmp @r1
add #-2,r6
fdl6647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6647: .long execexit
! Opcodes BDE0 - BDE7
VDE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6648
mov.l execexit_ptr6648,r1
jmp @r1
add #-2,r6
fdl6648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6648: .long execexit
! Opcodes BDE8 - BDEF
VDE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6649
mov.l execexit_ptr6649,r1
jmp @r1
add #-2,r6
fdl6649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6649: .long execexit
! Opcodes BDF0 - BDF7
VDF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1110
exts.w r0,r0
longwd1110:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6650
mov.l execexit_ptr6650,r1
jmp @r1
add #-2,r6
fdl6650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6650: .long execexit
! Opcode BDF8
VDF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6651
mov.l execexit_ptr6651,r1
jmp @r1
add #-2,r6
fdl6651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6651: .long execexit
! Opcode BDF9
VDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6652
mov.l execexit_ptr6652,r1
jmp @r1
add #-2,r6
fdl6652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6652: .long execexit
! Opcode BDFA
VDFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6653
mov.l execexit_ptr6653,r1
jmp @r1
add #-2,r6
fdl6653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6653: .long execexit
! Opcode BDFB
VDFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1111
exts.w r0,r0
longwd1111:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6654
mov.l execexit_ptr6654,r1
jmp @r1
add #-2,r6
fdl6654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6654: .long execexit
! Opcode BDFC
VDFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6655
mov.l execexit_ptr6655,r1
jmp @r1
add #-2,r6
fdl6655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6655: .long execexit
! Opcodes BE00 - BE07
VE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6656
mov.l execexit_ptr6656,r1
jmp @r1
add #-2,r6
fdl6656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6656: .long execexit
! Opcodes BE08 - BE0F
VE08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6657
mov.l execexit_ptr6657,r1
jmp @r1
add #-2,r6
fdl6657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6657: .long execexit
! Opcodes BE10 - BE17
VE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6658
mov.l execexit_ptr6658,r1
jmp @r1
add #-2,r6
fdl6658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6658: .long execexit
! Opcodes BE18 - BE1F
VE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6659
mov.l execexit_ptr6659,r1
jmp @r1
add #-2,r6
fdl6659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6659: .long execexit
! Opcodes BE20 - BE27
VE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6660
mov.l execexit_ptr6660,r1
jmp @r1
add #-2,r6
fdl6660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6660: .long execexit
! Opcodes BE28 - BE2F
VE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6661
mov.l execexit_ptr6661,r1
jmp @r1
add #-2,r6
fdl6661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6661: .long execexit
! Opcodes BE30 - BE37
VE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1112
exts.w r0,r0
longwd1112:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6662
mov.l execexit_ptr6662,r1
jmp @r1
add #-2,r6
fdl6662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6662: .long execexit
! Opcode BE38
VE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6663
mov.l execexit_ptr6663,r1
jmp @r1
add #-2,r6
fdl6663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6663: .long execexit
! Opcode BE39
VE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6664
mov.l execexit_ptr6664,r1
jmp @r1
add #-2,r6
fdl6664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6664: .long execexit
! Opcode BE3A
VE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6665
mov.l execexit_ptr6665,r1
jmp @r1
add #-2,r6
fdl6665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6665: .long execexit
! Opcode BE3B
VE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1113
exts.w r0,r0
longwd1113:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6666
mov.l execexit_ptr6666,r1
jmp @r1
add #-2,r6
fdl6666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6666: .long execexit
! Opcode BE3C
VE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-24,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6667
mov.l execexit_ptr6667,r1
jmp @r1
add #-2,r6
fdl6667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6667: .long execexit
! Opcodes BE40 - BE47
VE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6668
mov.l execexit_ptr6668,r1
jmp @r1
add #-2,r6
fdl6668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6668: .long execexit
! Opcodes BE48 - BE4F
VE48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6669
mov.l execexit_ptr6669,r1
jmp @r1
add #-2,r6
fdl6669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6669: .long execexit
! Opcodes BE50 - BE57
VE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6670
mov.l execexit_ptr6670,r1
jmp @r1
add #-2,r6
fdl6670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6670: .long execexit
! Opcodes BE58 - BE5F
VE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6671
mov.l execexit_ptr6671,r1
jmp @r1
add #-2,r6
fdl6671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6671: .long execexit
! Opcodes BE60 - BE67
VE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6672
mov.l execexit_ptr6672,r1
jmp @r1
add #-2,r6
fdl6672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6672: .long execexit
! Opcodes BE68 - BE6F
VE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6673
mov.l execexit_ptr6673,r1
jmp @r1
add #-2,r6
fdl6673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6673: .long execexit
! Opcodes BE70 - BE77
VE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1114
exts.w r0,r0
longwd1114:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6674
mov.l execexit_ptr6674,r1
jmp @r1
add #-2,r6
fdl6674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6674: .long execexit
! Opcode BE78
VE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6675
mov.l execexit_ptr6675,r1
jmp @r1
add #-2,r6
fdl6675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6675: .long execexit
! Opcode BE79
VE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6676
mov.l execexit_ptr6676,r1
jmp @r1
add #-2,r6
fdl6676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6676: .long execexit
! Opcode BE7A
VE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6677
mov.l execexit_ptr6677,r1
jmp @r1
add #-2,r6
fdl6677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6677: .long execexit
! Opcode BE7B
VE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1115
exts.w r0,r0
longwd1115:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6678
mov.l execexit_ptr6678,r1
jmp @r1
add #-2,r6
fdl6678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6678: .long execexit
! Opcode BE7C
VE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
mov #-16,r0
shad r0,r1
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6679
mov.l execexit_ptr6679,r1
jmp @r1
add #-2,r6
fdl6679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6679: .long execexit
! Opcodes BE80 - BE87
VE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6680
mov.l execexit_ptr6680,r1
jmp @r1
add #-2,r6
fdl6680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6680: .long execexit
! Opcodes BE88 - BE8F
VE88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6681
mov.l execexit_ptr6681,r1
jmp @r1
add #-2,r6
fdl6681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6681: .long execexit
! Opcodes BE90 - BE97
VE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6682
mov.l execexit_ptr6682,r1
jmp @r1
add #-2,r6
fdl6682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6682: .long execexit
! Opcodes BE98 - BE9F
VE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6683
mov.l execexit_ptr6683,r1
jmp @r1
add #-2,r6
fdl6683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6683: .long execexit
! Opcodes BEA0 - BEA7
VEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6684
mov.l execexit_ptr6684,r1
jmp @r1
add #-2,r6
fdl6684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6684: .long execexit
! Opcodes BEA8 - BEAF
VEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6685
mov.l execexit_ptr6685,r1
jmp @r1
add #-2,r6
fdl6685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6685: .long execexit
! Opcodes BEB0 - BEB7
VEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1116
exts.w r0,r0
longwd1116:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6686
mov.l execexit_ptr6686,r1
jmp @r1
add #-2,r6
fdl6686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6686: .long execexit
! Opcode BEB8
VEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6687
mov.l execexit_ptr6687,r1
jmp @r1
add #-2,r6
fdl6687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6687: .long execexit
! Opcode BEB9
VEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6688
mov.l execexit_ptr6688,r1
jmp @r1
add #-2,r6
fdl6688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6688: .long execexit
! Opcode BEBA
VEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6689
mov.l execexit_ptr6689,r1
jmp @r1
add #-2,r6
fdl6689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6689: .long execexit
! Opcode BEBB
VEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1117
exts.w r0,r0
longwd1117:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6690
mov.l execexit_ptr6690,r1
jmp @r1
add #-2,r6
fdl6690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6690: .long execexit
! Opcode BEBC
VEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
subv r3,r0
movt r8
clrt
subc r3,r1
addc r8,r8
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6691
mov.l execexit_ptr6691,r1
jmp @r1
add #-2,r6
fdl6691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6691: .long execexit
! Opcodes BEC0 - BEC7
VEC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6692
mov.l execexit_ptr6692,r1
jmp @r1
add #-2,r6
fdl6692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6692: .long execexit
! Opcodes BEC8 - BECF
VEC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6693
mov.l execexit_ptr6693,r1
jmp @r1
add #-2,r6
fdl6693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6693: .long execexit
! Opcodes BED0 - BED7
VED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6694
mov.l execexit_ptr6694,r1
jmp @r1
add #-2,r6
fdl6694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6694: .long execexit
! Opcodes BED8 - BEDF
VED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6695
mov.l execexit_ptr6695,r1
jmp @r1
add #-2,r6
fdl6695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6695: .long execexit
! Opcodes BEE0 - BEE7
VEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6696
mov.l execexit_ptr6696,r1
jmp @r1
add #-2,r6
fdl6696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6696: .long execexit
! Opcodes BEE8 - BEEF
VEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6697
mov.l execexit_ptr6697,r1
jmp @r1
add #-2,r6
fdl6697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6697: .long execexit
! Opcodes BEF0 - BEF7
VEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1118
exts.w r0,r0
longwd1118:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6698
mov.l execexit_ptr6698,r1
jmp @r1
add #-2,r6
fdl6698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6698: .long execexit
! Opcode BEF8
VEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6699
mov.l execexit_ptr6699,r1
jmp @r1
add #-2,r6
fdl6699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6699: .long execexit
! Opcode BEF9
VEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6700
mov.l execexit_ptr6700,r1
jmp @r1
add #-2,r6
fdl6700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6700: .long execexit
! Opcode BEFA
VEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6701
mov.l execexit_ptr6701,r1
jmp @r1
add #-2,r6
fdl6701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6701: .long execexit
! Opcode BEFB
VEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1119
exts.w r0,r0
longwd1119:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6702
mov.l execexit_ptr6702,r1
jmp @r1
add #-2,r6
fdl6702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6702: .long execexit
! Opcode BEFC
VEFC:
mov.w @r6+,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6703
mov.l execexit_ptr6703,r1
jmp @r1
add #-2,r6
fdl6703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6703: .long execexit
! Opcodes BF00 - BF07
VF00:
and r1,r2
mov r2,r0
mov.b @(r0,r13),r3
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.b r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6704
mov.l execexit_ptr6704,r1
jmp @r1
add #-2,r6
fdl6704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6704: .long execexit
! Opcodes BF08 - BF0F
VF08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
mov #24,r0
shld r0,r2
shld r0,r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-24,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6705
mov.l execexit_ptr6705,r1
jmp @r1
add #-2,r6
fdl6705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6705: .long execexit
! Opcodes BF10 - BF17
VF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6706
mov.l execexit_ptr6706,r1
jmp @r1
add #-2,r6
fdl6706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6706: .long execexit
! Opcodes BF18 - BF1F
VF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6707
mov.l execexit_ptr6707,r1
jmp @r1
add #-2,r6
fdl6707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6707: .long execexit
! Opcodes BF20 - BF27
VF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6708
mov.l execexit_ptr6708,r1
jmp @r1
add #-2,r6
fdl6708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6708: .long execexit
! Opcodes BF28 - BF2F
VF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6709
mov.l execexit_ptr6709,r1
jmp @r1
add #-2,r6
fdl6709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6709: .long execexit
! Opcodes BF30 - BF37
VF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1120
exts.w r0,r0
longwd1120:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6710
mov.l execexit_ptr6710,r1
jmp @r1
add #-2,r6
fdl6710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6710: .long execexit
! Opcode BF38
VF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6711
mov.l execexit_ptr6711,r1
jmp @r1
add #-2,r6
fdl6711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6711: .long execexit
! Opcode BF39
VF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
xor r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6712
mov.l execexit_ptr6712,r1
jmp @r1
add #-2,r6
fdl6712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6712: .long execexit
! Opcodes BF40 - BF47
VF40:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov r2,r0
mov.w r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6713
mov.l execexit_ptr6713,r1
jmp @r1
add #-2,r6
fdl6713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6713: .long execexit
! Opcodes BF48 - BF4F
VF48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov.l r4,@(60,r13)
shll16 r2
shll16 r3
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
mov #-16,r0
shad r0,r3
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6714
mov.l execexit_ptr6714,r1
jmp @r1
add #-2,r6
fdl6714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6714: .long execexit
! Opcodes BF50 - BF57
VF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6715
mov.l execexit_ptr6715,r1
jmp @r1
add #-2,r6
fdl6715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6715: .long execexit
! Opcodes BF58 - BF5F
VF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6716
mov.l execexit_ptr6716,r1
jmp @r1
add #-2,r6
fdl6716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6716: .long execexit
! Opcodes BF60 - BF67
VF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6717
mov.l execexit_ptr6717,r1
jmp @r1
add #-2,r6
fdl6717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6717: .long execexit
! Opcodes BF68 - BF6F
VF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6718
mov.l execexit_ptr6718,r1
jmp @r1
add #-2,r6
fdl6718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6718: .long execexit
! Opcodes BF70 - BF77
VF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1121
exts.w r0,r0
longwd1121:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6719
mov.l execexit_ptr6719,r1
jmp @r1
add #-2,r6
fdl6719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6719: .long execexit
! Opcode BF78
VF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6720
mov.l execexit_ptr6720,r1
jmp @r1
add #-2,r6
fdl6720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6720: .long execexit
! Opcode BF79
VF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
xor r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6721
mov.l execexit_ptr6721,r1
jmp @r1
add #-2,r6
fdl6721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6721: .long execexit
! Opcodes BF80 - BF87
VF80:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(28,r13),r1
xor r1,r3
mov r2,r0
mov.l r3,@(r0,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6722
mov.l execexit_ptr6722,r1
jmp @r1
add #-2,r6
fdl6722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6722: .long execexit
! Opcodes BF88 - BF8F
VF88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r2
mov.l @(60,r13),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov.l r4,@(60,r13)
mov r3,r0
subv r2,r0
movt r8
clrt
subc r2,r3
addc r8,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6723
mov.l execexit_ptr6723,r1
jmp @r1
add #-2,r6
fdl6723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6723: .long execexit
! Opcodes BF90 - BF97
VF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6724
mov.l execexit_ptr6724,r1
jmp @r1
add #-2,r6
fdl6724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6724: .long execexit
! Opcodes BF98 - BF9F
VF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6725
mov.l execexit_ptr6725,r1
jmp @r1
add #-2,r6
fdl6725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6725: .long execexit
! Opcodes BFA0 - BFA7
VFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6726
mov.l execexit_ptr6726,r1
jmp @r1
add #-2,r6
fdl6726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6726: .long execexit
! Opcodes BFA8 - BFAF
VFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6727
mov.l execexit_ptr6727,r1
jmp @r1
add #-2,r6
fdl6727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6727: .long execexit
! Opcodes BFB0 - BFB7
VFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1122
exts.w r0,r0
longwd1122:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6728
mov.l execexit_ptr6728,r1
jmp @r1
add #-2,r6
fdl6728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6728: .long execexit
! Opcode BFB8
VFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6729
mov.l execexit_ptr6729,r1
jmp @r1
add #-2,r6
fdl6729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6729: .long execexit
! Opcode BFB9
VFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
xor r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6730
mov.l execexit_ptr6730,r1
jmp @r1
add #-2,r6
fdl6730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6730: .long execexit
! Opcodes BFC0 - BFC7
VFC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6731
mov.l execexit_ptr6731,r1
jmp @r1
add #-2,r6
fdl6731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6731: .long execexit
! Opcodes BFC8 - BFCF
VFC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6732
mov.l execexit_ptr6732,r1
jmp @r1
add #-2,r6
fdl6732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6732: .long execexit
! Opcodes BFD0 - BFD7
VFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6733
mov.l execexit_ptr6733,r1
jmp @r1
add #-2,r6
fdl6733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6733: .long execexit
! Opcodes BFD8 - BFDF
VFD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6734
mov.l execexit_ptr6734,r1
jmp @r1
add #-2,r6
fdl6734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6734: .long execexit
! Opcodes BFE0 - BFE7
VFE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6735
mov.l execexit_ptr6735,r1
jmp @r1
add #-2,r6
fdl6735:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6735: .long execexit
! Opcodes BFE8 - BFEF
VFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6736
mov.l execexit_ptr6736,r1
jmp @r1
add #-2,r6
fdl6736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6736: .long execexit
! Opcodes BFF0 - BFF7
VFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1123
exts.w r0,r0
longwd1123:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6737
mov.l execexit_ptr6737,r1
jmp @r1
add #-2,r6
fdl6737:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6737: .long execexit
! Opcode BFF8
VFF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6738
mov.l execexit_ptr6738,r1
jmp @r1
add #-2,r6
fdl6738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6738: .long execexit
! Opcode BFF9
VFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6739
mov.l execexit_ptr6739,r1
jmp @r1
add #-2,r6
fdl6739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6739: .long execexit
! Opcode BFFA
VFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6740
mov.l execexit_ptr6740,r1
jmp @r1
add #-2,r6
fdl6740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6740: .long execexit
! Opcode BFFB
VFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1124
exts.w r0,r0
longwd1124:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6741
mov.l execexit_ptr6741,r1
jmp @r1
add #-2,r6
fdl6741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6741: .long execexit
! Opcode BFFC
VFFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
mov r1,r0
subv r3,r1
movt r8
clrt
subc r3,r0
addc r8,r8
rotl r0
addc r8,r8
tst r0,r0
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6742
mov.l execexit_ptr6742,r1
jmp @r1
add #-2,r6
fdl6742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6742: .long execexit
! Opcodes C000 - C007
W000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6743
mov.l execexit_ptr6743,r1
jmp @r1
add #-2,r6
fdl6743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6743: .long execexit
! Opcodes C010 - C017
W010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6744
mov.l execexit_ptr6744,r1
jmp @r1
add #-2,r6
fdl6744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6744: .long execexit
! Opcodes C018 - C01F
W018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6745
mov.l execexit_ptr6745,r1
jmp @r1
add #-2,r6
fdl6745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6745: .long execexit
! Opcodes C020 - C027
W020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6746
mov.l execexit_ptr6746,r1
jmp @r1
add #-2,r6
fdl6746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6746: .long execexit
! Opcodes C028 - C02F
W028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6747
mov.l execexit_ptr6747,r1
jmp @r1
add #-2,r6
fdl6747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6747: .long execexit
! Opcodes C030 - C037
W030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1125
exts.w r0,r0
longwd1125:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6748
mov.l execexit_ptr6748,r1
jmp @r1
add #-2,r6
fdl6748:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6748: .long execexit
! Opcode C038
W038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6749
mov.l execexit_ptr6749,r1
jmp @r1
add #-2,r6
fdl6749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6749: .long execexit
! Opcode C039
W039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6750
mov.l execexit_ptr6750,r1
jmp @r1
add #-2,r6
fdl6750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6750: .long execexit
! Opcode C03A
W03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6751
mov.l execexit_ptr6751,r1
jmp @r1
add #-2,r6
fdl6751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6751: .long execexit
! Opcode C03B
W03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1126
exts.w r0,r0
longwd1126:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6752
mov.l execexit_ptr6752,r1
jmp @r1
add #-2,r6
fdl6752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6752: .long execexit
! Opcode C03C
W03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
and r1,r3
mov.b r3,@r13
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6753
mov.l execexit_ptr6753,r1
jmp @r1
add #-2,r6
fdl6753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6753: .long execexit
! Opcodes C040 - C047
W040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6754
mov.l execexit_ptr6754,r1
jmp @r1
add #-2,r6
fdl6754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6754: .long execexit
! Opcodes C050 - C057
W050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6755
mov.l execexit_ptr6755,r1
jmp @r1
add #-2,r6
fdl6755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6755: .long execexit
! Opcodes C058 - C05F
W058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6756
mov.l execexit_ptr6756,r1
jmp @r1
add #-2,r6
fdl6756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6756: .long execexit
! Opcodes C060 - C067
W060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6757
mov.l execexit_ptr6757,r1
jmp @r1
add #-2,r6
fdl6757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6757: .long execexit
! Opcodes C068 - C06F
W068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6758
mov.l execexit_ptr6758,r1
jmp @r1
add #-2,r6
fdl6758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6758: .long execexit
! Opcodes C070 - C077
W070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1127
exts.w r0,r0
longwd1127:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6759
mov.l execexit_ptr6759,r1
jmp @r1
add #-2,r6
fdl6759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6759: .long execexit
! Opcode C078
W078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6760
mov.l execexit_ptr6760,r1
jmp @r1
add #-2,r6
fdl6760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6760: .long execexit
! Opcode C079
W079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6761
mov.l execexit_ptr6761,r1
jmp @r1
add #-2,r6
fdl6761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6761: .long execexit
! Opcode C07A
W07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6762
mov.l execexit_ptr6762,r1
jmp @r1
add #-2,r6
fdl6762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6762: .long execexit
! Opcode C07B
W07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1128
exts.w r0,r0
longwd1128:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6763
mov.l execexit_ptr6763,r1
jmp @r1
add #-2,r6
fdl6763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6763: .long execexit
! Opcode C07C
W07C:
mov.w @r6+,r3
mov.w @r13,r1
and r1,r3
mov.w r3,@r13
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6764
mov.l execexit_ptr6764,r1
jmp @r1
add #-2,r6
fdl6764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6764: .long execexit
! Opcodes C080 - C087
W080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6765
mov.l execexit_ptr6765,r1
jmp @r1
add #-2,r6
fdl6765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6765: .long execexit
! Opcodes C090 - C097
W090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6766
mov.l execexit_ptr6766,r1
jmp @r1
add #-2,r6
fdl6766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6766: .long execexit
! Opcodes C098 - C09F
W098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6767
mov.l execexit_ptr6767,r1
jmp @r1
add #-2,r6
fdl6767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6767: .long execexit
! Opcodes C0A0 - C0A7
W0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6768
mov.l execexit_ptr6768,r1
jmp @r1
add #-2,r6
fdl6768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6768: .long execexit
! Opcodes C0A8 - C0AF
W0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6769
mov.l execexit_ptr6769,r1
jmp @r1
add #-2,r6
fdl6769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6769: .long execexit
! Opcodes C0B0 - C0B7
W0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1129
exts.w r0,r0
longwd1129:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6770
mov.l execexit_ptr6770,r1
jmp @r1
add #-2,r6
fdl6770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6770: .long execexit
! Opcode C0B8
W0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6771
mov.l execexit_ptr6771,r1
jmp @r1
add #-2,r6
fdl6771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6771: .long execexit
! Opcode C0B9
W0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6772
mov.l execexit_ptr6772,r1
jmp @r1
add #-2,r6
fdl6772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6772: .long execexit
! Opcode C0BA
W0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6773
mov.l execexit_ptr6773,r1
jmp @r1
add #-2,r6
fdl6773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6773: .long execexit
! Opcode C0BB
W0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1130
exts.w r0,r0
longwd1130:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6774
mov.l execexit_ptr6774,r1
jmp @r1
add #-2,r6
fdl6774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6774: .long execexit
! Opcode C0BC
W0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
and r1,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6775
mov.l execexit_ptr6775,r1
jmp @r1
add #-2,r6
fdl6775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6775: .long execexit
! Opcodes C0C0 - C0C7
W0C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6777
mov.l execexit_ptr6777,r1
jmp @r1
add #-2,r6
fdl6777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6777: .long execexit
! Opcodes C0D0 - C0D7
W0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6779
mov.l execexit_ptr6779,r1
jmp @r1
add #-2,r6
fdl6779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6779: .long execexit
! Opcodes C0D8 - C0DF
W0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6781
mov.l execexit_ptr6781,r1
jmp @r1
add #-2,r6
fdl6781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6781: .long execexit
! Opcodes C0E0 - C0E7
W0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6783
mov.l execexit_ptr6783,r1
jmp @r1
add #-2,r6
fdl6783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6783: .long execexit
! Opcodes C0E8 - C0EF
W0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6785
mov.l execexit_ptr6785,r1
jmp @r1
add #-2,r6
fdl6785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6785: .long execexit
! Opcodes C0F0 - C0F7
W0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1131
exts.w r0,r0
longwd1131:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6787
mov.l execexit_ptr6787,r1
jmp @r1
add #-2,r6
fdl6787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6787: .long execexit
! Opcode C0F8
W0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6789
mov.l execexit_ptr6789,r1
jmp @r1
add #-2,r6
fdl6789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6789: .long execexit
! Opcode C0F9
W0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6791
mov.l execexit_ptr6791,r1
jmp @r1
add #-2,r6
fdl6791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6791: .long execexit
! Opcode C0FA
W0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6793
mov.l execexit_ptr6793,r1
jmp @r1
add #-2,r6
fdl6793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6793: .long execexit
! Opcode C0FB
W0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1132
exts.w r0,r0
longwd1132:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6795
mov.l execexit_ptr6795,r1
jmp @r1
add #-2,r6
fdl6795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6795: .long execexit
! Opcode C0FC
W0FC:
mov.w @r6+,r3
add #-16,r7
mov.w @r13,r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6797
mov.l execexit_ptr6797,r1
jmp @r1
add #-2,r6
fdl6797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6797: .long execexit
! Opcodes C100 - C107
W100:
and r1,r2
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6798
add #6,r8
.nonibadd6798:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6798
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6798:
exts.b r3,r3
mov r9,r8
mov.b r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6799
mov.l execexit_ptr6799,r1
jmp @r1
add #-2,r6
fdl6799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6799: .long execexit
! Opcodes C108 - C10F
W108:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6800
add #6,r8
.nonibadd6800:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6800
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6800:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6801
mov.l execexit_ptr6801,r1
jmp @r1
add #-2,r6
fdl6801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6801: .long execexit
! Opcodes C110 - C117
W110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6802
mov.l execexit_ptr6802,r1
jmp @r1
add #-2,r6
fdl6802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6802: .long execexit
! Opcodes C118 - C11F
W118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6803
mov.l execexit_ptr6803,r1
jmp @r1
add #-2,r6
fdl6803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6803: .long execexit
! Opcodes C120 - C127
W120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6804
mov.l execexit_ptr6804,r1
jmp @r1
add #-2,r6
fdl6804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6804: .long execexit
! Opcodes C128 - C12F
W128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6805
mov.l execexit_ptr6805,r1
jmp @r1
add #-2,r6
fdl6805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6805: .long execexit
! Opcodes C130 - C137
W130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1133
exts.w r0,r0
longwd1133:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6806
mov.l execexit_ptr6806,r1
jmp @r1
add #-2,r6
fdl6806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6806: .long execexit
! Opcode C138
W138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6807
mov.l execexit_ptr6807,r1
jmp @r1
add #-2,r6
fdl6807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6807: .long execexit
! Opcode C139
W139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6808
mov.l execexit_ptr6808,r1
jmp @r1
add #-2,r6
fdl6808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6808: .long execexit
! Opcodes C140 - C147
W140:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @r13,r3
mov.l r3,@r2
mov.l r1,@r13
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6809
mov.l execexit_ptr6809,r1
jmp @r1
add #-2,r6
fdl6809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6809: .long execexit
! Opcodes C148 - C14F
W148:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(32,r13),r3
mov.l r3,@r2
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6810
mov.l execexit_ptr6810,r1
jmp @r1
add #-2,r6
fdl6810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6810: .long execexit
! Opcodes C150 - C157
W150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6811
mov.l execexit_ptr6811,r1
jmp @r1
add #-2,r6
fdl6811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6811: .long execexit
! Opcodes C158 - C15F
W158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6812
mov.l execexit_ptr6812,r1
jmp @r1
add #-2,r6
fdl6812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6812: .long execexit
! Opcodes C160 - C167
W160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6813
mov.l execexit_ptr6813,r1
jmp @r1
add #-2,r6
fdl6813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6813: .long execexit
! Opcodes C168 - C16F
W168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6814
mov.l execexit_ptr6814,r1
jmp @r1
add #-2,r6
fdl6814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6814: .long execexit
! Opcodes C170 - C177
W170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1134
exts.w r0,r0
longwd1134:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6815
mov.l execexit_ptr6815,r1
jmp @r1
add #-2,r6
fdl6815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6815: .long execexit
! Opcode C178
W178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6816
mov.l execexit_ptr6816,r1
jmp @r1
add #-2,r6
fdl6816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6816: .long execexit
! Opcode C179
W179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6817
mov.l execexit_ptr6817,r1
jmp @r1
add #-2,r6
fdl6817:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6817: .long execexit
! Opcodes C188 - C18F
W188:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @r13,r3
mov.l r3,@r2
mov.l r1,@r13
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6818
mov.l execexit_ptr6818,r1
jmp @r1
add #-2,r6
fdl6818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6818: .long execexit
! Opcodes C190 - C197
W190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6819
mov.l execexit_ptr6819,r1
jmp @r1
add #-2,r6
fdl6819:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6819: .long execexit
! Opcodes C198 - C19F
W198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6820
mov.l execexit_ptr6820,r1
jmp @r1
add #-2,r6
fdl6820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6820: .long execexit
! Opcodes C1A0 - C1A7
W1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6821
mov.l execexit_ptr6821,r1
jmp @r1
add #-2,r6
fdl6821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6821: .long execexit
! Opcodes C1A8 - C1AF
W1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6822
mov.l execexit_ptr6822,r1
jmp @r1
add #-2,r6
fdl6822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6822: .long execexit
! Opcodes C1B0 - C1B7
W1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1135
exts.w r0,r0
longwd1135:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6823
mov.l execexit_ptr6823,r1
jmp @r1
add #-2,r6
fdl6823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6823: .long execexit
! Opcode C1B8
W1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6824
mov.l execexit_ptr6824,r1
jmp @r1
add #-2,r6
fdl6824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6824: .long execexit
! Opcode C1B9
W1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6825
mov.l execexit_ptr6825,r1
jmp @r1
add #-2,r6
fdl6825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6825: .long execexit
! Opcodes C1C0 - C1C7
W1C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6827
mov.l execexit_ptr6827,r1
jmp @r1
add #-2,r6
fdl6827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6827: .long execexit
! Opcodes C1D0 - C1D7
W1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6829
mov.l execexit_ptr6829,r1
jmp @r1
add #-2,r6
fdl6829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6829: .long execexit
! Opcodes C1D8 - C1DF
W1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6831
mov.l execexit_ptr6831,r1
jmp @r1
add #-2,r6
fdl6831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6831: .long execexit
! Opcodes C1E0 - C1E7
W1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6833
mov.l execexit_ptr6833,r1
jmp @r1
add #-2,r6
fdl6833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6833: .long execexit
! Opcodes C1E8 - C1EF
W1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6835
mov.l execexit_ptr6835,r1
jmp @r1
add #-2,r6
fdl6835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6835: .long execexit
! Opcodes C1F0 - C1F7
W1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1136
exts.w r0,r0
longwd1136:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6837
mov.l execexit_ptr6837,r1
jmp @r1
add #-2,r6
fdl6837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6837: .long execexit
! Opcode C1F8
W1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6839
mov.l execexit_ptr6839,r1
jmp @r1
add #-2,r6
fdl6839:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6839: .long execexit
! Opcode C1F9
W1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6841
mov.l execexit_ptr6841,r1
jmp @r1
add #-2,r6
fdl6841:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6841: .long execexit
! Opcode C1FA
W1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6843
mov.l execexit_ptr6843,r1
jmp @r1
add #-2,r6
fdl6843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6843: .long execexit
! Opcode C1FB
W1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1137
exts.w r0,r0
longwd1137:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6845
mov.l execexit_ptr6845,r1
jmp @r1
add #-2,r6
fdl6845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6845: .long execexit
! Opcode C1FC
W1FC:
mov.w @r6+,r3
add #-8,r7
mov.w @r13,r1
muls.w r1,r3
sts macl,r3
mov.l r3,@r13
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6847
mov.l execexit_ptr6847,r1
jmp @r1
add #-2,r6
fdl6847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6847: .long execexit
! Opcodes C200 - C207
W200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6848
mov.l execexit_ptr6848,r1
jmp @r1
add #-2,r6
fdl6848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6848: .long execexit
! Opcodes C210 - C217
W210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6849
mov.l execexit_ptr6849,r1
jmp @r1
add #-2,r6
fdl6849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6849: .long execexit
! Opcodes C218 - C21F
W218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6850
mov.l execexit_ptr6850,r1
jmp @r1
add #-2,r6
fdl6850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6850: .long execexit
! Opcodes C220 - C227
W220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6851
mov.l execexit_ptr6851,r1
jmp @r1
add #-2,r6
fdl6851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6851: .long execexit
! Opcodes C228 - C22F
W228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6852
mov.l execexit_ptr6852,r1
jmp @r1
add #-2,r6
fdl6852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6852: .long execexit
! Opcodes C230 - C237
W230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1138
exts.w r0,r0
longwd1138:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6853
mov.l execexit_ptr6853,r1
jmp @r1
add #-2,r6
fdl6853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6853: .long execexit
! Opcode C238
W238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6854
mov.l execexit_ptr6854,r1
jmp @r1
add #-2,r6
fdl6854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6854: .long execexit
! Opcode C239
W239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6855
mov.l execexit_ptr6855,r1
jmp @r1
add #-2,r6
fdl6855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6855: .long execexit
! Opcode C23A
W23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6856
mov.l execexit_ptr6856,r1
jmp @r1
add #-2,r6
fdl6856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6856: .long execexit
! Opcode C23B
W23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1139
exts.w r0,r0
longwd1139:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6857
mov.l execexit_ptr6857,r1
jmp @r1
add #-2,r6
fdl6857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6857: .long execexit
! Opcode C23C
W23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov #4,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6858
mov.l execexit_ptr6858,r1
jmp @r1
add #-2,r6
fdl6858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6858: .long execexit
! Opcodes C240 - C247
W240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6859
mov.l execexit_ptr6859,r1
jmp @r1
add #-2,r6
fdl6859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6859: .long execexit
! Opcodes C250 - C257
W250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6860
mov.l execexit_ptr6860,r1
jmp @r1
add #-2,r6
fdl6860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6860: .long execexit
! Opcodes C258 - C25F
W258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6861
mov.l execexit_ptr6861,r1
jmp @r1
add #-2,r6
fdl6861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6861: .long execexit
! Opcodes C260 - C267
W260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6862
mov.l execexit_ptr6862,r1
jmp @r1
add #-2,r6
fdl6862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6862: .long execexit
! Opcodes C268 - C26F
W268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6863
mov.l execexit_ptr6863,r1
jmp @r1
add #-2,r6
fdl6863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6863: .long execexit
! Opcodes C270 - C277
W270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1140
exts.w r0,r0
longwd1140:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6864
mov.l execexit_ptr6864,r1
jmp @r1
add #-2,r6
fdl6864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6864: .long execexit
! Opcode C278
W278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6865
mov.l execexit_ptr6865,r1
jmp @r1
add #-2,r6
fdl6865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6865: .long execexit
! Opcode C279
W279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6866
mov.l execexit_ptr6866,r1
jmp @r1
add #-2,r6
fdl6866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6866: .long execexit
! Opcode C27A
W27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6867
mov.l execexit_ptr6867,r1
jmp @r1
add #-2,r6
fdl6867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6867: .long execexit
! Opcode C27B
W27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1141
exts.w r0,r0
longwd1141:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6868
mov.l execexit_ptr6868,r1
jmp @r1
add #-2,r6
fdl6868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6868: .long execexit
! Opcode C27C
W27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov #4,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6869
mov.l execexit_ptr6869,r1
jmp @r1
add #-2,r6
fdl6869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6869: .long execexit
! Opcodes C280 - C287
W280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6870
mov.l execexit_ptr6870,r1
jmp @r1
add #-2,r6
fdl6870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6870: .long execexit
! Opcodes C290 - C297
W290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6871
mov.l execexit_ptr6871,r1
jmp @r1
add #-2,r6
fdl6871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6871: .long execexit
! Opcodes C298 - C29F
W298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6872
mov.l execexit_ptr6872,r1
jmp @r1
add #-2,r6
fdl6872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6872: .long execexit
! Opcodes C2A0 - C2A7
W2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6873
mov.l execexit_ptr6873,r1
jmp @r1
add #-2,r6
fdl6873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6873: .long execexit
! Opcodes C2A8 - C2AF
W2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6874
mov.l execexit_ptr6874,r1
jmp @r1
add #-2,r6
fdl6874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6874: .long execexit
! Opcodes C2B0 - C2B7
W2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1142
exts.w r0,r0
longwd1142:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6875
mov.l execexit_ptr6875,r1
jmp @r1
add #-2,r6
fdl6875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6875: .long execexit
! Opcode C2B8
W2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6876
mov.l execexit_ptr6876,r1
jmp @r1
add #-2,r6
fdl6876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6876: .long execexit
! Opcode C2B9
W2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6877
mov.l execexit_ptr6877,r1
jmp @r1
add #-2,r6
fdl6877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6877: .long execexit
! Opcode C2BA
W2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6878
mov.l execexit_ptr6878,r1
jmp @r1
add #-2,r6
fdl6878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6878: .long execexit
! Opcode C2BB
W2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1143
exts.w r0,r0
longwd1143:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6879
mov.l execexit_ptr6879,r1
jmp @r1
add #-2,r6
fdl6879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6879: .long execexit
! Opcode C2BC
W2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
and r1,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6880
mov.l execexit_ptr6880,r1
jmp @r1
add #-2,r6
fdl6880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6880: .long execexit
! Opcodes C2C0 - C2C7
W2C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6882
mov.l execexit_ptr6882,r1
jmp @r1
add #-2,r6
fdl6882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6882: .long execexit
! Opcodes C2D0 - C2D7
W2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6884
mov.l execexit_ptr6884,r1
jmp @r1
add #-2,r6
fdl6884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6884: .long execexit
! Opcodes C2D8 - C2DF
W2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6886
mov.l execexit_ptr6886,r1
jmp @r1
add #-2,r6
fdl6886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6886: .long execexit
! Opcodes C2E0 - C2E7
W2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6888
mov.l execexit_ptr6888,r1
jmp @r1
add #-2,r6
fdl6888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6888: .long execexit
! Opcodes C2E8 - C2EF
W2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6890
mov.l execexit_ptr6890,r1
jmp @r1
add #-2,r6
fdl6890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6890: .long execexit
! Opcodes C2F0 - C2F7
W2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1144
exts.w r0,r0
longwd1144:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6892
mov.l execexit_ptr6892,r1
jmp @r1
add #-2,r6
fdl6892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6892: .long execexit
! Opcode C2F8
W2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6894
mov.l execexit_ptr6894,r1
jmp @r1
add #-2,r6
fdl6894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6894: .long execexit
! Opcode C2F9
W2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6896
mov.l execexit_ptr6896,r1
jmp @r1
add #-2,r6
fdl6896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6896: .long execexit
! Opcode C2FA
W2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6898
mov.l execexit_ptr6898,r1
jmp @r1
add #-2,r6
fdl6898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6898: .long execexit
! Opcode C2FB
W2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1145
exts.w r0,r0
longwd1145:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6900
mov.l execexit_ptr6900,r1
jmp @r1
add #-2,r6
fdl6900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6900: .long execexit
! Opcode C2FC
W2FC:
mov.w @r6+,r3
add #-16,r7
mov #4,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6902
mov.l execexit_ptr6902,r1
jmp @r1
add #-2,r6
fdl6902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6902: .long execexit
! Opcodes C300 - C307
W300:
and r1,r2
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6903
add #6,r8
.nonibadd6903:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6903
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6903:
exts.b r3,r3
mov r9,r8
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6904
mov.l execexit_ptr6904,r1
jmp @r1
add #-2,r6
fdl6904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6904: .long execexit
! Opcodes C308 - C30F
W308:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd6905
add #6,r8
.nonibadd6905:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop6905
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop6905:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6906
mov.l execexit_ptr6906,r1
jmp @r1
add #-2,r6
fdl6906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6906: .long execexit
! Opcodes C310 - C317
W310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6907
mov.l execexit_ptr6907,r1
jmp @r1
add #-2,r6
fdl6907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6907: .long execexit
! Opcodes C318 - C31F
W318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6908
mov.l execexit_ptr6908,r1
jmp @r1
add #-2,r6
fdl6908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6908: .long execexit
! Opcodes C320 - C327
W320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6909
mov.l execexit_ptr6909,r1
jmp @r1
add #-2,r6
fdl6909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6909: .long execexit
! Opcodes C328 - C32F
W328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6910
mov.l execexit_ptr6910,r1
jmp @r1
add #-2,r6
fdl6910:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6910: .long execexit
! Opcodes C330 - C337
W330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1146
exts.w r0,r0
longwd1146:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6911
mov.l execexit_ptr6911,r1
jmp @r1
add #-2,r6
fdl6911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6911: .long execexit
! Opcode C338
W338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6912
mov.l execexit_ptr6912,r1
jmp @r1
add #-2,r6
fdl6912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6912: .long execexit
! Opcode C339
W339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6913
mov.l execexit_ptr6913,r1
jmp @r1
add #-2,r6
fdl6913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6913: .long execexit
! Opcodes C340 - C347
W340:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(4,r13),r3
mov.l r3,@r2
mov.l r1,@(4,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6914
mov.l execexit_ptr6914,r1
jmp @r1
add #-2,r6
fdl6914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6914: .long execexit
! Opcodes C348 - C34F
W348:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(36,r13),r3
mov.l r3,@r2
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6915
mov.l execexit_ptr6915,r1
jmp @r1
add #-2,r6
fdl6915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6915: .long execexit
! Opcodes C350 - C357
W350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6916
mov.l execexit_ptr6916,r1
jmp @r1
add #-2,r6
fdl6916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6916: .long execexit
! Opcodes C358 - C35F
W358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6917
mov.l execexit_ptr6917,r1
jmp @r1
add #-2,r6
fdl6917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6917: .long execexit
! Opcodes C360 - C367
W360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6918
mov.l execexit_ptr6918,r1
jmp @r1
add #-2,r6
fdl6918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6918: .long execexit
! Opcodes C368 - C36F
W368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6919
mov.l execexit_ptr6919,r1
jmp @r1
add #-2,r6
fdl6919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6919: .long execexit
! Opcodes C370 - C377
W370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1147
exts.w r0,r0
longwd1147:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6920
mov.l execexit_ptr6920,r1
jmp @r1
add #-2,r6
fdl6920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6920: .long execexit
! Opcode C378
W378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6921
mov.l execexit_ptr6921,r1
jmp @r1
add #-2,r6
fdl6921:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6921: .long execexit
! Opcode C379
W379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6922
mov.l execexit_ptr6922,r1
jmp @r1
add #-2,r6
fdl6922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6922: .long execexit
! Opcodes C388 - C38F
W388:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(4,r13),r3
mov.l r3,@r2
mov.l r1,@(4,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6923
mov.l execexit_ptr6923,r1
jmp @r1
add #-2,r6
fdl6923:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6923: .long execexit
! Opcodes C390 - C397
W390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6924
mov.l execexit_ptr6924,r1
jmp @r1
add #-2,r6
fdl6924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6924: .long execexit
! Opcodes C398 - C39F
W398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6925
mov.l execexit_ptr6925,r1
jmp @r1
add #-2,r6
fdl6925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6925: .long execexit
! Opcodes C3A0 - C3A7
W3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6926
mov.l execexit_ptr6926,r1
jmp @r1
add #-2,r6
fdl6926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6926: .long execexit
! Opcodes C3A8 - C3AF
W3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6927
mov.l execexit_ptr6927,r1
jmp @r1
add #-2,r6
fdl6927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6927: .long execexit
! Opcodes C3B0 - C3B7
W3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1148
exts.w r0,r0
longwd1148:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6928
mov.l execexit_ptr6928,r1
jmp @r1
add #-2,r6
fdl6928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6928: .long execexit
! Opcode C3B8
W3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6929
mov.l execexit_ptr6929,r1
jmp @r1
add #-2,r6
fdl6929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6929: .long execexit
! Opcode C3B9
W3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6930
mov.l execexit_ptr6930,r1
jmp @r1
add #-2,r6
fdl6930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6930: .long execexit
! Opcodes C3C0 - C3C7
W3C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6932
mov.l execexit_ptr6932,r1
jmp @r1
add #-2,r6
fdl6932:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6932: .long execexit
! Opcodes C3D0 - C3D7
W3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6934
mov.l execexit_ptr6934,r1
jmp @r1
add #-2,r6
fdl6934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6934: .long execexit
! Opcodes C3D8 - C3DF
W3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6936
mov.l execexit_ptr6936,r1
jmp @r1
add #-2,r6
fdl6936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6936: .long execexit
! Opcodes C3E0 - C3E7
W3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6938
mov.l execexit_ptr6938,r1
jmp @r1
add #-2,r6
fdl6938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6938: .long execexit
! Opcodes C3E8 - C3EF
W3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6940
mov.l execexit_ptr6940,r1
jmp @r1
add #-2,r6
fdl6940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6940: .long execexit
! Opcodes C3F0 - C3F7
W3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1149
exts.w r0,r0
longwd1149:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6942
mov.l execexit_ptr6942,r1
jmp @r1
add #-2,r6
fdl6942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6942: .long execexit
! Opcode C3F8
W3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6944
mov.l execexit_ptr6944,r1
jmp @r1
add #-2,r6
fdl6944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6944: .long execexit
! Opcode C3F9
W3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6946
mov.l execexit_ptr6946,r1
jmp @r1
add #-2,r6
fdl6946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6946: .long execexit
! Opcode C3FA
W3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6948
mov.l execexit_ptr6948,r1
jmp @r1
add #-2,r6
fdl6948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6948: .long execexit
! Opcode C3FB
W3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1150
exts.w r0,r0
longwd1150:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6950
mov.l execexit_ptr6950,r1
jmp @r1
add #-2,r6
fdl6950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6950: .long execexit
! Opcode C3FC
W3FC:
mov.w @r6+,r3
add #-8,r7
mov #4,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(4,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6952
mov.l execexit_ptr6952,r1
jmp @r1
add #-2,r6
fdl6952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6952: .long execexit
! Opcodes C400 - C407
W400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6953
mov.l execexit_ptr6953,r1
jmp @r1
add #-2,r6
fdl6953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6953: .long execexit
! Opcodes C410 - C417
W410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6954
mov.l execexit_ptr6954,r1
jmp @r1
add #-2,r6
fdl6954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6954: .long execexit
! Opcodes C418 - C41F
W418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6955
mov.l execexit_ptr6955,r1
jmp @r1
add #-2,r6
fdl6955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6955: .long execexit
! Opcodes C420 - C427
W420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6956
mov.l execexit_ptr6956,r1
jmp @r1
add #-2,r6
fdl6956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6956: .long execexit
! Opcodes C428 - C42F
W428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6957
mov.l execexit_ptr6957,r1
jmp @r1
add #-2,r6
fdl6957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6957: .long execexit
! Opcodes C430 - C437
W430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1151
exts.w r0,r0
longwd1151:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6958
mov.l execexit_ptr6958,r1
jmp @r1
add #-2,r6
fdl6958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6958: .long execexit
! Opcode C438
W438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6959
mov.l execexit_ptr6959,r1
jmp @r1
add #-2,r6
fdl6959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6959: .long execexit
! Opcode C439
W439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6960
mov.l execexit_ptr6960,r1
jmp @r1
add #-2,r6
fdl6960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6960: .long execexit
! Opcode C43A
W43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6961
mov.l execexit_ptr6961,r1
jmp @r1
add #-2,r6
fdl6961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6961: .long execexit
! Opcode C43B
W43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1152
exts.w r0,r0
longwd1152:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6962
mov.l execexit_ptr6962,r1
jmp @r1
add #-2,r6
fdl6962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6962: .long execexit
! Opcode C43C
W43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov #8,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6963
mov.l execexit_ptr6963,r1
jmp @r1
add #-2,r6
fdl6963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6963: .long execexit
! Opcodes C440 - C447
W440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6964
mov.l execexit_ptr6964,r1
jmp @r1
add #-2,r6
fdl6964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6964: .long execexit
! Opcodes C450 - C457
W450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6965
mov.l execexit_ptr6965,r1
jmp @r1
add #-2,r6
fdl6965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6965: .long execexit
! Opcodes C458 - C45F
W458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6966
mov.l execexit_ptr6966,r1
jmp @r1
add #-2,r6
fdl6966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6966: .long execexit
! Opcodes C460 - C467
W460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6967
mov.l execexit_ptr6967,r1
jmp @r1
add #-2,r6
fdl6967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6967: .long execexit
! Opcodes C468 - C46F
W468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6968
mov.l execexit_ptr6968,r1
jmp @r1
add #-2,r6
fdl6968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6968: .long execexit
! Opcodes C470 - C477
W470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1153
exts.w r0,r0
longwd1153:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6969
mov.l execexit_ptr6969,r1
jmp @r1
add #-2,r6
fdl6969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6969: .long execexit
! Opcode C478
W478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6970
mov.l execexit_ptr6970,r1
jmp @r1
add #-2,r6
fdl6970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6970: .long execexit
! Opcode C479
W479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6971
mov.l execexit_ptr6971,r1
jmp @r1
add #-2,r6
fdl6971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6971: .long execexit
! Opcode C47A
W47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6972
mov.l execexit_ptr6972,r1
jmp @r1
add #-2,r6
fdl6972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6972: .long execexit
! Opcode C47B
W47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1154
exts.w r0,r0
longwd1154:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6973
mov.l execexit_ptr6973,r1
jmp @r1
add #-2,r6
fdl6973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6973: .long execexit
! Opcode C47C
W47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov #8,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6974
mov.l execexit_ptr6974,r1
jmp @r1
add #-2,r6
fdl6974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6974: .long execexit
! Opcodes C480 - C487
W480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6975
mov.l execexit_ptr6975,r1
jmp @r1
add #-2,r6
fdl6975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6975: .long execexit
! Opcodes C490 - C497
W490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6976
mov.l execexit_ptr6976,r1
jmp @r1
add #-2,r6
fdl6976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6976: .long execexit
! Opcodes C498 - C49F
W498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6977
mov.l execexit_ptr6977,r1
jmp @r1
add #-2,r6
fdl6977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6977: .long execexit
! Opcodes C4A0 - C4A7
W4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6978
mov.l execexit_ptr6978,r1
jmp @r1
add #-2,r6
fdl6978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6978: .long execexit
! Opcodes C4A8 - C4AF
W4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6979
mov.l execexit_ptr6979,r1
jmp @r1
add #-2,r6
fdl6979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6979: .long execexit
! Opcodes C4B0 - C4B7
W4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1155
exts.w r0,r0
longwd1155:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6980
mov.l execexit_ptr6980,r1
jmp @r1
add #-2,r6
fdl6980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6980: .long execexit
! Opcode C4B8
W4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6981
mov.l execexit_ptr6981,r1
jmp @r1
add #-2,r6
fdl6981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6981: .long execexit
! Opcode C4B9
W4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6982
mov.l execexit_ptr6982,r1
jmp @r1
add #-2,r6
fdl6982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6982: .long execexit
! Opcode C4BA
W4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6983
mov.l execexit_ptr6983,r1
jmp @r1
add #-2,r6
fdl6983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6983: .long execexit
! Opcode C4BB
W4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1156
exts.w r0,r0
longwd1156:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6984
mov.l execexit_ptr6984,r1
jmp @r1
add #-2,r6
fdl6984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6984: .long execexit
! Opcode C4BC
W4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
and r1,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6985
mov.l execexit_ptr6985,r1
jmp @r1
add #-2,r6
fdl6985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6985: .long execexit
! Opcodes C4C0 - C4C7
W4C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6987
mov.l execexit_ptr6987,r1
jmp @r1
add #-2,r6
fdl6987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6987: .long execexit
! Opcodes C4D0 - C4D7
W4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6989
mov.l execexit_ptr6989,r1
jmp @r1
add #-2,r6
fdl6989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6989: .long execexit
! Opcodes C4D8 - C4DF
W4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6991
mov.l execexit_ptr6991,r1
jmp @r1
add #-2,r6
fdl6991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6991: .long execexit
! Opcodes C4E0 - C4E7
W4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6993
mov.l execexit_ptr6993,r1
jmp @r1
add #-2,r6
fdl6993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6993: .long execexit
! Opcodes C4E8 - C4EF
W4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6995
mov.l execexit_ptr6995,r1
jmp @r1
add #-2,r6
fdl6995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6995: .long execexit
! Opcodes C4F0 - C4F7
W4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1157
exts.w r0,r0
longwd1157:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6997
mov.l execexit_ptr6997,r1
jmp @r1
add #-2,r6
fdl6997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6997: .long execexit
! Opcode C4F8
W4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl6999
mov.l execexit_ptr6999,r1
jmp @r1
add #-2,r6
fdl6999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr6999: .long execexit
! Opcode C4F9
W4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7001
mov.l execexit_ptr7001,r1
jmp @r1
add #-2,r6
fdl7001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7001: .long execexit
! Opcode C4FA
W4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7003
mov.l execexit_ptr7003,r1
jmp @r1
add #-2,r6
fdl7003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7003: .long execexit
! Opcode C4FB
W4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1158
exts.w r0,r0
longwd1158:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7005
mov.l execexit_ptr7005,r1
jmp @r1
add #-2,r6
fdl7005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7005: .long execexit
! Opcode C4FC
W4FC:
mov.w @r6+,r3
add #-16,r7
mov #8,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7007
mov.l execexit_ptr7007,r1
jmp @r1
add #-2,r6
fdl7007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7007: .long execexit
! Opcodes C500 - C507
W500:
and r1,r2
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7008
add #6,r8
.nonibadd7008:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7008
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7008:
exts.b r3,r3
mov r9,r8
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7009
mov.l execexit_ptr7009,r1
jmp @r1
add #-2,r6
fdl7009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7009: .long execexit
! Opcodes C508 - C50F
W508:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7010
add #6,r8
.nonibadd7010:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7010
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7010:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7011
mov.l execexit_ptr7011,r1
jmp @r1
add #-2,r6
fdl7011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7011: .long execexit
! Opcodes C510 - C517
W510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7012
mov.l execexit_ptr7012,r1
jmp @r1
add #-2,r6
fdl7012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7012: .long execexit
! Opcodes C518 - C51F
W518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7013
mov.l execexit_ptr7013,r1
jmp @r1
add #-2,r6
fdl7013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7013: .long execexit
! Opcodes C520 - C527
W520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7014
mov.l execexit_ptr7014,r1
jmp @r1
add #-2,r6
fdl7014:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7014: .long execexit
! Opcodes C528 - C52F
W528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7015
mov.l execexit_ptr7015,r1
jmp @r1
add #-2,r6
fdl7015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7015: .long execexit
! Opcodes C530 - C537
W530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1159
exts.w r0,r0
longwd1159:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7016
mov.l execexit_ptr7016,r1
jmp @r1
add #-2,r6
fdl7016:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7016: .long execexit
! Opcode C538
W538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7017
mov.l execexit_ptr7017,r1
jmp @r1
add #-2,r6
fdl7017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7017: .long execexit
! Opcode C539
W539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7018
mov.l execexit_ptr7018,r1
jmp @r1
add #-2,r6
fdl7018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7018: .long execexit
! Opcodes C540 - C547
W540:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(8,r13),r3
mov.l r3,@r2
mov.l r1,@(8,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7019
mov.l execexit_ptr7019,r1
jmp @r1
add #-2,r6
fdl7019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7019: .long execexit
! Opcodes C548 - C54F
W548:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(40,r13),r3
mov.l r3,@r2
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7020
mov.l execexit_ptr7020,r1
jmp @r1
add #-2,r6
fdl7020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7020: .long execexit
! Opcodes C550 - C557
W550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7021
mov.l execexit_ptr7021,r1
jmp @r1
add #-2,r6
fdl7021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7021: .long execexit
! Opcodes C558 - C55F
W558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7022
mov.l execexit_ptr7022,r1
jmp @r1
add #-2,r6
fdl7022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7022: .long execexit
! Opcodes C560 - C567
W560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7023
mov.l execexit_ptr7023,r1
jmp @r1
add #-2,r6
fdl7023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7023: .long execexit
! Opcodes C568 - C56F
W568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7024
mov.l execexit_ptr7024,r1
jmp @r1
add #-2,r6
fdl7024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7024: .long execexit
! Opcodes C570 - C577
W570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1160
exts.w r0,r0
longwd1160:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7025
mov.l execexit_ptr7025,r1
jmp @r1
add #-2,r6
fdl7025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7025: .long execexit
! Opcode C578
W578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7026
mov.l execexit_ptr7026,r1
jmp @r1
add #-2,r6
fdl7026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7026: .long execexit
! Opcode C579
W579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7027
mov.l execexit_ptr7027,r1
jmp @r1
add #-2,r6
fdl7027:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7027: .long execexit
! Opcodes C588 - C58F
W588:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(8,r13),r3
mov.l r3,@r2
mov.l r1,@(8,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7028
mov.l execexit_ptr7028,r1
jmp @r1
add #-2,r6
fdl7028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7028: .long execexit
! Opcodes C590 - C597
W590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7029
mov.l execexit_ptr7029,r1
jmp @r1
add #-2,r6
fdl7029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7029: .long execexit
! Opcodes C598 - C59F
W598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7030
mov.l execexit_ptr7030,r1
jmp @r1
add #-2,r6
fdl7030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7030: .long execexit
! Opcodes C5A0 - C5A7
W5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7031
mov.l execexit_ptr7031,r1
jmp @r1
add #-2,r6
fdl7031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7031: .long execexit
! Opcodes C5A8 - C5AF
W5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7032
mov.l execexit_ptr7032,r1
jmp @r1
add #-2,r6
fdl7032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7032: .long execexit
! Opcodes C5B0 - C5B7
W5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1161
exts.w r0,r0
longwd1161:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7033
mov.l execexit_ptr7033,r1
jmp @r1
add #-2,r6
fdl7033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7033: .long execexit
! Opcode C5B8
W5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7034
mov.l execexit_ptr7034,r1
jmp @r1
add #-2,r6
fdl7034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7034: .long execexit
! Opcode C5B9
W5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7035
mov.l execexit_ptr7035,r1
jmp @r1
add #-2,r6
fdl7035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7035: .long execexit
! Opcodes C5C0 - C5C7
W5C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7037
mov.l execexit_ptr7037,r1
jmp @r1
add #-2,r6
fdl7037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7037: .long execexit
! Opcodes C5D0 - C5D7
W5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7039
mov.l execexit_ptr7039,r1
jmp @r1
add #-2,r6
fdl7039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7039: .long execexit
! Opcodes C5D8 - C5DF
W5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7041
mov.l execexit_ptr7041,r1
jmp @r1
add #-2,r6
fdl7041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7041: .long execexit
! Opcodes C5E0 - C5E7
W5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7043
mov.l execexit_ptr7043,r1
jmp @r1
add #-2,r6
fdl7043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7043: .long execexit
! Opcodes C5E8 - C5EF
W5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7045
mov.l execexit_ptr7045,r1
jmp @r1
add #-2,r6
fdl7045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7045: .long execexit
! Opcodes C5F0 - C5F7
W5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1162
exts.w r0,r0
longwd1162:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7047
mov.l execexit_ptr7047,r1
jmp @r1
add #-2,r6
fdl7047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7047: .long execexit
! Opcode C5F8
W5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7049
mov.l execexit_ptr7049,r1
jmp @r1
add #-2,r6
fdl7049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7049: .long execexit
! Opcode C5F9
W5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7051
mov.l execexit_ptr7051,r1
jmp @r1
add #-2,r6
fdl7051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7051: .long execexit
! Opcode C5FA
W5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7053
mov.l execexit_ptr7053,r1
jmp @r1
add #-2,r6
fdl7053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7053: .long execexit
! Opcode C5FB
W5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1163
exts.w r0,r0
longwd1163:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7055
mov.l execexit_ptr7055,r1
jmp @r1
add #-2,r6
fdl7055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7055: .long execexit
! Opcode C5FC
W5FC:
mov.w @r6+,r3
add #-8,r7
mov #8,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(8,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7057
mov.l execexit_ptr7057,r1
jmp @r1
add #-2,r6
fdl7057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7057: .long execexit
! Opcodes C600 - C607
W600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7058
mov.l execexit_ptr7058,r1
jmp @r1
add #-2,r6
fdl7058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7058: .long execexit
! Opcodes C610 - C617
W610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7059
mov.l execexit_ptr7059,r1
jmp @r1
add #-2,r6
fdl7059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7059: .long execexit
! Opcodes C618 - C61F
W618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7060
mov.l execexit_ptr7060,r1
jmp @r1
add #-2,r6
fdl7060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7060: .long execexit
! Opcodes C620 - C627
W620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7061
mov.l execexit_ptr7061,r1
jmp @r1
add #-2,r6
fdl7061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7061: .long execexit
! Opcodes C628 - C62F
W628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7062
mov.l execexit_ptr7062,r1
jmp @r1
add #-2,r6
fdl7062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7062: .long execexit
! Opcodes C630 - C637
W630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1164
exts.w r0,r0
longwd1164:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7063
mov.l execexit_ptr7063,r1
jmp @r1
add #-2,r6
fdl7063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7063: .long execexit
! Opcode C638
W638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7064
mov.l execexit_ptr7064,r1
jmp @r1
add #-2,r6
fdl7064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7064: .long execexit
! Opcode C639
W639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7065
mov.l execexit_ptr7065,r1
jmp @r1
add #-2,r6
fdl7065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7065: .long execexit
! Opcode C63A
W63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7066
mov.l execexit_ptr7066,r1
jmp @r1
add #-2,r6
fdl7066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7066: .long execexit
! Opcode C63B
W63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1165
exts.w r0,r0
longwd1165:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7067
mov.l execexit_ptr7067,r1
jmp @r1
add #-2,r6
fdl7067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7067: .long execexit
! Opcode C63C
W63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov #12,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7068
mov.l execexit_ptr7068,r1
jmp @r1
add #-2,r6
fdl7068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7068: .long execexit
! Opcodes C640 - C647
W640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7069
mov.l execexit_ptr7069,r1
jmp @r1
add #-2,r6
fdl7069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7069: .long execexit
! Opcodes C650 - C657
W650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7070
mov.l execexit_ptr7070,r1
jmp @r1
add #-2,r6
fdl7070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7070: .long execexit
! Opcodes C658 - C65F
W658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7071
mov.l execexit_ptr7071,r1
jmp @r1
add #-2,r6
fdl7071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7071: .long execexit
! Opcodes C660 - C667
W660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7072
mov.l execexit_ptr7072,r1
jmp @r1
add #-2,r6
fdl7072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7072: .long execexit
! Opcodes C668 - C66F
W668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7073
mov.l execexit_ptr7073,r1
jmp @r1
add #-2,r6
fdl7073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7073: .long execexit
! Opcodes C670 - C677
W670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1166
exts.w r0,r0
longwd1166:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7074
mov.l execexit_ptr7074,r1
jmp @r1
add #-2,r6
fdl7074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7074: .long execexit
! Opcode C678
W678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7075
mov.l execexit_ptr7075,r1
jmp @r1
add #-2,r6
fdl7075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7075: .long execexit
! Opcode C679
W679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7076
mov.l execexit_ptr7076,r1
jmp @r1
add #-2,r6
fdl7076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7076: .long execexit
! Opcode C67A
W67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7077
mov.l execexit_ptr7077,r1
jmp @r1
add #-2,r6
fdl7077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7077: .long execexit
! Opcode C67B
W67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1167
exts.w r0,r0
longwd1167:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7078
mov.l execexit_ptr7078,r1
jmp @r1
add #-2,r6
fdl7078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7078: .long execexit
! Opcode C67C
W67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov #12,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7079
mov.l execexit_ptr7079,r1
jmp @r1
add #-2,r6
fdl7079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7079: .long execexit
! Opcodes C680 - C687
W680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7080
mov.l execexit_ptr7080,r1
jmp @r1
add #-2,r6
fdl7080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7080: .long execexit
! Opcodes C690 - C697
W690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7081
mov.l execexit_ptr7081,r1
jmp @r1
add #-2,r6
fdl7081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7081: .long execexit
! Opcodes C698 - C69F
W698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7082
mov.l execexit_ptr7082,r1
jmp @r1
add #-2,r6
fdl7082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7082: .long execexit
! Opcodes C6A0 - C6A7
W6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7083
mov.l execexit_ptr7083,r1
jmp @r1
add #-2,r6
fdl7083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7083: .long execexit
! Opcodes C6A8 - C6AF
W6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7084
mov.l execexit_ptr7084,r1
jmp @r1
add #-2,r6
fdl7084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7084: .long execexit
! Opcodes C6B0 - C6B7
W6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1168
exts.w r0,r0
longwd1168:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7085
mov.l execexit_ptr7085,r1
jmp @r1
add #-2,r6
fdl7085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7085: .long execexit
! Opcode C6B8
W6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7086
mov.l execexit_ptr7086,r1
jmp @r1
add #-2,r6
fdl7086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7086: .long execexit
! Opcode C6B9
W6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7087
mov.l execexit_ptr7087,r1
jmp @r1
add #-2,r6
fdl7087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7087: .long execexit
! Opcode C6BA
W6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7088
mov.l execexit_ptr7088,r1
jmp @r1
add #-2,r6
fdl7088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7088: .long execexit
! Opcode C6BB
W6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1169
exts.w r0,r0
longwd1169:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7089
mov.l execexit_ptr7089,r1
jmp @r1
add #-2,r6
fdl7089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7089: .long execexit
! Opcode C6BC
W6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
and r1,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7090
mov.l execexit_ptr7090,r1
jmp @r1
add #-2,r6
fdl7090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7090: .long execexit
! Opcodes C6C0 - C6C7
W6C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7092
mov.l execexit_ptr7092,r1
jmp @r1
add #-2,r6
fdl7092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7092: .long execexit
! Opcodes C6D0 - C6D7
W6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7094
mov.l execexit_ptr7094,r1
jmp @r1
add #-2,r6
fdl7094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7094: .long execexit
! Opcodes C6D8 - C6DF
W6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7096
mov.l execexit_ptr7096,r1
jmp @r1
add #-2,r6
fdl7096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7096: .long execexit
! Opcodes C6E0 - C6E7
W6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7098
mov.l execexit_ptr7098,r1
jmp @r1
add #-2,r6
fdl7098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7098: .long execexit
! Opcodes C6E8 - C6EF
W6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7100
mov.l execexit_ptr7100,r1
jmp @r1
add #-2,r6
fdl7100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7100: .long execexit
! Opcodes C6F0 - C6F7
W6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1170
exts.w r0,r0
longwd1170:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7102
mov.l execexit_ptr7102,r1
jmp @r1
add #-2,r6
fdl7102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7102: .long execexit
! Opcode C6F8
W6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7104
mov.l execexit_ptr7104,r1
jmp @r1
add #-2,r6
fdl7104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7104: .long execexit
! Opcode C6F9
W6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7106
mov.l execexit_ptr7106,r1
jmp @r1
add #-2,r6
fdl7106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7106: .long execexit
! Opcode C6FA
W6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7108
mov.l execexit_ptr7108,r1
jmp @r1
add #-2,r6
fdl7108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7108: .long execexit
! Opcode C6FB
W6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1171
exts.w r0,r0
longwd1171:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7110
mov.l execexit_ptr7110,r1
jmp @r1
add #-2,r6
fdl7110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7110: .long execexit
! Opcode C6FC
W6FC:
mov.w @r6+,r3
add #-16,r7
mov #12,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7112
mov.l execexit_ptr7112,r1
jmp @r1
add #-2,r6
fdl7112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7112: .long execexit
! Opcodes C700 - C707
W700:
and r1,r2
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7113
add #6,r8
.nonibadd7113:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7113
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7113:
exts.b r3,r3
mov r9,r8
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7114
mov.l execexit_ptr7114,r1
jmp @r1
add #-2,r6
fdl7114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7114: .long execexit
! Opcodes C708 - C70F
W708:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7115
add #6,r8
.nonibadd7115:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7115
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7115:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7116
mov.l execexit_ptr7116,r1
jmp @r1
add #-2,r6
fdl7116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7116: .long execexit
! Opcodes C710 - C717
W710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7117
mov.l execexit_ptr7117,r1
jmp @r1
add #-2,r6
fdl7117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7117: .long execexit
! Opcodes C718 - C71F
W718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7118
mov.l execexit_ptr7118,r1
jmp @r1
add #-2,r6
fdl7118:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7118: .long execexit
! Opcodes C720 - C727
W720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7119
mov.l execexit_ptr7119,r1
jmp @r1
add #-2,r6
fdl7119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7119: .long execexit
! Opcodes C728 - C72F
W728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7120
mov.l execexit_ptr7120,r1
jmp @r1
add #-2,r6
fdl7120:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7120: .long execexit
! Opcodes C730 - C737
W730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1172
exts.w r0,r0
longwd1172:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7121
mov.l execexit_ptr7121,r1
jmp @r1
add #-2,r6
fdl7121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7121: .long execexit
! Opcode C738
W738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7122
mov.l execexit_ptr7122,r1
jmp @r1
add #-2,r6
fdl7122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7122: .long execexit
! Opcode C739
W739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7123
mov.l execexit_ptr7123,r1
jmp @r1
add #-2,r6
fdl7123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7123: .long execexit
! Opcodes C740 - C747
W740:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(12,r13),r3
mov.l r3,@r2
mov.l r1,@(12,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7124
mov.l execexit_ptr7124,r1
jmp @r1
add #-2,r6
fdl7124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7124: .long execexit
! Opcodes C748 - C74F
W748:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(44,r13),r3
mov.l r3,@r2
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7125
mov.l execexit_ptr7125,r1
jmp @r1
add #-2,r6
fdl7125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7125: .long execexit
! Opcodes C750 - C757
W750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7126
mov.l execexit_ptr7126,r1
jmp @r1
add #-2,r6
fdl7126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7126: .long execexit
! Opcodes C758 - C75F
W758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7127
mov.l execexit_ptr7127,r1
jmp @r1
add #-2,r6
fdl7127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7127: .long execexit
! Opcodes C760 - C767
W760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7128
mov.l execexit_ptr7128,r1
jmp @r1
add #-2,r6
fdl7128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7128: .long execexit
! Opcodes C768 - C76F
W768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7129
mov.l execexit_ptr7129,r1
jmp @r1
add #-2,r6
fdl7129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7129: .long execexit
! Opcodes C770 - C777
W770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1173
exts.w r0,r0
longwd1173:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7130
mov.l execexit_ptr7130,r1
jmp @r1
add #-2,r6
fdl7130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7130: .long execexit
! Opcode C778
W778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7131
mov.l execexit_ptr7131,r1
jmp @r1
add #-2,r6
fdl7131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7131: .long execexit
! Opcode C779
W779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7132
mov.l execexit_ptr7132,r1
jmp @r1
add #-2,r6
fdl7132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7132: .long execexit
! Opcodes C788 - C78F
W788:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(12,r13),r3
mov.l r3,@r2
mov.l r1,@(12,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7133
mov.l execexit_ptr7133,r1
jmp @r1
add #-2,r6
fdl7133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7133: .long execexit
! Opcodes C790 - C797
W790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7134
mov.l execexit_ptr7134,r1
jmp @r1
add #-2,r6
fdl7134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7134: .long execexit
! Opcodes C798 - C79F
W798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7135
mov.l execexit_ptr7135,r1
jmp @r1
add #-2,r6
fdl7135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7135: .long execexit
! Opcodes C7A0 - C7A7
W7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7136
mov.l execexit_ptr7136,r1
jmp @r1
add #-2,r6
fdl7136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7136: .long execexit
! Opcodes C7A8 - C7AF
W7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7137
mov.l execexit_ptr7137,r1
jmp @r1
add #-2,r6
fdl7137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7137: .long execexit
! Opcodes C7B0 - C7B7
W7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1174
exts.w r0,r0
longwd1174:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7138
mov.l execexit_ptr7138,r1
jmp @r1
add #-2,r6
fdl7138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7138: .long execexit
! Opcode C7B8
W7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7139
mov.l execexit_ptr7139,r1
jmp @r1
add #-2,r6
fdl7139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7139: .long execexit
! Opcode C7B9
W7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7140
mov.l execexit_ptr7140,r1
jmp @r1
add #-2,r6
fdl7140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7140: .long execexit
! Opcodes C7C0 - C7C7
W7C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7142
mov.l execexit_ptr7142,r1
jmp @r1
add #-2,r6
fdl7142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7142: .long execexit
! Opcodes C7D0 - C7D7
W7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7144
mov.l execexit_ptr7144,r1
jmp @r1
add #-2,r6
fdl7144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7144: .long execexit
! Opcodes C7D8 - C7DF
W7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7146
mov.l execexit_ptr7146,r1
jmp @r1
add #-2,r6
fdl7146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7146: .long execexit
! Opcodes C7E0 - C7E7
W7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7148
mov.l execexit_ptr7148,r1
jmp @r1
add #-2,r6
fdl7148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7148: .long execexit
! Opcodes C7E8 - C7EF
W7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7150
mov.l execexit_ptr7150,r1
jmp @r1
add #-2,r6
fdl7150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7150: .long execexit
! Opcodes C7F0 - C7F7
W7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1175
exts.w r0,r0
longwd1175:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7152
mov.l execexit_ptr7152,r1
jmp @r1
add #-2,r6
fdl7152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7152: .long execexit
! Opcode C7F8
W7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7154
mov.l execexit_ptr7154,r1
jmp @r1
add #-2,r6
fdl7154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7154: .long execexit
! Opcode C7F9
W7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7156
mov.l execexit_ptr7156,r1
jmp @r1
add #-2,r6
fdl7156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7156: .long execexit
! Opcode C7FA
W7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7158
mov.l execexit_ptr7158,r1
jmp @r1
add #-2,r6
fdl7158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7158: .long execexit
! Opcode C7FB
W7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1176
exts.w r0,r0
longwd1176:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7160
mov.l execexit_ptr7160,r1
jmp @r1
add #-2,r6
fdl7160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7160: .long execexit
! Opcode C7FC
W7FC:
mov.w @r6+,r3
add #-8,r7
mov #12,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(12,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7162
mov.l execexit_ptr7162,r1
jmp @r1
add #-2,r6
fdl7162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7162: .long execexit
! Opcodes C800 - C807
W800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7163
mov.l execexit_ptr7163,r1
jmp @r1
add #-2,r6
fdl7163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7163: .long execexit
! Opcodes C810 - C817
W810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7164
mov.l execexit_ptr7164,r1
jmp @r1
add #-2,r6
fdl7164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7164: .long execexit
! Opcodes C818 - C81F
W818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7165
mov.l execexit_ptr7165,r1
jmp @r1
add #-2,r6
fdl7165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7165: .long execexit
! Opcodes C820 - C827
W820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7166
mov.l execexit_ptr7166,r1
jmp @r1
add #-2,r6
fdl7166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7166: .long execexit
! Opcodes C828 - C82F
W828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7167
mov.l execexit_ptr7167,r1
jmp @r1
add #-2,r6
fdl7167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7167: .long execexit
! Opcodes C830 - C837
W830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1177
exts.w r0,r0
longwd1177:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7168
mov.l execexit_ptr7168,r1
jmp @r1
add #-2,r6
fdl7168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7168: .long execexit
! Opcode C838
W838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7169
mov.l execexit_ptr7169,r1
jmp @r1
add #-2,r6
fdl7169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7169: .long execexit
! Opcode C839
W839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7170
mov.l execexit_ptr7170,r1
jmp @r1
add #-2,r6
fdl7170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7170: .long execexit
! Opcode C83A
W83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7171
mov.l execexit_ptr7171,r1
jmp @r1
add #-2,r6
fdl7171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7171: .long execexit
! Opcode C83B
W83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1178
exts.w r0,r0
longwd1178:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7172
mov.l execexit_ptr7172,r1
jmp @r1
add #-2,r6
fdl7172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7172: .long execexit
! Opcode C83C
W83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov #16,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7173
mov.l execexit_ptr7173,r1
jmp @r1
add #-2,r6
fdl7173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7173: .long execexit
! Opcodes C840 - C847
W840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7174
mov.l execexit_ptr7174,r1
jmp @r1
add #-2,r6
fdl7174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7174: .long execexit
! Opcodes C850 - C857
W850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7175
mov.l execexit_ptr7175,r1
jmp @r1
add #-2,r6
fdl7175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7175: .long execexit
! Opcodes C858 - C85F
W858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7176
mov.l execexit_ptr7176,r1
jmp @r1
add #-2,r6
fdl7176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7176: .long execexit
! Opcodes C860 - C867
W860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7177
mov.l execexit_ptr7177,r1
jmp @r1
add #-2,r6
fdl7177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7177: .long execexit
! Opcodes C868 - C86F
W868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7178
mov.l execexit_ptr7178,r1
jmp @r1
add #-2,r6
fdl7178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7178: .long execexit
! Opcodes C870 - C877
W870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1179
exts.w r0,r0
longwd1179:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7179
mov.l execexit_ptr7179,r1
jmp @r1
add #-2,r6
fdl7179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7179: .long execexit
! Opcode C878
W878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7180
mov.l execexit_ptr7180,r1
jmp @r1
add #-2,r6
fdl7180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7180: .long execexit
! Opcode C879
W879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7181
mov.l execexit_ptr7181,r1
jmp @r1
add #-2,r6
fdl7181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7181: .long execexit
! Opcode C87A
W87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7182
mov.l execexit_ptr7182,r1
jmp @r1
add #-2,r6
fdl7182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7182: .long execexit
! Opcode C87B
W87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1180
exts.w r0,r0
longwd1180:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7183
mov.l execexit_ptr7183,r1
jmp @r1
add #-2,r6
fdl7183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7183: .long execexit
! Opcode C87C
W87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov #16,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7184
mov.l execexit_ptr7184,r1
jmp @r1
add #-2,r6
fdl7184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7184: .long execexit
! Opcodes C880 - C887
W880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7185
mov.l execexit_ptr7185,r1
jmp @r1
add #-2,r6
fdl7185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7185: .long execexit
! Opcodes C890 - C897
W890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7186
mov.l execexit_ptr7186,r1
jmp @r1
add #-2,r6
fdl7186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7186: .long execexit
! Opcodes C898 - C89F
W898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7187
mov.l execexit_ptr7187,r1
jmp @r1
add #-2,r6
fdl7187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7187: .long execexit
! Opcodes C8A0 - C8A7
W8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7188
mov.l execexit_ptr7188,r1
jmp @r1
add #-2,r6
fdl7188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7188: .long execexit
! Opcodes C8A8 - C8AF
W8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7189
mov.l execexit_ptr7189,r1
jmp @r1
add #-2,r6
fdl7189:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7189: .long execexit
! Opcodes C8B0 - C8B7
W8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1181
exts.w r0,r0
longwd1181:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7190
mov.l execexit_ptr7190,r1
jmp @r1
add #-2,r6
fdl7190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7190: .long execexit
! Opcode C8B8
W8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7191
mov.l execexit_ptr7191,r1
jmp @r1
add #-2,r6
fdl7191:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7191: .long execexit
! Opcode C8B9
W8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7192
mov.l execexit_ptr7192,r1
jmp @r1
add #-2,r6
fdl7192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7192: .long execexit
! Opcode C8BA
W8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7193
mov.l execexit_ptr7193,r1
jmp @r1
add #-2,r6
fdl7193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7193: .long execexit
! Opcode C8BB
W8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1182
exts.w r0,r0
longwd1182:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7194
mov.l execexit_ptr7194,r1
jmp @r1
add #-2,r6
fdl7194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7194: .long execexit
! Opcode C8BC
W8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
and r1,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7195
mov.l execexit_ptr7195,r1
jmp @r1
add #-2,r6
fdl7195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7195: .long execexit
! Opcodes C8C0 - C8C7
W8C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7197
mov.l execexit_ptr7197,r1
jmp @r1
add #-2,r6
fdl7197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7197: .long execexit
! Opcodes C8D0 - C8D7
W8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7199
mov.l execexit_ptr7199,r1
jmp @r1
add #-2,r6
fdl7199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7199: .long execexit
! Opcodes C8D8 - C8DF
W8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7201
mov.l execexit_ptr7201,r1
jmp @r1
add #-2,r6
fdl7201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7201: .long execexit
! Opcodes C8E0 - C8E7
W8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7203
mov.l execexit_ptr7203,r1
jmp @r1
add #-2,r6
fdl7203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7203: .long execexit
! Opcodes C8E8 - C8EF
W8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7205
mov.l execexit_ptr7205,r1
jmp @r1
add #-2,r6
fdl7205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7205: .long execexit
! Opcodes C8F0 - C8F7
W8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1183
exts.w r0,r0
longwd1183:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7207
mov.l execexit_ptr7207,r1
jmp @r1
add #-2,r6
fdl7207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7207: .long execexit
! Opcode C8F8
W8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7209
mov.l execexit_ptr7209,r1
jmp @r1
add #-2,r6
fdl7209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7209: .long execexit
! Opcode C8F9
W8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7211
mov.l execexit_ptr7211,r1
jmp @r1
add #-2,r6
fdl7211:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7211: .long execexit
! Opcode C8FA
W8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7213
mov.l execexit_ptr7213,r1
jmp @r1
add #-2,r6
fdl7213:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7213: .long execexit
! Opcode C8FB
W8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1184
exts.w r0,r0
longwd1184:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7215
mov.l execexit_ptr7215,r1
jmp @r1
add #-2,r6
fdl7215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7215: .long execexit
! Opcode C8FC
W8FC:
mov.w @r6+,r3
add #-16,r7
mov #16,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7217
mov.l execexit_ptr7217,r1
jmp @r1
add #-2,r6
fdl7217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7217: .long execexit
! Opcodes C900 - C907
W900:
and r1,r2
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7218
add #6,r8
.nonibadd7218:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7218
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7218:
exts.b r3,r3
mov r9,r8
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7219
mov.l execexit_ptr7219,r1
jmp @r1
add #-2,r6
fdl7219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7219: .long execexit
! Opcodes C908 - C90F
W908:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7220
add #6,r8
.nonibadd7220:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7220
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7220:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7221
mov.l execexit_ptr7221,r1
jmp @r1
add #-2,r6
fdl7221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7221: .long execexit
! Opcodes C910 - C917
W910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7222
mov.l execexit_ptr7222,r1
jmp @r1
add #-2,r6
fdl7222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7222: .long execexit
! Opcodes C918 - C91F
W918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7223
mov.l execexit_ptr7223,r1
jmp @r1
add #-2,r6
fdl7223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7223: .long execexit
! Opcodes C920 - C927
W920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7224
mov.l execexit_ptr7224,r1
jmp @r1
add #-2,r6
fdl7224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7224: .long execexit
! Opcodes C928 - C92F
W928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7225
mov.l execexit_ptr7225,r1
jmp @r1
add #-2,r6
fdl7225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7225: .long execexit
! Opcodes C930 - C937
W930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1185
exts.w r0,r0
longwd1185:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7226
mov.l execexit_ptr7226,r1
jmp @r1
add #-2,r6
fdl7226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7226: .long execexit
! Opcode C938
W938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7227
mov.l execexit_ptr7227,r1
jmp @r1
add #-2,r6
fdl7227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7227: .long execexit
! Opcode C939
W939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7228
mov.l execexit_ptr7228,r1
jmp @r1
add #-2,r6
fdl7228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7228: .long execexit
! Opcodes C940 - C947
W940:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(16,r13),r3
mov.l r3,@r2
mov.l r1,@(16,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7229
mov.l execexit_ptr7229,r1
jmp @r1
add #-2,r6
fdl7229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7229: .long execexit
! Opcodes C948 - C94F
W948:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(48,r13),r3
mov.l r3,@r2
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7230
mov.l execexit_ptr7230,r1
jmp @r1
add #-2,r6
fdl7230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7230: .long execexit
! Opcodes C950 - C957
W950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7231
mov.l execexit_ptr7231,r1
jmp @r1
add #-2,r6
fdl7231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7231: .long execexit
! Opcodes C958 - C95F
W958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7232
mov.l execexit_ptr7232,r1
jmp @r1
add #-2,r6
fdl7232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7232: .long execexit
! Opcodes C960 - C967
W960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7233
mov.l execexit_ptr7233,r1
jmp @r1
add #-2,r6
fdl7233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7233: .long execexit
! Opcodes C968 - C96F
W968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7234
mov.l execexit_ptr7234,r1
jmp @r1
add #-2,r6
fdl7234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7234: .long execexit
! Opcodes C970 - C977
W970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1186
exts.w r0,r0
longwd1186:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7235
mov.l execexit_ptr7235,r1
jmp @r1
add #-2,r6
fdl7235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7235: .long execexit
! Opcode C978
W978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7236
mov.l execexit_ptr7236,r1
jmp @r1
add #-2,r6
fdl7236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7236: .long execexit
! Opcode C979
W979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7237
mov.l execexit_ptr7237,r1
jmp @r1
add #-2,r6
fdl7237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7237: .long execexit
! Opcodes C988 - C98F
W988:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(16,r13),r3
mov.l r3,@r2
mov.l r1,@(16,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7238
mov.l execexit_ptr7238,r1
jmp @r1
add #-2,r6
fdl7238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7238: .long execexit
! Opcodes C990 - C997
W990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7239
mov.l execexit_ptr7239,r1
jmp @r1
add #-2,r6
fdl7239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7239: .long execexit
! Opcodes C998 - C99F
W998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7240
mov.l execexit_ptr7240,r1
jmp @r1
add #-2,r6
fdl7240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7240: .long execexit
! Opcodes C9A0 - C9A7
W9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7241
mov.l execexit_ptr7241,r1
jmp @r1
add #-2,r6
fdl7241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7241: .long execexit
! Opcodes C9A8 - C9AF
W9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7242
mov.l execexit_ptr7242,r1
jmp @r1
add #-2,r6
fdl7242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7242: .long execexit
! Opcodes C9B0 - C9B7
W9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1187
exts.w r0,r0
longwd1187:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7243
mov.l execexit_ptr7243,r1
jmp @r1
add #-2,r6
fdl7243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7243: .long execexit
! Opcode C9B8
W9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7244
mov.l execexit_ptr7244,r1
jmp @r1
add #-2,r6
fdl7244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7244: .long execexit
! Opcode C9B9
W9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7245
mov.l execexit_ptr7245,r1
jmp @r1
add #-2,r6
fdl7245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7245: .long execexit
! Opcodes C9C0 - C9C7
W9C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7247
mov.l execexit_ptr7247,r1
jmp @r1
add #-2,r6
fdl7247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7247: .long execexit
! Opcodes C9D0 - C9D7
W9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7249
mov.l execexit_ptr7249,r1
jmp @r1
add #-2,r6
fdl7249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7249: .long execexit
! Opcodes C9D8 - C9DF
W9D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7251
mov.l execexit_ptr7251,r1
jmp @r1
add #-2,r6
fdl7251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7251: .long execexit
! Opcodes C9E0 - C9E7
W9E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7253
mov.l execexit_ptr7253,r1
jmp @r1
add #-2,r6
fdl7253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7253: .long execexit
! Opcodes C9E8 - C9EF
W9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7255
mov.l execexit_ptr7255,r1
jmp @r1
add #-2,r6
fdl7255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7255: .long execexit
! Opcodes C9F0 - C9F7
W9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1188
exts.w r0,r0
longwd1188:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7257
mov.l execexit_ptr7257,r1
jmp @r1
add #-2,r6
fdl7257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7257: .long execexit
! Opcode C9F8
W9F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7259
mov.l execexit_ptr7259,r1
jmp @r1
add #-2,r6
fdl7259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7259: .long execexit
! Opcode C9F9
W9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7261
mov.l execexit_ptr7261,r1
jmp @r1
add #-2,r6
fdl7261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7261: .long execexit
! Opcode C9FA
W9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7263
mov.l execexit_ptr7263,r1
jmp @r1
add #-2,r6
fdl7263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7263: .long execexit
! Opcode C9FB
W9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1189
exts.w r0,r0
longwd1189:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7265
mov.l execexit_ptr7265,r1
jmp @r1
add #-2,r6
fdl7265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7265: .long execexit
! Opcode C9FC
W9FC:
mov.w @r6+,r3
add #-8,r7
mov #16,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(16,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7267
mov.l execexit_ptr7267,r1
jmp @r1
add #-2,r6
fdl7267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7267: .long execexit
! Opcodes CA00 - CA07
WA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7268
mov.l execexit_ptr7268,r1
jmp @r1
add #-2,r6
fdl7268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7268: .long execexit
! Opcodes CA10 - CA17
WA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7269
mov.l execexit_ptr7269,r1
jmp @r1
add #-2,r6
fdl7269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7269: .long execexit
! Opcodes CA18 - CA1F
WA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7270
mov.l execexit_ptr7270,r1
jmp @r1
add #-2,r6
fdl7270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7270: .long execexit
! Opcodes CA20 - CA27
WA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7271
mov.l execexit_ptr7271,r1
jmp @r1
add #-2,r6
fdl7271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7271: .long execexit
! Opcodes CA28 - CA2F
WA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7272
mov.l execexit_ptr7272,r1
jmp @r1
add #-2,r6
fdl7272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7272: .long execexit
! Opcodes CA30 - CA37
WA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1190
exts.w r0,r0
longwd1190:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7273
mov.l execexit_ptr7273,r1
jmp @r1
add #-2,r6
fdl7273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7273: .long execexit
! Opcode CA38
WA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7274
mov.l execexit_ptr7274,r1
jmp @r1
add #-2,r6
fdl7274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7274: .long execexit
! Opcode CA39
WA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7275
mov.l execexit_ptr7275,r1
jmp @r1
add #-2,r6
fdl7275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7275: .long execexit
! Opcode CA3A
WA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7276
mov.l execexit_ptr7276,r1
jmp @r1
add #-2,r6
fdl7276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7276: .long execexit
! Opcode CA3B
WA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1191
exts.w r0,r0
longwd1191:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7277
mov.l execexit_ptr7277,r1
jmp @r1
add #-2,r6
fdl7277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7277: .long execexit
! Opcode CA3C
WA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov #20,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7278
mov.l execexit_ptr7278,r1
jmp @r1
add #-2,r6
fdl7278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7278: .long execexit
! Opcodes CA40 - CA47
WA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7279
mov.l execexit_ptr7279,r1
jmp @r1
add #-2,r6
fdl7279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7279: .long execexit
! Opcodes CA50 - CA57
WA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7280
mov.l execexit_ptr7280,r1
jmp @r1
add #-2,r6
fdl7280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7280: .long execexit
! Opcodes CA58 - CA5F
WA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7281
mov.l execexit_ptr7281,r1
jmp @r1
add #-2,r6
fdl7281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7281: .long execexit
! Opcodes CA60 - CA67
WA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7282
mov.l execexit_ptr7282,r1
jmp @r1
add #-2,r6
fdl7282:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7282: .long execexit
! Opcodes CA68 - CA6F
WA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7283
mov.l execexit_ptr7283,r1
jmp @r1
add #-2,r6
fdl7283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7283: .long execexit
! Opcodes CA70 - CA77
WA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1192
exts.w r0,r0
longwd1192:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7284
mov.l execexit_ptr7284,r1
jmp @r1
add #-2,r6
fdl7284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7284: .long execexit
! Opcode CA78
WA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7285
mov.l execexit_ptr7285,r1
jmp @r1
add #-2,r6
fdl7285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7285: .long execexit
! Opcode CA79
WA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7286
mov.l execexit_ptr7286,r1
jmp @r1
add #-2,r6
fdl7286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7286: .long execexit
! Opcode CA7A
WA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7287
mov.l execexit_ptr7287,r1
jmp @r1
add #-2,r6
fdl7287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7287: .long execexit
! Opcode CA7B
WA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1193
exts.w r0,r0
longwd1193:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7288
mov.l execexit_ptr7288,r1
jmp @r1
add #-2,r6
fdl7288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7288: .long execexit
! Opcode CA7C
WA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov #20,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7289
mov.l execexit_ptr7289,r1
jmp @r1
add #-2,r6
fdl7289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7289: .long execexit
! Opcodes CA80 - CA87
WA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7290
mov.l execexit_ptr7290,r1
jmp @r1
add #-2,r6
fdl7290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7290: .long execexit
! Opcodes CA90 - CA97
WA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7291
mov.l execexit_ptr7291,r1
jmp @r1
add #-2,r6
fdl7291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7291: .long execexit
! Opcodes CA98 - CA9F
WA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7292
mov.l execexit_ptr7292,r1
jmp @r1
add #-2,r6
fdl7292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7292: .long execexit
! Opcodes CAA0 - CAA7
WAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7293
mov.l execexit_ptr7293,r1
jmp @r1
add #-2,r6
fdl7293:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7293: .long execexit
! Opcodes CAA8 - CAAF
WAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7294
mov.l execexit_ptr7294,r1
jmp @r1
add #-2,r6
fdl7294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7294: .long execexit
! Opcodes CAB0 - CAB7
WAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1194
exts.w r0,r0
longwd1194:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7295
mov.l execexit_ptr7295,r1
jmp @r1
add #-2,r6
fdl7295:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7295: .long execexit
! Opcode CAB8
WAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7296
mov.l execexit_ptr7296,r1
jmp @r1
add #-2,r6
fdl7296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7296: .long execexit
! Opcode CAB9
WAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7297
mov.l execexit_ptr7297,r1
jmp @r1
add #-2,r6
fdl7297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7297: .long execexit
! Opcode CABA
WABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7298
mov.l execexit_ptr7298,r1
jmp @r1
add #-2,r6
fdl7298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7298: .long execexit
! Opcode CABB
WABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1195
exts.w r0,r0
longwd1195:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7299
mov.l execexit_ptr7299,r1
jmp @r1
add #-2,r6
fdl7299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7299: .long execexit
! Opcode CABC
WABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
and r1,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7300
mov.l execexit_ptr7300,r1
jmp @r1
add #-2,r6
fdl7300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7300: .long execexit
! Opcodes CAC0 - CAC7
WAC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7302
mov.l execexit_ptr7302,r1
jmp @r1
add #-2,r6
fdl7302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7302: .long execexit
! Opcodes CAD0 - CAD7
WAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7304
mov.l execexit_ptr7304,r1
jmp @r1
add #-2,r6
fdl7304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7304: .long execexit
! Opcodes CAD8 - CADF
WAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7306
mov.l execexit_ptr7306,r1
jmp @r1
add #-2,r6
fdl7306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7306: .long execexit
! Opcodes CAE0 - CAE7
WAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7308
mov.l execexit_ptr7308,r1
jmp @r1
add #-2,r6
fdl7308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7308: .long execexit
! Opcodes CAE8 - CAEF
WAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7310
mov.l execexit_ptr7310,r1
jmp @r1
add #-2,r6
fdl7310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7310: .long execexit
! Opcodes CAF0 - CAF7
WAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1196
exts.w r0,r0
longwd1196:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7312
mov.l execexit_ptr7312,r1
jmp @r1
add #-2,r6
fdl7312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7312: .long execexit
! Opcode CAF8
WAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7314
mov.l execexit_ptr7314,r1
jmp @r1
add #-2,r6
fdl7314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7314: .long execexit
! Opcode CAF9
WAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7316
mov.l execexit_ptr7316,r1
jmp @r1
add #-2,r6
fdl7316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7316: .long execexit
! Opcode CAFA
WAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7318
mov.l execexit_ptr7318,r1
jmp @r1
add #-2,r6
fdl7318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7318: .long execexit
! Opcode CAFB
WAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1197
exts.w r0,r0
longwd1197:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7320
mov.l execexit_ptr7320,r1
jmp @r1
add #-2,r6
fdl7320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7320: .long execexit
! Opcode CAFC
WAFC:
mov.w @r6+,r3
add #-16,r7
mov #20,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7322
mov.l execexit_ptr7322,r1
jmp @r1
add #-2,r6
fdl7322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7322: .long execexit
! Opcodes CB00 - CB07
WB00:
and r1,r2
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7323
add #6,r8
.nonibadd7323:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7323
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7323:
exts.b r3,r3
mov r9,r8
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7324
mov.l execexit_ptr7324,r1
jmp @r1
add #-2,r6
fdl7324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7324: .long execexit
! Opcodes CB08 - CB0F
WB08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7325
add #6,r8
.nonibadd7325:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7325
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7325:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7326
mov.l execexit_ptr7326,r1
jmp @r1
add #-2,r6
fdl7326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7326: .long execexit
! Opcodes CB10 - CB17
WB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7327
mov.l execexit_ptr7327,r1
jmp @r1
add #-2,r6
fdl7327:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7327: .long execexit
! Opcodes CB18 - CB1F
WB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7328
mov.l execexit_ptr7328,r1
jmp @r1
add #-2,r6
fdl7328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7328: .long execexit
! Opcodes CB20 - CB27
WB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7329
mov.l execexit_ptr7329,r1
jmp @r1
add #-2,r6
fdl7329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7329: .long execexit
! Opcodes CB28 - CB2F
WB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7330
mov.l execexit_ptr7330,r1
jmp @r1
add #-2,r6
fdl7330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7330: .long execexit
! Opcodes CB30 - CB37
WB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1198
exts.w r0,r0
longwd1198:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7331
mov.l execexit_ptr7331,r1
jmp @r1
add #-2,r6
fdl7331:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7331: .long execexit
! Opcode CB38
WB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7332
mov.l execexit_ptr7332,r1
jmp @r1
add #-2,r6
fdl7332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7332: .long execexit
! Opcode CB39
WB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7333
mov.l execexit_ptr7333,r1
jmp @r1
add #-2,r6
fdl7333:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7333: .long execexit
! Opcodes CB40 - CB47
WB40:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(20,r13),r3
mov.l r3,@r2
mov.l r1,@(20,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7334
mov.l execexit_ptr7334,r1
jmp @r1
add #-2,r6
fdl7334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7334: .long execexit
! Opcodes CB48 - CB4F
WB48:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(52,r13),r3
mov.l r3,@r2
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7335
mov.l execexit_ptr7335,r1
jmp @r1
add #-2,r6
fdl7335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7335: .long execexit
! Opcodes CB50 - CB57
WB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7336
mov.l execexit_ptr7336,r1
jmp @r1
add #-2,r6
fdl7336:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7336: .long execexit
! Opcodes CB58 - CB5F
WB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7337
mov.l execexit_ptr7337,r1
jmp @r1
add #-2,r6
fdl7337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7337: .long execexit
! Opcodes CB60 - CB67
WB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7338
mov.l execexit_ptr7338,r1
jmp @r1
add #-2,r6
fdl7338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7338: .long execexit
! Opcodes CB68 - CB6F
WB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7339
mov.l execexit_ptr7339,r1
jmp @r1
add #-2,r6
fdl7339:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7339: .long execexit
! Opcodes CB70 - CB77
WB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1199
exts.w r0,r0
longwd1199:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7340
mov.l execexit_ptr7340,r1
jmp @r1
add #-2,r6
fdl7340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7340: .long execexit
! Opcode CB78
WB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7341
mov.l execexit_ptr7341,r1
jmp @r1
add #-2,r6
fdl7341:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7341: .long execexit
! Opcode CB79
WB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7342
mov.l execexit_ptr7342,r1
jmp @r1
add #-2,r6
fdl7342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7342: .long execexit
! Opcodes CB88 - CB8F
WB88:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(20,r13),r3
mov.l r3,@r2
mov.l r1,@(20,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7343
mov.l execexit_ptr7343,r1
jmp @r1
add #-2,r6
fdl7343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7343: .long execexit
! Opcodes CB90 - CB97
WB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7344
mov.l execexit_ptr7344,r1
jmp @r1
add #-2,r6
fdl7344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7344: .long execexit
! Opcodes CB98 - CB9F
WB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7345
mov.l execexit_ptr7345,r1
jmp @r1
add #-2,r6
fdl7345:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7345: .long execexit
! Opcodes CBA0 - CBA7
WBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7346
mov.l execexit_ptr7346,r1
jmp @r1
add #-2,r6
fdl7346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7346: .long execexit
! Opcodes CBA8 - CBAF
WBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7347
mov.l execexit_ptr7347,r1
jmp @r1
add #-2,r6
fdl7347:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7347: .long execexit
! Opcodes CBB0 - CBB7
WBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1200
exts.w r0,r0
longwd1200:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7348
mov.l execexit_ptr7348,r1
jmp @r1
add #-2,r6
fdl7348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7348: .long execexit
! Opcode CBB8
WBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7349
mov.l execexit_ptr7349,r1
jmp @r1
add #-2,r6
fdl7349:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7349: .long execexit
! Opcode CBB9
WBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7350
mov.l execexit_ptr7350,r1
jmp @r1
add #-2,r6
fdl7350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7350: .long execexit
! Opcodes CBC0 - CBC7
WBC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7352
mov.l execexit_ptr7352,r1
jmp @r1
add #-2,r6
fdl7352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7352: .long execexit
! Opcodes CBD0 - CBD7
WBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7354
mov.l execexit_ptr7354,r1
jmp @r1
add #-2,r6
fdl7354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7354: .long execexit
! Opcodes CBD8 - CBDF
WBD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7356
mov.l execexit_ptr7356,r1
jmp @r1
add #-2,r6
fdl7356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7356: .long execexit
! Opcodes CBE0 - CBE7
WBE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7358
mov.l execexit_ptr7358,r1
jmp @r1
add #-2,r6
fdl7358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7358: .long execexit
! Opcodes CBE8 - CBEF
WBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7360
mov.l execexit_ptr7360,r1
jmp @r1
add #-2,r6
fdl7360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7360: .long execexit
! Opcodes CBF0 - CBF7
WBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1201
exts.w r0,r0
longwd1201:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7362
mov.l execexit_ptr7362,r1
jmp @r1
add #-2,r6
fdl7362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7362: .long execexit
! Opcode CBF8
WBF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7364
mov.l execexit_ptr7364,r1
jmp @r1
add #-2,r6
fdl7364:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7364: .long execexit
! Opcode CBF9
WBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7366
mov.l execexit_ptr7366,r1
jmp @r1
add #-2,r6
fdl7366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7366: .long execexit
! Opcode CBFA
WBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7368
mov.l execexit_ptr7368,r1
jmp @r1
add #-2,r6
fdl7368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7368: .long execexit
! Opcode CBFB
WBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1202
exts.w r0,r0
longwd1202:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7370
mov.l execexit_ptr7370,r1
jmp @r1
add #-2,r6
fdl7370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7370: .long execexit
! Opcode CBFC
WBFC:
mov.w @r6+,r3
add #-8,r7
mov #20,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(20,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7372
mov.l execexit_ptr7372,r1
jmp @r1
add #-2,r6
fdl7372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7372: .long execexit
! Opcodes CC00 - CC07
WC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7373
mov.l execexit_ptr7373,r1
jmp @r1
add #-2,r6
fdl7373:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7373: .long execexit
! Opcodes CC10 - CC17
WC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7374
mov.l execexit_ptr7374,r1
jmp @r1
add #-2,r6
fdl7374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7374: .long execexit
! Opcodes CC18 - CC1F
WC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7375
mov.l execexit_ptr7375,r1
jmp @r1
add #-2,r6
fdl7375:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7375: .long execexit
! Opcodes CC20 - CC27
WC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7376
mov.l execexit_ptr7376,r1
jmp @r1
add #-2,r6
fdl7376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7376: .long execexit
! Opcodes CC28 - CC2F
WC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7377
mov.l execexit_ptr7377,r1
jmp @r1
add #-2,r6
fdl7377:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7377: .long execexit
! Opcodes CC30 - CC37
WC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1203
exts.w r0,r0
longwd1203:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7378
mov.l execexit_ptr7378,r1
jmp @r1
add #-2,r6
fdl7378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7378: .long execexit
! Opcode CC38
WC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7379
mov.l execexit_ptr7379,r1
jmp @r1
add #-2,r6
fdl7379:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7379: .long execexit
! Opcode CC39
WC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7380
mov.l execexit_ptr7380,r1
jmp @r1
add #-2,r6
fdl7380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7380: .long execexit
! Opcode CC3A
WC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7381
mov.l execexit_ptr7381,r1
jmp @r1
add #-2,r6
fdl7381:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7381: .long execexit
! Opcode CC3B
WC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1204
exts.w r0,r0
longwd1204:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7382
mov.l execexit_ptr7382,r1
jmp @r1
add #-2,r6
fdl7382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7382: .long execexit
! Opcode CC3C
WC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov #24,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7383
mov.l execexit_ptr7383,r1
jmp @r1
add #-2,r6
fdl7383:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7383: .long execexit
! Opcodes CC40 - CC47
WC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7384
mov.l execexit_ptr7384,r1
jmp @r1
add #-2,r6
fdl7384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7384: .long execexit
! Opcodes CC50 - CC57
WC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7385
mov.l execexit_ptr7385,r1
jmp @r1
add #-2,r6
fdl7385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7385: .long execexit
! Opcodes CC58 - CC5F
WC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7386
mov.l execexit_ptr7386,r1
jmp @r1
add #-2,r6
fdl7386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7386: .long execexit
! Opcodes CC60 - CC67
WC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7387
mov.l execexit_ptr7387,r1
jmp @r1
add #-2,r6
fdl7387:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7387: .long execexit
! Opcodes CC68 - CC6F
WC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7388
mov.l execexit_ptr7388,r1
jmp @r1
add #-2,r6
fdl7388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7388: .long execexit
! Opcodes CC70 - CC77
WC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1205
exts.w r0,r0
longwd1205:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7389
mov.l execexit_ptr7389,r1
jmp @r1
add #-2,r6
fdl7389:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7389: .long execexit
! Opcode CC78
WC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7390
mov.l execexit_ptr7390,r1
jmp @r1
add #-2,r6
fdl7390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7390: .long execexit
! Opcode CC79
WC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7391
mov.l execexit_ptr7391,r1
jmp @r1
add #-2,r6
fdl7391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7391: .long execexit
! Opcode CC7A
WC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7392
mov.l execexit_ptr7392,r1
jmp @r1
add #-2,r6
fdl7392:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7392: .long execexit
! Opcode CC7B
WC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1206
exts.w r0,r0
longwd1206:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7393
mov.l execexit_ptr7393,r1
jmp @r1
add #-2,r6
fdl7393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7393: .long execexit
! Opcode CC7C
WC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov #24,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7394
mov.l execexit_ptr7394,r1
jmp @r1
add #-2,r6
fdl7394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7394: .long execexit
! Opcodes CC80 - CC87
WC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7395
mov.l execexit_ptr7395,r1
jmp @r1
add #-2,r6
fdl7395:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7395: .long execexit
! Opcodes CC90 - CC97
WC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7396
mov.l execexit_ptr7396,r1
jmp @r1
add #-2,r6
fdl7396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7396: .long execexit
! Opcodes CC98 - CC9F
WC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7397
mov.l execexit_ptr7397,r1
jmp @r1
add #-2,r6
fdl7397:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7397: .long execexit
! Opcodes CCA0 - CCA7
WCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7398
mov.l execexit_ptr7398,r1
jmp @r1
add #-2,r6
fdl7398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7398: .long execexit
! Opcodes CCA8 - CCAF
WCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7399
mov.l execexit_ptr7399,r1
jmp @r1
add #-2,r6
fdl7399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7399: .long execexit
! Opcodes CCB0 - CCB7
WCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1207
exts.w r0,r0
longwd1207:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7400
mov.l execexit_ptr7400,r1
jmp @r1
add #-2,r6
fdl7400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7400: .long execexit
! Opcode CCB8
WCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7401
mov.l execexit_ptr7401,r1
jmp @r1
add #-2,r6
fdl7401:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7401: .long execexit
! Opcode CCB9
WCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7402
mov.l execexit_ptr7402,r1
jmp @r1
add #-2,r6
fdl7402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7402: .long execexit
! Opcode CCBA
WCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7403
mov.l execexit_ptr7403,r1
jmp @r1
add #-2,r6
fdl7403:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7403: .long execexit
! Opcode CCBB
WCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1208
exts.w r0,r0
longwd1208:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7404
mov.l execexit_ptr7404,r1
jmp @r1
add #-2,r6
fdl7404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7404: .long execexit
! Opcode CCBC
WCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
and r1,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7405
mov.l execexit_ptr7405,r1
jmp @r1
add #-2,r6
fdl7405:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7405: .long execexit
! Opcodes CCC0 - CCC7
WCC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7407
mov.l execexit_ptr7407,r1
jmp @r1
add #-2,r6
fdl7407:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7407: .long execexit
! Opcodes CCD0 - CCD7
WCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7409
mov.l execexit_ptr7409,r1
jmp @r1
add #-2,r6
fdl7409:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7409: .long execexit
! Opcodes CCD8 - CCDF
WCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7411
mov.l execexit_ptr7411,r1
jmp @r1
add #-2,r6
fdl7411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7411: .long execexit
! Opcodes CCE0 - CCE7
WCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7413
mov.l execexit_ptr7413,r1
jmp @r1
add #-2,r6
fdl7413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7413: .long execexit
! Opcodes CCE8 - CCEF
WCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7415
mov.l execexit_ptr7415,r1
jmp @r1
add #-2,r6
fdl7415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7415: .long execexit
! Opcodes CCF0 - CCF7
WCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1209
exts.w r0,r0
longwd1209:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7417
mov.l execexit_ptr7417,r1
jmp @r1
add #-2,r6
fdl7417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7417: .long execexit
! Opcode CCF8
WCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7419
mov.l execexit_ptr7419,r1
jmp @r1
add #-2,r6
fdl7419:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7419: .long execexit
! Opcode CCF9
WCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7421
mov.l execexit_ptr7421,r1
jmp @r1
add #-2,r6
fdl7421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7421: .long execexit
! Opcode CCFA
WCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7423
mov.l execexit_ptr7423,r1
jmp @r1
add #-2,r6
fdl7423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7423: .long execexit
! Opcode CCFB
WCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1210
exts.w r0,r0
longwd1210:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7425
mov.l execexit_ptr7425,r1
jmp @r1
add #-2,r6
fdl7425:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7425: .long execexit
! Opcode CCFC
WCFC:
mov.w @r6+,r3
add #-16,r7
mov #24,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7427
mov.l execexit_ptr7427,r1
jmp @r1
add #-2,r6
fdl7427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7427: .long execexit
! Opcodes CD00 - CD07
WD00:
and r1,r2
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7428
add #6,r8
.nonibadd7428:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7428
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7428:
exts.b r3,r3
mov r9,r8
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7429
mov.l execexit_ptr7429,r1
jmp @r1
add #-2,r6
fdl7429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7429: .long execexit
! Opcodes CD08 - CD0F
WD08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7430
add #6,r8
.nonibadd7430:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7430
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7430:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7431
mov.l execexit_ptr7431,r1
jmp @r1
add #-2,r6
fdl7431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7431: .long execexit
! Opcodes CD10 - CD17
WD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7432
mov.l execexit_ptr7432,r1
jmp @r1
add #-2,r6
fdl7432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7432: .long execexit
! Opcodes CD18 - CD1F
WD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7433
mov.l execexit_ptr7433,r1
jmp @r1
add #-2,r6
fdl7433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7433: .long execexit
! Opcodes CD20 - CD27
WD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7434
mov.l execexit_ptr7434,r1
jmp @r1
add #-2,r6
fdl7434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7434: .long execexit
! Opcodes CD28 - CD2F
WD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7435
mov.l execexit_ptr7435,r1
jmp @r1
add #-2,r6
fdl7435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7435: .long execexit
! Opcodes CD30 - CD37
WD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1211
exts.w r0,r0
longwd1211:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7436
mov.l execexit_ptr7436,r1
jmp @r1
add #-2,r6
fdl7436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7436: .long execexit
! Opcode CD38
WD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7437
mov.l execexit_ptr7437,r1
jmp @r1
add #-2,r6
fdl7437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7437: .long execexit
! Opcode CD39
WD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7438
mov.l execexit_ptr7438,r1
jmp @r1
add #-2,r6
fdl7438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7438: .long execexit
! Opcodes CD40 - CD47
WD40:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(24,r13),r3
mov.l r3,@r2
mov.l r1,@(24,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7439
mov.l execexit_ptr7439,r1
jmp @r1
add #-2,r6
fdl7439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7439: .long execexit
! Opcodes CD48 - CD4F
WD48:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(56,r13),r3
mov.l r3,@r2
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7440
mov.l execexit_ptr7440,r1
jmp @r1
add #-2,r6
fdl7440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7440: .long execexit
! Opcodes CD50 - CD57
WD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7441
mov.l execexit_ptr7441,r1
jmp @r1
add #-2,r6
fdl7441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7441: .long execexit
! Opcodes CD58 - CD5F
WD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7442
mov.l execexit_ptr7442,r1
jmp @r1
add #-2,r6
fdl7442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7442: .long execexit
! Opcodes CD60 - CD67
WD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7443
mov.l execexit_ptr7443,r1
jmp @r1
add #-2,r6
fdl7443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7443: .long execexit
! Opcodes CD68 - CD6F
WD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7444
mov.l execexit_ptr7444,r1
jmp @r1
add #-2,r6
fdl7444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7444: .long execexit
! Opcodes CD70 - CD77
WD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1212
exts.w r0,r0
longwd1212:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7445
mov.l execexit_ptr7445,r1
jmp @r1
add #-2,r6
fdl7445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7445: .long execexit
! Opcode CD78
WD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7446
mov.l execexit_ptr7446,r1
jmp @r1
add #-2,r6
fdl7446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7446: .long execexit
! Opcode CD79
WD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7447
mov.l execexit_ptr7447,r1
jmp @r1
add #-2,r6
fdl7447:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7447: .long execexit
! Opcodes CD88 - CD8F
WD88:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(24,r13),r3
mov.l r3,@r2
mov.l r1,@(24,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7448
mov.l execexit_ptr7448,r1
jmp @r1
add #-2,r6
fdl7448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7448: .long execexit
! Opcodes CD90 - CD97
WD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7449
mov.l execexit_ptr7449,r1
jmp @r1
add #-2,r6
fdl7449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7449: .long execexit
! Opcodes CD98 - CD9F
WD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7450
mov.l execexit_ptr7450,r1
jmp @r1
add #-2,r6
fdl7450:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7450: .long execexit
! Opcodes CDA0 - CDA7
WDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7451
mov.l execexit_ptr7451,r1
jmp @r1
add #-2,r6
fdl7451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7451: .long execexit
! Opcodes CDA8 - CDAF
WDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7452
mov.l execexit_ptr7452,r1
jmp @r1
add #-2,r6
fdl7452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7452: .long execexit
! Opcodes CDB0 - CDB7
WDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1213
exts.w r0,r0
longwd1213:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7453
mov.l execexit_ptr7453,r1
jmp @r1
add #-2,r6
fdl7453:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7453: .long execexit
! Opcode CDB8
WDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7454
mov.l execexit_ptr7454,r1
jmp @r1
add #-2,r6
fdl7454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7454: .long execexit
! Opcode CDB9
WDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7455
mov.l execexit_ptr7455,r1
jmp @r1
add #-2,r6
fdl7455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7455: .long execexit
! Opcodes CDC0 - CDC7
WDC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7457
mov.l execexit_ptr7457,r1
jmp @r1
add #-2,r6
fdl7457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7457: .long execexit
! Opcodes CDD0 - CDD7
WDD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7459
mov.l execexit_ptr7459,r1
jmp @r1
add #-2,r6
fdl7459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7459: .long execexit
! Opcodes CDD8 - CDDF
WDD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7461
mov.l execexit_ptr7461,r1
jmp @r1
add #-2,r6
fdl7461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7461: .long execexit
! Opcodes CDE0 - CDE7
WDE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7463
mov.l execexit_ptr7463,r1
jmp @r1
add #-2,r6
fdl7463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7463: .long execexit
! Opcodes CDE8 - CDEF
WDE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7465
mov.l execexit_ptr7465,r1
jmp @r1
add #-2,r6
fdl7465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7465: .long execexit
! Opcodes CDF0 - CDF7
WDF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1214
exts.w r0,r0
longwd1214:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7467
mov.l execexit_ptr7467,r1
jmp @r1
add #-2,r6
fdl7467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7467: .long execexit
! Opcode CDF8
WDF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7469
mov.l execexit_ptr7469,r1
jmp @r1
add #-2,r6
fdl7469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7469: .long execexit
! Opcode CDF9
WDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7471
mov.l execexit_ptr7471,r1
jmp @r1
add #-2,r6
fdl7471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7471: .long execexit
! Opcode CDFA
WDFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7473
mov.l execexit_ptr7473,r1
jmp @r1
add #-2,r6
fdl7473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7473: .long execexit
! Opcode CDFB
WDFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1215
exts.w r0,r0
longwd1215:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7475
mov.l execexit_ptr7475,r1
jmp @r1
add #-2,r6
fdl7475:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7475: .long execexit
! Opcode CDFC
WDFC:
mov.w @r6+,r3
add #-8,r7
mov #24,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(24,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7477
mov.l execexit_ptr7477,r1
jmp @r1
add #-2,r6
fdl7477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7477: .long execexit
! Opcodes CE00 - CE07
WE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7478
mov.l execexit_ptr7478,r1
jmp @r1
add #-2,r6
fdl7478:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7478: .long execexit
! Opcodes CE10 - CE17
WE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7479
mov.l execexit_ptr7479,r1
jmp @r1
add #-2,r6
fdl7479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7479: .long execexit
! Opcodes CE18 - CE1F
WE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7480
mov.l execexit_ptr7480,r1
jmp @r1
add #-2,r6
fdl7480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7480: .long execexit
! Opcodes CE20 - CE27
WE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7481
mov.l execexit_ptr7481,r1
jmp @r1
add #-2,r6
fdl7481:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7481: .long execexit
! Opcodes CE28 - CE2F
WE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7482
mov.l execexit_ptr7482,r1
jmp @r1
add #-2,r6
fdl7482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7482: .long execexit
! Opcodes CE30 - CE37
WE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1216
exts.w r0,r0
longwd1216:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7483
mov.l execexit_ptr7483,r1
jmp @r1
add #-2,r6
fdl7483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7483: .long execexit
! Opcode CE38
WE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7484
mov.l execexit_ptr7484,r1
jmp @r1
add #-2,r6
fdl7484:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7484: .long execexit
! Opcode CE39
WE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7485
mov.l execexit_ptr7485,r1
jmp @r1
add #-2,r6
fdl7485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7485: .long execexit
! Opcode CE3A
WE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7486
mov.l execexit_ptr7486,r1
jmp @r1
add #-2,r6
fdl7486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7486: .long execexit
! Opcode CE3B
WE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1217
exts.w r0,r0
longwd1217:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7487
mov.l execexit_ptr7487,r1
jmp @r1
add #-2,r6
fdl7487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7487: .long execexit
! Opcode CE3C
WE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov #28,r0
mov.b r3,@(r0,r13)
exts.b r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7488
mov.l execexit_ptr7488,r1
jmp @r1
add #-2,r6
fdl7488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7488: .long execexit
! Opcodes CE40 - CE47
WE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7489
mov.l execexit_ptr7489,r1
jmp @r1
add #-2,r6
fdl7489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7489: .long execexit
! Opcodes CE50 - CE57
WE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7490
mov.l execexit_ptr7490,r1
jmp @r1
add #-2,r6
fdl7490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7490: .long execexit
! Opcodes CE58 - CE5F
WE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7491
mov.l execexit_ptr7491,r1
jmp @r1
add #-2,r6
fdl7491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7491: .long execexit
! Opcodes CE60 - CE67
WE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7492
mov.l execexit_ptr7492,r1
jmp @r1
add #-2,r6
fdl7492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7492: .long execexit
! Opcodes CE68 - CE6F
WE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7493
mov.l execexit_ptr7493,r1
jmp @r1
add #-2,r6
fdl7493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7493: .long execexit
! Opcodes CE70 - CE77
WE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1218
exts.w r0,r0
longwd1218:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7494
mov.l execexit_ptr7494,r1
jmp @r1
add #-2,r6
fdl7494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7494: .long execexit
! Opcode CE78
WE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7495
mov.l execexit_ptr7495,r1
jmp @r1
add #-2,r6
fdl7495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7495: .long execexit
! Opcode CE79
WE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7496
mov.l execexit_ptr7496,r1
jmp @r1
add #-2,r6
fdl7496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7496: .long execexit
! Opcode CE7A
WE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7497
mov.l execexit_ptr7497,r1
jmp @r1
add #-2,r6
fdl7497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7497: .long execexit
! Opcode CE7B
WE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1219
exts.w r0,r0
longwd1219:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7498
mov.l execexit_ptr7498,r1
jmp @r1
add #-2,r6
fdl7498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7498: .long execexit
! Opcode CE7C
WE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov #28,r0
mov.w r3,@(r0,r13)
exts.w r3,r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7499
mov.l execexit_ptr7499,r1
jmp @r1
add #-2,r6
fdl7499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7499: .long execexit
! Opcodes CE80 - CE87
WE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7500
mov.l execexit_ptr7500,r1
jmp @r1
add #-2,r6
fdl7500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7500: .long execexit
! Opcodes CE90 - CE97
WE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7501
mov.l execexit_ptr7501,r1
jmp @r1
add #-2,r6
fdl7501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7501: .long execexit
! Opcodes CE98 - CE9F
WE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7502
mov.l execexit_ptr7502,r1
jmp @r1
add #-2,r6
fdl7502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7502: .long execexit
! Opcodes CEA0 - CEA7
WEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7503
mov.l execexit_ptr7503,r1
jmp @r1
add #-2,r6
fdl7503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7503: .long execexit
! Opcodes CEA8 - CEAF
WEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7504
mov.l execexit_ptr7504,r1
jmp @r1
add #-2,r6
fdl7504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7504: .long execexit
! Opcodes CEB0 - CEB7
WEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1220
exts.w r0,r0
longwd1220:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7505
mov.l execexit_ptr7505,r1
jmp @r1
add #-2,r6
fdl7505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7505: .long execexit
! Opcode CEB8
WEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7506
mov.l execexit_ptr7506,r1
jmp @r1
add #-2,r6
fdl7506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7506: .long execexit
! Opcode CEB9
WEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7507
mov.l execexit_ptr7507,r1
jmp @r1
add #-2,r6
fdl7507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7507: .long execexit
! Opcode CEBA
WEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7508
mov.l execexit_ptr7508,r1
jmp @r1
add #-2,r6
fdl7508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7508: .long execexit
! Opcode CEBB
WEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1221
exts.w r0,r0
longwd1221:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7509
mov.l execexit_ptr7509,r1
jmp @r1
add #-2,r6
fdl7509:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7509: .long execexit
! Opcode CEBC
WEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
and r1,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7510
mov.l execexit_ptr7510,r1
jmp @r1
add #-2,r6
fdl7510:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7510: .long execexit
! Opcodes CEC0 - CEC7
WEC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7512
mov.l execexit_ptr7512,r1
jmp @r1
add #-2,r6
fdl7512:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7512: .long execexit
! Opcodes CED0 - CED7
WED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7514
mov.l execexit_ptr7514,r1
jmp @r1
add #-2,r6
fdl7514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7514: .long execexit
! Opcodes CED8 - CEDF
WED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7516
mov.l execexit_ptr7516,r1
jmp @r1
add #-2,r6
fdl7516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7516: .long execexit
! Opcodes CEE0 - CEE7
WEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7518
mov.l execexit_ptr7518,r1
jmp @r1
add #-2,r6
fdl7518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7518: .long execexit
! Opcodes CEE8 - CEEF
WEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7520
mov.l execexit_ptr7520,r1
jmp @r1
add #-2,r6
fdl7520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7520: .long execexit
! Opcodes CEF0 - CEF7
WEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1222
exts.w r0,r0
longwd1222:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7522
mov.l execexit_ptr7522,r1
jmp @r1
add #-2,r6
fdl7522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7522: .long execexit
! Opcode CEF8
WEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7524
mov.l execexit_ptr7524,r1
jmp @r1
add #-2,r6
fdl7524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7524: .long execexit
! Opcode CEF9
WEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7526
mov.l execexit_ptr7526,r1
jmp @r1
add #-2,r6
fdl7526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7526: .long execexit
! Opcode CEFA
WEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7528
mov.l execexit_ptr7528,r1
jmp @r1
add #-2,r6
fdl7528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7528: .long execexit
! Opcode CEFB
WEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1223
exts.w r0,r0
longwd1223:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7530
mov.l execexit_ptr7530,r1
jmp @r1
add #-2,r6
fdl7530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7530: .long execexit
! Opcode CEFC
WEFC:
mov.w @r6+,r3
add #-16,r7
mov #28,r0
mov.w @(r0,r13),r1
mulu.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7532
mov.l execexit_ptr7532,r1
jmp @r1
add #-2,r6
fdl7532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7532: .long execexit
! Opcodes CF00 - CF07
WF00:
and r1,r2
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7533
add #6,r8
.nonibadd7533:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7533
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7533:
exts.b r3,r3
mov r9,r8
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7534
mov.l execexit_ptr7534,r1
jmp @r1
add #-2,r6
fdl7534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7534: .long execexit
! Opcodes CF08 - CF0F
WF08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l r3,@-r15
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r15+,r1
mov r8,r2
mov #0x0F,r0
and r1,r0
mov #0x0F,r8
and r3,r8
cmp/pl r9
addc r0,r8
mov #9,r0
cmp/hi r0,r8
bf .nonibadd7535
add #6,r8
.nonibadd7535:
mov r3,r0
and #0xF0,r0
mov r0,r3
mov r1,r0
and #0xF0,r0
add r0,r3
add r8,r3
mov #0x99,r0
extu.b r0,r0
cmp/hi r0,r3
movt r9
bf .endop7535
mov #0xA0,r0
extu.b r0,r0
sub r0,r3
.endop7535:
exts.b r3,r3
mov r9,r8
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7536
mov.l execexit_ptr7536,r1
jmp @r1
add #-2,r6
fdl7536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7536: .long execexit
! Opcodes CF10 - CF17
WF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7537
mov.l execexit_ptr7537,r1
jmp @r1
add #-2,r6
fdl7537:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7537: .long execexit
! Opcodes CF18 - CF1F
WF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7538
mov.l execexit_ptr7538,r1
jmp @r1
add #-2,r6
fdl7538:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7538: .long execexit
! Opcodes CF20 - CF27
WF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7539
mov.l execexit_ptr7539,r1
jmp @r1
add #-2,r6
fdl7539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7539: .long execexit
! Opcodes CF28 - CF2F
WF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7540
mov.l execexit_ptr7540,r1
jmp @r1
add #-2,r6
fdl7540:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7540: .long execexit
! Opcodes CF30 - CF37
WF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1224
exts.w r0,r0
longwd1224:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7541
mov.l execexit_ptr7541,r1
jmp @r1
add #-2,r6
fdl7541:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7541: .long execexit
! Opcode CF38
WF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7542
mov.l execexit_ptr7542,r1
jmp @r1
add #-2,r6
fdl7542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7542: .long execexit
! Opcode CF39
WF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
and r1,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7543
mov.l execexit_ptr7543,r1
jmp @r1
add #-2,r6
fdl7543:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7543: .long execexit
! Opcodes CF40 - CF47
WF40:
and r1,r2
add r13,r2
mov.l @r2,r1
mov.l @(28,r13),r3
mov.l r3,@r2
mov.l r1,@(28,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7544
mov.l execexit_ptr7544,r1
jmp @r1
add #-2,r6
fdl7544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7544: .long execexit
! Opcodes CF48 - CF4F
WF48:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(60,r13),r3
mov.l r3,@r2
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7545
mov.l execexit_ptr7545,r1
jmp @r1
add #-2,r6
fdl7545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7545: .long execexit
! Opcodes CF50 - CF57
WF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7546
mov.l execexit_ptr7546,r1
jmp @r1
add #-2,r6
fdl7546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7546: .long execexit
! Opcodes CF58 - CF5F
WF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7547
mov.l execexit_ptr7547,r1
jmp @r1
add #-2,r6
fdl7547:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7547: .long execexit
! Opcodes CF60 - CF67
WF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7548
mov.l execexit_ptr7548,r1
jmp @r1
add #-2,r6
fdl7548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7548: .long execexit
! Opcodes CF68 - CF6F
WF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7549
mov.l execexit_ptr7549,r1
jmp @r1
add #-2,r6
fdl7549:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7549: .long execexit
! Opcodes CF70 - CF77
WF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1225
exts.w r0,r0
longwd1225:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7550
mov.l execexit_ptr7550,r1
jmp @r1
add #-2,r6
fdl7550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7550: .long execexit
! Opcode CF78
WF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7551
mov.l execexit_ptr7551,r1
jmp @r1
add #-2,r6
fdl7551:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7551: .long execexit
! Opcode CF79
WF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
and r1,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7552
mov.l execexit_ptr7552,r1
jmp @r1
add #-2,r6
fdl7552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7552: .long execexit
! Opcodes CF88 - CF8F
WF88:
and r1,r2
add r14,r2
mov.l @r2,r1
mov.l @(28,r13),r3
mov.l r3,@r2
mov.l r1,@(28,r13)
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7553
mov.l execexit_ptr7553,r1
jmp @r1
add #-2,r6
fdl7553:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7553: .long execexit
! Opcodes CF90 - CF97
WF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7554
mov.l execexit_ptr7554,r1
jmp @r1
add #-2,r6
fdl7554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7554: .long execexit
! Opcodes CF98 - CF9F
WF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7555
mov.l execexit_ptr7555,r1
jmp @r1
add #-2,r6
fdl7555:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7555: .long execexit
! Opcodes CFA0 - CFA7
WFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7556
mov.l execexit_ptr7556,r1
jmp @r1
add #-2,r6
fdl7556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7556: .long execexit
! Opcodes CFA8 - CFAF
WFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7557
mov.l execexit_ptr7557,r1
jmp @r1
add #-2,r6
fdl7557:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7557: .long execexit
! Opcodes CFB0 - CFB7
WFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1226
exts.w r0,r0
longwd1226:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7558
mov.l execexit_ptr7558,r1
jmp @r1
add #-2,r6
fdl7558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7558: .long execexit
! Opcode CFB8
WFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7559
mov.l execexit_ptr7559,r1
jmp @r1
add #-2,r6
fdl7559:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7559: .long execexit
! Opcode CFB9
WFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
and r1,r3
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7560
mov.l execexit_ptr7560,r1
jmp @r1
add #-2,r6
fdl7560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7560: .long execexit
! Opcodes CFC0 - CFC7
WFC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-38,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7562
mov.l execexit_ptr7562,r1
jmp @r1
add #-2,r6
fdl7562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7562: .long execexit
! Opcodes CFD0 - CFD7
WFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7564
mov.l execexit_ptr7564,r1
jmp @r1
add #-2,r6
fdl7564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7564: .long execexit
! Opcodes CFD8 - CFDF
WFD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7566
mov.l execexit_ptr7566,r1
jmp @r1
add #-2,r6
fdl7566:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7566: .long execexit
! Opcodes CFE0 - CFE7
WFE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-44,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7568
mov.l execexit_ptr7568,r1
jmp @r1
add #-2,r6
fdl7568:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7568: .long execexit
! Opcodes CFE8 - CFEF
WFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7570
mov.l execexit_ptr7570,r1
jmp @r1
add #-2,r6
fdl7570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7570: .long execexit
! Opcodes CFF0 - CFF7
WFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1227
exts.w r0,r0
longwd1227:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7572
mov.l execexit_ptr7572,r1
jmp @r1
add #-2,r6
fdl7572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7572: .long execexit
! Opcode CFF8
WFF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7574
mov.l execexit_ptr7574,r1
jmp @r1
add #-2,r6
fdl7574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7574: .long execexit
! Opcode CFF9
WFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-50,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7576
mov.l execexit_ptr7576,r1
jmp @r1
add #-2,r6
fdl7576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7576: .long execexit
! Opcode CFFA
WFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-46,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7578
mov.l execexit_ptr7578,r1
jmp @r1
add #-2,r6
fdl7578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7578: .long execexit
! Opcode CFFB
WFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1228
exts.w r0,r0
longwd1228:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-48,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7580
mov.l execexit_ptr7580,r1
jmp @r1
add #-2,r6
fdl7580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7580: .long execexit
! Opcode CFFC
WFFC:
mov.w @r6+,r3
add #-8,r7
mov #28,r0
mov.w @(r0,r13),r1
muls.w r1,r3
sts macl,r3
mov.l r3,@(28,r13)
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-42,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7582
mov.l execexit_ptr7582,r1
jmp @r1
add #-2,r6
fdl7582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7582: .long execexit
! Opcodes D000 - D007
X000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7583
mov.l execexit_ptr7583,r1
jmp @r1
add #-2,r6
fdl7583:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7583: .long execexit
! Opcodes D008 - D00F
X008:
and r1,r2
add r13,r2
mov.b @r2,r3
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7584
mov.l execexit_ptr7584,r1
jmp @r1
add #-2,r6
fdl7584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7584: .long execexit
! Opcodes D010 - D017
X010:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7585
mov.l execexit_ptr7585,r1
jmp @r1
add #-2,r6
fdl7585:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7585: .long execexit
! Opcodes D018 - D01F
X018:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7586
mov.l execexit_ptr7586,r1
jmp @r1
add #-2,r6
fdl7586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7586: .long execexit
! Opcodes D020 - D027
X020:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7587
mov.l execexit_ptr7587,r1
jmp @r1
add #-2,r6
fdl7587:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7587: .long execexit
! Opcodes D028 - D02F
X028:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7588
mov.l execexit_ptr7588,r1
jmp @r1
add #-2,r6
fdl7588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7588: .long execexit
! Opcodes D030 - D037
X030:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1229
exts.w r0,r0
longwd1229:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7589
mov.l execexit_ptr7589,r1
jmp @r1
add #-2,r6
fdl7589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7589: .long execexit
! Opcode D038
X038:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7590
mov.l execexit_ptr7590,r1
jmp @r1
add #-2,r6
fdl7590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7590: .long execexit
! Opcode D039
X039:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7591
mov.l execexit_ptr7591,r1
jmp @r1
add #-2,r6
fdl7591:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7591: .long execexit
! Opcode D03A
X03A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7592
mov.l execexit_ptr7592,r1
jmp @r1
add #-2,r6
fdl7592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7592: .long execexit
! Opcode D03B
X03B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1230
exts.w r0,r0
longwd1230:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7593
mov.l execexit_ptr7593,r1
jmp @r1
add #-2,r6
fdl7593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7593: .long execexit
! Opcode D03C
X03C:
mov.b @r6,r3
add #2,r6
mov.b @r13,r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov.b r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7594
mov.l execexit_ptr7594,r1
jmp @r1
add #-2,r6
fdl7594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7594: .long execexit
! Opcodes D040 - D047
X040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7595
mov.l execexit_ptr7595,r1
jmp @r1
add #-2,r6
fdl7595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7595: .long execexit
! Opcodes D048 - D04F
X048:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7596
mov.l execexit_ptr7596,r1
jmp @r1
add #-2,r6
fdl7596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7596: .long execexit
! Opcodes D050 - D057
X050:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7597
mov.l execexit_ptr7597,r1
jmp @r1
add #-2,r6
fdl7597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7597: .long execexit
! Opcodes D058 - D05F
X058:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7598
mov.l execexit_ptr7598,r1
jmp @r1
add #-2,r6
fdl7598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7598: .long execexit
! Opcodes D060 - D067
X060:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7599
mov.l execexit_ptr7599,r1
jmp @r1
add #-2,r6
fdl7599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7599: .long execexit
! Opcodes D068 - D06F
X068:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7600
mov.l execexit_ptr7600,r1
jmp @r1
add #-2,r6
fdl7600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7600: .long execexit
! Opcodes D070 - D077
X070:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1231
exts.w r0,r0
longwd1231:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7601
mov.l execexit_ptr7601,r1
jmp @r1
add #-2,r6
fdl7601:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7601: .long execexit
! Opcode D078
X078:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7602
mov.l execexit_ptr7602,r1
jmp @r1
add #-2,r6
fdl7602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7602: .long execexit
! Opcode D079
X079:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7603
mov.l execexit_ptr7603,r1
jmp @r1
add #-2,r6
fdl7603:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7603: .long execexit
! Opcode D07A
X07A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7604
mov.l execexit_ptr7604,r1
jmp @r1
add #-2,r6
fdl7604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7604: .long execexit
! Opcode D07B
X07B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1232
exts.w r0,r0
longwd1232:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7605
mov.l execexit_ptr7605,r1
jmp @r1
add #-2,r6
fdl7605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7605: .long execexit
! Opcode D07C
X07C:
mov.w @r6+,r3
mov.w @r13,r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov.w r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7606
mov.l execexit_ptr7606,r1
jmp @r1
add #-2,r6
fdl7606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7606: .long execexit
! Opcodes D080 - D087
X080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7607
mov.l execexit_ptr7607,r1
jmp @r1
add #-2,r6
fdl7607:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7607: .long execexit
! Opcodes D088 - D08F
X088:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7608
mov.l execexit_ptr7608,r1
jmp @r1
add #-2,r6
fdl7608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7608: .long execexit
! Opcodes D090 - D097
X090:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7609
mov.l execexit_ptr7609,r1
jmp @r1
add #-2,r6
fdl7609:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7609: .long execexit
! Opcodes D098 - D09F
X098:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7610
mov.l execexit_ptr7610,r1
jmp @r1
add #-2,r6
fdl7610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7610: .long execexit
! Opcodes D0A0 - D0A7
X0A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7611
mov.l execexit_ptr7611,r1
jmp @r1
add #-2,r6
fdl7611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7611: .long execexit
! Opcodes D0A8 - D0AF
X0A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7612
mov.l execexit_ptr7612,r1
jmp @r1
add #-2,r6
fdl7612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7612: .long execexit
! Opcodes D0B0 - D0B7
X0B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1233
exts.w r0,r0
longwd1233:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7613
mov.l execexit_ptr7613,r1
jmp @r1
add #-2,r6
fdl7613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7613: .long execexit
! Opcode D0B8
X0B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7614
mov.l execexit_ptr7614,r1
jmp @r1
add #-2,r6
fdl7614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7614: .long execexit
! Opcode D0B9
X0B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7615
mov.l execexit_ptr7615,r1
jmp @r1
add #-2,r6
fdl7615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7615: .long execexit
! Opcode D0BA
X0BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7616
mov.l execexit_ptr7616,r1
jmp @r1
add #-2,r6
fdl7616:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7616: .long execexit
! Opcode D0BB
X0BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1234
exts.w r0,r0
longwd1234:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7617
mov.l execexit_ptr7617,r1
jmp @r1
add #-2,r6
fdl7617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7617: .long execexit
! Opcode D0BC
X0BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @r13,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@r13
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7618
mov.l execexit_ptr7618,r1
jmp @r1
add #-2,r6
fdl7618:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7618: .long execexit
! Opcodes D0C0 - D0C7
X0C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7619
mov.l execexit_ptr7619,r1
jmp @r1
add #-2,r6
fdl7619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7619: .long execexit
! Opcodes D0C8 - D0CF
X0C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7620
mov.l execexit_ptr7620,r1
jmp @r1
add #-2,r6
fdl7620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7620: .long execexit
! Opcodes D0D0 - D0D7
X0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7621
mov.l execexit_ptr7621,r1
jmp @r1
add #-2,r6
fdl7621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7621: .long execexit
! Opcodes D0D8 - D0DF
X0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7622
mov.l execexit_ptr7622,r1
jmp @r1
add #-2,r6
fdl7622:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7622: .long execexit
! Opcodes D0E0 - D0E7
X0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7623
mov.l execexit_ptr7623,r1
jmp @r1
add #-2,r6
fdl7623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7623: .long execexit
! Opcodes D0E8 - D0EF
X0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7624
mov.l execexit_ptr7624,r1
jmp @r1
add #-2,r6
fdl7624:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7624: .long execexit
! Opcodes D0F0 - D0F7
X0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1235
exts.w r0,r0
longwd1235:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7625
mov.l execexit_ptr7625,r1
jmp @r1
add #-2,r6
fdl7625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7625: .long execexit
! Opcode D0F8
X0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7626
mov.l execexit_ptr7626,r1
jmp @r1
add #-2,r6
fdl7626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7626: .long execexit
! Opcode D0F9
X0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7627
mov.l execexit_ptr7627,r1
jmp @r1
add #-2,r6
fdl7627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7627: .long execexit
! Opcode D0FA
X0FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7628
mov.l execexit_ptr7628,r1
jmp @r1
add #-2,r6
fdl7628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7628: .long execexit
! Opcode D0FB
X0FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1236
exts.w r0,r0
longwd1236:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7629
mov.l execexit_ptr7629,r1
jmp @r1
add #-2,r6
fdl7629:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7629: .long execexit
! Opcode D0FC
X0FC:
mov.w @r6+,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7630
mov.l execexit_ptr7630,r1
jmp @r1
add #-2,r6
fdl7630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7630: .long execexit
! Opcodes D100 - D107
X100:
and r1,r2
mov.b @r13,r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.b r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7632
mov.l execexit_ptr7632,r1
jmp @r1
add #-2,r6
fdl7632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7632: .long execexit
! Opcodes D108 - D10F
X108:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7634
mov.l execexit_ptr7634,r1
jmp @r1
add #-2,r6
fdl7634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7634: .long execexit
! Opcodes D110 - D117
X110:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7635
mov.l execexit_ptr7635,r1
jmp @r1
add #-2,r6
fdl7635:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7635: .long execexit
! Opcodes D118 - D11F
X118:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7636
mov.l execexit_ptr7636,r1
jmp @r1
add #-2,r6
fdl7636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7636: .long execexit
! Opcodes D120 - D127
X120:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7637
mov.l execexit_ptr7637,r1
jmp @r1
add #-2,r6
fdl7637:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7637: .long execexit
! Opcodes D128 - D12F
X128:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7638
mov.l execexit_ptr7638,r1
jmp @r1
add #-2,r6
fdl7638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7638: .long execexit
! Opcodes D130 - D137
X130:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1237
exts.w r0,r0
longwd1237:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7639
mov.l execexit_ptr7639,r1
jmp @r1
add #-2,r6
fdl7639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7639: .long execexit
! Opcode D138
X138:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7640
mov.l execexit_ptr7640,r1
jmp @r1
add #-2,r6
fdl7640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7640: .long execexit
! Opcode D139
X139:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.b @r13,r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7641
mov.l execexit_ptr7641,r1
jmp @r1
add #-2,r6
fdl7641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7641: .long execexit
! Opcodes D140 - D147
X140:
and r1,r2
mov.w @r13,r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.w r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7643
mov.l execexit_ptr7643,r1
jmp @r1
add #-2,r6
fdl7643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7643: .long execexit
! Opcodes D148 - D14F
X148:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7645
mov.l execexit_ptr7645,r1
jmp @r1
add #-2,r6
fdl7645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7645: .long execexit
! Opcodes D150 - D157
X150:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7646
mov.l execexit_ptr7646,r1
jmp @r1
add #-2,r6
fdl7646:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7646: .long execexit
! Opcodes D158 - D15F
X158:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7647
mov.l execexit_ptr7647,r1
jmp @r1
add #-2,r6
fdl7647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7647: .long execexit
! Opcodes D160 - D167
X160:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7648
mov.l execexit_ptr7648,r1
jmp @r1
add #-2,r6
fdl7648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7648: .long execexit
! Opcodes D168 - D16F
X168:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7649
mov.l execexit_ptr7649,r1
jmp @r1
add #-2,r6
fdl7649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7649: .long execexit
! Opcodes D170 - D177
X170:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1238
exts.w r0,r0
longwd1238:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7650
mov.l execexit_ptr7650,r1
jmp @r1
add #-2,r6
fdl7650:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7650: .long execexit
! Opcode D178
X178:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7651
mov.l execexit_ptr7651,r1
jmp @r1
add #-2,r6
fdl7651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7651: .long execexit
! Opcode D179
X179:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.w @r13,r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7652
mov.l execexit_ptr7652,r1
jmp @r1
add #-2,r6
fdl7652:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7652: .long execexit
! Opcodes D180 - D187
X180:
and r1,r2
mov.l @r13,r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@r13
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7654
mov.l execexit_ptr7654,r1
jmp @r1
add #-2,r6
fdl7654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7654: .long execexit
! Opcodes D188 - D18F
X188:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(32,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(32,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7656
mov.l execexit_ptr7656,r1
jmp @r1
add #-2,r6
fdl7656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7656: .long execexit
! Opcodes D190 - D197
X190:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7657
mov.l execexit_ptr7657,r1
jmp @r1
add #-2,r6
fdl7657:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7657: .long execexit
! Opcodes D198 - D19F
X198:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7658
mov.l execexit_ptr7658,r1
jmp @r1
add #-2,r6
fdl7658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7658: .long execexit
! Opcodes D1A0 - D1A7
X1A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7659
mov.l execexit_ptr7659,r1
jmp @r1
add #-2,r6
fdl7659:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7659: .long execexit
! Opcodes D1A8 - D1AF
X1A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7660
mov.l execexit_ptr7660,r1
jmp @r1
add #-2,r6
fdl7660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7660: .long execexit
! Opcodes D1B0 - D1B7
X1B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1239
exts.w r0,r0
longwd1239:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7661
mov.l execexit_ptr7661,r1
jmp @r1
add #-2,r6
fdl7661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7661: .long execexit
! Opcode D1B8
X1B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7662
mov.l execexit_ptr7662,r1
jmp @r1
add #-2,r6
fdl7662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7662: .long execexit
! Opcode D1B9
X1B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @r13,r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7663
mov.l execexit_ptr7663,r1
jmp @r1
add #-2,r6
fdl7663:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7663: .long execexit
! Opcodes D1C0 - D1C7
X1C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7664
mov.l execexit_ptr7664,r1
jmp @r1
add #-2,r6
fdl7664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7664: .long execexit
! Opcodes D1C8 - D1CF
X1C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7665
mov.l execexit_ptr7665,r1
jmp @r1
add #-2,r6
fdl7665:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7665: .long execexit
! Opcodes D1D0 - D1D7
X1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7666
mov.l execexit_ptr7666,r1
jmp @r1
add #-2,r6
fdl7666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7666: .long execexit
! Opcodes D1D8 - D1DF
X1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7667
mov.l execexit_ptr7667,r1
jmp @r1
add #-2,r6
fdl7667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7667: .long execexit
! Opcodes D1E0 - D1E7
X1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7668
mov.l execexit_ptr7668,r1
jmp @r1
add #-2,r6
fdl7668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7668: .long execexit
! Opcodes D1E8 - D1EF
X1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7669
mov.l execexit_ptr7669,r1
jmp @r1
add #-2,r6
fdl7669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7669: .long execexit
! Opcodes D1F0 - D1F7
X1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1240
exts.w r0,r0
longwd1240:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7670
mov.l execexit_ptr7670,r1
jmp @r1
add #-2,r6
fdl7670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7670: .long execexit
! Opcode D1F8
X1F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7671
mov.l execexit_ptr7671,r1
jmp @r1
add #-2,r6
fdl7671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7671: .long execexit
! Opcode D1F9
X1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7672
mov.l execexit_ptr7672,r1
jmp @r1
add #-2,r6
fdl7672:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7672: .long execexit
! Opcode D1FA
X1FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7673
mov.l execexit_ptr7673,r1
jmp @r1
add #-2,r6
fdl7673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7673: .long execexit
! Opcode D1FB
X1FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1241
exts.w r0,r0
longwd1241:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7674
mov.l execexit_ptr7674,r1
jmp @r1
add #-2,r6
fdl7674:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7674: .long execexit
! Opcode D1FC
X1FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(32,r13),r1
add r3,r1
mov.l r1,@(32,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7675
mov.l execexit_ptr7675,r1
jmp @r1
add #-2,r6
fdl7675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7675: .long execexit
! Opcodes D200 - D207
X200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7676
mov.l execexit_ptr7676,r1
jmp @r1
add #-2,r6
fdl7676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7676: .long execexit
! Opcodes D208 - D20F
X208:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7677
mov.l execexit_ptr7677,r1
jmp @r1
add #-2,r6
fdl7677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7677: .long execexit
! Opcodes D210 - D217
X210:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7678
mov.l execexit_ptr7678,r1
jmp @r1
add #-2,r6
fdl7678:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7678: .long execexit
! Opcodes D218 - D21F
X218:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7679
mov.l execexit_ptr7679,r1
jmp @r1
add #-2,r6
fdl7679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7679: .long execexit
! Opcodes D220 - D227
X220:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7680
mov.l execexit_ptr7680,r1
jmp @r1
add #-2,r6
fdl7680:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7680: .long execexit
! Opcodes D228 - D22F
X228:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7681
mov.l execexit_ptr7681,r1
jmp @r1
add #-2,r6
fdl7681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7681: .long execexit
! Opcodes D230 - D237
X230:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1242
exts.w r0,r0
longwd1242:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7682
mov.l execexit_ptr7682,r1
jmp @r1
add #-2,r6
fdl7682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7682: .long execexit
! Opcode D238
X238:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7683
mov.l execexit_ptr7683,r1
jmp @r1
add #-2,r6
fdl7683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7683: .long execexit
! Opcode D239
X239:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7684
mov.l execexit_ptr7684,r1
jmp @r1
add #-2,r6
fdl7684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7684: .long execexit
! Opcode D23A
X23A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7685
mov.l execexit_ptr7685,r1
jmp @r1
add #-2,r6
fdl7685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7685: .long execexit
! Opcode D23B
X23B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1243
exts.w r0,r0
longwd1243:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7686
mov.l execexit_ptr7686,r1
jmp @r1
add #-2,r6
fdl7686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7686: .long execexit
! Opcode D23C
X23C:
mov.b @r6,r3
add #2,r6
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #4,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7687
mov.l execexit_ptr7687,r1
jmp @r1
add #-2,r6
fdl7687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7687: .long execexit
! Opcodes D240 - D247
X240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7688
mov.l execexit_ptr7688,r1
jmp @r1
add #-2,r6
fdl7688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7688: .long execexit
! Opcodes D248 - D24F
X248:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7689
mov.l execexit_ptr7689,r1
jmp @r1
add #-2,r6
fdl7689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7689: .long execexit
! Opcodes D250 - D257
X250:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7690
mov.l execexit_ptr7690,r1
jmp @r1
add #-2,r6
fdl7690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7690: .long execexit
! Opcodes D258 - D25F
X258:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7691
mov.l execexit_ptr7691,r1
jmp @r1
add #-2,r6
fdl7691:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7691: .long execexit
! Opcodes D260 - D267
X260:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7692
mov.l execexit_ptr7692,r1
jmp @r1
add #-2,r6
fdl7692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7692: .long execexit
! Opcodes D268 - D26F
X268:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7693
mov.l execexit_ptr7693,r1
jmp @r1
add #-2,r6
fdl7693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7693: .long execexit
! Opcodes D270 - D277
X270:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1244
exts.w r0,r0
longwd1244:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7694
mov.l execexit_ptr7694,r1
jmp @r1
add #-2,r6
fdl7694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7694: .long execexit
! Opcode D278
X278:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7695
mov.l execexit_ptr7695,r1
jmp @r1
add #-2,r6
fdl7695:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7695: .long execexit
! Opcode D279
X279:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7696
mov.l execexit_ptr7696,r1
jmp @r1
add #-2,r6
fdl7696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7696: .long execexit
! Opcode D27A
X27A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7697
mov.l execexit_ptr7697,r1
jmp @r1
add #-2,r6
fdl7697:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7697: .long execexit
! Opcode D27B
X27B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1245
exts.w r0,r0
longwd1245:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7698
mov.l execexit_ptr7698,r1
jmp @r1
add #-2,r6
fdl7698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7698: .long execexit
! Opcode D27C
X27C:
mov.w @r6+,r3
mov #4,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #4,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7699
mov.l execexit_ptr7699,r1
jmp @r1
add #-2,r6
fdl7699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7699: .long execexit
! Opcodes D280 - D287
X280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7700
mov.l execexit_ptr7700,r1
jmp @r1
add #-2,r6
fdl7700:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7700: .long execexit
! Opcodes D288 - D28F
X288:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7701
mov.l execexit_ptr7701,r1
jmp @r1
add #-2,r6
fdl7701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7701: .long execexit
! Opcodes D290 - D297
X290:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7702
mov.l execexit_ptr7702,r1
jmp @r1
add #-2,r6
fdl7702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7702: .long execexit
! Opcodes D298 - D29F
X298:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7703
mov.l execexit_ptr7703,r1
jmp @r1
add #-2,r6
fdl7703:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7703: .long execexit
! Opcodes D2A0 - D2A7
X2A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7704
mov.l execexit_ptr7704,r1
jmp @r1
add #-2,r6
fdl7704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7704: .long execexit
! Opcodes D2A8 - D2AF
X2A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7705
mov.l execexit_ptr7705,r1
jmp @r1
add #-2,r6
fdl7705:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7705: .long execexit
! Opcodes D2B0 - D2B7
X2B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1246
exts.w r0,r0
longwd1246:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7706
mov.l execexit_ptr7706,r1
jmp @r1
add #-2,r6
fdl7706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7706: .long execexit
! Opcode D2B8
X2B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7707
mov.l execexit_ptr7707,r1
jmp @r1
add #-2,r6
fdl7707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7707: .long execexit
! Opcode D2B9
X2B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7708
mov.l execexit_ptr7708,r1
jmp @r1
add #-2,r6
fdl7708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7708: .long execexit
! Opcode D2BA
X2BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7709
mov.l execexit_ptr7709,r1
jmp @r1
add #-2,r6
fdl7709:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7709: .long execexit
! Opcode D2BB
X2BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1247
exts.w r0,r0
longwd1247:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7710
mov.l execexit_ptr7710,r1
jmp @r1
add #-2,r6
fdl7710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7710: .long execexit
! Opcode D2BC
X2BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(4,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(4,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7711
mov.l execexit_ptr7711,r1
jmp @r1
add #-2,r6
fdl7711:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7711: .long execexit
! Opcodes D2C0 - D2C7
X2C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7712
mov.l execexit_ptr7712,r1
jmp @r1
add #-2,r6
fdl7712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7712: .long execexit
! Opcodes D2C8 - D2CF
X2C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7713
mov.l execexit_ptr7713,r1
jmp @r1
add #-2,r6
fdl7713:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7713: .long execexit
! Opcodes D2D0 - D2D7
X2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7714
mov.l execexit_ptr7714,r1
jmp @r1
add #-2,r6
fdl7714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7714: .long execexit
! Opcodes D2D8 - D2DF
X2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7715
mov.l execexit_ptr7715,r1
jmp @r1
add #-2,r6
fdl7715:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7715: .long execexit
! Opcodes D2E0 - D2E7
X2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7716
mov.l execexit_ptr7716,r1
jmp @r1
add #-2,r6
fdl7716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7716: .long execexit
! Opcodes D2E8 - D2EF
X2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7717
mov.l execexit_ptr7717,r1
jmp @r1
add #-2,r6
fdl7717:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7717: .long execexit
! Opcodes D2F0 - D2F7
X2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1248
exts.w r0,r0
longwd1248:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7718
mov.l execexit_ptr7718,r1
jmp @r1
add #-2,r6
fdl7718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7718: .long execexit
! Opcode D2F8
X2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7719
mov.l execexit_ptr7719,r1
jmp @r1
add #-2,r6
fdl7719:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7719: .long execexit
! Opcode D2F9
X2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7720
mov.l execexit_ptr7720,r1
jmp @r1
add #-2,r6
fdl7720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7720: .long execexit
! Opcode D2FA
X2FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7721
mov.l execexit_ptr7721,r1
jmp @r1
add #-2,r6
fdl7721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7721: .long execexit
! Opcode D2FB
X2FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1249
exts.w r0,r0
longwd1249:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7722
mov.l execexit_ptr7722,r1
jmp @r1
add #-2,r6
fdl7722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7722: .long execexit
! Opcode D2FC
X2FC:
mov.w @r6+,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7723
mov.l execexit_ptr7723,r1
jmp @r1
add #-2,r6
fdl7723:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7723: .long execexit
! Opcodes D300 - D307
X300:
and r1,r2
mov #4,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #4,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7725
mov.l execexit_ptr7725,r1
jmp @r1
add #-2,r6
fdl7725:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7725: .long execexit
! Opcodes D308 - D30F
X308:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7727
mov.l execexit_ptr7727,r1
jmp @r1
add #-2,r6
fdl7727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7727: .long execexit
! Opcodes D310 - D317
X310:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7728
mov.l execexit_ptr7728,r1
jmp @r1
add #-2,r6
fdl7728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7728: .long execexit
! Opcodes D318 - D31F
X318:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7729
mov.l execexit_ptr7729,r1
jmp @r1
add #-2,r6
fdl7729:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7729: .long execexit
! Opcodes D320 - D327
X320:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7730
mov.l execexit_ptr7730,r1
jmp @r1
add #-2,r6
fdl7730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7730: .long execexit
! Opcodes D328 - D32F
X328:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7731
mov.l execexit_ptr7731,r1
jmp @r1
add #-2,r6
fdl7731:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7731: .long execexit
! Opcodes D330 - D337
X330:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1250
exts.w r0,r0
longwd1250:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7732
mov.l execexit_ptr7732,r1
jmp @r1
add #-2,r6
fdl7732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7732: .long execexit
! Opcode D338
X338:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7733
mov.l execexit_ptr7733,r1
jmp @r1
add #-2,r6
fdl7733:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7733: .long execexit
! Opcode D339
X339:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7734
mov.l execexit_ptr7734,r1
jmp @r1
add #-2,r6
fdl7734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7734: .long execexit
! Opcodes D340 - D347
X340:
and r1,r2
mov #4,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #4,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7736
mov.l execexit_ptr7736,r1
jmp @r1
add #-2,r6
fdl7736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7736: .long execexit
! Opcodes D348 - D34F
X348:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7738
mov.l execexit_ptr7738,r1
jmp @r1
add #-2,r6
fdl7738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7738: .long execexit
! Opcodes D350 - D357
X350:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7739
mov.l execexit_ptr7739,r1
jmp @r1
add #-2,r6
fdl7739:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7739: .long execexit
! Opcodes D358 - D35F
X358:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7740
mov.l execexit_ptr7740,r1
jmp @r1
add #-2,r6
fdl7740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7740: .long execexit
! Opcodes D360 - D367
X360:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7741
mov.l execexit_ptr7741,r1
jmp @r1
add #-2,r6
fdl7741:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7741: .long execexit
! Opcodes D368 - D36F
X368:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7742
mov.l execexit_ptr7742,r1
jmp @r1
add #-2,r6
fdl7742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7742: .long execexit
! Opcodes D370 - D377
X370:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1251
exts.w r0,r0
longwd1251:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7743
mov.l execexit_ptr7743,r1
jmp @r1
add #-2,r6
fdl7743:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7743: .long execexit
! Opcode D378
X378:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7744
mov.l execexit_ptr7744,r1
jmp @r1
add #-2,r6
fdl7744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7744: .long execexit
! Opcode D379
X379:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #4,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7745
mov.l execexit_ptr7745,r1
jmp @r1
add #-2,r6
fdl7745:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7745: .long execexit
! Opcodes D380 - D387
X380:
and r1,r2
mov.l @(4,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(4,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7747
mov.l execexit_ptr7747,r1
jmp @r1
add #-2,r6
fdl7747:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7747: .long execexit
! Opcodes D388 - D38F
X388:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(36,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(36,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7749
mov.l execexit_ptr7749,r1
jmp @r1
add #-2,r6
fdl7749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7749: .long execexit
! Opcodes D390 - D397
X390:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7750
mov.l execexit_ptr7750,r1
jmp @r1
add #-2,r6
fdl7750:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7750: .long execexit
! Opcodes D398 - D39F
X398:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7751
mov.l execexit_ptr7751,r1
jmp @r1
add #-2,r6
fdl7751:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7751: .long execexit
! Opcodes D3A0 - D3A7
X3A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7752
mov.l execexit_ptr7752,r1
jmp @r1
add #-2,r6
fdl7752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7752: .long execexit
! Opcodes D3A8 - D3AF
X3A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7753
mov.l execexit_ptr7753,r1
jmp @r1
add #-2,r6
fdl7753:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7753: .long execexit
! Opcodes D3B0 - D3B7
X3B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1252
exts.w r0,r0
longwd1252:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7754
mov.l execexit_ptr7754,r1
jmp @r1
add #-2,r6
fdl7754:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7754: .long execexit
! Opcode D3B8
X3B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7755
mov.l execexit_ptr7755,r1
jmp @r1
add #-2,r6
fdl7755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7755: .long execexit
! Opcode D3B9
X3B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(4,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7756
mov.l execexit_ptr7756,r1
jmp @r1
add #-2,r6
fdl7756:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7756: .long execexit
! Opcodes D3C0 - D3C7
X3C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7757
mov.l execexit_ptr7757,r1
jmp @r1
add #-2,r6
fdl7757:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7757: .long execexit
! Opcodes D3C8 - D3CF
X3C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7758
mov.l execexit_ptr7758,r1
jmp @r1
add #-2,r6
fdl7758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7758: .long execexit
! Opcodes D3D0 - D3D7
X3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7759
mov.l execexit_ptr7759,r1
jmp @r1
add #-2,r6
fdl7759:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7759: .long execexit
! Opcodes D3D8 - D3DF
X3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7760
mov.l execexit_ptr7760,r1
jmp @r1
add #-2,r6
fdl7760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7760: .long execexit
! Opcodes D3E0 - D3E7
X3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7761
mov.l execexit_ptr7761,r1
jmp @r1
add #-2,r6
fdl7761:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7761: .long execexit
! Opcodes D3E8 - D3EF
X3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7762
mov.l execexit_ptr7762,r1
jmp @r1
add #-2,r6
fdl7762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7762: .long execexit
! Opcodes D3F0 - D3F7
X3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1253
exts.w r0,r0
longwd1253:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7763
mov.l execexit_ptr7763,r1
jmp @r1
add #-2,r6
fdl7763:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7763: .long execexit
! Opcode D3F8
X3F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7764
mov.l execexit_ptr7764,r1
jmp @r1
add #-2,r6
fdl7764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7764: .long execexit
! Opcode D3F9
X3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7765
mov.l execexit_ptr7765,r1
jmp @r1
add #-2,r6
fdl7765:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7765: .long execexit
! Opcode D3FA
X3FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7766
mov.l execexit_ptr7766,r1
jmp @r1
add #-2,r6
fdl7766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7766: .long execexit
! Opcode D3FB
X3FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1254
exts.w r0,r0
longwd1254:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7767
mov.l execexit_ptr7767,r1
jmp @r1
add #-2,r6
fdl7767:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7767: .long execexit
! Opcode D3FC
X3FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(36,r13),r1
add r3,r1
mov.l r1,@(36,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7768
mov.l execexit_ptr7768,r1
jmp @r1
add #-2,r6
fdl7768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7768: .long execexit
! Opcodes D400 - D407
X400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7769
mov.l execexit_ptr7769,r1
jmp @r1
add #-2,r6
fdl7769:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7769: .long execexit
! Opcodes D408 - D40F
X408:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7770
mov.l execexit_ptr7770,r1
jmp @r1
add #-2,r6
fdl7770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7770: .long execexit
! Opcodes D410 - D417
X410:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7771
mov.l execexit_ptr7771,r1
jmp @r1
add #-2,r6
fdl7771:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7771: .long execexit
! Opcodes D418 - D41F
X418:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7772
mov.l execexit_ptr7772,r1
jmp @r1
add #-2,r6
fdl7772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7772: .long execexit
! Opcodes D420 - D427
X420:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7773
mov.l execexit_ptr7773,r1
jmp @r1
add #-2,r6
fdl7773:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7773: .long execexit
! Opcodes D428 - D42F
X428:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7774
mov.l execexit_ptr7774,r1
jmp @r1
add #-2,r6
fdl7774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7774: .long execexit
! Opcodes D430 - D437
X430:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1255
exts.w r0,r0
longwd1255:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7775
mov.l execexit_ptr7775,r1
jmp @r1
add #-2,r6
fdl7775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7775: .long execexit
! Opcode D438
X438:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7776
mov.l execexit_ptr7776,r1
jmp @r1
add #-2,r6
fdl7776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7776: .long execexit
! Opcode D439
X439:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7777
mov.l execexit_ptr7777,r1
jmp @r1
add #-2,r6
fdl7777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7777: .long execexit
! Opcode D43A
X43A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7778
mov.l execexit_ptr7778,r1
jmp @r1
add #-2,r6
fdl7778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7778: .long execexit
! Opcode D43B
X43B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1256
exts.w r0,r0
longwd1256:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7779
mov.l execexit_ptr7779,r1
jmp @r1
add #-2,r6
fdl7779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7779: .long execexit
! Opcode D43C
X43C:
mov.b @r6,r3
add #2,r6
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #8,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7780
mov.l execexit_ptr7780,r1
jmp @r1
add #-2,r6
fdl7780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7780: .long execexit
! Opcodes D440 - D447
X440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7781
mov.l execexit_ptr7781,r1
jmp @r1
add #-2,r6
fdl7781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7781: .long execexit
! Opcodes D448 - D44F
X448:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7782
mov.l execexit_ptr7782,r1
jmp @r1
add #-2,r6
fdl7782:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7782: .long execexit
! Opcodes D450 - D457
X450:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7783
mov.l execexit_ptr7783,r1
jmp @r1
add #-2,r6
fdl7783:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7783: .long execexit
! Opcodes D458 - D45F
X458:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7784
mov.l execexit_ptr7784,r1
jmp @r1
add #-2,r6
fdl7784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7784: .long execexit
! Opcodes D460 - D467
X460:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7785
mov.l execexit_ptr7785,r1
jmp @r1
add #-2,r6
fdl7785:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7785: .long execexit
! Opcodes D468 - D46F
X468:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7786
mov.l execexit_ptr7786,r1
jmp @r1
add #-2,r6
fdl7786:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7786: .long execexit
! Opcodes D470 - D477
X470:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1257
exts.w r0,r0
longwd1257:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7787
mov.l execexit_ptr7787,r1
jmp @r1
add #-2,r6
fdl7787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7787: .long execexit
! Opcode D478
X478:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7788
mov.l execexit_ptr7788,r1
jmp @r1
add #-2,r6
fdl7788:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7788: .long execexit
! Opcode D479
X479:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7789
mov.l execexit_ptr7789,r1
jmp @r1
add #-2,r6
fdl7789:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7789: .long execexit
! Opcode D47A
X47A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7790
mov.l execexit_ptr7790,r1
jmp @r1
add #-2,r6
fdl7790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7790: .long execexit
! Opcode D47B
X47B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1258
exts.w r0,r0
longwd1258:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7791
mov.l execexit_ptr7791,r1
jmp @r1
add #-2,r6
fdl7791:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7791: .long execexit
! Opcode D47C
X47C:
mov.w @r6+,r3
mov #8,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #8,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7792
mov.l execexit_ptr7792,r1
jmp @r1
add #-2,r6
fdl7792:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7792: .long execexit
! Opcodes D480 - D487
X480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7793
mov.l execexit_ptr7793,r1
jmp @r1
add #-2,r6
fdl7793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7793: .long execexit
! Opcodes D488 - D48F
X488:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7794
mov.l execexit_ptr7794,r1
jmp @r1
add #-2,r6
fdl7794:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7794: .long execexit
! Opcodes D490 - D497
X490:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7795
mov.l execexit_ptr7795,r1
jmp @r1
add #-2,r6
fdl7795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7795: .long execexit
! Opcodes D498 - D49F
X498:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7796
mov.l execexit_ptr7796,r1
jmp @r1
add #-2,r6
fdl7796:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7796: .long execexit
! Opcodes D4A0 - D4A7
X4A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7797
mov.l execexit_ptr7797,r1
jmp @r1
add #-2,r6
fdl7797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7797: .long execexit
! Opcodes D4A8 - D4AF
X4A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7798
mov.l execexit_ptr7798,r1
jmp @r1
add #-2,r6
fdl7798:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7798: .long execexit
! Opcodes D4B0 - D4B7
X4B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1259
exts.w r0,r0
longwd1259:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7799
mov.l execexit_ptr7799,r1
jmp @r1
add #-2,r6
fdl7799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7799: .long execexit
! Opcode D4B8
X4B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7800
mov.l execexit_ptr7800,r1
jmp @r1
add #-2,r6
fdl7800:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7800: .long execexit
! Opcode D4B9
X4B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7801
mov.l execexit_ptr7801,r1
jmp @r1
add #-2,r6
fdl7801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7801: .long execexit
! Opcode D4BA
X4BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7802
mov.l execexit_ptr7802,r1
jmp @r1
add #-2,r6
fdl7802:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7802: .long execexit
! Opcode D4BB
X4BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1260
exts.w r0,r0
longwd1260:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7803
mov.l execexit_ptr7803,r1
jmp @r1
add #-2,r6
fdl7803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7803: .long execexit
! Opcode D4BC
X4BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(8,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(8,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7804
mov.l execexit_ptr7804,r1
jmp @r1
add #-2,r6
fdl7804:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7804: .long execexit
! Opcodes D4C0 - D4C7
X4C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7805
mov.l execexit_ptr7805,r1
jmp @r1
add #-2,r6
fdl7805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7805: .long execexit
! Opcodes D4C8 - D4CF
X4C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7806
mov.l execexit_ptr7806,r1
jmp @r1
add #-2,r6
fdl7806:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7806: .long execexit
! Opcodes D4D0 - D4D7
X4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7807
mov.l execexit_ptr7807,r1
jmp @r1
add #-2,r6
fdl7807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7807: .long execexit
! Opcodes D4D8 - D4DF
X4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7808
mov.l execexit_ptr7808,r1
jmp @r1
add #-2,r6
fdl7808:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7808: .long execexit
! Opcodes D4E0 - D4E7
X4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7809
mov.l execexit_ptr7809,r1
jmp @r1
add #-2,r6
fdl7809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7809: .long execexit
! Opcodes D4E8 - D4EF
X4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7810
mov.l execexit_ptr7810,r1
jmp @r1
add #-2,r6
fdl7810:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7810: .long execexit
! Opcodes D4F0 - D4F7
X4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1261
exts.w r0,r0
longwd1261:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7811
mov.l execexit_ptr7811,r1
jmp @r1
add #-2,r6
fdl7811:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7811: .long execexit
! Opcode D4F8
X4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7812
mov.l execexit_ptr7812,r1
jmp @r1
add #-2,r6
fdl7812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7812: .long execexit
! Opcode D4F9
X4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7813
mov.l execexit_ptr7813,r1
jmp @r1
add #-2,r6
fdl7813:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7813: .long execexit
! Opcode D4FA
X4FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7814
mov.l execexit_ptr7814,r1
jmp @r1
add #-2,r6
fdl7814:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7814: .long execexit
! Opcode D4FB
X4FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1262
exts.w r0,r0
longwd1262:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7815
mov.l execexit_ptr7815,r1
jmp @r1
add #-2,r6
fdl7815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7815: .long execexit
! Opcode D4FC
X4FC:
mov.w @r6+,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7816
mov.l execexit_ptr7816,r1
jmp @r1
add #-2,r6
fdl7816:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7816: .long execexit
! Opcodes D500 - D507
X500:
and r1,r2
mov #8,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #8,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7818
mov.l execexit_ptr7818,r1
jmp @r1
add #-2,r6
fdl7818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7818: .long execexit
! Opcodes D508 - D50F
X508:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7820
mov.l execexit_ptr7820,r1
jmp @r1
add #-2,r6
fdl7820:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7820: .long execexit
! Opcodes D510 - D517
X510:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7821
mov.l execexit_ptr7821,r1
jmp @r1
add #-2,r6
fdl7821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7821: .long execexit
! Opcodes D518 - D51F
X518:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7822
mov.l execexit_ptr7822,r1
jmp @r1
add #-2,r6
fdl7822:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7822: .long execexit
! Opcodes D520 - D527
X520:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7823
mov.l execexit_ptr7823,r1
jmp @r1
add #-2,r6
fdl7823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7823: .long execexit
! Opcodes D528 - D52F
X528:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7824
mov.l execexit_ptr7824,r1
jmp @r1
add #-2,r6
fdl7824:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7824: .long execexit
! Opcodes D530 - D537
X530:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1263
exts.w r0,r0
longwd1263:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7825
mov.l execexit_ptr7825,r1
jmp @r1
add #-2,r6
fdl7825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7825: .long execexit
! Opcode D538
X538:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7826
mov.l execexit_ptr7826,r1
jmp @r1
add #-2,r6
fdl7826:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7826: .long execexit
! Opcode D539
X539:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7827
mov.l execexit_ptr7827,r1
jmp @r1
add #-2,r6
fdl7827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7827: .long execexit
! Opcodes D540 - D547
X540:
and r1,r2
mov #8,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #8,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7829
mov.l execexit_ptr7829,r1
jmp @r1
add #-2,r6
fdl7829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7829: .long execexit
! Opcodes D548 - D54F
X548:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7831
mov.l execexit_ptr7831,r1
jmp @r1
add #-2,r6
fdl7831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7831: .long execexit
! Opcodes D550 - D557
X550:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7832
mov.l execexit_ptr7832,r1
jmp @r1
add #-2,r6
fdl7832:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7832: .long execexit
! Opcodes D558 - D55F
X558:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7833
mov.l execexit_ptr7833,r1
jmp @r1
add #-2,r6
fdl7833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7833: .long execexit
! Opcodes D560 - D567
X560:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7834
mov.l execexit_ptr7834,r1
jmp @r1
add #-2,r6
fdl7834:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7834: .long execexit
! Opcodes D568 - D56F
X568:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7835
mov.l execexit_ptr7835,r1
jmp @r1
add #-2,r6
fdl7835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7835: .long execexit
! Opcodes D570 - D577
X570:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1264
exts.w r0,r0
longwd1264:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7836
mov.l execexit_ptr7836,r1
jmp @r1
add #-2,r6
fdl7836:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7836: .long execexit
! Opcode D578
X578:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7837
mov.l execexit_ptr7837,r1
jmp @r1
add #-2,r6
fdl7837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7837: .long execexit
! Opcode D579
X579:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #8,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7838
mov.l execexit_ptr7838,r1
jmp @r1
add #-2,r6
fdl7838:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7838: .long execexit
! Opcodes D580 - D587
X580:
and r1,r2
mov.l @(8,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(8,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7840
mov.l execexit_ptr7840,r1
jmp @r1
add #-2,r6
fdl7840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7840: .long execexit
! Opcodes D588 - D58F
X588:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(40,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(40,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7842
mov.l execexit_ptr7842,r1
jmp @r1
add #-2,r6
fdl7842:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7842: .long execexit
! Opcodes D590 - D597
X590:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7843
mov.l execexit_ptr7843,r1
jmp @r1
add #-2,r6
fdl7843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7843: .long execexit
! Opcodes D598 - D59F
X598:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7844
mov.l execexit_ptr7844,r1
jmp @r1
add #-2,r6
fdl7844:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7844: .long execexit
! Opcodes D5A0 - D5A7
X5A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7845
mov.l execexit_ptr7845,r1
jmp @r1
add #-2,r6
fdl7845:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7845: .long execexit
! Opcodes D5A8 - D5AF
X5A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7846
mov.l execexit_ptr7846,r1
jmp @r1
add #-2,r6
fdl7846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7846: .long execexit
! Opcodes D5B0 - D5B7
X5B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1265
exts.w r0,r0
longwd1265:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7847
mov.l execexit_ptr7847,r1
jmp @r1
add #-2,r6
fdl7847:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7847: .long execexit
! Opcode D5B8
X5B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7848
mov.l execexit_ptr7848,r1
jmp @r1
add #-2,r6
fdl7848:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7848: .long execexit
! Opcode D5B9
X5B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(8,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7849
mov.l execexit_ptr7849,r1
jmp @r1
add #-2,r6
fdl7849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7849: .long execexit
! Opcodes D5C0 - D5C7
X5C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7850
mov.l execexit_ptr7850,r1
jmp @r1
add #-2,r6
fdl7850:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7850: .long execexit
! Opcodes D5C8 - D5CF
X5C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7851
mov.l execexit_ptr7851,r1
jmp @r1
add #-2,r6
fdl7851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7851: .long execexit
! Opcodes D5D0 - D5D7
X5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7852
mov.l execexit_ptr7852,r1
jmp @r1
add #-2,r6
fdl7852:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7852: .long execexit
! Opcodes D5D8 - D5DF
X5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7853
mov.l execexit_ptr7853,r1
jmp @r1
add #-2,r6
fdl7853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7853: .long execexit
! Opcodes D5E0 - D5E7
X5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7854
mov.l execexit_ptr7854,r1
jmp @r1
add #-2,r6
fdl7854:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7854: .long execexit
! Opcodes D5E8 - D5EF
X5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7855
mov.l execexit_ptr7855,r1
jmp @r1
add #-2,r6
fdl7855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7855: .long execexit
! Opcodes D5F0 - D5F7
X5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1266
exts.w r0,r0
longwd1266:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7856
mov.l execexit_ptr7856,r1
jmp @r1
add #-2,r6
fdl7856:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7856: .long execexit
! Opcode D5F8
X5F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7857
mov.l execexit_ptr7857,r1
jmp @r1
add #-2,r6
fdl7857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7857: .long execexit
! Opcode D5F9
X5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7858
mov.l execexit_ptr7858,r1
jmp @r1
add #-2,r6
fdl7858:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7858: .long execexit
! Opcode D5FA
X5FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7859
mov.l execexit_ptr7859,r1
jmp @r1
add #-2,r6
fdl7859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7859: .long execexit
! Opcode D5FB
X5FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1267
exts.w r0,r0
longwd1267:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7860
mov.l execexit_ptr7860,r1
jmp @r1
add #-2,r6
fdl7860:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7860: .long execexit
! Opcode D5FC
X5FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(40,r13),r1
add r3,r1
mov.l r1,@(40,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7861
mov.l execexit_ptr7861,r1
jmp @r1
add #-2,r6
fdl7861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7861: .long execexit
! Opcodes D600 - D607
X600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7862
mov.l execexit_ptr7862,r1
jmp @r1
add #-2,r6
fdl7862:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7862: .long execexit
! Opcodes D608 - D60F
X608:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7863
mov.l execexit_ptr7863,r1
jmp @r1
add #-2,r6
fdl7863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7863: .long execexit
! Opcodes D610 - D617
X610:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7864
mov.l execexit_ptr7864,r1
jmp @r1
add #-2,r6
fdl7864:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7864: .long execexit
! Opcodes D618 - D61F
X618:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7865
mov.l execexit_ptr7865,r1
jmp @r1
add #-2,r6
fdl7865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7865: .long execexit
! Opcodes D620 - D627
X620:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7866
mov.l execexit_ptr7866,r1
jmp @r1
add #-2,r6
fdl7866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7866: .long execexit
! Opcodes D628 - D62F
X628:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7867
mov.l execexit_ptr7867,r1
jmp @r1
add #-2,r6
fdl7867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7867: .long execexit
! Opcodes D630 - D637
X630:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1268
exts.w r0,r0
longwd1268:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7868
mov.l execexit_ptr7868,r1
jmp @r1
add #-2,r6
fdl7868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7868: .long execexit
! Opcode D638
X638:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7869
mov.l execexit_ptr7869,r1
jmp @r1
add #-2,r6
fdl7869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7869: .long execexit
! Opcode D639
X639:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7870
mov.l execexit_ptr7870,r1
jmp @r1
add #-2,r6
fdl7870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7870: .long execexit
! Opcode D63A
X63A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7871
mov.l execexit_ptr7871,r1
jmp @r1
add #-2,r6
fdl7871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7871: .long execexit
! Opcode D63B
X63B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1269
exts.w r0,r0
longwd1269:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7872
mov.l execexit_ptr7872,r1
jmp @r1
add #-2,r6
fdl7872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7872: .long execexit
! Opcode D63C
X63C:
mov.b @r6,r3
add #2,r6
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #12,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7873
mov.l execexit_ptr7873,r1
jmp @r1
add #-2,r6
fdl7873:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7873: .long execexit
! Opcodes D640 - D647
X640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7874
mov.l execexit_ptr7874,r1
jmp @r1
add #-2,r6
fdl7874:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7874: .long execexit
! Opcodes D648 - D64F
X648:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7875
mov.l execexit_ptr7875,r1
jmp @r1
add #-2,r6
fdl7875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7875: .long execexit
! Opcodes D650 - D657
X650:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7876
mov.l execexit_ptr7876,r1
jmp @r1
add #-2,r6
fdl7876:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7876: .long execexit
! Opcodes D658 - D65F
X658:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7877
mov.l execexit_ptr7877,r1
jmp @r1
add #-2,r6
fdl7877:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7877: .long execexit
! Opcodes D660 - D667
X660:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7878
mov.l execexit_ptr7878,r1
jmp @r1
add #-2,r6
fdl7878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7878: .long execexit
! Opcodes D668 - D66F
X668:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7879
mov.l execexit_ptr7879,r1
jmp @r1
add #-2,r6
fdl7879:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7879: .long execexit
! Opcodes D670 - D677
X670:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1270
exts.w r0,r0
longwd1270:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7880
mov.l execexit_ptr7880,r1
jmp @r1
add #-2,r6
fdl7880:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7880: .long execexit
! Opcode D678
X678:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7881
mov.l execexit_ptr7881,r1
jmp @r1
add #-2,r6
fdl7881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7881: .long execexit
! Opcode D679
X679:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7882
mov.l execexit_ptr7882,r1
jmp @r1
add #-2,r6
fdl7882:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7882: .long execexit
! Opcode D67A
X67A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7883
mov.l execexit_ptr7883,r1
jmp @r1
add #-2,r6
fdl7883:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7883: .long execexit
! Opcode D67B
X67B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1271
exts.w r0,r0
longwd1271:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7884
mov.l execexit_ptr7884,r1
jmp @r1
add #-2,r6
fdl7884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7884: .long execexit
! Opcode D67C
X67C:
mov.w @r6+,r3
mov #12,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #12,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7885
mov.l execexit_ptr7885,r1
jmp @r1
add #-2,r6
fdl7885:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7885: .long execexit
! Opcodes D680 - D687
X680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7886
mov.l execexit_ptr7886,r1
jmp @r1
add #-2,r6
fdl7886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7886: .long execexit
! Opcodes D688 - D68F
X688:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7887
mov.l execexit_ptr7887,r1
jmp @r1
add #-2,r6
fdl7887:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7887: .long execexit
! Opcodes D690 - D697
X690:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7888
mov.l execexit_ptr7888,r1
jmp @r1
add #-2,r6
fdl7888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7888: .long execexit
! Opcodes D698 - D69F
X698:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7889
mov.l execexit_ptr7889,r1
jmp @r1
add #-2,r6
fdl7889:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7889: .long execexit
! Opcodes D6A0 - D6A7
X6A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7890
mov.l execexit_ptr7890,r1
jmp @r1
add #-2,r6
fdl7890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7890: .long execexit
! Opcodes D6A8 - D6AF
X6A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7891
mov.l execexit_ptr7891,r1
jmp @r1
add #-2,r6
fdl7891:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7891: .long execexit
! Opcodes D6B0 - D6B7
X6B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1272
exts.w r0,r0
longwd1272:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7892
mov.l execexit_ptr7892,r1
jmp @r1
add #-2,r6
fdl7892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7892: .long execexit
! Opcode D6B8
X6B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7893
mov.l execexit_ptr7893,r1
jmp @r1
add #-2,r6
fdl7893:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7893: .long execexit
! Opcode D6B9
X6B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7894
mov.l execexit_ptr7894,r1
jmp @r1
add #-2,r6
fdl7894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7894: .long execexit
! Opcode D6BA
X6BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7895
mov.l execexit_ptr7895,r1
jmp @r1
add #-2,r6
fdl7895:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7895: .long execexit
! Opcode D6BB
X6BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1273
exts.w r0,r0
longwd1273:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7896
mov.l execexit_ptr7896,r1
jmp @r1
add #-2,r6
fdl7896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7896: .long execexit
! Opcode D6BC
X6BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(12,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(12,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7897
mov.l execexit_ptr7897,r1
jmp @r1
add #-2,r6
fdl7897:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7897: .long execexit
! Opcodes D6C0 - D6C7
X6C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7898
mov.l execexit_ptr7898,r1
jmp @r1
add #-2,r6
fdl7898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7898: .long execexit
! Opcodes D6C8 - D6CF
X6C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7899
mov.l execexit_ptr7899,r1
jmp @r1
add #-2,r6
fdl7899:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7899: .long execexit
! Opcodes D6D0 - D6D7
X6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7900
mov.l execexit_ptr7900,r1
jmp @r1
add #-2,r6
fdl7900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7900: .long execexit
! Opcodes D6D8 - D6DF
X6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7901
mov.l execexit_ptr7901,r1
jmp @r1
add #-2,r6
fdl7901:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7901: .long execexit
! Opcodes D6E0 - D6E7
X6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7902
mov.l execexit_ptr7902,r1
jmp @r1
add #-2,r6
fdl7902:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7902: .long execexit
! Opcodes D6E8 - D6EF
X6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7903
mov.l execexit_ptr7903,r1
jmp @r1
add #-2,r6
fdl7903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7903: .long execexit
! Opcodes D6F0 - D6F7
X6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1274
exts.w r0,r0
longwd1274:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7904
mov.l execexit_ptr7904,r1
jmp @r1
add #-2,r6
fdl7904:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7904: .long execexit
! Opcode D6F8
X6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7905
mov.l execexit_ptr7905,r1
jmp @r1
add #-2,r6
fdl7905:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7905: .long execexit
! Opcode D6F9
X6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7906
mov.l execexit_ptr7906,r1
jmp @r1
add #-2,r6
fdl7906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7906: .long execexit
! Opcode D6FA
X6FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7907
mov.l execexit_ptr7907,r1
jmp @r1
add #-2,r6
fdl7907:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7907: .long execexit
! Opcode D6FB
X6FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1275
exts.w r0,r0
longwd1275:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7908
mov.l execexit_ptr7908,r1
jmp @r1
add #-2,r6
fdl7908:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7908: .long execexit
! Opcode D6FC
X6FC:
mov.w @r6+,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7909
mov.l execexit_ptr7909,r1
jmp @r1
add #-2,r6
fdl7909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7909: .long execexit
! Opcodes D700 - D707
X700:
and r1,r2
mov #12,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #12,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7911
mov.l execexit_ptr7911,r1
jmp @r1
add #-2,r6
fdl7911:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7911: .long execexit
! Opcodes D708 - D70F
X708:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7913
mov.l execexit_ptr7913,r1
jmp @r1
add #-2,r6
fdl7913:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7913: .long execexit
! Opcodes D710 - D717
X710:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7914
mov.l execexit_ptr7914,r1
jmp @r1
add #-2,r6
fdl7914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7914: .long execexit
! Opcodes D718 - D71F
X718:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7915
mov.l execexit_ptr7915,r1
jmp @r1
add #-2,r6
fdl7915:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7915: .long execexit
! Opcodes D720 - D727
X720:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7916
mov.l execexit_ptr7916,r1
jmp @r1
add #-2,r6
fdl7916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7916: .long execexit
! Opcodes D728 - D72F
X728:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7917
mov.l execexit_ptr7917,r1
jmp @r1
add #-2,r6
fdl7917:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7917: .long execexit
! Opcodes D730 - D737
X730:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1276
exts.w r0,r0
longwd1276:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7918
mov.l execexit_ptr7918,r1
jmp @r1
add #-2,r6
fdl7918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7918: .long execexit
! Opcode D738
X738:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7919
mov.l execexit_ptr7919,r1
jmp @r1
add #-2,r6
fdl7919:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7919: .long execexit
! Opcode D739
X739:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7920
mov.l execexit_ptr7920,r1
jmp @r1
add #-2,r6
fdl7920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7920: .long execexit
! Opcodes D740 - D747
X740:
and r1,r2
mov #12,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #12,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7922
mov.l execexit_ptr7922,r1
jmp @r1
add #-2,r6
fdl7922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7922: .long execexit
! Opcodes D748 - D74F
X748:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7924
mov.l execexit_ptr7924,r1
jmp @r1
add #-2,r6
fdl7924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7924: .long execexit
! Opcodes D750 - D757
X750:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7925
mov.l execexit_ptr7925,r1
jmp @r1
add #-2,r6
fdl7925:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7925: .long execexit
! Opcodes D758 - D75F
X758:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7926
mov.l execexit_ptr7926,r1
jmp @r1
add #-2,r6
fdl7926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7926: .long execexit
! Opcodes D760 - D767
X760:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7927
mov.l execexit_ptr7927,r1
jmp @r1
add #-2,r6
fdl7927:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7927: .long execexit
! Opcodes D768 - D76F
X768:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7928
mov.l execexit_ptr7928,r1
jmp @r1
add #-2,r6
fdl7928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7928: .long execexit
! Opcodes D770 - D777
X770:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1277
exts.w r0,r0
longwd1277:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7929
mov.l execexit_ptr7929,r1
jmp @r1
add #-2,r6
fdl7929:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7929: .long execexit
! Opcode D778
X778:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7930
mov.l execexit_ptr7930,r1
jmp @r1
add #-2,r6
fdl7930:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7930: .long execexit
! Opcode D779
X779:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #12,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7931
mov.l execexit_ptr7931,r1
jmp @r1
add #-2,r6
fdl7931:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7931: .long execexit
! Opcodes D780 - D787
X780:
and r1,r2
mov.l @(12,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(12,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7933
mov.l execexit_ptr7933,r1
jmp @r1
add #-2,r6
fdl7933:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7933: .long execexit
! Opcodes D788 - D78F
X788:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(44,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(44,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7935
mov.l execexit_ptr7935,r1
jmp @r1
add #-2,r6
fdl7935:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7935: .long execexit
! Opcodes D790 - D797
X790:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7936
mov.l execexit_ptr7936,r1
jmp @r1
add #-2,r6
fdl7936:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7936: .long execexit
! Opcodes D798 - D79F
X798:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7937
mov.l execexit_ptr7937,r1
jmp @r1
add #-2,r6
fdl7937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7937: .long execexit
! Opcodes D7A0 - D7A7
X7A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7938
mov.l execexit_ptr7938,r1
jmp @r1
add #-2,r6
fdl7938:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7938: .long execexit
! Opcodes D7A8 - D7AF
X7A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7939
mov.l execexit_ptr7939,r1
jmp @r1
add #-2,r6
fdl7939:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7939: .long execexit
! Opcodes D7B0 - D7B7
X7B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1278
exts.w r0,r0
longwd1278:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7940
mov.l execexit_ptr7940,r1
jmp @r1
add #-2,r6
fdl7940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7940: .long execexit
! Opcode D7B8
X7B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7941
mov.l execexit_ptr7941,r1
jmp @r1
add #-2,r6
fdl7941:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7941: .long execexit
! Opcode D7B9
X7B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(12,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7942
mov.l execexit_ptr7942,r1
jmp @r1
add #-2,r6
fdl7942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7942: .long execexit
! Opcodes D7C0 - D7C7
X7C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7943
mov.l execexit_ptr7943,r1
jmp @r1
add #-2,r6
fdl7943:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7943: .long execexit
! Opcodes D7C8 - D7CF
X7C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7944
mov.l execexit_ptr7944,r1
jmp @r1
add #-2,r6
fdl7944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7944: .long execexit
! Opcodes D7D0 - D7D7
X7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7945
mov.l execexit_ptr7945,r1
jmp @r1
add #-2,r6
fdl7945:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7945: .long execexit
! Opcodes D7D8 - D7DF
X7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7946
mov.l execexit_ptr7946,r1
jmp @r1
add #-2,r6
fdl7946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7946: .long execexit
! Opcodes D7E0 - D7E7
X7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7947
mov.l execexit_ptr7947,r1
jmp @r1
add #-2,r6
fdl7947:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7947: .long execexit
! Opcodes D7E8 - D7EF
X7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7948
mov.l execexit_ptr7948,r1
jmp @r1
add #-2,r6
fdl7948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7948: .long execexit
! Opcodes D7F0 - D7F7
X7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1279
exts.w r0,r0
longwd1279:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7949
mov.l execexit_ptr7949,r1
jmp @r1
add #-2,r6
fdl7949:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7949: .long execexit
! Opcode D7F8
X7F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7950
mov.l execexit_ptr7950,r1
jmp @r1
add #-2,r6
fdl7950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7950: .long execexit
! Opcode D7F9
X7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7951
mov.l execexit_ptr7951,r1
jmp @r1
add #-2,r6
fdl7951:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7951: .long execexit
! Opcode D7FA
X7FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7952
mov.l execexit_ptr7952,r1
jmp @r1
add #-2,r6
fdl7952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7952: .long execexit
! Opcode D7FB
X7FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1280
exts.w r0,r0
longwd1280:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7953
mov.l execexit_ptr7953,r1
jmp @r1
add #-2,r6
fdl7953:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7953: .long execexit
! Opcode D7FC
X7FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(44,r13),r1
add r3,r1
mov.l r1,@(44,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7954
mov.l execexit_ptr7954,r1
jmp @r1
add #-2,r6
fdl7954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7954: .long execexit
! Opcodes D800 - D807
X800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7955
mov.l execexit_ptr7955,r1
jmp @r1
add #-2,r6
fdl7955:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7955: .long execexit
! Opcodes D808 - D80F
X808:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7956
mov.l execexit_ptr7956,r1
jmp @r1
add #-2,r6
fdl7956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7956: .long execexit
! Opcodes D810 - D817
X810:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7957
mov.l execexit_ptr7957,r1
jmp @r1
add #-2,r6
fdl7957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7957: .long execexit
! Opcodes D818 - D81F
X818:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7958
mov.l execexit_ptr7958,r1
jmp @r1
add #-2,r6
fdl7958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7958: .long execexit
! Opcodes D820 - D827
X820:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7959
mov.l execexit_ptr7959,r1
jmp @r1
add #-2,r6
fdl7959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7959: .long execexit
! Opcodes D828 - D82F
X828:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7960
mov.l execexit_ptr7960,r1
jmp @r1
add #-2,r6
fdl7960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7960: .long execexit
! Opcodes D830 - D837
X830:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1281
exts.w r0,r0
longwd1281:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7961
mov.l execexit_ptr7961,r1
jmp @r1
add #-2,r6
fdl7961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7961: .long execexit
! Opcode D838
X838:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7962
mov.l execexit_ptr7962,r1
jmp @r1
add #-2,r6
fdl7962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7962: .long execexit
! Opcode D839
X839:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7963
mov.l execexit_ptr7963,r1
jmp @r1
add #-2,r6
fdl7963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7963: .long execexit
! Opcode D83A
X83A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7964
mov.l execexit_ptr7964,r1
jmp @r1
add #-2,r6
fdl7964:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7964: .long execexit
! Opcode D83B
X83B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1282
exts.w r0,r0
longwd1282:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7965
mov.l execexit_ptr7965,r1
jmp @r1
add #-2,r6
fdl7965:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7965: .long execexit
! Opcode D83C
X83C:
mov.b @r6,r3
add #2,r6
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #16,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7966
mov.l execexit_ptr7966,r1
jmp @r1
add #-2,r6
fdl7966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7966: .long execexit
! Opcodes D840 - D847
X840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7967
mov.l execexit_ptr7967,r1
jmp @r1
add #-2,r6
fdl7967:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7967: .long execexit
! Opcodes D848 - D84F
X848:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7968
mov.l execexit_ptr7968,r1
jmp @r1
add #-2,r6
fdl7968:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7968: .long execexit
! Opcodes D850 - D857
X850:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7969
mov.l execexit_ptr7969,r1
jmp @r1
add #-2,r6
fdl7969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7969: .long execexit
! Opcodes D858 - D85F
X858:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7970
mov.l execexit_ptr7970,r1
jmp @r1
add #-2,r6
fdl7970:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7970: .long execexit
! Opcodes D860 - D867
X860:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7971
mov.l execexit_ptr7971,r1
jmp @r1
add #-2,r6
fdl7971:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7971: .long execexit
! Opcodes D868 - D86F
X868:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7972
mov.l execexit_ptr7972,r1
jmp @r1
add #-2,r6
fdl7972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7972: .long execexit
! Opcodes D870 - D877
X870:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1283
exts.w r0,r0
longwd1283:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7973
mov.l execexit_ptr7973,r1
jmp @r1
add #-2,r6
fdl7973:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7973: .long execexit
! Opcode D878
X878:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7974
mov.l execexit_ptr7974,r1
jmp @r1
add #-2,r6
fdl7974:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7974: .long execexit
! Opcode D879
X879:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7975
mov.l execexit_ptr7975,r1
jmp @r1
add #-2,r6
fdl7975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7975: .long execexit
! Opcode D87A
X87A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7976
mov.l execexit_ptr7976,r1
jmp @r1
add #-2,r6
fdl7976:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7976: .long execexit
! Opcode D87B
X87B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1284
exts.w r0,r0
longwd1284:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7977
mov.l execexit_ptr7977,r1
jmp @r1
add #-2,r6
fdl7977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7977: .long execexit
! Opcode D87C
X87C:
mov.w @r6+,r3
mov #16,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #16,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7978
mov.l execexit_ptr7978,r1
jmp @r1
add #-2,r6
fdl7978:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7978: .long execexit
! Opcodes D880 - D887
X880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7979
mov.l execexit_ptr7979,r1
jmp @r1
add #-2,r6
fdl7979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7979: .long execexit
! Opcodes D888 - D88F
X888:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7980
mov.l execexit_ptr7980,r1
jmp @r1
add #-2,r6
fdl7980:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7980: .long execexit
! Opcodes D890 - D897
X890:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7981
mov.l execexit_ptr7981,r1
jmp @r1
add #-2,r6
fdl7981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7981: .long execexit
! Opcodes D898 - D89F
X898:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7982
mov.l execexit_ptr7982,r1
jmp @r1
add #-2,r6
fdl7982:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7982: .long execexit
! Opcodes D8A0 - D8A7
X8A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7983
mov.l execexit_ptr7983,r1
jmp @r1
add #-2,r6
fdl7983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7983: .long execexit
! Opcodes D8A8 - D8AF
X8A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7984
mov.l execexit_ptr7984,r1
jmp @r1
add #-2,r6
fdl7984:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7984: .long execexit
! Opcodes D8B0 - D8B7
X8B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1285
exts.w r0,r0
longwd1285:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7985
mov.l execexit_ptr7985,r1
jmp @r1
add #-2,r6
fdl7985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7985: .long execexit
! Opcode D8B8
X8B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7986
mov.l execexit_ptr7986,r1
jmp @r1
add #-2,r6
fdl7986:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7986: .long execexit
! Opcode D8B9
X8B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7987
mov.l execexit_ptr7987,r1
jmp @r1
add #-2,r6
fdl7987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7987: .long execexit
! Opcode D8BA
X8BA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7988
mov.l execexit_ptr7988,r1
jmp @r1
add #-2,r6
fdl7988:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7988: .long execexit
! Opcode D8BB
X8BB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1286
exts.w r0,r0
longwd1286:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7989
mov.l execexit_ptr7989,r1
jmp @r1
add #-2,r6
fdl7989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7989: .long execexit
! Opcode D8BC
X8BC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(16,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(16,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7990
mov.l execexit_ptr7990,r1
jmp @r1
add #-2,r6
fdl7990:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7990: .long execexit
! Opcodes D8C0 - D8C7
X8C0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7991
mov.l execexit_ptr7991,r1
jmp @r1
add #-2,r6
fdl7991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7991: .long execexit
! Opcodes D8C8 - D8CF
X8C8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7992
mov.l execexit_ptr7992,r1
jmp @r1
add #-2,r6
fdl7992:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7992: .long execexit
! Opcodes D8D0 - D8D7
X8D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7993
mov.l execexit_ptr7993,r1
jmp @r1
add #-2,r6
fdl7993:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7993: .long execexit
! Opcodes D8D8 - D8DF
X8D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7994
mov.l execexit_ptr7994,r1
jmp @r1
add #-2,r6
fdl7994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7994: .long execexit
! Opcodes D8E0 - D8E7
X8E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7995
mov.l execexit_ptr7995,r1
jmp @r1
add #-2,r6
fdl7995:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7995: .long execexit
! Opcodes D8E8 - D8EF
X8E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7996
mov.l execexit_ptr7996,r1
jmp @r1
add #-2,r6
fdl7996:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7996: .long execexit
! Opcodes D8F0 - D8F7
X8F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1287
exts.w r0,r0
longwd1287:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7997
mov.l execexit_ptr7997,r1
jmp @r1
add #-2,r6
fdl7997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7997: .long execexit
! Opcode D8F8
X8F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7998
mov.l execexit_ptr7998,r1
jmp @r1
add #-2,r6
fdl7998:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7998: .long execexit
! Opcode D8F9
X8F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl7999
mov.l execexit_ptr7999,r1
jmp @r1
add #-2,r6
fdl7999:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr7999: .long execexit
! Opcode D8FA
X8FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8000
mov.l execexit_ptr8000,r1
jmp @r1
add #-2,r6
fdl8000:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8000: .long execexit
! Opcode D8FB
X8FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1288
exts.w r0,r0
longwd1288:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8001
mov.l execexit_ptr8001,r1
jmp @r1
add #-2,r6
fdl8001:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8001: .long execexit
! Opcode D8FC
X8FC:
mov.w @r6+,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8002
mov.l execexit_ptr8002,r1
jmp @r1
add #-2,r6
fdl8002:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8002: .long execexit
! Opcodes D900 - D907
X900:
and r1,r2
mov #16,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #16,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8004
mov.l execexit_ptr8004,r1
jmp @r1
add #-2,r6
fdl8004:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8004: .long execexit
! Opcodes D908 - D90F
X908:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8006
mov.l execexit_ptr8006,r1
jmp @r1
add #-2,r6
fdl8006:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8006: .long execexit
! Opcodes D910 - D917
X910:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8007
mov.l execexit_ptr8007,r1
jmp @r1
add #-2,r6
fdl8007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8007: .long execexit
! Opcodes D918 - D91F
X918:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8008
mov.l execexit_ptr8008,r1
jmp @r1
add #-2,r6
fdl8008:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8008: .long execexit
! Opcodes D920 - D927
X920:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8009
mov.l execexit_ptr8009,r1
jmp @r1
add #-2,r6
fdl8009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8009: .long execexit
! Opcodes D928 - D92F
X928:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8010
mov.l execexit_ptr8010,r1
jmp @r1
add #-2,r6
fdl8010:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8010: .long execexit
! Opcodes D930 - D937
X930:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1289
exts.w r0,r0
longwd1289:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8011
mov.l execexit_ptr8011,r1
jmp @r1
add #-2,r6
fdl8011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8011: .long execexit
! Opcode D938
X938:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8012
mov.l execexit_ptr8012,r1
jmp @r1
add #-2,r6
fdl8012:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8012: .long execexit
! Opcode D939
X939:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8013
mov.l execexit_ptr8013,r1
jmp @r1
add #-2,r6
fdl8013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8013: .long execexit
! Opcodes D940 - D947
X940:
and r1,r2
mov #16,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #16,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8015
mov.l execexit_ptr8015,r1
jmp @r1
add #-2,r6
fdl8015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8015: .long execexit
! Opcodes D948 - D94F
X948:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8017
mov.l execexit_ptr8017,r1
jmp @r1
add #-2,r6
fdl8017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8017: .long execexit
! Opcodes D950 - D957
X950:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8018
mov.l execexit_ptr8018,r1
jmp @r1
add #-2,r6
fdl8018:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8018: .long execexit
! Opcodes D958 - D95F
X958:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8019
mov.l execexit_ptr8019,r1
jmp @r1
add #-2,r6
fdl8019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8019: .long execexit
! Opcodes D960 - D967
X960:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8020
mov.l execexit_ptr8020,r1
jmp @r1
add #-2,r6
fdl8020:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8020: .long execexit
! Opcodes D968 - D96F
X968:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8021
mov.l execexit_ptr8021,r1
jmp @r1
add #-2,r6
fdl8021:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8021: .long execexit
! Opcodes D970 - D977
X970:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1290
exts.w r0,r0
longwd1290:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8022
mov.l execexit_ptr8022,r1
jmp @r1
add #-2,r6
fdl8022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8022: .long execexit
! Opcode D978
X978:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8023
mov.l execexit_ptr8023,r1
jmp @r1
add #-2,r6
fdl8023:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8023: .long execexit
! Opcode D979
X979:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #16,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8024
mov.l execexit_ptr8024,r1
jmp @r1
add #-2,r6
fdl8024:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8024: .long execexit
! Opcodes D980 - D987
X980:
and r1,r2
mov.l @(16,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(16,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8026
mov.l execexit_ptr8026,r1
jmp @r1
add #-2,r6
fdl8026:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8026: .long execexit
! Opcodes D988 - D98F
X988:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(48,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(48,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8028
mov.l execexit_ptr8028,r1
jmp @r1
add #-2,r6
fdl8028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8028: .long execexit
! Opcodes D990 - D997
X990:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8029
mov.l execexit_ptr8029,r1
jmp @r1
add #-2,r6
fdl8029:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8029: .long execexit
! Opcodes D998 - D99F
X998:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8030
mov.l execexit_ptr8030,r1
jmp @r1
add #-2,r6
fdl8030:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8030: .long execexit
! Opcodes D9A0 - D9A7
X9A0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8031
mov.l execexit_ptr8031,r1
jmp @r1
add #-2,r6
fdl8031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8031: .long execexit
! Opcodes D9A8 - D9AF
X9A8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8032
mov.l execexit_ptr8032,r1
jmp @r1
add #-2,r6
fdl8032:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8032: .long execexit
! Opcodes D9B0 - D9B7
X9B0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1291
exts.w r0,r0
longwd1291:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8033
mov.l execexit_ptr8033,r1
jmp @r1
add #-2,r6
fdl8033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8033: .long execexit
! Opcode D9B8
X9B8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8034
mov.l execexit_ptr8034,r1
jmp @r1
add #-2,r6
fdl8034:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8034: .long execexit
! Opcode D9B9
X9B9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(16,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8035
mov.l execexit_ptr8035,r1
jmp @r1
add #-2,r6
fdl8035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8035: .long execexit
! Opcodes D9C0 - D9C7
X9C0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8036
mov.l execexit_ptr8036,r1
jmp @r1
add #-2,r6
fdl8036:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8036: .long execexit
! Opcodes D9C8 - D9CF
X9C8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8037
mov.l execexit_ptr8037,r1
jmp @r1
add #-2,r6
fdl8037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8037: .long execexit
! Opcodes D9D0 - D9D7
X9D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8038
mov.l execexit_ptr8038,r1
jmp @r1
add #-2,r6
fdl8038:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8038: .long execexit
! Opcodes D9D8 - D9DF
X9D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8039
mov.l execexit_ptr8039,r1
jmp @r1
add #-2,r6
fdl8039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8039: .long execexit
! Opcodes D9E0 - D9E7
X9E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8040
mov.l execexit_ptr8040,r1
jmp @r1
add #-2,r6
fdl8040:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8040: .long execexit
! Opcodes D9E8 - D9EF
X9E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8041
mov.l execexit_ptr8041,r1
jmp @r1
add #-2,r6
fdl8041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8041: .long execexit
! Opcodes D9F0 - D9F7
X9F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1292
exts.w r0,r0
longwd1292:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8042
mov.l execexit_ptr8042,r1
jmp @r1
add #-2,r6
fdl8042:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8042: .long execexit
! Opcode D9F8
X9F8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8043
mov.l execexit_ptr8043,r1
jmp @r1
add #-2,r6
fdl8043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8043: .long execexit
! Opcode D9F9
X9F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8044
mov.l execexit_ptr8044,r1
jmp @r1
add #-2,r6
fdl8044:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8044: .long execexit
! Opcode D9FA
X9FA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8045
mov.l execexit_ptr8045,r1
jmp @r1
add #-2,r6
fdl8045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8045: .long execexit
! Opcode D9FB
X9FB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1293
exts.w r0,r0
longwd1293:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8046
mov.l execexit_ptr8046,r1
jmp @r1
add #-2,r6
fdl8046:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8046: .long execexit
! Opcode D9FC
X9FC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(48,r13),r1
add r3,r1
mov.l r1,@(48,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8047
mov.l execexit_ptr8047,r1
jmp @r1
add #-2,r6
fdl8047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8047: .long execexit
! Opcodes DA00 - DA07
XA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8048
mov.l execexit_ptr8048,r1
jmp @r1
add #-2,r6
fdl8048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8048: .long execexit
! Opcodes DA08 - DA0F
XA08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8049
mov.l execexit_ptr8049,r1
jmp @r1
add #-2,r6
fdl8049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8049: .long execexit
! Opcodes DA10 - DA17
XA10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8050
mov.l execexit_ptr8050,r1
jmp @r1
add #-2,r6
fdl8050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8050: .long execexit
! Opcodes DA18 - DA1F
XA18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8051
mov.l execexit_ptr8051,r1
jmp @r1
add #-2,r6
fdl8051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8051: .long execexit
! Opcodes DA20 - DA27
XA20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8052
mov.l execexit_ptr8052,r1
jmp @r1
add #-2,r6
fdl8052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8052: .long execexit
! Opcodes DA28 - DA2F
XA28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8053
mov.l execexit_ptr8053,r1
jmp @r1
add #-2,r6
fdl8053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8053: .long execexit
! Opcodes DA30 - DA37
XA30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1294
exts.w r0,r0
longwd1294:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8054
mov.l execexit_ptr8054,r1
jmp @r1
add #-2,r6
fdl8054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8054: .long execexit
! Opcode DA38
XA38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8055
mov.l execexit_ptr8055,r1
jmp @r1
add #-2,r6
fdl8055:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8055: .long execexit
! Opcode DA39
XA39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8056
mov.l execexit_ptr8056,r1
jmp @r1
add #-2,r6
fdl8056:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8056: .long execexit
! Opcode DA3A
XA3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8057
mov.l execexit_ptr8057,r1
jmp @r1
add #-2,r6
fdl8057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8057: .long execexit
! Opcode DA3B
XA3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1295
exts.w r0,r0
longwd1295:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8058
mov.l execexit_ptr8058,r1
jmp @r1
add #-2,r6
fdl8058:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8058: .long execexit
! Opcode DA3C
XA3C:
mov.b @r6,r3
add #2,r6
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #20,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8059
mov.l execexit_ptr8059,r1
jmp @r1
add #-2,r6
fdl8059:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8059: .long execexit
! Opcodes DA40 - DA47
XA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8060
mov.l execexit_ptr8060,r1
jmp @r1
add #-2,r6
fdl8060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8060: .long execexit
! Opcodes DA48 - DA4F
XA48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8061
mov.l execexit_ptr8061,r1
jmp @r1
add #-2,r6
fdl8061:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8061: .long execexit
! Opcodes DA50 - DA57
XA50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8062
mov.l execexit_ptr8062,r1
jmp @r1
add #-2,r6
fdl8062:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8062: .long execexit
! Opcodes DA58 - DA5F
XA58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8063
mov.l execexit_ptr8063,r1
jmp @r1
add #-2,r6
fdl8063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8063: .long execexit
! Opcodes DA60 - DA67
XA60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8064
mov.l execexit_ptr8064,r1
jmp @r1
add #-2,r6
fdl8064:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8064: .long execexit
! Opcodes DA68 - DA6F
XA68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8065
mov.l execexit_ptr8065,r1
jmp @r1
add #-2,r6
fdl8065:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8065: .long execexit
! Opcodes DA70 - DA77
XA70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1296
exts.w r0,r0
longwd1296:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8066
mov.l execexit_ptr8066,r1
jmp @r1
add #-2,r6
fdl8066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8066: .long execexit
! Opcode DA78
XA78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8067
mov.l execexit_ptr8067,r1
jmp @r1
add #-2,r6
fdl8067:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8067: .long execexit
! Opcode DA79
XA79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8068
mov.l execexit_ptr8068,r1
jmp @r1
add #-2,r6
fdl8068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8068: .long execexit
! Opcode DA7A
XA7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8069
mov.l execexit_ptr8069,r1
jmp @r1
add #-2,r6
fdl8069:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8069: .long execexit
! Opcode DA7B
XA7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1297
exts.w r0,r0
longwd1297:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8070
mov.l execexit_ptr8070,r1
jmp @r1
add #-2,r6
fdl8070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8070: .long execexit
! Opcode DA7C
XA7C:
mov.w @r6+,r3
mov #20,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #20,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8071
mov.l execexit_ptr8071,r1
jmp @r1
add #-2,r6
fdl8071:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8071: .long execexit
! Opcodes DA80 - DA87
XA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8072
mov.l execexit_ptr8072,r1
jmp @r1
add #-2,r6
fdl8072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8072: .long execexit
! Opcodes DA88 - DA8F
XA88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8073
mov.l execexit_ptr8073,r1
jmp @r1
add #-2,r6
fdl8073:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8073: .long execexit
! Opcodes DA90 - DA97
XA90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8074
mov.l execexit_ptr8074,r1
jmp @r1
add #-2,r6
fdl8074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8074: .long execexit
! Opcodes DA98 - DA9F
XA98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8075
mov.l execexit_ptr8075,r1
jmp @r1
add #-2,r6
fdl8075:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8075: .long execexit
! Opcodes DAA0 - DAA7
XAA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8076
mov.l execexit_ptr8076,r1
jmp @r1
add #-2,r6
fdl8076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8076: .long execexit
! Opcodes DAA8 - DAAF
XAA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8077
mov.l execexit_ptr8077,r1
jmp @r1
add #-2,r6
fdl8077:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8077: .long execexit
! Opcodes DAB0 - DAB7
XAB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1298
exts.w r0,r0
longwd1298:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8078
mov.l execexit_ptr8078,r1
jmp @r1
add #-2,r6
fdl8078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8078: .long execexit
! Opcode DAB8
XAB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8079
mov.l execexit_ptr8079,r1
jmp @r1
add #-2,r6
fdl8079:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8079: .long execexit
! Opcode DAB9
XAB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8080
mov.l execexit_ptr8080,r1
jmp @r1
add #-2,r6
fdl8080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8080: .long execexit
! Opcode DABA
XABA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8081
mov.l execexit_ptr8081,r1
jmp @r1
add #-2,r6
fdl8081:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8081: .long execexit
! Opcode DABB
XABB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1299
exts.w r0,r0
longwd1299:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8082
mov.l execexit_ptr8082,r1
jmp @r1
add #-2,r6
fdl8082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8082: .long execexit
! Opcode DABC
XABC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(20,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(20,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8083
mov.l execexit_ptr8083,r1
jmp @r1
add #-2,r6
fdl8083:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8083: .long execexit
! Opcodes DAC0 - DAC7
XAC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8084
mov.l execexit_ptr8084,r1
jmp @r1
add #-2,r6
fdl8084:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8084: .long execexit
! Opcodes DAC8 - DACF
XAC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8085
mov.l execexit_ptr8085,r1
jmp @r1
add #-2,r6
fdl8085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8085: .long execexit
! Opcodes DAD0 - DAD7
XAD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8086
mov.l execexit_ptr8086,r1
jmp @r1
add #-2,r6
fdl8086:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8086: .long execexit
! Opcodes DAD8 - DADF
XAD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8087
mov.l execexit_ptr8087,r1
jmp @r1
add #-2,r6
fdl8087:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8087: .long execexit
! Opcodes DAE0 - DAE7
XAE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8088
mov.l execexit_ptr8088,r1
jmp @r1
add #-2,r6
fdl8088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8088: .long execexit
! Opcodes DAE8 - DAEF
XAE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8089
mov.l execexit_ptr8089,r1
jmp @r1
add #-2,r6
fdl8089:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8089: .long execexit
! Opcodes DAF0 - DAF7
XAF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1300
exts.w r0,r0
longwd1300:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8090
mov.l execexit_ptr8090,r1
jmp @r1
add #-2,r6
fdl8090:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8090: .long execexit
! Opcode DAF8
XAF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8091
mov.l execexit_ptr8091,r1
jmp @r1
add #-2,r6
fdl8091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8091: .long execexit
! Opcode DAF9
XAF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8092
mov.l execexit_ptr8092,r1
jmp @r1
add #-2,r6
fdl8092:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8092: .long execexit
! Opcode DAFA
XAFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8093
mov.l execexit_ptr8093,r1
jmp @r1
add #-2,r6
fdl8093:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8093: .long execexit
! Opcode DAFB
XAFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1301
exts.w r0,r0
longwd1301:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8094
mov.l execexit_ptr8094,r1
jmp @r1
add #-2,r6
fdl8094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8094: .long execexit
! Opcode DAFC
XAFC:
mov.w @r6+,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8095
mov.l execexit_ptr8095,r1
jmp @r1
add #-2,r6
fdl8095:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8095: .long execexit
! Opcodes DB00 - DB07
XB00:
and r1,r2
mov #20,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #20,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8097
mov.l execexit_ptr8097,r1
jmp @r1
add #-2,r6
fdl8097:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8097: .long execexit
! Opcodes DB08 - DB0F
XB08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8099
mov.l execexit_ptr8099,r1
jmp @r1
add #-2,r6
fdl8099:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8099: .long execexit
! Opcodes DB10 - DB17
XB10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8100
mov.l execexit_ptr8100,r1
jmp @r1
add #-2,r6
fdl8100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8100: .long execexit
! Opcodes DB18 - DB1F
XB18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8101
mov.l execexit_ptr8101,r1
jmp @r1
add #-2,r6
fdl8101:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8101: .long execexit
! Opcodes DB20 - DB27
XB20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8102
mov.l execexit_ptr8102,r1
jmp @r1
add #-2,r6
fdl8102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8102: .long execexit
! Opcodes DB28 - DB2F
XB28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8103
mov.l execexit_ptr8103,r1
jmp @r1
add #-2,r6
fdl8103:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8103: .long execexit
! Opcodes DB30 - DB37
XB30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1302
exts.w r0,r0
longwd1302:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8104
mov.l execexit_ptr8104,r1
jmp @r1
add #-2,r6
fdl8104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8104: .long execexit
! Opcode DB38
XB38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8105
mov.l execexit_ptr8105,r1
jmp @r1
add #-2,r6
fdl8105:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8105: .long execexit
! Opcode DB39
XB39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8106
mov.l execexit_ptr8106,r1
jmp @r1
add #-2,r6
fdl8106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8106: .long execexit
! Opcodes DB40 - DB47
XB40:
and r1,r2
mov #20,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #20,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8108
mov.l execexit_ptr8108,r1
jmp @r1
add #-2,r6
fdl8108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8108: .long execexit
! Opcodes DB48 - DB4F
XB48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8110
mov.l execexit_ptr8110,r1
jmp @r1
add #-2,r6
fdl8110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8110: .long execexit
! Opcodes DB50 - DB57
XB50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8111
mov.l execexit_ptr8111,r1
jmp @r1
add #-2,r6
fdl8111:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8111: .long execexit
! Opcodes DB58 - DB5F
XB58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8112
mov.l execexit_ptr8112,r1
jmp @r1
add #-2,r6
fdl8112:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8112: .long execexit
! Opcodes DB60 - DB67
XB60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8113
mov.l execexit_ptr8113,r1
jmp @r1
add #-2,r6
fdl8113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8113: .long execexit
! Opcodes DB68 - DB6F
XB68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8114
mov.l execexit_ptr8114,r1
jmp @r1
add #-2,r6
fdl8114:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8114: .long execexit
! Opcodes DB70 - DB77
XB70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1303
exts.w r0,r0
longwd1303:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8115
mov.l execexit_ptr8115,r1
jmp @r1
add #-2,r6
fdl8115:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8115: .long execexit
! Opcode DB78
XB78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8116
mov.l execexit_ptr8116,r1
jmp @r1
add #-2,r6
fdl8116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8116: .long execexit
! Opcode DB79
XB79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #20,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8117
mov.l execexit_ptr8117,r1
jmp @r1
add #-2,r6
fdl8117:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8117: .long execexit
! Opcodes DB80 - DB87
XB80:
and r1,r2
mov.l @(20,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(20,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8119
mov.l execexit_ptr8119,r1
jmp @r1
add #-2,r6
fdl8119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8119: .long execexit
! Opcodes DB88 - DB8F
XB88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(52,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(52,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8121
mov.l execexit_ptr8121,r1
jmp @r1
add #-2,r6
fdl8121:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8121: .long execexit
! Opcodes DB90 - DB97
XB90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8122
mov.l execexit_ptr8122,r1
jmp @r1
add #-2,r6
fdl8122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8122: .long execexit
! Opcodes DB98 - DB9F
XB98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8123
mov.l execexit_ptr8123,r1
jmp @r1
add #-2,r6
fdl8123:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8123: .long execexit
! Opcodes DBA0 - DBA7
XBA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8124
mov.l execexit_ptr8124,r1
jmp @r1
add #-2,r6
fdl8124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8124: .long execexit
! Opcodes DBA8 - DBAF
XBA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8125
mov.l execexit_ptr8125,r1
jmp @r1
add #-2,r6
fdl8125:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8125: .long execexit
! Opcodes DBB0 - DBB7
XBB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1304
exts.w r0,r0
longwd1304:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8126
mov.l execexit_ptr8126,r1
jmp @r1
add #-2,r6
fdl8126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8126: .long execexit
! Opcode DBB8
XBB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8127
mov.l execexit_ptr8127,r1
jmp @r1
add #-2,r6
fdl8127:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8127: .long execexit
! Opcode DBB9
XBB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(20,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8128
mov.l execexit_ptr8128,r1
jmp @r1
add #-2,r6
fdl8128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8128: .long execexit
! Opcodes DBC0 - DBC7
XBC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8129
mov.l execexit_ptr8129,r1
jmp @r1
add #-2,r6
fdl8129:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8129: .long execexit
! Opcodes DBC8 - DBCF
XBC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8130
mov.l execexit_ptr8130,r1
jmp @r1
add #-2,r6
fdl8130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8130: .long execexit
! Opcodes DBD0 - DBD7
XBD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8131
mov.l execexit_ptr8131,r1
jmp @r1
add #-2,r6
fdl8131:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8131: .long execexit
! Opcodes DBD8 - DBDF
XBD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8132
mov.l execexit_ptr8132,r1
jmp @r1
add #-2,r6
fdl8132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8132: .long execexit
! Opcodes DBE0 - DBE7
XBE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8133
mov.l execexit_ptr8133,r1
jmp @r1
add #-2,r6
fdl8133:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8133: .long execexit
! Opcodes DBE8 - DBEF
XBE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8134
mov.l execexit_ptr8134,r1
jmp @r1
add #-2,r6
fdl8134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8134: .long execexit
! Opcodes DBF0 - DBF7
XBF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1305
exts.w r0,r0
longwd1305:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8135
mov.l execexit_ptr8135,r1
jmp @r1
add #-2,r6
fdl8135:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8135: .long execexit
! Opcode DBF8
XBF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8136
mov.l execexit_ptr8136,r1
jmp @r1
add #-2,r6
fdl8136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8136: .long execexit
! Opcode DBF9
XBF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8137
mov.l execexit_ptr8137,r1
jmp @r1
add #-2,r6
fdl8137:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8137: .long execexit
! Opcode DBFA
XBFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8138
mov.l execexit_ptr8138,r1
jmp @r1
add #-2,r6
fdl8138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8138: .long execexit
! Opcode DBFB
XBFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1306
exts.w r0,r0
longwd1306:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8139
mov.l execexit_ptr8139,r1
jmp @r1
add #-2,r6
fdl8139:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8139: .long execexit
! Opcode DBFC
XBFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(52,r13),r1
add r3,r1
mov.l r1,@(52,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8140
mov.l execexit_ptr8140,r1
jmp @r1
add #-2,r6
fdl8140:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8140: .long execexit
! Opcodes DC00 - DC07
XC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8141
mov.l execexit_ptr8141,r1
jmp @r1
add #-2,r6
fdl8141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8141: .long execexit
! Opcodes DC08 - DC0F
XC08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8142
mov.l execexit_ptr8142,r1
jmp @r1
add #-2,r6
fdl8142:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8142: .long execexit
! Opcodes DC10 - DC17
XC10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8143
mov.l execexit_ptr8143,r1
jmp @r1
add #-2,r6
fdl8143:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8143: .long execexit
! Opcodes DC18 - DC1F
XC18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8144
mov.l execexit_ptr8144,r1
jmp @r1
add #-2,r6
fdl8144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8144: .long execexit
! Opcodes DC20 - DC27
XC20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8145
mov.l execexit_ptr8145,r1
jmp @r1
add #-2,r6
fdl8145:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8145: .long execexit
! Opcodes DC28 - DC2F
XC28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8146
mov.l execexit_ptr8146,r1
jmp @r1
add #-2,r6
fdl8146:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8146: .long execexit
! Opcodes DC30 - DC37
XC30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1307
exts.w r0,r0
longwd1307:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8147
mov.l execexit_ptr8147,r1
jmp @r1
add #-2,r6
fdl8147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8147: .long execexit
! Opcode DC38
XC38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8148
mov.l execexit_ptr8148,r1
jmp @r1
add #-2,r6
fdl8148:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8148: .long execexit
! Opcode DC39
XC39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8149
mov.l execexit_ptr8149,r1
jmp @r1
add #-2,r6
fdl8149:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8149: .long execexit
! Opcode DC3A
XC3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8150
mov.l execexit_ptr8150,r1
jmp @r1
add #-2,r6
fdl8150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8150: .long execexit
! Opcode DC3B
XC3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1308
exts.w r0,r0
longwd1308:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8151
mov.l execexit_ptr8151,r1
jmp @r1
add #-2,r6
fdl8151:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8151: .long execexit
! Opcode DC3C
XC3C:
mov.b @r6,r3
add #2,r6
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #24,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8152
mov.l execexit_ptr8152,r1
jmp @r1
add #-2,r6
fdl8152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8152: .long execexit
! Opcodes DC40 - DC47
XC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8153
mov.l execexit_ptr8153,r1
jmp @r1
add #-2,r6
fdl8153:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8153: .long execexit
! Opcodes DC48 - DC4F
XC48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8154
mov.l execexit_ptr8154,r1
jmp @r1
add #-2,r6
fdl8154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8154: .long execexit
! Opcodes DC50 - DC57
XC50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8155
mov.l execexit_ptr8155,r1
jmp @r1
add #-2,r6
fdl8155:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8155: .long execexit
! Opcodes DC58 - DC5F
XC58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8156
mov.l execexit_ptr8156,r1
jmp @r1
add #-2,r6
fdl8156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8156: .long execexit
! Opcodes DC60 - DC67
XC60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8157
mov.l execexit_ptr8157,r1
jmp @r1
add #-2,r6
fdl8157:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8157: .long execexit
! Opcodes DC68 - DC6F
XC68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8158
mov.l execexit_ptr8158,r1
jmp @r1
add #-2,r6
fdl8158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8158: .long execexit
! Opcodes DC70 - DC77
XC70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1309
exts.w r0,r0
longwd1309:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8159
mov.l execexit_ptr8159,r1
jmp @r1
add #-2,r6
fdl8159:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8159: .long execexit
! Opcode DC78
XC78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8160
mov.l execexit_ptr8160,r1
jmp @r1
add #-2,r6
fdl8160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8160: .long execexit
! Opcode DC79
XC79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8161
mov.l execexit_ptr8161,r1
jmp @r1
add #-2,r6
fdl8161:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8161: .long execexit
! Opcode DC7A
XC7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8162
mov.l execexit_ptr8162,r1
jmp @r1
add #-2,r6
fdl8162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8162: .long execexit
! Opcode DC7B
XC7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1310
exts.w r0,r0
longwd1310:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8163
mov.l execexit_ptr8163,r1
jmp @r1
add #-2,r6
fdl8163:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8163: .long execexit
! Opcode DC7C
XC7C:
mov.w @r6+,r3
mov #24,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #24,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8164
mov.l execexit_ptr8164,r1
jmp @r1
add #-2,r6
fdl8164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8164: .long execexit
! Opcodes DC80 - DC87
XC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8165
mov.l execexit_ptr8165,r1
jmp @r1
add #-2,r6
fdl8165:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8165: .long execexit
! Opcodes DC88 - DC8F
XC88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8166
mov.l execexit_ptr8166,r1
jmp @r1
add #-2,r6
fdl8166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8166: .long execexit
! Opcodes DC90 - DC97
XC90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8167
mov.l execexit_ptr8167,r1
jmp @r1
add #-2,r6
fdl8167:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8167: .long execexit
! Opcodes DC98 - DC9F
XC98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8168
mov.l execexit_ptr8168,r1
jmp @r1
add #-2,r6
fdl8168:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8168: .long execexit
! Opcodes DCA0 - DCA7
XCA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8169
mov.l execexit_ptr8169,r1
jmp @r1
add #-2,r6
fdl8169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8169: .long execexit
! Opcodes DCA8 - DCAF
XCA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8170
mov.l execexit_ptr8170,r1
jmp @r1
add #-2,r6
fdl8170:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8170: .long execexit
! Opcodes DCB0 - DCB7
XCB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1311
exts.w r0,r0
longwd1311:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8171
mov.l execexit_ptr8171,r1
jmp @r1
add #-2,r6
fdl8171:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8171: .long execexit
! Opcode DCB8
XCB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8172
mov.l execexit_ptr8172,r1
jmp @r1
add #-2,r6
fdl8172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8172: .long execexit
! Opcode DCB9
XCB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8173
mov.l execexit_ptr8173,r1
jmp @r1
add #-2,r6
fdl8173:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8173: .long execexit
! Opcode DCBA
XCBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8174
mov.l execexit_ptr8174,r1
jmp @r1
add #-2,r6
fdl8174:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8174: .long execexit
! Opcode DCBB
XCBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1312
exts.w r0,r0
longwd1312:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8175
mov.l execexit_ptr8175,r1
jmp @r1
add #-2,r6
fdl8175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8175: .long execexit
! Opcode DCBC
XCBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(24,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(24,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8176
mov.l execexit_ptr8176,r1
jmp @r1
add #-2,r6
fdl8176:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8176: .long execexit
! Opcodes DCC0 - DCC7
XCC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8177
mov.l execexit_ptr8177,r1
jmp @r1
add #-2,r6
fdl8177:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8177: .long execexit
! Opcodes DCC8 - DCCF
XCC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8178
mov.l execexit_ptr8178,r1
jmp @r1
add #-2,r6
fdl8178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8178: .long execexit
! Opcodes DCD0 - DCD7
XCD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8179
mov.l execexit_ptr8179,r1
jmp @r1
add #-2,r6
fdl8179:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8179: .long execexit
! Opcodes DCD8 - DCDF
XCD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8180
mov.l execexit_ptr8180,r1
jmp @r1
add #-2,r6
fdl8180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8180: .long execexit
! Opcodes DCE0 - DCE7
XCE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8181
mov.l execexit_ptr8181,r1
jmp @r1
add #-2,r6
fdl8181:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8181: .long execexit
! Opcodes DCE8 - DCEF
XCE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8182
mov.l execexit_ptr8182,r1
jmp @r1
add #-2,r6
fdl8182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8182: .long execexit
! Opcodes DCF0 - DCF7
XCF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1313
exts.w r0,r0
longwd1313:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8183
mov.l execexit_ptr8183,r1
jmp @r1
add #-2,r6
fdl8183:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8183: .long execexit
! Opcode DCF8
XCF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8184
mov.l execexit_ptr8184,r1
jmp @r1
add #-2,r6
fdl8184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8184: .long execexit
! Opcode DCF9
XCF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8185
mov.l execexit_ptr8185,r1
jmp @r1
add #-2,r6
fdl8185:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8185: .long execexit
! Opcode DCFA
XCFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8186
mov.l execexit_ptr8186,r1
jmp @r1
add #-2,r6
fdl8186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8186: .long execexit
! Opcode DCFB
XCFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1314
exts.w r0,r0
longwd1314:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8187
mov.l execexit_ptr8187,r1
jmp @r1
add #-2,r6
fdl8187:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8187: .long execexit
! Opcode DCFC
XCFC:
mov.w @r6+,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8188
mov.l execexit_ptr8188,r1
jmp @r1
add #-2,r6
fdl8188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8188: .long execexit
! Opcodes DD00 - DD07
XD00:
and r1,r2
mov #24,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #24,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8190
mov.l execexit_ptr8190,r1
jmp @r1
add #-2,r6
fdl8190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8190: .long execexit
! Opcodes DD08 - DD0F
XD08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
dt r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8192
mov.l execexit_ptr8192,r1
jmp @r1
add #-2,r6
fdl8192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8192: .long execexit
! Opcodes DD10 - DD17
XD10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8193
mov.l execexit_ptr8193,r1
jmp @r1
add #-2,r6
fdl8193:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8193: .long execexit
! Opcodes DD18 - DD1F
XD18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8194
mov.l execexit_ptr8194,r1
jmp @r1
add #-2,r6
fdl8194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8194: .long execexit
! Opcodes DD20 - DD27
XD20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8195
mov.l execexit_ptr8195,r1
jmp @r1
add #-2,r6
fdl8195:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8195: .long execexit
! Opcodes DD28 - DD2F
XD28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8196
mov.l execexit_ptr8196,r1
jmp @r1
add #-2,r6
fdl8196:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8196: .long execexit
! Opcodes DD30 - DD37
XD30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1315
exts.w r0,r0
longwd1315:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8197
mov.l execexit_ptr8197,r1
jmp @r1
add #-2,r6
fdl8197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8197: .long execexit
! Opcode DD38
XD38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8198
mov.l execexit_ptr8198,r1
jmp @r1
add #-2,r6
fdl8198:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8198: .long execexit
! Opcode DD39
XD39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8199
mov.l execexit_ptr8199,r1
jmp @r1
add #-2,r6
fdl8199:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8199: .long execexit
! Opcodes DD40 - DD47
XD40:
and r1,r2
mov #24,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #24,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8201
mov.l execexit_ptr8201,r1
jmp @r1
add #-2,r6
fdl8201:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8201: .long execexit
! Opcodes DD48 - DD4F
XD48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8203
mov.l execexit_ptr8203,r1
jmp @r1
add #-2,r6
fdl8203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8203: .long execexit
! Opcodes DD50 - DD57
XD50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8204
mov.l execexit_ptr8204,r1
jmp @r1
add #-2,r6
fdl8204:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8204: .long execexit
! Opcodes DD58 - DD5F
XD58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8205
mov.l execexit_ptr8205,r1
jmp @r1
add #-2,r6
fdl8205:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8205: .long execexit
! Opcodes DD60 - DD67
XD60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8206
mov.l execexit_ptr8206,r1
jmp @r1
add #-2,r6
fdl8206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8206: .long execexit
! Opcodes DD68 - DD6F
XD68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8207
mov.l execexit_ptr8207,r1
jmp @r1
add #-2,r6
fdl8207:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8207: .long execexit
! Opcodes DD70 - DD77
XD70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1316
exts.w r0,r0
longwd1316:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8208
mov.l execexit_ptr8208,r1
jmp @r1
add #-2,r6
fdl8208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8208: .long execexit
! Opcode DD78
XD78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8209
mov.l execexit_ptr8209,r1
jmp @r1
add #-2,r6
fdl8209:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8209: .long execexit
! Opcode DD79
XD79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #24,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8210
mov.l execexit_ptr8210,r1
jmp @r1
add #-2,r6
fdl8210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8210: .long execexit
! Opcodes DD80 - DD87
XD80:
and r1,r2
mov.l @(24,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(24,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8212
mov.l execexit_ptr8212,r1
jmp @r1
add #-2,r6
fdl8212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8212: .long execexit
! Opcodes DD88 - DD8F
XD88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(56,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(56,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8214
mov.l execexit_ptr8214,r1
jmp @r1
add #-2,r6
fdl8214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8214: .long execexit
! Opcodes DD90 - DD97
XD90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8215
mov.l execexit_ptr8215,r1
jmp @r1
add #-2,r6
fdl8215:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8215: .long execexit
! Opcodes DD98 - DD9F
XD98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8216
mov.l execexit_ptr8216,r1
jmp @r1
add #-2,r6
fdl8216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8216: .long execexit
! Opcodes DDA0 - DDA7
XDA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8217
mov.l execexit_ptr8217,r1
jmp @r1
add #-2,r6
fdl8217:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8217: .long execexit
! Opcodes DDA8 - DDAF
XDA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8218
mov.l execexit_ptr8218,r1
jmp @r1
add #-2,r6
fdl8218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8218: .long execexit
! Opcodes DDB0 - DDB7
XDB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1317
exts.w r0,r0
longwd1317:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8219
mov.l execexit_ptr8219,r1
jmp @r1
add #-2,r6
fdl8219:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8219: .long execexit
! Opcode DDB8
XDB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8220
mov.l execexit_ptr8220,r1
jmp @r1
add #-2,r6
fdl8220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8220: .long execexit
! Opcode DDB9
XDB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(24,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8221
mov.l execexit_ptr8221,r1
jmp @r1
add #-2,r6
fdl8221:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8221: .long execexit
! Opcodes DDC0 - DDC7
XDC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8222
mov.l execexit_ptr8222,r1
jmp @r1
add #-2,r6
fdl8222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8222: .long execexit
! Opcodes DDC8 - DDCF
XDC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8223
mov.l execexit_ptr8223,r1
jmp @r1
add #-2,r6
fdl8223:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8223: .long execexit
! Opcodes DDD0 - DDD7
XDD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8224
mov.l execexit_ptr8224,r1
jmp @r1
add #-2,r6
fdl8224:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8224: .long execexit
! Opcodes DDD8 - DDDF
XDD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8225
mov.l execexit_ptr8225,r1
jmp @r1
add #-2,r6
fdl8225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8225: .long execexit
! Opcodes DDE0 - DDE7
XDE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8226
mov.l execexit_ptr8226,r1
jmp @r1
add #-2,r6
fdl8226:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8226: .long execexit
! Opcodes DDE8 - DDEF
XDE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8227
mov.l execexit_ptr8227,r1
jmp @r1
add #-2,r6
fdl8227:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8227: .long execexit
! Opcodes DDF0 - DDF7
XDF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1318
exts.w r0,r0
longwd1318:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8228
mov.l execexit_ptr8228,r1
jmp @r1
add #-2,r6
fdl8228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8228: .long execexit
! Opcode DDF8
XDF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8229
mov.l execexit_ptr8229,r1
jmp @r1
add #-2,r6
fdl8229:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8229: .long execexit
! Opcode DDF9
XDF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8230
mov.l execexit_ptr8230,r1
jmp @r1
add #-2,r6
fdl8230:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8230: .long execexit
! Opcode DDFA
XDFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8231
mov.l execexit_ptr8231,r1
jmp @r1
add #-2,r6
fdl8231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8231: .long execexit
! Opcode DDFB
XDFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1319
exts.w r0,r0
longwd1319:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8232
mov.l execexit_ptr8232,r1
jmp @r1
add #-2,r6
fdl8232:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8232: .long execexit
! Opcode DDFC
XDFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(56,r13),r1
add r3,r1
mov.l r1,@(56,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8233
mov.l execexit_ptr8233,r1
jmp @r1
add #-2,r6
fdl8233:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8233: .long execexit
! Opcodes DE00 - DE07
XE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8234
mov.l execexit_ptr8234,r1
jmp @r1
add #-2,r6
fdl8234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8234: .long execexit
! Opcodes DE08 - DE0F
XE08:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8235
mov.l execexit_ptr8235,r1
jmp @r1
add #-2,r6
fdl8235:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8235: .long execexit
! Opcodes DE10 - DE17
XE10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8236
mov.l execexit_ptr8236,r1
jmp @r1
add #-2,r6
fdl8236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8236: .long execexit
! Opcodes DE18 - DE1F
XE18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8237
mov.l execexit_ptr8237,r1
jmp @r1
add #-2,r6
fdl8237:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8237: .long execexit
! Opcodes DE20 - DE27
XE20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8238
mov.l execexit_ptr8238,r1
jmp @r1
add #-2,r6
fdl8238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8238: .long execexit
! Opcodes DE28 - DE2F
XE28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8239
mov.l execexit_ptr8239,r1
jmp @r1
add #-2,r6
fdl8239:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8239: .long execexit
! Opcodes DE30 - DE37
XE30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1320
exts.w r0,r0
longwd1320:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8240
mov.l execexit_ptr8240,r1
jmp @r1
add #-2,r6
fdl8240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8240: .long execexit
! Opcode DE38
XE38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8241
mov.l execexit_ptr8241,r1
jmp @r1
add #-2,r6
fdl8241:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8241: .long execexit
! Opcode DE39
XE39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8242
mov.l execexit_ptr8242,r1
jmp @r1
add #-2,r6
fdl8242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8242: .long execexit
! Opcode DE3A
XE3A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8243
mov.l execexit_ptr8243,r1
jmp @r1
add #-2,r6
fdl8243:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8243: .long execexit
! Opcode DE3B
XE3B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1321
exts.w r0,r0
longwd1321:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8244
mov.l execexit_ptr8244,r1
jmp @r1
add #-2,r6
fdl8244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8244: .long execexit
! Opcode DE3C
XE3C:
mov.b @r6,r3
add #2,r6
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r3
shld r0,r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-24,r0
shad r0,r1
mov #28,r0
mov.b r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8245
mov.l execexit_ptr8245,r1
jmp @r1
add #-2,r6
fdl8245:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8245: .long execexit
! Opcodes DE40 - DE47
XE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8246
mov.l execexit_ptr8246,r1
jmp @r1
add #-2,r6
fdl8246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8246: .long execexit
! Opcodes DE48 - DE4F
XE48:
and r1,r2
add r14,r2
mov.w @r2,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8247
mov.l execexit_ptr8247,r1
jmp @r1
add #-2,r6
fdl8247:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8247: .long execexit
! Opcodes DE50 - DE57
XE50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8248
mov.l execexit_ptr8248,r1
jmp @r1
add #-2,r6
fdl8248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8248: .long execexit
! Opcodes DE58 - DE5F
XE58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8249
mov.l execexit_ptr8249,r1
jmp @r1
add #-2,r6
fdl8249:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8249: .long execexit
! Opcodes DE60 - DE67
XE60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8250
mov.l execexit_ptr8250,r1
jmp @r1
add #-2,r6
fdl8250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8250: .long execexit
! Opcodes DE68 - DE6F
XE68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8251
mov.l execexit_ptr8251,r1
jmp @r1
add #-2,r6
fdl8251:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8251: .long execexit
! Opcodes DE70 - DE77
XE70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1322
exts.w r0,r0
longwd1322:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8252
mov.l execexit_ptr8252,r1
jmp @r1
add #-2,r6
fdl8252:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8252: .long execexit
! Opcode DE78
XE78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8253
mov.l execexit_ptr8253,r1
jmp @r1
add #-2,r6
fdl8253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8253: .long execexit
! Opcode DE79
XE79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8254
mov.l execexit_ptr8254,r1
jmp @r1
add #-2,r6
fdl8254:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8254: .long execexit
! Opcode DE7A
XE7A:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8255
mov.l execexit_ptr8255,r1
jmp @r1
add #-2,r6
fdl8255:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8255: .long execexit
! Opcode DE7B
XE7B:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1323
exts.w r0,r0
longwd1323:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8256
mov.l execexit_ptr8256,r1
jmp @r1
add #-2,r6
fdl8256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8256: .long execexit
! Opcode DE7C
XE7C:
mov.w @r6+,r3
mov #28,r0
mov.w @(r0,r13),r1
shll16 r3
shll16 r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov #-16,r0
shad r0,r1
mov #28,r0
mov.w r1,@(r0,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8257
mov.l execexit_ptr8257,r1
jmp @r1
add #-2,r6
fdl8257:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8257: .long execexit
! Opcodes DE80 - DE87
XE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8258
mov.l execexit_ptr8258,r1
jmp @r1
add #-2,r6
fdl8258:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8258: .long execexit
! Opcodes DE88 - DE8F
XE88:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8259
mov.l execexit_ptr8259,r1
jmp @r1
add #-2,r6
fdl8259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8259: .long execexit
! Opcodes DE90 - DE97
XE90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8260
mov.l execexit_ptr8260,r1
jmp @r1
add #-2,r6
fdl8260:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8260: .long execexit
! Opcodes DE98 - DE9F
XE98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8261
mov.l execexit_ptr8261,r1
jmp @r1
add #-2,r6
fdl8261:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8261: .long execexit
! Opcodes DEA0 - DEA7
XEA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8262
mov.l execexit_ptr8262,r1
jmp @r1
add #-2,r6
fdl8262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8262: .long execexit
! Opcodes DEA8 - DEAF
XEA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8263
mov.l execexit_ptr8263,r1
jmp @r1
add #-2,r6
fdl8263:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8263: .long execexit
! Opcodes DEB0 - DEB7
XEB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1324
exts.w r0,r0
longwd1324:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8264
mov.l execexit_ptr8264,r1
jmp @r1
add #-2,r6
fdl8264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8264: .long execexit
! Opcode DEB8
XEB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8265
mov.l execexit_ptr8265,r1
jmp @r1
add #-2,r6
fdl8265:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8265: .long execexit
! Opcode DEB9
XEB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8266
mov.l execexit_ptr8266,r1
jmp @r1
add #-2,r6
fdl8266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8266: .long execexit
! Opcode DEBA
XEBA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8267
mov.l execexit_ptr8267,r1
jmp @r1
add #-2,r6
fdl8267:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8267: .long execexit
! Opcode DEBB
XEBB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1325
exts.w r0,r0
longwd1325:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8268
mov.l execexit_ptr8268,r1
jmp @r1
add #-2,r6
fdl8268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8268: .long execexit
! Opcode DEBC
XEBC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(28,r13),r1
mov r1,r0
addv r3,r0
movt r8
clrt
addc r3,r1
movt r9
addc r8,r8
mov.l r1,@(28,r13)
rotl r1
addc r8,r8
tst r1,r1
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8269
mov.l execexit_ptr8269,r1
jmp @r1
add #-2,r6
fdl8269:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8269: .long execexit
! Opcodes DEC0 - DEC7
XEC0:
and r1,r2
mov r2,r0
mov.w @(r0,r13),r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8270
mov.l execexit_ptr8270,r1
jmp @r1
add #-2,r6
fdl8270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8270: .long execexit
! Opcodes DEC8 - DECF
XEC8:
and r1,r2
add r14,r2
mov.w @r2,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8271
mov.l execexit_ptr8271,r1
jmp @r1
add #-2,r6
fdl8271:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8271: .long execexit
! Opcodes DED0 - DED7
XED0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8272
mov.l execexit_ptr8272,r1
jmp @r1
add #-2,r6
fdl8272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8272: .long execexit
! Opcodes DED8 - DEDF
XED8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8273
mov.l execexit_ptr8273,r1
jmp @r1
add #-2,r6
fdl8273:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8273: .long execexit
! Opcodes DEE0 - DEE7
XEE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8274
mov.l execexit_ptr8274,r1
jmp @r1
add #-2,r6
fdl8274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8274: .long execexit
! Opcodes DEE8 - DEEF
XEE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8275
mov.l execexit_ptr8275,r1
jmp @r1
add #-2,r6
fdl8275:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8275: .long execexit
! Opcodes DEF0 - DEF7
XEF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1326
exts.w r0,r0
longwd1326:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8276
mov.l execexit_ptr8276,r1
jmp @r1
add #-2,r6
fdl8276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8276: .long execexit
! Opcode DEF8
XEF8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8277
mov.l execexit_ptr8277,r1
jmp @r1
add #-2,r6
fdl8277:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8277: .long execexit
! Opcode DEF9
XEF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8278
mov.l execexit_ptr8278,r1
jmp @r1
add #-2,r6
fdl8278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8278: .long execexit
! Opcode DEFA
XEFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8279
mov.l execexit_ptr8279,r1
jmp @r1
add #-2,r6
fdl8279:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8279: .long execexit
! Opcode DEFB
XEFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1327
exts.w r0,r0
longwd1327:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8280
mov.l execexit_ptr8280,r1
jmp @r1
add #-2,r6
fdl8280:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8280: .long execexit
! Opcode DEFC
XEFC:
mov.w @r6+,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8281
mov.l execexit_ptr8281,r1
jmp @r1
add #-2,r6
fdl8281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8281: .long execexit
! Opcodes DF00 - DF07
XF00:
and r1,r2
mov #28,r0
mov.b @(r0,r13),r3
mov r2,r0
mov.b @(r0,r13),r1
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov #28,r0
mov.b r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8283
mov.l execexit_ptr8283,r1
jmp @r1
add #-2,r6
fdl8283:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8283: .long execexit
! Opcodes DF08 - DF0F
XF08:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.b r1,r1
extu.b r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.b r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr8 r0
shlr r0
movt r9
rotcl r8
exts.b r3,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8285
mov.l execexit_ptr8285,r1
jmp @r1
add #-2,r6
fdl8285:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8285: .long execexit
! Opcodes DF10 - DF17
XF10:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8286
mov.l execexit_ptr8286,r1
jmp @r1
add #-2,r6
fdl8286:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8286: .long execexit
! Opcodes DF18 - DF1F
XF18:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
cmp/eq r0,r2
mov #1,r0
addc r0,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8287
mov.l execexit_ptr8287,r1
jmp @r1
add #-2,r6
fdl8287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8287: .long execexit
! Opcodes DF20 - DF27
XF20:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov #28,r0
cmp/eq r0,r2
mov #1,r0
subc r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8288
mov.l execexit_ptr8288,r1
jmp @r1
add #-2,r6
fdl8288:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8288: .long execexit
! Opcodes DF28 - DF2F
XF28:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8289
mov.l execexit_ptr8289,r1
jmp @r1
add #-2,r6
fdl8289:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8289: .long execexit
! Opcodes DF30 - DF37
XF30:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1328
exts.w r0,r0
longwd1328:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8290
mov.l execexit_ptr8290,r1
jmp @r1
add #-2,r6
fdl8290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8290: .long execexit
! Opcode DF38
XF38:
mov.w @r6+,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8291
mov.l execexit_ptr8291,r1
jmp @r1
add #-2,r6
fdl8291:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8291: .long execexit
! Opcode DF39
XF39:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rb_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.b @(r0,r13),r1
mov #24,r0
shld r0,r1
shld r0,r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-24,r0
shad r0,r3
mov.l @(wb_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8292
mov.l execexit_ptr8292,r1
jmp @r1
add #-2,r6
fdl8292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8292: .long execexit
! Opcodes DF40 - DF47
XF40:
and r1,r2
mov #28,r0
mov.w @(r0,r13),r3
mov r2,r0
mov.w @(r0,r13),r1
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov #28,r0
mov.w r3,@(r0,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-4,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8294
mov.l execexit_ptr8294,r1
jmp @r1
add #-2,r6
fdl8294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8294: .long execexit
! Opcodes DF48 - DF4F
XF48:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
extu.w r1,r1
extu.w r3,r3
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
exts.w r0,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
mov r3,r0
shlr16 r0
shlr r0
movt r9
rotcl r8
exts.w r3,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8296
mov.l execexit_ptr8296,r1
jmp @r1
add #-2,r6
fdl8296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8296: .long execexit
! Opcodes DF50 - DF57
XF50:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8297
mov.l execexit_ptr8297,r1
jmp @r1
add #-2,r6
fdl8297:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8297: .long execexit
! Opcodes DF58 - DF5F
XF58:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8298
mov.l execexit_ptr8298,r1
jmp @r1
add #-2,r6
fdl8298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8298: .long execexit
! Opcodes DF60 - DF67
XF60:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8299
mov.l execexit_ptr8299,r1
jmp @r1
add #-2,r6
fdl8299:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8299: .long execexit
! Opcodes DF68 - DF6F
XF68:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8300
mov.l execexit_ptr8300,r1
jmp @r1
add #-2,r6
fdl8300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8300: .long execexit
! Opcodes DF70 - DF77
XF70:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1329
exts.w r0,r0
longwd1329:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8301
mov.l execexit_ptr8301,r1
jmp @r1
add #-2,r6
fdl8301:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8301: .long execexit
! Opcode DF78
XF78:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8302
mov.l execexit_ptr8302,r1
jmp @r1
add #-2,r6
fdl8302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8302: .long execexit
! Opcode DF79
XF79:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
mov #28,r0
mov.w @(r0,r13),r1
shll16 r1
shll16 r3
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov #-16,r0
shad r0,r3
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8303
mov.l execexit_ptr8303,r1
jmp @r1
add #-2,r6
fdl8303:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8303: .long execexit
! Opcodes DF80 - DF87
XF80:
and r1,r2
mov.l @(28,r13),r3
mov r2,r0
mov.l @(r0,r13),r1
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l r3,@(28,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8305
mov.l execexit_ptr8305,r1
jmp @r1
add #-2,r6
fdl8305:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8305: .long execexit
! Opcodes DF88 - DF8F
XF88:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov r3,r1
mov.l @(60,r13),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r8,r2
mov r1,r8
cmp/pl r9
mov r3,r0
addc r1,r0
add r9,r8
xor r0,r8
xor r3,r0
and r8,r0
shll r0
movt r8
cmp/pl r9
addc r1,r3
movt r9
rotcl r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l r4,@(60,r13)
rotl r3
rotcl r8
tst r3,r3
movt r0
and r2,r0
cmp/pl r0
rotcl r8
mov.w @r6+,r0
add #-30,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8307
mov.l execexit_ptr8307,r1
jmp @r1
add #-2,r6
fdl8307:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8307: .long execexit
! Opcodes DF90 - DF97
XF90:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8308
mov.l execexit_ptr8308,r1
jmp @r1
add #-2,r6
fdl8308:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8308: .long execexit
! Opcodes DF98 - DF9F
XF98:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8309
mov.l execexit_ptr8309,r1
jmp @r1
add #-2,r6
fdl8309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8309: .long execexit
! Opcodes DFA0 - DFA7
XFA0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8310
mov.l execexit_ptr8310,r1
jmp @r1
add #-2,r6
fdl8310:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8310: .long execexit
! Opcodes DFA8 - DFAF
XFA8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8311
mov.l execexit_ptr8311,r1
jmp @r1
add #-2,r6
fdl8311:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8311: .long execexit
! Opcodes DFB0 - DFB7
XFB0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1330
exts.w r0,r0
longwd1330:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-26,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8312
mov.l execexit_ptr8312,r1
jmp @r1
add #-2,r6
fdl8312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8312: .long execexit
! Opcode DFB8
XFB8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8313
mov.l execexit_ptr8313,r1
jmp @r1
add #-2,r6
fdl8313:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8313: .long execexit
! Opcode DFB9
XFB9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(28,r13),r1
mov r3,r0
addv r1,r0
movt r8
clrt
addc r1,r3
movt r9
addc r8,r8
mov.l @(wl_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-28,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8314
mov.l execexit_ptr8314,r1
jmp @r1
add #-2,r6
fdl8314:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8314: .long execexit
! Opcodes DFC0 - DFC7
XFC0:
and r1,r2
mov r2,r0
mov.l @(r0,r13),r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8315
mov.l execexit_ptr8315,r1
jmp @r1
add #-2,r6
fdl8315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8315: .long execexit
! Opcodes DFC8 - DFCF
XFC8:
and r1,r2
add r14,r2
mov.l @r2,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8316
mov.l execexit_ptr8316,r1
jmp @r1
add #-2,r6
fdl8316:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8316: .long execexit
! Opcodes DFD0 - DFD7
XFD0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8317
mov.l execexit_ptr8317,r1
jmp @r1
add #-2,r6
fdl8317:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8317: .long execexit
! Opcodes DFD8 - DFDF
XFD8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
add #4,r4
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8318
mov.l execexit_ptr8318,r1
jmp @r1
add #-2,r6
fdl8318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8318: .long execexit
! Opcodes DFE0 - DFE7
XFE0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-4,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8319
mov.l execexit_ptr8319,r1
jmp @r1
add #-2,r6
fdl8319:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8319: .long execexit
! Opcodes DFE8 - DFEF
XFE8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8320
mov.l execexit_ptr8320,r1
jmp @r1
add #-2,r6
fdl8320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8320: .long execexit
! Opcodes DFF0 - DFF7
XFF0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1331
exts.w r0,r0
longwd1331:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8321
mov.l execexit_ptr8321,r1
jmp @r1
add #-2,r6
fdl8321:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8321: .long execexit
! Opcode DFF8
XFF8:
mov.w @r6+,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8322
mov.l execexit_ptr8322,r1
jmp @r1
add #-2,r6
fdl8322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8322: .long execexit
! Opcode DFF9
XFF9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8323
mov.l execexit_ptr8323,r1
jmp @r1
add #-2,r6
fdl8323:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8323: .long execexit
! Opcode DFFA
XFFA:
mov.w @r6,r4
add r6,r4
sub r5,r4
add #2,r6
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8324
mov.l execexit_ptr8324,r1
jmp @r1
add #-2,r6
fdl8324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8324: .long execexit
! Opcode DFFB
XFFB:
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1332
exts.w r0,r0
longwd1332:
add r0,r4
add r6,r4
sub r5,r4
add #-2,r4
mov.l @(rl_addr-fetch_idx,r11),r0
jsr @r0
nop
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8325
mov.l execexit_ptr8325,r1
jmp @r1
add #-2,r6
fdl8325:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8325: .long execexit
! Opcode DFFC
XFFC:
mov.w @r6+,r0
mov.w @r6+,r3
shll16 r3
xtrct r0,r3
mov.l @(60,r13),r1
add r3,r1
mov.l r1,@(60,r13)
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8326
mov.l execexit_ptr8326,r1
jmp @r1
add #-2,r6
fdl8326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8326: .long execexit
! Opcodes E000 - E007
Y000:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8329
mov.l execexit_ptr8329,r1
jmp @r1
add #-2,r6
fdl8329:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8329: .long execexit
! Opcodes E008 - E00F
Y008:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8332
mov.l execexit_ptr8332,r1
jmp @r1
add #-2,r6
fdl8332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8332: .long execexit
! Opcodes E010 - E017
Y010:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #8,r0
extu.b r3,r3
ln8334:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8334
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8335
mov.l execexit_ptr8335,r1
jmp @r1
add #-2,r6
fdl8335:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8335: .long execexit
! Opcodes E018 - E01F
Y018:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #8,r0
extu.b r3,r3
ln8337:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8337
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8338
mov.l execexit_ptr8338,r1
jmp @r1
add #-2,r6
fdl8338:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8338: .long execexit
! Opcodes E020 - E027
Y020:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8339
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8340
mov.l execexit_ptr8340,r1
jmp @r1
add #-2,r6
fdl8340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8340: .long execexit
ln8339:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8342
mov.l execexit_ptr8342,r1
jmp @r1
add #-2,r6
fdl8342:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8342: .long execexit
! Opcodes E028 - E02F
Y028:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8343
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8344
mov.l execexit_ptr8344,r1
jmp @r1
add #-2,r6
fdl8344:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8344: .long execexit
ln8343:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8346
mov.l execexit_ptr8346,r1
jmp @r1
add #-2,r6
fdl8346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8346: .long execexit
! Opcodes E030 - E037
Y030:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8347
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8348
mov.l execexit_ptr8348,r1
jmp @r1
add #-2,r6
fdl8348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8348: .long execexit
ln8347:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8349:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8349
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8350
mov.l execexit_ptr8350,r1
jmp @r1
add #-2,r6
fdl8350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8350: .long execexit
! Opcodes E038 - E03F
Y038:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8351
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8352
mov.l execexit_ptr8352,r1
jmp @r1
add #-2,r6
fdl8352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8352: .long execexit
ln8351:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8353:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8353
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8354
mov.l execexit_ptr8354,r1
jmp @r1
add #-2,r6
fdl8354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8354: .long execexit
! Opcodes E040 - E047
Y040:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8357
mov.l execexit_ptr8357,r1
jmp @r1
add #-2,r6
fdl8357:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8357: .long execexit
! Opcodes E048 - E04F
Y048:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8360
mov.l execexit_ptr8360,r1
jmp @r1
add #-2,r6
fdl8360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8360: .long execexit
! Opcodes E050 - E057
Y050:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #8,r0
extu.w r3,r3
ln8362:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8362
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8363
mov.l execexit_ptr8363,r1
jmp @r1
add #-2,r6
fdl8363:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8363: .long execexit
! Opcodes E058 - E05F
Y058:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #8,r0
extu.w r3,r3
ln8365:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8365
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8366
mov.l execexit_ptr8366,r1
jmp @r1
add #-2,r6
fdl8366:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8366: .long execexit
! Opcodes E060 - E067
Y060:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8367
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8368
mov.l execexit_ptr8368,r1
jmp @r1
add #-2,r6
fdl8368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8368: .long execexit
ln8367:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8370
mov.l execexit_ptr8370,r1
jmp @r1
add #-2,r6
fdl8370:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8370: .long execexit
! Opcodes E068 - E06F
Y068:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8371
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8372
mov.l execexit_ptr8372,r1
jmp @r1
add #-2,r6
fdl8372:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8372: .long execexit
ln8371:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8374
mov.l execexit_ptr8374,r1
jmp @r1
add #-2,r6
fdl8374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8374: .long execexit
! Opcodes E070 - E077
Y070:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8375
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8376
mov.l execexit_ptr8376,r1
jmp @r1
add #-2,r6
fdl8376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8376: .long execexit
ln8375:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8377:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8377
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8378
mov.l execexit_ptr8378,r1
jmp @r1
add #-2,r6
fdl8378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8378: .long execexit
! Opcodes E078 - E07F
Y078:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8379
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8380
mov.l execexit_ptr8380,r1
jmp @r1
add #-2,r6
fdl8380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8380: .long execexit
ln8379:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8381:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8381
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8382
mov.l execexit_ptr8382,r1
jmp @r1
add #-2,r6
fdl8382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8382: .long execexit
! Opcodes E080 - E087
Y080:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-7,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8385
mov.l execexit_ptr8385,r1
jmp @r1
add #-2,r6
fdl8385:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8385: .long execexit
! Opcodes E088 - E08F
Y088:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-7,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8388
mov.l execexit_ptr8388,r1
jmp @r1
add #-2,r6
fdl8388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8388: .long execexit
! Opcodes E090 - E097
Y090:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #8,r0
ln8390:
rotcr r3
movt r8
dt r0
bf/s ln8390
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8391
mov.l execexit_ptr8391,r1
jmp @r1
add #-2,r6
fdl8391:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8391: .long execexit
! Opcodes E098 - E09F
Y098:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #8,r0
ln8393:
rotr r3
movt r8
dt r0
bf ln8393
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8394
mov.l execexit_ptr8394,r1
jmp @r1
add #-2,r6
fdl8394:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8394: .long execexit
! Opcodes E0A0 - E0A7
Y0A0:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8395
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8396
mov.l execexit_ptr8396,r1
jmp @r1
add #-2,r6
fdl8396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8396: .long execexit
ln8395:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8398
mov.l execexit_ptr8398,r1
jmp @r1
add #-2,r6
fdl8398:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8398: .long execexit
! Opcodes E0A8 - E0AF
Y0A8:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8399
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8400
mov.l execexit_ptr8400,r1
jmp @r1
add #-2,r6
fdl8400:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8400: .long execexit
ln8399:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8402
mov.l execexit_ptr8402,r1
jmp @r1
add #-2,r6
fdl8402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8402: .long execexit
! Opcodes E0B0 - E0B7
Y0B0:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8403
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8404
mov.l execexit_ptr8404,r1
jmp @r1
add #-2,r6
fdl8404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8404: .long execexit
ln8403:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8405:
rotcr r3
movt r8
dt r0
bf/s ln8405
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8406
mov.l execexit_ptr8406,r1
jmp @r1
add #-2,r6
fdl8406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8406: .long execexit
! Opcodes E0B8 - E0BF
Y0B8:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8407
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8408
mov.l execexit_ptr8408,r1
jmp @r1
add #-2,r6
fdl8408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8408: .long execexit
ln8407:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8409:
rotr r3
movt r8
dt r0
bf ln8409
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8410
mov.l execexit_ptr8410,r1
jmp @r1
add #-2,r6
fdl8410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8410: .long execexit
! Opcodes E0D0 - E0D7
Y0D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8411
mov.l execexit_ptr8411,r1
jmp @r1
add #-2,r6
fdl8411:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8411: .long execexit
! Opcodes E0D8 - E0DF
Y0D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8412
mov.l execexit_ptr8412,r1
jmp @r1
add #-2,r6
fdl8412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8412: .long execexit
! Opcodes E0E0 - E0E7
Y0E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8413
mov.l execexit_ptr8413,r1
jmp @r1
add #-2,r6
fdl8413:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8413: .long execexit
! Opcodes E0E8 - E0EF
Y0E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8414
mov.l execexit_ptr8414,r1
jmp @r1
add #-2,r6
fdl8414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8414: .long execexit
! Opcodes E0F0 - E0F7
Y0F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1333
exts.w r0,r0
longwd1333:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8415
mov.l execexit_ptr8415,r1
jmp @r1
add #-2,r6
fdl8415:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8415: .long execexit
! Opcode E0F8
Y0F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8416
mov.l execexit_ptr8416,r1
jmp @r1
add #-2,r6
fdl8416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8416: .long execexit
! Opcode E0F9
Y0F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shar r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8417
mov.l execexit_ptr8417,r1
jmp @r1
add #-2,r6
fdl8417:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8417: .long execexit
! Opcodes E100 - E107
Y100:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8420
mov.l execexit_ptr8420,r1
jmp @r1
add #-2,r6
fdl8420:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8420: .long execexit
! Opcodes E108 - E10F
Y108:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8423
mov.l execexit_ptr8423,r1
jmp @r1
add #-2,r6
fdl8423:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8423: .long execexit
! Opcodes E110 - E117
Y110:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #8,r0
ln8425:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8425
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8426
mov.l execexit_ptr8426,r1
jmp @r1
add #-2,r6
fdl8426:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8426: .long execexit
! Opcodes E118 - E11F
Y118:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #8,r0
ln8428:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8428
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8429
mov.l execexit_ptr8429,r1
jmp @r1
add #-2,r6
fdl8429:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8429: .long execexit
! Opcodes E120 - E127
Y120:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8430
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8431
mov.l execexit_ptr8431,r1
jmp @r1
add #-2,r6
fdl8431:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8431: .long execexit
ln8430:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8432:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8432
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8433
mov.l execexit_ptr8433,r1
jmp @r1
add #-2,r6
fdl8433:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8433: .long execexit
! Opcodes E128 - E12F
Y128:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8434
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8435
mov.l execexit_ptr8435,r1
jmp @r1
add #-2,r6
fdl8435:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8435: .long execexit
ln8434:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8437
mov.l execexit_ptr8437,r1
jmp @r1
add #-2,r6
fdl8437:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8437: .long execexit
! Opcodes E130 - E137
Y130:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8438
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8439
mov.l execexit_ptr8439,r1
jmp @r1
add #-2,r6
fdl8439:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8439: .long execexit
ln8438:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8440:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8440
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8441
mov.l execexit_ptr8441,r1
jmp @r1
add #-2,r6
fdl8441:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8441: .long execexit
! Opcodes E138 - E13F
Y138:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8442
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8443
mov.l execexit_ptr8443,r1
jmp @r1
add #-2,r6
fdl8443:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8443: .long execexit
ln8442:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8444:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8444
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8445
mov.l execexit_ptr8445,r1
jmp @r1
add #-2,r6
fdl8445:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8445: .long execexit
! Opcodes E140 - E147
Y140:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8448
mov.l execexit_ptr8448,r1
jmp @r1
add #-2,r6
fdl8448:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8448: .long execexit
! Opcodes E148 - E14F
Y148:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8451
mov.l execexit_ptr8451,r1
jmp @r1
add #-2,r6
fdl8451:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8451: .long execexit
! Opcodes E150 - E157
Y150:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #8,r0
ln8453:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8453
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8454
mov.l execexit_ptr8454,r1
jmp @r1
add #-2,r6
fdl8454:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8454: .long execexit
! Opcodes E158 - E15F
Y158:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #8,r0
ln8456:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8456
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8457
mov.l execexit_ptr8457,r1
jmp @r1
add #-2,r6
fdl8457:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8457: .long execexit
! Opcodes E160 - E167
Y160:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8458
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8459
mov.l execexit_ptr8459,r1
jmp @r1
add #-2,r6
fdl8459:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8459: .long execexit
ln8458:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8460:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8460
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8461
mov.l execexit_ptr8461,r1
jmp @r1
add #-2,r6
fdl8461:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8461: .long execexit
! Opcodes E168 - E16F
Y168:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8462
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8463
mov.l execexit_ptr8463,r1
jmp @r1
add #-2,r6
fdl8463:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8463: .long execexit
ln8462:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8465
mov.l execexit_ptr8465,r1
jmp @r1
add #-2,r6
fdl8465:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8465: .long execexit
! Opcodes E170 - E177
Y170:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8466
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8467
mov.l execexit_ptr8467,r1
jmp @r1
add #-2,r6
fdl8467:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8467: .long execexit
ln8466:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8468:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8468
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8469
mov.l execexit_ptr8469,r1
jmp @r1
add #-2,r6
fdl8469:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8469: .long execexit
! Opcodes E178 - E17F
Y178:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8470
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8471
mov.l execexit_ptr8471,r1
jmp @r1
add #-2,r6
fdl8471:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8471: .long execexit
ln8470:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8472:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8472
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8473
mov.l execexit_ptr8473,r1
jmp @r1
add #-2,r6
fdl8473:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8473: .long execexit
! Opcodes E180 - E187
Y180:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8476
mov.l execexit_ptr8476,r1
jmp @r1
add #-2,r6
fdl8476:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8476: .long execexit
! Opcodes E188 - E18F
Y188:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #7,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8479
mov.l execexit_ptr8479,r1
jmp @r1
add #-2,r6
fdl8479:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8479: .long execexit
! Opcodes E190 - E197
Y190:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #8,r0
ln8481:
rotcl r3
movt r8
dt r0
bf/s ln8481
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8482
mov.l execexit_ptr8482,r1
jmp @r1
add #-2,r6
fdl8482:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8482: .long execexit
! Opcodes E198 - E19F
Y198:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #8,r0
ln8484:
rotl r3
movt r8
dt r0
bf ln8484
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-24,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8485
mov.l execexit_ptr8485,r1
jmp @r1
add #-2,r6
fdl8485:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8485: .long execexit
! Opcodes E1A0 - E1A7
Y1A0:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8486
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8487
mov.l execexit_ptr8487,r1
jmp @r1
add #-2,r6
fdl8487:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8487: .long execexit
ln8486:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8488:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8488
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8489
mov.l execexit_ptr8489,r1
jmp @r1
add #-2,r6
fdl8489:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8489: .long execexit
! Opcodes E1A8 - E1AF
Y1A8:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8490
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8491
mov.l execexit_ptr8491,r1
jmp @r1
add #-2,r6
fdl8491:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8491: .long execexit
ln8490:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8493
mov.l execexit_ptr8493,r1
jmp @r1
add #-2,r6
fdl8493:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8493: .long execexit
! Opcodes E1B0 - E1B7
Y1B0:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8494
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8495
mov.l execexit_ptr8495,r1
jmp @r1
add #-2,r6
fdl8495:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8495: .long execexit
ln8494:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8496:
rotcl r3
movt r8
dt r0
bf/s ln8496
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8497
mov.l execexit_ptr8497,r1
jmp @r1
add #-2,r6
fdl8497:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8497: .long execexit
! Opcodes E1B8 - E1BF
Y1B8:
and r1,r2
mov.l @r13,r0
and #63,r0
tst r0,r0
bf ln8498
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8499
mov.l execexit_ptr8499,r1
jmp @r1
add #-2,r6
fdl8499:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8499: .long execexit
ln8498:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8500:
rotl r3
movt r8
dt r0
bf ln8500
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8501
mov.l execexit_ptr8501,r1
jmp @r1
add #-2,r6
fdl8501:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8501: .long execexit
! Opcodes E1D0 - E1D7
Y1D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8502
mov.l execexit_ptr8502,r1
jmp @r1
add #-2,r6
fdl8502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8502: .long execexit
! Opcodes E1D8 - E1DF
Y1D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8503
mov.l execexit_ptr8503,r1
jmp @r1
add #-2,r6
fdl8503:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8503: .long execexit
! Opcodes E1E0 - E1E7
Y1E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8504
mov.l execexit_ptr8504,r1
jmp @r1
add #-2,r6
fdl8504:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8504: .long execexit
! Opcodes E1E8 - E1EF
Y1E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8505
mov.l execexit_ptr8505,r1
jmp @r1
add #-2,r6
fdl8505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8505: .long execexit
! Opcodes E1F0 - E1F7
Y1F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1334
exts.w r0,r0
longwd1334:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8506
mov.l execexit_ptr8506,r1
jmp @r1
add #-2,r6
fdl8506:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8506: .long execexit
! Opcode E1F8
Y1F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8507
mov.l execexit_ptr8507,r1
jmp @r1
add #-2,r6
fdl8507:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8507: .long execexit
! Opcode E1F9
Y1F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shal r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
exts.w r3,r3
shll r3
movt r3
xor r8,r3
shll r3
or r0,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8508
mov.l execexit_ptr8508,r1
jmp @r1
add #-2,r6
fdl8508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8508: .long execexit
! Opcodes E200 - E207
Y200:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8511
mov.l execexit_ptr8511,r1
jmp @r1
add #-2,r6
fdl8511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8511: .long execexit
! Opcodes E208 - E20F
Y208:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8514
mov.l execexit_ptr8514,r1
jmp @r1
add #-2,r6
fdl8514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8514: .long execexit
! Opcodes E210 - E217
Y210:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #1,r0
extu.b r3,r3
ln8516:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8516
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8517
mov.l execexit_ptr8517,r1
jmp @r1
add #-2,r6
fdl8517:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8517: .long execexit
! Opcodes E218 - E21F
Y218:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #1,r0
extu.b r3,r3
ln8519:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8519
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8520
mov.l execexit_ptr8520,r1
jmp @r1
add #-2,r6
fdl8520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8520: .long execexit
! Opcodes E220 - E227
Y220:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8521
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8522
mov.l execexit_ptr8522,r1
jmp @r1
add #-2,r6
fdl8522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8522: .long execexit
ln8521:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8524
mov.l execexit_ptr8524,r1
jmp @r1
add #-2,r6
fdl8524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8524: .long execexit
! Opcodes E228 - E22F
Y228:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8525
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8526
mov.l execexit_ptr8526,r1
jmp @r1
add #-2,r6
fdl8526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8526: .long execexit
ln8525:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8528
mov.l execexit_ptr8528,r1
jmp @r1
add #-2,r6
fdl8528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8528: .long execexit
! Opcodes E230 - E237
Y230:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8529
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8530
mov.l execexit_ptr8530,r1
jmp @r1
add #-2,r6
fdl8530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8530: .long execexit
ln8529:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8531:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8531
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8532
mov.l execexit_ptr8532,r1
jmp @r1
add #-2,r6
fdl8532:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8532: .long execexit
! Opcodes E238 - E23F
Y238:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8533
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8534
mov.l execexit_ptr8534,r1
jmp @r1
add #-2,r6
fdl8534:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8534: .long execexit
ln8533:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8535:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8535
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8536
mov.l execexit_ptr8536,r1
jmp @r1
add #-2,r6
fdl8536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8536: .long execexit
! Opcodes E240 - E247
Y240:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8539
mov.l execexit_ptr8539,r1
jmp @r1
add #-2,r6
fdl8539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8539: .long execexit
! Opcodes E248 - E24F
Y248:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8542
mov.l execexit_ptr8542,r1
jmp @r1
add #-2,r6
fdl8542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8542: .long execexit
! Opcodes E250 - E257
Y250:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #1,r0
extu.w r3,r3
ln8544:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8544
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8545
mov.l execexit_ptr8545,r1
jmp @r1
add #-2,r6
fdl8545:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8545: .long execexit
! Opcodes E258 - E25F
Y258:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #1,r0
extu.w r3,r3
ln8547:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8547
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8548
mov.l execexit_ptr8548,r1
jmp @r1
add #-2,r6
fdl8548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8548: .long execexit
! Opcodes E260 - E267
Y260:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8549
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8550
mov.l execexit_ptr8550,r1
jmp @r1
add #-2,r6
fdl8550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8550: .long execexit
ln8549:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8552
mov.l execexit_ptr8552,r1
jmp @r1
add #-2,r6
fdl8552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8552: .long execexit
! Opcodes E268 - E26F
Y268:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8553
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8554
mov.l execexit_ptr8554,r1
jmp @r1
add #-2,r6
fdl8554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8554: .long execexit
ln8553:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8556
mov.l execexit_ptr8556,r1
jmp @r1
add #-2,r6
fdl8556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8556: .long execexit
! Opcodes E270 - E277
Y270:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8557
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8558
mov.l execexit_ptr8558,r1
jmp @r1
add #-2,r6
fdl8558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8558: .long execexit
ln8557:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8559:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8559
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8560
mov.l execexit_ptr8560,r1
jmp @r1
add #-2,r6
fdl8560:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8560: .long execexit
! Opcodes E278 - E27F
Y278:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8561
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8562
mov.l execexit_ptr8562,r1
jmp @r1
add #-2,r6
fdl8562:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8562: .long execexit
ln8561:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8563:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8563
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8564
mov.l execexit_ptr8564,r1
jmp @r1
add #-2,r6
fdl8564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8564: .long execexit
! Opcodes E280 - E287
Y280:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8567
mov.l execexit_ptr8567,r1
jmp @r1
add #-2,r6
fdl8567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8567: .long execexit
! Opcodes E288 - E28F
Y288:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8570
mov.l execexit_ptr8570,r1
jmp @r1
add #-2,r6
fdl8570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8570: .long execexit
! Opcodes E290 - E297
Y290:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #1,r0
ln8572:
rotcr r3
movt r8
dt r0
bf/s ln8572
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8573
mov.l execexit_ptr8573,r1
jmp @r1
add #-2,r6
fdl8573:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8573: .long execexit
! Opcodes E298 - E29F
Y298:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #1,r0
ln8575:
rotr r3
movt r8
dt r0
bf ln8575
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8576
mov.l execexit_ptr8576,r1
jmp @r1
add #-2,r6
fdl8576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8576: .long execexit
! Opcodes E2A0 - E2A7
Y2A0:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8577
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8578
mov.l execexit_ptr8578,r1
jmp @r1
add #-2,r6
fdl8578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8578: .long execexit
ln8577:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8580
mov.l execexit_ptr8580,r1
jmp @r1
add #-2,r6
fdl8580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8580: .long execexit
! Opcodes E2A8 - E2AF
Y2A8:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8581
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8582
mov.l execexit_ptr8582,r1
jmp @r1
add #-2,r6
fdl8582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8582: .long execexit
ln8581:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8584
mov.l execexit_ptr8584,r1
jmp @r1
add #-2,r6
fdl8584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8584: .long execexit
! Opcodes E2B0 - E2B7
Y2B0:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8585
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8586
mov.l execexit_ptr8586,r1
jmp @r1
add #-2,r6
fdl8586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8586: .long execexit
ln8585:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8587:
rotcr r3
movt r8
dt r0
bf/s ln8587
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8588
mov.l execexit_ptr8588,r1
jmp @r1
add #-2,r6
fdl8588:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8588: .long execexit
! Opcodes E2B8 - E2BF
Y2B8:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8589
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8590
mov.l execexit_ptr8590,r1
jmp @r1
add #-2,r6
fdl8590:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8590: .long execexit
ln8589:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8591:
rotr r3
movt r8
dt r0
bf ln8591
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8592
mov.l execexit_ptr8592,r1
jmp @r1
add #-2,r6
fdl8592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8592: .long execexit
! Opcodes E2D0 - E2D7
Y2D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8593
mov.l execexit_ptr8593,r1
jmp @r1
add #-2,r6
fdl8593:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8593: .long execexit
! Opcodes E2D8 - E2DF
Y2D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8594
mov.l execexit_ptr8594,r1
jmp @r1
add #-2,r6
fdl8594:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8594: .long execexit
! Opcodes E2E0 - E2E7
Y2E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8595
mov.l execexit_ptr8595,r1
jmp @r1
add #-2,r6
fdl8595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8595: .long execexit
! Opcodes E2E8 - E2EF
Y2E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8596
mov.l execexit_ptr8596,r1
jmp @r1
add #-2,r6
fdl8596:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8596: .long execexit
! Opcodes E2F0 - E2F7
Y2F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1335
exts.w r0,r0
longwd1335:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8597
mov.l execexit_ptr8597,r1
jmp @r1
add #-2,r6
fdl8597:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8597: .long execexit
! Opcode E2F8
Y2F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8598
mov.l execexit_ptr8598,r1
jmp @r1
add #-2,r6
fdl8598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8598: .long execexit
! Opcode E2F9
Y2F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shlr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8599
mov.l execexit_ptr8599,r1
jmp @r1
add #-2,r6
fdl8599:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8599: .long execexit
! Opcodes E300 - E307
Y300:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8602
mov.l execexit_ptr8602,r1
jmp @r1
add #-2,r6
fdl8602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8602: .long execexit
! Opcodes E308 - E30F
Y308:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8605
mov.l execexit_ptr8605,r1
jmp @r1
add #-2,r6
fdl8605:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8605: .long execexit
! Opcodes E310 - E317
Y310:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #1,r0
ln8607:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8607
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8608
mov.l execexit_ptr8608,r1
jmp @r1
add #-2,r6
fdl8608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8608: .long execexit
! Opcodes E318 - E31F
Y318:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #1,r0
ln8610:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8610
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8611
mov.l execexit_ptr8611,r1
jmp @r1
add #-2,r6
fdl8611:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8611: .long execexit
! Opcodes E320 - E327
Y320:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8612
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8613
mov.l execexit_ptr8613,r1
jmp @r1
add #-2,r6
fdl8613:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8613: .long execexit
ln8612:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8614:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8614
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8615
mov.l execexit_ptr8615,r1
jmp @r1
add #-2,r6
fdl8615:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8615: .long execexit
! Opcodes E328 - E32F
Y328:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8616
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8617
mov.l execexit_ptr8617,r1
jmp @r1
add #-2,r6
fdl8617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8617: .long execexit
ln8616:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8619
mov.l execexit_ptr8619,r1
jmp @r1
add #-2,r6
fdl8619:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8619: .long execexit
! Opcodes E330 - E337
Y330:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8620
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8621
mov.l execexit_ptr8621,r1
jmp @r1
add #-2,r6
fdl8621:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8621: .long execexit
ln8620:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8622:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8622
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8623
mov.l execexit_ptr8623,r1
jmp @r1
add #-2,r6
fdl8623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8623: .long execexit
! Opcodes E338 - E33F
Y338:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8624
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8625
mov.l execexit_ptr8625,r1
jmp @r1
add #-2,r6
fdl8625:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8625: .long execexit
ln8624:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8626:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8626
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8627
mov.l execexit_ptr8627,r1
jmp @r1
add #-2,r6
fdl8627:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8627: .long execexit
! Opcodes E340 - E347
Y340:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8630
mov.l execexit_ptr8630,r1
jmp @r1
add #-2,r6
fdl8630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8630: .long execexit
! Opcodes E348 - E34F
Y348:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8633
mov.l execexit_ptr8633,r1
jmp @r1
add #-2,r6
fdl8633:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8633: .long execexit
! Opcodes E350 - E357
Y350:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #1,r0
ln8635:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8635
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8636
mov.l execexit_ptr8636,r1
jmp @r1
add #-2,r6
fdl8636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8636: .long execexit
! Opcodes E358 - E35F
Y358:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #1,r0
ln8638:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8638
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8639
mov.l execexit_ptr8639,r1
jmp @r1
add #-2,r6
fdl8639:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8639: .long execexit
! Opcodes E360 - E367
Y360:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8640
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8641
mov.l execexit_ptr8641,r1
jmp @r1
add #-2,r6
fdl8641:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8641: .long execexit
ln8640:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8642:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8642
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8643
mov.l execexit_ptr8643,r1
jmp @r1
add #-2,r6
fdl8643:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8643: .long execexit
! Opcodes E368 - E36F
Y368:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8644
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8645
mov.l execexit_ptr8645,r1
jmp @r1
add #-2,r6
fdl8645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8645: .long execexit
ln8644:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8647
mov.l execexit_ptr8647,r1
jmp @r1
add #-2,r6
fdl8647:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8647: .long execexit
! Opcodes E370 - E377
Y370:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8648
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8649
mov.l execexit_ptr8649,r1
jmp @r1
add #-2,r6
fdl8649:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8649: .long execexit
ln8648:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8650:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8650
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8651
mov.l execexit_ptr8651,r1
jmp @r1
add #-2,r6
fdl8651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8651: .long execexit
! Opcodes E378 - E37F
Y378:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8652
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8653
mov.l execexit_ptr8653,r1
jmp @r1
add #-2,r6
fdl8653:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8653: .long execexit
ln8652:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8654:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8654
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8655
mov.l execexit_ptr8655,r1
jmp @r1
add #-2,r6
fdl8655:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8655: .long execexit
! Opcodes E380 - E387
Y380:
and r1,r2
add r13,r2
mov.l @r2,r3
mov r3,r1
addv r3,r3
movt r8
shal r1
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8658
mov.l execexit_ptr8658,r1
jmp @r1
add #-2,r6
fdl8658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8658: .long execexit
! Opcodes E388 - E38F
Y388:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8661
mov.l execexit_ptr8661,r1
jmp @r1
add #-2,r6
fdl8661:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8661: .long execexit
! Opcodes E390 - E397
Y390:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #1,r0
ln8663:
rotcl r3
movt r8
dt r0
bf/s ln8663
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8664
mov.l execexit_ptr8664,r1
jmp @r1
add #-2,r6
fdl8664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8664: .long execexit
! Opcodes E398 - E39F
Y398:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #1,r0
ln8666:
rotl r3
movt r8
dt r0
bf ln8666
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8667
mov.l execexit_ptr8667,r1
jmp @r1
add #-2,r6
fdl8667:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8667: .long execexit
! Opcodes E3A0 - E3A7
Y3A0:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8668
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8669
mov.l execexit_ptr8669,r1
jmp @r1
add #-2,r6
fdl8669:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8669: .long execexit
ln8668:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8670:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8670
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8671
mov.l execexit_ptr8671,r1
jmp @r1
add #-2,r6
fdl8671:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8671: .long execexit
! Opcodes E3A8 - E3AF
Y3A8:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8672
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8673
mov.l execexit_ptr8673,r1
jmp @r1
add #-2,r6
fdl8673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8673: .long execexit
ln8672:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8675
mov.l execexit_ptr8675,r1
jmp @r1
add #-2,r6
fdl8675:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8675: .long execexit
! Opcodes E3B0 - E3B7
Y3B0:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8676
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8677
mov.l execexit_ptr8677,r1
jmp @r1
add #-2,r6
fdl8677:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8677: .long execexit
ln8676:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8678:
rotcl r3
movt r8
dt r0
bf/s ln8678
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8679
mov.l execexit_ptr8679,r1
jmp @r1
add #-2,r6
fdl8679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8679: .long execexit
! Opcodes E3B8 - E3BF
Y3B8:
and r1,r2
mov.l @(4,r13),r0
and #63,r0
tst r0,r0
bf ln8680
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8681
mov.l execexit_ptr8681,r1
jmp @r1
add #-2,r6
fdl8681:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8681: .long execexit
ln8680:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8682:
rotl r3
movt r8
dt r0
bf ln8682
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8683
mov.l execexit_ptr8683,r1
jmp @r1
add #-2,r6
fdl8683:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8683: .long execexit
! Opcodes E3D0 - E3D7
Y3D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8684
mov.l execexit_ptr8684,r1
jmp @r1
add #-2,r6
fdl8684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8684: .long execexit
! Opcodes E3D8 - E3DF
Y3D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8685
mov.l execexit_ptr8685,r1
jmp @r1
add #-2,r6
fdl8685:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8685: .long execexit
! Opcodes E3E0 - E3E7
Y3E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8686
mov.l execexit_ptr8686,r1
jmp @r1
add #-2,r6
fdl8686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8686: .long execexit
! Opcodes E3E8 - E3EF
Y3E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8687
mov.l execexit_ptr8687,r1
jmp @r1
add #-2,r6
fdl8687:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8687: .long execexit
! Opcodes E3F0 - E3F7
Y3F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1336
exts.w r0,r0
longwd1336:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8688
mov.l execexit_ptr8688,r1
jmp @r1
add #-2,r6
fdl8688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8688: .long execexit
! Opcode E3F8
Y3F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8689
mov.l execexit_ptr8689,r1
jmp @r1
add #-2,r6
fdl8689:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8689: .long execexit
! Opcode E3F9
Y3F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
shll r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8690
mov.l execexit_ptr8690,r1
jmp @r1
add #-2,r6
fdl8690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8690: .long execexit
! Opcodes E400 - E407
Y400:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8693
mov.l execexit_ptr8693,r1
jmp @r1
add #-2,r6
fdl8693:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8693: .long execexit
! Opcodes E408 - E40F
Y408:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8696
mov.l execexit_ptr8696,r1
jmp @r1
add #-2,r6
fdl8696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8696: .long execexit
! Opcodes E410 - E417
Y410:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #2,r0
extu.b r3,r3
ln8698:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8698
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8699
mov.l execexit_ptr8699,r1
jmp @r1
add #-2,r6
fdl8699:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8699: .long execexit
! Opcodes E418 - E41F
Y418:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #2,r0
extu.b r3,r3
ln8701:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8701
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8702
mov.l execexit_ptr8702,r1
jmp @r1
add #-2,r6
fdl8702:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8702: .long execexit
! Opcodes E420 - E427
Y420:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8703
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8704
mov.l execexit_ptr8704,r1
jmp @r1
add #-2,r6
fdl8704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8704: .long execexit
ln8703:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8706
mov.l execexit_ptr8706,r1
jmp @r1
add #-2,r6
fdl8706:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8706: .long execexit
! Opcodes E428 - E42F
Y428:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8707
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8708
mov.l execexit_ptr8708,r1
jmp @r1
add #-2,r6
fdl8708:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8708: .long execexit
ln8707:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8710
mov.l execexit_ptr8710,r1
jmp @r1
add #-2,r6
fdl8710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8710: .long execexit
! Opcodes E430 - E437
Y430:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8711
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8712
mov.l execexit_ptr8712,r1
jmp @r1
add #-2,r6
fdl8712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8712: .long execexit
ln8711:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8713:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8713
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8714
mov.l execexit_ptr8714,r1
jmp @r1
add #-2,r6
fdl8714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8714: .long execexit
! Opcodes E438 - E43F
Y438:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8715
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8716
mov.l execexit_ptr8716,r1
jmp @r1
add #-2,r6
fdl8716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8716: .long execexit
ln8715:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8717:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8717
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8718
mov.l execexit_ptr8718,r1
jmp @r1
add #-2,r6
fdl8718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8718: .long execexit
! Opcodes E440 - E447
Y440:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8721
mov.l execexit_ptr8721,r1
jmp @r1
add #-2,r6
fdl8721:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8721: .long execexit
! Opcodes E448 - E44F
Y448:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8724
mov.l execexit_ptr8724,r1
jmp @r1
add #-2,r6
fdl8724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8724: .long execexit
! Opcodes E450 - E457
Y450:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #2,r0
extu.w r3,r3
ln8726:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8726
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8727
mov.l execexit_ptr8727,r1
jmp @r1
add #-2,r6
fdl8727:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8727: .long execexit
! Opcodes E458 - E45F
Y458:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #2,r0
extu.w r3,r3
ln8729:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8729
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8730
mov.l execexit_ptr8730,r1
jmp @r1
add #-2,r6
fdl8730:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8730: .long execexit
! Opcodes E460 - E467
Y460:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8731
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8732
mov.l execexit_ptr8732,r1
jmp @r1
add #-2,r6
fdl8732:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8732: .long execexit
ln8731:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8734
mov.l execexit_ptr8734,r1
jmp @r1
add #-2,r6
fdl8734:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8734: .long execexit
! Opcodes E468 - E46F
Y468:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8735
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8736
mov.l execexit_ptr8736,r1
jmp @r1
add #-2,r6
fdl8736:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8736: .long execexit
ln8735:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8738
mov.l execexit_ptr8738,r1
jmp @r1
add #-2,r6
fdl8738:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8738: .long execexit
! Opcodes E470 - E477
Y470:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8739
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8740
mov.l execexit_ptr8740,r1
jmp @r1
add #-2,r6
fdl8740:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8740: .long execexit
ln8739:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8741:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8741
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8742
mov.l execexit_ptr8742,r1
jmp @r1
add #-2,r6
fdl8742:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8742: .long execexit
! Opcodes E478 - E47F
Y478:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8743
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8744
mov.l execexit_ptr8744,r1
jmp @r1
add #-2,r6
fdl8744:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8744: .long execexit
ln8743:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8745:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8745
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8746
mov.l execexit_ptr8746,r1
jmp @r1
add #-2,r6
fdl8746:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8746: .long execexit
! Opcodes E480 - E487
Y480:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-1,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8749
mov.l execexit_ptr8749,r1
jmp @r1
add #-2,r6
fdl8749:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8749: .long execexit
! Opcodes E488 - E48F
Y488:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-1,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8752
mov.l execexit_ptr8752,r1
jmp @r1
add #-2,r6
fdl8752:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8752: .long execexit
! Opcodes E490 - E497
Y490:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #2,r0
ln8754:
rotcr r3
movt r8
dt r0
bf/s ln8754
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8755
mov.l execexit_ptr8755,r1
jmp @r1
add #-2,r6
fdl8755:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8755: .long execexit
! Opcodes E498 - E49F
Y498:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #2,r0
ln8757:
rotr r3
movt r8
dt r0
bf ln8757
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8758
mov.l execexit_ptr8758,r1
jmp @r1
add #-2,r6
fdl8758:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8758: .long execexit
! Opcodes E4A0 - E4A7
Y4A0:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8759
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8760
mov.l execexit_ptr8760,r1
jmp @r1
add #-2,r6
fdl8760:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8760: .long execexit
ln8759:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8762
mov.l execexit_ptr8762,r1
jmp @r1
add #-2,r6
fdl8762:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8762: .long execexit
! Opcodes E4A8 - E4AF
Y4A8:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8763
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8764
mov.l execexit_ptr8764,r1
jmp @r1
add #-2,r6
fdl8764:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8764: .long execexit
ln8763:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8766
mov.l execexit_ptr8766,r1
jmp @r1
add #-2,r6
fdl8766:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8766: .long execexit
! Opcodes E4B0 - E4B7
Y4B0:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8767
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8768
mov.l execexit_ptr8768,r1
jmp @r1
add #-2,r6
fdl8768:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8768: .long execexit
ln8767:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8769:
rotcr r3
movt r8
dt r0
bf/s ln8769
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8770
mov.l execexit_ptr8770,r1
jmp @r1
add #-2,r6
fdl8770:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8770: .long execexit
! Opcodes E4B8 - E4BF
Y4B8:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8771
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8772
mov.l execexit_ptr8772,r1
jmp @r1
add #-2,r6
fdl8772:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8772: .long execexit
ln8771:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8773:
rotr r3
movt r8
dt r0
bf ln8773
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8774
mov.l execexit_ptr8774,r1
jmp @r1
add #-2,r6
fdl8774:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8774: .long execexit
! Opcodes E4D0 - E4D7
Y4D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8775
mov.l execexit_ptr8775,r1
jmp @r1
add #-2,r6
fdl8775:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8775: .long execexit
! Opcodes E4D8 - E4DF
Y4D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8776
mov.l execexit_ptr8776,r1
jmp @r1
add #-2,r6
fdl8776:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8776: .long execexit
! Opcodes E4E0 - E4E7
Y4E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8777
mov.l execexit_ptr8777,r1
jmp @r1
add #-2,r6
fdl8777:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8777: .long execexit
! Opcodes E4E8 - E4EF
Y4E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8778
mov.l execexit_ptr8778,r1
jmp @r1
add #-2,r6
fdl8778:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8778: .long execexit
! Opcodes E4F0 - E4F7
Y4F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1337
exts.w r0,r0
longwd1337:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8779
mov.l execexit_ptr8779,r1
jmp @r1
add #-2,r6
fdl8779:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8779: .long execexit
! Opcode E4F8
Y4F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8780
mov.l execexit_ptr8780,r1
jmp @r1
add #-2,r6
fdl8780:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8780: .long execexit
! Opcode E4F9
Y4F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcr r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8781
mov.l execexit_ptr8781,r1
jmp @r1
add #-2,r6
fdl8781:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8781: .long execexit
! Opcodes E500 - E507
Y500:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8784
mov.l execexit_ptr8784,r1
jmp @r1
add #-2,r6
fdl8784:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8784: .long execexit
! Opcodes E508 - E50F
Y508:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8787
mov.l execexit_ptr8787,r1
jmp @r1
add #-2,r6
fdl8787:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8787: .long execexit
! Opcodes E510 - E517
Y510:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #2,r0
ln8789:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8789
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8790
mov.l execexit_ptr8790,r1
jmp @r1
add #-2,r6
fdl8790:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8790: .long execexit
! Opcodes E518 - E51F
Y518:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #2,r0
ln8792:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8792
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8793
mov.l execexit_ptr8793,r1
jmp @r1
add #-2,r6
fdl8793:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8793: .long execexit
! Opcodes E520 - E527
Y520:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8794
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8795
mov.l execexit_ptr8795,r1
jmp @r1
add #-2,r6
fdl8795:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8795: .long execexit
ln8794:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8796:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8796
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8797
mov.l execexit_ptr8797,r1
jmp @r1
add #-2,r6
fdl8797:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8797: .long execexit
! Opcodes E528 - E52F
Y528:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8798
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8799
mov.l execexit_ptr8799,r1
jmp @r1
add #-2,r6
fdl8799:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8799: .long execexit
ln8798:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8801
mov.l execexit_ptr8801,r1
jmp @r1
add #-2,r6
fdl8801:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8801: .long execexit
! Opcodes E530 - E537
Y530:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8802
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8803
mov.l execexit_ptr8803,r1
jmp @r1
add #-2,r6
fdl8803:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8803: .long execexit
ln8802:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8804:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8804
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8805
mov.l execexit_ptr8805,r1
jmp @r1
add #-2,r6
fdl8805:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8805: .long execexit
! Opcodes E538 - E53F
Y538:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8806
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8807
mov.l execexit_ptr8807,r1
jmp @r1
add #-2,r6
fdl8807:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8807: .long execexit
ln8806:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8808:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8808
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8809
mov.l execexit_ptr8809,r1
jmp @r1
add #-2,r6
fdl8809:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8809: .long execexit
! Opcodes E540 - E547
Y540:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8812
mov.l execexit_ptr8812,r1
jmp @r1
add #-2,r6
fdl8812:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8812: .long execexit
! Opcodes E548 - E54F
Y548:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8815
mov.l execexit_ptr8815,r1
jmp @r1
add #-2,r6
fdl8815:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8815: .long execexit
! Opcodes E550 - E557
Y550:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #2,r0
ln8817:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8817
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8818
mov.l execexit_ptr8818,r1
jmp @r1
add #-2,r6
fdl8818:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8818: .long execexit
! Opcodes E558 - E55F
Y558:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #2,r0
ln8820:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8820
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-10,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8821
mov.l execexit_ptr8821,r1
jmp @r1
add #-2,r6
fdl8821:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8821: .long execexit
! Opcodes E560 - E567
Y560:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8822
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8823
mov.l execexit_ptr8823,r1
jmp @r1
add #-2,r6
fdl8823:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8823: .long execexit
ln8822:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln8824:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8824
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8825
mov.l execexit_ptr8825,r1
jmp @r1
add #-2,r6
fdl8825:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8825: .long execexit
! Opcodes E568 - E56F
Y568:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8826
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8827
mov.l execexit_ptr8827,r1
jmp @r1
add #-2,r6
fdl8827:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8827: .long execexit
ln8826:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8829
mov.l execexit_ptr8829,r1
jmp @r1
add #-2,r6
fdl8829:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8829: .long execexit
! Opcodes E570 - E577
Y570:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8830
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8831
mov.l execexit_ptr8831,r1
jmp @r1
add #-2,r6
fdl8831:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8831: .long execexit
ln8830:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln8832:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8832
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8833
mov.l execexit_ptr8833,r1
jmp @r1
add #-2,r6
fdl8833:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8833: .long execexit
! Opcodes E578 - E57F
Y578:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8834
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8835
mov.l execexit_ptr8835,r1
jmp @r1
add #-2,r6
fdl8835:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8835: .long execexit
ln8834:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln8836:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln8836
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8837
mov.l execexit_ptr8837,r1
jmp @r1
add #-2,r6
fdl8837:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8837: .long execexit
! Opcodes E580 - E587
Y580:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8840
mov.l execexit_ptr8840,r1
jmp @r1
add #-2,r6
fdl8840:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8840: .long execexit
! Opcodes E588 - E58F
Y588:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #1,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8843
mov.l execexit_ptr8843,r1
jmp @r1
add #-2,r6
fdl8843:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8843: .long execexit
! Opcodes E590 - E597
Y590:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #2,r0
ln8845:
rotcl r3
movt r8
dt r0
bf/s ln8845
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8846
mov.l execexit_ptr8846,r1
jmp @r1
add #-2,r6
fdl8846:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8846: .long execexit
! Opcodes E598 - E59F
Y598:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #2,r0
ln8848:
rotl r3
movt r8
dt r0
bf ln8848
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8849
mov.l execexit_ptr8849,r1
jmp @r1
add #-2,r6
fdl8849:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8849: .long execexit
! Opcodes E5A0 - E5A7
Y5A0:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8850
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8851
mov.l execexit_ptr8851,r1
jmp @r1
add #-2,r6
fdl8851:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8851: .long execexit
ln8850:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln8852:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8852
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8853
mov.l execexit_ptr8853,r1
jmp @r1
add #-2,r6
fdl8853:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8853: .long execexit
! Opcodes E5A8 - E5AF
Y5A8:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8854
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8855
mov.l execexit_ptr8855,r1
jmp @r1
add #-2,r6
fdl8855:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8855: .long execexit
ln8854:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8857
mov.l execexit_ptr8857,r1
jmp @r1
add #-2,r6
fdl8857:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8857: .long execexit
! Opcodes E5B0 - E5B7
Y5B0:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8858
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8859
mov.l execexit_ptr8859,r1
jmp @r1
add #-2,r6
fdl8859:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8859: .long execexit
ln8858:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8860:
rotcl r3
movt r8
dt r0
bf/s ln8860
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8861
mov.l execexit_ptr8861,r1
jmp @r1
add #-2,r6
fdl8861:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8861: .long execexit
! Opcodes E5B8 - E5BF
Y5B8:
and r1,r2
mov.l @(8,r13),r0
and #63,r0
tst r0,r0
bf ln8862
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8863
mov.l execexit_ptr8863,r1
jmp @r1
add #-2,r6
fdl8863:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8863: .long execexit
ln8862:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8864:
rotl r3
movt r8
dt r0
bf ln8864
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8865
mov.l execexit_ptr8865,r1
jmp @r1
add #-2,r6
fdl8865:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8865: .long execexit
! Opcodes E5D0 - E5D7
Y5D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8866
mov.l execexit_ptr8866,r1
jmp @r1
add #-2,r6
fdl8866:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8866: .long execexit
! Opcodes E5D8 - E5DF
Y5D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8867
mov.l execexit_ptr8867,r1
jmp @r1
add #-2,r6
fdl8867:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8867: .long execexit
! Opcodes E5E0 - E5E7
Y5E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8868
mov.l execexit_ptr8868,r1
jmp @r1
add #-2,r6
fdl8868:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8868: .long execexit
! Opcodes E5E8 - E5EF
Y5E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8869
mov.l execexit_ptr8869,r1
jmp @r1
add #-2,r6
fdl8869:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8869: .long execexit
! Opcodes E5F0 - E5F7
Y5F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1338
exts.w r0,r0
longwd1338:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8870
mov.l execexit_ptr8870,r1
jmp @r1
add #-2,r6
fdl8870:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8870: .long execexit
! Opcode E5F8
Y5F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8871
mov.l execexit_ptr8871,r1
jmp @r1
add #-2,r6
fdl8871:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8871: .long execexit
! Opcode E5F9
Y5F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
shlr r9
rotcl r3
movt r8
movt r9
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8872
mov.l execexit_ptr8872,r1
jmp @r1
add #-2,r6
fdl8872:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8872: .long execexit
! Opcodes E600 - E607
Y600:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8875
mov.l execexit_ptr8875,r1
jmp @r1
add #-2,r6
fdl8875:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8875: .long execexit
! Opcodes E608 - E60F
Y608:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8878
mov.l execexit_ptr8878,r1
jmp @r1
add #-2,r6
fdl8878:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8878: .long execexit
! Opcodes E610 - E617
Y610:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #3,r0
extu.b r3,r3
ln8880:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8880
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8881
mov.l execexit_ptr8881,r1
jmp @r1
add #-2,r6
fdl8881:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8881: .long execexit
! Opcodes E618 - E61F
Y618:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #3,r0
extu.b r3,r3
ln8883:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8883
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8884
mov.l execexit_ptr8884,r1
jmp @r1
add #-2,r6
fdl8884:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8884: .long execexit
! Opcodes E620 - E627
Y620:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8885
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8886
mov.l execexit_ptr8886,r1
jmp @r1
add #-2,r6
fdl8886:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8886: .long execexit
ln8885:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8888
mov.l execexit_ptr8888,r1
jmp @r1
add #-2,r6
fdl8888:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8888: .long execexit
! Opcodes E628 - E62F
Y628:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8889
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8890
mov.l execexit_ptr8890,r1
jmp @r1
add #-2,r6
fdl8890:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8890: .long execexit
ln8889:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8892
mov.l execexit_ptr8892,r1
jmp @r1
add #-2,r6
fdl8892:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8892: .long execexit
! Opcodes E630 - E637
Y630:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8893
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8894
mov.l execexit_ptr8894,r1
jmp @r1
add #-2,r6
fdl8894:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8894: .long execexit
ln8893:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln8895:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln8895
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8896
mov.l execexit_ptr8896,r1
jmp @r1
add #-2,r6
fdl8896:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8896: .long execexit
! Opcodes E638 - E63F
Y638:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8897
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8898
mov.l execexit_ptr8898,r1
jmp @r1
add #-2,r6
fdl8898:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8898: .long execexit
ln8897:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln8899:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln8899
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8900
mov.l execexit_ptr8900,r1
jmp @r1
add #-2,r6
fdl8900:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8900: .long execexit
! Opcodes E640 - E647
Y640:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8903
mov.l execexit_ptr8903,r1
jmp @r1
add #-2,r6
fdl8903:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8903: .long execexit
! Opcodes E648 - E64F
Y648:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8906
mov.l execexit_ptr8906,r1
jmp @r1
add #-2,r6
fdl8906:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8906: .long execexit
! Opcodes E650 - E657
Y650:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #3,r0
extu.w r3,r3
ln8908:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8908
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8909
mov.l execexit_ptr8909,r1
jmp @r1
add #-2,r6
fdl8909:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8909: .long execexit
! Opcodes E658 - E65F
Y658:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #3,r0
extu.w r3,r3
ln8911:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8911
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8912
mov.l execexit_ptr8912,r1
jmp @r1
add #-2,r6
fdl8912:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8912: .long execexit
! Opcodes E660 - E667
Y660:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8913
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8914
mov.l execexit_ptr8914,r1
jmp @r1
add #-2,r6
fdl8914:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8914: .long execexit
ln8913:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8916
mov.l execexit_ptr8916,r1
jmp @r1
add #-2,r6
fdl8916:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8916: .long execexit
! Opcodes E668 - E66F
Y668:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8917
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8918
mov.l execexit_ptr8918,r1
jmp @r1
add #-2,r6
fdl8918:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8918: .long execexit
ln8917:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8920
mov.l execexit_ptr8920,r1
jmp @r1
add #-2,r6
fdl8920:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8920: .long execexit
! Opcodes E670 - E677
Y670:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8921
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8922
mov.l execexit_ptr8922,r1
jmp @r1
add #-2,r6
fdl8922:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8922: .long execexit
ln8921:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln8923:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln8923
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8924
mov.l execexit_ptr8924,r1
jmp @r1
add #-2,r6
fdl8924:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8924: .long execexit
! Opcodes E678 - E67F
Y678:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8925
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8926
mov.l execexit_ptr8926,r1
jmp @r1
add #-2,r6
fdl8926:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8926: .long execexit
ln8925:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln8927:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln8927
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8928
mov.l execexit_ptr8928,r1
jmp @r1
add #-2,r6
fdl8928:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8928: .long execexit
! Opcodes E680 - E687
Y680:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-2,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8931
mov.l execexit_ptr8931,r1
jmp @r1
add #-2,r6
fdl8931:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8931: .long execexit
! Opcodes E688 - E68F
Y688:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-2,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8934
mov.l execexit_ptr8934,r1
jmp @r1
add #-2,r6
fdl8934:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8934: .long execexit
! Opcodes E690 - E697
Y690:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #3,r0
ln8936:
rotcr r3
movt r8
dt r0
bf/s ln8936
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8937
mov.l execexit_ptr8937,r1
jmp @r1
add #-2,r6
fdl8937:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8937: .long execexit
! Opcodes E698 - E69F
Y698:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #3,r0
ln8939:
rotr r3
movt r8
dt r0
bf ln8939
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8940
mov.l execexit_ptr8940,r1
jmp @r1
add #-2,r6
fdl8940:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8940: .long execexit
! Opcodes E6A0 - E6A7
Y6A0:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8941
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8942
mov.l execexit_ptr8942,r1
jmp @r1
add #-2,r6
fdl8942:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8942: .long execexit
ln8941:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8944
mov.l execexit_ptr8944,r1
jmp @r1
add #-2,r6
fdl8944:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8944: .long execexit
! Opcodes E6A8 - E6AF
Y6A8:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8945
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8946
mov.l execexit_ptr8946,r1
jmp @r1
add #-2,r6
fdl8946:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8946: .long execexit
ln8945:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8948
mov.l execexit_ptr8948,r1
jmp @r1
add #-2,r6
fdl8948:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8948: .long execexit
! Opcodes E6B0 - E6B7
Y6B0:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8949
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8950
mov.l execexit_ptr8950,r1
jmp @r1
add #-2,r6
fdl8950:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8950: .long execexit
ln8949:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln8951:
rotcr r3
movt r8
dt r0
bf/s ln8951
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8952
mov.l execexit_ptr8952,r1
jmp @r1
add #-2,r6
fdl8952:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8952: .long execexit
! Opcodes E6B8 - E6BF
Y6B8:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8953
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8954
mov.l execexit_ptr8954,r1
jmp @r1
add #-2,r6
fdl8954:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8954: .long execexit
ln8953:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln8955:
rotr r3
movt r8
dt r0
bf ln8955
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8956
mov.l execexit_ptr8956,r1
jmp @r1
add #-2,r6
fdl8956:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8956: .long execexit
! Opcodes E6D0 - E6D7
Y6D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8957
mov.l execexit_ptr8957,r1
jmp @r1
add #-2,r6
fdl8957:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8957: .long execexit
! Opcodes E6D8 - E6DF
Y6D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8958
mov.l execexit_ptr8958,r1
jmp @r1
add #-2,r6
fdl8958:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8958: .long execexit
! Opcodes E6E0 - E6E7
Y6E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8959
mov.l execexit_ptr8959,r1
jmp @r1
add #-2,r6
fdl8959:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8959: .long execexit
! Opcodes E6E8 - E6EF
Y6E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8960
mov.l execexit_ptr8960,r1
jmp @r1
add #-2,r6
fdl8960:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8960: .long execexit
! Opcodes E6F0 - E6F7
Y6F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1339
exts.w r0,r0
longwd1339:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8961
mov.l execexit_ptr8961,r1
jmp @r1
add #-2,r6
fdl8961:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8961: .long execexit
! Opcode E6F8
Y6F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8962
mov.l execexit_ptr8962,r1
jmp @r1
add #-2,r6
fdl8962:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8962: .long execexit
! Opcode E6F9
Y6F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotr r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8963
mov.l execexit_ptr8963,r1
jmp @r1
add #-2,r6
fdl8963:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8963: .long execexit
! Opcodes E700 - E707
Y700:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8966
mov.l execexit_ptr8966,r1
jmp @r1
add #-2,r6
fdl8966:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8966: .long execexit
! Opcodes E708 - E70F
Y708:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8969
mov.l execexit_ptr8969,r1
jmp @r1
add #-2,r6
fdl8969:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8969: .long execexit
! Opcodes E710 - E717
Y710:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #3,r0
ln8971:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8971
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8972
mov.l execexit_ptr8972,r1
jmp @r1
add #-2,r6
fdl8972:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8972: .long execexit
! Opcodes E718 - E71F
Y718:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #3,r0
ln8974:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8974
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8975
mov.l execexit_ptr8975,r1
jmp @r1
add #-2,r6
fdl8975:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8975: .long execexit
! Opcodes E720 - E727
Y720:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8976
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8977
mov.l execexit_ptr8977,r1
jmp @r1
add #-2,r6
fdl8977:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8977: .long execexit
ln8976:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln8978:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln8978
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8979
mov.l execexit_ptr8979,r1
jmp @r1
add #-2,r6
fdl8979:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8979: .long execexit
! Opcodes E728 - E72F
Y728:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8980
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8981
mov.l execexit_ptr8981,r1
jmp @r1
add #-2,r6
fdl8981:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8981: .long execexit
ln8980:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8983
mov.l execexit_ptr8983,r1
jmp @r1
add #-2,r6
fdl8983:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8983: .long execexit
! Opcodes E730 - E737
Y730:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8984
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8985
mov.l execexit_ptr8985,r1
jmp @r1
add #-2,r6
fdl8985:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8985: .long execexit
ln8984:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln8986:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln8986
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8987
mov.l execexit_ptr8987,r1
jmp @r1
add #-2,r6
fdl8987:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8987: .long execexit
! Opcodes E738 - E73F
Y738:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln8988
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8989
mov.l execexit_ptr8989,r1
jmp @r1
add #-2,r6
fdl8989:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8989: .long execexit
ln8988:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln8990:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln8990
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8991
mov.l execexit_ptr8991,r1
jmp @r1
add #-2,r6
fdl8991:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8991: .long execexit
! Opcodes E740 - E747
Y740:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8994
mov.l execexit_ptr8994,r1
jmp @r1
add #-2,r6
fdl8994:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8994: .long execexit
! Opcodes E748 - E74F
Y748:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl8997
mov.l execexit_ptr8997,r1
jmp @r1
add #-2,r6
fdl8997:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr8997: .long execexit
! Opcodes E750 - E757
Y750:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #3,r0
ln8999:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln8999
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9000
mov.l execexit_ptr9000,r1
jmp @r1
add #-2,r6
fdl9000:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9000: .long execexit
! Opcodes E758 - E75F
Y758:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #3,r0
ln9002:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9002
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9003
mov.l execexit_ptr9003,r1
jmp @r1
add #-2,r6
fdl9003:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9003: .long execexit
! Opcodes E760 - E767
Y760:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9004
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9005
mov.l execexit_ptr9005,r1
jmp @r1
add #-2,r6
fdl9005:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9005: .long execexit
ln9004:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9006:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9006
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9007
mov.l execexit_ptr9007,r1
jmp @r1
add #-2,r6
fdl9007:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9007: .long execexit
! Opcodes E768 - E76F
Y768:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9008
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9009
mov.l execexit_ptr9009,r1
jmp @r1
add #-2,r6
fdl9009:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9009: .long execexit
ln9008:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9011
mov.l execexit_ptr9011,r1
jmp @r1
add #-2,r6
fdl9011:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9011: .long execexit
! Opcodes E770 - E777
Y770:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9012
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9013
mov.l execexit_ptr9013,r1
jmp @r1
add #-2,r6
fdl9013:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9013: .long execexit
ln9012:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9014:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9014
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9015
mov.l execexit_ptr9015,r1
jmp @r1
add #-2,r6
fdl9015:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9015: .long execexit
! Opcodes E778 - E77F
Y778:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9016
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9017
mov.l execexit_ptr9017,r1
jmp @r1
add #-2,r6
fdl9017:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9017: .long execexit
ln9016:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9018:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9018
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9019
mov.l execexit_ptr9019,r1
jmp @r1
add #-2,r6
fdl9019:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9019: .long execexit
! Opcodes E780 - E787
Y780:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9022
mov.l execexit_ptr9022,r1
jmp @r1
add #-2,r6
fdl9022:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9022: .long execexit
! Opcodes E788 - E78F
Y788:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #2,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9025
mov.l execexit_ptr9025,r1
jmp @r1
add #-2,r6
fdl9025:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9025: .long execexit
! Opcodes E790 - E797
Y790:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #3,r0
ln9027:
rotcl r3
movt r8
dt r0
bf/s ln9027
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9028
mov.l execexit_ptr9028,r1
jmp @r1
add #-2,r6
fdl9028:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9028: .long execexit
! Opcodes E798 - E79F
Y798:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #3,r0
ln9030:
rotl r3
movt r8
dt r0
bf ln9030
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9031
mov.l execexit_ptr9031,r1
jmp @r1
add #-2,r6
fdl9031:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9031: .long execexit
! Opcodes E7A0 - E7A7
Y7A0:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9032
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9033
mov.l execexit_ptr9033,r1
jmp @r1
add #-2,r6
fdl9033:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9033: .long execexit
ln9032:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9034:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9034
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9035
mov.l execexit_ptr9035,r1
jmp @r1
add #-2,r6
fdl9035:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9035: .long execexit
! Opcodes E7A8 - E7AF
Y7A8:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9036
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9037
mov.l execexit_ptr9037,r1
jmp @r1
add #-2,r6
fdl9037:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9037: .long execexit
ln9036:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9039
mov.l execexit_ptr9039,r1
jmp @r1
add #-2,r6
fdl9039:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9039: .long execexit
! Opcodes E7B0 - E7B7
Y7B0:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9040
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9041
mov.l execexit_ptr9041,r1
jmp @r1
add #-2,r6
fdl9041:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9041: .long execexit
ln9040:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9042:
rotcl r3
movt r8
dt r0
bf/s ln9042
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9043
mov.l execexit_ptr9043,r1
jmp @r1
add #-2,r6
fdl9043:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9043: .long execexit
! Opcodes E7B8 - E7BF
Y7B8:
and r1,r2
mov.l @(12,r13),r0
and #63,r0
tst r0,r0
bf ln9044
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9045
mov.l execexit_ptr9045,r1
jmp @r1
add #-2,r6
fdl9045:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9045: .long execexit
ln9044:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9046:
rotl r3
movt r8
dt r0
bf ln9046
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9047
mov.l execexit_ptr9047,r1
jmp @r1
add #-2,r6
fdl9047:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9047: .long execexit
! Opcodes E7D0 - E7D7
Y7D0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9048
mov.l execexit_ptr9048,r1
jmp @r1
add #-2,r6
fdl9048:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9048: .long execexit
! Opcodes E7D8 - E7DF
Y7D8:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
add #2,r4
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-12,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9049
mov.l execexit_ptr9049,r1
jmp @r1
add #-2,r6
fdl9049:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9049: .long execexit
! Opcodes E7E0 - E7E7
Y7E0:
and r1,r2
mov r2,r0
mov.l @(r0,r14),r4
add #-2,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
mov r2,r0
mov.l r4,@(r0,r14)
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9050
mov.l execexit_ptr9050,r1
jmp @r1
add #-2,r6
fdl9050:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9050: .long execexit
! Opcodes E7E8 - E7EF
Y7E8:
and r1,r2
mov.w @r6+,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9051
mov.l execexit_ptr9051,r1
jmp @r1
add #-2,r6
fdl9051:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9051: .long execexit
! Opcodes E7F0 - E7F7
Y7F0:
and r1,r2
mov.w @r6+,r0
exts.b r0,r4
shlr8 r0
shlr2 r0
tst #2,r0
and #0x3c,r0
mov.l @(r0,r13),r0
bf longwd1340
exts.w r0,r0
longwd1340:
add r0,r4
mov r2,r0
mov.l @(r0,r14),r1
add r1,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9052
mov.l execexit_ptr9052,r1
jmp @r1
add #-2,r6
fdl9052:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9052: .long execexit
! Opcode E7F8
Y7F8:
mov.w @r6+,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9053
mov.l execexit_ptr9053,r1
jmp @r1
add #-2,r6
fdl9053:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9053: .long execexit
! Opcode E7F9
Y7F9:
mov.w @r6+,r0
mov.w @r6+,r4
shll16 r4
xtrct r0,r4
mov.l @(rw_addr-fetch_idx,r11),r0
jsr @r0
nop
xor r8,r8
rotl r3
movt r8
mov.l @(ww_addr-fetch_idx,r11),r0
jsr @r0
nop
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9054
mov.l execexit_ptr9054,r1
jmp @r1
add #-2,r6
fdl9054:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9054: .long execexit
! Opcodes E800 - E807
Y800:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9057
mov.l execexit_ptr9057,r1
jmp @r1
add #-2,r6
fdl9057:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9057: .long execexit
! Opcodes E808 - E80F
Y808:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9060
mov.l execexit_ptr9060,r1
jmp @r1
add #-2,r6
fdl9060:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9060: .long execexit
! Opcodes E810 - E817
Y810:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #4,r0
extu.b r3,r3
ln9062:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9062
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9063
mov.l execexit_ptr9063,r1
jmp @r1
add #-2,r6
fdl9063:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9063: .long execexit
! Opcodes E818 - E81F
Y818:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #4,r0
extu.b r3,r3
ln9065:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9065
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9066
mov.l execexit_ptr9066,r1
jmp @r1
add #-2,r6
fdl9066:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9066: .long execexit
! Opcodes E820 - E827
Y820:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9067
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9068
mov.l execexit_ptr9068,r1
jmp @r1
add #-2,r6
fdl9068:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9068: .long execexit
ln9067:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9070
mov.l execexit_ptr9070,r1
jmp @r1
add #-2,r6
fdl9070:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9070: .long execexit
! Opcodes E828 - E82F
Y828:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9071
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9072
mov.l execexit_ptr9072,r1
jmp @r1
add #-2,r6
fdl9072:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9072: .long execexit
ln9071:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9074
mov.l execexit_ptr9074,r1
jmp @r1
add #-2,r6
fdl9074:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9074: .long execexit
! Opcodes E830 - E837
Y830:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9075
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9076
mov.l execexit_ptr9076,r1
jmp @r1
add #-2,r6
fdl9076:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9076: .long execexit
ln9075:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9077:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9077
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9078
mov.l execexit_ptr9078,r1
jmp @r1
add #-2,r6
fdl9078:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9078: .long execexit
! Opcodes E838 - E83F
Y838:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9079
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9080
mov.l execexit_ptr9080,r1
jmp @r1
add #-2,r6
fdl9080:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9080: .long execexit
ln9079:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9081:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9081
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9082
mov.l execexit_ptr9082,r1
jmp @r1
add #-2,r6
fdl9082:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9082: .long execexit
! Opcodes E840 - E847
Y840:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9085
mov.l execexit_ptr9085,r1
jmp @r1
add #-2,r6
fdl9085:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9085: .long execexit
! Opcodes E848 - E84F
Y848:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9088
mov.l execexit_ptr9088,r1
jmp @r1
add #-2,r6
fdl9088:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9088: .long execexit
! Opcodes E850 - E857
Y850:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #4,r0
extu.w r3,r3
ln9090:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9090
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9091
mov.l execexit_ptr9091,r1
jmp @r1
add #-2,r6
fdl9091:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9091: .long execexit
! Opcodes E858 - E85F
Y858:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #4,r0
extu.w r3,r3
ln9093:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9093
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9094
mov.l execexit_ptr9094,r1
jmp @r1
add #-2,r6
fdl9094:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9094: .long execexit
! Opcodes E860 - E867
Y860:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9095
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9096
mov.l execexit_ptr9096,r1
jmp @r1
add #-2,r6
fdl9096:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9096: .long execexit
ln9095:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9098
mov.l execexit_ptr9098,r1
jmp @r1
add #-2,r6
fdl9098:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9098: .long execexit
! Opcodes E868 - E86F
Y868:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9099
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9100
mov.l execexit_ptr9100,r1
jmp @r1
add #-2,r6
fdl9100:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9100: .long execexit
ln9099:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9102
mov.l execexit_ptr9102,r1
jmp @r1
add #-2,r6
fdl9102:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9102: .long execexit
! Opcodes E870 - E877
Y870:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9103
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9104
mov.l execexit_ptr9104,r1
jmp @r1
add #-2,r6
fdl9104:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9104: .long execexit
ln9103:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9105:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9105
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9106
mov.l execexit_ptr9106,r1
jmp @r1
add #-2,r6
fdl9106:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9106: .long execexit
! Opcodes E878 - E87F
Y878:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9107
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9108
mov.l execexit_ptr9108,r1
jmp @r1
add #-2,r6
fdl9108:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9108: .long execexit
ln9107:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9109:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9109
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9110
mov.l execexit_ptr9110,r1
jmp @r1
add #-2,r6
fdl9110:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9110: .long execexit
! Opcodes E880 - E887
Y880:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-3,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9113
mov.l execexit_ptr9113,r1
jmp @r1
add #-2,r6
fdl9113:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9113: .long execexit
! Opcodes E888 - E88F
Y888:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-3,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9116
mov.l execexit_ptr9116,r1
jmp @r1
add #-2,r6
fdl9116:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9116: .long execexit
! Opcodes E890 - E897
Y890:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #4,r0
ln9118:
rotcr r3
movt r8
dt r0
bf/s ln9118
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9119
mov.l execexit_ptr9119,r1
jmp @r1
add #-2,r6
fdl9119:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9119: .long execexit
! Opcodes E898 - E89F
Y898:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #4,r0
ln9121:
rotr r3
movt r8
dt r0
bf ln9121
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9122
mov.l execexit_ptr9122,r1
jmp @r1
add #-2,r6
fdl9122:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9122: .long execexit
! Opcodes E8A0 - E8A7
Y8A0:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9123
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9124
mov.l execexit_ptr9124,r1
jmp @r1
add #-2,r6
fdl9124:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9124: .long execexit
ln9123:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9126
mov.l execexit_ptr9126,r1
jmp @r1
add #-2,r6
fdl9126:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9126: .long execexit
! Opcodes E8A8 - E8AF
Y8A8:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9127
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9128
mov.l execexit_ptr9128,r1
jmp @r1
add #-2,r6
fdl9128:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9128: .long execexit
ln9127:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9130
mov.l execexit_ptr9130,r1
jmp @r1
add #-2,r6
fdl9130:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9130: .long execexit
! Opcodes E8B0 - E8B7
Y8B0:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9131
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9132
mov.l execexit_ptr9132,r1
jmp @r1
add #-2,r6
fdl9132:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9132: .long execexit
ln9131:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9133:
rotcr r3
movt r8
dt r0
bf/s ln9133
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9134
mov.l execexit_ptr9134,r1
jmp @r1
add #-2,r6
fdl9134:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9134: .long execexit
! Opcodes E8B8 - E8BF
Y8B8:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9135
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9136
mov.l execexit_ptr9136,r1
jmp @r1
add #-2,r6
fdl9136:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9136: .long execexit
ln9135:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9137:
rotr r3
movt r8
dt r0
bf ln9137
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9138
mov.l execexit_ptr9138,r1
jmp @r1
add #-2,r6
fdl9138:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9138: .long execexit
! Opcodes E900 - E907
Y900:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9141
mov.l execexit_ptr9141,r1
jmp @r1
add #-2,r6
fdl9141:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9141: .long execexit
! Opcodes E908 - E90F
Y908:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9144
mov.l execexit_ptr9144,r1
jmp @r1
add #-2,r6
fdl9144:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9144: .long execexit
! Opcodes E910 - E917
Y910:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #4,r0
ln9146:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9146
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9147
mov.l execexit_ptr9147,r1
jmp @r1
add #-2,r6
fdl9147:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9147: .long execexit
! Opcodes E918 - E91F
Y918:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #4,r0
ln9149:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9149
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9150
mov.l execexit_ptr9150,r1
jmp @r1
add #-2,r6
fdl9150:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9150: .long execexit
! Opcodes E920 - E927
Y920:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9151
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9152
mov.l execexit_ptr9152,r1
jmp @r1
add #-2,r6
fdl9152:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9152: .long execexit
ln9151:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9153:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9153
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9154
mov.l execexit_ptr9154,r1
jmp @r1
add #-2,r6
fdl9154:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9154: .long execexit
! Opcodes E928 - E92F
Y928:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9155
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9156
mov.l execexit_ptr9156,r1
jmp @r1
add #-2,r6
fdl9156:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9156: .long execexit
ln9155:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9158
mov.l execexit_ptr9158,r1
jmp @r1
add #-2,r6
fdl9158:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9158: .long execexit
! Opcodes E930 - E937
Y930:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9159
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9160
mov.l execexit_ptr9160,r1
jmp @r1
add #-2,r6
fdl9160:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9160: .long execexit
ln9159:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9161:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9161
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9162
mov.l execexit_ptr9162,r1
jmp @r1
add #-2,r6
fdl9162:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9162: .long execexit
! Opcodes E938 - E93F
Y938:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9163
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9164
mov.l execexit_ptr9164,r1
jmp @r1
add #-2,r6
fdl9164:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9164: .long execexit
ln9163:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9165:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9165
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9166
mov.l execexit_ptr9166,r1
jmp @r1
add #-2,r6
fdl9166:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9166: .long execexit
! Opcodes E940 - E947
Y940:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9169
mov.l execexit_ptr9169,r1
jmp @r1
add #-2,r6
fdl9169:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9169: .long execexit
! Opcodes E948 - E94F
Y948:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9172
mov.l execexit_ptr9172,r1
jmp @r1
add #-2,r6
fdl9172:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9172: .long execexit
! Opcodes E950 - E957
Y950:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #4,r0
ln9174:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9174
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9175
mov.l execexit_ptr9175,r1
jmp @r1
add #-2,r6
fdl9175:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9175: .long execexit
! Opcodes E958 - E95F
Y958:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #4,r0
ln9177:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9177
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-14,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9178
mov.l execexit_ptr9178,r1
jmp @r1
add #-2,r6
fdl9178:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9178: .long execexit
! Opcodes E960 - E967
Y960:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9179
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9180
mov.l execexit_ptr9180,r1
jmp @r1
add #-2,r6
fdl9180:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9180: .long execexit
ln9179:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9181:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9181
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9182
mov.l execexit_ptr9182,r1
jmp @r1
add #-2,r6
fdl9182:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9182: .long execexit
! Opcodes E968 - E96F
Y968:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9183
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9184
mov.l execexit_ptr9184,r1
jmp @r1
add #-2,r6
fdl9184:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9184: .long execexit
ln9183:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9186
mov.l execexit_ptr9186,r1
jmp @r1
add #-2,r6
fdl9186:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9186: .long execexit
! Opcodes E970 - E977
Y970:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9187
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9188
mov.l execexit_ptr9188,r1
jmp @r1
add #-2,r6
fdl9188:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9188: .long execexit
ln9187:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9189:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9189
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9190
mov.l execexit_ptr9190,r1
jmp @r1
add #-2,r6
fdl9190:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9190: .long execexit
! Opcodes E978 - E97F
Y978:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9191
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9192
mov.l execexit_ptr9192,r1
jmp @r1
add #-2,r6
fdl9192:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9192: .long execexit
ln9191:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9193:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9193
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9194
mov.l execexit_ptr9194,r1
jmp @r1
add #-2,r6
fdl9194:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9194: .long execexit
! Opcodes E980 - E987
Y980:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9197
mov.l execexit_ptr9197,r1
jmp @r1
add #-2,r6
fdl9197:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9197: .long execexit
! Opcodes E988 - E98F
Y988:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #3,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9200
mov.l execexit_ptr9200,r1
jmp @r1
add #-2,r6
fdl9200:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9200: .long execexit
! Opcodes E990 - E997
Y990:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #4,r0
ln9202:
rotcl r3
movt r8
dt r0
bf/s ln9202
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9203
mov.l execexit_ptr9203,r1
jmp @r1
add #-2,r6
fdl9203:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9203: .long execexit
! Opcodes E998 - E99F
Y998:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #4,r0
ln9205:
rotl r3
movt r8
dt r0
bf ln9205
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9206
mov.l execexit_ptr9206,r1
jmp @r1
add #-2,r6
fdl9206:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9206: .long execexit
! Opcodes E9A0 - E9A7
Y9A0:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9207
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9208
mov.l execexit_ptr9208,r1
jmp @r1
add #-2,r6
fdl9208:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9208: .long execexit
ln9207:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9209:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9209
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9210
mov.l execexit_ptr9210,r1
jmp @r1
add #-2,r6
fdl9210:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9210: .long execexit
! Opcodes E9A8 - E9AF
Y9A8:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9211
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9212
mov.l execexit_ptr9212,r1
jmp @r1
add #-2,r6
fdl9212:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9212: .long execexit
ln9211:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9214
mov.l execexit_ptr9214,r1
jmp @r1
add #-2,r6
fdl9214:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9214: .long execexit
! Opcodes E9B0 - E9B7
Y9B0:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9215
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9216
mov.l execexit_ptr9216,r1
jmp @r1
add #-2,r6
fdl9216:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9216: .long execexit
ln9215:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9217:
rotcl r3
movt r8
dt r0
bf/s ln9217
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9218
mov.l execexit_ptr9218,r1
jmp @r1
add #-2,r6
fdl9218:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9218: .long execexit
! Opcodes E9B8 - E9BF
Y9B8:
and r1,r2
mov.l @(16,r13),r0
and #63,r0
tst r0,r0
bf ln9219
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9220
mov.l execexit_ptr9220,r1
jmp @r1
add #-2,r6
fdl9220:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9220: .long execexit
ln9219:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9221:
rotl r3
movt r8
dt r0
bf ln9221
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9222
mov.l execexit_ptr9222,r1
jmp @r1
add #-2,r6
fdl9222:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9222: .long execexit
! Opcodes EA00 - EA07
YA00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9225
mov.l execexit_ptr9225,r1
jmp @r1
add #-2,r6
fdl9225:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9225: .long execexit
! Opcodes EA08 - EA0F
YA08:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9228
mov.l execexit_ptr9228,r1
jmp @r1
add #-2,r6
fdl9228:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9228: .long execexit
! Opcodes EA10 - EA17
YA10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #5,r0
extu.b r3,r3
ln9230:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9230
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9231
mov.l execexit_ptr9231,r1
jmp @r1
add #-2,r6
fdl9231:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9231: .long execexit
! Opcodes EA18 - EA1F
YA18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #5,r0
extu.b r3,r3
ln9233:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9233
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9234
mov.l execexit_ptr9234,r1
jmp @r1
add #-2,r6
fdl9234:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9234: .long execexit
! Opcodes EA20 - EA27
YA20:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9235
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9236
mov.l execexit_ptr9236,r1
jmp @r1
add #-2,r6
fdl9236:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9236: .long execexit
ln9235:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9238
mov.l execexit_ptr9238,r1
jmp @r1
add #-2,r6
fdl9238:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9238: .long execexit
! Opcodes EA28 - EA2F
YA28:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9239
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9240
mov.l execexit_ptr9240,r1
jmp @r1
add #-2,r6
fdl9240:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9240: .long execexit
ln9239:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9242
mov.l execexit_ptr9242,r1
jmp @r1
add #-2,r6
fdl9242:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9242: .long execexit
! Opcodes EA30 - EA37
YA30:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9243
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9244
mov.l execexit_ptr9244,r1
jmp @r1
add #-2,r6
fdl9244:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9244: .long execexit
ln9243:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9245:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9245
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9246
mov.l execexit_ptr9246,r1
jmp @r1
add #-2,r6
fdl9246:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9246: .long execexit
! Opcodes EA38 - EA3F
YA38:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9247
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9248
mov.l execexit_ptr9248,r1
jmp @r1
add #-2,r6
fdl9248:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9248: .long execexit
ln9247:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9249:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9249
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9250
mov.l execexit_ptr9250,r1
jmp @r1
add #-2,r6
fdl9250:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9250: .long execexit
! Opcodes EA40 - EA47
YA40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9253
mov.l execexit_ptr9253,r1
jmp @r1
add #-2,r6
fdl9253:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9253: .long execexit
! Opcodes EA48 - EA4F
YA48:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9256
mov.l execexit_ptr9256,r1
jmp @r1
add #-2,r6
fdl9256:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9256: .long execexit
! Opcodes EA50 - EA57
YA50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #5,r0
extu.w r3,r3
ln9258:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9258
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9259
mov.l execexit_ptr9259,r1
jmp @r1
add #-2,r6
fdl9259:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9259: .long execexit
! Opcodes EA58 - EA5F
YA58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #5,r0
extu.w r3,r3
ln9261:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9261
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9262
mov.l execexit_ptr9262,r1
jmp @r1
add #-2,r6
fdl9262:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9262: .long execexit
! Opcodes EA60 - EA67
YA60:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9263
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9264
mov.l execexit_ptr9264,r1
jmp @r1
add #-2,r6
fdl9264:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9264: .long execexit
ln9263:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9266
mov.l execexit_ptr9266,r1
jmp @r1
add #-2,r6
fdl9266:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9266: .long execexit
! Opcodes EA68 - EA6F
YA68:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9267
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9268
mov.l execexit_ptr9268,r1
jmp @r1
add #-2,r6
fdl9268:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9268: .long execexit
ln9267:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9270
mov.l execexit_ptr9270,r1
jmp @r1
add #-2,r6
fdl9270:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9270: .long execexit
! Opcodes EA70 - EA77
YA70:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9271
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9272
mov.l execexit_ptr9272,r1
jmp @r1
add #-2,r6
fdl9272:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9272: .long execexit
ln9271:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9273:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9273
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9274
mov.l execexit_ptr9274,r1
jmp @r1
add #-2,r6
fdl9274:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9274: .long execexit
! Opcodes EA78 - EA7F
YA78:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9275
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9276
mov.l execexit_ptr9276,r1
jmp @r1
add #-2,r6
fdl9276:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9276: .long execexit
ln9275:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9277:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9277
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9278
mov.l execexit_ptr9278,r1
jmp @r1
add #-2,r6
fdl9278:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9278: .long execexit
! Opcodes EA80 - EA87
YA80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-4,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9281
mov.l execexit_ptr9281,r1
jmp @r1
add #-2,r6
fdl9281:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9281: .long execexit
! Opcodes EA88 - EA8F
YA88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-4,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9284
mov.l execexit_ptr9284,r1
jmp @r1
add #-2,r6
fdl9284:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9284: .long execexit
! Opcodes EA90 - EA97
YA90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #5,r0
ln9286:
rotcr r3
movt r8
dt r0
bf/s ln9286
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9287
mov.l execexit_ptr9287,r1
jmp @r1
add #-2,r6
fdl9287:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9287: .long execexit
! Opcodes EA98 - EA9F
YA98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #5,r0
ln9289:
rotr r3
movt r8
dt r0
bf ln9289
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9290
mov.l execexit_ptr9290,r1
jmp @r1
add #-2,r6
fdl9290:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9290: .long execexit
! Opcodes EAA0 - EAA7
YAA0:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9291
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9292
mov.l execexit_ptr9292,r1
jmp @r1
add #-2,r6
fdl9292:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9292: .long execexit
ln9291:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9294
mov.l execexit_ptr9294,r1
jmp @r1
add #-2,r6
fdl9294:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9294: .long execexit
! Opcodes EAA8 - EAAF
YAA8:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9295
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9296
mov.l execexit_ptr9296,r1
jmp @r1
add #-2,r6
fdl9296:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9296: .long execexit
ln9295:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9298
mov.l execexit_ptr9298,r1
jmp @r1
add #-2,r6
fdl9298:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9298: .long execexit
! Opcodes EAB0 - EAB7
YAB0:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9299
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9300
mov.l execexit_ptr9300,r1
jmp @r1
add #-2,r6
fdl9300:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9300: .long execexit
ln9299:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9301:
rotcr r3
movt r8
dt r0
bf/s ln9301
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9302
mov.l execexit_ptr9302,r1
jmp @r1
add #-2,r6
fdl9302:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9302: .long execexit
! Opcodes EAB8 - EABF
YAB8:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9303
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9304
mov.l execexit_ptr9304,r1
jmp @r1
add #-2,r6
fdl9304:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9304: .long execexit
ln9303:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9305:
rotr r3
movt r8
dt r0
bf ln9305
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9306
mov.l execexit_ptr9306,r1
jmp @r1
add #-2,r6
fdl9306:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9306: .long execexit
! Opcodes EB00 - EB07
YB00:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9309
mov.l execexit_ptr9309,r1
jmp @r1
add #-2,r6
fdl9309:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9309: .long execexit
! Opcodes EB08 - EB0F
YB08:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9312
mov.l execexit_ptr9312,r1
jmp @r1
add #-2,r6
fdl9312:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9312: .long execexit
! Opcodes EB10 - EB17
YB10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #5,r0
ln9314:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9314
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9315
mov.l execexit_ptr9315,r1
jmp @r1
add #-2,r6
fdl9315:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9315: .long execexit
! Opcodes EB18 - EB1F
YB18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #5,r0
ln9317:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9317
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9318
mov.l execexit_ptr9318,r1
jmp @r1
add #-2,r6
fdl9318:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9318: .long execexit
! Opcodes EB20 - EB27
YB20:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9319
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9320
mov.l execexit_ptr9320,r1
jmp @r1
add #-2,r6
fdl9320:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9320: .long execexit
ln9319:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9321:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9321
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9322
mov.l execexit_ptr9322,r1
jmp @r1
add #-2,r6
fdl9322:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9322: .long execexit
! Opcodes EB28 - EB2F
YB28:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9323
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9324
mov.l execexit_ptr9324,r1
jmp @r1
add #-2,r6
fdl9324:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9324: .long execexit
ln9323:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9326
mov.l execexit_ptr9326,r1
jmp @r1
add #-2,r6
fdl9326:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9326: .long execexit
! Opcodes EB30 - EB37
YB30:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9327
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9328
mov.l execexit_ptr9328,r1
jmp @r1
add #-2,r6
fdl9328:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9328: .long execexit
ln9327:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9329:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9329
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9330
mov.l execexit_ptr9330,r1
jmp @r1
add #-2,r6
fdl9330:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9330: .long execexit
! Opcodes EB38 - EB3F
YB38:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9331
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9332
mov.l execexit_ptr9332,r1
jmp @r1
add #-2,r6
fdl9332:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9332: .long execexit
ln9331:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9333:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9333
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9334
mov.l execexit_ptr9334,r1
jmp @r1
add #-2,r6
fdl9334:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9334: .long execexit
! Opcodes EB40 - EB47
YB40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9337
mov.l execexit_ptr9337,r1
jmp @r1
add #-2,r6
fdl9337:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9337: .long execexit
! Opcodes EB48 - EB4F
YB48:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9340
mov.l execexit_ptr9340,r1
jmp @r1
add #-2,r6
fdl9340:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9340: .long execexit
! Opcodes EB50 - EB57
YB50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #5,r0
ln9342:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9342
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9343
mov.l execexit_ptr9343,r1
jmp @r1
add #-2,r6
fdl9343:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9343: .long execexit
! Opcodes EB58 - EB5F
YB58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #5,r0
ln9345:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9345
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-16,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9346
mov.l execexit_ptr9346,r1
jmp @r1
add #-2,r6
fdl9346:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9346: .long execexit
! Opcodes EB60 - EB67
YB60:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9347
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9348
mov.l execexit_ptr9348,r1
jmp @r1
add #-2,r6
fdl9348:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9348: .long execexit
ln9347:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9349:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9349
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9350
mov.l execexit_ptr9350,r1
jmp @r1
add #-2,r6
fdl9350:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9350: .long execexit
! Opcodes EB68 - EB6F
YB68:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9351
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9352
mov.l execexit_ptr9352,r1
jmp @r1
add #-2,r6
fdl9352:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9352: .long execexit
ln9351:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9354
mov.l execexit_ptr9354,r1
jmp @r1
add #-2,r6
fdl9354:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9354: .long execexit
! Opcodes EB70 - EB77
YB70:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9355
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9356
mov.l execexit_ptr9356,r1
jmp @r1
add #-2,r6
fdl9356:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9356: .long execexit
ln9355:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9357:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9357
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9358
mov.l execexit_ptr9358,r1
jmp @r1
add #-2,r6
fdl9358:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9358: .long execexit
! Opcodes EB78 - EB7F
YB78:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9359
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9360
mov.l execexit_ptr9360,r1
jmp @r1
add #-2,r6
fdl9360:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9360: .long execexit
ln9359:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9361:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9361
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9362
mov.l execexit_ptr9362,r1
jmp @r1
add #-2,r6
fdl9362:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9362: .long execexit
! Opcodes EB80 - EB87
YB80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9365
mov.l execexit_ptr9365,r1
jmp @r1
add #-2,r6
fdl9365:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9365: .long execexit
! Opcodes EB88 - EB8F
YB88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #4,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9368
mov.l execexit_ptr9368,r1
jmp @r1
add #-2,r6
fdl9368:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9368: .long execexit
! Opcodes EB90 - EB97
YB90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #5,r0
ln9370:
rotcl r3
movt r8
dt r0
bf/s ln9370
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9371
mov.l execexit_ptr9371,r1
jmp @r1
add #-2,r6
fdl9371:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9371: .long execexit
! Opcodes EB98 - EB9F
YB98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #5,r0
ln9373:
rotl r3
movt r8
dt r0
bf ln9373
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9374
mov.l execexit_ptr9374,r1
jmp @r1
add #-2,r6
fdl9374:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9374: .long execexit
! Opcodes EBA0 - EBA7
YBA0:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9375
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9376
mov.l execexit_ptr9376,r1
jmp @r1
add #-2,r6
fdl9376:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9376: .long execexit
ln9375:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9377:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9377
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9378
mov.l execexit_ptr9378,r1
jmp @r1
add #-2,r6
fdl9378:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9378: .long execexit
! Opcodes EBA8 - EBAF
YBA8:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9379
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9380
mov.l execexit_ptr9380,r1
jmp @r1
add #-2,r6
fdl9380:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9380: .long execexit
ln9379:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9382
mov.l execexit_ptr9382,r1
jmp @r1
add #-2,r6
fdl9382:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9382: .long execexit
! Opcodes EBB0 - EBB7
YBB0:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9383
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9384
mov.l execexit_ptr9384,r1
jmp @r1
add #-2,r6
fdl9384:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9384: .long execexit
ln9383:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9385:
rotcl r3
movt r8
dt r0
bf/s ln9385
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9386
mov.l execexit_ptr9386,r1
jmp @r1
add #-2,r6
fdl9386:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9386: .long execexit
! Opcodes EBB8 - EBBF
YBB8:
and r1,r2
mov.l @(20,r13),r0
and #63,r0
tst r0,r0
bf ln9387
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9388
mov.l execexit_ptr9388,r1
jmp @r1
add #-2,r6
fdl9388:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9388: .long execexit
ln9387:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9389:
rotl r3
movt r8
dt r0
bf ln9389
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9390
mov.l execexit_ptr9390,r1
jmp @r1
add #-2,r6
fdl9390:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9390: .long execexit
! Opcodes EC00 - EC07
YC00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9393
mov.l execexit_ptr9393,r1
jmp @r1
add #-2,r6
fdl9393:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9393: .long execexit
! Opcodes EC08 - EC0F
YC08:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9396
mov.l execexit_ptr9396,r1
jmp @r1
add #-2,r6
fdl9396:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9396: .long execexit
! Opcodes EC10 - EC17
YC10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #6,r0
extu.b r3,r3
ln9398:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9398
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9399
mov.l execexit_ptr9399,r1
jmp @r1
add #-2,r6
fdl9399:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9399: .long execexit
! Opcodes EC18 - EC1F
YC18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #6,r0
extu.b r3,r3
ln9401:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9401
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9402
mov.l execexit_ptr9402,r1
jmp @r1
add #-2,r6
fdl9402:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9402: .long execexit
! Opcodes EC20 - EC27
YC20:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9403
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9404
mov.l execexit_ptr9404,r1
jmp @r1
add #-2,r6
fdl9404:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9404: .long execexit
ln9403:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9406
mov.l execexit_ptr9406,r1
jmp @r1
add #-2,r6
fdl9406:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9406: .long execexit
! Opcodes EC28 - EC2F
YC28:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9407
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9408
mov.l execexit_ptr9408,r1
jmp @r1
add #-2,r6
fdl9408:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9408: .long execexit
ln9407:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9410
mov.l execexit_ptr9410,r1
jmp @r1
add #-2,r6
fdl9410:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9410: .long execexit
! Opcodes EC30 - EC37
YC30:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9411
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9412
mov.l execexit_ptr9412,r1
jmp @r1
add #-2,r6
fdl9412:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9412: .long execexit
ln9411:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9413:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9413
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9414
mov.l execexit_ptr9414,r1
jmp @r1
add #-2,r6
fdl9414:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9414: .long execexit
! Opcodes EC38 - EC3F
YC38:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9415
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9416
mov.l execexit_ptr9416,r1
jmp @r1
add #-2,r6
fdl9416:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9416: .long execexit
ln9415:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9417:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9417
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9418
mov.l execexit_ptr9418,r1
jmp @r1
add #-2,r6
fdl9418:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9418: .long execexit
! Opcodes EC40 - EC47
YC40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9421
mov.l execexit_ptr9421,r1
jmp @r1
add #-2,r6
fdl9421:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9421: .long execexit
! Opcodes EC48 - EC4F
YC48:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9424
mov.l execexit_ptr9424,r1
jmp @r1
add #-2,r6
fdl9424:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9424: .long execexit
! Opcodes EC50 - EC57
YC50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #6,r0
extu.w r3,r3
ln9426:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9426
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9427
mov.l execexit_ptr9427,r1
jmp @r1
add #-2,r6
fdl9427:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9427: .long execexit
! Opcodes EC58 - EC5F
YC58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #6,r0
extu.w r3,r3
ln9429:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9429
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9430
mov.l execexit_ptr9430,r1
jmp @r1
add #-2,r6
fdl9430:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9430: .long execexit
! Opcodes EC60 - EC67
YC60:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9431
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9432
mov.l execexit_ptr9432,r1
jmp @r1
add #-2,r6
fdl9432:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9432: .long execexit
ln9431:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9434
mov.l execexit_ptr9434,r1
jmp @r1
add #-2,r6
fdl9434:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9434: .long execexit
! Opcodes EC68 - EC6F
YC68:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9435
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9436
mov.l execexit_ptr9436,r1
jmp @r1
add #-2,r6
fdl9436:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9436: .long execexit
ln9435:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9438
mov.l execexit_ptr9438,r1
jmp @r1
add #-2,r6
fdl9438:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9438: .long execexit
! Opcodes EC70 - EC77
YC70:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9439
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9440
mov.l execexit_ptr9440,r1
jmp @r1
add #-2,r6
fdl9440:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9440: .long execexit
ln9439:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9441:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9441
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9442
mov.l execexit_ptr9442,r1
jmp @r1
add #-2,r6
fdl9442:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9442: .long execexit
! Opcodes EC78 - EC7F
YC78:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9443
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9444
mov.l execexit_ptr9444,r1
jmp @r1
add #-2,r6
fdl9444:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9444: .long execexit
ln9443:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9445:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9445
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9446
mov.l execexit_ptr9446,r1
jmp @r1
add #-2,r6
fdl9446:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9446: .long execexit
! Opcodes EC80 - EC87
YC80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-5,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9449
mov.l execexit_ptr9449,r1
jmp @r1
add #-2,r6
fdl9449:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9449: .long execexit
! Opcodes EC88 - EC8F
YC88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-5,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9452
mov.l execexit_ptr9452,r1
jmp @r1
add #-2,r6
fdl9452:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9452: .long execexit
! Opcodes EC90 - EC97
YC90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #6,r0
ln9454:
rotcr r3
movt r8
dt r0
bf/s ln9454
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9455
mov.l execexit_ptr9455,r1
jmp @r1
add #-2,r6
fdl9455:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9455: .long execexit
! Opcodes EC98 - EC9F
YC98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #6,r0
ln9457:
rotr r3
movt r8
dt r0
bf ln9457
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9458
mov.l execexit_ptr9458,r1
jmp @r1
add #-2,r6
fdl9458:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9458: .long execexit
! Opcodes ECA0 - ECA7
YCA0:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9459
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9460
mov.l execexit_ptr9460,r1
jmp @r1
add #-2,r6
fdl9460:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9460: .long execexit
ln9459:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9462
mov.l execexit_ptr9462,r1
jmp @r1
add #-2,r6
fdl9462:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9462: .long execexit
! Opcodes ECA8 - ECAF
YCA8:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9463
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9464
mov.l execexit_ptr9464,r1
jmp @r1
add #-2,r6
fdl9464:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9464: .long execexit
ln9463:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9466
mov.l execexit_ptr9466,r1
jmp @r1
add #-2,r6
fdl9466:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9466: .long execexit
! Opcodes ECB0 - ECB7
YCB0:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9467
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9468
mov.l execexit_ptr9468,r1
jmp @r1
add #-2,r6
fdl9468:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9468: .long execexit
ln9467:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9469:
rotcr r3
movt r8
dt r0
bf/s ln9469
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9470
mov.l execexit_ptr9470,r1
jmp @r1
add #-2,r6
fdl9470:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9470: .long execexit
! Opcodes ECB8 - ECBF
YCB8:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9471
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9472
mov.l execexit_ptr9472,r1
jmp @r1
add #-2,r6
fdl9472:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9472: .long execexit
ln9471:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9473:
rotr r3
movt r8
dt r0
bf ln9473
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9474
mov.l execexit_ptr9474,r1
jmp @r1
add #-2,r6
fdl9474:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9474: .long execexit
! Opcodes ED00 - ED07
YD00:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9477
mov.l execexit_ptr9477,r1
jmp @r1
add #-2,r6
fdl9477:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9477: .long execexit
! Opcodes ED08 - ED0F
YD08:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9480
mov.l execexit_ptr9480,r1
jmp @r1
add #-2,r6
fdl9480:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9480: .long execexit
! Opcodes ED10 - ED17
YD10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #6,r0
ln9482:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9482
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9483
mov.l execexit_ptr9483,r1
jmp @r1
add #-2,r6
fdl9483:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9483: .long execexit
! Opcodes ED18 - ED1F
YD18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #6,r0
ln9485:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9485
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9486
mov.l execexit_ptr9486,r1
jmp @r1
add #-2,r6
fdl9486:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9486: .long execexit
! Opcodes ED20 - ED27
YD20:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9487
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9488
mov.l execexit_ptr9488,r1
jmp @r1
add #-2,r6
fdl9488:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9488: .long execexit
ln9487:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9489:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9489
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9490
mov.l execexit_ptr9490,r1
jmp @r1
add #-2,r6
fdl9490:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9490: .long execexit
! Opcodes ED28 - ED2F
YD28:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9491
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9492
mov.l execexit_ptr9492,r1
jmp @r1
add #-2,r6
fdl9492:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9492: .long execexit
ln9491:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9494
mov.l execexit_ptr9494,r1
jmp @r1
add #-2,r6
fdl9494:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9494: .long execexit
! Opcodes ED30 - ED37
YD30:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9495
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9496
mov.l execexit_ptr9496,r1
jmp @r1
add #-2,r6
fdl9496:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9496: .long execexit
ln9495:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9497:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9497
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9498
mov.l execexit_ptr9498,r1
jmp @r1
add #-2,r6
fdl9498:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9498: .long execexit
! Opcodes ED38 - ED3F
YD38:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9499
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9500
mov.l execexit_ptr9500,r1
jmp @r1
add #-2,r6
fdl9500:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9500: .long execexit
ln9499:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9501:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9501
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9502
mov.l execexit_ptr9502,r1
jmp @r1
add #-2,r6
fdl9502:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9502: .long execexit
! Opcodes ED40 - ED47
YD40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9505
mov.l execexit_ptr9505,r1
jmp @r1
add #-2,r6
fdl9505:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9505: .long execexit
! Opcodes ED48 - ED4F
YD48:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9508
mov.l execexit_ptr9508,r1
jmp @r1
add #-2,r6
fdl9508:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9508: .long execexit
! Opcodes ED50 - ED57
YD50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #6,r0
ln9510:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9510
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9511
mov.l execexit_ptr9511,r1
jmp @r1
add #-2,r6
fdl9511:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9511: .long execexit
! Opcodes ED58 - ED5F
YD58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #6,r0
ln9513:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9513
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-18,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9514
mov.l execexit_ptr9514,r1
jmp @r1
add #-2,r6
fdl9514:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9514: .long execexit
! Opcodes ED60 - ED67
YD60:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9515
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9516
mov.l execexit_ptr9516,r1
jmp @r1
add #-2,r6
fdl9516:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9516: .long execexit
ln9515:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9517:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9517
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9518
mov.l execexit_ptr9518,r1
jmp @r1
add #-2,r6
fdl9518:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9518: .long execexit
! Opcodes ED68 - ED6F
YD68:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9519
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9520
mov.l execexit_ptr9520,r1
jmp @r1
add #-2,r6
fdl9520:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9520: .long execexit
ln9519:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9522
mov.l execexit_ptr9522,r1
jmp @r1
add #-2,r6
fdl9522:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9522: .long execexit
! Opcodes ED70 - ED77
YD70:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9523
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9524
mov.l execexit_ptr9524,r1
jmp @r1
add #-2,r6
fdl9524:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9524: .long execexit
ln9523:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9525:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9525
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9526
mov.l execexit_ptr9526,r1
jmp @r1
add #-2,r6
fdl9526:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9526: .long execexit
! Opcodes ED78 - ED7F
YD78:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9527
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9528
mov.l execexit_ptr9528,r1
jmp @r1
add #-2,r6
fdl9528:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9528: .long execexit
ln9527:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9529:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9529
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9530
mov.l execexit_ptr9530,r1
jmp @r1
add #-2,r6
fdl9530:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9530: .long execexit
! Opcodes ED80 - ED87
YD80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9533
mov.l execexit_ptr9533,r1
jmp @r1
add #-2,r6
fdl9533:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9533: .long execexit
! Opcodes ED88 - ED8F
YD88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #5,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9536
mov.l execexit_ptr9536,r1
jmp @r1
add #-2,r6
fdl9536:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9536: .long execexit
! Opcodes ED90 - ED97
YD90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #6,r0
ln9538:
rotcl r3
movt r8
dt r0
bf/s ln9538
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9539
mov.l execexit_ptr9539,r1
jmp @r1
add #-2,r6
fdl9539:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9539: .long execexit
! Opcodes ED98 - ED9F
YD98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #6,r0
ln9541:
rotl r3
movt r8
dt r0
bf ln9541
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9542
mov.l execexit_ptr9542,r1
jmp @r1
add #-2,r6
fdl9542:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9542: .long execexit
! Opcodes EDA0 - EDA7
YDA0:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9543
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9544
mov.l execexit_ptr9544,r1
jmp @r1
add #-2,r6
fdl9544:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9544: .long execexit
ln9543:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9545:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9545
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9546
mov.l execexit_ptr9546,r1
jmp @r1
add #-2,r6
fdl9546:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9546: .long execexit
! Opcodes EDA8 - EDAF
YDA8:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9547
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9548
mov.l execexit_ptr9548,r1
jmp @r1
add #-2,r6
fdl9548:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9548: .long execexit
ln9547:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9550
mov.l execexit_ptr9550,r1
jmp @r1
add #-2,r6
fdl9550:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9550: .long execexit
! Opcodes EDB0 - EDB7
YDB0:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9551
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9552
mov.l execexit_ptr9552,r1
jmp @r1
add #-2,r6
fdl9552:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9552: .long execexit
ln9551:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9553:
rotcl r3
movt r8
dt r0
bf/s ln9553
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9554
mov.l execexit_ptr9554,r1
jmp @r1
add #-2,r6
fdl9554:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9554: .long execexit
! Opcodes EDB8 - EDBF
YDB8:
and r1,r2
mov.l @(24,r13),r0
and #63,r0
tst r0,r0
bf ln9555
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9556
mov.l execexit_ptr9556,r1
jmp @r1
add #-2,r6
fdl9556:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9556: .long execexit
ln9555:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9557:
rotl r3
movt r8
dt r0
bf ln9557
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9558
mov.l execexit_ptr9558,r1
jmp @r1
add #-2,r6
fdl9558:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9558: .long execexit
! Opcodes EE00 - EE07
YE00:
and r1,r2
add r13,r2
mov.b @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9561
mov.l execexit_ptr9561,r1
jmp @r1
add #-2,r6
fdl9561:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9561: .long execexit
! Opcodes EE08 - EE0F
YE08:
and r1,r2
add r13,r2
mov.b @r2,r3
extu.b r3,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9564
mov.l execexit_ptr9564,r1
jmp @r1
add #-2,r6
fdl9564:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9564: .long execexit
! Opcodes EE10 - EE17
YE10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #7,r0
extu.b r3,r3
ln9566:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9566
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9567
mov.l execexit_ptr9567,r1
jmp @r1
add #-2,r6
fdl9567:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9567: .long execexit
! Opcodes EE18 - EE1F
YE18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #7,r0
extu.b r3,r3
ln9569:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9569
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9570
mov.l execexit_ptr9570,r1
jmp @r1
add #-2,r6
fdl9570:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9570: .long execexit
! Opcodes EE20 - EE27
YE20:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9571
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9572
mov.l execexit_ptr9572,r1
jmp @r1
add #-2,r6
fdl9572:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9572: .long execexit
ln9571:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9574
mov.l execexit_ptr9574,r1
jmp @r1
add #-2,r6
fdl9574:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9574: .long execexit
! Opcodes EE28 - EE2F
YE28:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9575
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9576
mov.l execexit_ptr9576,r1
jmp @r1
add #-2,r6
fdl9576:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9576: .long execexit
ln9575:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
extu.b r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9578
mov.l execexit_ptr9578,r1
jmp @r1
add #-2,r6
fdl9578:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9578: .long execexit
! Opcodes EE30 - EE37
YE30:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9579
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9580
mov.l execexit_ptr9580,r1
jmp @r1
add #-2,r6
fdl9580:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9580: .long execexit
ln9579:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
extu.b r3,r3
ln9581:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf/s ln9581
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9582
mov.l execexit_ptr9582,r1
jmp @r1
add #-2,r6
fdl9582:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9582: .long execexit
! Opcodes EE38 - EE3F
YE38:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9583
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9584
mov.l execexit_ptr9584,r1
jmp @r1
add #-2,r6
fdl9584:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9584: .long execexit
ln9583:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
extu.b r3,r3
ln9585:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
shlr8 r1
or r1,r3
bf ln9585
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9586
mov.l execexit_ptr9586,r1
jmp @r1
add #-2,r6
fdl9586:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9586: .long execexit
! Opcodes EE40 - EE47
YE40:
and r1,r2
add r13,r2
mov.w @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9589
mov.l execexit_ptr9589,r1
jmp @r1
add #-2,r6
fdl9589:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9589: .long execexit
! Opcodes EE48 - EE4F
YE48:
and r1,r2
add r13,r2
mov.w @r2,r3
extu.w r3,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9592
mov.l execexit_ptr9592,r1
jmp @r1
add #-2,r6
fdl9592:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9592: .long execexit
! Opcodes EE50 - EE57
YE50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #7,r0
extu.w r3,r3
ln9594:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9594
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9595
mov.l execexit_ptr9595,r1
jmp @r1
add #-2,r6
fdl9595:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9595: .long execexit
! Opcodes EE58 - EE5F
YE58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #7,r0
extu.w r3,r3
ln9597:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9597
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9598
mov.l execexit_ptr9598,r1
jmp @r1
add #-2,r6
fdl9598:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9598: .long execexit
! Opcodes EE60 - EE67
YE60:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9599
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9600
mov.l execexit_ptr9600,r1
jmp @r1
add #-2,r6
fdl9600:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9600: .long execexit
ln9599:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9602
mov.l execexit_ptr9602,r1
jmp @r1
add #-2,r6
fdl9602:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9602: .long execexit
! Opcodes EE68 - EE6F
YE68:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9603
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9604
mov.l execexit_ptr9604,r1
jmp @r1
add #-2,r6
fdl9604:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9604: .long execexit
ln9603:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
extu.w r3,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9606
mov.l execexit_ptr9606,r1
jmp @r1
add #-2,r6
fdl9606:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9606: .long execexit
! Opcodes EE70 - EE77
YE70:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9607
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9608
mov.l execexit_ptr9608,r1
jmp @r1
add #-2,r6
fdl9608:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9608: .long execexit
ln9607:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
extu.w r3,r3
ln9609:
rotcr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf/s ln9609
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9610
mov.l execexit_ptr9610,r1
jmp @r1
add #-2,r6
fdl9610:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9610: .long execexit
! Opcodes EE78 - EE7F
YE78:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9611
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9612
mov.l execexit_ptr9612,r1
jmp @r1
add #-2,r6
fdl9612:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9612: .long execexit
ln9611:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
extu.w r3,r3
ln9613:
rotr r3
movt r8
dt r0
mov r3,r1
shlr16 r1
or r1,r3
bf ln9613
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9614
mov.l execexit_ptr9614,r1
jmp @r1
add #-2,r6
fdl9614:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9614: .long execexit
! Opcodes EE80 - EE87
YE80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-6,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9617
mov.l execexit_ptr9617,r1
jmp @r1
add #-2,r6
fdl9617:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9617: .long execexit
! Opcodes EE88 - EE8F
YE88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #-6,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9620
mov.l execexit_ptr9620,r1
jmp @r1
add #-2,r6
fdl9620:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9620: .long execexit
! Opcodes EE90 - EE97
YE90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #7,r0
ln9622:
rotcr r3
movt r8
dt r0
bf/s ln9622
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9623
mov.l execexit_ptr9623,r1
jmp @r1
add #-2,r6
fdl9623:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9623: .long execexit
! Opcodes EE98 - EE9F
YE98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #7,r0
ln9625:
rotr r3
movt r8
dt r0
bf ln9625
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9626
mov.l execexit_ptr9626,r1
jmp @r1
add #-2,r6
fdl9626:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9626: .long execexit
! Opcodes EEA0 - EEA7
YEA0:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9627
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9628
mov.l execexit_ptr9628,r1
jmp @r1
add #-2,r6
fdl9628:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9628: .long execexit
ln9627:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shad r0,r3
shar r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9630
mov.l execexit_ptr9630,r1
jmp @r1
add #-2,r6
fdl9630:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9630: .long execexit
! Opcodes EEA8 - EEAF
YEA8:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9631
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9632
mov.l execexit_ptr9632,r1
jmp @r1
add #-2,r6
fdl9632:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9632: .long execexit
ln9631:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
neg r0,r0
shld r0,r3
shlr r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9634
mov.l execexit_ptr9634,r1
jmp @r1
add #-2,r6
fdl9634:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9634: .long execexit
! Opcodes EEB0 - EEB7
YEB0:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9635
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9636
mov.l execexit_ptr9636,r1
jmp @r1
add #-2,r6
fdl9636:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9636: .long execexit
ln9635:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9637:
rotcr r3
movt r8
dt r0
bf/s ln9637
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9638
mov.l execexit_ptr9638,r1
jmp @r1
add #-2,r6
fdl9638:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9638: .long execexit
! Opcodes EEB8 - EEBF
YEB8:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9639
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9640
mov.l execexit_ptr9640,r1
jmp @r1
add #-2,r6
fdl9640:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9640: .long execexit
ln9639:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9641:
rotr r3
movt r8
dt r0
bf ln9641
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9642
mov.l execexit_ptr9642,r1
jmp @r1
add #-2,r6
fdl9642:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9642: .long execexit
! Opcodes EF00 - EF07
YF00:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9645
mov.l execexit_ptr9645,r1
jmp @r1
add #-2,r6
fdl9645:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9645: .long execexit
! Opcodes EF08 - EF0F
YF08:
and r1,r2
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9648
mov.l execexit_ptr9648,r1
jmp @r1
add #-2,r6
fdl9648:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9648: .long execexit
! Opcodes EF10 - EF17
YF10:
and r1,r2
add r13,r2
mov.b @r2,r3
cmp/pl r9
mov #7,r0
ln9650:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9650
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9651
mov.l execexit_ptr9651,r1
jmp @r1
add #-2,r6
fdl9651:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9651: .long execexit
! Opcodes EF18 - EF1F
YF18:
and r1,r2
add r13,r2
mov.b @r2,r3
clrt
mov #7,r0
ln9653:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9653
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9654
mov.l execexit_ptr9654,r1
jmp @r1
add #-2,r6
fdl9654:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9654: .long execexit
! Opcodes EF20 - EF27
YF20:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9655
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9656
mov.l execexit_ptr9656,r1
jmp @r1
add #-2,r6
fdl9656:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9656: .long execexit
ln9655:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
mov r3,r1
mov #0,r8
ln9657:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9657
cmp/pl r9
rotcl r8
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9658
mov.l execexit_ptr9658,r1
jmp @r1
add #-2,r6
fdl9658:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9658: .long execexit
! Opcodes EF28 - EF2F
YF28:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9659
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9660
mov.l execexit_ptr9660,r1
jmp @r1
add #-2,r6
fdl9660:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9660: .long execexit
ln9659:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
shll16 r3
shll8 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-24,r0
shad r0,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9662
mov.l execexit_ptr9662,r1
jmp @r1
add #-2,r6
fdl9662:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9662: .long execexit
! Opcodes EF30 - EF37
YF30:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9663
mov r2,r0
mov.b @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9664
mov.l execexit_ptr9664,r1
jmp @r1
add #-2,r6
fdl9664:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9664: .long execexit
ln9663:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
cmp/pl r9
ln9665:
rotcl r3
movt r8
dt r0
exts.b r3,r3
bf/s ln9665
cmp/pl r8
mov r8,r9
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9666
mov.l execexit_ptr9666,r1
jmp @r1
add #-2,r6
fdl9666:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9666: .long execexit
! Opcodes EF38 - EF3F
YF38:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9667
mov r2,r0
mov.b @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9668
mov.l execexit_ptr9668,r1
jmp @r1
add #-2,r6
fdl9668:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9668: .long execexit
ln9667:
sub r0,r7
sub r0,r7
add r13,r2
mov.b @r2,r3
clrt
ln9669:
rotl r3
movt r8
dt r0
exts.b r3,r3
bf ln9669
exts.b r3,r3
mov.b r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9670
mov.l execexit_ptr9670,r1
jmp @r1
add #-2,r6
fdl9670:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9670: .long execexit
! Opcodes EF40 - EF47
YF40:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9673
mov.l execexit_ptr9673,r1
jmp @r1
add #-2,r6
fdl9673:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9673: .long execexit
! Opcodes EF48 - EF4F
YF48:
and r1,r2
add r13,r2
mov.w @r2,r3
shll16 r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9676
mov.l execexit_ptr9676,r1
jmp @r1
add #-2,r6
fdl9676:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9676: .long execexit
! Opcodes EF50 - EF57
YF50:
and r1,r2
add r13,r2
mov.w @r2,r3
cmp/pl r9
mov #7,r0
ln9678:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9678
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9679
mov.l execexit_ptr9679,r1
jmp @r1
add #-2,r6
fdl9679:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9679: .long execexit
! Opcodes EF58 - EF5F
YF58:
and r1,r2
add r13,r2
mov.w @r2,r3
clrt
mov #7,r0
ln9681:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9681
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-20,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9682
mov.l execexit_ptr9682,r1
jmp @r1
add #-2,r6
fdl9682:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9682: .long execexit
! Opcodes EF60 - EF67
YF60:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9683
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9684
mov.l execexit_ptr9684,r1
jmp @r1
add #-2,r6
fdl9684:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9684: .long execexit
ln9683:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
mov r3,r1
mov #0,r8
ln9685:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9685
cmp/pl r9
rotcl r8
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9686
mov.l execexit_ptr9686,r1
jmp @r1
add #-2,r6
fdl9686:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9686: .long execexit
! Opcodes EF68 - EF6F
YF68:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9687
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9688
mov.l execexit_ptr9688,r1
jmp @r1
add #-2,r6
fdl9688:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9688: .long execexit
ln9687:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
shll16 r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov #-16,r0
shad r0,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9690
mov.l execexit_ptr9690,r1
jmp @r1
add #-2,r6
fdl9690:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9690: .long execexit
! Opcodes EF70 - EF77
YF70:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9691
mov r2,r0
mov.w @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9692
mov.l execexit_ptr9692,r1
jmp @r1
add #-2,r6
fdl9692:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9692: .long execexit
ln9691:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
cmp/pl r9
ln9693:
rotcl r3
movt r8
dt r0
exts.w r3,r3
bf/s ln9693
cmp/pl r8
mov r8,r9
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9694
mov.l execexit_ptr9694,r1
jmp @r1
add #-2,r6
fdl9694:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9694: .long execexit
! Opcodes EF78 - EF7F
YF78:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9695
mov r2,r0
mov.w @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9696
mov.l execexit_ptr9696,r1
jmp @r1
add #-2,r6
fdl9696:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9696: .long execexit
ln9695:
sub r0,r7
sub r0,r7
add r13,r2
mov.w @r2,r3
clrt
ln9697:
rotl r3
movt r8
dt r0
exts.w r3,r3
bf ln9697
exts.w r3,r3
mov.w r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-6,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9698
mov.l execexit_ptr9698,r1
jmp @r1
add #-2,r6
fdl9698:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9698: .long execexit
! Opcodes EF80 - EF87
YF80:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #0,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
addv r3,r3
movt r9
or r9,r8
mov r3,r0
addv r3,r3
movt r9
or r9,r8
shll r0
movt r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9701
mov.l execexit_ptr9701,r1
jmp @r1
add #-2,r6
fdl9701:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9701: .long execexit
! Opcodes EF88 - EF8F
YF88:
and r1,r2
add r13,r2
mov.l @r2,r3
mov #6,r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9704
mov.l execexit_ptr9704,r1
jmp @r1
add #-2,r6
fdl9704:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9704: .long execexit
! Opcodes EF90 - EF97
YF90:
and r1,r2
add r13,r2
mov.l @r2,r3
cmp/pl r9
mov #7,r0
ln9706:
rotcl r3
movt r8
dt r0
bf/s ln9706
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9707
mov.l execexit_ptr9707,r1
jmp @r1
add #-2,r6
fdl9707:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9707: .long execexit
! Opcodes EF98 - EF9F
YF98:
and r1,r2
add r13,r2
mov.l @r2,r3
clrt
mov #7,r0
ln9709:
rotl r3
movt r8
dt r0
bf ln9709
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-22,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9710
mov.l execexit_ptr9710,r1
jmp @r1
add #-2,r6
fdl9710:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9710: .long execexit
! Opcodes EFA0 - EFA7
YFA0:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9711
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9712
mov.l execexit_ptr9712,r1
jmp @r1
add #-2,r6
fdl9712:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9712: .long execexit
ln9711:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
mov r3,r1
mov #0,r8
ln9713:
addv r3,r3
movt r9
or r9,r8
shal r1
movt r9
dt r0
bf ln9713
cmp/pl r9
rotcl r8
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9714
mov.l execexit_ptr9714,r1
jmp @r1
add #-2,r6
fdl9714:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9714: .long execexit
! Opcodes EFA8 - EFAF
YFA8:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9715
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9716
mov.l execexit_ptr9716,r1
jmp @r1
add #-2,r6
fdl9716:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9716: .long execexit
ln9715:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
dt r0
shld r0,r3
shll r3
movt r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9718
mov.l execexit_ptr9718,r1
jmp @r1
add #-2,r6
fdl9718:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9718: .long execexit
! Opcodes EFB0 - EFB7
YFB0:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9719
mov r2,r0
mov.l @(r0,r13),r3
mov r9,r8
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9720
mov.l execexit_ptr9720,r1
jmp @r1
add #-2,r6
fdl9720:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9720: .long execexit
ln9719:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
cmp/pl r9
ln9721:
rotcl r3
movt r8
dt r0
bf/s ln9721
cmp/pl r8
mov r8,r9
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9722
mov.l execexit_ptr9722,r1
jmp @r1
add #-2,r6
fdl9722:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9722: .long execexit
! Opcodes EFB8 - EFBF
YFB8:
and r1,r2
mov.l @(28,r13),r0
and #63,r0
tst r0,r0
bf ln9723
mov r2,r0
mov.l @(r0,r13),r3
rotl r3
movt r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9724
mov.l execexit_ptr9724,r1
jmp @r1
add #-2,r6
fdl9724:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9724: .long execexit
ln9723:
sub r0,r7
sub r0,r7
add r13,r2
mov.l @r2,r3
clrt
ln9725:
rotl r3
movt r8
dt r0
bf ln9725
mov.l r3,@r2
rotl r3
addc r8,r8
tst r3,r3
addc r8,r8
mov.w @r6+,r0
add #-8,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9726
mov.l execexit_ptr9726,r1
jmp @r1
add #-2,r6
fdl9726:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9726: .long execexit
! Opcodes F000 - FFFF
Z000:
mov.l g1_except_addr9727,r0
add #-2,r6
jsr @r0
mov #0x2C,r4
mov.l bf_addr9727,r0
jsr @r0
nop
add r5,r6
mov.w @r6+,r0
add #-34,r7
mov #0x1C,r1
cmp/pl r7
shll2 r0
mov.l @(r0,r12),r4
bt fdl9728
mov.l execexit_ptr9728,r1
jmp @r1
add #-2,r6
fdl9728:
jmp @r4
mov r0,r2
.balign 32
execexit_ptr9728: .long execexit
.balign 32
g1_except_addr9727: .long group_1_exception
bf_addr9727: .long basefunction
.data
.balign 32
.rept 131072
 .byte 0
 .endr
jmptbl:
.rept 131072
 .byte 0
 .endr
.balign 32
jmptblcomp:
.long K000-top+117440512
.long r_illegal-top+117440512
.long K010-top+117440512
.long K018-top+117440512
.long K020-top+117440512
.long K028-top+117440512
.long K030-top+117440512
.long K038-top
.long K039-top
.long r_illegal-top+16777216
.long K03C-top
.long r_illegal-top+33554432
.long K040-top+117440512
.long r_illegal-top+117440512
.long K050-top+117440512
.long K058-top+117440512
.long K060-top+117440512
.long K068-top+117440512
.long K070-top+117440512
.long K078-top
.long K079-top
.long r_illegal-top+16777216
.long K07C-top
.long r_illegal-top+33554432
.long K080-top+117440512
.long r_illegal-top+117440512
.long K090-top+117440512
.long K098-top+117440512
.long K0A0-top+117440512
.long K0A8-top+117440512
.long K0B0-top+117440512
.long K0B8-top
.long K0B9-top
.long r_illegal-top+1157627904
.long K100-top+117440512
.long K108-top+117440512
.long K110-top+117440512
.long K118-top+117440512
.long K120-top+117440512
.long K128-top+117440512
.long K130-top+117440512
.long K138-top
.long K139-top
.long K13A-top
.long K13B-top
.long K13C-top
.long r_illegal-top+33554432
.long K140-top+117440512
.long K148-top+117440512
.long K150-top+117440512
.long K158-top+117440512
.long K160-top+117440512
.long K168-top+117440512
.long K170-top+117440512
.long K178-top
.long K179-top
.long r_illegal-top+83886080
.long K180-top+117440512
.long K188-top+117440512
.long K190-top+117440512
.long K198-top+117440512
.long K1A0-top+117440512
.long K1A8-top+117440512
.long K1B0-top+117440512
.long K1B8-top
.long K1B9-top
.long r_illegal-top+83886080
.long K1C0-top+117440512
.long K1C8-top+117440512
.long K1D0-top+117440512
.long K1D8-top+117440512
.long K1E0-top+117440512
.long K1E8-top+117440512
.long K1F0-top+117440512
.long K1F8-top
.long K1F9-top
.long r_illegal-top+83886080
.long K200-top+117440512
.long r_illegal-top+117440512
.long K210-top+117440512
.long K218-top+117440512
.long K220-top+117440512
.long K228-top+117440512
.long K230-top+117440512
.long K238-top
.long K239-top
.long r_illegal-top+16777216
.long K23C-top
.long r_illegal-top+33554432
.long K240-top+117440512
.long r_illegal-top+117440512
.long K250-top+117440512
.long K258-top+117440512
.long K260-top+117440512
.long K268-top+117440512
.long K270-top+117440512
.long K278-top
.long K279-top
.long r_illegal-top+16777216
.long K27C-top
.long r_illegal-top+33554432
.long K280-top+117440512
.long r_illegal-top+117440512
.long K290-top+117440512
.long K298-top+117440512
.long K2A0-top+117440512
.long K2A8-top+117440512
.long K2B0-top+117440512
.long K2B8-top
.long K2B9-top
.long r_illegal-top+1157627904
.long K300-top+117440512
.long K308-top+117440512
.long K310-top+117440512
.long K318-top+117440512
.long K320-top+117440512
.long K328-top+117440512
.long K330-top+117440512
.long K338-top
.long K339-top
.long K33A-top
.long K33B-top
.long K33C-top
.long r_illegal-top+33554432
.long K340-top+117440512
.long K348-top+117440512
.long K350-top+117440512
.long K358-top+117440512
.long K360-top+117440512
.long K368-top+117440512
.long K370-top+117440512
.long K378-top
.long K379-top
.long r_illegal-top+83886080
.long K380-top+117440512
.long K388-top+117440512
.long K390-top+117440512
.long K398-top+117440512
.long K3A0-top+117440512
.long K3A8-top+117440512
.long K3B0-top+117440512
.long K3B8-top
.long K3B9-top
.long r_illegal-top+83886080
.long K3C0-top+117440512
.long K3C8-top+117440512
.long K3D0-top+117440512
.long K3D8-top+117440512
.long K3E0-top+117440512
.long K3E8-top+117440512
.long K3F0-top+117440512
.long K3F8-top
.long K3F9-top
.long r_illegal-top+83886080
.long K400-top+117440512
.long r_illegal-top+117440512
.long K410-top+117440512
.long K418-top+117440512
.long K420-top+117440512
.long K428-top+117440512
.long K430-top+117440512
.long K438-top
.long K439-top
.long r_illegal-top+83886080
.long K440-top+117440512
.long r_illegal-top+117440512
.long K450-top+117440512
.long K458-top+117440512
.long K460-top+117440512
.long K468-top+117440512
.long K470-top+117440512
.long K478-top
.long K479-top
.long r_illegal-top+83886080
.long K480-top+117440512
.long r_illegal-top+117440512
.long K490-top+117440512
.long K498-top+117440512
.long K4A0-top+117440512
.long K4A8-top+117440512
.long K4B0-top+117440512
.long K4B8-top
.long K4B9-top
.long r_illegal-top+1157627904
.long K500-top+117440512
.long K508-top+117440512
.long K510-top+117440512
.long K518-top+117440512
.long K520-top+117440512
.long K528-top+117440512
.long K530-top+117440512
.long K538-top
.long K539-top
.long K53A-top
.long K53B-top
.long K53C-top
.long r_illegal-top+33554432
.long K540-top+117440512
.long K548-top+117440512
.long K550-top+117440512
.long K558-top+117440512
.long K560-top+117440512
.long K568-top+117440512
.long K570-top+117440512
.long K578-top
.long K579-top
.long r_illegal-top+83886080
.long K580-top+117440512
.long K588-top+117440512
.long K590-top+117440512
.long K598-top+117440512
.long K5A0-top+117440512
.long K5A8-top+117440512
.long K5B0-top+117440512
.long K5B8-top
.long K5B9-top
.long r_illegal-top+83886080
.long K5C0-top+117440512
.long K5C8-top+117440512
.long K5D0-top+117440512
.long K5D8-top+117440512
.long K5E0-top+117440512
.long K5E8-top+117440512
.long K5F0-top+117440512
.long K5F8-top
.long K5F9-top
.long r_illegal-top+83886080
.long K600-top+117440512
.long r_illegal-top+117440512
.long K610-top+117440512
.long K618-top+117440512
.long K620-top+117440512
.long K628-top+117440512
.long K630-top+117440512
.long K638-top
.long K639-top
.long r_illegal-top+83886080
.long K640-top+117440512
.long r_illegal-top+117440512
.long K650-top+117440512
.long K658-top+117440512
.long K660-top+117440512
.long K668-top+117440512
.long K670-top+117440512
.long K678-top
.long K679-top
.long r_illegal-top+83886080
.long K680-top+117440512
.long r_illegal-top+117440512
.long K690-top+117440512
.long K698-top+117440512
.long K6A0-top+117440512
.long K6A8-top+117440512
.long K6B0-top+117440512
.long K6B8-top
.long K6B9-top
.long r_illegal-top+1157627904
.long K700-top+117440512
.long K708-top+117440512
.long K710-top+117440512
.long K718-top+117440512
.long K720-top+117440512
.long K728-top+117440512
.long K730-top+117440512
.long K738-top
.long K739-top
.long K73A-top
.long K73B-top
.long K73C-top
.long r_illegal-top+33554432
.long K740-top+117440512
.long K748-top+117440512
.long K750-top+117440512
.long K758-top+117440512
.long K760-top+117440512
.long K768-top+117440512
.long K770-top+117440512
.long K778-top
.long K779-top
.long r_illegal-top+83886080
.long K780-top+117440512
.long K788-top+117440512
.long K790-top+117440512
.long K798-top+117440512
.long K7A0-top+117440512
.long K7A8-top+117440512
.long K7B0-top+117440512
.long K7B8-top
.long K7B9-top
.long r_illegal-top+83886080
.long K7C0-top+117440512
.long K7C8-top+117440512
.long K7D0-top+117440512
.long K7D8-top+117440512
.long K7E0-top+117440512
.long K7E8-top+117440512
.long K7F0-top+117440512
.long K7F8-top
.long K7F9-top
.long r_illegal-top+83886080
.long K800-top+117440512
.long r_illegal-top+117440512
.long K810-top+117440512
.long K818-top+117440512
.long K820-top+117440512
.long K828-top+117440512
.long K830-top+117440512
.long K838-top
.long K839-top
.long K83A-top
.long K83B-top
.long K83C-top
.long r_illegal-top+33554432
.long K840-top+117440512
.long r_illegal-top+117440512
.long K850-top+117440512
.long K858-top+117440512
.long K860-top+117440512
.long K868-top+117440512
.long K870-top+117440512
.long K878-top
.long K879-top
.long r_illegal-top+83886080
.long K880-top+117440512
.long r_illegal-top+117440512
.long K890-top+117440512
.long K898-top+117440512
.long K8A0-top+117440512
.long K8A8-top+117440512
.long K8B0-top+117440512
.long K8B8-top
.long K8B9-top
.long r_illegal-top+83886080
.long K8C0-top+117440512
.long r_illegal-top+117440512
.long K8D0-top+117440512
.long K8D8-top+117440512
.long K8E0-top+117440512
.long K8E8-top+117440512
.long K8F0-top+117440512
.long K8F8-top
.long K8F9-top
.long r_illegal-top+83886080
.long K900-top+117440512
.long K908-top+117440512
.long K910-top+117440512
.long K918-top+117440512
.long K920-top+117440512
.long K928-top+117440512
.long K930-top+117440512
.long K938-top
.long K939-top
.long K93A-top
.long K93B-top
.long K93C-top
.long r_illegal-top+33554432
.long K940-top+117440512
.long K948-top+117440512
.long K950-top+117440512
.long K958-top+117440512
.long K960-top+117440512
.long K968-top+117440512
.long K970-top+117440512
.long K978-top
.long K979-top
.long r_illegal-top+83886080
.long K980-top+117440512
.long K988-top+117440512
.long K990-top+117440512
.long K998-top+117440512
.long K9A0-top+117440512
.long K9A8-top+117440512
.long K9B0-top+117440512
.long K9B8-top
.long K9B9-top
.long r_illegal-top+83886080
.long K9C0-top+117440512
.long K9C8-top+117440512
.long K9D0-top+117440512
.long K9D8-top+117440512
.long K9E0-top+117440512
.long K9E8-top+117440512
.long K9F0-top+117440512
.long K9F8-top
.long K9F9-top
.long r_illegal-top+83886080
.long KA00-top+117440512
.long r_illegal-top+117440512
.long KA10-top+117440512
.long KA18-top+117440512
.long KA20-top+117440512
.long KA28-top+117440512
.long KA30-top+117440512
.long KA38-top
.long KA39-top
.long r_illegal-top+16777216
.long KA3C-top
.long r_illegal-top+33554432
.long KA40-top+117440512
.long r_illegal-top+117440512
.long KA50-top+117440512
.long KA58-top+117440512
.long KA60-top+117440512
.long KA68-top+117440512
.long KA70-top+117440512
.long KA78-top
.long KA79-top
.long r_illegal-top+16777216
.long KA7C-top
.long r_illegal-top+33554432
.long KA80-top+117440512
.long r_illegal-top+117440512
.long KA90-top+117440512
.long KA98-top+117440512
.long KAA0-top+117440512
.long KAA8-top+117440512
.long KAB0-top+117440512
.long KAB8-top
.long KAB9-top
.long r_illegal-top+1157627904
.long KB00-top+117440512
.long KB08-top+117440512
.long KB10-top+117440512
.long KB18-top+117440512
.long KB20-top+117440512
.long KB28-top+117440512
.long KB30-top+117440512
.long KB38-top
.long KB39-top
.long KB3A-top
.long KB3B-top
.long KB3C-top
.long r_illegal-top+33554432
.long KB40-top+117440512
.long KB48-top+117440512
.long KB50-top+117440512
.long KB58-top+117440512
.long KB60-top+117440512
.long KB68-top+117440512
.long KB70-top+117440512
.long KB78-top
.long KB79-top
.long r_illegal-top+83886080
.long KB80-top+117440512
.long KB88-top+117440512
.long KB90-top+117440512
.long KB98-top+117440512
.long KBA0-top+117440512
.long KBA8-top+117440512
.long KBB0-top+117440512
.long KBB8-top
.long KBB9-top
.long r_illegal-top+83886080
.long KBC0-top+117440512
.long KBC8-top+117440512
.long KBD0-top+117440512
.long KBD8-top+117440512
.long KBE0-top+117440512
.long KBE8-top+117440512
.long KBF0-top+117440512
.long KBF8-top
.long KBF9-top
.long r_illegal-top+83886080
.long KC00-top+117440512
.long r_illegal-top+117440512
.long KC10-top+117440512
.long KC18-top+117440512
.long KC20-top+117440512
.long KC28-top+117440512
.long KC30-top+117440512
.long KC38-top
.long KC39-top
.long r_illegal-top+83886080
.long KC40-top+117440512
.long r_illegal-top+117440512
.long KC50-top+117440512
.long KC58-top+117440512
.long KC60-top+117440512
.long KC68-top+117440512
.long KC70-top+117440512
.long KC78-top
.long KC79-top
.long r_illegal-top+83886080
.long KC80-top+117440512
.long r_illegal-top+117440512
.long KC90-top+117440512
.long KC98-top+117440512
.long KCA0-top+117440512
.long KCA8-top+117440512
.long KCB0-top+117440512
.long KCB8-top
.long KCB9-top
.long r_illegal-top+1157627904
.long KD00-top+117440512
.long KD08-top+117440512
.long KD10-top+117440512
.long KD18-top+117440512
.long KD20-top+117440512
.long KD28-top+117440512
.long KD30-top+117440512
.long KD38-top
.long KD39-top
.long KD3A-top
.long KD3B-top
.long KD3C-top
.long r_illegal-top+33554432
.long KD40-top+117440512
.long KD48-top+117440512
.long KD50-top+117440512
.long KD58-top+117440512
.long KD60-top+117440512
.long KD68-top+117440512
.long KD70-top+117440512
.long KD78-top
.long KD79-top
.long r_illegal-top+83886080
.long KD80-top+117440512
.long KD88-top+117440512
.long KD90-top+117440512
.long KD98-top+117440512
.long KDA0-top+117440512
.long KDA8-top+117440512
.long KDB0-top+117440512
.long KDB8-top
.long KDB9-top
.long r_illegal-top+83886080
.long KDC0-top+117440512
.long KDC8-top+117440512
.long KDD0-top+117440512
.long KDD8-top+117440512
.long KDE0-top+117440512
.long KDE8-top+117440512
.long KDF0-top+117440512
.long KDF8-top
.long KDF9-top
.long r_illegal-top+4278190080
.long r_illegal-top+83886080
.long KF00-top+117440512
.long KF08-top+117440512
.long KF10-top+117440512
.long KF18-top+117440512
.long KF20-top+117440512
.long KF28-top+117440512
.long KF30-top+117440512
.long KF38-top
.long KF39-top
.long KF3A-top
.long KF3B-top
.long KF3C-top
.long r_illegal-top+33554432
.long KF40-top+117440512
.long KF48-top+117440512
.long KF50-top+117440512
.long KF58-top+117440512
.long KF60-top+117440512
.long KF68-top+117440512
.long KF70-top+117440512
.long KF78-top
.long KF79-top
.long r_illegal-top+83886080
.long KF80-top+117440512
.long KF88-top+117440512
.long KF90-top+117440512
.long KF98-top+117440512
.long KFA0-top+117440512
.long KFA8-top+117440512
.long KFB0-top+117440512
.long KFB8-top
.long KFB9-top
.long r_illegal-top+83886080
.long KFC0-top+117440512
.long KFC8-top+117440512
.long KFD0-top+117440512
.long KFD8-top+117440512
.long KFE0-top+117440512
.long KFE8-top+117440512
.long KFF0-top+117440512
.long KFF8-top
.long KFF9-top
.long r_illegal-top+83886080
.long L000-top+117440512
.long L008-top+117440512
.long L010-top+117440512
.long L018-top+117440512
.long L020-top+117440512
.long L028-top+117440512
.long L030-top+117440512
.long L038-top
.long L039-top
.long L03A-top
.long L03B-top
.long L03C-top
.long r_illegal-top+1107296256
.long L080-top+117440512
.long L088-top+117440512
.long L090-top+117440512
.long L098-top+117440512
.long L0A0-top+117440512
.long L0A8-top+117440512
.long L0B0-top+117440512
.long L0B8-top
.long L0B9-top
.long L0BA-top
.long L0BB-top
.long L0BC-top
.long r_illegal-top+33554432
.long L0C0-top+117440512
.long L0C8-top+117440512
.long L0D0-top+117440512
.long L0D8-top+117440512
.long L0E0-top+117440512
.long L0E8-top+117440512
.long L0F0-top+117440512
.long L0F8-top
.long L0F9-top
.long L0FA-top
.long L0FB-top
.long L0FC-top
.long r_illegal-top+33554432
.long L100-top+117440512
.long L108-top+117440512
.long L110-top+117440512
.long L118-top+117440512
.long L120-top+117440512
.long L128-top+117440512
.long L130-top+117440512
.long L138-top
.long L139-top
.long L13A-top
.long L13B-top
.long L13C-top
.long r_illegal-top+33554432
.long L140-top+117440512
.long L148-top+117440512
.long L150-top+117440512
.long L158-top+117440512
.long L160-top+117440512
.long L168-top+117440512
.long L170-top+117440512
.long L178-top
.long L179-top
.long L17A-top
.long L17B-top
.long L17C-top
.long r_illegal-top+33554432
.long L180-top+117440512
.long L188-top+117440512
.long L190-top+117440512
.long L198-top+117440512
.long L1A0-top+117440512
.long L1A8-top+117440512
.long L1B0-top+117440512
.long L1B8-top
.long L1B9-top
.long L1BA-top
.long L1BB-top
.long L1BC-top
.long r_illegal-top+33554432
.long L1C0-top+117440512
.long L1C8-top+117440512
.long L1D0-top+117440512
.long L1D8-top+117440512
.long L1E0-top+117440512
.long L1E8-top+117440512
.long L1F0-top+117440512
.long L1F8-top
.long L1F9-top
.long L1FA-top
.long L1FB-top
.long L1FC-top
.long r_illegal-top+33554432
.long L200-top+117440512
.long L208-top+117440512
.long L210-top+117440512
.long L218-top+117440512
.long L220-top+117440512
.long L228-top+117440512
.long L230-top+117440512
.long L238-top
.long L239-top
.long L23A-top
.long L23B-top
.long L23C-top
.long r_illegal-top+1107296256
.long L280-top+117440512
.long L288-top+117440512
.long L290-top+117440512
.long L298-top+117440512
.long L2A0-top+117440512
.long L2A8-top+117440512
.long L2B0-top+117440512
.long L2B8-top
.long L2B9-top
.long L2BA-top
.long L2BB-top
.long L2BC-top
.long r_illegal-top+33554432
.long L2C0-top+117440512
.long L2C8-top+117440512
.long L2D0-top+117440512
.long L2D8-top+117440512
.long L2E0-top+117440512
.long L2E8-top+117440512
.long L2F0-top+117440512
.long L2F8-top
.long L2F9-top
.long L2FA-top
.long L2FB-top
.long L2FC-top
.long r_illegal-top+33554432
.long L300-top+117440512
.long L308-top+117440512
.long L310-top+117440512
.long L318-top+117440512
.long L320-top+117440512
.long L328-top+117440512
.long L330-top+117440512
.long L338-top
.long L339-top
.long L33A-top
.long L33B-top
.long L33C-top
.long r_illegal-top+33554432
.long L340-top+117440512
.long L348-top+117440512
.long L350-top+117440512
.long L358-top+117440512
.long L360-top+117440512
.long L368-top+117440512
.long L370-top+117440512
.long L378-top
.long L379-top
.long L37A-top
.long L37B-top
.long L37C-top
.long r_illegal-top+33554432
.long L380-top+117440512
.long L388-top+117440512
.long L390-top+117440512
.long L398-top+117440512
.long L3A0-top+117440512
.long L3A8-top+117440512
.long L3B0-top+117440512
.long L3B8-top
.long L3B9-top
.long L3BA-top
.long L3BB-top
.long L3BC-top
.long r_illegal-top+33554432
.long L3C0-top+117440512
.long L3C8-top+117440512
.long L3D0-top+117440512
.long L3D8-top+117440512
.long L3E0-top+117440512
.long L3E8-top+117440512
.long L3F0-top+117440512
.long L3F8-top
.long L3F9-top
.long L3FA-top
.long L3FB-top
.long L3FC-top
.long r_illegal-top+33554432
.long L400-top+117440512
.long L408-top+117440512
.long L410-top+117440512
.long L418-top+117440512
.long L420-top+117440512
.long L428-top+117440512
.long L430-top+117440512
.long L438-top
.long L439-top
.long L43A-top
.long L43B-top
.long L43C-top
.long r_illegal-top+1107296256
.long L480-top+117440512
.long L488-top+117440512
.long L490-top+117440512
.long L498-top+117440512
.long L4A0-top+117440512
.long L4A8-top+117440512
.long L4B0-top+117440512
.long L4B8-top
.long L4B9-top
.long L4BA-top
.long L4BB-top
.long L4BC-top
.long r_illegal-top+33554432
.long L4C0-top+117440512
.long L4C8-top+117440512
.long L4D0-top+117440512
.long L4D8-top+117440512
.long L4E0-top+117440512
.long L4E8-top+117440512
.long L4F0-top+117440512
.long L4F8-top
.long L4F9-top
.long L4FA-top
.long L4FB-top
.long L4FC-top
.long r_illegal-top+33554432
.long L500-top+117440512
.long L508-top+117440512
.long L510-top+117440512
.long L518-top+117440512
.long L520-top+117440512
.long L528-top+117440512
.long L530-top+117440512
.long L538-top
.long L539-top
.long L53A-top
.long L53B-top
.long L53C-top
.long r_illegal-top+33554432
.long L540-top+117440512
.long L548-top+117440512
.long L550-top+117440512
.long L558-top+117440512
.long L560-top+117440512
.long L568-top+117440512
.long L570-top+117440512
.long L578-top
.long L579-top
.long L57A-top
.long L57B-top
.long L57C-top
.long r_illegal-top+33554432
.long L580-top+117440512
.long L588-top+117440512
.long L590-top+117440512
.long L598-top+117440512
.long L5A0-top+117440512
.long L5A8-top+117440512
.long L5B0-top+117440512
.long L5B8-top
.long L5B9-top
.long L5BA-top
.long L5BB-top
.long L5BC-top
.long r_illegal-top+1107296256
.long L600-top+117440512
.long L608-top+117440512
.long L610-top+117440512
.long L618-top+117440512
.long L620-top+117440512
.long L628-top+117440512
.long L630-top+117440512
.long L638-top
.long L639-top
.long L63A-top
.long L63B-top
.long L63C-top
.long r_illegal-top+1107296256
.long L680-top+117440512
.long L688-top+117440512
.long L690-top+117440512
.long L698-top+117440512
.long L6A0-top+117440512
.long L6A8-top+117440512
.long L6B0-top+117440512
.long L6B8-top
.long L6B9-top
.long L6BA-top
.long L6BB-top
.long L6BC-top
.long r_illegal-top+33554432
.long L6C0-top+117440512
.long L6C8-top+117440512
.long L6D0-top+117440512
.long L6D8-top+117440512
.long L6E0-top+117440512
.long L6E8-top+117440512
.long L6F0-top+117440512
.long L6F8-top
.long L6F9-top
.long L6FA-top
.long L6FB-top
.long L6FC-top
.long r_illegal-top+33554432
.long L700-top+117440512
.long L708-top+117440512
.long L710-top+117440512
.long L718-top+117440512
.long L720-top+117440512
.long L728-top+117440512
.long L730-top+117440512
.long L738-top
.long L739-top
.long L73A-top
.long L73B-top
.long L73C-top
.long r_illegal-top+33554432
.long L740-top+117440512
.long L748-top+117440512
.long L750-top+117440512
.long L758-top+117440512
.long L760-top+117440512
.long L768-top+117440512
.long L770-top+117440512
.long L778-top
.long L779-top
.long L77A-top
.long L77B-top
.long L77C-top
.long r_illegal-top+33554432
.long L780-top+117440512
.long L788-top+117440512
.long L790-top+117440512
.long L798-top+117440512
.long L7A0-top+117440512
.long L7A8-top+117440512
.long L7B0-top+117440512
.long L7B8-top
.long L7B9-top
.long L7BA-top
.long L7BB-top
.long L7BC-top
.long r_illegal-top+1107296256
.long L800-top+117440512
.long L808-top+117440512
.long L810-top+117440512
.long L818-top+117440512
.long L820-top+117440512
.long L828-top+117440512
.long L830-top+117440512
.long L838-top
.long L839-top
.long L83A-top
.long L83B-top
.long L83C-top
.long r_illegal-top+1107296256
.long L880-top+117440512
.long L888-top+117440512
.long L890-top+117440512
.long L898-top+117440512
.long L8A0-top+117440512
.long L8A8-top+117440512
.long L8B0-top+117440512
.long L8B8-top
.long L8B9-top
.long L8BA-top
.long L8BB-top
.long L8BC-top
.long r_illegal-top+33554432
.long L8C0-top+117440512
.long L8C8-top+117440512
.long L8D0-top+117440512
.long L8D8-top+117440512
.long L8E0-top+117440512
.long L8E8-top+117440512
.long L8F0-top+117440512
.long L8F8-top
.long L8F9-top
.long L8FA-top
.long L8FB-top
.long L8FC-top
.long r_illegal-top+33554432
.long L900-top+117440512
.long L908-top+117440512
.long L910-top+117440512
.long L918-top+117440512
.long L920-top+117440512
.long L928-top+117440512
.long L930-top+117440512
.long L938-top
.long L939-top
.long L93A-top
.long L93B-top
.long L93C-top
.long r_illegal-top+33554432
.long L940-top+117440512
.long L948-top+117440512
.long L950-top+117440512
.long L958-top+117440512
.long L960-top+117440512
.long L968-top+117440512
.long L970-top+117440512
.long L978-top
.long L979-top
.long L97A-top
.long L97B-top
.long L97C-top
.long r_illegal-top+33554432
.long L980-top+117440512
.long L988-top+117440512
.long L990-top+117440512
.long L998-top+117440512
.long L9A0-top+117440512
.long L9A8-top+117440512
.long L9B0-top+117440512
.long L9B8-top
.long L9B9-top
.long L9BA-top
.long L9BB-top
.long L9BC-top
.long r_illegal-top+1107296256
.long LA00-top+117440512
.long LA08-top+117440512
.long LA10-top+117440512
.long LA18-top+117440512
.long LA20-top+117440512
.long LA28-top+117440512
.long LA30-top+117440512
.long LA38-top
.long LA39-top
.long LA3A-top
.long LA3B-top
.long LA3C-top
.long r_illegal-top+1107296256
.long LA80-top+117440512
.long LA88-top+117440512
.long LA90-top+117440512
.long LA98-top+117440512
.long LAA0-top+117440512
.long LAA8-top+117440512
.long LAB0-top+117440512
.long LAB8-top
.long LAB9-top
.long LABA-top
.long LABB-top
.long LABC-top
.long r_illegal-top+33554432
.long LAC0-top+117440512
.long LAC8-top+117440512
.long LAD0-top+117440512
.long LAD8-top+117440512
.long LAE0-top+117440512
.long LAE8-top+117440512
.long LAF0-top+117440512
.long LAF8-top
.long LAF9-top
.long LAFA-top
.long LAFB-top
.long LAFC-top
.long r_illegal-top+33554432
.long LB00-top+117440512
.long LB08-top+117440512
.long LB10-top+117440512
.long LB18-top+117440512
.long LB20-top+117440512
.long LB28-top+117440512
.long LB30-top+117440512
.long LB38-top
.long LB39-top
.long LB3A-top
.long LB3B-top
.long LB3C-top
.long r_illegal-top+33554432
.long LB40-top+117440512
.long LB48-top+117440512
.long LB50-top+117440512
.long LB58-top+117440512
.long LB60-top+117440512
.long LB68-top+117440512
.long LB70-top+117440512
.long LB78-top
.long LB79-top
.long LB7A-top
.long LB7B-top
.long LB7C-top
.long r_illegal-top+33554432
.long LB80-top+117440512
.long LB88-top+117440512
.long LB90-top+117440512
.long LB98-top+117440512
.long LBA0-top+117440512
.long LBA8-top+117440512
.long LBB0-top+117440512
.long LBB8-top
.long LBB9-top
.long LBBA-top
.long LBBB-top
.long LBBC-top
.long r_illegal-top+1107296256
.long LC00-top+117440512
.long LC08-top+117440512
.long LC10-top+117440512
.long LC18-top+117440512
.long LC20-top+117440512
.long LC28-top+117440512
.long LC30-top+117440512
.long LC38-top
.long LC39-top
.long LC3A-top
.long LC3B-top
.long LC3C-top
.long r_illegal-top+1107296256
.long LC80-top+117440512
.long LC88-top+117440512
.long LC90-top+117440512
.long LC98-top+117440512
.long LCA0-top+117440512
.long LCA8-top+117440512
.long LCB0-top+117440512
.long LCB8-top
.long LCB9-top
.long LCBA-top
.long LCBB-top
.long LCBC-top
.long r_illegal-top+33554432
.long LCC0-top+117440512
.long LCC8-top+117440512
.long LCD0-top+117440512
.long LCD8-top+117440512
.long LCE0-top+117440512
.long LCE8-top+117440512
.long LCF0-top+117440512
.long LCF8-top
.long LCF9-top
.long LCFA-top
.long LCFB-top
.long LCFC-top
.long r_illegal-top+33554432
.long LD00-top+117440512
.long LD08-top+117440512
.long LD10-top+117440512
.long LD18-top+117440512
.long LD20-top+117440512
.long LD28-top+117440512
.long LD30-top+117440512
.long LD38-top
.long LD39-top
.long LD3A-top
.long LD3B-top
.long LD3C-top
.long r_illegal-top+33554432
.long LD40-top+117440512
.long LD48-top+117440512
.long LD50-top+117440512
.long LD58-top+117440512
.long LD60-top+117440512
.long LD68-top+117440512
.long LD70-top+117440512
.long LD78-top
.long LD79-top
.long LD7A-top
.long LD7B-top
.long LD7C-top
.long r_illegal-top+33554432
.long LD80-top+117440512
.long LD88-top+117440512
.long LD90-top+117440512
.long LD98-top+117440512
.long LDA0-top+117440512
.long LDA8-top+117440512
.long LDB0-top+117440512
.long LDB8-top
.long LDB9-top
.long LDBA-top
.long LDBB-top
.long LDBC-top
.long r_illegal-top+1107296256
.long LE00-top+117440512
.long LE08-top+117440512
.long LE10-top+117440512
.long LE18-top+117440512
.long LE20-top+117440512
.long LE28-top+117440512
.long LE30-top+117440512
.long LE38-top
.long LE39-top
.long LE3A-top
.long LE3B-top
.long LE3C-top
.long r_illegal-top+1107296256
.long LE80-top+117440512
.long LE88-top+117440512
.long LE90-top+117440512
.long LE98-top+117440512
.long LEA0-top+117440512
.long LEA8-top+117440512
.long LEB0-top+117440512
.long LEB8-top
.long LEB9-top
.long LEBA-top
.long LEBB-top
.long LEBC-top
.long r_illegal-top+33554432
.long LEC0-top+117440512
.long LEC8-top+117440512
.long LED0-top+117440512
.long LED8-top+117440512
.long LEE0-top+117440512
.long LEE8-top+117440512
.long LEF0-top+117440512
.long LEF8-top
.long LEF9-top
.long LEFA-top
.long LEFB-top
.long LEFC-top
.long r_illegal-top+33554432
.long LF00-top+117440512
.long LF08-top+117440512
.long LF10-top+117440512
.long LF18-top+117440512
.long LF20-top+117440512
.long LF28-top+117440512
.long LF30-top+117440512
.long LF38-top
.long LF39-top
.long LF3A-top
.long LF3B-top
.long LF3C-top
.long r_illegal-top+33554432
.long LF40-top+117440512
.long LF48-top+117440512
.long LF50-top+117440512
.long LF58-top+117440512
.long LF60-top+117440512
.long LF68-top+117440512
.long LF70-top+117440512
.long LF78-top
.long LF79-top
.long LF7A-top
.long LF7B-top
.long LF7C-top
.long r_illegal-top+33554432
.long LF80-top+117440512
.long LF88-top+117440512
.long LF90-top+117440512
.long LF98-top+117440512
.long LFA0-top+117440512
.long LFA8-top+117440512
.long LFB0-top+117440512
.long LFB8-top
.long LFB9-top
.long LFBA-top
.long LFBB-top
.long LFBC-top
.long r_illegal-top+1107296256
.long M000-top+117440512
.long M008-top+117440512
.long M010-top+117440512
.long M018-top+117440512
.long M020-top+117440512
.long M028-top+117440512
.long M030-top+117440512
.long M038-top
.long M039-top
.long M03A-top
.long M03B-top
.long M03C-top
.long r_illegal-top+33554432
.long M040-top+117440512
.long M048-top+117440512
.long M050-top+117440512
.long M058-top+117440512
.long M060-top+117440512
.long M068-top+117440512
.long M070-top+117440512
.long M078-top
.long M079-top
.long M07A-top
.long M07B-top
.long M07C-top
.long r_illegal-top+33554432
.long M080-top+117440512
.long M088-top+117440512
.long M090-top+117440512
.long M098-top+117440512
.long M0A0-top+117440512
.long M0A8-top+117440512
.long M0B0-top+117440512
.long M0B8-top
.long M0B9-top
.long M0BA-top
.long M0BB-top
.long M0BC-top
.long r_illegal-top+33554432
.long M0C0-top+117440512
.long M0C8-top+117440512
.long M0D0-top+117440512
.long M0D8-top+117440512
.long M0E0-top+117440512
.long M0E8-top+117440512
.long M0F0-top+117440512
.long M0F8-top
.long M0F9-top
.long M0FA-top
.long M0FB-top
.long M0FC-top
.long r_illegal-top+33554432
.long M100-top+117440512
.long M108-top+117440512
.long M110-top+117440512
.long M118-top+117440512
.long M120-top+117440512
.long M128-top+117440512
.long M130-top+117440512
.long M138-top
.long M139-top
.long M13A-top
.long M13B-top
.long M13C-top
.long r_illegal-top+33554432
.long M140-top+117440512
.long M148-top+117440512
.long M150-top+117440512
.long M158-top+117440512
.long M160-top+117440512
.long M168-top+117440512
.long M170-top+117440512
.long M178-top
.long M179-top
.long M17A-top
.long M17B-top
.long M17C-top
.long r_illegal-top+33554432
.long M180-top+117440512
.long M188-top+117440512
.long M190-top+117440512
.long M198-top+117440512
.long M1A0-top+117440512
.long M1A8-top+117440512
.long M1B0-top+117440512
.long M1B8-top
.long M1B9-top
.long M1BA-top
.long M1BB-top
.long M1BC-top
.long r_illegal-top+33554432
.long M1C0-top+117440512
.long M1C8-top+117440512
.long M1D0-top+117440512
.long M1D8-top+117440512
.long M1E0-top+117440512
.long M1E8-top+117440512
.long M1F0-top+117440512
.long M1F8-top
.long M1F9-top
.long M1FA-top
.long M1FB-top
.long M1FC-top
.long r_illegal-top+33554432
.long M200-top+117440512
.long M208-top+117440512
.long M210-top+117440512
.long M218-top+117440512
.long M220-top+117440512
.long M228-top+117440512
.long M230-top+117440512
.long M238-top
.long M239-top
.long M23A-top
.long M23B-top
.long M23C-top
.long r_illegal-top+33554432
.long M240-top+117440512
.long M248-top+117440512
.long M250-top+117440512
.long M258-top+117440512
.long M260-top+117440512
.long M268-top+117440512
.long M270-top+117440512
.long M278-top
.long M279-top
.long M27A-top
.long M27B-top
.long M27C-top
.long r_illegal-top+33554432
.long M280-top+117440512
.long M288-top+117440512
.long M290-top+117440512
.long M298-top+117440512
.long M2A0-top+117440512
.long M2A8-top+117440512
.long M2B0-top+117440512
.long M2B8-top
.long M2B9-top
.long M2BA-top
.long M2BB-top
.long M2BC-top
.long r_illegal-top+33554432
.long M2C0-top+117440512
.long M2C8-top+117440512
.long M2D0-top+117440512
.long M2D8-top+117440512
.long M2E0-top+117440512
.long M2E8-top+117440512
.long M2F0-top+117440512
.long M2F8-top
.long M2F9-top
.long M2FA-top
.long M2FB-top
.long M2FC-top
.long r_illegal-top+33554432
.long M300-top+117440512
.long M308-top+117440512
.long M310-top+117440512
.long M318-top+117440512
.long M320-top+117440512
.long M328-top+117440512
.long M330-top+117440512
.long M338-top
.long M339-top
.long M33A-top
.long M33B-top
.long M33C-top
.long r_illegal-top+33554432
.long M340-top+117440512
.long M348-top+117440512
.long M350-top+117440512
.long M358-top+117440512
.long M360-top+117440512
.long M368-top+117440512
.long M370-top+117440512
.long M378-top
.long M379-top
.long M37A-top
.long M37B-top
.long M37C-top
.long r_illegal-top+33554432
.long M380-top+117440512
.long M388-top+117440512
.long M390-top+117440512
.long M398-top+117440512
.long M3A0-top+117440512
.long M3A8-top+117440512
.long M3B0-top+117440512
.long M3B8-top
.long M3B9-top
.long M3BA-top
.long M3BB-top
.long M3BC-top
.long r_illegal-top+33554432
.long M3C0-top+117440512
.long M3C8-top+117440512
.long M3D0-top+117440512
.long M3D8-top+117440512
.long M3E0-top+117440512
.long M3E8-top+117440512
.long M3F0-top+117440512
.long M3F8-top
.long M3F9-top
.long M3FA-top
.long M3FB-top
.long M3FC-top
.long r_illegal-top+33554432
.long M400-top+117440512
.long M408-top+117440512
.long M410-top+117440512
.long M418-top+117440512
.long M420-top+117440512
.long M428-top+117440512
.long M430-top+117440512
.long M438-top
.long M439-top
.long M43A-top
.long M43B-top
.long M43C-top
.long r_illegal-top+33554432
.long M440-top+117440512
.long M448-top+117440512
.long M450-top+117440512
.long M458-top+117440512
.long M460-top+117440512
.long M468-top+117440512
.long M470-top+117440512
.long M478-top
.long M479-top
.long M47A-top
.long M47B-top
.long M47C-top
.long r_illegal-top+33554432
.long M480-top+117440512
.long M488-top+117440512
.long M490-top+117440512
.long M498-top+117440512
.long M4A0-top+117440512
.long M4A8-top+117440512
.long M4B0-top+117440512
.long M4B8-top
.long M4B9-top
.long M4BA-top
.long M4BB-top
.long M4BC-top
.long r_illegal-top+33554432
.long M4C0-top+117440512
.long M4C8-top+117440512
.long M4D0-top+117440512
.long M4D8-top+117440512
.long M4E0-top+117440512
.long M4E8-top+117440512
.long M4F0-top+117440512
.long M4F8-top
.long M4F9-top
.long M4FA-top
.long M4FB-top
.long M4FC-top
.long r_illegal-top+33554432
.long M500-top+117440512
.long M508-top+117440512
.long M510-top+117440512
.long M518-top+117440512
.long M520-top+117440512
.long M528-top+117440512
.long M530-top+117440512
.long M538-top
.long M539-top
.long M53A-top
.long M53B-top
.long M53C-top
.long r_illegal-top+33554432
.long M540-top+117440512
.long M548-top+117440512
.long M550-top+117440512
.long M558-top+117440512
.long M560-top+117440512
.long M568-top+117440512
.long M570-top+117440512
.long M578-top
.long M579-top
.long M57A-top
.long M57B-top
.long M57C-top
.long r_illegal-top+33554432
.long M580-top+117440512
.long M588-top+117440512
.long M590-top+117440512
.long M598-top+117440512
.long M5A0-top+117440512
.long M5A8-top+117440512
.long M5B0-top+117440512
.long M5B8-top
.long M5B9-top
.long M5BA-top
.long M5BB-top
.long M5BC-top
.long r_illegal-top+1107296256
.long M600-top+117440512
.long M608-top+117440512
.long M610-top+117440512
.long M618-top+117440512
.long M620-top+117440512
.long M628-top+117440512
.long M630-top+117440512
.long M638-top
.long M639-top
.long M63A-top
.long M63B-top
.long M63C-top
.long r_illegal-top+33554432
.long M640-top+117440512
.long M648-top+117440512
.long M650-top+117440512
.long M658-top+117440512
.long M660-top+117440512
.long M668-top+117440512
.long M670-top+117440512
.long M678-top
.long M679-top
.long M67A-top
.long M67B-top
.long M67C-top
.long r_illegal-top+33554432
.long M680-top+117440512
.long M688-top+117440512
.long M690-top+117440512
.long M698-top+117440512
.long M6A0-top+117440512
.long M6A8-top+117440512
.long M6B0-top+117440512
.long M6B8-top
.long M6B9-top
.long M6BA-top
.long M6BB-top
.long M6BC-top
.long r_illegal-top+33554432
.long M6C0-top+117440512
.long M6C8-top+117440512
.long M6D0-top+117440512
.long M6D8-top+117440512
.long M6E0-top+117440512
.long M6E8-top+117440512
.long M6F0-top+117440512
.long M6F8-top
.long M6F9-top
.long M6FA-top
.long M6FB-top
.long M6FC-top
.long r_illegal-top+33554432
.long M700-top+117440512
.long M708-top+117440512
.long M710-top+117440512
.long M718-top+117440512
.long M720-top+117440512
.long M728-top+117440512
.long M730-top+117440512
.long M738-top
.long M739-top
.long M73A-top
.long M73B-top
.long M73C-top
.long r_illegal-top+33554432
.long M740-top+117440512
.long M748-top+117440512
.long M750-top+117440512
.long M758-top+117440512
.long M760-top+117440512
.long M768-top+117440512
.long M770-top+117440512
.long M778-top
.long M779-top
.long M77A-top
.long M77B-top
.long M77C-top
.long r_illegal-top+33554432
.long M780-top+117440512
.long M788-top+117440512
.long M790-top+117440512
.long M798-top+117440512
.long M7A0-top+117440512
.long M7A8-top+117440512
.long M7B0-top+117440512
.long M7B8-top
.long M7B9-top
.long M7BA-top
.long M7BB-top
.long M7BC-top
.long r_illegal-top+1107296256
.long M800-top+117440512
.long M808-top+117440512
.long M810-top+117440512
.long M818-top+117440512
.long M820-top+117440512
.long M828-top+117440512
.long M830-top+117440512
.long M838-top
.long M839-top
.long M83A-top
.long M83B-top
.long M83C-top
.long r_illegal-top+33554432
.long M840-top+117440512
.long M848-top+117440512
.long M850-top+117440512
.long M858-top+117440512
.long M860-top+117440512
.long M868-top+117440512
.long M870-top+117440512
.long M878-top
.long M879-top
.long M87A-top
.long M87B-top
.long M87C-top
.long r_illegal-top+33554432
.long M880-top+117440512
.long M888-top+117440512
.long M890-top+117440512
.long M898-top+117440512
.long M8A0-top+117440512
.long M8A8-top+117440512
.long M8B0-top+117440512
.long M8B8-top
.long M8B9-top
.long M8BA-top
.long M8BB-top
.long M8BC-top
.long r_illegal-top+33554432
.long M8C0-top+117440512
.long M8C8-top+117440512
.long M8D0-top+117440512
.long M8D8-top+117440512
.long M8E0-top+117440512
.long M8E8-top+117440512
.long M8F0-top+117440512
.long M8F8-top
.long M8F9-top
.long M8FA-top
.long M8FB-top
.long M8FC-top
.long r_illegal-top+33554432
.long M900-top+117440512
.long M908-top+117440512
.long M910-top+117440512
.long M918-top+117440512
.long M920-top+117440512
.long M928-top+117440512
.long M930-top+117440512
.long M938-top
.long M939-top
.long M93A-top
.long M93B-top
.long M93C-top
.long r_illegal-top+33554432
.long M940-top+117440512
.long M948-top+117440512
.long M950-top+117440512
.long M958-top+117440512
.long M960-top+117440512
.long M968-top+117440512
.long M970-top+117440512
.long M978-top
.long M979-top
.long M97A-top
.long M97B-top
.long M97C-top
.long r_illegal-top+33554432
.long M980-top+117440512
.long M988-top+117440512
.long M990-top+117440512
.long M998-top+117440512
.long M9A0-top+117440512
.long M9A8-top+117440512
.long M9B0-top+117440512
.long M9B8-top
.long M9B9-top
.long M9BA-top
.long M9BB-top
.long M9BC-top
.long r_illegal-top+1107296256
.long MA00-top+117440512
.long MA08-top+117440512
.long MA10-top+117440512
.long MA18-top+117440512
.long MA20-top+117440512
.long MA28-top+117440512
.long MA30-top+117440512
.long MA38-top
.long MA39-top
.long MA3A-top
.long MA3B-top
.long MA3C-top
.long r_illegal-top+33554432
.long MA40-top+117440512
.long MA48-top+117440512
.long MA50-top+117440512
.long MA58-top+117440512
.long MA60-top+117440512
.long MA68-top+117440512
.long MA70-top+117440512
.long MA78-top
.long MA79-top
.long MA7A-top
.long MA7B-top
.long MA7C-top
.long r_illegal-top+33554432
.long MA80-top+117440512
.long MA88-top+117440512
.long MA90-top+117440512
.long MA98-top+117440512
.long MAA0-top+117440512
.long MAA8-top+117440512
.long MAB0-top+117440512
.long MAB8-top
.long MAB9-top
.long MABA-top
.long MABB-top
.long MABC-top
.long r_illegal-top+33554432
.long MAC0-top+117440512
.long MAC8-top+117440512
.long MAD0-top+117440512
.long MAD8-top+117440512
.long MAE0-top+117440512
.long MAE8-top+117440512
.long MAF0-top+117440512
.long MAF8-top
.long MAF9-top
.long MAFA-top
.long MAFB-top
.long MAFC-top
.long r_illegal-top+33554432
.long MB00-top+117440512
.long MB08-top+117440512
.long MB10-top+117440512
.long MB18-top+117440512
.long MB20-top+117440512
.long MB28-top+117440512
.long MB30-top+117440512
.long MB38-top
.long MB39-top
.long MB3A-top
.long MB3B-top
.long MB3C-top
.long r_illegal-top+33554432
.long MB40-top+117440512
.long MB48-top+117440512
.long MB50-top+117440512
.long MB58-top+117440512
.long MB60-top+117440512
.long MB68-top+117440512
.long MB70-top+117440512
.long MB78-top
.long MB79-top
.long MB7A-top
.long MB7B-top
.long MB7C-top
.long r_illegal-top+33554432
.long MB80-top+117440512
.long MB88-top+117440512
.long MB90-top+117440512
.long MB98-top+117440512
.long MBA0-top+117440512
.long MBA8-top+117440512
.long MBB0-top+117440512
.long MBB8-top
.long MBB9-top
.long MBBA-top
.long MBBB-top
.long MBBC-top
.long r_illegal-top+1107296256
.long MC00-top+117440512
.long MC08-top+117440512
.long MC10-top+117440512
.long MC18-top+117440512
.long MC20-top+117440512
.long MC28-top+117440512
.long MC30-top+117440512
.long MC38-top
.long MC39-top
.long MC3A-top
.long MC3B-top
.long MC3C-top
.long r_illegal-top+33554432
.long MC40-top+117440512
.long MC48-top+117440512
.long MC50-top+117440512
.long MC58-top+117440512
.long MC60-top+117440512
.long MC68-top+117440512
.long MC70-top+117440512
.long MC78-top
.long MC79-top
.long MC7A-top
.long MC7B-top
.long MC7C-top
.long r_illegal-top+33554432
.long MC80-top+117440512
.long MC88-top+117440512
.long MC90-top+117440512
.long MC98-top+117440512
.long MCA0-top+117440512
.long MCA8-top+117440512
.long MCB0-top+117440512
.long MCB8-top
.long MCB9-top
.long MCBA-top
.long MCBB-top
.long MCBC-top
.long r_illegal-top+33554432
.long MCC0-top+117440512
.long MCC8-top+117440512
.long MCD0-top+117440512
.long MCD8-top+117440512
.long MCE0-top+117440512
.long MCE8-top+117440512
.long MCF0-top+117440512
.long MCF8-top
.long MCF9-top
.long MCFA-top
.long MCFB-top
.long MCFC-top
.long r_illegal-top+33554432
.long MD00-top+117440512
.long MD08-top+117440512
.long MD10-top+117440512
.long MD18-top+117440512
.long MD20-top+117440512
.long MD28-top+117440512
.long MD30-top+117440512
.long MD38-top
.long MD39-top
.long MD3A-top
.long MD3B-top
.long MD3C-top
.long r_illegal-top+33554432
.long MD40-top+117440512
.long MD48-top+117440512
.long MD50-top+117440512
.long MD58-top+117440512
.long MD60-top+117440512
.long MD68-top+117440512
.long MD70-top+117440512
.long MD78-top
.long MD79-top
.long MD7A-top
.long MD7B-top
.long MD7C-top
.long r_illegal-top+33554432
.long MD80-top+117440512
.long MD88-top+117440512
.long MD90-top+117440512
.long MD98-top+117440512
.long MDA0-top+117440512
.long MDA8-top+117440512
.long MDB0-top+117440512
.long MDB8-top
.long MDB9-top
.long MDBA-top
.long MDBB-top
.long MDBC-top
.long r_illegal-top+1107296256
.long ME00-top+117440512
.long ME08-top+117440512
.long ME10-top+117440512
.long ME18-top+117440512
.long ME20-top+117440512
.long ME28-top+117440512
.long ME30-top+117440512
.long ME38-top
.long ME39-top
.long ME3A-top
.long ME3B-top
.long ME3C-top
.long r_illegal-top+33554432
.long ME40-top+117440512
.long ME48-top+117440512
.long ME50-top+117440512
.long ME58-top+117440512
.long ME60-top+117440512
.long ME68-top+117440512
.long ME70-top+117440512
.long ME78-top
.long ME79-top
.long ME7A-top
.long ME7B-top
.long ME7C-top
.long r_illegal-top+33554432
.long ME80-top+117440512
.long ME88-top+117440512
.long ME90-top+117440512
.long ME98-top+117440512
.long MEA0-top+117440512
.long MEA8-top+117440512
.long MEB0-top+117440512
.long MEB8-top
.long MEB9-top
.long MEBA-top
.long MEBB-top
.long MEBC-top
.long r_illegal-top+33554432
.long MEC0-top+117440512
.long MEC8-top+117440512
.long MED0-top+117440512
.long MED8-top+117440512
.long MEE0-top+117440512
.long MEE8-top+117440512
.long MEF0-top+117440512
.long MEF8-top
.long MEF9-top
.long MEFA-top
.long MEFB-top
.long MEFC-top
.long r_illegal-top+33554432
.long MF00-top+117440512
.long MF08-top+117440512
.long MF10-top+117440512
.long MF18-top+117440512
.long MF20-top+117440512
.long MF28-top+117440512
.long MF30-top+117440512
.long MF38-top
.long MF39-top
.long MF3A-top
.long MF3B-top
.long MF3C-top
.long r_illegal-top+33554432
.long MF40-top+117440512
.long MF48-top+117440512
.long MF50-top+117440512
.long MF58-top+117440512
.long MF60-top+117440512
.long MF68-top+117440512
.long MF70-top+117440512
.long MF78-top
.long MF79-top
.long MF7A-top
.long MF7B-top
.long MF7C-top
.long r_illegal-top+33554432
.long MF80-top+117440512
.long MF88-top+117440512
.long MF90-top+117440512
.long MF98-top+117440512
.long MFA0-top+117440512
.long MFA8-top+117440512
.long MFB0-top+117440512
.long MFB8-top
.long MFB9-top
.long MFBA-top
.long MFBB-top
.long MFBC-top
.long r_illegal-top+1107296256
.long N000-top+117440512
.long N008-top+117440512
.long N010-top+117440512
.long N018-top+117440512
.long N020-top+117440512
.long N028-top+117440512
.long N030-top+117440512
.long N038-top
.long N039-top
.long N03A-top
.long N03B-top
.long N03C-top
.long r_illegal-top+33554432
.long N040-top+117440512
.long N048-top+117440512
.long N050-top+117440512
.long N058-top+117440512
.long N060-top+117440512
.long N068-top+117440512
.long N070-top+117440512
.long N078-top
.long N079-top
.long N07A-top
.long N07B-top
.long N07C-top
.long r_illegal-top+33554432
.long N080-top+117440512
.long N088-top+117440512
.long N090-top+117440512
.long N098-top+117440512
.long N0A0-top+117440512
.long N0A8-top+117440512
.long N0B0-top+117440512
.long N0B8-top
.long N0B9-top
.long N0BA-top
.long N0BB-top
.long N0BC-top
.long r_illegal-top+33554432
.long N0C0-top+117440512
.long N0C8-top+117440512
.long N0D0-top+117440512
.long N0D8-top+117440512
.long N0E0-top+117440512
.long N0E8-top+117440512
.long N0F0-top+117440512
.long N0F8-top
.long N0F9-top
.long N0FA-top
.long N0FB-top
.long N0FC-top
.long r_illegal-top+33554432
.long N100-top+117440512
.long N108-top+117440512
.long N110-top+117440512
.long N118-top+117440512
.long N120-top+117440512
.long N128-top+117440512
.long N130-top+117440512
.long N138-top
.long N139-top
.long N13A-top
.long N13B-top
.long N13C-top
.long r_illegal-top+33554432
.long N140-top+117440512
.long N148-top+117440512
.long N150-top+117440512
.long N158-top+117440512
.long N160-top+117440512
.long N168-top+117440512
.long N170-top+117440512
.long N178-top
.long N179-top
.long N17A-top
.long N17B-top
.long N17C-top
.long r_illegal-top+33554432
.long N180-top+117440512
.long N188-top+117440512
.long N190-top+117440512
.long N198-top+117440512
.long N1A0-top+117440512
.long N1A8-top+117440512
.long N1B0-top+117440512
.long N1B8-top
.long N1B9-top
.long N1BA-top
.long N1BB-top
.long N1BC-top
.long r_illegal-top+33554432
.long N1C0-top+117440512
.long N1C8-top+117440512
.long N1D0-top+117440512
.long N1D8-top+117440512
.long N1E0-top+117440512
.long N1E8-top+117440512
.long N1F0-top+117440512
.long N1F8-top
.long N1F9-top
.long N1FA-top
.long N1FB-top
.long N1FC-top
.long r_illegal-top+33554432
.long N200-top+117440512
.long N208-top+117440512
.long N210-top+117440512
.long N218-top+117440512
.long N220-top+117440512
.long N228-top+117440512
.long N230-top+117440512
.long N238-top
.long N239-top
.long N23A-top
.long N23B-top
.long N23C-top
.long r_illegal-top+33554432
.long N240-top+117440512
.long N248-top+117440512
.long N250-top+117440512
.long N258-top+117440512
.long N260-top+117440512
.long N268-top+117440512
.long N270-top+117440512
.long N278-top
.long N279-top
.long N27A-top
.long N27B-top
.long N27C-top
.long r_illegal-top+33554432
.long N280-top+117440512
.long N288-top+117440512
.long N290-top+117440512
.long N298-top+117440512
.long N2A0-top+117440512
.long N2A8-top+117440512
.long N2B0-top+117440512
.long N2B8-top
.long N2B9-top
.long N2BA-top
.long N2BB-top
.long N2BC-top
.long r_illegal-top+33554432
.long N2C0-top+117440512
.long N2C8-top+117440512
.long N2D0-top+117440512
.long N2D8-top+117440512
.long N2E0-top+117440512
.long N2E8-top+117440512
.long N2F0-top+117440512
.long N2F8-top
.long N2F9-top
.long N2FA-top
.long N2FB-top
.long N2FC-top
.long r_illegal-top+33554432
.long N300-top+117440512
.long N308-top+117440512
.long N310-top+117440512
.long N318-top+117440512
.long N320-top+117440512
.long N328-top+117440512
.long N330-top+117440512
.long N338-top
.long N339-top
.long N33A-top
.long N33B-top
.long N33C-top
.long r_illegal-top+33554432
.long N340-top+117440512
.long N348-top+117440512
.long N350-top+117440512
.long N358-top+117440512
.long N360-top+117440512
.long N368-top+117440512
.long N370-top+117440512
.long N378-top
.long N379-top
.long N37A-top
.long N37B-top
.long N37C-top
.long r_illegal-top+33554432
.long N380-top+117440512
.long N388-top+117440512
.long N390-top+117440512
.long N398-top+117440512
.long N3A0-top+117440512
.long N3A8-top+117440512
.long N3B0-top+117440512
.long N3B8-top
.long N3B9-top
.long N3BA-top
.long N3BB-top
.long N3BC-top
.long r_illegal-top+33554432
.long N3C0-top+117440512
.long N3C8-top+117440512
.long N3D0-top+117440512
.long N3D8-top+117440512
.long N3E0-top+117440512
.long N3E8-top+117440512
.long N3F0-top+117440512
.long N3F8-top
.long N3F9-top
.long N3FA-top
.long N3FB-top
.long N3FC-top
.long r_illegal-top+33554432
.long N400-top+117440512
.long N408-top+117440512
.long N410-top+117440512
.long N418-top+117440512
.long N420-top+117440512
.long N428-top+117440512
.long N430-top+117440512
.long N438-top
.long N439-top
.long N43A-top
.long N43B-top
.long N43C-top
.long r_illegal-top+33554432
.long N440-top+117440512
.long N448-top+117440512
.long N450-top+117440512
.long N458-top+117440512
.long N460-top+117440512
.long N468-top+117440512
.long N470-top+117440512
.long N478-top
.long N479-top
.long N47A-top
.long N47B-top
.long N47C-top
.long r_illegal-top+33554432
.long N480-top+117440512
.long N488-top+117440512
.long N490-top+117440512
.long N498-top+117440512
.long N4A0-top+117440512
.long N4A8-top+117440512
.long N4B0-top+117440512
.long N4B8-top
.long N4B9-top
.long N4BA-top
.long N4BB-top
.long N4BC-top
.long r_illegal-top+33554432
.long N4C0-top+117440512
.long N4C8-top+117440512
.long N4D0-top+117440512
.long N4D8-top+117440512
.long N4E0-top+117440512
.long N4E8-top+117440512
.long N4F0-top+117440512
.long N4F8-top
.long N4F9-top
.long N4FA-top
.long N4FB-top
.long N4FC-top
.long r_illegal-top+33554432
.long N500-top+117440512
.long N508-top+117440512
.long N510-top+117440512
.long N518-top+117440512
.long N520-top+117440512
.long N528-top+117440512
.long N530-top+117440512
.long N538-top
.long N539-top
.long N53A-top
.long N53B-top
.long N53C-top
.long r_illegal-top+33554432
.long N540-top+117440512
.long N548-top+117440512
.long N550-top+117440512
.long N558-top+117440512
.long N560-top+117440512
.long N568-top+117440512
.long N570-top+117440512
.long N578-top
.long N579-top
.long N57A-top
.long N57B-top
.long N57C-top
.long r_illegal-top+33554432
.long N580-top+117440512
.long N588-top+117440512
.long N590-top+117440512
.long N598-top+117440512
.long N5A0-top+117440512
.long N5A8-top+117440512
.long N5B0-top+117440512
.long N5B8-top
.long N5B9-top
.long N5BA-top
.long N5BB-top
.long N5BC-top
.long r_illegal-top+1107296256
.long N600-top+117440512
.long N608-top+117440512
.long N610-top+117440512
.long N618-top+117440512
.long N620-top+117440512
.long N628-top+117440512
.long N630-top+117440512
.long N638-top
.long N639-top
.long N63A-top
.long N63B-top
.long N63C-top
.long r_illegal-top+33554432
.long N640-top+117440512
.long N648-top+117440512
.long N650-top+117440512
.long N658-top+117440512
.long N660-top+117440512
.long N668-top+117440512
.long N670-top+117440512
.long N678-top
.long N679-top
.long N67A-top
.long N67B-top
.long N67C-top
.long r_illegal-top+33554432
.long N680-top+117440512
.long N688-top+117440512
.long N690-top+117440512
.long N698-top+117440512
.long N6A0-top+117440512
.long N6A8-top+117440512
.long N6B0-top+117440512
.long N6B8-top
.long N6B9-top
.long N6BA-top
.long N6BB-top
.long N6BC-top
.long r_illegal-top+33554432
.long N6C0-top+117440512
.long N6C8-top+117440512
.long N6D0-top+117440512
.long N6D8-top+117440512
.long N6E0-top+117440512
.long N6E8-top+117440512
.long N6F0-top+117440512
.long N6F8-top
.long N6F9-top
.long N6FA-top
.long N6FB-top
.long N6FC-top
.long r_illegal-top+33554432
.long N700-top+117440512
.long N708-top+117440512
.long N710-top+117440512
.long N718-top+117440512
.long N720-top+117440512
.long N728-top+117440512
.long N730-top+117440512
.long N738-top
.long N739-top
.long N73A-top
.long N73B-top
.long N73C-top
.long r_illegal-top+33554432
.long N740-top+117440512
.long N748-top+117440512
.long N750-top+117440512
.long N758-top+117440512
.long N760-top+117440512
.long N768-top+117440512
.long N770-top+117440512
.long N778-top
.long N779-top
.long N77A-top
.long N77B-top
.long N77C-top
.long r_illegal-top+33554432
.long N780-top+117440512
.long N788-top+117440512
.long N790-top+117440512
.long N798-top+117440512
.long N7A0-top+117440512
.long N7A8-top+117440512
.long N7B0-top+117440512
.long N7B8-top
.long N7B9-top
.long N7BA-top
.long N7BB-top
.long N7BC-top
.long r_illegal-top+1107296256
.long N800-top+117440512
.long N808-top+117440512
.long N810-top+117440512
.long N818-top+117440512
.long N820-top+117440512
.long N828-top+117440512
.long N830-top+117440512
.long N838-top
.long N839-top
.long N83A-top
.long N83B-top
.long N83C-top
.long r_illegal-top+33554432
.long N840-top+117440512
.long N848-top+117440512
.long N850-top+117440512
.long N858-top+117440512
.long N860-top+117440512
.long N868-top+117440512
.long N870-top+117440512
.long N878-top
.long N879-top
.long N87A-top
.long N87B-top
.long N87C-top
.long r_illegal-top+33554432
.long N880-top+117440512
.long N888-top+117440512
.long N890-top+117440512
.long N898-top+117440512
.long N8A0-top+117440512
.long N8A8-top+117440512
.long N8B0-top+117440512
.long N8B8-top
.long N8B9-top
.long N8BA-top
.long N8BB-top
.long N8BC-top
.long r_illegal-top+33554432
.long N8C0-top+117440512
.long N8C8-top+117440512
.long N8D0-top+117440512
.long N8D8-top+117440512
.long N8E0-top+117440512
.long N8E8-top+117440512
.long N8F0-top+117440512
.long N8F8-top
.long N8F9-top
.long N8FA-top
.long N8FB-top
.long N8FC-top
.long r_illegal-top+33554432
.long N900-top+117440512
.long N908-top+117440512
.long N910-top+117440512
.long N918-top+117440512
.long N920-top+117440512
.long N928-top+117440512
.long N930-top+117440512
.long N938-top
.long N939-top
.long N93A-top
.long N93B-top
.long N93C-top
.long r_illegal-top+33554432
.long N940-top+117440512
.long N948-top+117440512
.long N950-top+117440512
.long N958-top+117440512
.long N960-top+117440512
.long N968-top+117440512
.long N970-top+117440512
.long N978-top
.long N979-top
.long N97A-top
.long N97B-top
.long N97C-top
.long r_illegal-top+33554432
.long N980-top+117440512
.long N988-top+117440512
.long N990-top+117440512
.long N998-top+117440512
.long N9A0-top+117440512
.long N9A8-top+117440512
.long N9B0-top+117440512
.long N9B8-top
.long N9B9-top
.long N9BA-top
.long N9BB-top
.long N9BC-top
.long r_illegal-top+1107296256
.long NA00-top+117440512
.long NA08-top+117440512
.long NA10-top+117440512
.long NA18-top+117440512
.long NA20-top+117440512
.long NA28-top+117440512
.long NA30-top+117440512
.long NA38-top
.long NA39-top
.long NA3A-top
.long NA3B-top
.long NA3C-top
.long r_illegal-top+33554432
.long NA40-top+117440512
.long NA48-top+117440512
.long NA50-top+117440512
.long NA58-top+117440512
.long NA60-top+117440512
.long NA68-top+117440512
.long NA70-top+117440512
.long NA78-top
.long NA79-top
.long NA7A-top
.long NA7B-top
.long NA7C-top
.long r_illegal-top+33554432
.long NA80-top+117440512
.long NA88-top+117440512
.long NA90-top+117440512
.long NA98-top+117440512
.long NAA0-top+117440512
.long NAA8-top+117440512
.long NAB0-top+117440512
.long NAB8-top
.long NAB9-top
.long NABA-top
.long NABB-top
.long NABC-top
.long r_illegal-top+33554432
.long NAC0-top+117440512
.long NAC8-top+117440512
.long NAD0-top+117440512
.long NAD8-top+117440512
.long NAE0-top+117440512
.long NAE8-top+117440512
.long NAF0-top+117440512
.long NAF8-top
.long NAF9-top
.long NAFA-top
.long NAFB-top
.long NAFC-top
.long r_illegal-top+33554432
.long NB00-top+117440512
.long NB08-top+117440512
.long NB10-top+117440512
.long NB18-top+117440512
.long NB20-top+117440512
.long NB28-top+117440512
.long NB30-top+117440512
.long NB38-top
.long NB39-top
.long NB3A-top
.long NB3B-top
.long NB3C-top
.long r_illegal-top+33554432
.long NB40-top+117440512
.long NB48-top+117440512
.long NB50-top+117440512
.long NB58-top+117440512
.long NB60-top+117440512
.long NB68-top+117440512
.long NB70-top+117440512
.long NB78-top
.long NB79-top
.long NB7A-top
.long NB7B-top
.long NB7C-top
.long r_illegal-top+33554432
.long NB80-top+117440512
.long NB88-top+117440512
.long NB90-top+117440512
.long NB98-top+117440512
.long NBA0-top+117440512
.long NBA8-top+117440512
.long NBB0-top+117440512
.long NBB8-top
.long NBB9-top
.long NBBA-top
.long NBBB-top
.long NBBC-top
.long r_illegal-top+1107296256
.long NC00-top+117440512
.long NC08-top+117440512
.long NC10-top+117440512
.long NC18-top+117440512
.long NC20-top+117440512
.long NC28-top+117440512
.long NC30-top+117440512
.long NC38-top
.long NC39-top
.long NC3A-top
.long NC3B-top
.long NC3C-top
.long r_illegal-top+33554432
.long NC40-top+117440512
.long NC48-top+117440512
.long NC50-top+117440512
.long NC58-top+117440512
.long NC60-top+117440512
.long NC68-top+117440512
.long NC70-top+117440512
.long NC78-top
.long NC79-top
.long NC7A-top
.long NC7B-top
.long NC7C-top
.long r_illegal-top+33554432
.long NC80-top+117440512
.long NC88-top+117440512
.long NC90-top+117440512
.long NC98-top+117440512
.long NCA0-top+117440512
.long NCA8-top+117440512
.long NCB0-top+117440512
.long NCB8-top
.long NCB9-top
.long NCBA-top
.long NCBB-top
.long NCBC-top
.long r_illegal-top+33554432
.long NCC0-top+117440512
.long NCC8-top+117440512
.long NCD0-top+117440512
.long NCD8-top+117440512
.long NCE0-top+117440512
.long NCE8-top+117440512
.long NCF0-top+117440512
.long NCF8-top
.long NCF9-top
.long NCFA-top
.long NCFB-top
.long NCFC-top
.long r_illegal-top+33554432
.long ND00-top+117440512
.long ND08-top+117440512
.long ND10-top+117440512
.long ND18-top+117440512
.long ND20-top+117440512
.long ND28-top+117440512
.long ND30-top+117440512
.long ND38-top
.long ND39-top
.long ND3A-top
.long ND3B-top
.long ND3C-top
.long r_illegal-top+33554432
.long ND40-top+117440512
.long ND48-top+117440512
.long ND50-top+117440512
.long ND58-top+117440512
.long ND60-top+117440512
.long ND68-top+117440512
.long ND70-top+117440512
.long ND78-top
.long ND79-top
.long ND7A-top
.long ND7B-top
.long ND7C-top
.long r_illegal-top+33554432
.long ND80-top+117440512
.long ND88-top+117440512
.long ND90-top+117440512
.long ND98-top+117440512
.long NDA0-top+117440512
.long NDA8-top+117440512
.long NDB0-top+117440512
.long NDB8-top
.long NDB9-top
.long NDBA-top
.long NDBB-top
.long NDBC-top
.long r_illegal-top+1107296256
.long NE00-top+117440512
.long NE08-top+117440512
.long NE10-top+117440512
.long NE18-top+117440512
.long NE20-top+117440512
.long NE28-top+117440512
.long NE30-top+117440512
.long NE38-top
.long NE39-top
.long NE3A-top
.long NE3B-top
.long NE3C-top
.long r_illegal-top+33554432
.long NE40-top+117440512
.long NE48-top+117440512
.long NE50-top+117440512
.long NE58-top+117440512
.long NE60-top+117440512
.long NE68-top+117440512
.long NE70-top+117440512
.long NE78-top
.long NE79-top
.long NE7A-top
.long NE7B-top
.long NE7C-top
.long r_illegal-top+33554432
.long NE80-top+117440512
.long NE88-top+117440512
.long NE90-top+117440512
.long NE98-top+117440512
.long NEA0-top+117440512
.long NEA8-top+117440512
.long NEB0-top+117440512
.long NEB8-top
.long NEB9-top
.long NEBA-top
.long NEBB-top
.long NEBC-top
.long r_illegal-top+33554432
.long NEC0-top+117440512
.long NEC8-top+117440512
.long NED0-top+117440512
.long NED8-top+117440512
.long NEE0-top+117440512
.long NEE8-top+117440512
.long NEF0-top+117440512
.long NEF8-top
.long NEF9-top
.long NEFA-top
.long NEFB-top
.long NEFC-top
.long r_illegal-top+33554432
.long NF00-top+117440512
.long NF08-top+117440512
.long NF10-top+117440512
.long NF18-top+117440512
.long NF20-top+117440512
.long NF28-top+117440512
.long NF30-top+117440512
.long NF38-top
.long NF39-top
.long NF3A-top
.long NF3B-top
.long NF3C-top
.long r_illegal-top+33554432
.long NF40-top+117440512
.long NF48-top+117440512
.long NF50-top+117440512
.long NF58-top+117440512
.long NF60-top+117440512
.long NF68-top+117440512
.long NF70-top+117440512
.long NF78-top
.long NF79-top
.long NF7A-top
.long NF7B-top
.long NF7C-top
.long r_illegal-top+33554432
.long NF80-top+117440512
.long NF88-top+117440512
.long NF90-top+117440512
.long NF98-top+117440512
.long NFA0-top+117440512
.long NFA8-top+117440512
.long NFB0-top+117440512
.long NFB8-top
.long NFB9-top
.long NFBA-top
.long NFBB-top
.long NFBC-top
.long r_illegal-top+1107296256
.long O000-top+117440512
.long r_illegal-top+117440512
.long O010-top+117440512
.long O018-top+117440512
.long O020-top+117440512
.long O028-top+117440512
.long O030-top+117440512
.long O038-top
.long O039-top
.long r_illegal-top+83886080
.long O040-top+117440512
.long r_illegal-top+117440512
.long O050-top+117440512
.long O058-top+117440512
.long O060-top+117440512
.long O068-top+117440512
.long O070-top+117440512
.long O078-top
.long O079-top
.long r_illegal-top+83886080
.long O080-top+117440512
.long r_illegal-top+117440512
.long O090-top+117440512
.long O098-top+117440512
.long O0A0-top+117440512
.long O0A8-top+117440512
.long O0B0-top+117440512
.long O0B8-top
.long O0B9-top
.long r_illegal-top+83886080
.long O0C0-top+117440512
.long r_illegal-top+117440512
.long O0D0-top+117440512
.long O0D8-top+117440512
.long O0E0-top+117440512
.long O0E8-top+117440512
.long O0F0-top+117440512
.long O0F8-top
.long O0F9-top
.long r_illegal-top+2231369728
.long O180-top+117440512
.long r_illegal-top+117440512
.long O190-top+117440512
.long O198-top+117440512
.long O1A0-top+117440512
.long O1A8-top+117440512
.long O1B0-top+117440512
.long O1B8-top
.long O1B9-top
.long O1BA-top
.long O1BB-top
.long O1BC-top
.long r_illegal-top+301989888
.long O1D0-top+117440512
.long r_illegal-top+251658240
.long O1E8-top+117440512
.long O1F0-top+117440512
.long O1F8-top
.long O1F9-top
.long O1FA-top
.long O1FB-top
.long r_illegal-top+50331648
.long O200-top+117440512
.long r_illegal-top+117440512
.long O210-top+117440512
.long O218-top+117440512
.long O220-top+117440512
.long O228-top+117440512
.long O230-top+117440512
.long O238-top
.long O239-top
.long r_illegal-top+83886080
.long O240-top+117440512
.long r_illegal-top+117440512
.long O250-top+117440512
.long O258-top+117440512
.long O260-top+117440512
.long O268-top+117440512
.long O270-top+117440512
.long O278-top
.long O279-top
.long r_illegal-top+83886080
.long O280-top+117440512
.long r_illegal-top+117440512
.long O290-top+117440512
.long O298-top+117440512
.long O2A0-top+117440512
.long O2A8-top+117440512
.long O2B0-top+117440512
.long O2B8-top
.long O2B9-top
.long r_illegal-top+3305111552
.long O380-top+117440512
.long r_illegal-top+117440512
.long O390-top+117440512
.long O398-top+117440512
.long O3A0-top+117440512
.long O3A8-top+117440512
.long O3B0-top+117440512
.long O3B8-top
.long O3B9-top
.long O3BA-top
.long O3BB-top
.long O3BC-top
.long r_illegal-top+301989888
.long O3D0-top+117440512
.long r_illegal-top+251658240
.long O3E8-top+117440512
.long O3F0-top+117440512
.long O3F8-top
.long O3F9-top
.long O3FA-top
.long O3FB-top
.long r_illegal-top+50331648
.long O400-top+117440512
.long r_illegal-top+117440512
.long O410-top+117440512
.long O418-top+117440512
.long O420-top+117440512
.long O428-top+117440512
.long O430-top+117440512
.long O438-top
.long O439-top
.long r_illegal-top+83886080
.long O440-top+117440512
.long r_illegal-top+117440512
.long O450-top+117440512
.long O458-top+117440512
.long O460-top+117440512
.long O468-top+117440512
.long O470-top+117440512
.long O478-top
.long O479-top
.long r_illegal-top+83886080
.long O480-top+117440512
.long r_illegal-top+117440512
.long O490-top+117440512
.long O498-top+117440512
.long O4A0-top+117440512
.long O4A8-top+117440512
.long O4B0-top+117440512
.long O4B8-top
.long O4B9-top
.long r_illegal-top+83886080
.long O4C0-top+117440512
.long r_illegal-top+117440512
.long O4D0-top+117440512
.long O4D8-top+117440512
.long O4E0-top+117440512
.long O4E8-top+117440512
.long O4F0-top+117440512
.long O4F8-top
.long O4F9-top
.long O4FA-top
.long O4FB-top
.long O4FC-top
.long r_illegal-top+2181038080
.long O580-top+117440512
.long r_illegal-top+117440512
.long O590-top+117440512
.long O598-top+117440512
.long O5A0-top+117440512
.long O5A8-top+117440512
.long O5B0-top+117440512
.long O5B8-top
.long O5B9-top
.long O5BA-top
.long O5BB-top
.long O5BC-top
.long r_illegal-top+301989888
.long O5D0-top+117440512
.long r_illegal-top+251658240
.long O5E8-top+117440512
.long O5F0-top+117440512
.long O5F8-top
.long O5F9-top
.long O5FA-top
.long O5FB-top
.long r_illegal-top+50331648
.long O600-top+117440512
.long r_illegal-top+117440512
.long O610-top+117440512
.long O618-top+117440512
.long O620-top+117440512
.long O628-top+117440512
.long O630-top+117440512
.long O638-top
.long O639-top
.long r_illegal-top+83886080
.long O640-top+117440512
.long r_illegal-top+117440512
.long O650-top+117440512
.long O658-top+117440512
.long O660-top+117440512
.long O668-top+117440512
.long O670-top+117440512
.long O678-top
.long O679-top
.long r_illegal-top+83886080
.long O680-top+117440512
.long r_illegal-top+117440512
.long O690-top+117440512
.long O698-top+117440512
.long O6A0-top+117440512
.long O6A8-top+117440512
.long O6B0-top+117440512
.long O6B8-top
.long O6B9-top
.long r_illegal-top+83886080
.long O6C0-top+117440512
.long r_illegal-top+117440512
.long O6D0-top+117440512
.long O6D8-top+117440512
.long O6E0-top+117440512
.long O6E8-top+117440512
.long O6F0-top+117440512
.long O6F8-top
.long O6F9-top
.long O6FA-top
.long O6FB-top
.long O6FC-top
.long r_illegal-top+2181038080
.long O780-top+117440512
.long r_illegal-top+117440512
.long O790-top+117440512
.long O798-top+117440512
.long O7A0-top+117440512
.long O7A8-top+117440512
.long O7B0-top+117440512
.long O7B8-top
.long O7B9-top
.long O7BA-top
.long O7BB-top
.long O7BC-top
.long r_illegal-top+301989888
.long O7D0-top+117440512
.long r_illegal-top+251658240
.long O7E8-top+117440512
.long O7F0-top+117440512
.long O7F8-top
.long O7F9-top
.long O7FA-top
.long O7FB-top
.long r_illegal-top+50331648
.long O800-top+117440512
.long r_illegal-top+117440512
.long O810-top+117440512
.long O818-top+117440512
.long O820-top+117440512
.long O828-top+117440512
.long O830-top+117440512
.long O838-top
.long O839-top
.long r_illegal-top+83886080
.long O840-top+117440512
.long r_illegal-top+117440512
.long O850-top+117440512
.long r_illegal-top+251658240
.long O868-top+117440512
.long O870-top+117440512
.long O878-top
.long O879-top
.long O87A-top
.long O87B-top
.long r_illegal-top+50331648
.long O880-top+117440512
.long r_illegal-top+117440512
.long O890-top+117440512
.long r_illegal-top+117440512
.long O8A0-top+117440512
.long O8A8-top+117440512
.long O8B0-top+117440512
.long O8B8-top
.long O8B9-top
.long r_illegal-top+83886080
.long O8C0-top+117440512
.long r_illegal-top+117440512
.long O8D0-top+117440512
.long r_illegal-top+117440512
.long O8E0-top+117440512
.long O8E8-top+117440512
.long O8F0-top+117440512
.long O8F8-top
.long O8F9-top
.long r_illegal-top+2231369728
.long O980-top+117440512
.long r_illegal-top+117440512
.long O990-top+117440512
.long O998-top+117440512
.long O9A0-top+117440512
.long O9A8-top+117440512
.long O9B0-top+117440512
.long O9B8-top
.long O9B9-top
.long O9BA-top
.long O9BB-top
.long O9BC-top
.long r_illegal-top+301989888
.long O9D0-top+117440512
.long r_illegal-top+251658240
.long O9E8-top+117440512
.long O9F0-top+117440512
.long O9F8-top
.long O9F9-top
.long O9FA-top
.long O9FB-top
.long r_illegal-top+50331648
.long OA00-top+117440512
.long r_illegal-top+117440512
.long OA10-top+117440512
.long OA18-top+117440512
.long OA20-top+117440512
.long OA28-top+117440512
.long OA30-top+117440512
.long OA38-top
.long OA39-top
.long r_illegal-top+83886080
.long OA40-top+117440512
.long r_illegal-top+117440512
.long OA50-top+117440512
.long OA58-top+117440512
.long OA60-top+117440512
.long OA68-top+117440512
.long OA70-top+117440512
.long OA78-top
.long OA79-top
.long r_illegal-top+83886080
.long OA80-top+117440512
.long r_illegal-top+117440512
.long OA90-top+117440512
.long OA98-top+117440512
.long OAA0-top+117440512
.long OAA8-top+117440512
.long OAB0-top+117440512
.long OAB8-top
.long OAB9-top
.long r_illegal-top+83886080
.long OAC0-top+117440512
.long r_illegal-top+117440512
.long OAD0-top+117440512
.long OAD8-top+117440512
.long OAE0-top+117440512
.long OAE8-top+117440512
.long OAF0-top+117440512
.long OAF8-top
.long OAF9-top
.long OAFA-top
.long OAFB-top
.long OAFC-top
.long r_illegal-top+2181038080
.long OB80-top+117440512
.long r_illegal-top+117440512
.long OB90-top+117440512
.long OB98-top+117440512
.long OBA0-top+117440512
.long OBA8-top+117440512
.long OBB0-top+117440512
.long OBB8-top
.long OBB9-top
.long OBBA-top
.long OBBB-top
.long OBBC-top
.long r_illegal-top+301989888
.long OBD0-top+117440512
.long r_illegal-top+251658240
.long OBE8-top+117440512
.long OBF0-top+117440512
.long OBF8-top
.long OBF9-top
.long OBFA-top
.long OBFB-top
.long r_illegal-top+2466250752
.long OC90-top+117440512
.long OC98-top+117440512
.long r_illegal-top+117440512
.long OCA8-top+117440512
.long OCB0-top+117440512
.long OCB8-top
.long OCB9-top
.long OCBA-top
.long OCBB-top
.long r_illegal-top+318767104
.long OCD0-top+117440512
.long OCD8-top+117440512
.long r_illegal-top+117440512
.long OCE8-top+117440512
.long OCF0-top+117440512
.long OCF8-top
.long OCF9-top
.long OCFA-top
.long OCFB-top
.long r_illegal-top+2197815296
.long OD80-top+117440512
.long r_illegal-top+117440512
.long OD90-top+117440512
.long OD98-top+117440512
.long ODA0-top+117440512
.long ODA8-top+117440512
.long ODB0-top+117440512
.long ODB8-top
.long ODB9-top
.long ODBA-top
.long ODBB-top
.long ODBC-top
.long r_illegal-top+301989888
.long ODD0-top+117440512
.long r_illegal-top+251658240
.long ODE8-top+117440512
.long ODF0-top+117440512
.long ODF8-top
.long ODF9-top
.long ODFA-top
.long ODFB-top
.long r_illegal-top+1124073472
.long OE40-top+251658240
.long OE50-top+117440512
.long OE58-top+117440512
.long OE60-top+117440512
.long OE68-top+117440512
.long OE70-top
.long OE71-top
.long OE72-top
.long OE73-top
.long r_illegal-top
.long OE75-top
.long OE76-top
.long OE77-top
.long r_illegal-top+385875968
.long OE90-top+117440512
.long r_illegal-top+251658240
.long OEA8-top+117440512
.long OEB0-top+117440512
.long OEB8-top
.long OEB9-top
.long OEBA-top
.long OEBB-top
.long r_illegal-top+318767104
.long OED0-top+117440512
.long r_illegal-top+251658240
.long OEE8-top+117440512
.long OEF0-top+117440512
.long OEF8-top
.long OEF9-top
.long OEFA-top
.long OEFB-top
.long r_illegal-top+2197815296
.long OF80-top+117440512
.long r_illegal-top+117440512
.long OF90-top+117440512
.long OF98-top+117440512
.long OFA0-top+117440512
.long OFA8-top+117440512
.long OFB0-top+117440512
.long OFB8-top
.long OFB9-top
.long OFBA-top
.long OFBB-top
.long OFBC-top
.long r_illegal-top+301989888
.long OFD0-top+117440512
.long r_illegal-top+251658240
.long OFE8-top+117440512
.long OFF0-top+117440512
.long OFF8-top
.long OFF9-top
.long OFFA-top
.long OFFB-top
.long r_illegal-top+50331648
.long P000-top+117440512
.long P008-top+117440512
.long P010-top+117440512
.long P018-top+117440512
.long P020-top+117440512
.long P028-top+117440512
.long P030-top+117440512
.long P038-top
.long P039-top
.long r_illegal-top+83886080
.long P040-top+117440512
.long P048-top+117440512
.long P050-top+117440512
.long P058-top+117440512
.long P060-top+117440512
.long P068-top+117440512
.long P070-top+117440512
.long P078-top
.long P079-top
.long r_illegal-top+83886080
.long P080-top+117440512
.long P088-top+117440512
.long P090-top+117440512
.long P098-top+117440512
.long P0A0-top+117440512
.long P0A8-top+117440512
.long P0B0-top+117440512
.long P0B8-top
.long P0B9-top
.long r_illegal-top+83886080
.long P0C0-top+117440512
.long P0C8-top+117440512
.long P0D0-top+117440512
.long P0D8-top+117440512
.long P0E0-top+117440512
.long P0E8-top+117440512
.long P0F0-top+117440512
.long P0F8-top
.long P0F9-top
.long r_illegal-top+83886080
.long P100-top+117440512
.long P108-top+117440512
.long P110-top+117440512
.long P118-top+117440512
.long P120-top+117440512
.long P128-top+117440512
.long P130-top+117440512
.long P138-top
.long P139-top
.long r_illegal-top+83886080
.long P140-top+117440512
.long P148-top+117440512
.long P150-top+117440512
.long P158-top+117440512
.long P160-top+117440512
.long P168-top+117440512
.long P170-top+117440512
.long P178-top
.long P179-top
.long r_illegal-top+83886080
.long P180-top+117440512
.long P188-top+117440512
.long P190-top+117440512
.long P198-top+117440512
.long P1A0-top+117440512
.long P1A8-top+117440512
.long P1B0-top+117440512
.long P1B8-top
.long P1B9-top
.long r_illegal-top+83886080
.long P1C0-top+117440512
.long P1C8-top+117440512
.long P1D0-top+117440512
.long P1D8-top+117440512
.long P1E0-top+117440512
.long P1E8-top+117440512
.long P1F0-top+117440512
.long P1F8-top
.long P1F9-top
.long r_illegal-top+83886080
.long P200-top+117440512
.long P208-top+117440512
.long P210-top+117440512
.long P218-top+117440512
.long P220-top+117440512
.long P228-top+117440512
.long P230-top+117440512
.long P238-top
.long P239-top
.long r_illegal-top+83886080
.long P240-top+117440512
.long P248-top+117440512
.long P250-top+117440512
.long P258-top+117440512
.long P260-top+117440512
.long P268-top+117440512
.long P270-top+117440512
.long P278-top
.long P279-top
.long r_illegal-top+83886080
.long P280-top+117440512
.long P288-top+117440512
.long P290-top+117440512
.long P298-top+117440512
.long P2A0-top+117440512
.long P2A8-top+117440512
.long P2B0-top+117440512
.long P2B8-top
.long P2B9-top
.long r_illegal-top+83886080
.long P2C0-top+117440512
.long P2C8-top+117440512
.long P2D0-top+117440512
.long P2D8-top+117440512
.long P2E0-top+117440512
.long P2E8-top+117440512
.long P2F0-top+117440512
.long P2F8-top
.long P2F9-top
.long r_illegal-top+83886080
.long P300-top+117440512
.long P308-top+117440512
.long P310-top+117440512
.long P318-top+117440512
.long P320-top+117440512
.long P328-top+117440512
.long P330-top+117440512
.long P338-top
.long P339-top
.long r_illegal-top+83886080
.long P340-top+117440512
.long P348-top+117440512
.long P350-top+117440512
.long P358-top+117440512
.long P360-top+117440512
.long P368-top+117440512
.long P370-top+117440512
.long P378-top
.long P379-top
.long r_illegal-top+83886080
.long P380-top+117440512
.long P388-top+117440512
.long P390-top+117440512
.long P398-top+117440512
.long P3A0-top+117440512
.long P3A8-top+117440512
.long P3B0-top+117440512
.long P3B8-top
.long P3B9-top
.long r_illegal-top+83886080
.long P3C0-top+117440512
.long P3C8-top+117440512
.long P3D0-top+117440512
.long P3D8-top+117440512
.long P3E0-top+117440512
.long P3E8-top+117440512
.long P3F0-top+117440512
.long P3F8-top
.long P3F9-top
.long r_illegal-top+83886080
.long P400-top+117440512
.long P408-top+117440512
.long P410-top+117440512
.long P418-top+117440512
.long P420-top+117440512
.long P428-top+117440512
.long P430-top+117440512
.long P438-top
.long P439-top
.long r_illegal-top+83886080
.long P440-top+117440512
.long P448-top+117440512
.long P450-top+117440512
.long P458-top+117440512
.long P460-top+117440512
.long P468-top+117440512
.long P470-top+117440512
.long P478-top
.long P479-top
.long r_illegal-top+83886080
.long P480-top+117440512
.long P488-top+117440512
.long P490-top+117440512
.long P498-top+117440512
.long P4A0-top+117440512
.long P4A8-top+117440512
.long P4B0-top+117440512
.long P4B8-top
.long P4B9-top
.long r_illegal-top+83886080
.long P4C0-top+117440512
.long P4C8-top+117440512
.long P4D0-top+117440512
.long P4D8-top+117440512
.long P4E0-top+117440512
.long P4E8-top+117440512
.long P4F0-top+117440512
.long P4F8-top
.long P4F9-top
.long r_illegal-top+83886080
.long P500-top+117440512
.long P508-top+117440512
.long P510-top+117440512
.long P518-top+117440512
.long P520-top+117440512
.long P528-top+117440512
.long P530-top+117440512
.long P538-top
.long P539-top
.long r_illegal-top+83886080
.long P540-top+117440512
.long P548-top+117440512
.long P550-top+117440512
.long P558-top+117440512
.long P560-top+117440512
.long P568-top+117440512
.long P570-top+117440512
.long P578-top
.long P579-top
.long r_illegal-top+83886080
.long P580-top+117440512
.long P588-top+117440512
.long P590-top+117440512
.long P598-top+117440512
.long P5A0-top+117440512
.long P5A8-top+117440512
.long P5B0-top+117440512
.long P5B8-top
.long P5B9-top
.long r_illegal-top+83886080
.long P5C0-top+117440512
.long P5C8-top+117440512
.long P5D0-top+117440512
.long P5D8-top+117440512
.long P5E0-top+117440512
.long P5E8-top+117440512
.long P5F0-top+117440512
.long P5F8-top
.long P5F9-top
.long r_illegal-top+83886080
.long P600-top+117440512
.long P608-top+117440512
.long P610-top+117440512
.long P618-top+117440512
.long P620-top+117440512
.long P628-top+117440512
.long P630-top+117440512
.long P638-top
.long P639-top
.long r_illegal-top+83886080
.long P640-top+117440512
.long P648-top+117440512
.long P650-top+117440512
.long P658-top+117440512
.long P660-top+117440512
.long P668-top+117440512
.long P670-top+117440512
.long P678-top
.long P679-top
.long r_illegal-top+83886080
.long P680-top+117440512
.long P688-top+117440512
.long P690-top+117440512
.long P698-top+117440512
.long P6A0-top+117440512
.long P6A8-top+117440512
.long P6B0-top+117440512
.long P6B8-top
.long P6B9-top
.long r_illegal-top+83886080
.long P6C0-top+117440512
.long P6C8-top+117440512
.long P6D0-top+117440512
.long P6D8-top+117440512
.long P6E0-top+117440512
.long P6E8-top+117440512
.long P6F0-top+117440512
.long P6F8-top
.long P6F9-top
.long r_illegal-top+83886080
.long P700-top+117440512
.long P708-top+117440512
.long P710-top+117440512
.long P718-top+117440512
.long P720-top+117440512
.long P728-top+117440512
.long P730-top+117440512
.long P738-top
.long P739-top
.long r_illegal-top+83886080
.long P740-top+117440512
.long P748-top+117440512
.long P750-top+117440512
.long P758-top+117440512
.long P760-top+117440512
.long P768-top+117440512
.long P770-top+117440512
.long P778-top
.long P779-top
.long r_illegal-top+83886080
.long P780-top+117440512
.long P788-top+117440512
.long P790-top+117440512
.long P798-top+117440512
.long P7A0-top+117440512
.long P7A8-top+117440512
.long P7B0-top+117440512
.long P7B8-top
.long P7B9-top
.long r_illegal-top+83886080
.long P7C0-top+117440512
.long P7C8-top+117440512
.long P7D0-top+117440512
.long P7D8-top+117440512
.long P7E0-top+117440512
.long P7E8-top+117440512
.long P7F0-top+117440512
.long P7F8-top
.long P7F9-top
.long r_illegal-top+83886080
.long P800-top+117440512
.long P808-top+117440512
.long P810-top+117440512
.long P818-top+117440512
.long P820-top+117440512
.long P828-top+117440512
.long P830-top+117440512
.long P838-top
.long P839-top
.long r_illegal-top+83886080
.long P840-top+117440512
.long P848-top+117440512
.long P850-top+117440512
.long P858-top+117440512
.long P860-top+117440512
.long P868-top+117440512
.long P870-top+117440512
.long P878-top
.long P879-top
.long r_illegal-top+83886080
.long P880-top+117440512
.long P888-top+117440512
.long P890-top+117440512
.long P898-top+117440512
.long P8A0-top+117440512
.long P8A8-top+117440512
.long P8B0-top+117440512
.long P8B8-top
.long P8B9-top
.long r_illegal-top+83886080
.long P8C0-top+117440512
.long P8C8-top+117440512
.long P8D0-top+117440512
.long P8D8-top+117440512
.long P8E0-top+117440512
.long P8E8-top+117440512
.long P8F0-top+117440512
.long P8F8-top
.long P8F9-top
.long r_illegal-top+83886080
.long P900-top+117440512
.long P908-top+117440512
.long P910-top+117440512
.long P918-top+117440512
.long P920-top+117440512
.long P928-top+117440512
.long P930-top+117440512
.long P938-top
.long P939-top
.long r_illegal-top+83886080
.long P940-top+117440512
.long P948-top+117440512
.long P950-top+117440512
.long P958-top+117440512
.long P960-top+117440512
.long P968-top+117440512
.long P970-top+117440512
.long P978-top
.long P979-top
.long r_illegal-top+83886080
.long P980-top+117440512
.long P988-top+117440512
.long P990-top+117440512
.long P998-top+117440512
.long P9A0-top+117440512
.long P9A8-top+117440512
.long P9B0-top+117440512
.long P9B8-top
.long P9B9-top
.long r_illegal-top+83886080
.long P9C0-top+117440512
.long P9C8-top+117440512
.long P9D0-top+117440512
.long P9D8-top+117440512
.long P9E0-top+117440512
.long P9E8-top+117440512
.long P9F0-top+117440512
.long P9F8-top
.long P9F9-top
.long r_illegal-top+83886080
.long PA00-top+117440512
.long PA08-top+117440512
.long PA10-top+117440512
.long PA18-top+117440512
.long PA20-top+117440512
.long PA28-top+117440512
.long PA30-top+117440512
.long PA38-top
.long PA39-top
.long r_illegal-top+83886080
.long PA40-top+117440512
.long PA48-top+117440512
.long PA50-top+117440512
.long PA58-top+117440512
.long PA60-top+117440512
.long PA68-top+117440512
.long PA70-top+117440512
.long PA78-top
.long PA79-top
.long r_illegal-top+83886080
.long PA80-top+117440512
.long PA88-top+117440512
.long PA90-top+117440512
.long PA98-top+117440512
.long PAA0-top+117440512
.long PAA8-top+117440512
.long PAB0-top+117440512
.long PAB8-top
.long PAB9-top
.long r_illegal-top+83886080
.long PAC0-top+117440512
.long PAC8-top+117440512
.long PAD0-top+117440512
.long PAD8-top+117440512
.long PAE0-top+117440512
.long PAE8-top+117440512
.long PAF0-top+117440512
.long PAF8-top
.long PAF9-top
.long r_illegal-top+83886080
.long PB00-top+117440512
.long PB08-top+117440512
.long PB10-top+117440512
.long PB18-top+117440512
.long PB20-top+117440512
.long PB28-top+117440512
.long PB30-top+117440512
.long PB38-top
.long PB39-top
.long r_illegal-top+83886080
.long PB40-top+117440512
.long PB48-top+117440512
.long PB50-top+117440512
.long PB58-top+117440512
.long PB60-top+117440512
.long PB68-top+117440512
.long PB70-top+117440512
.long PB78-top
.long PB79-top
.long r_illegal-top+83886080
.long PB80-top+117440512
.long PB88-top+117440512
.long PB90-top+117440512
.long PB98-top+117440512
.long PBA0-top+117440512
.long PBA8-top+117440512
.long PBB0-top+117440512
.long PBB8-top
.long PBB9-top
.long r_illegal-top+83886080
.long PBC0-top+117440512
.long PBC8-top+117440512
.long PBD0-top+117440512
.long PBD8-top+117440512
.long PBE0-top+117440512
.long PBE8-top+117440512
.long PBF0-top+117440512
.long PBF8-top
.long PBF9-top
.long r_illegal-top+83886080
.long PC00-top+117440512
.long PC08-top+117440512
.long PC10-top+117440512
.long PC18-top+117440512
.long PC20-top+117440512
.long PC28-top+117440512
.long PC30-top+117440512
.long PC38-top
.long PC39-top
.long r_illegal-top+83886080
.long PC40-top+117440512
.long PC48-top+117440512
.long PC50-top+117440512
.long PC58-top+117440512
.long PC60-top+117440512
.long PC68-top+117440512
.long PC70-top+117440512
.long PC78-top
.long PC79-top
.long r_illegal-top+83886080
.long PC80-top+117440512
.long PC88-top+117440512
.long PC90-top+117440512
.long PC98-top+117440512
.long PCA0-top+117440512
.long PCA8-top+117440512
.long PCB0-top+117440512
.long PCB8-top
.long PCB9-top
.long r_illegal-top+83886080
.long PCC0-top+117440512
.long PCC8-top+117440512
.long PCD0-top+117440512
.long PCD8-top+117440512
.long PCE0-top+117440512
.long PCE8-top+117440512
.long PCF0-top+117440512
.long PCF8-top
.long PCF9-top
.long r_illegal-top+83886080
.long PD00-top+117440512
.long PD08-top+117440512
.long PD10-top+117440512
.long PD18-top+117440512
.long PD20-top+117440512
.long PD28-top+117440512
.long PD30-top+117440512
.long PD38-top
.long PD39-top
.long r_illegal-top+83886080
.long PD40-top+117440512
.long PD48-top+117440512
.long PD50-top+117440512
.long PD58-top+117440512
.long PD60-top+117440512
.long PD68-top+117440512
.long PD70-top+117440512
.long PD78-top
.long PD79-top
.long r_illegal-top+83886080
.long PD80-top+117440512
.long PD88-top+117440512
.long PD90-top+117440512
.long PD98-top+117440512
.long PDA0-top+117440512
.long PDA8-top+117440512
.long PDB0-top+117440512
.long PDB8-top
.long PDB9-top
.long r_illegal-top+83886080
.long PDC0-top+117440512
.long PDC8-top+117440512
.long PDD0-top+117440512
.long PDD8-top+117440512
.long PDE0-top+117440512
.long PDE8-top+117440512
.long PDF0-top+117440512
.long PDF8-top
.long PDF9-top
.long r_illegal-top+83886080
.long PE00-top+117440512
.long PE08-top+117440512
.long PE10-top+117440512
.long PE18-top+117440512
.long PE20-top+117440512
.long PE28-top+117440512
.long PE30-top+117440512
.long PE38-top
.long PE39-top
.long r_illegal-top+83886080
.long PE40-top+117440512
.long PE48-top+117440512
.long PE50-top+117440512
.long PE58-top+117440512
.long PE60-top+117440512
.long PE68-top+117440512
.long PE70-top+117440512
.long PE78-top
.long PE79-top
.long r_illegal-top+83886080
.long PE80-top+117440512
.long PE88-top+117440512
.long PE90-top+117440512
.long PE98-top+117440512
.long PEA0-top+117440512
.long PEA8-top+117440512
.long PEB0-top+117440512
.long PEB8-top
.long PEB9-top
.long r_illegal-top+83886080
.long PEC0-top+117440512
.long PEC8-top+117440512
.long PED0-top+117440512
.long PED8-top+117440512
.long PEE0-top+117440512
.long PEE8-top+117440512
.long PEF0-top+117440512
.long PEF8-top
.long PEF9-top
.long r_illegal-top+83886080
.long PF00-top+117440512
.long PF08-top+117440512
.long PF10-top+117440512
.long PF18-top+117440512
.long PF20-top+117440512
.long PF28-top+117440512
.long PF30-top+117440512
.long PF38-top
.long PF39-top
.long r_illegal-top+83886080
.long PF40-top+117440512
.long PF48-top+117440512
.long PF50-top+117440512
.long PF58-top+117440512
.long PF60-top+117440512
.long PF68-top+117440512
.long PF70-top+117440512
.long PF78-top
.long PF79-top
.long r_illegal-top+83886080
.long PF80-top+117440512
.long PF88-top+117440512
.long PF90-top+117440512
.long PF98-top+117440512
.long PFA0-top+117440512
.long PFA8-top+117440512
.long PFB0-top+117440512
.long PFB8-top
.long PFB9-top
.long r_illegal-top+83886080
.long PFC0-top+117440512
.long PFC8-top+117440512
.long PFD0-top+117440512
.long PFD8-top+117440512
.long PFE0-top+117440512
.long PFE8-top+117440512
.long PFF0-top+117440512
.long PFF8-top
.long PFF9-top
.long r_illegal-top+83886080
.long Q000-top
.long Q001-top+4261412864
.long Q100-top
.long Q101-top+4261412864
.long Q200-top
.long Q201-top+4261412864
.long Q300-top
.long Q301-top+4261412864
.long Q400-top
.long Q401-top+4261412864
.long Q500-top
.long Q501-top+4261412864
.long Q600-top
.long Q601-top+4261412864
.long Q700-top
.long Q701-top+4261412864
.long Q800-top
.long Q801-top+4261412864
.long Q900-top
.long Q901-top+4261412864
.long QA00-top
.long QA01-top+4261412864
.long QB00-top
.long QB01-top+4261412864
.long QC00-top
.long QC01-top+4261412864
.long QD00-top
.long QD01-top+4261412864
.long QE00-top
.long QE01-top+4261412864
.long QF00-top
.long QF01-top+4261412864
.long R000-top+4278190080
.long r_illegal-top+4278190080
.long R200-top+4278190080
.long r_illegal-top+4278190080
.long R400-top+4278190080
.long r_illegal-top+4278190080
.long R600-top+4278190080
.long r_illegal-top+4278190080
.long R800-top+4278190080
.long r_illegal-top+4278190080
.long RA00-top+4278190080
.long r_illegal-top+4278190080
.long RC00-top+4278190080
.long r_illegal-top+4278190080
.long RE00-top+4278190080
.long r_illegal-top+4278190080
.long S000-top+117440512
.long r_illegal-top+117440512
.long S010-top+117440512
.long S018-top+117440512
.long S020-top+117440512
.long S028-top+117440512
.long S030-top+117440512
.long S038-top
.long S039-top
.long S03A-top
.long S03B-top
.long S03C-top
.long r_illegal-top+33554432
.long S040-top+117440512
.long r_illegal-top+117440512
.long S050-top+117440512
.long S058-top+117440512
.long S060-top+117440512
.long S068-top+117440512
.long S070-top+117440512
.long S078-top
.long S079-top
.long S07A-top
.long S07B-top
.long S07C-top
.long r_illegal-top+33554432
.long S080-top+117440512
.long r_illegal-top+117440512
.long S090-top+117440512
.long S098-top+117440512
.long S0A0-top+117440512
.long S0A8-top+117440512
.long S0B0-top+117440512
.long S0B8-top
.long S0B9-top
.long S0BA-top
.long S0BB-top
.long S0BC-top
.long r_illegal-top+33554432
.long S0C0-top+117440512
.long r_illegal-top+117440512
.long S0D0-top+117440512
.long S0D8-top+117440512
.long S0E0-top+117440512
.long S0E8-top+117440512
.long S0F0-top+117440512
.long S0F8-top
.long S0F9-top
.long S0FA-top
.long S0FB-top
.long S0FC-top
.long r_illegal-top+33554432
.long S100-top+117440512
.long S108-top+117440512
.long S110-top+117440512
.long S118-top+117440512
.long S120-top+117440512
.long S128-top+117440512
.long S130-top+117440512
.long S138-top
.long S139-top
.long r_illegal-top+352321536
.long S150-top+117440512
.long S158-top+117440512
.long S160-top+117440512
.long S168-top+117440512
.long S170-top+117440512
.long S178-top
.long S179-top
.long r_illegal-top+352321536
.long S190-top+117440512
.long S198-top+117440512
.long S1A0-top+117440512
.long S1A8-top+117440512
.long S1B0-top+117440512
.long S1B8-top
.long S1B9-top
.long r_illegal-top+83886080
.long S1C0-top+117440512
.long r_illegal-top+117440512
.long S1D0-top+117440512
.long S1D8-top+117440512
.long S1E0-top+117440512
.long S1E8-top+117440512
.long S1F0-top+117440512
.long S1F8-top
.long S1F9-top
.long S1FA-top
.long S1FB-top
.long S1FC-top
.long r_illegal-top+33554432
.long S200-top+117440512
.long r_illegal-top+117440512
.long S210-top+117440512
.long S218-top+117440512
.long S220-top+117440512
.long S228-top+117440512
.long S230-top+117440512
.long S238-top
.long S239-top
.long S23A-top
.long S23B-top
.long S23C-top
.long r_illegal-top+33554432
.long S240-top+117440512
.long r_illegal-top+117440512
.long S250-top+117440512
.long S258-top+117440512
.long S260-top+117440512
.long S268-top+117440512
.long S270-top+117440512
.long S278-top
.long S279-top
.long S27A-top
.long S27B-top
.long S27C-top
.long r_illegal-top+33554432
.long S280-top+117440512
.long r_illegal-top+117440512
.long S290-top+117440512
.long S298-top+117440512
.long S2A0-top+117440512
.long S2A8-top+117440512
.long S2B0-top+117440512
.long S2B8-top
.long S2B9-top
.long S2BA-top
.long S2BB-top
.long S2BC-top
.long r_illegal-top+33554432
.long S2C0-top+117440512
.long r_illegal-top+117440512
.long S2D0-top+117440512
.long S2D8-top+117440512
.long S2E0-top+117440512
.long S2E8-top+117440512
.long S2F0-top+117440512
.long S2F8-top
.long S2F9-top
.long S2FA-top
.long S2FB-top
.long S2FC-top
.long r_illegal-top+33554432
.long S300-top+117440512
.long S308-top+117440512
.long S310-top+117440512
.long S318-top+117440512
.long S320-top+117440512
.long S328-top+117440512
.long S330-top+117440512
.long S338-top
.long S339-top
.long r_illegal-top+352321536
.long S350-top+117440512
.long S358-top+117440512
.long S360-top+117440512
.long S368-top+117440512
.long S370-top+117440512
.long S378-top
.long S379-top
.long r_illegal-top+352321536
.long S390-top+117440512
.long S398-top+117440512
.long S3A0-top+117440512
.long S3A8-top+117440512
.long S3B0-top+117440512
.long S3B8-top
.long S3B9-top
.long r_illegal-top+83886080
.long S3C0-top+117440512
.long r_illegal-top+117440512
.long S3D0-top+117440512
.long S3D8-top+117440512
.long S3E0-top+117440512
.long S3E8-top+117440512
.long S3F0-top+117440512
.long S3F8-top
.long S3F9-top
.long S3FA-top
.long S3FB-top
.long S3FC-top
.long r_illegal-top+33554432
.long S400-top+117440512
.long r_illegal-top+117440512
.long S410-top+117440512
.long S418-top+117440512
.long S420-top+117440512
.long S428-top+117440512
.long S430-top+117440512
.long S438-top
.long S439-top
.long S43A-top
.long S43B-top
.long S43C-top
.long r_illegal-top+33554432
.long S440-top+117440512
.long r_illegal-top+117440512
.long S450-top+117440512
.long S458-top+117440512
.long S460-top+117440512
.long S468-top+117440512
.long S470-top+117440512
.long S478-top
.long S479-top
.long S47A-top
.long S47B-top
.long S47C-top
.long r_illegal-top+33554432
.long S480-top+117440512
.long r_illegal-top+117440512
.long S490-top+117440512
.long S498-top+117440512
.long S4A0-top+117440512
.long S4A8-top+117440512
.long S4B0-top+117440512
.long S4B8-top
.long S4B9-top
.long S4BA-top
.long S4BB-top
.long S4BC-top
.long r_illegal-top+33554432
.long S4C0-top+117440512
.long r_illegal-top+117440512
.long S4D0-top+117440512
.long S4D8-top+117440512
.long S4E0-top+117440512
.long S4E8-top+117440512
.long S4F0-top+117440512
.long S4F8-top
.long S4F9-top
.long S4FA-top
.long S4FB-top
.long S4FC-top
.long r_illegal-top+33554432
.long S500-top+117440512
.long S508-top+117440512
.long S510-top+117440512
.long S518-top+117440512
.long S520-top+117440512
.long S528-top+117440512
.long S530-top+117440512
.long S538-top
.long S539-top
.long r_illegal-top+352321536
.long S550-top+117440512
.long S558-top+117440512
.long S560-top+117440512
.long S568-top+117440512
.long S570-top+117440512
.long S578-top
.long S579-top
.long r_illegal-top+352321536
.long S590-top+117440512
.long S598-top+117440512
.long S5A0-top+117440512
.long S5A8-top+117440512
.long S5B0-top+117440512
.long S5B8-top
.long S5B9-top
.long r_illegal-top+83886080
.long S5C0-top+117440512
.long r_illegal-top+117440512
.long S5D0-top+117440512
.long S5D8-top+117440512
.long S5E0-top+117440512
.long S5E8-top+117440512
.long S5F0-top+117440512
.long S5F8-top
.long S5F9-top
.long S5FA-top
.long S5FB-top
.long S5FC-top
.long r_illegal-top+33554432
.long S600-top+117440512
.long r_illegal-top+117440512
.long S610-top+117440512
.long S618-top+117440512
.long S620-top+117440512
.long S628-top+117440512
.long S630-top+117440512
.long S638-top
.long S639-top
.long S63A-top
.long S63B-top
.long S63C-top
.long r_illegal-top+33554432
.long S640-top+117440512
.long r_illegal-top+117440512
.long S650-top+117440512
.long S658-top+117440512
.long S660-top+117440512
.long S668-top+117440512
.long S670-top+117440512
.long S678-top
.long S679-top
.long S67A-top
.long S67B-top
.long S67C-top
.long r_illegal-top+33554432
.long S680-top+117440512
.long r_illegal-top+117440512
.long S690-top+117440512
.long S698-top+117440512
.long S6A0-top+117440512
.long S6A8-top+117440512
.long S6B0-top+117440512
.long S6B8-top
.long S6B9-top
.long S6BA-top
.long S6BB-top
.long S6BC-top
.long r_illegal-top+33554432
.long S6C0-top+117440512
.long r_illegal-top+117440512
.long S6D0-top+117440512
.long S6D8-top+117440512
.long S6E0-top+117440512
.long S6E8-top+117440512
.long S6F0-top+117440512
.long S6F8-top
.long S6F9-top
.long S6FA-top
.long S6FB-top
.long S6FC-top
.long r_illegal-top+33554432
.long S700-top+117440512
.long S708-top+117440512
.long S710-top+117440512
.long S718-top+117440512
.long S720-top+117440512
.long S728-top+117440512
.long S730-top+117440512
.long S738-top
.long S739-top
.long r_illegal-top+352321536
.long S750-top+117440512
.long S758-top+117440512
.long S760-top+117440512
.long S768-top+117440512
.long S770-top+117440512
.long S778-top
.long S779-top
.long r_illegal-top+352321536
.long S790-top+117440512
.long S798-top+117440512
.long S7A0-top+117440512
.long S7A8-top+117440512
.long S7B0-top+117440512
.long S7B8-top
.long S7B9-top
.long r_illegal-top+83886080
.long S7C0-top+117440512
.long r_illegal-top+117440512
.long S7D0-top+117440512
.long S7D8-top+117440512
.long S7E0-top+117440512
.long S7E8-top+117440512
.long S7F0-top+117440512
.long S7F8-top
.long S7F9-top
.long S7FA-top
.long S7FB-top
.long S7FC-top
.long r_illegal-top+33554432
.long S800-top+117440512
.long r_illegal-top+117440512
.long S810-top+117440512
.long S818-top+117440512
.long S820-top+117440512
.long S828-top+117440512
.long S830-top+117440512
.long S838-top
.long S839-top
.long S83A-top
.long S83B-top
.long S83C-top
.long r_illegal-top+33554432
.long S840-top+117440512
.long r_illegal-top+117440512
.long S850-top+117440512
.long S858-top+117440512
.long S860-top+117440512
.long S868-top+117440512
.long S870-top+117440512
.long S878-top
.long S879-top
.long S87A-top
.long S87B-top
.long S87C-top
.long r_illegal-top+33554432
.long S880-top+117440512
.long r_illegal-top+117440512
.long S890-top+117440512
.long S898-top+117440512
.long S8A0-top+117440512
.long S8A8-top+117440512
.long S8B0-top+117440512
.long S8B8-top
.long S8B9-top
.long S8BA-top
.long S8BB-top
.long S8BC-top
.long r_illegal-top+33554432
.long S8C0-top+117440512
.long r_illegal-top+117440512
.long S8D0-top+117440512
.long S8D8-top+117440512
.long S8E0-top+117440512
.long S8E8-top+117440512
.long S8F0-top+117440512
.long S8F8-top
.long S8F9-top
.long S8FA-top
.long S8FB-top
.long S8FC-top
.long r_illegal-top+33554432
.long S900-top+117440512
.long S908-top+117440512
.long S910-top+117440512
.long S918-top+117440512
.long S920-top+117440512
.long S928-top+117440512
.long S930-top+117440512
.long S938-top
.long S939-top
.long r_illegal-top+352321536
.long S950-top+117440512
.long S958-top+117440512
.long S960-top+117440512
.long S968-top+117440512
.long S970-top+117440512
.long S978-top
.long S979-top
.long r_illegal-top+352321536
.long S990-top+117440512
.long S998-top+117440512
.long S9A0-top+117440512
.long S9A8-top+117440512
.long S9B0-top+117440512
.long S9B8-top
.long S9B9-top
.long r_illegal-top+83886080
.long S9C0-top+117440512
.long r_illegal-top+117440512
.long S9D0-top+117440512
.long S9D8-top+117440512
.long S9E0-top+117440512
.long S9E8-top+117440512
.long S9F0-top+117440512
.long S9F8-top
.long S9F9-top
.long S9FA-top
.long S9FB-top
.long S9FC-top
.long r_illegal-top+33554432
.long SA00-top+117440512
.long r_illegal-top+117440512
.long SA10-top+117440512
.long SA18-top+117440512
.long SA20-top+117440512
.long SA28-top+117440512
.long SA30-top+117440512
.long SA38-top
.long SA39-top
.long SA3A-top
.long SA3B-top
.long SA3C-top
.long r_illegal-top+33554432
.long SA40-top+117440512
.long r_illegal-top+117440512
.long SA50-top+117440512
.long SA58-top+117440512
.long SA60-top+117440512
.long SA68-top+117440512
.long SA70-top+117440512
.long SA78-top
.long SA79-top
.long SA7A-top
.long SA7B-top
.long SA7C-top
.long r_illegal-top+33554432
.long SA80-top+117440512
.long r_illegal-top+117440512
.long SA90-top+117440512
.long SA98-top+117440512
.long SAA0-top+117440512
.long SAA8-top+117440512
.long SAB0-top+117440512
.long SAB8-top
.long SAB9-top
.long SABA-top
.long SABB-top
.long SABC-top
.long r_illegal-top+33554432
.long SAC0-top+117440512
.long r_illegal-top+117440512
.long SAD0-top+117440512
.long SAD8-top+117440512
.long SAE0-top+117440512
.long SAE8-top+117440512
.long SAF0-top+117440512
.long SAF8-top
.long SAF9-top
.long SAFA-top
.long SAFB-top
.long SAFC-top
.long r_illegal-top+33554432
.long SB00-top+117440512
.long SB08-top+117440512
.long SB10-top+117440512
.long SB18-top+117440512
.long SB20-top+117440512
.long SB28-top+117440512
.long SB30-top+117440512
.long SB38-top
.long SB39-top
.long r_illegal-top+352321536
.long SB50-top+117440512
.long SB58-top+117440512
.long SB60-top+117440512
.long SB68-top+117440512
.long SB70-top+117440512
.long SB78-top
.long SB79-top
.long r_illegal-top+352321536
.long SB90-top+117440512
.long SB98-top+117440512
.long SBA0-top+117440512
.long SBA8-top+117440512
.long SBB0-top+117440512
.long SBB8-top
.long SBB9-top
.long r_illegal-top+83886080
.long SBC0-top+117440512
.long r_illegal-top+117440512
.long SBD0-top+117440512
.long SBD8-top+117440512
.long SBE0-top+117440512
.long SBE8-top+117440512
.long SBF0-top+117440512
.long SBF8-top
.long SBF9-top
.long SBFA-top
.long SBFB-top
.long SBFC-top
.long r_illegal-top+33554432
.long SC00-top+117440512
.long r_illegal-top+117440512
.long SC10-top+117440512
.long SC18-top+117440512
.long SC20-top+117440512
.long SC28-top+117440512
.long SC30-top+117440512
.long SC38-top
.long SC39-top
.long SC3A-top
.long SC3B-top
.long SC3C-top
.long r_illegal-top+33554432
.long SC40-top+117440512
.long r_illegal-top+117440512
.long SC50-top+117440512
.long SC58-top+117440512
.long SC60-top+117440512
.long SC68-top+117440512
.long SC70-top+117440512
.long SC78-top
.long SC79-top
.long SC7A-top
.long SC7B-top
.long SC7C-top
.long r_illegal-top+33554432
.long SC80-top+117440512
.long r_illegal-top+117440512
.long SC90-top+117440512
.long SC98-top+117440512
.long SCA0-top+117440512
.long SCA8-top+117440512
.long SCB0-top+117440512
.long SCB8-top
.long SCB9-top
.long SCBA-top
.long SCBB-top
.long SCBC-top
.long r_illegal-top+33554432
.long SCC0-top+117440512
.long r_illegal-top+117440512
.long SCD0-top+117440512
.long SCD8-top+117440512
.long SCE0-top+117440512
.long SCE8-top+117440512
.long SCF0-top+117440512
.long SCF8-top
.long SCF9-top
.long SCFA-top
.long SCFB-top
.long SCFC-top
.long r_illegal-top+33554432
.long SD00-top+117440512
.long SD08-top+117440512
.long SD10-top+117440512
.long SD18-top+117440512
.long SD20-top+117440512
.long SD28-top+117440512
.long SD30-top+117440512
.long SD38-top
.long SD39-top
.long r_illegal-top+352321536
.long SD50-top+117440512
.long SD58-top+117440512
.long SD60-top+117440512
.long SD68-top+117440512
.long SD70-top+117440512
.long SD78-top
.long SD79-top
.long r_illegal-top+352321536
.long SD90-top+117440512
.long SD98-top+117440512
.long SDA0-top+117440512
.long SDA8-top+117440512
.long SDB0-top+117440512
.long SDB8-top
.long SDB9-top
.long r_illegal-top+83886080
.long SDC0-top+117440512
.long r_illegal-top+117440512
.long SDD0-top+117440512
.long SDD8-top+117440512
.long SDE0-top+117440512
.long SDE8-top+117440512
.long SDF0-top+117440512
.long SDF8-top
.long SDF9-top
.long SDFA-top
.long SDFB-top
.long SDFC-top
.long r_illegal-top+33554432
.long SE00-top+117440512
.long r_illegal-top+117440512
.long SE10-top+117440512
.long SE18-top+117440512
.long SE20-top+117440512
.long SE28-top+117440512
.long SE30-top+117440512
.long SE38-top
.long SE39-top
.long SE3A-top
.long SE3B-top
.long SE3C-top
.long r_illegal-top+33554432
.long SE40-top+117440512
.long r_illegal-top+117440512
.long SE50-top+117440512
.long SE58-top+117440512
.long SE60-top+117440512
.long SE68-top+117440512
.long SE70-top+117440512
.long SE78-top
.long SE79-top
.long SE7A-top
.long SE7B-top
.long SE7C-top
.long r_illegal-top+33554432
.long SE80-top+117440512
.long r_illegal-top+117440512
.long SE90-top+117440512
.long SE98-top+117440512
.long SEA0-top+117440512
.long SEA8-top+117440512
.long SEB0-top+117440512
.long SEB8-top
.long SEB9-top
.long SEBA-top
.long SEBB-top
.long SEBC-top
.long r_illegal-top+33554432
.long SEC0-top+117440512
.long r_illegal-top+117440512
.long SED0-top+117440512
.long SED8-top+117440512
.long SEE0-top+117440512
.long SEE8-top+117440512
.long SEF0-top+117440512
.long SEF8-top
.long SEF9-top
.long SEFA-top
.long SEFB-top
.long SEFC-top
.long r_illegal-top+33554432
.long SF00-top+117440512
.long SF08-top+117440512
.long SF10-top+117440512
.long SF18-top+117440512
.long SF20-top+117440512
.long SF28-top+117440512
.long SF30-top+117440512
.long SF38-top
.long SF39-top
.long r_illegal-top+352321536
.long SF50-top+117440512
.long SF58-top+117440512
.long SF60-top+117440512
.long SF68-top+117440512
.long SF70-top+117440512
.long SF78-top
.long SF79-top
.long r_illegal-top+352321536
.long SF90-top+117440512
.long SF98-top+117440512
.long SFA0-top+117440512
.long SFA8-top+117440512
.long SFB0-top+117440512
.long SFB8-top
.long SFB9-top
.long r_illegal-top+83886080
.long SFC0-top+117440512
.long r_illegal-top+117440512
.long SFD0-top+117440512
.long SFD8-top+117440512
.long SFE0-top+117440512
.long SFE8-top+117440512
.long SFF0-top+117440512
.long SFF8-top
.long SFF9-top
.long SFFA-top
.long SFFB-top
.long SFFC-top
.long r_illegal-top+33554432
.long T000-top+117440512
.long T008-top+117440512
.long T010-top+117440512
.long T018-top+117440512
.long T020-top+117440512
.long T028-top+117440512
.long T030-top+117440512
.long T038-top
.long T039-top
.long T03A-top
.long T03B-top
.long T03C-top
.long r_illegal-top+33554432
.long T040-top+117440512
.long T048-top+117440512
.long T050-top+117440512
.long T058-top+117440512
.long T060-top+117440512
.long T068-top+117440512
.long T070-top+117440512
.long T078-top
.long T079-top
.long T07A-top
.long T07B-top
.long T07C-top
.long r_illegal-top+33554432
.long T080-top+117440512
.long T088-top+117440512
.long T090-top+117440512
.long T098-top+117440512
.long T0A0-top+117440512
.long T0A8-top+117440512
.long T0B0-top+117440512
.long T0B8-top
.long T0B9-top
.long T0BA-top
.long T0BB-top
.long T0BC-top
.long r_illegal-top+33554432
.long T0C0-top+117440512
.long T0C8-top+117440512
.long T0D0-top+117440512
.long T0D8-top+117440512
.long T0E0-top+117440512
.long T0E8-top+117440512
.long T0F0-top+117440512
.long T0F8-top
.long T0F9-top
.long T0FA-top
.long T0FB-top
.long T0FC-top
.long r_illegal-top+33554432
.long T100-top+117440512
.long T108-top+117440512
.long T110-top+117440512
.long T118-top+117440512
.long T120-top+117440512
.long T128-top+117440512
.long T130-top+117440512
.long T138-top
.long T139-top
.long r_illegal-top+83886080
.long T140-top+117440512
.long T148-top+117440512
.long T150-top+117440512
.long T158-top+117440512
.long T160-top+117440512
.long T168-top+117440512
.long T170-top+117440512
.long T178-top
.long T179-top
.long r_illegal-top+83886080
.long T180-top+117440512
.long T188-top+117440512
.long T190-top+117440512
.long T198-top+117440512
.long T1A0-top+117440512
.long T1A8-top+117440512
.long T1B0-top+117440512
.long T1B8-top
.long T1B9-top
.long r_illegal-top+83886080
.long T1C0-top+117440512
.long T1C8-top+117440512
.long T1D0-top+117440512
.long T1D8-top+117440512
.long T1E0-top+117440512
.long T1E8-top+117440512
.long T1F0-top+117440512
.long T1F8-top
.long T1F9-top
.long T1FA-top
.long T1FB-top
.long T1FC-top
.long r_illegal-top+33554432
.long T200-top+117440512
.long T208-top+117440512
.long T210-top+117440512
.long T218-top+117440512
.long T220-top+117440512
.long T228-top+117440512
.long T230-top+117440512
.long T238-top
.long T239-top
.long T23A-top
.long T23B-top
.long T23C-top
.long r_illegal-top+33554432
.long T240-top+117440512
.long T248-top+117440512
.long T250-top+117440512
.long T258-top+117440512
.long T260-top+117440512
.long T268-top+117440512
.long T270-top+117440512
.long T278-top
.long T279-top
.long T27A-top
.long T27B-top
.long T27C-top
.long r_illegal-top+33554432
.long T280-top+117440512
.long T288-top+117440512
.long T290-top+117440512
.long T298-top+117440512
.long T2A0-top+117440512
.long T2A8-top+117440512
.long T2B0-top+117440512
.long T2B8-top
.long T2B9-top
.long T2BA-top
.long T2BB-top
.long T2BC-top
.long r_illegal-top+33554432
.long T2C0-top+117440512
.long T2C8-top+117440512
.long T2D0-top+117440512
.long T2D8-top+117440512
.long T2E0-top+117440512
.long T2E8-top+117440512
.long T2F0-top+117440512
.long T2F8-top
.long T2F9-top
.long T2FA-top
.long T2FB-top
.long T2FC-top
.long r_illegal-top+33554432
.long T300-top+117440512
.long T308-top+117440512
.long T310-top+117440512
.long T318-top+117440512
.long T320-top+117440512
.long T328-top+117440512
.long T330-top+117440512
.long T338-top
.long T339-top
.long r_illegal-top+83886080
.long T340-top+117440512
.long T348-top+117440512
.long T350-top+117440512
.long T358-top+117440512
.long T360-top+117440512
.long T368-top+117440512
.long T370-top+117440512
.long T378-top
.long T379-top
.long r_illegal-top+83886080
.long T380-top+117440512
.long T388-top+117440512
.long T390-top+117440512
.long T398-top+117440512
.long T3A0-top+117440512
.long T3A8-top+117440512
.long T3B0-top+117440512
.long T3B8-top
.long T3B9-top
.long r_illegal-top+83886080
.long T3C0-top+117440512
.long T3C8-top+117440512
.long T3D0-top+117440512
.long T3D8-top+117440512
.long T3E0-top+117440512
.long T3E8-top+117440512
.long T3F0-top+117440512
.long T3F8-top
.long T3F9-top
.long T3FA-top
.long T3FB-top
.long T3FC-top
.long r_illegal-top+33554432
.long T400-top+117440512
.long T408-top+117440512
.long T410-top+117440512
.long T418-top+117440512
.long T420-top+117440512
.long T428-top+117440512
.long T430-top+117440512
.long T438-top
.long T439-top
.long T43A-top
.long T43B-top
.long T43C-top
.long r_illegal-top+33554432
.long T440-top+117440512
.long T448-top+117440512
.long T450-top+117440512
.long T458-top+117440512
.long T460-top+117440512
.long T468-top+117440512
.long T470-top+117440512
.long T478-top
.long T479-top
.long T47A-top
.long T47B-top
.long T47C-top
.long r_illegal-top+33554432
.long T480-top+117440512
.long T488-top+117440512
.long T490-top+117440512
.long T498-top+117440512
.long T4A0-top+117440512
.long T4A8-top+117440512
.long T4B0-top+117440512
.long T4B8-top
.long T4B9-top
.long T4BA-top
.long T4BB-top
.long T4BC-top
.long r_illegal-top+33554432
.long T4C0-top+117440512
.long T4C8-top+117440512
.long T4D0-top+117440512
.long T4D8-top+117440512
.long T4E0-top+117440512
.long T4E8-top+117440512
.long T4F0-top+117440512
.long T4F8-top
.long T4F9-top
.long T4FA-top
.long T4FB-top
.long T4FC-top
.long r_illegal-top+33554432
.long T500-top+117440512
.long T508-top+117440512
.long T510-top+117440512
.long T518-top+117440512
.long T520-top+117440512
.long T528-top+117440512
.long T530-top+117440512
.long T538-top
.long T539-top
.long r_illegal-top+83886080
.long T540-top+117440512
.long T548-top+117440512
.long T550-top+117440512
.long T558-top+117440512
.long T560-top+117440512
.long T568-top+117440512
.long T570-top+117440512
.long T578-top
.long T579-top
.long r_illegal-top+83886080
.long T580-top+117440512
.long T588-top+117440512
.long T590-top+117440512
.long T598-top+117440512
.long T5A0-top+117440512
.long T5A8-top+117440512
.long T5B0-top+117440512
.long T5B8-top
.long T5B9-top
.long r_illegal-top+83886080
.long T5C0-top+117440512
.long T5C8-top+117440512
.long T5D0-top+117440512
.long T5D8-top+117440512
.long T5E0-top+117440512
.long T5E8-top+117440512
.long T5F0-top+117440512
.long T5F8-top
.long T5F9-top
.long T5FA-top
.long T5FB-top
.long T5FC-top
.long r_illegal-top+33554432
.long T600-top+117440512
.long T608-top+117440512
.long T610-top+117440512
.long T618-top+117440512
.long T620-top+117440512
.long T628-top+117440512
.long T630-top+117440512
.long T638-top
.long T639-top
.long T63A-top
.long T63B-top
.long T63C-top
.long r_illegal-top+33554432
.long T640-top+117440512
.long T648-top+117440512
.long T650-top+117440512
.long T658-top+117440512
.long T660-top+117440512
.long T668-top+117440512
.long T670-top+117440512
.long T678-top
.long T679-top
.long T67A-top
.long T67B-top
.long T67C-top
.long r_illegal-top+33554432
.long T680-top+117440512
.long T688-top+117440512
.long T690-top+117440512
.long T698-top+117440512
.long T6A0-top+117440512
.long T6A8-top+117440512
.long T6B0-top+117440512
.long T6B8-top
.long T6B9-top
.long T6BA-top
.long T6BB-top
.long T6BC-top
.long r_illegal-top+33554432
.long T6C0-top+117440512
.long T6C8-top+117440512
.long T6D0-top+117440512
.long T6D8-top+117440512
.long T6E0-top+117440512
.long T6E8-top+117440512
.long T6F0-top+117440512
.long T6F8-top
.long T6F9-top
.long T6FA-top
.long T6FB-top
.long T6FC-top
.long r_illegal-top+33554432
.long T700-top+117440512
.long T708-top+117440512
.long T710-top+117440512
.long T718-top+117440512
.long T720-top+117440512
.long T728-top+117440512
.long T730-top+117440512
.long T738-top
.long T739-top
.long r_illegal-top+83886080
.long T740-top+117440512
.long T748-top+117440512
.long T750-top+117440512
.long T758-top+117440512
.long T760-top+117440512
.long T768-top+117440512
.long T770-top+117440512
.long T778-top
.long T779-top
.long r_illegal-top+83886080
.long T780-top+117440512
.long T788-top+117440512
.long T790-top+117440512
.long T798-top+117440512
.long T7A0-top+117440512
.long T7A8-top+117440512
.long T7B0-top+117440512
.long T7B8-top
.long T7B9-top
.long r_illegal-top+83886080
.long T7C0-top+117440512
.long T7C8-top+117440512
.long T7D0-top+117440512
.long T7D8-top+117440512
.long T7E0-top+117440512
.long T7E8-top+117440512
.long T7F0-top+117440512
.long T7F8-top
.long T7F9-top
.long T7FA-top
.long T7FB-top
.long T7FC-top
.long r_illegal-top+33554432
.long T800-top+117440512
.long T808-top+117440512
.long T810-top+117440512
.long T818-top+117440512
.long T820-top+117440512
.long T828-top+117440512
.long T830-top+117440512
.long T838-top
.long T839-top
.long T83A-top
.long T83B-top
.long T83C-top
.long r_illegal-top+33554432
.long T840-top+117440512
.long T848-top+117440512
.long T850-top+117440512
.long T858-top+117440512
.long T860-top+117440512
.long T868-top+117440512
.long T870-top+117440512
.long T878-top
.long T879-top
.long T87A-top
.long T87B-top
.long T87C-top
.long r_illegal-top+33554432
.long T880-top+117440512
.long T888-top+117440512
.long T890-top+117440512
.long T898-top+117440512
.long T8A0-top+117440512
.long T8A8-top+117440512
.long T8B0-top+117440512
.long T8B8-top
.long T8B9-top
.long T8BA-top
.long T8BB-top
.long T8BC-top
.long r_illegal-top+33554432
.long T8C0-top+117440512
.long T8C8-top+117440512
.long T8D0-top+117440512
.long T8D8-top+117440512
.long T8E0-top+117440512
.long T8E8-top+117440512
.long T8F0-top+117440512
.long T8F8-top
.long T8F9-top
.long T8FA-top
.long T8FB-top
.long T8FC-top
.long r_illegal-top+33554432
.long T900-top+117440512
.long T908-top+117440512
.long T910-top+117440512
.long T918-top+117440512
.long T920-top+117440512
.long T928-top+117440512
.long T930-top+117440512
.long T938-top
.long T939-top
.long r_illegal-top+83886080
.long T940-top+117440512
.long T948-top+117440512
.long T950-top+117440512
.long T958-top+117440512
.long T960-top+117440512
.long T968-top+117440512
.long T970-top+117440512
.long T978-top
.long T979-top
.long r_illegal-top+83886080
.long T980-top+117440512
.long T988-top+117440512
.long T990-top+117440512
.long T998-top+117440512
.long T9A0-top+117440512
.long T9A8-top+117440512
.long T9B0-top+117440512
.long T9B8-top
.long T9B9-top
.long r_illegal-top+83886080
.long T9C0-top+117440512
.long T9C8-top+117440512
.long T9D0-top+117440512
.long T9D8-top+117440512
.long T9E0-top+117440512
.long T9E8-top+117440512
.long T9F0-top+117440512
.long T9F8-top
.long T9F9-top
.long T9FA-top
.long T9FB-top
.long T9FC-top
.long r_illegal-top+33554432
.long TA00-top+117440512
.long TA08-top+117440512
.long TA10-top+117440512
.long TA18-top+117440512
.long TA20-top+117440512
.long TA28-top+117440512
.long TA30-top+117440512
.long TA38-top
.long TA39-top
.long TA3A-top
.long TA3B-top
.long TA3C-top
.long r_illegal-top+33554432
.long TA40-top+117440512
.long TA48-top+117440512
.long TA50-top+117440512
.long TA58-top+117440512
.long TA60-top+117440512
.long TA68-top+117440512
.long TA70-top+117440512
.long TA78-top
.long TA79-top
.long TA7A-top
.long TA7B-top
.long TA7C-top
.long r_illegal-top+33554432
.long TA80-top+117440512
.long TA88-top+117440512
.long TA90-top+117440512
.long TA98-top+117440512
.long TAA0-top+117440512
.long TAA8-top+117440512
.long TAB0-top+117440512
.long TAB8-top
.long TAB9-top
.long TABA-top
.long TABB-top
.long TABC-top
.long r_illegal-top+33554432
.long TAC0-top+117440512
.long TAC8-top+117440512
.long TAD0-top+117440512
.long TAD8-top+117440512
.long TAE0-top+117440512
.long TAE8-top+117440512
.long TAF0-top+117440512
.long TAF8-top
.long TAF9-top
.long TAFA-top
.long TAFB-top
.long TAFC-top
.long r_illegal-top+33554432
.long TB00-top+117440512
.long TB08-top+117440512
.long TB10-top+117440512
.long TB18-top+117440512
.long TB20-top+117440512
.long TB28-top+117440512
.long TB30-top+117440512
.long TB38-top
.long TB39-top
.long r_illegal-top+83886080
.long TB40-top+117440512
.long TB48-top+117440512
.long TB50-top+117440512
.long TB58-top+117440512
.long TB60-top+117440512
.long TB68-top+117440512
.long TB70-top+117440512
.long TB78-top
.long TB79-top
.long r_illegal-top+83886080
.long TB80-top+117440512
.long TB88-top+117440512
.long TB90-top+117440512
.long TB98-top+117440512
.long TBA0-top+117440512
.long TBA8-top+117440512
.long TBB0-top+117440512
.long TBB8-top
.long TBB9-top
.long r_illegal-top+83886080
.long TBC0-top+117440512
.long TBC8-top+117440512
.long TBD0-top+117440512
.long TBD8-top+117440512
.long TBE0-top+117440512
.long TBE8-top+117440512
.long TBF0-top+117440512
.long TBF8-top
.long TBF9-top
.long TBFA-top
.long TBFB-top
.long TBFC-top
.long r_illegal-top+33554432
.long TC00-top+117440512
.long TC08-top+117440512
.long TC10-top+117440512
.long TC18-top+117440512
.long TC20-top+117440512
.long TC28-top+117440512
.long TC30-top+117440512
.long TC38-top
.long TC39-top
.long TC3A-top
.long TC3B-top
.long TC3C-top
.long r_illegal-top+33554432
.long TC40-top+117440512
.long TC48-top+117440512
.long TC50-top+117440512
.long TC58-top+117440512
.long TC60-top+117440512
.long TC68-top+117440512
.long TC70-top+117440512
.long TC78-top
.long TC79-top
.long TC7A-top
.long TC7B-top
.long TC7C-top
.long r_illegal-top+33554432
.long TC80-top+117440512
.long TC88-top+117440512
.long TC90-top+117440512
.long TC98-top+117440512
.long TCA0-top+117440512
.long TCA8-top+117440512
.long TCB0-top+117440512
.long TCB8-top
.long TCB9-top
.long TCBA-top
.long TCBB-top
.long TCBC-top
.long r_illegal-top+33554432
.long TCC0-top+117440512
.long TCC8-top+117440512
.long TCD0-top+117440512
.long TCD8-top+117440512
.long TCE0-top+117440512
.long TCE8-top+117440512
.long TCF0-top+117440512
.long TCF8-top
.long TCF9-top
.long TCFA-top
.long TCFB-top
.long TCFC-top
.long r_illegal-top+33554432
.long TD00-top+117440512
.long TD08-top+117440512
.long TD10-top+117440512
.long TD18-top+117440512
.long TD20-top+117440512
.long TD28-top+117440512
.long TD30-top+117440512
.long TD38-top
.long TD39-top
.long r_illegal-top+83886080
.long TD40-top+117440512
.long TD48-top+117440512
.long TD50-top+117440512
.long TD58-top+117440512
.long TD60-top+117440512
.long TD68-top+117440512
.long TD70-top+117440512
.long TD78-top
.long TD79-top
.long r_illegal-top+83886080
.long TD80-top+117440512
.long TD88-top+117440512
.long TD90-top+117440512
.long TD98-top+117440512
.long TDA0-top+117440512
.long TDA8-top+117440512
.long TDB0-top+117440512
.long TDB8-top
.long TDB9-top
.long r_illegal-top+83886080
.long TDC0-top+117440512
.long TDC8-top+117440512
.long TDD0-top+117440512
.long TDD8-top+117440512
.long TDE0-top+117440512
.long TDE8-top+117440512
.long TDF0-top+117440512
.long TDF8-top
.long TDF9-top
.long TDFA-top
.long TDFB-top
.long TDFC-top
.long r_illegal-top+33554432
.long TE00-top+117440512
.long TE08-top+117440512
.long TE10-top+117440512
.long TE18-top+117440512
.long TE20-top+117440512
.long TE28-top+117440512
.long TE30-top+117440512
.long TE38-top
.long TE39-top
.long TE3A-top
.long TE3B-top
.long TE3C-top
.long r_illegal-top+33554432
.long TE40-top+117440512
.long TE48-top+117440512
.long TE50-top+117440512
.long TE58-top+117440512
.long TE60-top+117440512
.long TE68-top+117440512
.long TE70-top+117440512
.long TE78-top
.long TE79-top
.long TE7A-top
.long TE7B-top
.long TE7C-top
.long r_illegal-top+33554432
.long TE80-top+117440512
.long TE88-top+117440512
.long TE90-top+117440512
.long TE98-top+117440512
.long TEA0-top+117440512
.long TEA8-top+117440512
.long TEB0-top+117440512
.long TEB8-top
.long TEB9-top
.long TEBA-top
.long TEBB-top
.long TEBC-top
.long r_illegal-top+33554432
.long TEC0-top+117440512
.long TEC8-top+117440512
.long TED0-top+117440512
.long TED8-top+117440512
.long TEE0-top+117440512
.long TEE8-top+117440512
.long TEF0-top+117440512
.long TEF8-top
.long TEF9-top
.long TEFA-top
.long TEFB-top
.long TEFC-top
.long r_illegal-top+33554432
.long TF00-top+117440512
.long TF08-top+117440512
.long TF10-top+117440512
.long TF18-top+117440512
.long TF20-top+117440512
.long TF28-top+117440512
.long TF30-top+117440512
.long TF38-top
.long TF39-top
.long r_illegal-top+83886080
.long TF40-top+117440512
.long TF48-top+117440512
.long TF50-top+117440512
.long TF58-top+117440512
.long TF60-top+117440512
.long TF68-top+117440512
.long TF70-top+117440512
.long TF78-top
.long TF79-top
.long r_illegal-top+83886080
.long TF80-top+117440512
.long TF88-top+117440512
.long TF90-top+117440512
.long TF98-top+117440512
.long TFA0-top+117440512
.long TFA8-top+117440512
.long TFB0-top+117440512
.long TFB8-top
.long TFB9-top
.long r_illegal-top+83886080
.long TFC0-top+117440512
.long TFC8-top+117440512
.long TFD0-top+117440512
.long TFD8-top+117440512
.long TFE0-top+117440512
.long TFE8-top+117440512
.long TFF0-top+117440512
.long TFF8-top
.long TFF9-top
.long TFFA-top
.long TFFB-top
.long TFFC-top
.long r_illegal-top+33554432
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long U000-top+4278190080
.long V000-top+117440512
.long V008-top+117440512
.long V010-top+117440512
.long V018-top+117440512
.long V020-top+117440512
.long V028-top+117440512
.long V030-top+117440512
.long V038-top
.long V039-top
.long V03A-top
.long V03B-top
.long V03C-top
.long r_illegal-top+33554432
.long V040-top+117440512
.long V048-top+117440512
.long V050-top+117440512
.long V058-top+117440512
.long V060-top+117440512
.long V068-top+117440512
.long V070-top+117440512
.long V078-top
.long V079-top
.long V07A-top
.long V07B-top
.long V07C-top
.long r_illegal-top+33554432
.long V080-top+117440512
.long V088-top+117440512
.long V090-top+117440512
.long V098-top+117440512
.long V0A0-top+117440512
.long V0A8-top+117440512
.long V0B0-top+117440512
.long V0B8-top
.long V0B9-top
.long V0BA-top
.long V0BB-top
.long V0BC-top
.long r_illegal-top+33554432
.long V0C0-top+117440512
.long V0C8-top+117440512
.long V0D0-top+117440512
.long V0D8-top+117440512
.long V0E0-top+117440512
.long V0E8-top+117440512
.long V0F0-top+117440512
.long V0F8-top
.long V0F9-top
.long V0FA-top
.long V0FB-top
.long V0FC-top
.long r_illegal-top+33554432
.long V100-top+117440512
.long V108-top+117440512
.long V110-top+117440512
.long V118-top+117440512
.long V120-top+117440512
.long V128-top+117440512
.long V130-top+117440512
.long V138-top
.long V139-top
.long r_illegal-top+83886080
.long V140-top+117440512
.long V148-top+117440512
.long V150-top+117440512
.long V158-top+117440512
.long V160-top+117440512
.long V168-top+117440512
.long V170-top+117440512
.long V178-top
.long V179-top
.long r_illegal-top+83886080
.long V180-top+117440512
.long V188-top+117440512
.long V190-top+117440512
.long V198-top+117440512
.long V1A0-top+117440512
.long V1A8-top+117440512
.long V1B0-top+117440512
.long V1B8-top
.long V1B9-top
.long r_illegal-top+83886080
.long V1C0-top+117440512
.long V1C8-top+117440512
.long V1D0-top+117440512
.long V1D8-top+117440512
.long V1E0-top+117440512
.long V1E8-top+117440512
.long V1F0-top+117440512
.long V1F8-top
.long V1F9-top
.long V1FA-top
.long V1FB-top
.long V1FC-top
.long r_illegal-top+33554432
.long V200-top+117440512
.long V208-top+117440512
.long V210-top+117440512
.long V218-top+117440512
.long V220-top+117440512
.long V228-top+117440512
.long V230-top+117440512
.long V238-top
.long V239-top
.long V23A-top
.long V23B-top
.long V23C-top
.long r_illegal-top+33554432
.long V240-top+117440512
.long V248-top+117440512
.long V250-top+117440512
.long V258-top+117440512
.long V260-top+117440512
.long V268-top+117440512
.long V270-top+117440512
.long V278-top
.long V279-top
.long V27A-top
.long V27B-top
.long V27C-top
.long r_illegal-top+33554432
.long V280-top+117440512
.long V288-top+117440512
.long V290-top+117440512
.long V298-top+117440512
.long V2A0-top+117440512
.long V2A8-top+117440512
.long V2B0-top+117440512
.long V2B8-top
.long V2B9-top
.long V2BA-top
.long V2BB-top
.long V2BC-top
.long r_illegal-top+33554432
.long V2C0-top+117440512
.long V2C8-top+117440512
.long V2D0-top+117440512
.long V2D8-top+117440512
.long V2E0-top+117440512
.long V2E8-top+117440512
.long V2F0-top+117440512
.long V2F8-top
.long V2F9-top
.long V2FA-top
.long V2FB-top
.long V2FC-top
.long r_illegal-top+33554432
.long V300-top+117440512
.long V308-top+117440512
.long V310-top+117440512
.long V318-top+117440512
.long V320-top+117440512
.long V328-top+117440512
.long V330-top+117440512
.long V338-top
.long V339-top
.long r_illegal-top+83886080
.long V340-top+117440512
.long V348-top+117440512
.long V350-top+117440512
.long V358-top+117440512
.long V360-top+117440512
.long V368-top+117440512
.long V370-top+117440512
.long V378-top
.long V379-top
.long r_illegal-top+83886080
.long V380-top+117440512
.long V388-top+117440512
.long V390-top+117440512
.long V398-top+117440512
.long V3A0-top+117440512
.long V3A8-top+117440512
.long V3B0-top+117440512
.long V3B8-top
.long V3B9-top
.long r_illegal-top+83886080
.long V3C0-top+117440512
.long V3C8-top+117440512
.long V3D0-top+117440512
.long V3D8-top+117440512
.long V3E0-top+117440512
.long V3E8-top+117440512
.long V3F0-top+117440512
.long V3F8-top
.long V3F9-top
.long V3FA-top
.long V3FB-top
.long V3FC-top
.long r_illegal-top+33554432
.long V400-top+117440512
.long V408-top+117440512
.long V410-top+117440512
.long V418-top+117440512
.long V420-top+117440512
.long V428-top+117440512
.long V430-top+117440512
.long V438-top
.long V439-top
.long V43A-top
.long V43B-top
.long V43C-top
.long r_illegal-top+33554432
.long V440-top+117440512
.long V448-top+117440512
.long V450-top+117440512
.long V458-top+117440512
.long V460-top+117440512
.long V468-top+117440512
.long V470-top+117440512
.long V478-top
.long V479-top
.long V47A-top
.long V47B-top
.long V47C-top
.long r_illegal-top+33554432
.long V480-top+117440512
.long V488-top+117440512
.long V490-top+117440512
.long V498-top+117440512
.long V4A0-top+117440512
.long V4A8-top+117440512
.long V4B0-top+117440512
.long V4B8-top
.long V4B9-top
.long V4BA-top
.long V4BB-top
.long V4BC-top
.long r_illegal-top+33554432
.long V4C0-top+117440512
.long V4C8-top+117440512
.long V4D0-top+117440512
.long V4D8-top+117440512
.long V4E0-top+117440512
.long V4E8-top+117440512
.long V4F0-top+117440512
.long V4F8-top
.long V4F9-top
.long V4FA-top
.long V4FB-top
.long V4FC-top
.long r_illegal-top+33554432
.long V500-top+117440512
.long V508-top+117440512
.long V510-top+117440512
.long V518-top+117440512
.long V520-top+117440512
.long V528-top+117440512
.long V530-top+117440512
.long V538-top
.long V539-top
.long r_illegal-top+83886080
.long V540-top+117440512
.long V548-top+117440512
.long V550-top+117440512
.long V558-top+117440512
.long V560-top+117440512
.long V568-top+117440512
.long V570-top+117440512
.long V578-top
.long V579-top
.long r_illegal-top+83886080
.long V580-top+117440512
.long V588-top+117440512
.long V590-top+117440512
.long V598-top+117440512
.long V5A0-top+117440512
.long V5A8-top+117440512
.long V5B0-top+117440512
.long V5B8-top
.long V5B9-top
.long r_illegal-top+83886080
.long V5C0-top+117440512
.long V5C8-top+117440512
.long V5D0-top+117440512
.long V5D8-top+117440512
.long V5E0-top+117440512
.long V5E8-top+117440512
.long V5F0-top+117440512
.long V5F8-top
.long V5F9-top
.long V5FA-top
.long V5FB-top
.long V5FC-top
.long r_illegal-top+33554432
.long V600-top+117440512
.long V608-top+117440512
.long V610-top+117440512
.long V618-top+117440512
.long V620-top+117440512
.long V628-top+117440512
.long V630-top+117440512
.long V638-top
.long V639-top
.long V63A-top
.long V63B-top
.long V63C-top
.long r_illegal-top+33554432
.long V640-top+117440512
.long V648-top+117440512
.long V650-top+117440512
.long V658-top+117440512
.long V660-top+117440512
.long V668-top+117440512
.long V670-top+117440512
.long V678-top
.long V679-top
.long V67A-top
.long V67B-top
.long V67C-top
.long r_illegal-top+33554432
.long V680-top+117440512
.long V688-top+117440512
.long V690-top+117440512
.long V698-top+117440512
.long V6A0-top+117440512
.long V6A8-top+117440512
.long V6B0-top+117440512
.long V6B8-top
.long V6B9-top
.long V6BA-top
.long V6BB-top
.long V6BC-top
.long r_illegal-top+33554432
.long V6C0-top+117440512
.long V6C8-top+117440512
.long V6D0-top+117440512
.long V6D8-top+117440512
.long V6E0-top+117440512
.long V6E8-top+117440512
.long V6F0-top+117440512
.long V6F8-top
.long V6F9-top
.long V6FA-top
.long V6FB-top
.long V6FC-top
.long r_illegal-top+33554432
.long V700-top+117440512
.long V708-top+117440512
.long V710-top+117440512
.long V718-top+117440512
.long V720-top+117440512
.long V728-top+117440512
.long V730-top+117440512
.long V738-top
.long V739-top
.long r_illegal-top+83886080
.long V740-top+117440512
.long V748-top+117440512
.long V750-top+117440512
.long V758-top+117440512
.long V760-top+117440512
.long V768-top+117440512
.long V770-top+117440512
.long V778-top
.long V779-top
.long r_illegal-top+83886080
.long V780-top+117440512
.long V788-top+117440512
.long V790-top+117440512
.long V798-top+117440512
.long V7A0-top+117440512
.long V7A8-top+117440512
.long V7B0-top+117440512
.long V7B8-top
.long V7B9-top
.long r_illegal-top+83886080
.long V7C0-top+117440512
.long V7C8-top+117440512
.long V7D0-top+117440512
.long V7D8-top+117440512
.long V7E0-top+117440512
.long V7E8-top+117440512
.long V7F0-top+117440512
.long V7F8-top
.long V7F9-top
.long V7FA-top
.long V7FB-top
.long V7FC-top
.long r_illegal-top+33554432
.long V800-top+117440512
.long V808-top+117440512
.long V810-top+117440512
.long V818-top+117440512
.long V820-top+117440512
.long V828-top+117440512
.long V830-top+117440512
.long V838-top
.long V839-top
.long V83A-top
.long V83B-top
.long V83C-top
.long r_illegal-top+33554432
.long V840-top+117440512
.long V848-top+117440512
.long V850-top+117440512
.long V858-top+117440512
.long V860-top+117440512
.long V868-top+117440512
.long V870-top+117440512
.long V878-top
.long V879-top
.long V87A-top
.long V87B-top
.long V87C-top
.long r_illegal-top+33554432
.long V880-top+117440512
.long V888-top+117440512
.long V890-top+117440512
.long V898-top+117440512
.long V8A0-top+117440512
.long V8A8-top+117440512
.long V8B0-top+117440512
.long V8B8-top
.long V8B9-top
.long V8BA-top
.long V8BB-top
.long V8BC-top
.long r_illegal-top+33554432
.long V8C0-top+117440512
.long V8C8-top+117440512
.long V8D0-top+117440512
.long V8D8-top+117440512
.long V8E0-top+117440512
.long V8E8-top+117440512
.long V8F0-top+117440512
.long V8F8-top
.long V8F9-top
.long V8FA-top
.long V8FB-top
.long V8FC-top
.long r_illegal-top+33554432
.long V900-top+117440512
.long V908-top+117440512
.long V910-top+117440512
.long V918-top+117440512
.long V920-top+117440512
.long V928-top+117440512
.long V930-top+117440512
.long V938-top
.long V939-top
.long r_illegal-top+83886080
.long V940-top+117440512
.long V948-top+117440512
.long V950-top+117440512
.long V958-top+117440512
.long V960-top+117440512
.long V968-top+117440512
.long V970-top+117440512
.long V978-top
.long V979-top
.long r_illegal-top+83886080
.long V980-top+117440512
.long V988-top+117440512
.long V990-top+117440512
.long V998-top+117440512
.long V9A0-top+117440512
.long V9A8-top+117440512
.long V9B0-top+117440512
.long V9B8-top
.long V9B9-top
.long r_illegal-top+83886080
.long V9C0-top+117440512
.long V9C8-top+117440512
.long V9D0-top+117440512
.long V9D8-top+117440512
.long V9E0-top+117440512
.long V9E8-top+117440512
.long V9F0-top+117440512
.long V9F8-top
.long V9F9-top
.long V9FA-top
.long V9FB-top
.long V9FC-top
.long r_illegal-top+33554432
.long VA00-top+117440512
.long VA08-top+117440512
.long VA10-top+117440512
.long VA18-top+117440512
.long VA20-top+117440512
.long VA28-top+117440512
.long VA30-top+117440512
.long VA38-top
.long VA39-top
.long VA3A-top
.long VA3B-top
.long VA3C-top
.long r_illegal-top+33554432
.long VA40-top+117440512
.long VA48-top+117440512
.long VA50-top+117440512
.long VA58-top+117440512
.long VA60-top+117440512
.long VA68-top+117440512
.long VA70-top+117440512
.long VA78-top
.long VA79-top
.long VA7A-top
.long VA7B-top
.long VA7C-top
.long r_illegal-top+33554432
.long VA80-top+117440512
.long VA88-top+117440512
.long VA90-top+117440512
.long VA98-top+117440512
.long VAA0-top+117440512
.long VAA8-top+117440512
.long VAB0-top+117440512
.long VAB8-top
.long VAB9-top
.long VABA-top
.long VABB-top
.long VABC-top
.long r_illegal-top+33554432
.long VAC0-top+117440512
.long VAC8-top+117440512
.long VAD0-top+117440512
.long VAD8-top+117440512
.long VAE0-top+117440512
.long VAE8-top+117440512
.long VAF0-top+117440512
.long VAF8-top
.long VAF9-top
.long VAFA-top
.long VAFB-top
.long VAFC-top
.long r_illegal-top+33554432
.long VB00-top+117440512
.long VB08-top+117440512
.long VB10-top+117440512
.long VB18-top+117440512
.long VB20-top+117440512
.long VB28-top+117440512
.long VB30-top+117440512
.long VB38-top
.long VB39-top
.long r_illegal-top+83886080
.long VB40-top+117440512
.long VB48-top+117440512
.long VB50-top+117440512
.long VB58-top+117440512
.long VB60-top+117440512
.long VB68-top+117440512
.long VB70-top+117440512
.long VB78-top
.long VB79-top
.long r_illegal-top+83886080
.long VB80-top+117440512
.long VB88-top+117440512
.long VB90-top+117440512
.long VB98-top+117440512
.long VBA0-top+117440512
.long VBA8-top+117440512
.long VBB0-top+117440512
.long VBB8-top
.long VBB9-top
.long r_illegal-top+83886080
.long VBC0-top+117440512
.long VBC8-top+117440512
.long VBD0-top+117440512
.long VBD8-top+117440512
.long VBE0-top+117440512
.long VBE8-top+117440512
.long VBF0-top+117440512
.long VBF8-top
.long VBF9-top
.long VBFA-top
.long VBFB-top
.long VBFC-top
.long r_illegal-top+33554432
.long VC00-top+117440512
.long VC08-top+117440512
.long VC10-top+117440512
.long VC18-top+117440512
.long VC20-top+117440512
.long VC28-top+117440512
.long VC30-top+117440512
.long VC38-top
.long VC39-top
.long VC3A-top
.long VC3B-top
.long VC3C-top
.long r_illegal-top+33554432
.long VC40-top+117440512
.long VC48-top+117440512
.long VC50-top+117440512
.long VC58-top+117440512
.long VC60-top+117440512
.long VC68-top+117440512
.long VC70-top+117440512
.long VC78-top
.long VC79-top
.long VC7A-top
.long VC7B-top
.long VC7C-top
.long r_illegal-top+33554432
.long VC80-top+117440512
.long VC88-top+117440512
.long VC90-top+117440512
.long VC98-top+117440512
.long VCA0-top+117440512
.long VCA8-top+117440512
.long VCB0-top+117440512
.long VCB8-top
.long VCB9-top
.long VCBA-top
.long VCBB-top
.long VCBC-top
.long r_illegal-top+33554432
.long VCC0-top+117440512
.long VCC8-top+117440512
.long VCD0-top+117440512
.long VCD8-top+117440512
.long VCE0-top+117440512
.long VCE8-top+117440512
.long VCF0-top+117440512
.long VCF8-top
.long VCF9-top
.long VCFA-top
.long VCFB-top
.long VCFC-top
.long r_illegal-top+33554432
.long VD00-top+117440512
.long VD08-top+117440512
.long VD10-top+117440512
.long VD18-top+117440512
.long VD20-top+117440512
.long VD28-top+117440512
.long VD30-top+117440512
.long VD38-top
.long VD39-top
.long r_illegal-top+83886080
.long VD40-top+117440512
.long VD48-top+117440512
.long VD50-top+117440512
.long VD58-top+117440512
.long VD60-top+117440512
.long VD68-top+117440512
.long VD70-top+117440512
.long VD78-top
.long VD79-top
.long r_illegal-top+83886080
.long VD80-top+117440512
.long VD88-top+117440512
.long VD90-top+117440512
.long VD98-top+117440512
.long VDA0-top+117440512
.long VDA8-top+117440512
.long VDB0-top+117440512
.long VDB8-top
.long VDB9-top
.long r_illegal-top+83886080
.long VDC0-top+117440512
.long VDC8-top+117440512
.long VDD0-top+117440512
.long VDD8-top+117440512
.long VDE0-top+117440512
.long VDE8-top+117440512
.long VDF0-top+117440512
.long VDF8-top
.long VDF9-top
.long VDFA-top
.long VDFB-top
.long VDFC-top
.long r_illegal-top+33554432
.long VE00-top+117440512
.long VE08-top+117440512
.long VE10-top+117440512
.long VE18-top+117440512
.long VE20-top+117440512
.long VE28-top+117440512
.long VE30-top+117440512
.long VE38-top
.long VE39-top
.long VE3A-top
.long VE3B-top
.long VE3C-top
.long r_illegal-top+33554432
.long VE40-top+117440512
.long VE48-top+117440512
.long VE50-top+117440512
.long VE58-top+117440512
.long VE60-top+117440512
.long VE68-top+117440512
.long VE70-top+117440512
.long VE78-top
.long VE79-top
.long VE7A-top
.long VE7B-top
.long VE7C-top
.long r_illegal-top+33554432
.long VE80-top+117440512
.long VE88-top+117440512
.long VE90-top+117440512
.long VE98-top+117440512
.long VEA0-top+117440512
.long VEA8-top+117440512
.long VEB0-top+117440512
.long VEB8-top
.long VEB9-top
.long VEBA-top
.long VEBB-top
.long VEBC-top
.long r_illegal-top+33554432
.long VEC0-top+117440512
.long VEC8-top+117440512
.long VED0-top+117440512
.long VED8-top+117440512
.long VEE0-top+117440512
.long VEE8-top+117440512
.long VEF0-top+117440512
.long VEF8-top
.long VEF9-top
.long VEFA-top
.long VEFB-top
.long VEFC-top
.long r_illegal-top+33554432
.long VF00-top+117440512
.long VF08-top+117440512
.long VF10-top+117440512
.long VF18-top+117440512
.long VF20-top+117440512
.long VF28-top+117440512
.long VF30-top+117440512
.long VF38-top
.long VF39-top
.long r_illegal-top+83886080
.long VF40-top+117440512
.long VF48-top+117440512
.long VF50-top+117440512
.long VF58-top+117440512
.long VF60-top+117440512
.long VF68-top+117440512
.long VF70-top+117440512
.long VF78-top
.long VF79-top
.long r_illegal-top+83886080
.long VF80-top+117440512
.long VF88-top+117440512
.long VF90-top+117440512
.long VF98-top+117440512
.long VFA0-top+117440512
.long VFA8-top+117440512
.long VFB0-top+117440512
.long VFB8-top
.long VFB9-top
.long r_illegal-top+83886080
.long VFC0-top+117440512
.long VFC8-top+117440512
.long VFD0-top+117440512
.long VFD8-top+117440512
.long VFE0-top+117440512
.long VFE8-top+117440512
.long VFF0-top+117440512
.long VFF8-top
.long VFF9-top
.long VFFA-top
.long VFFB-top
.long VFFC-top
.long r_illegal-top+33554432
.long W000-top+117440512
.long r_illegal-top+117440512
.long W010-top+117440512
.long W018-top+117440512
.long W020-top+117440512
.long W028-top+117440512
.long W030-top+117440512
.long W038-top
.long W039-top
.long W03A-top
.long W03B-top
.long W03C-top
.long r_illegal-top+33554432
.long W040-top+117440512
.long r_illegal-top+117440512
.long W050-top+117440512
.long W058-top+117440512
.long W060-top+117440512
.long W068-top+117440512
.long W070-top+117440512
.long W078-top
.long W079-top
.long W07A-top
.long W07B-top
.long W07C-top
.long r_illegal-top+33554432
.long W080-top+117440512
.long r_illegal-top+117440512
.long W090-top+117440512
.long W098-top+117440512
.long W0A0-top+117440512
.long W0A8-top+117440512
.long W0B0-top+117440512
.long W0B8-top
.long W0B9-top
.long W0BA-top
.long W0BB-top
.long W0BC-top
.long r_illegal-top+33554432
.long W0C0-top+117440512
.long r_illegal-top+117440512
.long W0D0-top+117440512
.long W0D8-top+117440512
.long W0E0-top+117440512
.long W0E8-top+117440512
.long W0F0-top+117440512
.long W0F8-top
.long W0F9-top
.long W0FA-top
.long W0FB-top
.long W0FC-top
.long r_illegal-top+33554432
.long W100-top+117440512
.long W108-top+117440512
.long W110-top+117440512
.long W118-top+117440512
.long W120-top+117440512
.long W128-top+117440512
.long W130-top+117440512
.long W138-top
.long W139-top
.long r_illegal-top+83886080
.long W140-top+117440512
.long W148-top+117440512
.long W150-top+117440512
.long W158-top+117440512
.long W160-top+117440512
.long W168-top+117440512
.long W170-top+117440512
.long W178-top
.long W179-top
.long r_illegal-top+218103808
.long W188-top+117440512
.long W190-top+117440512
.long W198-top+117440512
.long W1A0-top+117440512
.long W1A8-top+117440512
.long W1B0-top+117440512
.long W1B8-top
.long W1B9-top
.long r_illegal-top+83886080
.long W1C0-top+117440512
.long r_illegal-top+117440512
.long W1D0-top+117440512
.long W1D8-top+117440512
.long W1E0-top+117440512
.long W1E8-top+117440512
.long W1F0-top+117440512
.long W1F8-top
.long W1F9-top
.long W1FA-top
.long W1FB-top
.long W1FC-top
.long r_illegal-top+33554432
.long W200-top+117440512
.long r_illegal-top+117440512
.long W210-top+117440512
.long W218-top+117440512
.long W220-top+117440512
.long W228-top+117440512
.long W230-top+117440512
.long W238-top
.long W239-top
.long W23A-top
.long W23B-top
.long W23C-top
.long r_illegal-top+33554432
.long W240-top+117440512
.long r_illegal-top+117440512
.long W250-top+117440512
.long W258-top+117440512
.long W260-top+117440512
.long W268-top+117440512
.long W270-top+117440512
.long W278-top
.long W279-top
.long W27A-top
.long W27B-top
.long W27C-top
.long r_illegal-top+33554432
.long W280-top+117440512
.long r_illegal-top+117440512
.long W290-top+117440512
.long W298-top+117440512
.long W2A0-top+117440512
.long W2A8-top+117440512
.long W2B0-top+117440512
.long W2B8-top
.long W2B9-top
.long W2BA-top
.long W2BB-top
.long W2BC-top
.long r_illegal-top+33554432
.long W2C0-top+117440512
.long r_illegal-top+117440512
.long W2D0-top+117440512
.long W2D8-top+117440512
.long W2E0-top+117440512
.long W2E8-top+117440512
.long W2F0-top+117440512
.long W2F8-top
.long W2F9-top
.long W2FA-top
.long W2FB-top
.long W2FC-top
.long r_illegal-top+33554432
.long W300-top+117440512
.long W308-top+117440512
.long W310-top+117440512
.long W318-top+117440512
.long W320-top+117440512
.long W328-top+117440512
.long W330-top+117440512
.long W338-top
.long W339-top
.long r_illegal-top+83886080
.long W340-top+117440512
.long W348-top+117440512
.long W350-top+117440512
.long W358-top+117440512
.long W360-top+117440512
.long W368-top+117440512
.long W370-top+117440512
.long W378-top
.long W379-top
.long r_illegal-top+218103808
.long W388-top+117440512
.long W390-top+117440512
.long W398-top+117440512
.long W3A0-top+117440512
.long W3A8-top+117440512
.long W3B0-top+117440512
.long W3B8-top
.long W3B9-top
.long r_illegal-top+83886080
.long W3C0-top+117440512
.long r_illegal-top+117440512
.long W3D0-top+117440512
.long W3D8-top+117440512
.long W3E0-top+117440512
.long W3E8-top+117440512
.long W3F0-top+117440512
.long W3F8-top
.long W3F9-top
.long W3FA-top
.long W3FB-top
.long W3FC-top
.long r_illegal-top+33554432
.long W400-top+117440512
.long r_illegal-top+117440512
.long W410-top+117440512
.long W418-top+117440512
.long W420-top+117440512
.long W428-top+117440512
.long W430-top+117440512
.long W438-top
.long W439-top
.long W43A-top
.long W43B-top
.long W43C-top
.long r_illegal-top+33554432
.long W440-top+117440512
.long r_illegal-top+117440512
.long W450-top+117440512
.long W458-top+117440512
.long W460-top+117440512
.long W468-top+117440512
.long W470-top+117440512
.long W478-top
.long W479-top
.long W47A-top
.long W47B-top
.long W47C-top
.long r_illegal-top+33554432
.long W480-top+117440512
.long r_illegal-top+117440512
.long W490-top+117440512
.long W498-top+117440512
.long W4A0-top+117440512
.long W4A8-top+117440512
.long W4B0-top+117440512
.long W4B8-top
.long W4B9-top
.long W4BA-top
.long W4BB-top
.long W4BC-top
.long r_illegal-top+33554432
.long W4C0-top+117440512
.long r_illegal-top+117440512
.long W4D0-top+117440512
.long W4D8-top+117440512
.long W4E0-top+117440512
.long W4E8-top+117440512
.long W4F0-top+117440512
.long W4F8-top
.long W4F9-top
.long W4FA-top
.long W4FB-top
.long W4FC-top
.long r_illegal-top+33554432
.long W500-top+117440512
.long W508-top+117440512
.long W510-top+117440512
.long W518-top+117440512
.long W520-top+117440512
.long W528-top+117440512
.long W530-top+117440512
.long W538-top
.long W539-top
.long r_illegal-top+83886080
.long W540-top+117440512
.long W548-top+117440512
.long W550-top+117440512
.long W558-top+117440512
.long W560-top+117440512
.long W568-top+117440512
.long W570-top+117440512
.long W578-top
.long W579-top
.long r_illegal-top+218103808
.long W588-top+117440512
.long W590-top+117440512
.long W598-top+117440512
.long W5A0-top+117440512
.long W5A8-top+117440512
.long W5B0-top+117440512
.long W5B8-top
.long W5B9-top
.long r_illegal-top+83886080
.long W5C0-top+117440512
.long r_illegal-top+117440512
.long W5D0-top+117440512
.long W5D8-top+117440512
.long W5E0-top+117440512
.long W5E8-top+117440512
.long W5F0-top+117440512
.long W5F8-top
.long W5F9-top
.long W5FA-top
.long W5FB-top
.long W5FC-top
.long r_illegal-top+33554432
.long W600-top+117440512
.long r_illegal-top+117440512
.long W610-top+117440512
.long W618-top+117440512
.long W620-top+117440512
.long W628-top+117440512
.long W630-top+117440512
.long W638-top
.long W639-top
.long W63A-top
.long W63B-top
.long W63C-top
.long r_illegal-top+33554432
.long W640-top+117440512
.long r_illegal-top+117440512
.long W650-top+117440512
.long W658-top+117440512
.long W660-top+117440512
.long W668-top+117440512
.long W670-top+117440512
.long W678-top
.long W679-top
.long W67A-top
.long W67B-top
.long W67C-top
.long r_illegal-top+33554432
.long W680-top+117440512
.long r_illegal-top+117440512
.long W690-top+117440512
.long W698-top+117440512
.long W6A0-top+117440512
.long W6A8-top+117440512
.long W6B0-top+117440512
.long W6B8-top
.long W6B9-top
.long W6BA-top
.long W6BB-top
.long W6BC-top
.long r_illegal-top+33554432
.long W6C0-top+117440512
.long r_illegal-top+117440512
.long W6D0-top+117440512
.long W6D8-top+117440512
.long W6E0-top+117440512
.long W6E8-top+117440512
.long W6F0-top+117440512
.long W6F8-top
.long W6F9-top
.long W6FA-top
.long W6FB-top
.long W6FC-top
.long r_illegal-top+33554432
.long W700-top+117440512
.long W708-top+117440512
.long W710-top+117440512
.long W718-top+117440512
.long W720-top+117440512
.long W728-top+117440512
.long W730-top+117440512
.long W738-top
.long W739-top
.long r_illegal-top+83886080
.long W740-top+117440512
.long W748-top+117440512
.long W750-top+117440512
.long W758-top+117440512
.long W760-top+117440512
.long W768-top+117440512
.long W770-top+117440512
.long W778-top
.long W779-top
.long r_illegal-top+218103808
.long W788-top+117440512
.long W790-top+117440512
.long W798-top+117440512
.long W7A0-top+117440512
.long W7A8-top+117440512
.long W7B0-top+117440512
.long W7B8-top
.long W7B9-top
.long r_illegal-top+83886080
.long W7C0-top+117440512
.long r_illegal-top+117440512
.long W7D0-top+117440512
.long W7D8-top+117440512
.long W7E0-top+117440512
.long W7E8-top+117440512
.long W7F0-top+117440512
.long W7F8-top
.long W7F9-top
.long W7FA-top
.long W7FB-top
.long W7FC-top
.long r_illegal-top+33554432
.long W800-top+117440512
.long r_illegal-top+117440512
.long W810-top+117440512
.long W818-top+117440512
.long W820-top+117440512
.long W828-top+117440512
.long W830-top+117440512
.long W838-top
.long W839-top
.long W83A-top
.long W83B-top
.long W83C-top
.long r_illegal-top+33554432
.long W840-top+117440512
.long r_illegal-top+117440512
.long W850-top+117440512
.long W858-top+117440512
.long W860-top+117440512
.long W868-top+117440512
.long W870-top+117440512
.long W878-top
.long W879-top
.long W87A-top
.long W87B-top
.long W87C-top
.long r_illegal-top+33554432
.long W880-top+117440512
.long r_illegal-top+117440512
.long W890-top+117440512
.long W898-top+117440512
.long W8A0-top+117440512
.long W8A8-top+117440512
.long W8B0-top+117440512
.long W8B8-top
.long W8B9-top
.long W8BA-top
.long W8BB-top
.long W8BC-top
.long r_illegal-top+33554432
.long W8C0-top+117440512
.long r_illegal-top+117440512
.long W8D0-top+117440512
.long W8D8-top+117440512
.long W8E0-top+117440512
.long W8E8-top+117440512
.long W8F0-top+117440512
.long W8F8-top
.long W8F9-top
.long W8FA-top
.long W8FB-top
.long W8FC-top
.long r_illegal-top+33554432
.long W900-top+117440512
.long W908-top+117440512
.long W910-top+117440512
.long W918-top+117440512
.long W920-top+117440512
.long W928-top+117440512
.long W930-top+117440512
.long W938-top
.long W939-top
.long r_illegal-top+83886080
.long W940-top+117440512
.long W948-top+117440512
.long W950-top+117440512
.long W958-top+117440512
.long W960-top+117440512
.long W968-top+117440512
.long W970-top+117440512
.long W978-top
.long W979-top
.long r_illegal-top+218103808
.long W988-top+117440512
.long W990-top+117440512
.long W998-top+117440512
.long W9A0-top+117440512
.long W9A8-top+117440512
.long W9B0-top+117440512
.long W9B8-top
.long W9B9-top
.long r_illegal-top+83886080
.long W9C0-top+117440512
.long r_illegal-top+117440512
.long W9D0-top+117440512
.long W9D8-top+117440512
.long W9E0-top+117440512
.long W9E8-top+117440512
.long W9F0-top+117440512
.long W9F8-top
.long W9F9-top
.long W9FA-top
.long W9FB-top
.long W9FC-top
.long r_illegal-top+33554432
.long WA00-top+117440512
.long r_illegal-top+117440512
.long WA10-top+117440512
.long WA18-top+117440512
.long WA20-top+117440512
.long WA28-top+117440512
.long WA30-top+117440512
.long WA38-top
.long WA39-top
.long WA3A-top
.long WA3B-top
.long WA3C-top
.long r_illegal-top+33554432
.long WA40-top+117440512
.long r_illegal-top+117440512
.long WA50-top+117440512
.long WA58-top+117440512
.long WA60-top+117440512
.long WA68-top+117440512
.long WA70-top+117440512
.long WA78-top
.long WA79-top
.long WA7A-top
.long WA7B-top
.long WA7C-top
.long r_illegal-top+33554432
.long WA80-top+117440512
.long r_illegal-top+117440512
.long WA90-top+117440512
.long WA98-top+117440512
.long WAA0-top+117440512
.long WAA8-top+117440512
.long WAB0-top+117440512
.long WAB8-top
.long WAB9-top
.long WABA-top
.long WABB-top
.long WABC-top
.long r_illegal-top+33554432
.long WAC0-top+117440512
.long r_illegal-top+117440512
.long WAD0-top+117440512
.long WAD8-top+117440512
.long WAE0-top+117440512
.long WAE8-top+117440512
.long WAF0-top+117440512
.long WAF8-top
.long WAF9-top
.long WAFA-top
.long WAFB-top
.long WAFC-top
.long r_illegal-top+33554432
.long WB00-top+117440512
.long WB08-top+117440512
.long WB10-top+117440512
.long WB18-top+117440512
.long WB20-top+117440512
.long WB28-top+117440512
.long WB30-top+117440512
.long WB38-top
.long WB39-top
.long r_illegal-top+83886080
.long WB40-top+117440512
.long WB48-top+117440512
.long WB50-top+117440512
.long WB58-top+117440512
.long WB60-top+117440512
.long WB68-top+117440512
.long WB70-top+117440512
.long WB78-top
.long WB79-top
.long r_illegal-top+218103808
.long WB88-top+117440512
.long WB90-top+117440512
.long WB98-top+117440512
.long WBA0-top+117440512
.long WBA8-top+117440512
.long WBB0-top+117440512
.long WBB8-top
.long WBB9-top
.long r_illegal-top+83886080
.long WBC0-top+117440512
.long r_illegal-top+117440512
.long WBD0-top+117440512
.long WBD8-top+117440512
.long WBE0-top+117440512
.long WBE8-top+117440512
.long WBF0-top+117440512
.long WBF8-top
.long WBF9-top
.long WBFA-top
.long WBFB-top
.long WBFC-top
.long r_illegal-top+33554432
.long WC00-top+117440512
.long r_illegal-top+117440512
.long WC10-top+117440512
.long WC18-top+117440512
.long WC20-top+117440512
.long WC28-top+117440512
.long WC30-top+117440512
.long WC38-top
.long WC39-top
.long WC3A-top
.long WC3B-top
.long WC3C-top
.long r_illegal-top+33554432
.long WC40-top+117440512
.long r_illegal-top+117440512
.long WC50-top+117440512
.long WC58-top+117440512
.long WC60-top+117440512
.long WC68-top+117440512
.long WC70-top+117440512
.long WC78-top
.long WC79-top
.long WC7A-top
.long WC7B-top
.long WC7C-top
.long r_illegal-top+33554432
.long WC80-top+117440512
.long r_illegal-top+117440512
.long WC90-top+117440512
.long WC98-top+117440512
.long WCA0-top+117440512
.long WCA8-top+117440512
.long WCB0-top+117440512
.long WCB8-top
.long WCB9-top
.long WCBA-top
.long WCBB-top
.long WCBC-top
.long r_illegal-top+33554432
.long WCC0-top+117440512
.long r_illegal-top+117440512
.long WCD0-top+117440512
.long WCD8-top+117440512
.long WCE0-top+117440512
.long WCE8-top+117440512
.long WCF0-top+117440512
.long WCF8-top
.long WCF9-top
.long WCFA-top
.long WCFB-top
.long WCFC-top
.long r_illegal-top+33554432
.long WD00-top+117440512
.long WD08-top+117440512
.long WD10-top+117440512
.long WD18-top+117440512
.long WD20-top+117440512
.long WD28-top+117440512
.long WD30-top+117440512
.long WD38-top
.long WD39-top
.long r_illegal-top+83886080
.long WD40-top+117440512
.long WD48-top+117440512
.long WD50-top+117440512
.long WD58-top+117440512
.long WD60-top+117440512
.long WD68-top+117440512
.long WD70-top+117440512
.long WD78-top
.long WD79-top
.long r_illegal-top+218103808
.long WD88-top+117440512
.long WD90-top+117440512
.long WD98-top+117440512
.long WDA0-top+117440512
.long WDA8-top+117440512
.long WDB0-top+117440512
.long WDB8-top
.long WDB9-top
.long r_illegal-top+83886080
.long WDC0-top+117440512
.long r_illegal-top+117440512
.long WDD0-top+117440512
.long WDD8-top+117440512
.long WDE0-top+117440512
.long WDE8-top+117440512
.long WDF0-top+117440512
.long WDF8-top
.long WDF9-top
.long WDFA-top
.long WDFB-top
.long WDFC-top
.long r_illegal-top+33554432
.long WE00-top+117440512
.long r_illegal-top+117440512
.long WE10-top+117440512
.long WE18-top+117440512
.long WE20-top+117440512
.long WE28-top+117440512
.long WE30-top+117440512
.long WE38-top
.long WE39-top
.long WE3A-top
.long WE3B-top
.long WE3C-top
.long r_illegal-top+33554432
.long WE40-top+117440512
.long r_illegal-top+117440512
.long WE50-top+117440512
.long WE58-top+117440512
.long WE60-top+117440512
.long WE68-top+117440512
.long WE70-top+117440512
.long WE78-top
.long WE79-top
.long WE7A-top
.long WE7B-top
.long WE7C-top
.long r_illegal-top+33554432
.long WE80-top+117440512
.long r_illegal-top+117440512
.long WE90-top+117440512
.long WE98-top+117440512
.long WEA0-top+117440512
.long WEA8-top+117440512
.long WEB0-top+117440512
.long WEB8-top
.long WEB9-top
.long WEBA-top
.long WEBB-top
.long WEBC-top
.long r_illegal-top+33554432
.long WEC0-top+117440512
.long r_illegal-top+117440512
.long WED0-top+117440512
.long WED8-top+117440512
.long WEE0-top+117440512
.long WEE8-top+117440512
.long WEF0-top+117440512
.long WEF8-top
.long WEF9-top
.long WEFA-top
.long WEFB-top
.long WEFC-top
.long r_illegal-top+33554432
.long WF00-top+117440512
.long WF08-top+117440512
.long WF10-top+117440512
.long WF18-top+117440512
.long WF20-top+117440512
.long WF28-top+117440512
.long WF30-top+117440512
.long WF38-top
.long WF39-top
.long r_illegal-top+83886080
.long WF40-top+117440512
.long WF48-top+117440512
.long WF50-top+117440512
.long WF58-top+117440512
.long WF60-top+117440512
.long WF68-top+117440512
.long WF70-top+117440512
.long WF78-top
.long WF79-top
.long r_illegal-top+218103808
.long WF88-top+117440512
.long WF90-top+117440512
.long WF98-top+117440512
.long WFA0-top+117440512
.long WFA8-top+117440512
.long WFB0-top+117440512
.long WFB8-top
.long WFB9-top
.long r_illegal-top+83886080
.long WFC0-top+117440512
.long r_illegal-top+117440512
.long WFD0-top+117440512
.long WFD8-top+117440512
.long WFE0-top+117440512
.long WFE8-top+117440512
.long WFF0-top+117440512
.long WFF8-top
.long WFF9-top
.long WFFA-top
.long WFFB-top
.long WFFC-top
.long r_illegal-top+33554432
.long X000-top+117440512
.long X008-top+117440512
.long X010-top+117440512
.long X018-top+117440512
.long X020-top+117440512
.long X028-top+117440512
.long X030-top+117440512
.long X038-top
.long X039-top
.long X03A-top
.long X03B-top
.long X03C-top
.long r_illegal-top+33554432
.long X040-top+117440512
.long X048-top+117440512
.long X050-top+117440512
.long X058-top+117440512
.long X060-top+117440512
.long X068-top+117440512
.long X070-top+117440512
.long X078-top
.long X079-top
.long X07A-top
.long X07B-top
.long X07C-top
.long r_illegal-top+33554432
.long X080-top+117440512
.long X088-top+117440512
.long X090-top+117440512
.long X098-top+117440512
.long X0A0-top+117440512
.long X0A8-top+117440512
.long X0B0-top+117440512
.long X0B8-top
.long X0B9-top
.long X0BA-top
.long X0BB-top
.long X0BC-top
.long r_illegal-top+33554432
.long X0C0-top+117440512
.long X0C8-top+117440512
.long X0D0-top+117440512
.long X0D8-top+117440512
.long X0E0-top+117440512
.long X0E8-top+117440512
.long X0F0-top+117440512
.long X0F8-top
.long X0F9-top
.long X0FA-top
.long X0FB-top
.long X0FC-top
.long r_illegal-top+33554432
.long X100-top+117440512
.long X108-top+117440512
.long X110-top+117440512
.long X118-top+117440512
.long X120-top+117440512
.long X128-top+117440512
.long X130-top+117440512
.long X138-top
.long X139-top
.long r_illegal-top+83886080
.long X140-top+117440512
.long X148-top+117440512
.long X150-top+117440512
.long X158-top+117440512
.long X160-top+117440512
.long X168-top+117440512
.long X170-top+117440512
.long X178-top
.long X179-top
.long r_illegal-top+83886080
.long X180-top+117440512
.long X188-top+117440512
.long X190-top+117440512
.long X198-top+117440512
.long X1A0-top+117440512
.long X1A8-top+117440512
.long X1B0-top+117440512
.long X1B8-top
.long X1B9-top
.long r_illegal-top+83886080
.long X1C0-top+117440512
.long X1C8-top+117440512
.long X1D0-top+117440512
.long X1D8-top+117440512
.long X1E0-top+117440512
.long X1E8-top+117440512
.long X1F0-top+117440512
.long X1F8-top
.long X1F9-top
.long X1FA-top
.long X1FB-top
.long X1FC-top
.long r_illegal-top+33554432
.long X200-top+117440512
.long X208-top+117440512
.long X210-top+117440512
.long X218-top+117440512
.long X220-top+117440512
.long X228-top+117440512
.long X230-top+117440512
.long X238-top
.long X239-top
.long X23A-top
.long X23B-top
.long X23C-top
.long r_illegal-top+33554432
.long X240-top+117440512
.long X248-top+117440512
.long X250-top+117440512
.long X258-top+117440512
.long X260-top+117440512
.long X268-top+117440512
.long X270-top+117440512
.long X278-top
.long X279-top
.long X27A-top
.long X27B-top
.long X27C-top
.long r_illegal-top+33554432
.long X280-top+117440512
.long X288-top+117440512
.long X290-top+117440512
.long X298-top+117440512
.long X2A0-top+117440512
.long X2A8-top+117440512
.long X2B0-top+117440512
.long X2B8-top
.long X2B9-top
.long X2BA-top
.long X2BB-top
.long X2BC-top
.long r_illegal-top+33554432
.long X2C0-top+117440512
.long X2C8-top+117440512
.long X2D0-top+117440512
.long X2D8-top+117440512
.long X2E0-top+117440512
.long X2E8-top+117440512
.long X2F0-top+117440512
.long X2F8-top
.long X2F9-top
.long X2FA-top
.long X2FB-top
.long X2FC-top
.long r_illegal-top+33554432
.long X300-top+117440512
.long X308-top+117440512
.long X310-top+117440512
.long X318-top+117440512
.long X320-top+117440512
.long X328-top+117440512
.long X330-top+117440512
.long X338-top
.long X339-top
.long r_illegal-top+83886080
.long X340-top+117440512
.long X348-top+117440512
.long X350-top+117440512
.long X358-top+117440512
.long X360-top+117440512
.long X368-top+117440512
.long X370-top+117440512
.long X378-top
.long X379-top
.long r_illegal-top+83886080
.long X380-top+117440512
.long X388-top+117440512
.long X390-top+117440512
.long X398-top+117440512
.long X3A0-top+117440512
.long X3A8-top+117440512
.long X3B0-top+117440512
.long X3B8-top
.long X3B9-top
.long r_illegal-top+83886080
.long X3C0-top+117440512
.long X3C8-top+117440512
.long X3D0-top+117440512
.long X3D8-top+117440512
.long X3E0-top+117440512
.long X3E8-top+117440512
.long X3F0-top+117440512
.long X3F8-top
.long X3F9-top
.long X3FA-top
.long X3FB-top
.long X3FC-top
.long r_illegal-top+33554432
.long X400-top+117440512
.long X408-top+117440512
.long X410-top+117440512
.long X418-top+117440512
.long X420-top+117440512
.long X428-top+117440512
.long X430-top+117440512
.long X438-top
.long X439-top
.long X43A-top
.long X43B-top
.long X43C-top
.long r_illegal-top+33554432
.long X440-top+117440512
.long X448-top+117440512
.long X450-top+117440512
.long X458-top+117440512
.long X460-top+117440512
.long X468-top+117440512
.long X470-top+117440512
.long X478-top
.long X479-top
.long X47A-top
.long X47B-top
.long X47C-top
.long r_illegal-top+33554432
.long X480-top+117440512
.long X488-top+117440512
.long X490-top+117440512
.long X498-top+117440512
.long X4A0-top+117440512
.long X4A8-top+117440512
.long X4B0-top+117440512
.long X4B8-top
.long X4B9-top
.long X4BA-top
.long X4BB-top
.long X4BC-top
.long r_illegal-top+33554432
.long X4C0-top+117440512
.long X4C8-top+117440512
.long X4D0-top+117440512
.long X4D8-top+117440512
.long X4E0-top+117440512
.long X4E8-top+117440512
.long X4F0-top+117440512
.long X4F8-top
.long X4F9-top
.long X4FA-top
.long X4FB-top
.long X4FC-top
.long r_illegal-top+33554432
.long X500-top+117440512
.long X508-top+117440512
.long X510-top+117440512
.long X518-top+117440512
.long X520-top+117440512
.long X528-top+117440512
.long X530-top+117440512
.long X538-top
.long X539-top
.long r_illegal-top+83886080
.long X540-top+117440512
.long X548-top+117440512
.long X550-top+117440512
.long X558-top+117440512
.long X560-top+117440512
.long X568-top+117440512
.long X570-top+117440512
.long X578-top
.long X579-top
.long r_illegal-top+83886080
.long X580-top+117440512
.long X588-top+117440512
.long X590-top+117440512
.long X598-top+117440512
.long X5A0-top+117440512
.long X5A8-top+117440512
.long X5B0-top+117440512
.long X5B8-top
.long X5B9-top
.long r_illegal-top+83886080
.long X5C0-top+117440512
.long X5C8-top+117440512
.long X5D0-top+117440512
.long X5D8-top+117440512
.long X5E0-top+117440512
.long X5E8-top+117440512
.long X5F0-top+117440512
.long X5F8-top
.long X5F9-top
.long X5FA-top
.long X5FB-top
.long X5FC-top
.long r_illegal-top+33554432
.long X600-top+117440512
.long X608-top+117440512
.long X610-top+117440512
.long X618-top+117440512
.long X620-top+117440512
.long X628-top+117440512
.long X630-top+117440512
.long X638-top
.long X639-top
.long X63A-top
.long X63B-top
.long X63C-top
.long r_illegal-top+33554432
.long X640-top+117440512
.long X648-top+117440512
.long X650-top+117440512
.long X658-top+117440512
.long X660-top+117440512
.long X668-top+117440512
.long X670-top+117440512
.long X678-top
.long X679-top
.long X67A-top
.long X67B-top
.long X67C-top
.long r_illegal-top+33554432
.long X680-top+117440512
.long X688-top+117440512
.long X690-top+117440512
.long X698-top+117440512
.long X6A0-top+117440512
.long X6A8-top+117440512
.long X6B0-top+117440512
.long X6B8-top
.long X6B9-top
.long X6BA-top
.long X6BB-top
.long X6BC-top
.long r_illegal-top+33554432
.long X6C0-top+117440512
.long X6C8-top+117440512
.long X6D0-top+117440512
.long X6D8-top+117440512
.long X6E0-top+117440512
.long X6E8-top+117440512
.long X6F0-top+117440512
.long X6F8-top
.long X6F9-top
.long X6FA-top
.long X6FB-top
.long X6FC-top
.long r_illegal-top+33554432
.long X700-top+117440512
.long X708-top+117440512
.long X710-top+117440512
.long X718-top+117440512
.long X720-top+117440512
.long X728-top+117440512
.long X730-top+117440512
.long X738-top
.long X739-top
.long r_illegal-top+83886080
.long X740-top+117440512
.long X748-top+117440512
.long X750-top+117440512
.long X758-top+117440512
.long X760-top+117440512
.long X768-top+117440512
.long X770-top+117440512
.long X778-top
.long X779-top
.long r_illegal-top+83886080
.long X780-top+117440512
.long X788-top+117440512
.long X790-top+117440512
.long X798-top+117440512
.long X7A0-top+117440512
.long X7A8-top+117440512
.long X7B0-top+117440512
.long X7B8-top
.long X7B9-top
.long r_illegal-top+83886080
.long X7C0-top+117440512
.long X7C8-top+117440512
.long X7D0-top+117440512
.long X7D8-top+117440512
.long X7E0-top+117440512
.long X7E8-top+117440512
.long X7F0-top+117440512
.long X7F8-top
.long X7F9-top
.long X7FA-top
.long X7FB-top
.long X7FC-top
.long r_illegal-top+33554432
.long X800-top+117440512
.long X808-top+117440512
.long X810-top+117440512
.long X818-top+117440512
.long X820-top+117440512
.long X828-top+117440512
.long X830-top+117440512
.long X838-top
.long X839-top
.long X83A-top
.long X83B-top
.long X83C-top
.long r_illegal-top+33554432
.long X840-top+117440512
.long X848-top+117440512
.long X850-top+117440512
.long X858-top+117440512
.long X860-top+117440512
.long X868-top+117440512
.long X870-top+117440512
.long X878-top
.long X879-top
.long X87A-top
.long X87B-top
.long X87C-top
.long r_illegal-top+33554432
.long X880-top+117440512
.long X888-top+117440512
.long X890-top+117440512
.long X898-top+117440512
.long X8A0-top+117440512
.long X8A8-top+117440512
.long X8B0-top+117440512
.long X8B8-top
.long X8B9-top
.long X8BA-top
.long X8BB-top
.long X8BC-top
.long r_illegal-top+33554432
.long X8C0-top+117440512
.long X8C8-top+117440512
.long X8D0-top+117440512
.long X8D8-top+117440512
.long X8E0-top+117440512
.long X8E8-top+117440512
.long X8F0-top+117440512
.long X8F8-top
.long X8F9-top
.long X8FA-top
.long X8FB-top
.long X8FC-top
.long r_illegal-top+33554432
.long X900-top+117440512
.long X908-top+117440512
.long X910-top+117440512
.long X918-top+117440512
.long X920-top+117440512
.long X928-top+117440512
.long X930-top+117440512
.long X938-top
.long X939-top
.long r_illegal-top+83886080
.long X940-top+117440512
.long X948-top+117440512
.long X950-top+117440512
.long X958-top+117440512
.long X960-top+117440512
.long X968-top+117440512
.long X970-top+117440512
.long X978-top
.long X979-top
.long r_illegal-top+83886080
.long X980-top+117440512
.long X988-top+117440512
.long X990-top+117440512
.long X998-top+117440512
.long X9A0-top+117440512
.long X9A8-top+117440512
.long X9B0-top+117440512
.long X9B8-top
.long X9B9-top
.long r_illegal-top+83886080
.long X9C0-top+117440512
.long X9C8-top+117440512
.long X9D0-top+117440512
.long X9D8-top+117440512
.long X9E0-top+117440512
.long X9E8-top+117440512
.long X9F0-top+117440512
.long X9F8-top
.long X9F9-top
.long X9FA-top
.long X9FB-top
.long X9FC-top
.long r_illegal-top+33554432
.long XA00-top+117440512
.long XA08-top+117440512
.long XA10-top+117440512
.long XA18-top+117440512
.long XA20-top+117440512
.long XA28-top+117440512
.long XA30-top+117440512
.long XA38-top
.long XA39-top
.long XA3A-top
.long XA3B-top
.long XA3C-top
.long r_illegal-top+33554432
.long XA40-top+117440512
.long XA48-top+117440512
.long XA50-top+117440512
.long XA58-top+117440512
.long XA60-top+117440512
.long XA68-top+117440512
.long XA70-top+117440512
.long XA78-top
.long XA79-top
.long XA7A-top
.long XA7B-top
.long XA7C-top
.long r_illegal-top+33554432
.long XA80-top+117440512
.long XA88-top+117440512
.long XA90-top+117440512
.long XA98-top+117440512
.long XAA0-top+117440512
.long XAA8-top+117440512
.long XAB0-top+117440512
.long XAB8-top
.long XAB9-top
.long XABA-top
.long XABB-top
.long XABC-top
.long r_illegal-top+33554432
.long XAC0-top+117440512
.long XAC8-top+117440512
.long XAD0-top+117440512
.long XAD8-top+117440512
.long XAE0-top+117440512
.long XAE8-top+117440512
.long XAF0-top+117440512
.long XAF8-top
.long XAF9-top
.long XAFA-top
.long XAFB-top
.long XAFC-top
.long r_illegal-top+33554432
.long XB00-top+117440512
.long XB08-top+117440512
.long XB10-top+117440512
.long XB18-top+117440512
.long XB20-top+117440512
.long XB28-top+117440512
.long XB30-top+117440512
.long XB38-top
.long XB39-top
.long r_illegal-top+83886080
.long XB40-top+117440512
.long XB48-top+117440512
.long XB50-top+117440512
.long XB58-top+117440512
.long XB60-top+117440512
.long XB68-top+117440512
.long XB70-top+117440512
.long XB78-top
.long XB79-top
.long r_illegal-top+83886080
.long XB80-top+117440512
.long XB88-top+117440512
.long XB90-top+117440512
.long XB98-top+117440512
.long XBA0-top+117440512
.long XBA8-top+117440512
.long XBB0-top+117440512
.long XBB8-top
.long XBB9-top
.long r_illegal-top+83886080
.long XBC0-top+117440512
.long XBC8-top+117440512
.long XBD0-top+117440512
.long XBD8-top+117440512
.long XBE0-top+117440512
.long XBE8-top+117440512
.long XBF0-top+117440512
.long XBF8-top
.long XBF9-top
.long XBFA-top
.long XBFB-top
.long XBFC-top
.long r_illegal-top+33554432
.long XC00-top+117440512
.long XC08-top+117440512
.long XC10-top+117440512
.long XC18-top+117440512
.long XC20-top+117440512
.long XC28-top+117440512
.long XC30-top+117440512
.long XC38-top
.long XC39-top
.long XC3A-top
.long XC3B-top
.long XC3C-top
.long r_illegal-top+33554432
.long XC40-top+117440512
.long XC48-top+117440512
.long XC50-top+117440512
.long XC58-top+117440512
.long XC60-top+117440512
.long XC68-top+117440512
.long XC70-top+117440512
.long XC78-top
.long XC79-top
.long XC7A-top
.long XC7B-top
.long XC7C-top
.long r_illegal-top+33554432
.long XC80-top+117440512
.long XC88-top+117440512
.long XC90-top+117440512
.long XC98-top+117440512
.long XCA0-top+117440512
.long XCA8-top+117440512
.long XCB0-top+117440512
.long XCB8-top
.long XCB9-top
.long XCBA-top
.long XCBB-top
.long XCBC-top
.long r_illegal-top+33554432
.long XCC0-top+117440512
.long XCC8-top+117440512
.long XCD0-top+117440512
.long XCD8-top+117440512
.long XCE0-top+117440512
.long XCE8-top+117440512
.long XCF0-top+117440512
.long XCF8-top
.long XCF9-top
.long XCFA-top
.long XCFB-top
.long XCFC-top
.long r_illegal-top+33554432
.long XD00-top+117440512
.long XD08-top+117440512
.long XD10-top+117440512
.long XD18-top+117440512
.long XD20-top+117440512
.long XD28-top+117440512
.long XD30-top+117440512
.long XD38-top
.long XD39-top
.long r_illegal-top+83886080
.long XD40-top+117440512
.long XD48-top+117440512
.long XD50-top+117440512
.long XD58-top+117440512
.long XD60-top+117440512
.long XD68-top+117440512
.long XD70-top+117440512
.long XD78-top
.long XD79-top
.long r_illegal-top+83886080
.long XD80-top+117440512
.long XD88-top+117440512
.long XD90-top+117440512
.long XD98-top+117440512
.long XDA0-top+117440512
.long XDA8-top+117440512
.long XDB0-top+117440512
.long XDB8-top
.long XDB9-top
.long r_illegal-top+83886080
.long XDC0-top+117440512
.long XDC8-top+117440512
.long XDD0-top+117440512
.long XDD8-top+117440512
.long XDE0-top+117440512
.long XDE8-top+117440512
.long XDF0-top+117440512
.long XDF8-top
.long XDF9-top
.long XDFA-top
.long XDFB-top
.long XDFC-top
.long r_illegal-top+33554432
.long XE00-top+117440512
.long XE08-top+117440512
.long XE10-top+117440512
.long XE18-top+117440512
.long XE20-top+117440512
.long XE28-top+117440512
.long XE30-top+117440512
.long XE38-top
.long XE39-top
.long XE3A-top
.long XE3B-top
.long XE3C-top
.long r_illegal-top+33554432
.long XE40-top+117440512
.long XE48-top+117440512
.long XE50-top+117440512
.long XE58-top+117440512
.long XE60-top+117440512
.long XE68-top+117440512
.long XE70-top+117440512
.long XE78-top
.long XE79-top
.long XE7A-top
.long XE7B-top
.long XE7C-top
.long r_illegal-top+33554432
.long XE80-top+117440512
.long XE88-top+117440512
.long XE90-top+117440512
.long XE98-top+117440512
.long XEA0-top+117440512
.long XEA8-top+117440512
.long XEB0-top+117440512
.long XEB8-top
.long XEB9-top
.long XEBA-top
.long XEBB-top
.long XEBC-top
.long r_illegal-top+33554432
.long XEC0-top+117440512
.long XEC8-top+117440512
.long XED0-top+117440512
.long XED8-top+117440512
.long XEE0-top+117440512
.long XEE8-top+117440512
.long XEF0-top+117440512
.long XEF8-top
.long XEF9-top
.long XEFA-top
.long XEFB-top
.long XEFC-top
.long r_illegal-top+33554432
.long XF00-top+117440512
.long XF08-top+117440512
.long XF10-top+117440512
.long XF18-top+117440512
.long XF20-top+117440512
.long XF28-top+117440512
.long XF30-top+117440512
.long XF38-top
.long XF39-top
.long r_illegal-top+83886080
.long XF40-top+117440512
.long XF48-top+117440512
.long XF50-top+117440512
.long XF58-top+117440512
.long XF60-top+117440512
.long XF68-top+117440512
.long XF70-top+117440512
.long XF78-top
.long XF79-top
.long r_illegal-top+83886080
.long XF80-top+117440512
.long XF88-top+117440512
.long XF90-top+117440512
.long XF98-top+117440512
.long XFA0-top+117440512
.long XFA8-top+117440512
.long XFB0-top+117440512
.long XFB8-top
.long XFB9-top
.long r_illegal-top+83886080
.long XFC0-top+117440512
.long XFC8-top+117440512
.long XFD0-top+117440512
.long XFD8-top+117440512
.long XFE0-top+117440512
.long XFE8-top+117440512
.long XFF0-top+117440512
.long XFF8-top
.long XFF9-top
.long XFFA-top
.long XFFB-top
.long XFFC-top
.long r_illegal-top+33554432
.long Y000-top+117440512
.long Y008-top+117440512
.long Y010-top+117440512
.long Y018-top+117440512
.long Y020-top+117440512
.long Y028-top+117440512
.long Y030-top+117440512
.long Y038-top+117440512
.long Y040-top+117440512
.long Y048-top+117440512
.long Y050-top+117440512
.long Y058-top+117440512
.long Y060-top+117440512
.long Y068-top+117440512
.long Y070-top+117440512
.long Y078-top+117440512
.long Y080-top+117440512
.long Y088-top+117440512
.long Y090-top+117440512
.long Y098-top+117440512
.long Y0A0-top+117440512
.long Y0A8-top+117440512
.long Y0B0-top+117440512
.long Y0B8-top+117440512
.long r_illegal-top+251658240
.long Y0D0-top+117440512
.long Y0D8-top+117440512
.long Y0E0-top+117440512
.long Y0E8-top+117440512
.long Y0F0-top+117440512
.long Y0F8-top
.long Y0F9-top
.long r_illegal-top+83886080
.long Y100-top+117440512
.long Y108-top+117440512
.long Y110-top+117440512
.long Y118-top+117440512
.long Y120-top+117440512
.long Y128-top+117440512
.long Y130-top+117440512
.long Y138-top+117440512
.long Y140-top+117440512
.long Y148-top+117440512
.long Y150-top+117440512
.long Y158-top+117440512
.long Y160-top+117440512
.long Y168-top+117440512
.long Y170-top+117440512
.long Y178-top+117440512
.long Y180-top+117440512
.long Y188-top+117440512
.long Y190-top+117440512
.long Y198-top+117440512
.long Y1A0-top+117440512
.long Y1A8-top+117440512
.long Y1B0-top+117440512
.long Y1B8-top+117440512
.long r_illegal-top+251658240
.long Y1D0-top+117440512
.long Y1D8-top+117440512
.long Y1E0-top+117440512
.long Y1E8-top+117440512
.long Y1F0-top+117440512
.long Y1F8-top
.long Y1F9-top
.long r_illegal-top+83886080
.long Y200-top+117440512
.long Y208-top+117440512
.long Y210-top+117440512
.long Y218-top+117440512
.long Y220-top+117440512
.long Y228-top+117440512
.long Y230-top+117440512
.long Y238-top+117440512
.long Y240-top+117440512
.long Y248-top+117440512
.long Y250-top+117440512
.long Y258-top+117440512
.long Y260-top+117440512
.long Y268-top+117440512
.long Y270-top+117440512
.long Y278-top+117440512
.long Y280-top+117440512
.long Y288-top+117440512
.long Y290-top+117440512
.long Y298-top+117440512
.long Y2A0-top+117440512
.long Y2A8-top+117440512
.long Y2B0-top+117440512
.long Y2B8-top+117440512
.long r_illegal-top+251658240
.long Y2D0-top+117440512
.long Y2D8-top+117440512
.long Y2E0-top+117440512
.long Y2E8-top+117440512
.long Y2F0-top+117440512
.long Y2F8-top
.long Y2F9-top
.long r_illegal-top+83886080
.long Y300-top+117440512
.long Y308-top+117440512
.long Y310-top+117440512
.long Y318-top+117440512
.long Y320-top+117440512
.long Y328-top+117440512
.long Y330-top+117440512
.long Y338-top+117440512
.long Y340-top+117440512
.long Y348-top+117440512
.long Y350-top+117440512
.long Y358-top+117440512
.long Y360-top+117440512
.long Y368-top+117440512
.long Y370-top+117440512
.long Y378-top+117440512
.long Y380-top+117440512
.long Y388-top+117440512
.long Y390-top+117440512
.long Y398-top+117440512
.long Y3A0-top+117440512
.long Y3A8-top+117440512
.long Y3B0-top+117440512
.long Y3B8-top+117440512
.long r_illegal-top+251658240
.long Y3D0-top+117440512
.long Y3D8-top+117440512
.long Y3E0-top+117440512
.long Y3E8-top+117440512
.long Y3F0-top+117440512
.long Y3F8-top
.long Y3F9-top
.long r_illegal-top+83886080
.long Y400-top+117440512
.long Y408-top+117440512
.long Y410-top+117440512
.long Y418-top+117440512
.long Y420-top+117440512
.long Y428-top+117440512
.long Y430-top+117440512
.long Y438-top+117440512
.long Y440-top+117440512
.long Y448-top+117440512
.long Y450-top+117440512
.long Y458-top+117440512
.long Y460-top+117440512
.long Y468-top+117440512
.long Y470-top+117440512
.long Y478-top+117440512
.long Y480-top+117440512
.long Y488-top+117440512
.long Y490-top+117440512
.long Y498-top+117440512
.long Y4A0-top+117440512
.long Y4A8-top+117440512
.long Y4B0-top+117440512
.long Y4B8-top+117440512
.long r_illegal-top+251658240
.long Y4D0-top+117440512
.long Y4D8-top+117440512
.long Y4E0-top+117440512
.long Y4E8-top+117440512
.long Y4F0-top+117440512
.long Y4F8-top
.long Y4F9-top
.long r_illegal-top+83886080
.long Y500-top+117440512
.long Y508-top+117440512
.long Y510-top+117440512
.long Y518-top+117440512
.long Y520-top+117440512
.long Y528-top+117440512
.long Y530-top+117440512
.long Y538-top+117440512
.long Y540-top+117440512
.long Y548-top+117440512
.long Y550-top+117440512
.long Y558-top+117440512
.long Y560-top+117440512
.long Y568-top+117440512
.long Y570-top+117440512
.long Y578-top+117440512
.long Y580-top+117440512
.long Y588-top+117440512
.long Y590-top+117440512
.long Y598-top+117440512
.long Y5A0-top+117440512
.long Y5A8-top+117440512
.long Y5B0-top+117440512
.long Y5B8-top+117440512
.long r_illegal-top+251658240
.long Y5D0-top+117440512
.long Y5D8-top+117440512
.long Y5E0-top+117440512
.long Y5E8-top+117440512
.long Y5F0-top+117440512
.long Y5F8-top
.long Y5F9-top
.long r_illegal-top+83886080
.long Y600-top+117440512
.long Y608-top+117440512
.long Y610-top+117440512
.long Y618-top+117440512
.long Y620-top+117440512
.long Y628-top+117440512
.long Y630-top+117440512
.long Y638-top+117440512
.long Y640-top+117440512
.long Y648-top+117440512
.long Y650-top+117440512
.long Y658-top+117440512
.long Y660-top+117440512
.long Y668-top+117440512
.long Y670-top+117440512
.long Y678-top+117440512
.long Y680-top+117440512
.long Y688-top+117440512
.long Y690-top+117440512
.long Y698-top+117440512
.long Y6A0-top+117440512
.long Y6A8-top+117440512
.long Y6B0-top+117440512
.long Y6B8-top+117440512
.long r_illegal-top+251658240
.long Y6D0-top+117440512
.long Y6D8-top+117440512
.long Y6E0-top+117440512
.long Y6E8-top+117440512
.long Y6F0-top+117440512
.long Y6F8-top
.long Y6F9-top
.long r_illegal-top+83886080
.long Y700-top+117440512
.long Y708-top+117440512
.long Y710-top+117440512
.long Y718-top+117440512
.long Y720-top+117440512
.long Y728-top+117440512
.long Y730-top+117440512
.long Y738-top+117440512
.long Y740-top+117440512
.long Y748-top+117440512
.long Y750-top+117440512
.long Y758-top+117440512
.long Y760-top+117440512
.long Y768-top+117440512
.long Y770-top+117440512
.long Y778-top+117440512
.long Y780-top+117440512
.long Y788-top+117440512
.long Y790-top+117440512
.long Y798-top+117440512
.long Y7A0-top+117440512
.long Y7A8-top+117440512
.long Y7B0-top+117440512
.long Y7B8-top+117440512
.long r_illegal-top+251658240
.long Y7D0-top+117440512
.long Y7D8-top+117440512
.long Y7E0-top+117440512
.long Y7E8-top+117440512
.long Y7F0-top+117440512
.long Y7F8-top
.long Y7F9-top
.long r_illegal-top+83886080
.long Y800-top+117440512
.long Y808-top+117440512
.long Y810-top+117440512
.long Y818-top+117440512
.long Y820-top+117440512
.long Y828-top+117440512
.long Y830-top+117440512
.long Y838-top+117440512
.long Y840-top+117440512
.long Y848-top+117440512
.long Y850-top+117440512
.long Y858-top+117440512
.long Y860-top+117440512
.long Y868-top+117440512
.long Y870-top+117440512
.long Y878-top+117440512
.long Y880-top+117440512
.long Y888-top+117440512
.long Y890-top+117440512
.long Y898-top+117440512
.long Y8A0-top+117440512
.long Y8A8-top+117440512
.long Y8B0-top+117440512
.long Y8B8-top+117440512
.long r_illegal-top+1056964608
.long Y900-top+117440512
.long Y908-top+117440512
.long Y910-top+117440512
.long Y918-top+117440512
.long Y920-top+117440512
.long Y928-top+117440512
.long Y930-top+117440512
.long Y938-top+117440512
.long Y940-top+117440512
.long Y948-top+117440512
.long Y950-top+117440512
.long Y958-top+117440512
.long Y960-top+117440512
.long Y968-top+117440512
.long Y970-top+117440512
.long Y978-top+117440512
.long Y980-top+117440512
.long Y988-top+117440512
.long Y990-top+117440512
.long Y998-top+117440512
.long Y9A0-top+117440512
.long Y9A8-top+117440512
.long Y9B0-top+117440512
.long Y9B8-top+117440512
.long r_illegal-top+1056964608
.long YA00-top+117440512
.long YA08-top+117440512
.long YA10-top+117440512
.long YA18-top+117440512
.long YA20-top+117440512
.long YA28-top+117440512
.long YA30-top+117440512
.long YA38-top+117440512
.long YA40-top+117440512
.long YA48-top+117440512
.long YA50-top+117440512
.long YA58-top+117440512
.long YA60-top+117440512
.long YA68-top+117440512
.long YA70-top+117440512
.long YA78-top+117440512
.long YA80-top+117440512
.long YA88-top+117440512
.long YA90-top+117440512
.long YA98-top+117440512
.long YAA0-top+117440512
.long YAA8-top+117440512
.long YAB0-top+117440512
.long YAB8-top+117440512
.long r_illegal-top+1056964608
.long YB00-top+117440512
.long YB08-top+117440512
.long YB10-top+117440512
.long YB18-top+117440512
.long YB20-top+117440512
.long YB28-top+117440512
.long YB30-top+117440512
.long YB38-top+117440512
.long YB40-top+117440512
.long YB48-top+117440512
.long YB50-top+117440512
.long YB58-top+117440512
.long YB60-top+117440512
.long YB68-top+117440512
.long YB70-top+117440512
.long YB78-top+117440512
.long YB80-top+117440512
.long YB88-top+117440512
.long YB90-top+117440512
.long YB98-top+117440512
.long YBA0-top+117440512
.long YBA8-top+117440512
.long YBB0-top+117440512
.long YBB8-top+117440512
.long r_illegal-top+1056964608
.long YC00-top+117440512
.long YC08-top+117440512
.long YC10-top+117440512
.long YC18-top+117440512
.long YC20-top+117440512
.long YC28-top+117440512
.long YC30-top+117440512
.long YC38-top+117440512
.long YC40-top+117440512
.long YC48-top+117440512
.long YC50-top+117440512
.long YC58-top+117440512
.long YC60-top+117440512
.long YC68-top+117440512
.long YC70-top+117440512
.long YC78-top+117440512
.long YC80-top+117440512
.long YC88-top+117440512
.long YC90-top+117440512
.long YC98-top+117440512
.long YCA0-top+117440512
.long YCA8-top+117440512
.long YCB0-top+117440512
.long YCB8-top+117440512
.long r_illegal-top+1056964608
.long YD00-top+117440512
.long YD08-top+117440512
.long YD10-top+117440512
.long YD18-top+117440512
.long YD20-top+117440512
.long YD28-top+117440512
.long YD30-top+117440512
.long YD38-top+117440512
.long YD40-top+117440512
.long YD48-top+117440512
.long YD50-top+117440512
.long YD58-top+117440512
.long YD60-top+117440512
.long YD68-top+117440512
.long YD70-top+117440512
.long YD78-top+117440512
.long YD80-top+117440512
.long YD88-top+117440512
.long YD90-top+117440512
.long YD98-top+117440512
.long YDA0-top+117440512
.long YDA8-top+117440512
.long YDB0-top+117440512
.long YDB8-top+117440512
.long r_illegal-top+1056964608
.long YE00-top+117440512
.long YE08-top+117440512
.long YE10-top+117440512
.long YE18-top+117440512
.long YE20-top+117440512
.long YE28-top+117440512
.long YE30-top+117440512
.long YE38-top+117440512
.long YE40-top+117440512
.long YE48-top+117440512
.long YE50-top+117440512
.long YE58-top+117440512
.long YE60-top+117440512
.long YE68-top+117440512
.long YE70-top+117440512
.long YE78-top+117440512
.long YE80-top+117440512
.long YE88-top+117440512
.long YE90-top+117440512
.long YE98-top+117440512
.long YEA0-top+117440512
.long YEA8-top+117440512
.long YEB0-top+117440512
.long YEB8-top+117440512
.long r_illegal-top+1056964608
.long YF00-top+117440512
.long YF08-top+117440512
.long YF10-top+117440512
.long YF18-top+117440512
.long YF20-top+117440512
.long YF28-top+117440512
.long YF30-top+117440512
.long YF38-top+117440512
.long YF40-top+117440512
.long YF48-top+117440512
.long YF50-top+117440512
.long YF58-top+117440512
.long YF60-top+117440512
.long YF68-top+117440512
.long YF70-top+117440512
.long YF78-top+117440512
.long YF80-top+117440512
.long YF88-top+117440512
.long YF90-top+117440512
.long YF98-top+117440512
.long YFA0-top+117440512
.long YFA8-top+117440512
.long YFB0-top+117440512
.long YFB8-top+117440512
.long r_illegal-top+1056964608
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
.long Z000-top+4278190080
